/**
 *                      Dictionary of Greek Words
 *                              taken from
 *                    Strong's Exhaustive Concordance
 *                                   by
 *                      James Strong, S.T.D., LL.D.
 *                                  1890
 * 
 * JSON version
 * ============
 * Copyright 2009, Open Scriptures. CC-BY-SA. Derived from XML.
 * $Id$
 *
 * XML e-text version
 * ==================
 * 
 * The XML version of this work was prepared in 2006 by Ulrik Petersen
 * (http://ulrikp.org) from the ASCII e-text version presented below.
 * The XML version contains "real" UTF-8 Greek where the original ASCII
 * e-text version had transliteration.  The XML has a stand-alone DTD
 * which should be easy to follow.
 * 
 * Ulrik Petersen welcomes bugfixes to the text.  Please send them to the
 * address provided on the website:
 * 
 * http://ulrikp.org
 * 
 * Ulrik Petersen
 */

var strongsGreekDictionary = {"G208":{"lemma":"ἀκυρόω","kjv_def":"disannul, make of none effect","strongs_def":" to invalidate","derivation":"from G1 (Α) (as a negative particle) and G2964 (κυρόω);"},
"G5544":{"lemma":"χρηστότης","kjv_def":"gentleness, good(-ness), kindness","strongs_def":" usefulness, i.e. morally, excellence (in character or demeanor)","derivation":"from G5543 (χρηστός);"},
"G2311":{"derivation":"from G2310 (θεμέλιος);","strongs_def":" to lay a basis for, i.e. (literally) erect, or (figuratively) consolidate","kjv_def":"(lay the) found(- ation), ground, settle","lemma":"θεμελιόω"},
"G1837":{"derivation":"middle voice from G1537 (ἐκ) and G2278 (ἠχέω);","strongs_def":" to \"echo\" forth, i.e. resound (be generally reported)","kjv_def":"sound forth","lemma":"ἐξηχέομαι"},
"G1367":{"derivation":"from G1364 (δίς) and G5507 (χίλιοι);","strongs_def":" two thousand","kjv_def":"two thousand","lemma":"δισχίλιοι"},
"G3551":{"derivation":"from a primary (to parcel out, especially food or grazing to animals);","strongs_def":" law (through the idea of prescriptive usage), genitive case (regulation), specially, (of Moses (including the volume); also of the Gospel), or figuratively (a principle)","kjv_def":"law","lemma":"νόμος"},
"G2522":{"lemma":"καθημερινός","kjv_def":"daily","derivation":"from G2596 (κατά) and G2250 (ἡμέρα);","strongs_def":" quotidian"},
"G1754":{"lemma":"ἐνεργέω","kjv_def":"do, (be) effectual (fervent), be mighty in, shew forth self, work (effectually in)","derivation":"from G1756 (ἐνεργής);","strongs_def":" to be active, efficient"},
"G506":{"kjv_def":"disobedient, that is not put under, unruly","lemma":"ἀνυπότακτος","derivation":"from G1 (Α) (as a negative particle) and a presumed derivative of G5293 (ὑποτάσσω);","strongs_def":" unsubdued, i.e. insubordinate (in fact or temper)"},
"G496":{"lemma":"ἀντιπίπτω","kjv_def":"resist","derivation":"from G473 (ἀντί) and G4098 (πίπτω) (including its alternate);","strongs_def":" to oppose"},
"G481":{"derivation":"prolonged from G473 (ἀντί);","strongs_def":" opposite","kjv_def":"over against","lemma":"ἀντικρύ"},
"G1499":{"lemma":"εἰ καί","kjv_def":"if (that), though","derivation":"from G1487 (εἰ) and G2532 (καί);","strongs_def":" if also (or even)"},
"G5212":{"strongs_def":" yours, i.e. pertaining to you","derivation":"from G5210 (ὑμεῖς);","kjv_def":"your (own)","lemma":"ὑμέτερος"},
"G4001":{"strongs_def":" five hundred","derivation":"from G4002 (πέντε) and G1540 (ἑκατόν);","lemma":"πεντακόσιοι","kjv_def":"five hundred"},
"G4208":{"derivation":"adverb comparative of G4206 (πόῤῥω);","strongs_def":" further, i.e. a greater distance","lemma":"ποῤῥωτέρω","kjv_def":"farther"},
"G1302":{"strongs_def":" through what cause ?, i.e. why?","derivation":"from G1223 (διά) and G5101 (τίς);","kjv_def":"wherefore, why","lemma":"διατί"},
"G4781":{"strongs_def":" to bend together, i.e. (figuratively) to afflict","derivation":"from G4862 (σύν) and G2578 (κάμπτω);","kjv_def":"bow down","lemma":"συγκάμπτω"},
"G2351":{"strongs_def":" a disturbance","derivation":"from the base of G2360 (θροέω);","kjv_def":"tumult, uproar","lemma":"θόρυβος"},
"G269":{"strongs_def":" peaceable","derivation":"from G1 (Α) (as a negative particle) and G3163 (μάχη);","lemma":"ἄμαχος","kjv_def":"not a brawler"},
"G5467":{"lemma":"χαλεπός","kjv_def":"fierce, perilous","strongs_def":" difficult, i.e. dangerous, or (by implication) furious","derivation":"perhaps from G5465 (χαλάω) through the idea of reducing the strength;"},
"G889":{"strongs_def":" to render useless, i.e. spoil","derivation":"from G888 (ἀχρεῖος);","kjv_def":"become unprofitable","lemma":"ἀχρειόω"},
"G1349":{"kjv_def":"judgment, punish, vengeance","lemma":"δίκη","derivation":"probably from G1166 (δεικνύω);","strongs_def":" right (as self-evident), i.e. justice (the principle, a decision, or its execution)"},
"G665":{"strongs_def":" to deflect, i.e. (reflexively) avoid","derivation":"from G575 (ἀπό) and the base of G5157 (τροπή);","kjv_def":"turn away","lemma":"ἀποτρέπω"},
"G5525":{"kjv_def":"dancing","lemma":"χορός","strongs_def":" a ring, i.e. round dance (\"choir\"","derivation":"of uncertain derivation;"},
"G1980":{"lemma":"ἐπισκέπτομαι","kjv_def":"look out, visit","strongs_def":" to inspect, i.e. (by implication) to select; by extension, to go to see, relieve","derivation":"middle voice from G1909 (ἐπί) and the base of G4649 (σκοπός);"},
"G822":{"strongs_def":" mist","derivation":"from the same as G109 (ἀήρ);","lemma":"ἀτμίς","kjv_def":"vapour"},
"G3946":{"strongs_def":" alike nearly, i.e. similar","derivation":"from G3844 (παρά) and G3664 (ὅμοιος);","kjv_def":"like","lemma":"παρόμοιος"},
"G3452":{"strongs_def":" the marrow","derivation":"perhaps a primary word;","kjv_def":"marrow","lemma":"μυελός"},
"G830":{"kjv_def":"of own accord, willing of self","lemma":"αὐθαίρετος","strongs_def":" self-chosen, i.e. (by implication) voluntary","derivation":"from G846 (αὐτός) and the same as G140 (αἱρετίζω);"},
"G1121":{"strongs_def":" a writing, i.e. a letter, note, epistle, book, etc.; plural learning","derivation":"from G1125 (γράφω);","kjv_def":"bill, learning, letter, scripture, writing, written","lemma":"γράμμα"},
"G925":{"strongs_def":" to burden (figuratively)","derivation":"from G926 (βαρύς);","kjv_def":"overcharge","lemma":"βαρύνω"},
"G2120":{"lemma":"εὐκαιρία","kjv_def":"opportunity","strongs_def":" a favorable occasion","derivation":"from G2121 (εὔκαιρος);"},
"G3584":{"lemma":"ξηρός","kjv_def":"dry land, withered","derivation":"from the base of G3582 (ξέστης) (through the idea of scorching);","strongs_def":" arid; by implication, shrunken, earth (as opposed to water)"},
"G167":{"strongs_def":" impurity (the quality), physically or morally","derivation":"from G169 (ἀκάθαρτος);","kjv_def":"uncleanness","lemma":"ἀκαθαρσία"},
"G2647":{"strongs_def":" to loosen down (disintegrate), i.e. (by implication) to demolish (literally or figuratively); specially (compare G2646 (κατάλυμα)) to halt for the night","derivation":"from G2596 (κατά) and G3089 (λύω);","lemma":"καταλύω","kjv_def":"destroy, dissolve, be guest, lodge, come to nought, overthrow, throw down"},
"G2866":{"lemma":"κομψότερον","kjv_def":"+ began to amend","strongs_def":" figuratively, convalescent","derivation":"neuter comparative of a derivative of the base of 2865 (meaning, properly, well dressed, i.e. nice);"},
"G1071":{"strongs_def":" laughter (as a mark of gratification)","derivation":"from G1070 (γελάω);","kjv_def":"laughter","lemma":"γέλως"},
"G4895":{"derivation":"from G4862 (σύν) and G1510 (εἰμί) (including its various inflections);","strongs_def":" to be in company with, i.e. present at the time","lemma":"σύνειμι","kjv_def":"be with"},
"G3694":{"kjv_def":"after, back(-ward), (+ get) behind, + follow","lemma":"ὀπίσω","strongs_def":" to the back, i.e. aback (as adverb or preposition of time or place; or as noun)","derivation":"from the same as G3693 (ὄπισθεν) with enclitic of direction;"},
"G4638":{"derivation":"from G4637 (σκηνόω);","strongs_def":" an encampment, i.e. (figuratively) the Temple (as God's residence), the body (as a tenement for the soul)","kjv_def":" tabernacle","lemma":"σκήνωμα"},
"G3176":{"strongs_def":" greatest or very great","derivation":"superlative of G3173 (μέγας);","kjv_def":"exceeding great","lemma":"μέγιστος"},
"G5394":{"strongs_def":" to cause a blaze, i.e. ignite (figuratively, to inflame with passion)","derivation":"from G5395 (φλόξ);","kjv_def":"set on fire","lemma":"φλογίζω"},
"G2885":{"derivation":"from G2889 (κόσμος);","strongs_def":" to put in proper order, i.e. decorate (literally or figuratively); specially, to snuff (a wick)","lemma":"κοσμέω","kjv_def":"adorn, garnish, trim"},
"G359":{"kjv_def":"departure","lemma":"ἀνάλυσις","strongs_def":" departure","derivation":"from G360 (ἀναλύω);"},
"G3969":{"lemma":"Πατροβᾶς","kjv_def":"Patrobas","strongs_def":" father's life; Patrobas, a Christian","derivation":"perhaps a contraction for (a compound of G3962 (πατήρ) and G979 (βίος));"},
"G4934":{"strongs_def":" to place jointly, i.e. (figuratively) to consent (bargain, stipulate), concur","derivation":"middle voice from G4862 (σύν) and G5087 (τίθημι);","kjv_def":"agree, assent, covenant","lemma":"συντίθεμαι"},
"G1617":{"kjv_def":"more earnestly","lemma":"ἐκτενέστερον","strongs_def":" more intently","derivation":"neuter of the comparative of G1618 (ἐκτενής);"},
"G588":{"lemma":"ἀποδέχομαι","kjv_def":"accept, receive (gladly)","strongs_def":" to take fully, i.e. welcome (persons), approve (things)","derivation":"from G575 (ἀπό) and G1209 (δέχομαι);"},
"G451":{"strongs_def":" Anna, an Israelitess","derivation":"of Hebrew origin (H02584);","lemma":"Ἄννα","kjv_def":"Anna"},
"G2593":{"derivation":"from G2590 (καρπός) and G5342 (φέρω);","strongs_def":" fruitbearing (figuratively)","lemma":"καρποφόρος","kjv_def":"fruitful"},
"G5266":{"kjv_def":"shoe","lemma":"ὑπόδημα","derivation":"from G5265 (ὑποδέω);","strongs_def":" something bound under the feet, i.e. a shoe or sandal"},
"G1327":{"kjv_def":"highway","lemma":"διέξοδος","strongs_def":" an outlet through, i.e. probably an open square (from which roads diverge)","derivation":"from G1223 (διά) and G1841 (ἔξοδος);"},
"G2455":{"lemma":"Ἰούδας","kjv_def":"Juda(-h, -s); Jude","strongs_def":" Judas (i.e. Jehudah), the name of ten Israelites; also of the posterity of one of them and its region","derivation":"of Hebrew origin (H03063);"},
"G5321":{"strongs_def":" exhibition, i.e. (figuratively) expression, (by extension) a bestowment","derivation":"from G5319 (φανερόω);","lemma":"φανέρωσις","kjv_def":"manifestation"},
"G690":{"lemma":"Ἄραψ","kjv_def":"Arabian","strongs_def":" an Arab or native of Arabia","derivation":"from G688 (Ἀραβία);"},
"G3335":{"derivation":"from G3326 (μετά) and G2983 (λαμβάνω);","strongs_def":" to participate; genitive case, to accept (and use)","lemma":"μεταλαμβάνω","kjv_def":"eat, have, be partaker, receive, take"},
"G4545":{"strongs_def":" Samuel (i.e. Shemuel), an Israelite","derivation":"of Hebrew origin (H08050);","lemma":"Σαμουήλ","kjv_def":"Samuel"},
"G3378":{"kjv_def":"neither (followed by no), + never, not","lemma":"μὴ οὐκ","strongs_def":" as interrogative and negative, is it not that?","derivation":"i.e. G3361 (μή) and G3756 (οὐ);"},
"G2319":{"lemma":"θεοστυγής","kjv_def":"hater of God","strongs_def":" hateful to God, i.e. impious","derivation":"from G2316 (θεός) and the base of G4767 (στυγνητός);"},
"G4391":{"strongs_def":" to exist before, i.e. (adverbially) to be or do something previously","derivation":"from G4253 (πρό) and G5225 (ὑπάρχω);","kjv_def":"+ be before(-time)","lemma":"προϋπάρχω"},
"G461":{"derivation":"from G303 (ἀνά) and a derivative of the base of G3717 (ὀρθός);","strongs_def":" to straighten up","lemma":"ἀνορθόω","kjv_def":"lift (set) up, make straight"},
"G2308":{"lemma":"θέλησις","kjv_def":"will","derivation":"from G2309 (θέλω);","strongs_def":" determination (properly, the act), i.e. option"},
"G5289":{"derivation":"from G5288 (ὑποστέλλω);","strongs_def":" shrinkage (timidity), i.e. (by implication) apostasy","lemma":"ὑποστολή","kjv_def":"draw back"},
"G3906":{"derivation":"from G3844 (παρά) and G5083 (τηρέω);","strongs_def":" to inspect alongside, i.e. note insidiously or scrupulously","lemma":"παρατηρέω","kjv_def":"observe, watch"},
"G3188":{"lemma":"μέλαν","kjv_def":"ink","derivation":"neuter of G3189 (μέλας) as noun;","strongs_def":" ink"},
"G404":{"kjv_def":"refresh","lemma":"ἀναψύχω","derivation":"from G303 (ἀνά) and G5594 (ψύχω);","strongs_def":" properly, to cool off, i.e. (figuratively) relieve"},
"G866":{"lemma":"ἀφιλάργυρος","kjv_def":"without covetousness, not greedy of filthy lucre","derivation":"from G1 (Α) (as a negative particle) and G5366 (φιλάργυρος);","strongs_def":" unavaricious"},
"G4689":{"lemma":"σπένδω","kjv_def":"(be ready to) be offered","strongs_def":" to pour out as a libation, i.e. (figuratively) to devote (one's life or blood, as a sacrifice) (\"spend\")","derivation":"apparently a primary verb;"},
"G953":{"strongs_def":" to desecrate","derivation":"from G952 (βέβηλος);","lemma":"βεβηλόω","kjv_def":"profane"},
"G4013":{"derivation":"from G4012 (περί) and G71 (ἄγω);","strongs_def":" to take around (as a companion); reflexively, to walk around","kjv_def":"compass, go (round) about, lead about","lemma":"περιάγω"},
"G659":{"strongs_def":" to put away (literally or figuratively)","derivation":"from G575 (ἀπό) and G5087 (τίθημι);","lemma":"ἀποτίθημι","kjv_def":"cast off, lay apart (aside, down), put away (off)"},
"G4467":{"lemma":"ῥᾳδιούργημα","kjv_def":"lewdness","derivation":"from a comparative of (easy, i.e. reckless) and G2041 (ἔργον);","strongs_def":" easy-going behavior, i.e. (by extension) a crime"},
"G3031":{"kjv_def":"censer","lemma":"λιβανωτός","derivation":"from G3030 (λίβανος);","strongs_def":" frankincense, i.e. (by extension) a censer for burning it"},
"G1946":{"lemma":"Ἐπικούρειος","kjv_def":"Epicurean","derivation":"from (compare G1947 (ἐπικουρία)) (a noted philosopher);","strongs_def":" an Epicurean or follower of Epicurus"},
"G2823":{"lemma":"κλίβανος","kjv_def":"oven","strongs_def":" an earthen pot used for baking in","derivation":"of uncertain derivation;"},
"G493":{"kjv_def":"Antipas","lemma":"Ἀντίπας","derivation":"contracted for a compound of G473 (ἀντί) and a derivative of G3962 (πατήρ);","strongs_def":" Antipas, a Christian"},
"G3711":{"kjv_def":"soon angry","lemma":"ὀργίλος","strongs_def":" irascible","derivation":"from G3709 (ὀργή);"},
"G4103":{"kjv_def":"believe(-ing, -r), faithful(-ly), sure, true","lemma":"πιστός","strongs_def":" objectively, trustworthy; subjectively, trustful","derivation":"from G3982 (πείθω);"},
"G98":{"strongs_def":" Adramyttene or belonging to Adramyttium","derivation":"from (a place in Asia Minor);","kjv_def":"of Adramyttium","lemma":"Ἀδραμυττηνός"},
"G2413":{"lemma":"ἱερός","kjv_def":"holy","derivation":"of uncertain affinity;","strongs_def":" sacred"},
"G1922":{"derivation":"from G1921 (ἐπιγινώσκω);","strongs_def":" recognition, i.e. (by implication) full discernment, acknowledgement","kjv_def":"(ac-)knowledge(-ing, - ment)","lemma":"ἐπίγνωσις"},
"G3882":{"derivation":"from G3844 (παρά) and G251 (ἅλς);","strongs_def":" beside the salt (sea), i.e. maritime","kjv_def":"sea coast","lemma":"παράλιος"},
"G1151":{"derivation":"probably from the base of G1150 (δαμάζω);","strongs_def":" a heifer (as tame)","kjv_def":"heifer","lemma":"δάμαλις"},
"G3598":{"kjv_def":"journey, (high-)way","lemma":"ὁδός","strongs_def":" a road; by implication, a progress (the route, act or distance); figuratively, a mode or means","derivation":"apparently a primary word;"},
"G3377":{"strongs_def":" to disclose (through the idea of mental effort and thus calling to mind), i.e. report, declare, intimate","derivation":"probably from the same base as G3145 (μασσάομαι) and G3415 (μνάομαι) (i.e. , to strive);","kjv_def":"shew, tell","lemma":"μηνύω"},
"G3496":{"lemma":"Νεάπολις","kjv_def":"Neapolis","strongs_def":" new town; Neapolis, a place in Macedonia","derivation":"from G3501 (νέος) and G4172 (πόλις);"},
"G2456":{"derivation":"feminine of the same as G2457 (Ἰούλιος);","strongs_def":" Julia, a Christian woman","lemma":"Ἰουλία","kjv_def":"Julia"},
"G5239":{"strongs_def":" to extend inordinately","derivation":"from G5228 (ὑπέρ) and G1614 (ἐκτείνω);","lemma":"ὑπερεκτείνω","kjv_def":"stretch beyond"},
"G2435":{"derivation":"neuter of a derivative of G2433 (ἱλάσκομαι);","strongs_def":" an expiatory (place or thing), i.e. (concretely) an atoning victim, or (specially) the lid of the Ark (in the Temple)","lemma":"ἱλαστήριον","kjv_def":"mercyseat, propitiation"},
"G54":{"lemma":"ἁγνότης","kjv_def":"pureness","derivation":"from G53 (ἁγνός);","strongs_def":" cleanness (the state), i.e. (figuratively) blamelessness"},
"G1271":{"lemma":"διάνοια","kjv_def":" imagination, mind, understanding","derivation":"from G1223 (διά) and G3563 (νοῦς);","strongs_def":" deep thought, properly, the faculty (mind or its disposition), by implication, its exercise"},
"G2497":{"lemma":"Ἰωρείμ","kjv_def":"Jorim","derivation":"perhaps for G2496 (Ἰωράμ);","strongs_def":" Jorim, an Israelite"},
"G2164":{"derivation":"from G2095 (εὖ) and G5409 (φορέω);","strongs_def":" to bear well, i.e. be fertile","lemma":"εὐφορέω","kjv_def":"bring forth abundantly"},
"G1616":{"lemma":"ἐκτένεια","kjv_def":"X instantly","derivation":"from G1618 (ἐκτενής);","strongs_def":" intentness"},
"G3757":{"derivation":"genitive case of G3739 (ὅς) as adverb;","strongs_def":" at which place, i.e. where","lemma":"οὗ","kjv_def":"where(-in), whither(-soever)"},
"G3483":{"lemma":"ναί","kjv_def":"even so, surely, truth, verily, yea, yes","derivation":"a primary particle of strong affirmation;","strongs_def":" yes"},
"G5611":{"strongs_def":" belonging to the right hour or season (timely), i.e. (by implication) flourishing (beauteous (figuratively))","derivation":"from G5610 (ὥρα);","kjv_def":"beautiful","lemma":"ὡραῖος"},
"G2672":{"lemma":"καταράομαι","kjv_def":"curse","strongs_def":" to execrate; by analogy, to doom","derivation":"middle voice from G2671 (κατάρα);"},
"G5378":{"lemma":"Φιλόλογος","kjv_def":"Philologus","derivation":"from G5384 (φίλος) and G3056 (λόγος);","strongs_def":" fond of words, i.e. talkative (argumentative, learned, \"philological\"); Philologus, a Christian"},
"G4816":{"strongs_def":" to collect","derivation":"from G4862 (σύν) and G3004 (λέγω) in its original sense;","kjv_def":"gather (together, up)","lemma":"συλλέγω"},
"G4211":{"derivation":"feminine of a compound of G4209 (πορφύρα) and G4453 (πωλέω);","strongs_def":" a female trader in purple cloth","lemma":"πορφυρόπωλις","kjv_def":"seller of purple"},
"G793":{"lemma":"ἀστήρικτος","kjv_def":"unstable","strongs_def":" unfixed, i.e. (figuratively) vacillating","derivation":"from G1 (Α) (as a negative particle) and a presumed derivative of G4741 (στηρίζω);"},
"G4156":{"kjv_def":"strangled","lemma":"πνικτός","strongs_def":" throttled, i.e. (neuter concretely) an animal choked to death (not bled)","derivation":"from G4155 (πνίγω);"},
"G2510":{"strongs_def":" to seize upon","derivation":"from G2596 (κατά) and G680 (ἅπτομαι);","lemma":"καθάπτω","kjv_def":"fasten on"},
"G5285":{"kjv_def":"blow softly","lemma":"ὑποπνέω","derivation":"from G5259 (ὑπό) and G4154 (πνέω);","strongs_def":" to breathe gently, i.e. breeze"},
"G2028":{"lemma":"ἐπονομάζω","kjv_def":"call","strongs_def":" to name further, i.e. denominate","derivation":"from G1909 (ἐπί) and G3687 (ὀνομάζω);"},
"G4186":{"derivation":"from G4183 (πολύς) and G5092 (τιμή);","strongs_def":" extremely valuable","lemma":"πολύτιμος","kjv_def":"very costly, of great price"},
"G628":{"lemma":"ἀπολούω","kjv_def":"wash (away)","derivation":"from G575 (ἀπό) and G3068 (λούω);","strongs_def":" to wash fully, i.e. (figuratively) have remitted (reflexively)"},
"G1899":{"strongs_def":" thereafter","derivation":"from G1909 (ἐπί) and G1534 (εἶτα);","kjv_def":"after that(-ward), then","lemma":"ἔπειτα"},
"G2777":{"strongs_def":" properly, a knob, i.e. (by implication) a roll (by extension from the end of a stick on which the manuscript was rolled)","derivation":"from G2776 (κεφαλή);","lemma":"κεφαλίς","kjv_def":"volume"},
"G5462":{"strongs_def":" illumination (figuratively)","derivation":"from G5461 (φωτίζω);","kjv_def":"light","lemma":"φωτισμός"},
"G1058":{"derivation":"of Latin origin;","strongs_def":" Gallion (i.e. Gallio), a Roman officer","lemma":"Γαλλίων","kjv_def":"Gallio"},
"G3955":{"derivation":"middle voice from G3954 (παῤῥησία);","strongs_def":" to be frank in utterance, or confident in spirit and demeanor","kjv_def":"be (wax) bold, (preach, speak) boldly","lemma":"παῤῥησιάζομαι"},
"G4633":{"derivation":"apparently akin to G4632 (σκεῦος) and G4639 (σκιά);","strongs_def":" a tent or cloth hut (literally or figuratively)","kjv_def":"habitation, tabernacle","lemma":"σκηνή"},
"G594":{"lemma":"ἀποδοχή","kjv_def":"acceptation","derivation":"from G588 (ἀποδέχομαι);","strongs_def":" acceptance"},
"G4158":{"lemma":"ποδήρης","kjv_def":"garment down to the foot","strongs_def":" a dress (G2066 (ἐσθής) implied) reaching the ankles","derivation":"from G4228 (πούς) and another element of uncertain affinity;"},
"G5171":{"derivation":"from G5172 (τρυφή);","strongs_def":" to indulge in luxury","kjv_def":"live in pleasure","lemma":"τρυφάω"},
"G3413":{"kjv_def":"Michael","lemma":"Μιχαήλ","derivation":"of Hebrew origin (H04317);","strongs_def":" Michael, an archangel"},
"G4766":{"kjv_def":"make bed, furnish, spread, strew","lemma":"στρώννυμι","derivation":"prolongation from a still simpler , (used only as an alternate in certain tenses) (probably akin to G4731 (στερεός) through the idea of positing);","strongs_def":" to \"strew,\" i.e. spread (as a carpet or couch)"},
"G5601":{"strongs_def":" Obed, an Israelite","derivation":"of Hebrew origin (H05744);","kjv_def":"Obed","lemma":"Ὠβήδ"},
"G3330":{"derivation":"from G3326 (μετά) and G1325 (δίδωμι);","strongs_def":" to give over, i.e. share","kjv_def":"give, impart","lemma":"μεταδίδωμι"},
"G3747":{"kjv_def":"bone","lemma":"ὀστέον","derivation":"of uncertain affinity;","strongs_def":" a bone"},
"G3104":{"derivation":"probably of Hebrew origin;","strongs_def":" Mainan, an Israelite","lemma":"Μαϊνάν","kjv_def":"Mainan"},
"G5367":{"lemma":"φίλαυτος","kjv_def":"lover of own self","strongs_def":" fond of self, i.e. selfish","derivation":"from G5384 (φίλος) and G846 (αὐτός);"},
"G232":{"kjv_def":"go a-fishing","lemma":"ἁλιεύω","derivation":"from G231 (ἁλιεύς);","strongs_def":" to be a fisher, i.e. (by implication) to fish"},
"G3725":{"derivation":"neuter of a derivative of an apparently primary (a bound or limit);","strongs_def":" a boundary-line, i.e. (by implication) a frontier (region)","kjv_def":"border, coast","lemma":"ὅριον"},
"G756":{"derivation":"middle voice of G757 (ἄρχω) (through the implication, of precedence);","strongs_def":" to commence (in order of time)","lemma":"ἄρχομαι","kjv_def":"(rehearse from the) begin(-ning)"},
"G198":{"kjv_def":"enquire diligently","lemma":"ἀκριβόω","derivation":"from the same as G196 (ἀκριβέστατος);","strongs_def":" to be exact, i.e. ascertain"},
"G4130":{"kjv_def":"accomplish, full (…come), furnish","lemma":"πλήθω","strongs_def":" to \"fill\" (literally or figuratively (imbue, influence, supply)); specially, to fulfil (time)","derivation":"a prolonged form of a primary (which appears only as an alternate in certain tenses and in the reduplicated form pimplemi);"},
"G3370":{"kjv_def":"Mede","lemma":"Μῆδος","strongs_def":" a Median, or inhabitant of Media","derivation":"of foreign origin (compare H04074);"},
"G2820":{"kjv_def":"obtain an inheritance","lemma":"κληρόω","derivation":"from G2819 (κλῆρος);","strongs_def":" to allot, i.e. (figuratively) to assign (a privilege)"},
"G5248":{"lemma":"ὑπερπερισσεύω","kjv_def":"abound much more, exceeding","derivation":"from G5228 (ὑπέρ) and G4052 (περισσεύω);","strongs_def":" to super-abound"},
"G2848":{"kjv_def":"corn, grain","lemma":"κόκκος","derivation":"apparently a primary word;","strongs_def":" a kernel of seed"},
"G3080":{"kjv_def":"to be loosed","lemma":"λύσις","derivation":"from G3089 (λύω);","strongs_def":" a loosening, i.e. (specially), divorce"},
"G2964":{"kjv_def":"confirm","lemma":"κυρόω","derivation":"from the same as G2962 (κύριος);","strongs_def":" to make authoritative, i.e. ratify"},
"G3548":{"kjv_def":"giving of the law","lemma":"νομοθεσία","derivation":"from G3550 (νομοθέτης);","strongs_def":" legislation (specially, the institution of the Mosaic code)"},
"G1612":{"derivation":"from G1537 (ἐκ) and G4762 (στρέφω);","strongs_def":" to pervert (figuratively)","kjv_def":"subvert","lemma":"ἐκστρέφω"},
"G2743":{"kjv_def":"sear with a hot iron","lemma":"καυτηριάζω","derivation":"from a derivative of G2545 (καίω);","strongs_def":" to brand (\"cauterize\"), i.e. (by implication) to render unsensitive (figuratively)"},
"G5492":{"kjv_def":"be tossed with tempest","lemma":"χειμάζω","derivation":"from the same as G5494 (χειμών);","strongs_def":" to storm, i.e. (passively) to labor under a gale"},
"G1600":{"strongs_def":" to fly out, i.e. (by analogy) to extend","derivation":"from G1537 (ἐκ) and a form of G4072 (πέτομαι);","lemma":"ἐκπετάννυμι","kjv_def":"stretch forth"},
"G4976":{"strongs_def":" a figure (as a mode or circumstance), i.e. (by implication) external condition","derivation":"from the alternate of G2192 (ἔχω);","kjv_def":"fashion","lemma":"σχῆμα"},
"G4104":{"lemma":"πιστόω","kjv_def":"assure of","derivation":"from G4103 (πιστός);","strongs_def":" to assure"},
"G1365":{"derivation":"from G1364 (δίς);","strongs_def":" properly, to duplicate, i.e. (mentally) to waver (in opinion)","lemma":"διστάζω","kjv_def":"doubt"},
"G1551":{"derivation":"from G1537 (ἐκ) and G1209 (δέχομαι);","strongs_def":" to accept from some source, i.e. (by implication) to await","lemma":"ἐκδέχομαι","kjv_def":"expect, look (tarry) for, wait (for)"},
"G2424":{"lemma":"Ἰησοῦς","kjv_def":"Jesus","strongs_def":" Jesus (i.e. Jehoshua), the name of our Lord and two (three) other Israelites","derivation":"of Hebrew origin (H03091);"},
"G4761":{"lemma":"στρεβλόω","kjv_def":" wrest","strongs_def":" to wrench, i.e. (specially), to torture (by the rack), but only figuratively, to pervert","derivation":"from a derivative of G4762 (στρέφω);"},
"G3149":{"strongs_def":" a (properly, female) breast (as if kneaded up)","derivation":"from the base of G3145 (μασσάομαι);","lemma":"μαστός","kjv_def":"pap"},
"G109":{"strongs_def":" by analogy, to blow); \"air\" (as naturally circumambient)","derivation":"from (to breathe unconsciously, i.e. respire;","kjv_def":"air","lemma":"ἀήρ"},
"G2547":{"strongs_def":" likewise from that place (or time)","derivation":"from G2532 (καί) and G1564 (ἐκεῖθεν);","lemma":"κἀκεῖθεν","kjv_def":"and afterward (from) (thence), thence also"},
"G4712":{"strongs_def":" a stade or certain measure of distance; by implication, a stadium or race-course","derivation":"from the base of G2476 (ἵστημι) (as fixed);","kjv_def":"furlong, race","lemma":"στάδιον"},
"G4413":{"derivation":"contracted superlative of G4253 (πρό);","strongs_def":" foremost (in time, place, order or importance)","lemma":"πρῶτος","kjv_def":"before, beginning, best, chief(-est), first (of all), former"},
"G1119":{"kjv_def":"knee(X -l)","lemma":"γόνυ","strongs_def":" the \"knee\"","derivation":"of uncertain affinity;"},
"G4952":{"lemma":"συσπαράσσω","kjv_def":"throw down","strongs_def":" to rend completely, i.e. (by analogy) to convulse violently","derivation":"from G4862 (σύν) and G4682 (σπαράσσω);"},
"G4997":{"strongs_def":" soundness of mind, i.e. (literally) sanity or (figuratively) self-control","derivation":"from G4998 (σώφρων);","lemma":"σωφροσύνη","kjv_def":"soberness, sobriety"},
"G3655":{"kjv_def":"shower","lemma":"ὄμβρος","strongs_def":" a thunder storm","derivation":"of uncertain affinity;"},
"G469":{"kjv_def":"reward","lemma":"ἀνταπόδοσις","strongs_def":" requital (properly, the act)","derivation":"from G467 (ἀνταποδίδωμι);"},
"G1525":{"lemma":"εἰσέρχομαι","kjv_def":"X arise, come (in, into), enter in(-to), go in (through)","derivation":"from G1519 (εἰς) and G2064 (ἔρχομαι);","strongs_def":" to enter (literally or figuratively)"},
"G4313":{"derivation":"from G4253 (πρό) and G4198 (πορεύομαι);","strongs_def":" to precede (as guide or herald)","kjv_def":"go before","lemma":"προπορεύομαι"},
"G1430":{"derivation":"from (to build);","strongs_def":" properly, an edifice, i.e. (specially) a roof","lemma":"δῶμα","kjv_def":"housetop"},
"G3820":{"strongs_def":" antique, i.e. not recent, worn out","derivation":"from G3819 (πάλαι);","kjv_def":"old","lemma":"παλαιός"},
"G4613":{"lemma":"Σίμων","kjv_def":"Simon","strongs_def":" Simon (i.e. Shimon), the name of nine Israelites","derivation":"of Hebrew origin (H08095);"},
"G1585":{"lemma":"ἐκλανθάνομαι","kjv_def":"forget","derivation":"middle voice from G1537 (ἐκ) and G2990 (λανθάνω);","strongs_def":" to be utterly oblivious of"},
"G1126":{"lemma":"γραώδης","kjv_def":"old wives'","derivation":"from (an old woman) and G1491 (εἶδος);","strongs_def":" crone-like, i.e. silly"},
"G3841":{"derivation":"from G3956 (πᾶς) and G2904 (κράτος);","strongs_def":" the all-ruling, i.e. God (as absolute and universal sovereign)","lemma":"παντοκράτωρ","kjv_def":"Almighty, Omnipotent"},
"G220":{"strongs_def":" a cock or male fowl","derivation":"from (to ward off);","lemma":"ἀλέκτωρ","kjv_def":"cock"},
"G4837":{"lemma":"συμπαρακαλέω","kjv_def":"comfort together","strongs_def":" to console jointly","derivation":"from G4862 (σύν) and G3870 (παρακαλέω);"},
"G2679":{"kjv_def":"dig down, ruin","lemma":"κατασκάπτω","strongs_def":" to undermine, i.e. (by implication) destroy","derivation":"from G2596 (κατά) and G4626 (σκάπτω);"},
"G1528":{"lemma":"εἰσκαλέω","kjv_def":"call in","derivation":"from G1519 (εἰς) and G2564 (καλέω);","strongs_def":" to invite in"},
"G3198":{"strongs_def":" Melchisedek (i.e. Malkitsedek), a patriarch","derivation":"of Hebrew origin (H04442);","kjv_def":"Melchisedec","lemma":"Μελχισεδέκ"},
"G2755":{"lemma":"κενόδοξος","kjv_def":"desirous of vain-glory","derivation":"from G2756 (κενός) and G1391 (δόξα);","strongs_def":" vainly glorifying, i.e. self-conceited"},
"G5063":{"lemma":"τεσσαρακονταετής","kjv_def":"(+ full, of) forty years (old)","strongs_def":" of forty years of age","derivation":"from G5062 (τεσσαράκοντα) and G2094 (ἔτος);"},
"G4408":{"strongs_def":" the prow, i.e. forward part of a vessel","derivation":"feminine of a presumed derivative of G4253 (πρό) as noun;","kjv_def":"forepart(-ship)","lemma":"πρῶρα"},
"G2463":{"kjv_def":"rainbow","lemma":"ἶρις","derivation":"perhaps from G2046 (ἐρέω) (as a symbol of the female messenger of the pagan deities);","strongs_def":" a rainbow (\"iris\")"},
"G5380":{"kjv_def":"contentious","lemma":"φιλόνεικος","derivation":"from G5384 (φίλος) and (a quarrel;","strongs_def":" probably akin to G3534 (νῖκος)); fond of strife, i.e. disputatious"},
"G1633":{"kjv_def":"depart out","lemma":"ἐκχωρέω","derivation":"from G1537 (ἐκ) and G5562 (χωρέω);","strongs_def":" to depart"},
"G5574":{"kjv_def":"falsely, lie","lemma":"ψεύδομαι","strongs_def":" to utter an untruth or attempt to deceive by falsehood","derivation":"middle voice of an apparently primary verb;"},
"G5039":{"strongs_def":" a token (as defining a fact), i.e. criterion of certainty","derivation":"neuter of a presumed derivative of (a goal or fixed limit);","kjv_def":"infallible proof","lemma":"τεκμήριον"},
"G859":{"lemma":"ἄφεσις","kjv_def":"deliverance, forgiveness, liberty, remission","strongs_def":" freedom; (figuratively) pardon","derivation":"from G863 (ἀφίημι);"},
"G5551":{"strongs_def":" to be a time-wearer, i.e. to procrastinate (linger)","derivation":"from a presumed compound of G5550 (χρόνος) and the base of G5147 (τρίβος);","kjv_def":"spend time","lemma":"χρονοτριβέω"},
"G4306":{"lemma":"προνοέω","kjv_def":"provide (for)","derivation":"from G4253 (πρό) and G3539 (νοιέω);","strongs_def":" to consider in advance, i.e. look out for beforehand (actively, by way of maintenance for others; middle voice by way of circumspection for oneself)"},
"G721":{"derivation":"diminutive from G704 (ἀρήν);","strongs_def":" a lambkin","kjv_def":"lamb","lemma":"ἀρνίον"},
"G4584":{"strongs_def":" Semei (i.e. Shimi), an Israelite","derivation":"of Hebrew origin (H08096);","kjv_def":"Semei","lemma":"Σεμεΐ"},
"G4098":{"lemma":"πίπτω","kjv_def":"fail, fall (down), light on","derivation":"probably akin to G4072 (πέτομαι) through the idea of alighting;","strongs_def":" to fall (literally or figuratively)"},
"G4468":{"strongs_def":" recklessness, i.e. (by extension) malignity","derivation":"from the same as G4467 (ῥᾳδιούργημα);","lemma":"ῥᾳδιουργία","kjv_def":"mischief"},
"G4066":{"derivation":"from G4012 (περί) and G5561 (χώρα);","strongs_def":" around the region, i.e. circumjacent (as noun, with G1093 (γῆ) implied vicinity)","lemma":"περίχωρος","kjv_def":"country (round) about, region (that lieth) round about"},
"G4251":{"derivation":"of Latin origin;","strongs_def":" feminine of Priscus, ancient; Priska, a Christian woman","kjv_def":"Prisca","lemma":"Πρίσκα"},
"G4867":{"kjv_def":"call (gather) together","lemma":"συναθροίζω","derivation":"from G4862 (σύν) and (to hoard);","strongs_def":" to convene"},
"G2265":{"lemma":"Ἡρωδιανοί","kjv_def":"Herodians","strongs_def":" Herodians, i.e. partisans of Herod","derivation":"plural of a derivative of G2264 (Ἡρώδης);"},
"G5276":{"lemma":"ὑπολήνιον","kjv_def":"winefat","derivation":"neuter of a presumed compound of G5259 (ὑπό) and G3025 (ληνός);","strongs_def":" vessel or receptacle under the press, i.e. lower wine-vat"},
"G4530":{"strongs_def":" Salim, a place in Palestine","derivation":"probably from the same as G4531 (σαλεύω);","kjv_def":"Salim","lemma":"Σαλείμ"},
"G4812":{"strongs_def":" to lead away as booty, i.e. (figuratively) seduce","derivation":"from the base of G4813 (συλάω) and (the reduplicated form of) G71 (ἄγω);","lemma":"συλαγωγέω","kjv_def":"spoil"},
"G4449":{"derivation":"from G4450 (πυῤῥός);","strongs_def":" to redden (intransitively)","kjv_def":"be red","lemma":"πυῤῥάζω"},
"G2202":{"strongs_def":" a fastening (tiller-rope)","derivation":"feminine of a derivative (at the second stage) from the same as G2218 (ζυγός);","lemma":"ζευκτηρία","kjv_def":"band"},
"G1033":{"lemma":"βρῶμα","kjv_def":"meat, victuals","derivation":"from the base of G977 (βιβρώσκω);","strongs_def":" food (literally or figuratively), especially (ceremonially) articles allowed or forbidden by the Jewish law"},
"G831":{"lemma":"αὐθεντέω","kjv_def":"usurp authority over","strongs_def":" to act of oneself, i.e. (figuratively) dominate","derivation":"from a compound of G846 (αὐτός) and an obsolete (a worker);"},
"G5143":{"lemma":"τρέχω","kjv_def":"have course, run","strongs_def":" compare G2359 (θρίξ)); which uses (the base of G1408 (δρόμος)) as alternate in certain tenses; to run or walk hastily (literally or figuratively)","derivation":"apparently a primary verb (properly, ;"},
"G1850":{"strongs_def":" to control","derivation":"from G1849 (ἐξουσία);","kjv_def":"exercise authority upon, bring under the (have) power of","lemma":"ἐξουσιάζω"},
"G178":{"derivation":"from G1 (Α) (as a negative particle) and a derivative of G2632 (κατακρίνω);","strongs_def":" without (legal) trial","lemma":"ἀκατάκριτος","kjv_def":"uncondemned"},
"G3902":{"kjv_def":"sign","lemma":"παράσημος","strongs_def":" side-marked, i.e. labelled (with a badge (figure-head) of a ship)","derivation":"from G3844 (παρά) and the base of G4591 (σημαίνω);"},
"G541":{"derivation":"from a compound of G575 (ἀπό) and G826 (αὐγάζω);","strongs_def":" an off-flash, i.e. effulgence","lemma":"ἀπαύγασμα","kjv_def":"brightness"},
"G3314":{"lemma":"μεσημβρία","kjv_def":"noon, south","strongs_def":" midday; by implication, the south","derivation":"from G3319 (μέσος) and G2250 (ἡμέρα);"},
"G2835":{"strongs_def":" a quadrans, i.e. the fourth part of an as","derivation":"of Latin origin;","lemma":"κοδράντης","kjv_def":"farthing"},
"G4366":{"strongs_def":" to tear towards, i.e. burst upon (as a tempest or flood)","derivation":"from G4314 (πρός) and G4486 (ῥήγνυμι);","lemma":"προσρήγνυμι","kjv_def":"beat vehemently against (upon)"},
"G4702":{"strongs_def":" sown, i.e. (neuter plural) a planted field","derivation":"from G4703 (σπόρος);","lemma":"σπόριμος","kjv_def":"corn(-field)"},
"G3768":{"derivation":"from G3756 (οὐ) and G4452 (-πω);","strongs_def":" not yet","lemma":"οὔπω","kjv_def":"hitherto not, (no…) as yet, not yet"},
"G3418":{"derivation":"from G3415 (μνάομαι);","strongs_def":" a memorial, i.e. sepulchral monument (burial-place)","lemma":"μνῆμα","kjv_def":"grave, sepulchre, tomb"},
"G5193":{"derivation":"from G5194 (ὕαλος);","strongs_def":" glassy, i.e. transparent","lemma":"ὑάλινος","kjv_def":"of glass"},
"G1621":{"lemma":"ἐκτινάσσω","kjv_def":"shake (off)","derivation":"from G1537 (ἐκ) and tinasso (to swing);","strongs_def":" to shake violently"},
"G1867":{"lemma":"ἐπαινέω","kjv_def":"commend, laud, praise","strongs_def":" to applaud","derivation":"from G1909 (ἐπί) and G134 (αἰνέω);"},
"G3587":{"derivation":"from a derivative of the same as G3586 (ξύλον) (meaning a razor);","strongs_def":" to shave or \"shear\" the hair","lemma":"ξυράω","kjv_def":"shave"},
"G5429":{"kjv_def":"wise(-r)","lemma":"φρόνιμος","strongs_def":" thoughtful, i.e. sagacious or discreet (implying a cautious character; while G4680 (σοφός) denotes practical skill or acumen; and G4908 (συνετός) indicates rather intelligence or mental acquirement); in a bad sense conceited (also in the comparative)","derivation":"from G5424 (φρήν);"},
"G1232":{"derivation":"from G1123 (γραπτός) and G1107 (γνωρίζω);","strongs_def":" to tell abroad","kjv_def":"make known","lemma":"διαγνωρίζω"},
"G3016":{"kjv_def":"mite","lemma":"λεπτόν","derivation":"neuter of a derivative of the same as G3013 (λεπίς);","strongs_def":" something scaled (light), i.e. a small coin"},
"G2479":{"strongs_def":" compare , a form of G2192 (ἔχω)); forcefulness (literally or figuratively)","derivation":"from a derivative of (force;","kjv_def":"ability, might(-ily), power, strength","lemma":"ἰσχύς"},
"G5117":{"lemma":"τόπος","kjv_def":"coast, licence, place, X plain, quarter, + rock, room, where","strongs_def":" a spot (general in space, but limited by occupancy; whereas G5561 (χώρα) is a large but participle locality), i.e. location (as a position, home, tract, etc.); figuratively, condition, opportunity; specially, a scabbard","derivation":"apparently a primary word;"},
"G5585":{"derivation":"from G5586 (ψῆφος);","strongs_def":" to use pebbles in enumeration, i.e. (generally) to compute","lemma":"ψηφίζω","kjv_def":"count"},
"G4187":{"derivation":"adverb from a compound of G4183 (πολύς) and G5158 (τρόπος);","strongs_def":" in many ways, i.e. variously as to method or form","lemma":"πολυτρόπως","kjv_def":"in divers manners"},
"G2472":{"kjv_def":"like precious","lemma":"ἰσότιμος","derivation":"from G2470 (ἴσος) and G5092 (τιμή);","strongs_def":" of equal value or honor"},
"G2128":{"lemma":"εὐλογητός","kjv_def":"blessed","derivation":"from G2127 (εὐλογέω);","strongs_def":" adorable"},
"G2664":{"strongs_def":" to settle down, i.e. (literally) to colonize, or (figuratively) to (cause to) desist","derivation":"from G2596 (κατά) and G3973 (παύω);","kjv_def":"cease, (give) rest(-rain)","lemma":"καταπαύω"},
"G4996":{"derivation":"adverb from G4998 (σώφρων);","strongs_def":" with sound mind, i.e. moderately","lemma":"σωφρόνως","kjv_def":"soberly"},
"G3113":{"kjv_def":"afar off, from far","lemma":"μακρόθεν","derivation":"adverb from G3117 (μακρός);","strongs_def":" from a distance or afar"},
"G500":{"lemma":"ἀντίχριστος","kjv_def":"antichrist","derivation":"from G473 (ἀντί) and G5547 (Χριστός);","strongs_def":" an opponent of the Messiah"},
"G5460":{"lemma":"φωτεινός","kjv_def":"bright, full of light","derivation":"from G5457 (φῶς);","strongs_def":" lustrous, i.e. transparent or well-illuminated (figuratively)"},
"G3157":{"kjv_def":"Matthan","lemma":"Ματθάν","derivation":"of Hebrew origin (H04977);","strongs_def":" Matthan (i.e. Mattan), an Israelite"},
"G1314":{"strongs_def":" to guard thoroughly, i.e. protect","derivation":"from G1223 (διά) and G5442 (φυλάσσω);","kjv_def":"keep","lemma":"διαφυλάσσω"},
"G168":{"derivation":"from G169 (ἀκάθαρτος);","strongs_def":" impurity (the state), morally","lemma":"ἀκαθάρτης","kjv_def":"filthiness"},
"G205":{"strongs_def":" properly (in the plural) the top of the heap, i.e. (by implication) best of the booty","derivation":"from G206 (ἄκρον) and (a heap);","lemma":"ἀκροθίνιον","kjv_def":"spoils"},
"G796":{"lemma":"ἀστραπή","kjv_def":"lightning, bright shining","derivation":"from G797 (ἀστράπτω);","strongs_def":" lightning; by analogy, glare"},
"G2578":{"strongs_def":" to bend","derivation":"apparently a primary verb;","kjv_def":"bow","lemma":"κάμπτω"},
"G595":{"lemma":"ἀπόθεσις","kjv_def":"putting away (off)","strongs_def":" a laying aside (literally or figuratively)","derivation":"from G659 (ἀποτίθημι);"},
"G4291":{"strongs_def":" to stand before, i.e. (in rank) to preside, or (by implication) to practise","derivation":"from G4253 (πρό) and G2476 (ἵστημι);","lemma":"προΐστημι","kjv_def":"maintain, be over, rule"},
"G3101":{"kjv_def":"disciple","lemma":"μαθητής","strongs_def":" a learner, i.e. pupil","derivation":"from G3129 (μανθάνω);"},
"G3448":{"derivation":"probably strengthened for (a shoot);","strongs_def":" a young bullock","kjv_def":"calf","lemma":"μόσχος"},
"G827":{"strongs_def":" a ray of light, i.e. (by implication) radiance, dawn","derivation":"of uncertain derivation;","lemma":"αὐγή","kjv_def":"break of day"},
"G5286":{"strongs_def":" something under the feet, i.e. a foot-rest (figuratively)","derivation":"neuter of a compound of G5259 (ὑπό) and G4228 (πούς);","kjv_def":"footstool","lemma":"ὑποπόδιον"},
"G1407":{"strongs_def":" a gathering hook (especially for harvesting)","derivation":"from (to pluck);","lemma":"δρέπανον","kjv_def":"sickle"},
"G3691":{"lemma":"ὀξύς","kjv_def":"sharp, swift","derivation":"probably akin to the base of G188 (ἀκμήν) (\"acid\");","strongs_def":" keen; by analogy, rapid"},
"G1228":{"strongs_def":" a traducer; specially, Satan (compare H07854)","derivation":"from G1225 (διαβάλλω);","kjv_def":"false accuser, devil, slanderer","lemma":"διάβολος"},
"G3041":{"derivation":"probably from G3040 (λιμήν) (through the idea of nearness of shore);","strongs_def":" a pond (large or small)","kjv_def":"lake","lemma":"λίμνη"},
"G1976":{"derivation":"from G1909 (ἐπί) and the base of G4476 (ῥαφίς);","strongs_def":" to stitch upon, i.e. fasten with the needle","lemma":"ἐπιῤῥάπτω","kjv_def":"sew on"},
"G2398":{"strongs_def":" pertaining to self, i.e. one's own; by implication, private or separate","derivation":"of uncertain affinity;","kjv_def":"X his acquaintance, when they were alone, apart, aside, due, his (own, proper, several), home, (her, our, thine, your) own (business), private(-ly), proper, severally, their (own)","lemma":"ἴδιος"},
"G2534":{"kjv_def":"and, at least","lemma":"καίγε","derivation":"from G2532 (καί) and G1065 (γέ);","strongs_def":" and at least (or even, indeed)"},
"G5391":{"kjv_def":"courteous","lemma":"φιλόφρων","derivation":"from G5384 (φίλος) and G5424 (φρήν);","strongs_def":" friendly of mind, i.e. kind"},
"G1329":{"derivation":"from G1223 (διά) and G2059 (ἑρμηνεύω);","strongs_def":" to explain thoroughly, by implication, to translate","kjv_def":"expound, interpret(-ation)","lemma":"διερμηνεύω"},
"G4890":{"lemma":"συνδρομή","kjv_def":"run together","strongs_def":" a running together, i.e. (riotous) concourse","derivation":"from (the alternate of) G4936 (συντρέχω);"},
"G2733":{"strongs_def":"residence (properly, the condition; but by implication, the abode itself)","lemma":"κατοικία","kjv_def":"habitation"},
"G1761":{"strongs_def":" deliberation","derivation":"from G1760 (ἐνθυμέομαι);","lemma":"ἐνθύμησις","kjv_def":"device, thought"},
"G295":{"strongs_def":" a city surrounded by a river; Amphipolis, a place in Macedonia","derivation":"from the base of G297 (ἀμφότερος) and G4172 (πόλις);","lemma":"Ἀμφίπολις","kjv_def":"Amphipolis"},
"G4319":{"lemma":"προσαιτέω","kjv_def":"beg","strongs_def":" to ask repeatedly (importune), i.e. solicit","derivation":"from G4314 (πρός) and G154 (αἰτέω);"},
"G4628":{"lemma":"σκέλος","kjv_def":"leg","derivation":"apparently from (to parch;","strongs_def":" through the idea of leanness); the leg (as lank)"},
"G795":{"lemma":"ἀστοχέω","kjv_def":"err, swerve","derivation":"from a compound of G1 (Α) (as a negative particle) and (an aim);","strongs_def":" to miss the mark, i.e. (figuratively) deviate from truth"},
"G2978":{"derivation":"of uncertain derivation;","strongs_def":" a whirlwind (squall)","lemma":"λαῖλαψ","kjv_def":"storm, tempest"},
"G135":{"lemma":"αἴνιγμα","kjv_def":"X darkly","strongs_def":" an obscure saying (\"enigma\"), i.e. (abstractly) obscureness","derivation":"from a derivative of G136 (αἶνος) (in its primary sense);"},
"G4739":{"derivation":"from the perfect tense of G2476 (ἵστημι);","strongs_def":" to be stationary, i.e. (figuratively) to persevere","lemma":"στήκω","kjv_def":"stand (fast)"},
"G605":{"kjv_def":"restitution","lemma":"ἀποκατάστασις","derivation":"from G600 (ἀποκαθίστημι);","strongs_def":" reconstitution"},
"G785":{"strongs_def":" a buckler (or round shield); used of a serpent (as coiling itself), probably the \"asp\"","derivation":"of uncertain derivation;","lemma":"ἀσπίς","kjv_def":"asp"},
"G74":{"lemma":"ἀγωνία","kjv_def":"agony","strongs_def":" a struggle (properly, the state), i.e. (figuratively) anguish","derivation":"from G73 (ἀγών);"},
"G1910":{"derivation":"from G1909 (ἐπί) and the base of G939 (βάσις);","strongs_def":" to walk upon, i.e. mount, ascend, embark, arrive","kjv_def":"come (into), enter into, go abroad, sit upon, take ship","lemma":"ἐπιβαίνω"},
"G3006":{"strongs_def":" smooth, i.e. \"level\"","derivation":"apparently a primary word;","kjv_def":"smooth","lemma":"λεῖος"},
"G2509":{"kjv_def":"(even, as well) as","lemma":"καθάπερ","strongs_def":" exactly as","derivation":"from G2505 (καθά) and G4007 (περ);"},
"G4863":{"lemma":"συνάγω","kjv_def":"+ accompany, assemble (selves, together), bestow, come together, gather (selves together, up, together), lead into, resort, take in","derivation":"from G4862 (σύν) and G71 (ἄγω);","strongs_def":" to lead together, i.e. collect or convene; specially, to entertain (hospitably)"},
"G5132":{"kjv_def":"bank, meat, table","lemma":"τράπεζα","strongs_def":" a table or stool (as being four-legged), usually for food (figuratively, a meal); also a counter for money (figuratively, a broker's office for loans at interest)","derivation":"probably contracted from G5064 (τέσσαρες) and G3979 (πεζῇ);"},
"G1053":{"derivation":"of foreign origin;","strongs_def":" Galatia, a region of Asia","kjv_def":"Galatia","lemma":"Γαλατία"},
"G3619":{"lemma":"οἰκοδομή","kjv_def":"building, edify(-ication, -ing)","strongs_def":" architecture, i.e. (concretely) a structure; figuratively, confirmation","derivation":"feminine (abstract) of a compound of G3624 (οἶκος) and the base of G1430 (δῶμα);"},
"G1502":{"kjv_def":"give place","lemma":"εἴκω","strongs_def":" properly, to be weak, i.e. yield","derivation":"apparently a primary verb;"},
"G3090":{"lemma":"Λωΐς","kjv_def":"Lois","derivation":"of uncertain origin;","strongs_def":" Lois, a Christian woman"},
"G3190":{"lemma":"Μελεᾶς","kjv_def":"Meleas","strongs_def":" Meleas, an Israelite","derivation":"of uncertain origin;"},
"G403":{"kjv_def":"revival","lemma":"ἀνάψυξις","strongs_def":" properly, a recovery of breath, i.e. (figuratively) revival","derivation":"from G404 (ἀναψύχω);"},
"G5424":{"lemma":"φρήν","kjv_def":"understanding","strongs_def":" the midrif (as a partition of the body), i.e. (figuratively and by implication, of sympathy) the feelings (or sensitive nature; by extension (also in the plural) the mind or cognitive faculties)","derivation":"probably from an obsolete (to rein in or curb; compare G5420 (φράσσω));"},
"G2644":{"kjv_def":"reconcile","lemma":"καταλλάσσω","strongs_def":" to change mutually, i.e. (figuratively) to compound a difference","derivation":"from G2596 (κατά) and G236 (ἀλλάσσω);"},
"G2994":{"kjv_def":"Laodicean","lemma":"Λαοδικεύς","derivation":"from G2993 (Λαοδίκεια);","strongs_def":" a Laodicean, i.e. inhabitant of Laodicia"},
"G31":{"lemma":"ἀγγελία","kjv_def":"message","derivation":"from G32 (ἄγγελος);","strongs_def":" an announcement, i.e. (by implication) precept"},
"G4569":{"strongs_def":" Saulus (i.e. Shaul), the Jewish name of Paul","derivation":"of Hebrew origin, the same as G4549 (Σαούλ);","lemma":"Σαῦλος","kjv_def":"Saul"},
"G4112":{"derivation":"from G4111 (πλάσσω);","strongs_def":" moulded, i.e. (by implication) artificial or (figuratively) fictitious (false)","lemma":"πλαστός","kjv_def":"feigned"},
"G3556":{"kjv_def":"chicken","lemma":"νοσσίον","derivation":"diminutive of G3502 (νεοσσός);","strongs_def":" a birdling"},
"G3181":{"strongs_def":" bounded alongside, i.e. contiguous (neuter plural as noun, frontier)","derivation":"from G3326 (μετά) and G3725 (ὅριον);","kjv_def":"border","lemma":"μεθόριος"},
"G4667":{"strongs_def":" Smyrna, a place in Asia Minor","derivation":"the same as G4666 (σμύρνα);","lemma":"Σμύρνα","kjv_def":"Smyrna"},
"G2135":{"kjv_def":"eunuch","lemma":"εὐνοῦχος","derivation":"from (a bed) and G2192 (ἔχω);","strongs_def":" a castrated person (such being employed in Oriental bed-chambers); by extension an impotent or unmarried man; by implication, a chamberlain (state-officer)"},
"G2882":{"derivation":"of uncertain derivation;","strongs_def":" Corinthus, a city of Greece","lemma":"Κόρινθος","kjv_def":"Corinth"},
"G2145":{"lemma":"εὐπρόσεδρος","kjv_def":"X attend upon","strongs_def":" sitting well towards, i.e. (figuratively) assiduous (neuter, diligent service)","derivation":"from G2095 (εὖ) and the same as G4332 (προσεδρεύω);"},
"G55":{"derivation":"adverb from G53 (ἁγνός);","strongs_def":" purely, i.e. honestly","kjv_def":"sincerely","lemma":"ἁγνῶς"},
"G1029":{"kjv_def":"snare","lemma":"βρόχος","derivation":"of uncertain derivation;","strongs_def":" a noose"},
"G3383":{"kjv_def":"neither, (n-)or, so as much","lemma":"μήτε","strongs_def":" not too, i.e. (in continued negation) neither or nor; also, not even","derivation":"from G3361 (μή) and G5037 (τέ);"},
"G5412":{"lemma":"φορτίζω","kjv_def":"lade, by heavy laden","strongs_def":" to load up (properly, as a vessel or animal), i.e. (figuratively) to overburden with ceremony (or spiritual anxiety)","derivation":"from G5414 (φόρτος);"},
"G1590":{"strongs_def":" to relax (literally or figuratively)","derivation":"from G1537 (ἐκ) and G3089 (λύω);","lemma":"ἐκλύω","kjv_def":"faint"},
"G3199":{"strongs_def":" to be of interest to, i.e. to concern (only third person singular present indicative used impersonally, it matters)","derivation":"a primary verb;","lemma":"μέλω","kjv_def":"(take) care"},
"G5217":{"strongs_def":" to lead (oneself) under, i.e. withdraw or retire (as if sinking out of sight), literally or figuratively","derivation":"from G5259 (ὑπό) and G71 (ἄγω);","lemma":"ὑπάγω","kjv_def":"depart, get hence, go (a-)way"},
"G4597":{"kjv_def":"moth","lemma":"σής","derivation":"apparently of Hebrew origin (H05580);","strongs_def":" a moth"},
"G4340":{"lemma":"πρόσκαιρος","kjv_def":"dur-(eth) for awhile, endure for a time, for a season, temporal","derivation":"from G4314 (πρός) and G2540 (καιρός);","strongs_def":" for the occasion only, i.e. temporary"},
"G5397":{"lemma":"φλύαρος","kjv_def":"tattler","derivation":"from (to bubble);","strongs_def":" a garrulous person, i.e. prater"},
"G1537":{"lemma":"ἐκ","kjv_def":"after, among, X are, at, betwixt(-yond), by (the means of), exceedingly, (+ abundantly above), for(- th), from (among, forth, up), + grudgingly, + heartily, X heavenly, X hereby, + very highly, in, …ly, (because, by reason) of, off (from), on, out among (from, of), over, since, X thenceforth, through, X unto, X vehemently, with(-out)","strongs_def":" literal or figurative; direct or remote)","derivation":"a primary preposition denoting origin (the point whence action or motion proceeds), from, out (of place, time, or cause;"},
"G5150":{"lemma":"τρίμηνον","kjv_def":"three months","strongs_def":" a three months' space","derivation":"neuter of a compound of G5140 (τρεῖς) and G3376 (μήν) as noun;"},
"G1015":{"derivation":"probably of foreign origin;","strongs_def":" a hillock","lemma":"βουνός","kjv_def":"hill"},
"G145":{"strongs_def":" properly, an organ of perception, i.e. (figuratively) judgment","derivation":"from a derivative of G143 (αἰσθάνομαι);","kjv_def":"senses","lemma":"αἰσθητήριον"},
"G2350":{"kjv_def":"make ado (a noise), trouble self, set on an uproar","lemma":"θορυβέω","derivation":"from G2351 (θόρυβος);","strongs_def":" to be in tumult, i.e. disturb, clamor"},
"G3088":{"lemma":"λύχνος","kjv_def":"candle, light","derivation":"from the base of G3022 (λευκός);","strongs_def":" a portable lamp or other illuminator (literally or figuratively)"},
"G5086":{"kjv_def":"Tiberius","lemma":"Τιβέριος","derivation":"of Latin origin;","strongs_def":" probably pertaining to the river Tiberis or Tiber; Tiberius, a Roman emperor"},
"G1035":{"derivation":"from the base of G977 (βιβρώσκω);","strongs_def":" (abstractly) eating (literally or figuratively); by extension (concretely) food (literally or figuratively)","lemma":"βρῶσις","kjv_def":"eating, food, meat"},
"G4926":{"lemma":"συνομιλέω","kjv_def":"talk with","derivation":"from G4862 (σύν) and G3656 (ὁμιλέω);","strongs_def":" to converse mutually"},
"G3740":{"kjv_def":"as oft(-en) as","lemma":"ὁσάκις","derivation":"multiple adverb from G3739 (ὅς);","strongs_def":" how (i.e. with G302 (ἄν), so) many times as"},
"G1142":{"lemma":"δαίμων","kjv_def":"devil","derivation":"from (to distribute fortunes);","strongs_def":" a dæmon or supernatural spirit (of a bad nature)"},
"G5571":{"lemma":"ψευδής","kjv_def":"false, liar","derivation":"from G5574 (ψεύδομαι);","strongs_def":" untrue, i.e. erroneous, deceitful, wicked"},
"G1170":{"derivation":"probably from the same as G1171 (δεινῶς) (through the idea of forgetting the name as fearful, i.e. strange);","strongs_def":" so and so (when the person is not specified)","kjv_def":"such a man","lemma":"δεῖνα"},
"G5327":{"derivation":"properly, strengthened from the base of G4008 (πέραν) or rather of G4486 (ῥήγνυμι);","strongs_def":" a gap or chasm, i.e. ravine (winter-torrent)","lemma":"φάραγξ","kjv_def":"valley"},
"G1411":{"strongs_def":" force (literally or figuratively); specially, miraculous power (usually by implication, a miracle itself)","derivation":"from G1410 (δύναμαι);","lemma":"δύναμις","kjv_def":"ability, abundance, meaning, might(-ily, -y, -y deed), (worker of) miracle(-s), power, strength, violence, mighty (wonderful) work"},
"G4051":{"derivation":"from G4052 (περισσεύω);","strongs_def":" a surplus, or superabundance","lemma":"περίσσευμα","kjv_def":"abundance, that was left, over and above"},
"G2867":{"derivation":"from (dust;","strongs_def":" by analogy, lime); to whitewash","lemma":"κονιάω","kjv_def":"whiten"},
"G2521":{"lemma":"κάθημαι","kjv_def":"dwell, sit (by, down)","strongs_def":" and (to sit; akin to the base of G1476 (ἑδραῖος)); to sit down; figuratively, to remain, reside","derivation":"from G2596 (κατά);"},
"G2665":{"lemma":"καταπέτασμα","kjv_def":"vail","strongs_def":" something spread thoroughly, i.e. (specially) the door screen (to the Most Holy Place) in the Jewish Temple","derivation":"from a compound of G2596 (κατά) and a congener of G4072 (πέτομαι);"},
"G986":{"kjv_def":"Blastus","lemma":"Βλάστος","derivation":"perhaps the same as the base of G985 (βλαστάνω);","strongs_def":" Blastus, an officer of Herod Agrippa"},
"G5484":{"derivation":"accusative case of G5485 (χάρις) as preposition;","strongs_def":" through favor of, i.e. on account of","kjv_def":"be-(for) cause of, for sake of, +…fore, X reproachfully","lemma":"χάριν"},
"G1763":{"lemma":"ἐνιαυτός","kjv_def":"year","derivation":"prolongation from a primary (a year);","strongs_def":" a year"},
"G288":{"derivation":"probably from the base of G297 (ἀμφότερος) and that of G257 (ἅλων);","strongs_def":" a vine (as coiling about a support)","kjv_def":"vine","lemma":"ἄμπελος"},
"G4017":{"kjv_def":"look (round) about (on)","lemma":"περιβλέπω","derivation":"from G4012 (περί) and G991 (βλέπω);","strongs_def":" to look all around"},
"G1678":{"lemma":"Ἐλμωδάμ","kjv_def":"Elmodam","strongs_def":" Elmodam, an Israelite","derivation":"of Hebrew origin (perhaps for H0486);"},
"G4072":{"kjv_def":"fly(-ing)","lemma":"πέτομαι","derivation":"middle voice of a primary verb;","strongs_def":" to fly"},
"G3429":{"kjv_def":"commit adultery","lemma":"μοιχάω","strongs_def":" (middle voice) to commit adultery","derivation":"from G3432 (μοιχός);"},
"G2561":{"strongs_def":" maltreatment","derivation":"from G2559 (κακόω);","lemma":"κάκωσις","kjv_def":"affliction"},
"G243":{"derivation":"a primary word;","strongs_def":" \"else,\" i.e. different (in many applications)","lemma":"ἄλλος","kjv_def":"more, one (another), (an-, some an-)other(-s, -wise)"},
"G4713":{"kjv_def":"pot","lemma":"στάμνος","strongs_def":" a jar or earthen tank","derivation":"from the base of G2476 (ἵστημι) (as stationary);"},
"G783":{"kjv_def":"greeting, salutation","lemma":"ἀσπασμός","strongs_def":" a greeting (in person or by letter)","derivation":"from G782 (ἀσπάζομαι);"},
"G2434":{"strongs_def":"atonement, i.e. (concretely) an expiator","kjv_def":"propitiation","lemma":"ἱλασμός"},
"G1973":{"kjv_def":"longed for","lemma":"ἐπιπόθητος","derivation":"from G1909 (ἐπί) and a derivative of the latter part of G1971 (ἐπιποθέω);","strongs_def":" yearned upon, i.e. greatly loved"},
"G2149":{"lemma":"εὐρύχωρος","kjv_def":"broad","derivation":"from (wide) and G5561 (χώρα);","strongs_def":" spacious"},
"G3871":{"kjv_def":"hide","lemma":"παρακαλύπτω","derivation":"from G3844 (παρά) and G2572 (καλύπτω);","strongs_def":" to cover alongside, i.e. veil (figuratively)"},
"G968":{"kjv_def":"judgment-seat, set (foot) on, throne","lemma":"βῆμα","strongs_def":" a step, i.e. foot-breath; by implication, a rostrum, i.e. a tribunal","derivation":"from the base of G939 (βάσις);"},
"G3767":{"strongs_def":" (adverbially) certainly, or (conjunctionally) accordingly","derivation":"apparently a primary word;","kjv_def":"and (so, truly), but, now (then), so (likewise then), then, therefore, verily, wherefore","lemma":"οὖν"},
"G418":{"strongs_def":" unadmitted, i.e. (by implication) not supposable","derivation":"from G1 (Α) (as a negative particle) and a derivative of the same as G1735 (ἐνδέχεται);","lemma":"ἀνένδεκτος","kjv_def":"impossible"},
"G5545":{"lemma":"χρῖσμα","kjv_def":"anointing, unction","strongs_def":" an unguent or smearing, i.e. (figuratively) the special endowment (\"chrism\") of the Holy Spirit","derivation":"from G5548 (χρίω);"},
"G2382":{"derivation":"of uncertain affinity;","strongs_def":" the chest (\"thorax\"), i.e. (by implication) a corslet","kjv_def":"breast-plate","lemma":"θώραξ"},
"G4778":{"lemma":"συγκακουχέω","kjv_def":"suffer affliction with","strongs_def":" to maltreat in company with, i.e. (passively) endure persecution together","derivation":"from G4862 (σύν) and G2558 (κακουχέω);"},
"G1264":{"lemma":"διαμάχομαι","kjv_def":"strive","strongs_def":" to fight fiercely (in altercation)","derivation":"from G1223 (διά) and G3164 (μάχομαι);"},
"G2929":{"lemma":"κρυσταλλίζω","kjv_def":"be clear as crystal","derivation":"from G2930 (κρύσταλλος);","strongs_def":" to make (i.e. intransitively, resemble) ice (\"crystallize\")"},
"G5364":{"lemma":"φιλανθρώπως","kjv_def":"courteously","derivation":"adverb from a compound of G5384 (φίλος) and G444 (ἄνθρωπος);","strongs_def":" fondly to man (\"philanthropically\"), i.e. humanely"},
"G4780":{"kjv_def":"cover","lemma":"συγκαλύπτω","strongs_def":" to conceal altogether","derivation":"from G4862 (σύν) and G2572 (καλύπτω);"},
"G5411":{"lemma":"φόρος","kjv_def":"tribute","strongs_def":" a load (as borne), i.e. (figuratively) a tax (properly, an individual assessment on persons or property; whereas G5056 (τέλος) is usually a general toll on goods or travel)","derivation":"from G5342 (φέρω);"},
"G639":{"strongs_def":" to have no way out, i.e. be at a loss (mentally)","derivation":"from a compound of G1 (Α) (as a negative particle) and the base of G4198 (πορεύομαι);","lemma":"ἀπορέω","kjv_def":" (stand in) doubt, be perplexed"},
"G4777":{"lemma":"συγκακοπαθέω","kjv_def":"be partaker of afflictions","derivation":"from G4862 (σύν) and G2553 (κακοπαθέω);","strongs_def":" to suffer hardship in company with"},
"G1491":{"kjv_def":"appearance, fashion, shape, sight","lemma":"εἶδος","derivation":"from G1492 (εἴδω);","strongs_def":" a view, i.e. form (literally or figuratively)"},
"G2555":{"derivation":"from G2556 (κακός) and G4160 (ποιέω);","strongs_def":" a bad-doer; (specially), a criminal","lemma":"κακοποιός","kjv_def":"evil-doer, malefactor"},
"G319":{"derivation":"middle voice from G303 (ἀνά) and G1107 (γνωρίζω);","strongs_def":" to make (oneself) known","kjv_def":"be made known","lemma":"ἀναγνωρίζομαι"},
"G1682":{"derivation":"of Chaldean origin (H0426 with pronominal suffix) my God","kjv_def":"Eloi","lemma":"ἐλοΐ"},
"G4987":{"strongs_def":" to pile up (literally or figuratively)","derivation":"from another form of G4673 (σορός);","kjv_def":"heap, load","lemma":"σωρεύω"},
"G3201":{"kjv_def":"find fault","lemma":"μέμφομαι","derivation":"middle voice of an apparently primary verb;","strongs_def":" to blame"},
"G2067":{"lemma":"ἔσθησις","kjv_def":"government","derivation":"from a derivative of G2066 (ἐσθής);","strongs_def":" clothing (concretely)"},
"G4153":{"kjv_def":"spiritually","lemma":"πνευματικῶς","strongs_def":" non-physically, i.e. divinely, figuratively","derivation":"adverb from G4152 (πνευματικός);"},
"G2487":{"strongs_def":" compare G2240 (ἥκω)); a track (figuratively)","derivation":"from (to arrive;","lemma":"ἴχνος","kjv_def":"step"},
"G1195":{"kjv_def":" bind","lemma":"δεσμεύω","strongs_def":" to be a binder (captor), i.e. to enchain (a prisoner), to tie on (a load)","derivation":"from a (presumed) derivative of G1196 (δεσμέω);"},
"G1350":{"derivation":"probably from a primary verb (to cast);","strongs_def":" a seine (for fishing)","lemma":"δίκτυον","kjv_def":"net"},
"G871":{"lemma":"ἀφομοιόω","kjv_def":"make like","derivation":"from G575 (ἀπό) and G3666 (ὁμοιόω);","strongs_def":" to assimilate closely"},
"G3202":{"lemma":"μεμψίμοιρος","kjv_def":"complainer","strongs_def":" akin to the base of G3313 (μέρος)); blaming fate, i.e. querulous (discontented)","derivation":"from a presumed derivative of G3201 (μέμφομαι) and (fate;"},
"G868":{"kjv_def":"depart, draw (fall) away, refrain, withdraw self","lemma":"ἀφίστημι","derivation":"from G575 (ἀπό) and G2476 (ἵστημι);","strongs_def":" to remove, i.e. (actively) instigate to revolt; usually (reflexively) to desist, desert, etc."},
"G856":{"lemma":"ἀφεδρών","kjv_def":"draught","derivation":"from a compound of G575 (ἀπό) and the base of G1476 (ἑδραῖος);","strongs_def":" a place of sitting apart, i.e. a privy"},
"G2738":{"strongs_def":" properly, a burn (concretely), but used (abstractly) of a glow","derivation":"from G2545 (καίω);","kjv_def":"heat","lemma":"καῦμα"},
"G3389":{"lemma":"μητραλῴας","kjv_def":"murderer of mothers","strongs_def":" a mother-thresher, i.e. matricide","derivation":"from G3384 (μήτηρ) and the base of G257 (ἅλων);"},
"G4255":{"derivation":"from G4253 (πρό) and G138 (αἱρέομαι);","strongs_def":" to choose for oneself before another thing (prefer), i.e. (by implication) to propose (intend)","lemma":"προαιρέομαι","kjv_def":"purpose"},
"G4405":{"derivation":"feminine of a derivative of G4404 (πρωΐ) as noun;","strongs_def":" day-dawn","kjv_def":"early, morning","lemma":"πρωΐα"},
"G1217":{"kjv_def":"maker","lemma":"δημιουργός","derivation":"from G1218 (δῆμος) and G2041 (ἔργον);","strongs_def":" a worker for the people, i.e. mechanic (spoken of the Creator)"},
"G5112":{"strongs_def":" more daringly, i.e. with greater confidence than otherwise","derivation":"neuter of the compound of a derivative of the base of 5111 (as adverb);","lemma":"τολμηρότερον","kjv_def":"the more boldly"},
"G3822":{"lemma":"παλαιόω","kjv_def":"decay, make (wax) old","strongs_def":" to make (passively, become) worn out, or declare obsolete","derivation":"from G3820 (παλαιός);"},
"G5009":{"kjv_def":"secret chamber, closet, storehouse","lemma":"ταμεῖον","derivation":"neuter contraction of a presumed derivative of (a dispenser or distributor;","strongs_def":" akin to , to cut); a dispensary or magazine, i.e. a chamber on the ground-floor or interior of an Oriental house (generally used for storage or privacy, a spot for retirement)"},
"G3553":{"lemma":"νόσημα","kjv_def":"disease","derivation":"from G3552 (νοσέω);","strongs_def":" an ailment"},
"G2895":{"derivation":"probably of foreign origin;","strongs_def":" a mattress","kjv_def":"bed","lemma":"κράββατος"},
"G839":{"derivation":"from a derivative of the same as G109 (ἀήρ) (meaning a breeze, i.e. the morning air);","strongs_def":" properly, fresh, i.e. (adverb with ellipsis of G2250 (ἡμέρα)) to-morrow","lemma":"αὔριον","kjv_def":"(to-)morrow, next day"},
"G916":{"derivation":"from G926 (βαρύς);","strongs_def":" to weigh down (figuratively)","kjv_def":"burden, charge, heavy, press","lemma":"βαρέω"},
"G186":{"kjv_def":"without wavering","lemma":"ἀκλινής","strongs_def":" not leaning, i.e. (figuratively) firm","derivation":"from G1 (Α) (as a negative particle) and G2827 (κλίνω);"},
"G3838":{"strongs_def":" full-ended, i.e. entire (neuter as noun, completion)","derivation":"from G3956 (πᾶς) and G5056 (τέλος);","kjv_def":"+ in (no) wise, uttermost","lemma":"παντελής"},
"G4762":{"lemma":"στρέφω","kjv_def":"convert, turn (again, back again, self, self about)","strongs_def":" to twist, i.e. turn quite around or reverse (literally or figuratively)","derivation":"strengthened from the base of G5157 (τροπή);"},
"G1660":{"strongs_def":" an advent","derivation":"from the alternate of G2064 (ἔρχομαι);","lemma":"ἔλευσις","kjv_def":"coming"},
"G1881":{"derivation":"middle voice from G1909 (ἐπί) and G450 (ἀνίστημι);","strongs_def":" to stand up on, i.e. (figuratively) to attack","kjv_def":"rise up against","lemma":"ἐπανίσταμαι"},
"G1686":{"lemma":"ἐμβάπτω","kjv_def":"dip","strongs_def":" to whelm on, i.e. wet (a part of the person, etc.) by contact with a fluid","derivation":"from G1722 (ἐν) and G911 (βάπτω);"},
"G4910":{"kjv_def":"feast with","lemma":"συνευωχέω","strongs_def":" to entertain sumptuously in company with, i.e. (middle voice or passive) to revel together","derivation":"from G4862 (σύν) and a derivative of a presumed compound of G2095 (εὖ) and a derivative of G2192 (ἔχω) (meaning to be in good condition, i.e. (by implication) to fare well, or feast);"},
"G3590":{"kjv_def":"eighth","lemma":"ὄγδοος","derivation":"from G3638 (ὀκτώ);","strongs_def":" the eighth"},
"G954":{"derivation":"of Chaldee origin (by parody on H01176);","strongs_def":" dung-god; Beelzebul, a name of Satan","kjv_def":"Beelzebub","lemma":"Βεελζεβούλ"},
"G1955":{"lemma":"ἐπίλυσις","kjv_def":"interpretation","strongs_def":" explanation, i.e. application","derivation":"from G1956 (ἐπιλύω);"},
"G4727":{"lemma":"στενάζω","kjv_def":"with grief, groan, grudge, sigh","strongs_def":" to make (intransitively, be) in straits, i.e. (by implication) to sigh, murmur, pray inaudibly","derivation":"from G4728 (στενός);"},
"G2372":{"lemma":"θυμός","kjv_def":"fierceness, indignation, wrath","derivation":"from G2380 (θύω);","strongs_def":" passion (as if breathing hard)"},
"G5241":{"kjv_def":"make intercession for","lemma":"ὑπερεντυγχάνω","strongs_def":" to intercede in behalf of","derivation":"from G5228 (ὑπέρ) and G1793 (ἐντυγχάνω);"},
"G2470":{"lemma":"ἴσος","kjv_def":"+ agree, as much, equal, like","derivation":"probably from G1492 (εἴδω) (through the idea of seeming);","strongs_def":" similar (in amount and kind)"},
"G4412":{"derivation":"neuter of G4413 (πρῶτος) as adverb (with or without G3588 (ὁ));","strongs_def":" firstly (in time, place, order, or importance)","kjv_def":"before, at the beginning, chiefly (at, at the) first (of all)","lemma":"πρῶτον"},
"G676":{"derivation":"from G1 (Α) (as a negative particle) and a derivative of a comparative of G4314 (πρός) and (to go);","strongs_def":" inaccessible","lemma":"ἀπρόσιτος","kjv_def":"which no man can approach"},
"G1067":{"kjv_def":"hell","lemma":"γέεννα","strongs_def":" valley of (the son of) Hinnom; ge-henna (or Ge-Hinnom), a valley of Jerusalem, used (figuratively) as a name for the place (or state) of everlasting punishment","derivation":"of Hebrew origin (H01516 and H02011);"},
"G3805":{"strongs_def":" liable (i.e. doomed) to experience pain","derivation":"from the same as G3804 (πάθημα);","lemma":"παθητός","kjv_def":"suffer"},
"G1193":{"lemma":"δερμάτινος","kjv_def":"leathern, of a skin","strongs_def":" made of hide","derivation":"from G1192 (δέρμα);"},
"G3615":{"kjv_def":"they (them) of (his own) household","lemma":"οἰκιακός","derivation":"from G3614 (οἰκία);","strongs_def":" familiar, i.e. (as noun) relatives"},
"G650":{"derivation":"from G575 (ἀπό) and (to deprive);","strongs_def":" to despoil","kjv_def":"defraud, destitute, kept back by fraud","lemma":"ἀποστερέω"},
"G4081":{"strongs_def":" clay","derivation":"perhaps a primary word;","lemma":"πηλός","kjv_def":"clay"},
"G967":{"strongs_def":" fig-house; Beth-phage, a place in Palestine","derivation":"of Chaldee origin (compare H01004 and H06291);","kjv_def":"Bethphage","lemma":"Βηθφαγή"},
"G941":{"derivation":"perhaps remotely derived from the base of G939 (βάσις) (through the idea of removal);","strongs_def":" to lift, literally or figuratively (endure, declare, sustain, receive, etc.)","lemma":"βαστάζω","kjv_def":"bear, carry, take up"},
"G4627":{"strongs_def":"a \"skiff\" (as if dug out), or yawl (carried aboard a large vessel for landing)","lemma":"σκάφη","kjv_def":"boat"},
"G846":{"kjv_def":"her, it(-self), one, the other, (mine) own, said, (self-), the) same, ((him-, my-, thy- )self, (your-)selves, she, that, their(-s), them(-selves), there(-at, - by, -in, -into, -of, -on, -with), they, (these) things, this (man), those, together, very, which","lemma":"αὐτός","strongs_def":" the reflexive pronoun self, used (alone or in the comparative G1438 (ἑαυτοῦ)) of the third person , and (with the proper personal pronoun) of the other persons","derivation":"from the particle (perhaps akin to the base of G109 (ἀήρ) through the idea of a baffling wind) (backward);"},
"G4390":{"derivation":"from G4253 (πρό) and G5143 (τρέχω) (including its alternate);","strongs_def":" to run forward, i.e. outstrip, precede","kjv_def":"outrun, run before","lemma":"προτρέχω"},
"G121":{"derivation":"from G1 (Α) (as a negative particle) and probably a derivative of G5087 (τίθημι) (meaning a penalty);","strongs_def":" not guilty","kjv_def":"innocent","lemma":"ἄθωος"},
"G3618":{"derivation":"from the same as G3619 (οἰκοδομή);","strongs_def":" to be a house-builder, i.e. construct or (figuratively) confirm","lemma":"οἰκοδομέω","kjv_def":"(be in) build(-er, -ing, up), edify, embolden"},
"G4152":{"derivation":"from G4151 (πνεῦμα);","strongs_def":" non-carnal, i.e. (humanly) ethereal (as opposed to gross), or (dæmoniacally) a spirit (concretely), or (divinely) supernatural, regenerate, religious","lemma":"πνευματικός","kjv_def":"spiritual"},
"G2822":{"derivation":"from the same as G2821 (κλῆσις);","strongs_def":" invited, i.e. appointed, or (specially), a saint","kjv_def":"called","lemma":"κλητός"},
"G4162":{"strongs_def":" action, i.e. performance (of the law)","derivation":"from G4160 (ποιέω);","kjv_def":"deed","lemma":"ποίησις"},
"G3470":{"strongs_def":" a flaw or blot, i.e. (figuratively) disgraceful person","derivation":"perhaps from G3201 (μέμφομαι);","kjv_def":"blemish","lemma":"μῶμος"},
"G5402":{"derivation":"feminine of (bright;","strongs_def":" probably akin to the base of G5457 (φῶς)); Phœbe, a Christian woman","lemma":"Φοίβη","kjv_def":"Phebe"},
"G2194":{"strongs_def":" Zabulon (i.e. Zebulon), a region of Palestine","derivation":"of Hebrew origin (H02074);","lemma":"Ζαβουλών","kjv_def":"Zabulon"},
"G4054":{"lemma":"περισσότερον","kjv_def":"more abundantly, a great deal, far more","strongs_def":" in a more superabundant way","derivation":"neuter of G4055 (περισσότερος) (as adverb);"},
"G1856":{"lemma":"ἐξωθέω","kjv_def":"drive out, thrust in","derivation":"from G1537 (ἐκ) and (to push);","strongs_def":" to expel; by implication, to propel"},
"G2590":{"lemma":"καρπός","kjv_def":"fruit","derivation":"probably from the base of G726 (ἁρπάζω);","strongs_def":" fruit (as plucked), literally or figuratively"},
"G4694":{"kjv_def":"spot (by confusion with G4696 (σπίλος))","lemma":"σπιλάς","derivation":"of uncertain derivation;","strongs_def":" a ledge or reef of rock in the sea"},
"G2553":{"kjv_def":"be afflicted, endure afflictions (hardness), suffer trouble","lemma":"κακοπαθέω","derivation":"from the same as G2552 (κακοπάθεια);","strongs_def":" to undergo hardship"},
"G1295":{"derivation":"from G1223 (διά) and G4982 (σώζω);","strongs_def":" to save thoroughly, i.e. (by implication or analogy) to cure, preserve, rescue, etc.","lemma":"διασώζω","kjv_def":"bring safe, escape (safe), heal, make perfectly whole, save"},
"G1787":{"derivation":"from G1722 (ἐν);","strongs_def":" inside (adverb or noun)","lemma":"ἐντός","kjv_def":"within"},
"G4888":{"kjv_def":"glorify together","lemma":"συνδοξάζω","derivation":"from G4862 (σύν) and G1392 (δοξάζω);","strongs_def":" to exalt to dignity in company (i.e. similarly) with"},
"G4495":{"derivation":"from a derivative of G4496 (ῥίπτω);","strongs_def":" to toss up","kjv_def":"cast off","lemma":"ῥιπτέω"},
"G2241":{"derivation":"of Hebrew origin (H0410 with pronominal suffix);","strongs_def":" my God","kjv_def":" Eli","lemma":"ἠλί"},
"G3678":{"lemma":"ὀνάριον","kjv_def":"young ass","strongs_def":" a little ass","derivation":"neuter of a presumed derivative of G3688 (ὄνος);"},
"G1400":{"derivation":"neuter of G1401 (δοῦλος);","strongs_def":" subservient","kjv_def":"servant","lemma":"δοῦλον"},
"G1778":{"kjv_def":"commandment","lemma":"ἔνταλμα","strongs_def":" an injunction, i.e. religious precept","derivation":"from G1781 (ἐντέλλομαι);"},
"G420":{"derivation":"from G430 (ἀνέχομαι) and G2556 (κακός);","strongs_def":" enduring of ill, i.e. forbearing","kjv_def":"patient","lemma":"ἀνεξίκακος"},
"G2186":{"strongs_def":" to stand upon, i.e. be present (in various applications, friendly or otherwise, usually literal); ","derivation":"from G1909 (ἐπί) and G2476 (ἵστημι);","lemma":"ἐφίστημι","kjv_def":"--assault, come (in, to, unto, upon), be at hand (instant), present, stand (before, by, over)"},
"G653":{"kjv_def":"provoke to speak","lemma":"ἀποστοματίζω","strongs_def":" to speak off-hand (properly, dictate), i.e. to catechize (in an invidious manner)","derivation":"from G575 (ἀπό) and a (presumed) derivative of G4750 (στόμα);"},
"G5192":{"kjv_def":" jacinth","lemma":"ὑάκινθος","strongs_def":" the \"hyacinth\" or \"jacinth\", i.e. some gem of a deep blue color, probably the zirkon","derivation":"of uncertain derivation;"},
"G4666":{"strongs_def":" myrrh","derivation":"apparently strengthened for G3464 (μύρον);","lemma":"σμύρνα","kjv_def":"myrrh"},
"G4363":{"derivation":"from G4314 (πρός) and G4098 (πίπτω);","strongs_def":" to fall towards, i.e. (gently) prostrate oneself (in supplication or homage), or (violently) to rush upon (in storm)","lemma":"προσπίπτω","kjv_def":"beat upon, fall (down) at (before)"},
"G5624":{"derivation":"from a form of G3786 (ὄφελος);","strongs_def":" helpful or serviceable, i.e. advantageous","lemma":"ὠφέλιμος","kjv_def":"profit(-able)"},
"G5351":{"lemma":"φθείρω","kjv_def":"corrupt (self), defile, destroy","derivation":"probably strengthened from (to pine or waste);","strongs_def":" properly, to shrivel or wither, i.e. to spoil (by any process) or (generally) to ruin (especially figuratively, by moral influences, to deprave)"},
"G5258":{"derivation":"from an obsolete primary (perhaps akin to G5259 (ὑπό) through the idea of subsilience);","strongs_def":" sleep, i.e. (figuratively) spiritual torpor","lemma":"ὕπνος","kjv_def":"sleep"},
"G2334":{"lemma":"θεωρέω","kjv_def":"behold, consider, look on, perceive, see","derivation":"from a derivative of G2300 (θεάομαι) (perhaps by addition of G3708 (ὁράω));","strongs_def":" to be a spectator of, i.e. discern, (literally, figuratively (experience) or intensively (acknowledge))"},
"G2976":{"kjv_def":"Lazarus","lemma":"Λάζαρος","derivation":"probably of Hebrew origin (H0499);","strongs_def":" Lazarus (i.e. Elazar), the name of two Israelites (one imaginary)"},
"G345":{"lemma":"ἀνακεῖμαι","kjv_def":"guest, lean, lie, sit (down, at meat), at the table","strongs_def":" to recline (as a corpse or at a meal)","derivation":"from G303 (ἀνά) and G2749 (κεῖμαι);"},
"G4289":{"derivation":"from G4253 (πρό) and G2372 (θυμός);","strongs_def":" forward in spirit, i.e. predisposed; neuter (as noun) alacrity","kjv_def":"ready, willing","lemma":"πρόθυμος"},
"G5056":{"kjv_def":"+ continual, custom, end(-ing), finally, uttermost","lemma":"τέλος","strongs_def":" properly, the point aimed at as a limit, i.e. (by implication) the conclusion of an act or state (termination (literally, figuratively or indefinitely), result (immediate, ultimate or prophetic), purpose); specially, an impost or levy (as paid)","derivation":"from a primary (to set out for a definite point or goal);"},
"G527":{"kjv_def":"tender","lemma":"ἀπαλός","strongs_def":" soft","derivation":"of uncertain derivation;"},
"G3676":{"lemma":"ὅμως","kjv_def":"and even, nevertheless, though but","derivation":"adverb from the base of G3674 (ὁμοῦ);","strongs_def":" at the same time, i.e. (conjunctionally) notwithstanding, yet still"},
"G2507":{"strongs_def":" to lower (or with violence) demolish (literally or figuratively)","derivation":"from G2596 (κατά) and G138 (αἱρέομαι) (including its alternate);","lemma":"καθαιρέω","kjv_def":"cast (pull, put, take) down, destroy"},
"G4658":{"derivation":"probably of foreign origin;","strongs_def":" a Scythene or Scythian, i.e. (by implication) a savage","lemma":"Σκύθης","kjv_def":"Scythian"},
"G3586":{"derivation":"from another form of the base of G3582 (ξέστης);","strongs_def":" timber (as fuel or material); by implication, a stick, club or tree or other wooden article or substance","kjv_def":"staff, stocks, tree, wood","lemma":"ξύλον"},
"G1120":{"kjv_def":"bow the knee, kneel down","lemma":"γονυπετέω","strongs_def":" to fall on the knee","derivation":"from a compound of G1119 (γόνυ) and the alternate of G4098 (πίπτω);"},
"G2109":{"kjv_def":"do good","lemma":"εὐεργετέω","derivation":"from G2110 (εὐεργέτης);","strongs_def":" to be philanthropic"},
"G902":{"kjv_def":"branch","lemma":"βαΐον","derivation":"a diminutive of a derivative probably of the base of G939 (βάσις);","strongs_def":" a palm twig (as going out far)"},
"G3189":{"derivation":"apparently a primary word;","strongs_def":" black","lemma":"μέλας","kjv_def":"black"},
"G3387":{"lemma":"μήτις","kjv_def":"any (sometimes unexpressed except by the simple interrogative form of the sentence)","derivation":"from G3361 (μή) and G5100 (τὶς);","strongs_def":" whether any"},
"G2047":{"derivation":"from G2048 (ἔρημος);","strongs_def":" solitude (concretely)","kjv_def":"desert, wilderness","lemma":"ἐρημία"},
"G1293":{"strongs_def":" a variation","derivation":"from G1291 (διαστέλλομαι);","lemma":"διαστολή","kjv_def":"difference, distinction"},
"G3117":{"derivation":"from G3372 (μῆκος);","strongs_def":" long (in place (distant) or time (neuter plural))","lemma":"μακρός","kjv_def":"far, long"},
"G2491":{"lemma":"Ἰωάννης","kjv_def":"John","strongs_def":" Joannes (i.e. Jochanan), the name of four Israelites","derivation":"of Hebrew origin (H03110);"},
"G185":{"strongs_def":" unmixed, i.e. (figuratively) innocent","derivation":"from G1 (Α) (as a negative particle) and a presumed derivative of G2767 (κεράννυμι);","kjv_def":"harmless, simple","lemma":"ἀκέραιος"},
"G2124":{"derivation":"from G2126 (εὐλαβής);","strongs_def":" properly, caution, i.e. (religiously) reverence (piety); by implication, dread (concretely)","kjv_def":"fear(-ed)","lemma":"εὐλάβεια"},
"G4493":{"lemma":"ῥιπή","kjv_def":"twinkling","strongs_def":" a jerk (of the eye, i.e. (by analogy) an instant)","derivation":"from G4496 (ῥίπτω);"},
"G4079":{"derivation":"neuter of a (presumed) derivative of (the blade of an oar;","strongs_def":" from the same as G3976 (πέδη)); a \"pedal\", i.e. helm","lemma":"πηδάλιον","kjv_def":"rudder"},
"G2751":{"lemma":"κείρω","kjv_def":"shear(-er)","derivation":"a primary verb;","strongs_def":" to shear"},
"G5410":{"lemma":"Φόρον","kjv_def":"forum","derivation":"of Latin origin;","strongs_def":" a forum or market-place; only in comparative with G675 (Ἄππιος); a station on the Appian road"},
"G4385":{"lemma":"προτείνω","kjv_def":"bind","derivation":"from G4253 (πρό) and (to stretch);","strongs_def":" to protend, i.e. tie prostrate (for scourging)"},
"G3393":{"derivation":"from G3392 (μιαίνω) (\"miasma\");","strongs_def":" (morally) foulness (properly, the effect)","lemma":"μίασμα","kjv_def":"pollution"},
"G2267":{"kjv_def":"Herodion","lemma":"Ἡρωδίων","strongs_def":" Herodion, a Christian","derivation":"from G2264 (Ἡρώδης);"},
"G2478":{"derivation":"from G2479 (ἰσχύς);","strongs_def":" forcible (literally or figuratively)","lemma":"ἰσχυρός","kjv_def":"boisterous, mighty(-ier), powerful, strong(-er, man), valiant"},
"G2417":{"strongs_def":" a temple-despoiler","derivation":"from G2411 (ἱερόν) and G4813 (συλάω);","kjv_def":"robber of churches","lemma":"ἱερόσυλος"},
"G1040":{"lemma":"βύσσος","kjv_def":"fine linen","derivation":"of Hebrew origin (H0948);","strongs_def":" white linen"},
"G2064":{"derivation":"middle voice of a primary verb (used only in the present and imperfect tenses, the others being supplied by a kindred (middle voice) , or (active) , which do not otherwise occur);","strongs_def":" to come or go (in a great variety of applications, literally and figuratively)","kjv_def":"accompany, appear, bring, come, enter, fall out, go, grow, X light, X next, pass, resort, be set","lemma":"ἔρχομαι"},
"G4252":{"derivation":"diminutive of G4251 (Πρίσκα);","strongs_def":" Priscilla (i.e. little Prisca), a Christian woman","kjv_def":"Priscilla","lemma":"Πρίσκιλλα"},
"G3375":{"kjv_def":"+ surely","lemma":"μήν","derivation":"a stronger form of G3303 (μέν);","strongs_def":" a particle of affirmation (only with G2229 (ἦ)); assuredly"},
"G1384":{"lemma":"δόκιμος","kjv_def":"approved, tried","derivation":"from G1380 (δοκέω);","strongs_def":" properly, acceptable (current after assayal), i.e. approved"},
"G2842":{"lemma":"κοινωνία","kjv_def":"(to) communicate(-ation), communion, (contri-)distribution, fellowship","derivation":"from G2844 (κοινωνός);","strongs_def":" partnership, i.e. (literally) participation, or (social) intercourse, or (pecuniary) benefaction"},
"G5587":{"derivation":"from a derivative of (a whisper;","strongs_def":" by implication, a slander; probably akin to G5574 (ψεύδομαι)); whispering, i.e. secret detraction","kjv_def":"whispering","lemma":"ψιθυρισμός"},
"G3993":{"strongs_def":" starving, i.e. indigent","derivation":"from a primary (to toil for daily subsistence);","kjv_def":"poor","lemma":"πένης"},
"G2280":{"derivation":"of uncertain origin;","strongs_def":" Thaddæus, one of the Apostles","kjv_def":"Thaddæus","lemma":"Θαδδαῖος"},
"G3727":{"kjv_def":"oath","lemma":"ὅρκος","strongs_def":" perhaps akin to G3725 (ὅριον)); a limit, i.e. (sacred) restraint (specially, an oath)","derivation":"from (a fence;"},
"G763":{"strongs_def":" impiety, i.e. (by implication) wickedness","derivation":"from G765 (ἀσεβής);","kjv_def":"ungodly(-liness)","lemma":"ἀσέβεια"},
"G2533":{"lemma":"Καϊάφας","kjv_def":"Caiaphas","derivation":"of Chaldee origin;","strongs_def":" the dell; Caiaphas (i.e. Cajepha), an Israelite"},
"G2363":{"kjv_def":"Thyatira","lemma":"Θυάτειρα","strongs_def":" Thyatira, a place in Asia Minor","derivation":"of uncertain derivation;"},
"G1420":{"lemma":"δυσεντερία","kjv_def":"bloody flux","derivation":"from G1418 (δυσ-) and a comparative of G1787 (ἐντός) (meaning a bowel);","strongs_def":" a \"dysentery\""},
"G744":{"kjv_def":"(them of) old (time)","lemma":"ἀρχαῖος","strongs_def":" original or primeval","derivation":"from G746 (ἀρχή);"},
"G5038":{"strongs_def":" a wall (as formative of a house)","derivation":"akin to the base of G5088 (τίκτω);","kjv_def":"wall","lemma":"τεῖχος"},
"G4396":{"derivation":"from a compound of G4253 (πρό) and G5346 (φημί);","strongs_def":" a foreteller (\"prophet\"); by analogy, an inspired speaker; by extension, a poet","kjv_def":"prophet","lemma":"προφήτης"},
"G1966":{"lemma":"ἐπιοῦσα","kjv_def":"following, next","strongs_def":" supervening, i.e. (G2250 (ἡμέρα) or G3571 (νύξ) being expressed or implied) the ensuing day or night","derivation":"feminine singular participle of a comparative of G1909 (ἐπί) and (to go);"},
"G4056":{"strongs_def":" more superabundantly","derivation":"adverb from G4055 (περισσότερος);","kjv_def":"more abundant(-ly), X the more earnest, (more) exceedingly, more frequent, much more, the rather","lemma":"περισσοτέρως"},
"G3836":{"lemma":"πανταχόθεν","kjv_def":"from every quarter","derivation":"adverb (of source) from G3837 (πανταχοῦ);","strongs_def":" from all directions"},
"G1297":{"kjv_def":"commandment","lemma":"διάταγμα","strongs_def":" an arrangement, i.e. (authoritative) edict","derivation":"from G1299 (διατάσσω);"},
"G642":{"lemma":"ἀπορφανίζω","kjv_def":"take","derivation":"from G575 (ἀπό) and a derivative of G3737 (ὀρφανός);","strongs_def":" to bereave wholly, i.e. (figuratively) separate (from intercourse)"},
"G367":{"strongs_def":" Ananias, the name of three Israelites","derivation":"of Hebrew origin (H02608);","kjv_def":"Ananias","lemma":"Ἀνανίας"},
"G878":{"lemma":"ἄφρων","kjv_def":"fool(-ish), unwise","derivation":"from G1 (Α) (as a negative particle) and G5424 (φρήν);","strongs_def":" properly, mindless, i.e. stupid, (by implication) ignorant, (specially) egotistic, (practically) rash, or (morally) unbelieving"},
"G4949":{"lemma":"Συροφοίνισσα","kjv_def":"Syrophenician","derivation":"feminine of a compound of G4948 (Σύρος) and the same as G5403 (Φοινίκη);","strongs_def":" a Syro-phœnician woman, i.e. a female native of Phœnicia in Syria"},
"G5570":{"derivation":"from G5571 (ψευδής) and G652 (ἀπόστολος);","strongs_def":" a spurious apostle, i.e. pretended pracher","lemma":"ψευδαπόστολος","kjv_def":"false teacher"},
"G4281":{"kjv_def":"go before (farther, forward), outgo, pass on","lemma":"προέρχομαι","strongs_def":" to go onward, precede (in place or time)","derivation":"from G4253 (πρό) and G2064 (ἔρχομαι) (including its alternate);"},
"G1380":{"kjv_def":"be accounted, (of own) please(-ure), be of reputation, seem (good), suppose, think, trow","lemma":"δοκέω","derivation":"a prolonged form of a primary verb, (used only in an alternate in certain tenses;","strongs_def":" compare the base of G1166 (δεικνύω)) of the same meaning; to think; by implication, to seem (truthfully or uncertainly)"},
"G1364":{"lemma":"δίς","kjv_def":"again, twice","derivation":"adverb from G1417 (δύο);","strongs_def":" twice"},
"G4831":{"strongs_def":" a co-imitator, i.e. fellow votary","derivation":"from a presumed compound of G4862 (σύν) and G3401 (μιμέομαι);","kjv_def":"follower together","lemma":"συμμιμητής"},
"G4929":{"kjv_def":"appoint","lemma":"συντάσσω","strongs_def":" to arrange jointly, i.e. (figuratively) to direct","derivation":"from G4862 (σύν) and G5021 (τάσσω);"},
"G5152":{"strongs_def":" a third roof (story)","derivation":"neuter of a compound of G5140 (τρεῖς) and G4721 (στέγη) as noun;","kjv_def":"third loft","lemma":"τρίστεγον"},
"G4213":{"strongs_def":" a drinking (the act), i.e. (concretely) a draught","derivation":"from the alternate of G4095 (πίνω);","lemma":"πόσις","kjv_def":"drink"},
"G960":{"kjv_def":"Berea","lemma":"Βέροια","strongs_def":" Berœa, a place in Macedonia","derivation":"perhaps a provincial from a derivative of G4008 (πέραν) (Perœa, i.e. the region beyond the coast-line);"},
"G1191":{"lemma":"Δέρβη","kjv_def":"Derbe","derivation":"of foreign origin;","strongs_def":" Derbe, a place in Asia Minor"},
"G72":{"derivation":"reduplicated from G71 (ἄγω);","strongs_def":" a bringing up, i.e. mode of living","lemma":"ἀγωγή","kjv_def":"manner of life"},
"G5188":{"lemma":"τύφω","kjv_def":"smoke","strongs_def":" to make a smoke, i.e. slowly consume without flame","derivation":"apparently a primary verb;"},
"G3326":{"kjv_def":"after(-ward), X that he again, against, among, X and, + follow, hence, hereafter, in, of, (up-)on, + our, X and setting, since, (un-)to, + together, when, with (+ -out)","lemma":"μετά","strongs_def":" properly, denoting accompaniment; \"amid\" (local or causal); modified variously according to the case (genitive association, or accusative succession) with which it is joined; occupying an intermediate position between G575 (ἀπό) or G1537 (ἐκ) and G1519 (εἰς) or G4314 (πρός); less intimate than G1722 (ἐν) and less close than G4862 (σύν))","derivation":"a primary preposition (often used adverbially);"},
"G2685":{"strongs_def":" a reconnoiterer","derivation":"from G2596 (κατά) (intensive) and G4649 (σκοπός) (in the sense of a watcher);","kjv_def":"spy","lemma":"κατάσκοπος"},
"G1403":{"kjv_def":"feast","lemma":"δοχή","derivation":"from G1209 (δέχομαι);","strongs_def":" a reception, i.e. convivial entertainment"},
"G586":{"derivation":"from G575 (ἀπό) and G1183 (δεκατόω);","strongs_def":" to tithe (as debtor or creditor)","lemma":"ἀποδεκατόω","kjv_def":"(give, pay, take) tithe"},
"G992":{"lemma":"βλητέος","kjv_def":"must be put","derivation":"from G906 (βάλλω);","strongs_def":" fit to be cast (i.e. applied)"},
"G2174":{"lemma":"εὐψυχέω","kjv_def":"be of good comfort","derivation":"from a compound of G2095 (εὖ) and G5590 (ψυχή);","strongs_def":" to be in good spirits, i.e. feel encouraged"},
"G2927":{"strongs_def":" concealed, i.e. private","derivation":"from G2928 (κρύπτω);","lemma":"κρυπτός","kjv_def":"hid(-den), inward(-ly), secret"},
"G1719":{"derivation":"from G1722 (ἐν) and G5401 (φόβος);","strongs_def":" in fear, i.e. alarmed","kjv_def":"affrighted, afraid, tremble","lemma":"ἔμφοβος"},
"G1107":{"derivation":"from a derivative of G1097 (γινώσκω);","strongs_def":" to make known; subjectively, to know","lemma":"γνωρίζω","kjv_def":"certify, declare, make known, give to understand, do to wit, wot"},
"G1315":{"derivation":"from G1223 (διά) and a derivative of G5495 (χείρ);","strongs_def":" to handle thoroughly, i.e. lay violent hands upon","lemma":"διαχειρίζομαι","kjv_def":"kill, slay"},
"G3438":{"derivation":"from G3306 (μένω);","strongs_def":" a staying, i.e. residence (the act or the place)","lemma":"μονή","kjv_def":"abode, mansion"},
"G187":{"lemma":"ἀκμάζω","kjv_def":"be fully ripe","derivation":"from the same as G188 (ἀκμήν);","strongs_def":" to make a point, i.e. (figuratively) mature"},
"G2476":{"kjv_def":"abide, appoint, bring, continue, covenant, establish, hold up, lay, present, set (up), stanch, stand (by, forth, still, up)","lemma":"ἵστημι","strongs_def":" to stand (transitively or intransitively), used in various applications (literally or figuratively)","derivation":"a prolonged form of a primary (of the same meaning, and used for it in certain tenses);"},
"G1830":{"strongs_def":" to explore (figuratively)","derivation":"from G1537 (ἐκ) and G2045 (ἐρευνάω);","kjv_def":"search diligently","lemma":"ἐξερευνάω"},
"G4775":{"lemma":"συγκάθημαι","kjv_def":"sit with","strongs_def":" to seat oneself in company with","derivation":"from G4862 (σύν) and G2521 (κάθημαι);"},
"G5008":{"lemma":"ταλιθά","kjv_def":"talitha","strongs_def":" the fresh, i.e. young girl; talitha (O maiden)","derivation":"of Chaldee origin (compare H02924);"},
"G5195":{"lemma":"ὑβρίζω","kjv_def":"use despitefully, reproach, entreat shamefully (spitefully)","strongs_def":" to exercise violence, i.e. abuse","derivation":"from G5196 (ὕβρις);"},
"G1509":{"kjv_def":"except","lemma":"εἰ μή τι","strongs_def":" if not somewhat","derivation":"from G1508 (εἰ μή) and the neuter of G5100 (τὶς);"},
"G16":{"kjv_def":"well-doing","lemma":"ἀγαθοποιΐα","strongs_def":" well-doing, i.e. virtue","derivation":"from G17 (ἀγαθοποιός);"},
"G3576":{"derivation":"from a derivative of G3541 (νόθος);","strongs_def":" sluggish, i.e. (literally) lazy, or (figuratively) stupid","kjv_def":"dull, slothful","lemma":"νωθρός"},
"G3458":{"strongs_def":" a \"mill\", i.e. (by implication), a grinder (millstone)","derivation":"probably ultimately from the base of G3433 (μόλις) (through the idea of hardship);","kjv_def":"millstone","lemma":"μύλος"},
"G2335":{"derivation":"from the same as G2334 (θεωρέω);","strongs_def":" spectatorship, i.e. (concretely) a spectacle","lemma":"θεωρία","kjv_def":"sight"},
"G13":{"lemma":"Ἄγαβος","kjv_def":"Agabus","derivation":"of Hebrew origin (compare H02285);","strongs_def":" Agabus, an Israelite"},
"G1915":{"derivation":"from G1911 (ἐπιβάλλω);","strongs_def":" a patch","kjv_def":"piece","lemma":"ἐπίβλημα"},
"G5244":{"derivation":"from G5228 (ὑπέρ) and G5316 (φαίνω);","strongs_def":" appearing above others (conspicuous), i.e. (figuratively) haughty","kjv_def":"proud","lemma":"ὑπερήφανος"},
"G2485":{"derivation":"diminutive from G2486 (ἰχθύς);","strongs_def":" a petty fish","lemma":"ἰχθύδιον","kjv_def":"little (small) fish"},
"G2528":{"lemma":"καθοπλίζω","kjv_def":"arm","strongs_def":" and G3695 (ὁπλίζω); to equip fully with armor","derivation":"from G2596 (κατά);"},
"G633":{"derivation":"from G575 (ἀπό) and G3538 (νίπτω);","strongs_def":" to wash off (reflexively, one's own hands symbolically)","kjv_def":"wash","lemma":"ἀπονίπτω"},
"G1482":{"strongs_def":" national (\"ethnic\"), i.e. (specially) a Gentile","derivation":"from G1484 (ἔθνος);","kjv_def":"heathen (man)","lemma":"ἐθνικός"},
"G2669":{"strongs_def":" to labor down, i.e. wear with toil (figuratively, harass)","derivation":"from G2596 (κατά) and a derivative of G4192 (πόνος);","kjv_def":"oppress, vex","lemma":"καταπονέω"},
"G1269":{"strongs_def":" to nod (or express by signs) across an intervening space","derivation":"from G1223 (διά) and G3506 (νεύω);","kjv_def":"beckon","lemma":"διανεύω"},
"G2635":{"kjv_def":"speak against (evil of)","lemma":"καταλαλέω","derivation":"from G2637 (κατάλαλος);","strongs_def":" to be a traducer, i.e. to slander"},
"G1909":{"lemma":"ἐπί","kjv_def":"about (the times), above, after, against, among, as long as (touching), at, beside, X have charge of, (be-, (where-))fore, in (a place, as much as, the time of, -to), (because) of, (up-)on (behalf of), over, (by, for) the space of, through(-out), (un-)to(-ward), with","strongs_def":" properly, meaning superimposition (of time, place, order, etc.), as a relation of distribution (with the genitive case), i.e. over, upon, etc.; of rest (with the dative case) at, on, etc.; of direction (with the accusative case) towards, upon, etc.","derivation":"a primary preposition;"},
"G750":{"lemma":"ἀρχιποίμην","kjv_def":"chief shepherd","derivation":"from G746 (ἀρχή) and G4166 (ποιμήν);","strongs_def":" a head shepherd"},
"G4080":{"lemma":"πηλίκος","kjv_def":"how great (large)","derivation":"a quantitative form (the feminine) of the base of G4225 (πού);","strongs_def":" how much (as an indefinite), i.e. in size or (figuratively) dignity"},
"G2868":{"strongs_def":" pulverulence (as blown about)","derivation":"from the base of G2867 (κονιάω) and ornumi (to \"rouse\");","kjv_def":"dust","lemma":"κονιορτός"},
"G4099":{"strongs_def":" Pisidia, a region of Asia Minor","derivation":"probably of foreign origin;","kjv_def":"Pisidia","lemma":"Πισιδία"},
"G3308":{"kjv_def":"care","lemma":"μέριμνα","strongs_def":" solicitude","derivation":"from G3307 (μερίζω) (through the idea of distraction);"},
"G1594":{"kjv_def":"awake","lemma":"ἐκνήφω","strongs_def":" (figuratively) to rouse (oneself) out of stupor","derivation":"from G1537 (ἐκ) and G3525 (νήφω);"},
"G4381":{"derivation":"from G4383 (πρόσωπον) and G2983 (λαμβάνω);","strongs_def":" an accepter of a face (individual), i.e. (specially), one exhibiting partiality","kjv_def":"respecter of persons","lemma":"προσωπολήπτης"},
"G233":{"derivation":"from G251 (ἅλς);","strongs_def":" to salt","kjv_def":"salt","lemma":"ἁλίζω"},
"G815":{"derivation":"from G1 (Α) (as a negative particle) and G5043 (τέκνον);","strongs_def":" childless","kjv_def":"childless, without children","lemma":"ἄτεκνος"},
"G67":{"kjv_def":"Agrippa","lemma":"Ἀγρίππας","derivation":"apparently from G66 (ἄγριος) and G2462 (ἵππος);","strongs_def":" wild-horse tamer; Agrippas, one of the Herods"},
"G3942":{"strongs_def":" apparently a state alongside of supposition, i.e. (concretely) an adage; specially, an enigmatical or fictitious illustration","derivation":"from a compound of G3844 (παρά) and perhaps a derivative of G3633 (οἴομαι);","kjv_def":"parable, proverb","lemma":"παροιμία"},
"G2122":{"derivation":"adverb from G2121 (εὔκαιρος);","strongs_def":" opportunely","lemma":"εὐκαίρως","kjv_def":"conveniently, in season"},
"G4260":{"lemma":"προβαίνω","kjv_def":"+ be of a great age, go farther (on), be well stricken","derivation":"from G4253 (πρό) and the base of G939 (βάσις);","strongs_def":" to walk forward, i.e. advance (literally, or in years)"},
"G5019":{"lemma":"Ταρσός","kjv_def":"Tarsus","strongs_def":" Tarsus, a place in Asia Minor","derivation":"perhaps the same as (a flat basket);"},
"G2061":{"lemma":"Ἑρμογένης","kjv_def":"Hermogenes","derivation":"from G2060 (Ἑρμῆς) and G1096 (γίνομαι);","strongs_def":" born of Hermes; Hermogenes, an apostate Christian"},
"G1031":{"derivation":"a primary verb;","strongs_def":" to grate the teeth (in pain or rage)","kjv_def":"gnash","lemma":"βρύχω"},
"G1041":{"strongs_def":" properly, a stand, i.e. (specially) an altar","derivation":"from the base of G939 (βάσις);","lemma":"βωμός","kjv_def":"altar"},
"G3162":{"derivation":"probably feminine of a presumed derivative of G3163 (μάχη);","strongs_def":" a knife, i.e. dirk; figuratively, war, judicial punishment","lemma":"μάχαιρα","kjv_def":"sword"},
"G2185":{"derivation":"from G1909 (ἐπί) and a cognate of G2240 (ἥκω);","strongs_def":" to arrive upon, i.e. extend to","lemma":"ἐφικνέομαι","kjv_def":"reach"},
"G283":{"lemma":"ἀμίαντος","kjv_def":"undefiled","strongs_def":" unsoiled, i.e. (figuratively) pure","derivation":"from G1 (Α) (as a negative particle) and a derivative of G3392 (μιαίνω);"},
"G1843":{"derivation":"from G1537 (ἐκ) and G3670 (ὁμολογέω);","strongs_def":" to acknowledge or (by implication, of assent) agree fully","lemma":"ἐξομολογέω","kjv_def":"confess, profess, promise"},
"G1526":{"derivation":"3rd person plural present indicative of G1510 (εἰμί);","strongs_def":" they are","lemma":"εἰσί","kjv_def":"agree, are, be, dure, X is, were"},
"G1274":{"kjv_def":"finish","lemma":"διανύω","strongs_def":" to accomplish thoroughly","derivation":"from G1223 (διά) and (to effect);"},
"G4085":{"lemma":"πιέζω","kjv_def":"press down","strongs_def":" to pack","derivation":"another form for G4084 (πιάζω);"},
"G3905":{"strongs_def":" to extend along, i.e. prolong (in point of time)","derivation":"from G3844 (παρά) and teino (to stretch);","lemma":"παρατείνω","kjv_def":"continue"},
"G3937":{"lemma":"Παρμενᾶς","kjv_def":"Parmenas","strongs_def":" constant; Parmenas, a Christian","derivation":"probably by contraction for (a derivative of a compound of G3844 (παρά) and G3306 (μένω));"},
"G5332":{"lemma":"φαρμακεύς","kjv_def":"sorcerer","strongs_def":" a druggist (\"pharmacist\") or poisoner, i.e. (by extension) a magician","derivation":"from (a drug, i.e. spell-giving potion);"},
"G5221":{"derivation":"from G5259 (ὑπό) and a derivative of G473 (ἀντί);","strongs_def":" to go opposite (meet) under (quietly), i.e. to encounter, fall in with","kjv_def":"(go to) meet","lemma":"ὑπαντάω"},
"G419":{"kjv_def":"unsearchable","lemma":"ἀνεξερεύνητος","derivation":"from G1 (Α) (as a negative particle) and a presumed derivative of G1830 (ἐξερευνάω);","strongs_def":" not searched out, i.e. (by implication) inscrutable"},
"G5237":{"lemma":"ὑπερείδω","kjv_def":"wink at","derivation":"from G5228 (ὑπέρ) and G1492 (εἴδω);","strongs_def":" to overlook, i.e. not punish"},
"G4844":{"lemma":"συμπίνω","kjv_def":"drink with","derivation":"from G4862 (σύν) and G4095 (πίνω);","strongs_def":" to partake a beverage in company"},
"G2931":{"lemma":"κρυφῆ","kjv_def":"in secret","derivation":"adverb from G2928 (κρύπτω);","strongs_def":" privately"},
"G860":{"strongs_def":" probably a ligament (as fastening)","derivation":"from G680 (ἅπτομαι);","kjv_def":"joint","lemma":"ἁφή"},
"G4107":{"kjv_def":"wandering","lemma":"πλανήτης","strongs_def":" a rover (\"planet\"), i.e. (figuratively) an erratic teacher","derivation":"from G4108 (πλάνος);"},
"G706":{"kjv_def":"number","lemma":"ἀριθμός","derivation":"from G142 (αἴρω);","strongs_def":" a number (as reckoned up)"},
"G2564":{"strongs_def":" to \"call\" (properly, aloud, but used in a variety of applications, directly or otherwise)","derivation":"akin to the base of G2753 (κελεύω);","kjv_def":"bid, call (forth), (whose, whose sur-)name (was (called))","lemma":"καλέω"},
"G1802":{"derivation":"of Hebrew origin (H02585);","strongs_def":" Enoch (i.e. Chanok), an antediluvian","lemma":"Ἐνώχ","kjv_def":"Enoch"},
"G126":{"derivation":"from G104 (ἀεί);","strongs_def":" everduring (forward and backward, or forward only)","kjv_def":"eternal, everlasting","lemma":"ἀΐδιος"},
"G3983":{"lemma":"πεινάω","kjv_def":"be an hungered","strongs_def":" \"pine\"); to famish (absolutely or comparatively); figuratively, to crave","derivation":"from the same as G3993 (πένης) (through the idea of pinching toil;"},
"G306":{"strongs_def":" to put off (for oneself)","derivation":"middle voice from G303 (ἀνά) and G906 (βάλλω);","lemma":"ἀναβάλλομαι","kjv_def":"defer"},
"G4280":{"derivation":"from G4253 (πρό) and G2046 (ἐρέω);","strongs_def":" used as alternate of G4277 (προέπω); to say already, predict","kjv_def":"foretell, say (speak, tell) before","lemma":"προερέω"},
"G4212":{"kjv_def":"how oft(-en)","lemma":"ποσάκις","strongs_def":" how many times","derivation":"multiplicative from G4214 (πόσος);"},
"G836":{"strongs_def":" a flute (as blown)","derivation":"from the same as G109 (ἀήρ);","lemma":"αὐλός","kjv_def":"pipe"},
"G4092":{"lemma":"πίμπρημι","kjv_def":"be (X should have) swollen","strongs_def":" to fire, i.e. burn (figuratively and passively, become inflamed with fever)","derivation":"a reduplicated and prolonged form of a primary ; which occurs only as an alternate in certain tenses);"},
"G4560":{"kjv_def":"fleshly","lemma":"σάρκινος","derivation":"from G4561 (σάρξ);","strongs_def":" similar to flesh, i.e. (by analogy) soft"},
"G1438":{"strongs_def":" him- (her-, it-, them-, also (in conjunction with the personal pronoun of the other persons) my-, thy-, our-, your-) self (selves), etc.","derivation":"from a reflexive pronoun otherwise obsolete and the genitive case (dative case or accusative case) of G846 (αὐτός);","kjv_def":"alone, her (own, -self), (he) himself, his (own), itself, one (to) another, our (thine) own(-selves), + that she had, their (own, own selves), (of) them(-selves), they, thyself, you, your (own, own conceits, own selves, -selves)","lemma":"ἑαυτοῦ"},
"G3420":{"strongs_def":" memory","derivation":"from G3403 (μιμνήσκω);","lemma":"μνήμη","kjv_def":"remembrance"},
"G3875":{"strongs_def":"an intercessor, consoler","lemma":"παράκλητος","kjv_def":"advocate, comforter"},
"G1415":{"kjv_def":"able, could, (that is) mighty (man), possible, power, strong","lemma":"δυνατός","strongs_def":" powerful or capable (literally or figuratively); neuter possible","derivation":"from G1410 (δύναμαι);"},
"G110":{"kjv_def":"immortality","lemma":"ἀθανασία","derivation":"from a compound of G1 (Α) (as a negative particle) and G2288 (θάνατος);","strongs_def":" deathlessness"},
"G739":{"derivation":"from G737 (ἄρτι);","strongs_def":" fresh, i.e. (by implication) complete","lemma":"ἄρτιος","kjv_def":"perfect"},
"G3141":{"strongs_def":" evidence given (judicially or genitive case)","derivation":"from G3144 (μάρτυς);","kjv_def":"record, report, testimony, witness","lemma":"μαρτυρία"},
"G602":{"strongs_def":" disclosure","derivation":"from G601 (ἀποκαλύπτω);","lemma":"ἀποκάλυψις","kjv_def":"appearing, coming, lighten, manifestation, be revealed, revelation"},
"G852":{"strongs_def":" non-apparent)","derivation":"from G1 (Α) (as a negative particle) and G5316 (φαίνω);","lemma":"ἀφανής","kjv_def":"that is not manifest"},
"G3799":{"kjv_def":"appearance, countenance, face","lemma":"ὄψις","derivation":"from G3700 (ὀπτάνομαι);","strongs_def":" properly, sight (the act), i.e. (by implication) the visage, an external show"},
"G1343":{"derivation":"from G1342 (δίκαιος);","strongs_def":" equity (of character or act); specially (Christian) justification","kjv_def":"righteousness","lemma":"δικαιοσύνη"},
"G3":{"kjv_def":"Abaddon","lemma":"Ἀβαδδών","strongs_def":" a destroying angel","derivation":"of Hebrew origin (H011);"},
"G5270":{"derivation":"from G5259 (ὑπό) and G2736 (κάτω);","strongs_def":" down under, i.e. beneath","kjv_def":"under","lemma":"ὑποκάτω"},
"G691":{"strongs_def":" to be idle, i.e. (figuratively) to delay","derivation":"from G692 (ἀργός);","kjv_def":"linger","lemma":"ἀργέω"},
"G213":{"lemma":"ἀλαζών","kjv_def":"boaster","strongs_def":" braggart","derivation":"from (vagrancy);"},
"G4496":{"derivation":"a primary verb (perhaps rather akin to the base of G4474 (ῥαπίζω), through the idea of sudden motion);","strongs_def":" to fling (properly, with a quick toss, thus differing from G906 (βάλλω), which denotes a deliberate hurl; and from (see in G1614 (ἐκτείνω)), which indicates an extended projection); by qualification, to deposit (as if a load); by extension, to disperse","lemma":"ῥίπτω","kjv_def":"cast (down, out), scatter abroad, throw"},
"G5336":{"lemma":"φάτνη","kjv_def":"manager, stall","strongs_def":" a crib (for fodder)","derivation":"from (to eat);"},
"G3100":{"derivation":"from G3101 (μαθητής);","strongs_def":" intransitively, to become a pupil; transitively, to disciple, i.e. enrol as scholar","kjv_def":"be disciple, instruct, teach","lemma":"μαθητεύω"},
"G3811":{"derivation":"from G3816 (παῖς);","strongs_def":" to train up a child, i.e. educate, or (by implication), discipline (by punishment)","lemma":"παιδεύω","kjv_def":"chasten(-ise), instruct, learn, teach"},
"G2408":{"derivation":"of Hebrew origin (H03414);","strongs_def":" Hieremias (i.e. Jermijah), an Israelite","kjv_def":"Jeremiah","lemma":"Ἱερεμίας"},
"G4006":{"lemma":"πεποίθησις","kjv_def":"confidence, trust","derivation":"from the perfect of the alternate of G3958 (πάσχω);","strongs_def":" reliance"},
"G2264":{"kjv_def":"Herod","lemma":"Ἡρώδης","derivation":"compound of (a \"hero\") and G1491 (εἶδος);","strongs_def":" heroic; Herod, the name of four Jewish kings"},
"G4489":{"derivation":"from G4483 (ῥέω);","strongs_def":" a speaker, i.e. (by implication) a forensic advocate","lemma":"ῥήτωρ","kjv_def":"orator"},
"G2469":{"strongs_def":" inhabitant of Kerioth; Iscariotes (i.e. Keriothite), an epithet of Judas the traitor","derivation":"of Hebrew origin (probably H0377 and H07149);","kjv_def":"Iscariot","lemma":"Ἰσκαριώτης"},
"G5528":{"strongs_def":" a \"court\" or \"garden\", i.e. (by implication, of pasture) herbage or vegetation","derivation":"apparently a primary word;","lemma":"χόρτος","kjv_def":"blade, grass, hay"},
"G518":{"strongs_def":" to announce","derivation":"from G575 (ἀπό) and the base of G32 (ἄγγελος);","lemma":"ἀπαγγέλλω","kjv_def":"bring word (again), declare, report, shew (again), tell"},
"G1272":{"kjv_def":"open","lemma":"διανοίγω","derivation":"from G1223 (διά) and G455 (ἀνοίγω);","strongs_def":" to open thoroughly, literally (as a first-born) or figuratively (to expound)"},
"G4510":{"derivation":"from G4509 (ῥύπος);","strongs_def":" to soil, i.e. (intransitively) to become dirty (morally)","kjv_def":"be filthy","lemma":"ῥυπόω"},
"G3034":{"lemma":"λιθάζω","kjv_def":"stone","derivation":"from G3037 (λίθος);","strongs_def":" to lapidate"},
"G2423":{"strongs_def":" Jechonias (i.e. Jekonjah), an Israelite","derivation":"of Hebrew origin (H03204);","lemma":"Ἰεχονίας","kjv_def":"Jechonias"},
"G3846":{"kjv_def":"arrive, compare","lemma":"παραβάλλω","strongs_def":" to throw alongside, i.e. (reflexively) to reach a place, or (figuratively) to liken","derivation":"from G3844 (παρά) and G906 (βάλλω);"},
"G3327":{"kjv_def":"depart, go, pass, remove","lemma":"μεταβαίνω","derivation":"from G3326 (μετά) and the base of G939 (βάσις);","strongs_def":" to change place"},
"G807":{"derivation":"from G809 (ἀσχήμων);","strongs_def":" to be (i.e. act) unbecoming","lemma":"ἀσχημονέω","kjv_def":"behave self uncomely (unseemly)"},
"G1101":{"lemma":"γλωσσόκομον","kjv_def":"bag","derivation":"from G1100 (γλῶσσα) and the base of G2889 (κόσμος);","strongs_def":" properly, a case (to keep mouthpieces of wind-instruments in) i.e. (by extension) a casket or (specially) purse"},
"G3631":{"derivation":"a primary word (or perhaps of Hebrew origin (H03196));","strongs_def":" \"wine\" (literally or figuratively)","lemma":"οἶνος","kjv_def":"wine"},
"G549":{"kjv_def":"go","lemma":"ἄπειμι","strongs_def":" to go away","derivation":"from G575 (ἀπό) and (to go);"},
"G4362":{"strongs_def":" to fasten to, i.e. (specially), to impale (on a cross)","derivation":"from G4314 (πρός) and G4078 (πήγνυμι);","lemma":"προσπήγνυμι","kjv_def":"crucify"},
"G531":{"lemma":"ἀπαράβατος","kjv_def":" unchangeable","strongs_def":" not passing away, i.e. untransferable (perpetual)","derivation":"from G1 (Α) (as a negative particle) and a derivative of G3845 (παραβαίνω);"},
"G3555":{"strongs_def":" a brood (of chickens)","derivation":"from G3502 (νεοσσός);","lemma":"νοσσιά","kjv_def":"brood"},
"G1572":{"kjv_def":"burn","lemma":"ἐκκαίω","strongs_def":" to inflame deeply","derivation":"from G1537 (ἐκ) and G2545 (καίω);"},
"G2860":{"strongs_def":" to plunge into water","derivation":"from (a diver);","lemma":"κολυμβάω","kjv_def":"swim"},
"G2466":{"strongs_def":" Isachar (i.e. Jissaskar), a son of Jacob (figuratively, his descendant)","derivation":"of Hebrew origin (H03485);","lemma":"Ἰσαχάρ","kjv_def":"Issachar"},
"G3650":{"derivation":"a primary word;","strongs_def":" \"whole\" or \"all\", i.e. complete (in extent, amount, time or degree), especially (neuter) as noun or adverb","kjv_def":"all, altogether, every whit, + throughout, whole","lemma":"ὅλος"},
"G4432":{"lemma":"πτωχεία","kjv_def":"poverty","strongs_def":" beggary, i.e. indigence (literally or figuratively)","derivation":"from G4433 (πτωχεύω);"},
"G3077":{"kjv_def":"grief, grievous, + grudgingly, heaviness, sorrow","lemma":"λύπη","strongs_def":" sadness","derivation":"apparently a primary word;"},
"G1531":{"strongs_def":" to enter (literally or figuratively)","derivation":"from G1519 (εἰς) and G4198 (πορεύομαι);","kjv_def":"come (enter) in, go into","lemma":"εἰσπορεύομαι"},
"G644":{"derivation":"from a compound of G575 (ἀπό) and a derivative of G4639 (σκιά);","strongs_def":" a shading off, i.e. obscuration","lemma":"ἀποσκίασμα","kjv_def":"shadow"},
"G1762":{"derivation":"contraction for the third person singular present indicative of G1751 (ἔνειμι);","strongs_def":" impersonally, there is in or among","lemma":"ἔνι","kjv_def":"be, (there) is"},
"G1414":{"kjv_def":"be mighty","lemma":"δυνατέω","derivation":"from G1415 (δυνατός);","strongs_def":" to be efficient (figuratively)"},
"G1694":{"derivation":"of Hebrew origin (H06005);","strongs_def":" God with us; Emmanuel, a name of Christ","kjv_def":"Emmanuel","lemma":"Ἐμμανουήλ"},
"G5518":{"derivation":"of uncertain derivation;","strongs_def":" a chœnix or certain dry measure","lemma":"χοῖνιξ","kjv_def":"measure"},
"G1114":{"derivation":"from (to wail);","strongs_def":" properly, a wizard (as muttering spells), i.e. (by implication) an imposter","kjv_def":"seducer","lemma":"γόης"},
"G2988":{"strongs_def":" brilliantly, i.e. figuratively, luxuriously","derivation":"adverb from G2986 (λαμπρός);","kjv_def":"sumptuously","lemma":"λαμπρῶς"},
"G4794":{"kjv_def":"bow together","lemma":"συγκύπτω","derivation":"from G4862 (σύν) and G2955 (κύπτω);","strongs_def":" to stoop altogether, i.e. be completely overcome by"},
"G4364":{"derivation":"middle voice from G4314 (πρός) and G4160 (ποιέω);","strongs_def":" to do forward for oneself, i.e. pretend (as if about to do a thing)","lemma":"προσποιέομαι","kjv_def":"make as though"},
"G1280":{"derivation":"from G1223 (διά) and G639 (ἀπορέω);","strongs_def":" to be thoroughly nonplussed","kjv_def":"(be in) doubt, be (much) perplexed","lemma":"διαπορέω"},
"G2935":{"kjv_def":"possessor","lemma":"κτήτωρ","derivation":"from G2932 (κτάομαι);","strongs_def":" an owner"},
"G3333":{"lemma":"μετακαλέω","kjv_def":"call (for, hither)","strongs_def":" to call elsewhere, i.e. summon","derivation":"from G3326 (μετά) and G2564 (καλέω);"},
"G1452":{"derivation":"neuter of the comparative of G1451 (ἐγγύς);","strongs_def":" nearer","lemma":"ἐγγύτερον","kjv_def":"nearer"},
"G3927":{"strongs_def":" an alien alongside, i.e. a resident foreigner","derivation":"from G3844 (παρά) and the base of G1927 (ἐπιδημέω);","kjv_def":"pilgrim, stranger","lemma":"παρεπίδημος"},
"G1642":{"kjv_def":"decrease, make lower","lemma":"ἐλαττόω","derivation":"from G1640 (ἐλάσσων);","strongs_def":" to lessen (in rank or influence)"},
"G5472":{"lemma":"χαλκηδών","kjv_def":"chalcedony","derivation":"from G5475 (χαλκός) and perhaps G1491 (εἶδος);","strongs_def":" copper-like, i.e. \"chalcedony\""},
"G4601":{"kjv_def":"keep close (secret, silence), hold peace","lemma":"σιγάω","strongs_def":" to keep silent (transitively or intransitively)","derivation":"from G4602 (σιγή);"},
"G1097":{"derivation":"a prolonged form of a primary verb;","strongs_def":" to \"know\" (absolutely) in a great variety of applications and with many implications (as follow, with others not thus clearly expressed)","kjv_def":"allow, be aware (of), feel, (have) know(-ledge), perceived, be resolved, can speak, be sure, understand","lemma":"γινώσκω"},
"G1819":{"derivation":"from G1537 (ἐκ) and a derivative of the same as G160 (αἰφνίδιος);","strongs_def":" of a sudden, i.e. unexpectedly","lemma":"ἐξάπινα","kjv_def":"suddenly"},
"G4734":{"kjv_def":"Stephanas","lemma":"Στεφανᾶς","strongs_def":" from G4737 (στεφανόω)); Stephanas, a Christian","derivation":"probably contraction for (crowned;"},
"G2671":{"derivation":"from G2596 (κατά) (intensive) and G685 (ἀρά);","strongs_def":" imprecation, execration","lemma":"κατάρα","kjv_def":"curse(-d, ing)"},
"G1370":{"strongs_def":" disunion, i.e. (figuratively) dissension","derivation":"from a derivative of G1364 (δίς) and G4714 (στάσις);","lemma":"διχοστασία","kjv_def":"division, sedition"},
"G199":{"strongs_def":" exactly","derivation":"adverb from the same as G196 (ἀκριβέστατος);","lemma":"ἀκριβῶς","kjv_def":"circumspectly, diligently, perfect(-ly)"},
"G4661":{"strongs_def":" something stripped (as a hide), i.e. booty","derivation":"neuter from G4660 (σκύλλω);","kjv_def":"spoil","lemma":"σκῦλον"},
"G993":{"strongs_def":" sons of commotion; Boanerges, an epithet of two of the apostles","derivation":"of Chaldee origin (H01123 and H07266);","kjv_def":"Boanerges","lemma":"Βοανεργές"},
"G768":{"derivation":"of Hebrew origin (H0836);","strongs_def":" Aser (i.e. Asher), an Israelite tribe","kjv_def":"Aser","lemma":"Ἀσήρ"},
"G4653":{"lemma":"σκοτία","kjv_def":"dark(-ness)","derivation":"from G4655 (σκότος);","strongs_def":" dimness, obscurity (literally or figuratively)"},
"G4909":{"lemma":"συνευδοκέω","kjv_def":"allow, assent, be pleased, have pleasure","strongs_def":" to think well of in common, i.e. assent to, feel gratified with","derivation":"from G4862 (σύν) and G2106 (εὐδοκέω);"},
"G579":{"lemma":"ἀπόβλητος","kjv_def":"be refused","derivation":"from G577 (ἀποβάλλω);","strongs_def":" cast off, i.e. (figuratively) such as to be rejected"},
"G5597":{"derivation":"prolongation from the same base as G5567 (ψάλλω);","strongs_def":" to triturate, i.e. (by analogy) to rub out (kernels from husks with the fingers or hand)","lemma":"ψώχω","kjv_def":"rub"},
"G2096":{"kjv_def":"Eve","lemma":"Εὖα","strongs_def":" Eua (or Eva, i.e. Chavvah), the first woman","derivation":"of Hebrew origin (H02332);"},
"G4905":{"kjv_def":"accompany, assemble (with), come (together), come (company, go) with, resort","lemma":"συνέρχομαι","strongs_def":" to convene, depart in company with, associate with, or (specially), cohabit (conjugally)","derivation":"from G4862 (σύν) and G2064 (ἔρχομαι);"},
"G3595":{"derivation":"from G3598 (ὁδός) and G2233 (ἡγέομαι);","strongs_def":" a conductor (literally or figuratively (teacher))","kjv_def":"guide, leader","lemma":"ὁδηγός"},
"G2178":{"kjv_def":"(at) once (for all)","lemma":"ἐφάπαξ","derivation":"from G1909 (ἐπί) and G530 (ἅπαξ);","strongs_def":" upon one occasion (only)"},
"G1070":{"lemma":"γελάω","kjv_def":"laugh","strongs_def":" to laugh (as a sign of joy or satisfaction)","derivation":"of uncertain affinity;"},
"G1381":{"strongs_def":" to test (literally or figuratively); by implication, to approve","derivation":"from G1384 (δόκιμος);","lemma":"δοκιμάζω","kjv_def":"allow, discern, examine, X like, (ap-)prove, try"},
"G3064":{"lemma":"λοιποῦ","kjv_def":"from henceforth","strongs_def":" remaining time","derivation":"genitive case singular of the same as G3062 (λοιποί);"},
"G4043":{"kjv_def":"go, be occupied with, walk (about)","lemma":"περιπατέω","derivation":"from G4012 (περί) and G3961 (πατέω);","strongs_def":" to tread all around, i.e. walk at large (especially as proof of ability); figuratively, to live, deport oneself, follow (as a companion or votary)"},
"G3349":{"strongs_def":" to raise in mid-air, i.e. (figuratively) suspend (passively, fluctuate or be anxious)","derivation":"from a compound of G3326 (μετά) and a collateral form of G142 (αἴρω) or perhaps rather G109 (ἀήρ) (compare \"meteor\");","lemma":"μετεωρίζω","kjv_def":"be of doubtful mind"},
"G3845":{"kjv_def":"(by) transgress(-ion)","lemma":"παραβαίνω","strongs_def":" to go contrary to, i.e. violate a command","derivation":"from G3844 (παρά) and the base of G939 (βάσις);"},
"G4697":{"lemma":"σπλαγχνίζομαι","kjv_def":"have (be moved with) compassion","derivation":"middle voice from G4698 (σπλάγχνον);","strongs_def":" to have the bowels yearn, i.e. (figuratively) feel sympathy, to pity"},
"G5536":{"lemma":"χρῆμα","kjv_def":"money, riches","strongs_def":"something useful or needed, i.e. wealth, price"},
"G1868":{"lemma":"ἔπαινος","kjv_def":"praise","strongs_def":" laudation; concretely, a commendable thing","derivation":"from G1909 (ἐπί) and the base of G134 (αἰνέω);"},
"G2818":{"lemma":"κληρονόμος","kjv_def":"heir","derivation":"from G2819 (κλῆρος) and the base of G3551 (νόμος) (in its original sense of partitioning, i.e. (reflexively) getting by apportionment);","strongs_def":" a sharer by lot, i.e. inheritor (literally or figuratively); by implication, a possessor"},
"G2495":{"strongs_def":" Jonas (i.e. Jonah), the name of two Israelites","derivation":"of Hebrew origin (H03124);","lemma":"Ἰωνᾶς","kjv_def":"Jonas"},
"G1924":{"strongs_def":" to inscribe (physically or mentally)","derivation":"from G1909 (ἐπί) and G1125 (γράφω);","kjv_def":"inscription, write in (over, thereon)","lemma":"ἐπιγράφω"},
"G5598":{"lemma":"Ω","kjv_def":"Omega","strongs_def":"the last letter of the Greek alphabet, i.e. (figuratively) the finality"},
"G4320":{"kjv_def":"go up","lemma":"προσαναβαίνω","strongs_def":" to ascend farther, i.e. be promoted (take an upper (more honorable) seat)","derivation":"from G4314 (πρός) and G305 (ἀναβαίνω);"},
"G1339":{"strongs_def":" to stand apart, i.e. (reflexively) to remove, intervene","derivation":"from G1223 (διά) and G2476 (ἵστημι);","lemma":"διΐστημι","kjv_def":"go further, be parted, after the space of"},
"G3525":{"strongs_def":" to abstain from wine (keep sober), i.e. (figuratively) be discreet","derivation":"of uncertain affinity;","lemma":"νήφω","kjv_def":"be sober, watch"},
"G2282":{"strongs_def":" to brood, i.e. (figuratively) to foster","derivation":"probably akin to (to warm);","lemma":"θάλπω","kjv_def":"cherish"},
"G3078":{"strongs_def":" grief-dispelling; Lysanias, a governor of Abilene","derivation":"from G3080 (λύσις) and (trouble);","lemma":"Λυσανίας","kjv_def":"Lysanias"},
"G5618":{"derivation":"from G5613 (ὡς) and G4007 (περ);","strongs_def":" just as, i.e. exactly like","lemma":"ὥσπερ","kjv_def":"(even, like) as"},
"G1609":{"kjv_def":"reject","lemma":"ἐκπτύω","derivation":"from G1537 (ἐκ) and G4429 (πτύω);","strongs_def":" to spit out, i.e. (figuratively) spurn"},
"G1290":{"kjv_def":"(which are) scattered (abroad)","lemma":"διασπορά","derivation":"from G1289 (διασπείρω);","strongs_def":" dispersion, i.e. (specially and concretely) the (converted) Israelite resident in Gentile countries"},
"G1249":{"lemma":"διάκονος","kjv_def":"deacon, minister, servant","derivation":"probably from an obsolete (to run on errands; compare G1377 (διώκω));","strongs_def":" an attendant, i.e. (genitive case) a waiter (at table or in other menial duties); specially, a Christian teacher and pastor (technically, a deacon or deaconess)"},
"G1133":{"strongs_def":" a little (i.e. foolish) woman","derivation":"a diminutive from G1135 (γυνή);","kjv_def":"silly woman","lemma":"γυναικάριον"},
"G1511":{"kjv_def":"am, was","lemma":"εἶναι","derivation":"present infinitive from G1510 (εἰμί);","strongs_def":" to exist"},
"G3544":{"kjv_def":"about the law, lawyer","lemma":"νομικός","derivation":"from G3551 (νόμος);","strongs_def":" according (or pertaining) to law, i.e. legal (ceremonially); as noun, an expert in the (Mosaic) law"},
"G3012":{"kjv_def":"towel","lemma":"λέντιον","strongs_def":" a \"linen\" cloth, i.e. apron","derivation":"of Latin origin;"},
"G887":{"lemma":"ἀχλύς","kjv_def":"mist","derivation":"of uncertain derivation;","strongs_def":" dimness of sight, i.e. (probably) a cataract"},
"G382":{"kjv_def":"innumerable","lemma":"ἀναρίθμητος","strongs_def":" unnumbered, i.e. without number","derivation":"from G1 (Α) (as a negative particle) and a derivative of G705 (ἀριθμέω);"},
"G312":{"lemma":"ἀναγγέλλω","kjv_def":"declare, rehearse, report, show, speak, tell","strongs_def":" to announce (in detail)","derivation":"from G303 (ἀνά) and the base of G32 (ἄγγελος);"},
"G2104":{"strongs_def":" well born, i.e. (literally) high in rank, or (figuratively) generous","derivation":"from G2095 (εὖ) and G1096 (γίνομαι);","lemma":"εὐγενής","kjv_def":"more noble, nobleman"},
"G2076":{"derivation":"third person singular present indicative of G1510 (εἰμί);","strongs_def":" he (she or it) is; also (with neuter plural) they are","lemma":"ἐστί","kjv_def":"are, be(-long), call, X can(-not), come, consisteth, X dure for a while, + follow, X have, (that) is (to say), make, meaneth, X must needs, + profit, + remaineth, + wrestle"},
"G2756":{"kjv_def":"empty, (in) vain","lemma":"κενός","strongs_def":" empty (literally or figuratively)","derivation":"apparently a primary word;"},
"G660":{"strongs_def":" to brush off","derivation":"from G575 (ἀπό) and (to jostle);","lemma":"ἀποτινάσσω","kjv_def":"shake off"},
"G2532":{"strongs_def":" and, also, even, so then, too, etc.; often used in connection (or composition) with other particles or small words","derivation":"apparently, a primary particle, having a copulative and sometimes also a cumulative force;","lemma":"καί","kjv_def":"and, also, both, but, even, for, if, or, so, that, then, therefore, when, yet"},
"G5592":{"strongs_def":" coolness","derivation":"from G5594 (ψύχω);","lemma":"ψύχος","kjv_def":"cold"},
"G1449":{"strongs_def":" to \"engrave\", i.e. inscribe","derivation":"from G1722 (ἐν) and G1125 (γράφω);","kjv_def":"write (in)","lemma":"ἐγγράφω"},
"G4088":{"kjv_def":"bitterness","lemma":"πικρία","derivation":"from G4089 (πικρός);","strongs_def":" acridity (especially poison), literally or figuratively"},
"G2566":{"kjv_def":"very well","lemma":"καλλίον","strongs_def":" (adverbially) better than many","derivation":"neuter of the (irregular) comparative of G2570 (καλός);"},
"G2358":{"kjv_def":"(cause) to triumph (over)","lemma":"θριαμβεύω","derivation":"from a prolonged compound of the base of G2360 (θροέω);","strongs_def":" and a derivative of G680 (ἅπτομαι) (meaning a noisy iambus, sung in honor of Bacchus); to make an acclamatory procession, i.e. (figuratively) to conquer or (by Hebraism) to give victory"},
"G1855":{"lemma":"ἔξωθεν","kjv_def":"out(-side, -ward, - wardly), (from) without","derivation":"from G1854 (ἔξω);","strongs_def":" external(-ly)"},
"G2374":{"derivation":"apparently a primary word (compare \"door\");","strongs_def":" a portal or entrance (the opening or the closure, literally or figuratively)","kjv_def":"door, gate","lemma":"θύρα"},
"G5109":{"derivation":"another form of G5038 (τεῖχος);","strongs_def":" a wall","kjv_def":"wall","lemma":"τοῖχος"},
"G3462":{"lemma":"μυρίζω","kjv_def":"anoint","strongs_def":" to apply (perfumed) unguent to","derivation":"from G3464 (μύρον);"},
"G1672":{"strongs_def":" a Hellen (Grecian) or inhabitant of Hellas; by extension a Greek-speaking person, especially a non-Jew","derivation":"from G1671 (Ἑλλάς);","lemma":"Ἕλλην","kjv_def":" Gentile, Greek"},
"G4470":{"kjv_def":"cloth","lemma":"ῥάκος","strongs_def":" a \"rag,\" i.e. piece of cloth","derivation":"from G4486 (ῥήγνυμι);"},
"G2856":{"derivation":"from a derivative of the base of G2849 (κολάζω);","strongs_def":" to dock, i.e. (figuratively) abridge","kjv_def":"shorten","lemma":"κολοβόω"},
"G1266":{"lemma":"διαμερίζω","kjv_def":"cloven, divide, part","strongs_def":" to partition thoroughly (literally in distribution, figuratively in dissension)","derivation":"from G1223 (διά) and G3307 (μερίζω);"},
"G3385":{"kjv_def":"not (the particle usually not expressed, except by the form of the question)","lemma":"μήτι","strongs_def":" whether at all","derivation":"from G3361 (μή) and the neuter of G5100 (τὶς);"},
"G2691":{"kjv_def":"begin to wax wanton against","lemma":"καταστρηνιάω","derivation":"from G2596 (κατά) and G4763 (στρηνιάω);","strongs_def":" to become voluptuous against"},
"G299":{"derivation":"from G1 (Α) (as a negative particle) and G3470 (μῶμος);","strongs_def":" unblemished (literally or figuratively)","lemma":"ἄμωμος","kjv_def":"without blame (blemish, fault, spot), faultless, unblamable"},
"G5605":{"lemma":"ὠδίνω","kjv_def":"travail in (birth)","derivation":"from G5604 (ὠδίν);","strongs_def":" to experience the pains of parturition (literally or figuratively)"},
"G4241":{"strongs_def":" to tower up (be conspicuous), i.e. (by implication) to be suitable or proper (third person singular present indicative, often used impersonally, it is fit or right)","derivation":"apparently a primary verb;","lemma":"πρέπω","kjv_def":"become, comely"},
"G171":{"derivation":"adverb from the same as G170 (ἀκαιρέομαι);","strongs_def":" inopportunely","lemma":"ἀκαίρως","kjv_def":"out of season"},
"G3766":{"strongs_def":" is it not therefore that, i.e. (affirmatively) hence or so","derivation":"from G3756 (οὐ) and G3767 (οὖν);","kjv_def":"then","lemma":"οὐκοῦν"},
"G3427":{"derivation":"the simpler form of G1698 (ἐμοί);","strongs_def":" to me","kjv_def":"I, me, mine, my","lemma":"μοί"},
"G2602":{"strongs_def":" a deposition, i.e. founding; figuratively, conception","derivation":"from G2598 (καταβάλλω);","kjv_def":"conceive, foundation","lemma":"καταβολή"},
"G4557":{"strongs_def":" hence the \"onyx\" stone); a \"sardonyx\", i.e. the gem so called","derivation":"from the base of G4556 (σάρδιος) and (the nail of a finger;","lemma":"σαρδόνυξ","kjv_def":" sardonyx"},
"G1963":{"derivation":"from G1909 (ἐπί) and G3563 (νοῦς);","strongs_def":" attention of the mind, i.e. (by implication) purpose","lemma":"ἐπίνοια","kjv_def":"thought"},
"G4304":{"kjv_def":"meditate before","lemma":"προμελετάω","derivation":"from G4253 (πρό) and G3191 (μελετάω);","strongs_def":" to premeditate"},
"G2172":{"kjv_def":"pray, will, wish","lemma":"εὔχομαι","strongs_def":" to wish; by implication, to pray to God","derivation":"middle voice of a primary verb;"},
"G3911":{"strongs_def":" to bear along or aside, i.e. carry off (literally or figuratively); by implication, to avert","derivation":"from G3844 (παρά) and G5342 (φέρω) (including its alternate forms);","kjv_def":"remove, take away","lemma":"παραφέρω"},
"G1865":{"lemma":"ἐπαθροίζω","kjv_def":"gather thick together","strongs_def":" to accumulate","derivation":"from G1909 (ἐπί) and (to assemble);"},
"G4853":{"derivation":"from G4862 (σύν) and a derivative of G5443 (φυλή);","strongs_def":" a co-tribesman, i.e. native of the same country","kjv_def":"countryman","lemma":"συμφυλέτης"},
"G2537":{"derivation":"of uncertain affinity; new (especially in freshness; while G3501 (νέος) is properly so with respect to age","lemma":"καινός","kjv_def":"new"},
"G491":{"derivation":"from G490 (Ἀντιόχεια);","strongs_def":" an Antiochian or inhabitant of Antiochia","lemma":"Ἀντιοχεύς","kjv_def":"of Antioch"},
"G3685":{"kjv_def":"have joy","lemma":"ὀνίνημι","derivation":"a prolonged form of an apparently primary verb (, to slur);","strongs_def":" for which another prolonged form () is used as an alternate in some tenses (unless indeed it be identical with the base of G3686 (ὄνομα) through the idea of notoriety); to gratify, i.e. (middle voice) to derive pleasure or advantage from"},
"G3630":{"lemma":"οἰνοπότης","kjv_def":"winebibber","derivation":"from G3631 (οἶνος) and a derivative of the alternate of G4095 (πίνω);","strongs_def":" a tippler"},
"G3828":{"lemma":"Παμφυλία","kjv_def":"Pamphylia","strongs_def":" every-tribal, i.e. heterogeneous (G5561 (χώρα) being implied); Pamphylia, a region of Asia Minor","derivation":"from a compound of G3956 (πᾶς) and G4443 (πυρά);"},
"G3784":{"strongs_def":" to owe (pecuniarily); figuratively, to be under obligation (ought, must, should); morally, to fail in duty","derivation":"probably from the base of G3786 (ὄφελος) (through the idea of accruing);","lemma":"ὀφείλω","kjv_def":"behove, be bound, (be) debt(-or), (be) due(-ty), be guilty (indebted), (must) need(-s), ought, owe, should"},
"G1801":{"strongs_def":" to take in one's ear, i.e. to listen","derivation":"middle voice from a compound of G1722 (ἐν) and G3775 (οὖς);","kjv_def":"hearken","lemma":"ἐνωτίζομαι"},
"G3405":{"lemma":"μισθαποδοσία","kjv_def":"recompence of reward","strongs_def":" requital (good or bad)","derivation":"from G3406 (μισθαποδότης);"},
"G4678":{"kjv_def":"wisdom","lemma":"σοφία","strongs_def":" wisdom (higher or lower, worldly or spiritual)","derivation":"from G4680 (σοφός);"},
"G3672":{"strongs_def":" confessedly","derivation":"adverb of present passive participle of G3670 (ὁμολογέω);","lemma":"ὁμολογουμένως","kjv_def":"without controversy"},
"G758":{"derivation":"present participle of G757 (ἄρχω);","strongs_def":" a first (in rank or power)","lemma":"ἄρχων","kjv_def":"chief (ruler), magistrate, prince, ruler"},
"G1800":{"strongs_def":" Enos (i.e. Enosh), a patriarch","derivation":"of Hebrew origin (H0583);","lemma":"Ἐνώς","kjv_def":"Enos"},
"G1246":{"lemma":"διακατελέγχομαι","kjv_def":"convince","derivation":"middle voice from G1223 (διά) and a compound of G2596 (κατά) and G1651 (ἐλέγχω);","strongs_def":" to prove downright, i.e. confute"},
"G970":{"derivation":"probably akin to G979 (βίος) (through the idea of vital activity);","strongs_def":" force","kjv_def":"violence","lemma":"βία"},
"G5062":{"strongs_def":" forty","derivation":"the decade of G5064 (τέσσαρες);","kjv_def":"forty","lemma":"τεσσαράκοντα"},
"G1934":{"kjv_def":"desire, enquire, seek (after, for)","lemma":"ἐπιζητέω","derivation":"from G1909 (ἐπί) and G2212 (ζητέω);","strongs_def":" to search (inquire) for; intensively, to demand, to crave"},
"G2317":{"strongs_def":" devoutness, i.e. piety","derivation":"from G2318 (θεοσεβής);","lemma":"θεοσέβεια","kjv_def":"godliness"},
"G4973":{"kjv_def":"seal","lemma":"σφραγίς","strongs_def":" a signet (as fencing in or protecting from misappropriation); by implication, the stamp impressed (as a mark of privacy, or genuineness), literally or figuratively","derivation":"probably strengthened from G5420 (φράσσω);"},
"G2639":{"kjv_def":"take into the number","lemma":"καταλέγω","derivation":"from G2596 (κατά) and G3004 (λέγω) (in its original meaning);","strongs_def":" to lay down, i.e. (figuratively) to enrol"},
"G244":{"strongs_def":" overseeing others' affairs, i.e. a meddler (specially, in Gentile customs)","derivation":"from G245 (ἀλλότριος) and G1985 (ἐπίσκοπος);","lemma":"ἀλλοτριεπίσκοπος","kjv_def":"busybody in other men's matters"},
"G1175":{"lemma":"δεισιδαιμονία","kjv_def":"superstition","derivation":"from the same as G1174 (δεισιδαιμονέστερος);","strongs_def":" religion"},
"G2258":{"derivation":"imperfect of G1510 (εἰμί);","strongs_def":" I (thou, etc.) was (wast or were)","kjv_def":"+ agree, be, X have (+ charge of), hold, use, was(-t), were","lemma":"ἦν"},
"G5514":{"kjv_def":"Chloe","lemma":"Χλόη","strongs_def":" \"green\"; Chloë, a Christian female","derivation":"feminine of apparently a primary word;"},
"G248":{"kjv_def":"thresh, tread out the corn","lemma":"ἀλοάω","strongs_def":" to tread out grain","derivation":"from the same as G257 (ἅλων);"},
"G1004":{"kjv_def":"mire","lemma":"βόρβορος","strongs_def":" mud","derivation":"of uncertain derivation;"},
"G4074":{"lemma":"Πέτρος","kjv_def":"Peter, rock","strongs_def":" a (piece of) rock (larger than G3037 (λίθος)); as a name, Petrus, an apostle","derivation":"apparently a primary word;"},
"G4090":{"kjv_def":"bitterly","lemma":"πικρῶς","derivation":"adverb from G4089 (πικρός);","strongs_def":" bitterly, i.e. (figuratively) violently"},
"G5393":{"strongs_def":" blazing; Phlegon, a Christian","derivation":"active participle of the base of G5395 (φλόξ);","kjv_def":"Phlegon","lemma":"Φλέγων"},
"G1618":{"kjv_def":"without ceasing, fervent","lemma":"ἐκτενής","strongs_def":" intent","derivation":"from G1614 (ἐκτείνω);"},
"G5503":{"strongs_def":" a widow (as lacking a husband), literally or figuratively","derivation":"feminine of a presumed derivative apparently from the base of G5490 (χάσμα) through the idea of deficiency;","kjv_def":"widow","lemma":"χήρα"},
"G4857":{"strongs_def":" accordance","derivation":"from G4856 (συμφωνέω);","kjv_def":"concord","lemma":"συμφώνησις"},
"G897":{"lemma":"Βαβυλών","kjv_def":" Babylon","strongs_def":" Babylon, the capitol of Chaldæa (literally or figuratively (as a type of tyranny))","derivation":"of Hebrew origin (H0894);"},
"G4925":{"kjv_def":"build together","lemma":"συνοικοδομέω","derivation":"from G4862 (σύν) and G3618 (οἰκοδομέω);","strongs_def":" to construct, i.e. (passively) to compose (in company with other Christians, figuratively)"},
"G3656":{"derivation":"from G3658 (ὅμιλος);","strongs_def":" to be in company with, i.e. (by implication) to converse","lemma":"ὁμιλέω","kjv_def":"commune, talk"},
"G507":{"lemma":"ἄνω","kjv_def":"above, brim, high, up","derivation":"adverb from G473 (ἀντί);","strongs_def":" upward or on the top"},
"G5172":{"lemma":"τρυφή","kjv_def":"delicately, riot","derivation":"from (to break up or (figuratively) enfeeble, especially the mind and body by indulgence);","strongs_def":" effeminacy, i.e. luxury or debauchery"},
"G3184":{"lemma":"μεθύω","kjv_def":"drink well, make (be) drunk(-en)","derivation":"from another form of G3178 (μέθη);","strongs_def":" to drink to intoxication, i.e. get drunk"},
"G3912":{"strongs_def":" to misthink, i.e. be insane (silly)","derivation":"from G3844 (παρά) and G5426 (φρονέω);","lemma":"παραφρονέω","kjv_def":"as a fool"},
"G3608":{"lemma":"ὀθόνιον","kjv_def":"linen clothes","derivation":"neuter of a presumed derivative of G3607 (ὀθόνη);","strongs_def":" a linen bandage"},
"G188":{"strongs_def":" adverbially, just now, i.e. still","derivation":"accusative case of a noun (\"acme\") akin to (a point) and meaning the same;","kjv_def":"yet","lemma":"ἀκμήν"},
"G4790":{"lemma":"συγκοινωνέω","kjv_def":"communicate (have fellowship) with, be partaker of","derivation":"from G4862 (σύν) and G2841 (κοινωνέω);","strongs_def":" to share in company with, i.e. co-participate in"},
"G4033":{"strongs_def":" to encircle all around, i.e. blockade completely","derivation":"from G4012 (περί) and G2944 (κυκλόω);","kjv_def":"compass round","lemma":"περικυκλόω"},
"G3481":{"strongs_def":" Nathan, an Israelite","derivation":"of Hebrew origin (H05416);","kjv_def":"Nathan","lemma":"Ναθάν"},
"G2451":{"strongs_def":" Judaïc, i.e. resembling a Judæan","derivation":"from G2453 (Ἰουδαῖος);","kjv_def":"Jewish","lemma":"Ἰουδαϊκός"},
"G2975":{"strongs_def":" to lot, i.e. determine (by implication, receive) especially by lot","derivation":"a prolonged form of a primary verb, which is only used as an alternate in certain tenses;","lemma":"λαγχάνω","kjv_def":"his lot be, cast lots, obtain"},
"G725":{"strongs_def":" plunder (properly concrete)","derivation":"from G726 (ἁρπάζω);","kjv_def":"robbery","lemma":"ἁρπαγμός"},
"G2448":{"kjv_def":"Judah","lemma":"Ἰουδά","strongs_def":" Judah (i.e. Jehudah or Juttah), a part of (or place in) Palestine","derivation":"of Hebrew origin (H03063 or perhaps H03194);"},
"G674":{"derivation":"from G575 (ἀπό) and G5594 (ψύχω);","strongs_def":" to breathe out, i.e. faint","lemma":"ἀποψύχω","kjv_def":"hearts failing"},
"G2010":{"strongs_def":" to turn over (transfer), i.e. allow","derivation":"from G1909 (ἐπί) and the base of G5157 (τροπή);","lemma":"ἐπιτρέπω","kjv_def":"give leave (liberty, license), let, permit, suffer"},
"G281":{"kjv_def":"amen, verily","lemma":"ἀμήν","derivation":"of Hebrew origin (H0543);","strongs_def":" properly, firm, i.e. (figuratively) trustworthy; adverbially, surely (often as interjection, so be it)"},
"G1635":{"strongs_def":" voluntary","derivation":"of uncertain affinity;","kjv_def":"willingly","lemma":"ἑκών"},
"G5531":{"lemma":"χράω","kjv_def":"lend","derivation":"probably the same as the base of G5530 (χράομαι);","strongs_def":" to loan"},
"G1348":{"kjv_def":"judge","lemma":"δικαστής","derivation":"from a derivative of G1349 (δίκη);","strongs_def":" a judger"},
"G2909":{"kjv_def":"best, better","lemma":"κρείττων","derivation":"comparative of a derivative of G2904 (κράτος);","strongs_def":" stronger, i.e. (figuratively) better, i.e. nobler"},
"G5140":{"lemma":"τρεῖς","kjv_def":"three","derivation":"a primary (plural) number;","strongs_def":" \"three\""},
"G734":{"lemma":"Ἀρτεμάς","kjv_def":"Artemas","derivation":"contracted from a compound of G735 (Ἄρτεμις) and G1435 (δῶρον);","strongs_def":" gift of Artemis; Artemas (or Artemidorus), a Christian"},
"G944":{"kjv_def":"frog","lemma":"βάτραχος","derivation":"of uncertain derivation;","strongs_def":" a frog"},
"G2443":{"derivation":"probably from the same as the former part of G1438 (ἑαυτοῦ) (through the demonstrative idea;","strongs_def":" compare G3588 (ὁ)); in order that (denoting the purpose or the result)","lemma":"ἵνα","kjv_def":"albeit, because, to the intent (that), lest, so as, (so) that, (for) to"},
"G2328":{"lemma":"θερμαίνω","kjv_def":"(be) warm(-ed, self)","strongs_def":" to heat (oneself)","derivation":"from G2329 (θέρμη);"},
"G4662":{"lemma":"σκωληκόβρωτος","kjv_def":"eaten of worms","strongs_def":" worm-eaten, i.e. diseased with maggots","derivation":"from G4663 (σκώληξ) and a derivative of G977 (βιβρώσκω);"},
"G4639":{"strongs_def":" \"shade\" or a shadow (literally or figuratively (darkness of error or an adumbration))","derivation":"apparently a primary word;","lemma":"σκιά","kjv_def":" shadow"},
"G1624":{"kjv_def":"avoid, turn (aside, out of the way)","lemma":"ἐκτρέπω","derivation":"from G1537 (ἐκ) and the base of G5157 (τροπή);","strongs_def":" to deflect, i.e. turn away (literally or figuratively)"},
"G5280":{"kjv_def":"remembrance","lemma":"ὑπόμνησις","derivation":"from G5279 (ὑπομιμνήσκω);","strongs_def":" a reminding or (reflexively) recollection"},
"G2643":{"strongs_def":" exchange (figuratively, adjustment), i.e. restoration to (the divine) favor","derivation":"from G2644 (καταλλάσσω);","kjv_def":"atonement, reconciliation(-ing)","lemma":"καταλλαγή"},
"G2828":{"kjv_def":"company","lemma":"κλισία","derivation":"from a derivative of G2827 (κλίνω);","strongs_def":" properly, reclination, i.e. (concretely and specially), a party at a meal"},
"G1611":{"kjv_def":"+ be amazed, amazement, astonishment, trance","lemma":"ἔκστασις","strongs_def":" a displacement of the mind, i.e. bewilderment, \"ecstasy\"","derivation":"from G1839 (ἐξίστημι);"},
"G2960":{"strongs_def":" belonging to the Lord (Jehovah or Jesus)","derivation":"from G2962 (κύριος);","kjv_def":"Lord's","lemma":"κυριακός"},
"G5036":{"lemma":"ταχύς","kjv_def":"swift","strongs_def":" fleet, i.e. (figuratively) prompt or ready","derivation":"of uncertain affinity;"},
"G1846":{"derivation":"from G1537 (ἐκ) and G3736 (ὀρύσσω);","strongs_def":" to dig out, i.e. (by extension) to extract (an eye), remove (roofing)","kjv_def":"break up, pluck out","lemma":"ἐξορύσσω"},
"G3055":{"strongs_def":" disputation about trifles (\"logomachy\")","derivation":"from the same as G3054 (λογομαχέω);","kjv_def":"strife of words","lemma":"λογομαχία"},
"G5271":{"strongs_def":" to decide (speak or act) under a false part, i.e. (figuratively) dissemble (pretend)","derivation":"middle voice from G5259 (ὑπό) and G2919 (κρίνω);","lemma":"ὑποκρίνομαι","kjv_def":"feign"},
"G1261":{"strongs_def":" discussion, i.e. (internal) consideration (by implication, purpose), or (external) debate","derivation":"from G1260 (διαλογίζομαι);","kjv_def":"dispute, doubtful(-ing), imagination, reasoning, thought","lemma":"διαλογισμός"},
"G677":{"derivation":"from G1 (Α) (as a negative particle) and a presumed derivative of G4350 (προσκόπτω);","strongs_def":" actively, inoffensive, i.e. not leading into sin; passively, faultless, i.e. not led into sin","lemma":"ἀπρόσκοπος","kjv_def":"none (void of, without) offence"},
"G2339":{"lemma":"θήρα","kjv_def":"trap","derivation":"from (a wild animal, as game);","strongs_def":" hunting, i.e. (figuratively) destruction"},
"G1900":{"kjv_def":"beyond","lemma":"ἐπέκεινα","strongs_def":" upon those parts of, i.e. on the further side of","derivation":"from G1909 (ἐπί) and (the accusative case plural neuter of) G1565 (ἐκεῖνος);"},
"G4380":{"lemma":"προσωποληπτέω","kjv_def":"have respect to persons","strongs_def":" to favor an individual, i.e. show partiality","derivation":"from G4381 (προσωπολήπτης);"},
"G1490":{"strongs_def":" but if not","derivation":"from G1487 (εἰ), G1161 (δέ), and G3361 (μή) (sometimes with G1065 (γέ) added);","lemma":"εἰ δὲ μή(γε)","kjv_def":"(or) else, if (not, otherwise), otherwise"},
"G4686":{"strongs_def":" a coil (spira, \"spire\"), i.e. (figuratively) a mass of men (a Roman military cohort; also (by analogy) a squad of Levitical janitors)","derivation":"of immediate Latin origin, but ultimately a derivative of G138 (αἱρέομαι) in the sense of its cognate G1507 (εἱλίσσω);","kjv_def":"band","lemma":"σπεῖρα"},
"G127":{"lemma":"αἰδώς","kjv_def":"reverence, shamefacedness","strongs_def":" bashfulness, i.e. (towards men), modesty or (towards God) awe","derivation":"perhaps from G1 (Α) (as a negative particle) and G1492 (εἴδω) (through the idea of downcast eyes);"},
"G486":{"strongs_def":" to rail in reply","derivation":"from G473 (ἀντί) and G3058 (λοιδορέω);","kjv_def":"revile again","lemma":"ἀντιλοιδορέω"},
"G957":{"kjv_def":"very well","lemma":"βελτίον","derivation":"neuter of a compound of a derivative of G906 (βάλλω) (used for the comparative of G18 (ἀγαθός));","strongs_def":" better"},
"G3754":{"kjv_def":"as concerning that, as though, because (that), for (that), how (that), (in) that, though, why","lemma":"ὅτι","derivation":"neuter of G3748 (ὅστις) as conjunction;","strongs_def":" demonstrative, that (sometimes redundant); causative, because"},
"G2548":{"kjv_def":"and him (other, them), even he, him also, them (also), (and) they","lemma":"κἀκεῖνος","derivation":"from G2532 (καί) and G1565 (ἐκεῖνος);","strongs_def":" likewise that (or those)"},
"G457":{"derivation":"from G455 (ἀνοίγω);","strongs_def":" opening (throat)","lemma":"ἄνοιξις","kjv_def":"X open"},
"G584":{"kjv_def":"(ap-)prove, set forth, shew","lemma":"ἀποδείκνυμι","strongs_def":" to show off, i.e. exhibit; figuratively, to demonstrate, i.e. accredit","derivation":"from G575 (ἀπό) and G1166 (δεικνύω);"},
"G5147":{"lemma":"τρίβος","kjv_def":"path","strongs_def":" akin to , , and the base of G5131 (τράγος), G5134 (τραῦμα)); a rut or worn track","derivation":"from (to \"rub\";"},
"G3497":{"kjv_def":"Naaman","lemma":"Νεεμάν","strongs_def":" Neeman (i.e. Naaman), a Syrian","derivation":"of Hebrew origin (H05283);"},
"G4927":{"derivation":"from G4862 (σύν) and a derivative of a compound of the base of 3674 and the base of G3725 (ὅριον);","strongs_def":" to border together, i.e. adjoin","kjv_def":"join hard","lemma":"συνομορέω"},
"G5501":{"derivation":"irregular comparative of G2556 (κακός);","strongs_def":" from an obsolete equivalent (of uncertain derivation); more evil or aggravated (physically, mentally or morally)","kjv_def":"sorer, worse","lemma":"χείρων"},
"G3533":{"kjv_def":"Nicopolis","lemma":"Νικόπολις","derivation":"from G3534 (νῖκος) and G4172 (πόλις);","strongs_def":" victorious city; Nicopolis, a place in Macedonia"},
"G5431":{"kjv_def":"be careful","lemma":"φροντίζω","derivation":"from a derivative of G5424 (φρήν);","strongs_def":" to exercise thought, i.e. be anxious"},
"G5416":{"kjv_def":"scourge","lemma":"φραγέλλιον","derivation":"neuter of a derivative from the base of G5417 (φραγελλόω);","strongs_def":" a whip, i.e. Roman lash as a public punishment"},
"G407":{"kjv_def":"quit like men","lemma":"ἀνδρίζομαι","strongs_def":" to act manly","derivation":"middle voice from G435 (ἀνήρ);"},
"G4840":{"kjv_def":"be here present with","lemma":"συμπάρειμι","derivation":"from G4862 (σύν) and G3918 (πάρειμι);","strongs_def":" to be at hand together, i.e. now present"},
"G835":{"derivation":"middle voice from G833 (αὐλή);","strongs_def":" to pass the night (properly, in the open air)","lemma":"αὐλίζομαι","kjv_def":"abide, lodge"},
"G182":{"kjv_def":"unstable","lemma":"ἀκατάστατος","derivation":"from G1 (Α) (as a negative particle) and a derivative of G2525 (καθίστημι);","strongs_def":" inconstant"},
"G3894":{"derivation":"from G3893 (παραπικραίνω);","strongs_def":" irritation","lemma":"παραπικρασμός","kjv_def":"provocation"},
"G117":{"kjv_def":"Athenian","lemma":"Ἀθηναῖος","strongs_def":" an Athenæan or inhabitant of Athenæ","derivation":"from G116 (Ἀθῆναι);"},
"G5372":{"lemma":"Φίλητος","kjv_def":"Philetus","derivation":"from G5368 (φιλέω);","strongs_def":" amiable; Philetus, an opposer of Christianity"},
"G2514":{"derivation":"from G2513 (καθαρός);","strongs_def":" cleanness (ceremonially)","lemma":"καθαρότης","kjv_def":"purification"},
"G1887":{"derivation":"from G1909 (ἐπί) and G839 (αὔριον);","strongs_def":" occurring on the succeeding day, i.e. (G2250 (ἡμέρα) being implied) to-morrow","lemma":"ἐπαύριον","kjv_def":"day following, morrow, next day (after)"},
"G722":{"derivation":"from G723 (ἄροτρον);","strongs_def":" to plow","lemma":"ἀροτριόω","kjv_def":"plough"},
"G4897":{"kjv_def":"go in with, go with into","lemma":"συνεισέρχομαι","derivation":"from G4862 (σύν) and G1525 (εἰσέρχομαι);","strongs_def":" to enter in company with"},
"G1928":{"lemma":"ἐπιδιατάσσομαι","kjv_def":"add to","strongs_def":" to appoint besides, i.e. supplement (as a codicil)","derivation":"middle voice from G1909 (ἐπί) and G1299 (διατάσσω);"},
"G3476":{"derivation":"of Hebrew origin (H05177);","strongs_def":" Naasson (i.e. Nachshon), an Israelite","lemma":"Ναασσών","kjv_def":"Naasson"},
"G1790":{"lemma":"ἔντρομος","kjv_def":"X quake, X trembled","strongs_def":" terrified","derivation":"from G1722 (ἐν) and G5156 (τρόμος);"},
"G27":{"kjv_def":"(dearly, well) beloved, dear","lemma":"ἀγαπητός","strongs_def":" beloved","derivation":"from G25 (ἀγαπάω);"},
"G1657":{"kjv_def":"liberty","lemma":"ἐλευθερία","derivation":"from G1658 (ἐλεύθερος);","strongs_def":" freedom (legitimate or licentious, chiefly moral or ceremonial)"},
"G5199":{"derivation":"from the base of G837 (αὐξάνω);","strongs_def":" healthy, i.e. well (in body); figuratively, true (in doctrine)","lemma":"ὑγιής","kjv_def":"sound, whole"},
"G4007":{"derivation":"from the base of G4008 (πέραν);","strongs_def":" an enclitic particle significant of abundance (thoroughness), i.e. emphasis; much, very or ever","lemma":"περ","kjv_def":"(whom-)soever"},
"G4314":{"lemma":"πρός","kjv_def":"about, according to , against, among, at, because of, before, between, (where-)by, for, X at thy house, in, for intent, nigh unto, of, which pertain to, that, to (the end that), X together, to (you) -ward, unto, with(-in)","strongs_def":" a preposition of direction; forward to, i.e. toward (with the genitive case, the side of, i.e. pertaining to; with the dative case, by the side of, i.e. near to; usually with the accusative case, the place, time, occasion, or respect, which is the destination of the relation, i.e. whither or for which it is predicated)","derivation":"a strengthened form of G4253 (πρό);"},
"G276":{"kjv_def":"immutable(-ility)","lemma":"ἀμετάθετος","derivation":"from G1 (Α) (as a negative particle) and a derivative of G3346 (μετατίθημι);","strongs_def":" unchangeable, or (neuter as abstract) unchangeability"},
"G545":{"strongs_def":" unpersuadable, i.e. contumacious","derivation":"from G1 (Α) (as a negative particle) and G3982 (πείθω);","kjv_def":"disobedient","lemma":"ἀπειθής"},
"G2062":{"kjv_def":"creeping thing, serpent","lemma":"ἑρπετόν","derivation":"neuter of a derivative of (to creep);","strongs_def":" a reptile, i.e. (by Hebraism (compare H07431)) a small animal"},
"G472":{"strongs_def":" to hold oneself opposite to, i.e. (by implication) adhere to; by extension to care for","derivation":"from G473 (ἀντί) and the middle voice of G2192 (ἔχω);","lemma":"ἀντέχομαι","kjv_def":"hold fast, hold to, support"},
"G3990":{"kjv_def":"behead","lemma":"πελεκίζω","strongs_def":" to chop off (the head), i.e. truncate","derivation":"from a derivative of G4141 (πλήσσω) (meaning an axe);"},
"G492":{"kjv_def":"pass by on the other side","lemma":"ἀντιπαρέρχομαι","derivation":"from G473 (ἀντί) and G3928 (παρέρχομαι);","strongs_def":" to go along opposite"},
"G1085":{"lemma":"γένος","kjv_def":"born, country(-man), diversity, generation, kind(-red), nation, offspring, stock","derivation":"from G1096 (γίνομαι);","strongs_def":" \"kin\" (abstract or concrete, literal or figurative, individual or collective)"},
"G4939":{"kjv_def":"brought up with","lemma":"σύντροφος","derivation":"from G4862 (σύν) and G5162 (τροφός) (in a passive sense);","strongs_def":" a fellow-nursling, i.e. comrade"},
"G4615":{"kjv_def":"mustard","lemma":"σίναπι","strongs_def":" mustard (the plant)","derivation":"perhaps from (to hurt, i.e. sting);"},
"G223":{"kjv_def":"Alexander","lemma":"Ἀλέξανδρος","strongs_def":" man-defender; Alexander, the name of three Israelites and one other man","derivation":"from the same as (the first part of) G220 (ἀλέκτωρ) and G435 (ἀνήρ);"},
"G2875":{"strongs_def":" to \"chop\"; specially, to beat the breast in grief","derivation":"a primary verb;","lemma":"κόπτω","kjv_def":"cut down, lament, mourn, (be-)wail"},
"G5604":{"lemma":"ὠδίν","kjv_def":"pain, sorrow, travail","derivation":"akin to G3601 (ὀδύνη);","strongs_def":" a pang or throe, especially of childbirth"},
"G2245":{"kjv_def":"how (what) great","lemma":"ἡλίκος","derivation":"from (a comrade, i.e. one of the same age);","strongs_def":" as big as, i.e. (interjectively) how much"},
"G246":{"strongs_def":" foreign, i.e. (specially) Gentile","derivation":"from G243 (ἄλλος) and G5443 (φυλή);","kjv_def":"one of another nation","lemma":"ἀλλόφυλος"},
"G1524":{"kjv_def":"enter (go) into","lemma":"εἴσειμι","strongs_def":" to enter","derivation":"from G1519 (εἰς) and (to go);"},
"G2418":{"derivation":"from a compound of G2411 (ἱερόν) and the base of G2041 (ἔργον);","strongs_def":" to be a temple-worker, i.e. officiate as a priest (figuratively)","kjv_def":"minister","lemma":"ἱερουργέω"},
"G2494":{"kjv_def":"Jonan","lemma":"Ἰωνάν","strongs_def":" Jonan, an Israelite","derivation":"probably for G2491 (Ἰωάννης) or G2495 (Ἰωνᾶς);"},
"G3465":{"derivation":"of uncertain origin;","strongs_def":" Mysia, a region of Asia Minor","kjv_def":"Mysia","lemma":"Μυσία"},
"G1318":{"lemma":"διδακτός","kjv_def":"taught, which … teacheth","derivation":"from G1321 (διδάσκω);","strongs_def":" (subjectively) instructed, or (objectively) communicated by teaching"},
"G3636":{"kjv_def":"grievous, slothful","lemma":"ὀκνηρός","strongs_def":" tardy, i.e. indolent; (figuratively) irksome","derivation":"from G3635 (ὀκνέω);"},
"G4087":{"kjv_def":"be (make) bitter","lemma":"πικραίνω","derivation":"from G4089 (πικρός);","strongs_def":" to embitter (literally or figuratively)"},
"G2562":{"kjv_def":"stubble","lemma":"καλάμη","strongs_def":" a stalk of grain, i.e. (collectively) stubble","derivation":"feminine of G2563 (κάλαμος);"},
"G4138":{"strongs_def":" repletion or completion, i.e. (subjectively) what fills (as contents, supplement, copiousness, multitude), or (objectively) what is filled (as container, performance, period)","derivation":"from G4137 (πληρόω);","kjv_def":"which is put in to fill up, piece that filled up, fulfilling, full, fulness","lemma":"πλήρωμα"},
"G84":{"lemma":"ἀδήλως","kjv_def":"uncertainly","strongs_def":" uncertainly","derivation":"adverb from G82 (ἄδηλος);"},
"G4045":{"strongs_def":" to fall into something that is all around, i.e. light among or upon, be surrounded with","derivation":"from G4012 (περί) and G4098 (πίπτω);","lemma":"περιπίπτω","kjv_def":"fall among (into)"},
"G108":{"kjv_def":"Azotus","lemma":"Ἄζωτος","strongs_def":" Azotus (i.e. Ashdod), a place in Palestine","derivation":"of Hebrew origin (H0795);"},
"G3980":{"derivation":"from a compound of G3982 (πείθω) and G757 (ἄρχω);","strongs_def":" to be persuaded by a ruler, i.e. (genitive case) to submit to authority; by analogy, to conform to advice","lemma":"πειθαρχέω","kjv_def":"hearken, obey (magistrates)"},
"G4907":{"strongs_def":" a mental putting together, i.e. intelligence or (concretely) the intellect","derivation":"from G4920 (συνίημι);","kjv_def":"knowledge, understanding","lemma":"σύνεσις"},
"G2146":{"kjv_def":"make a fair show","lemma":"εὐπροσωπέω","derivation":"from a compound of G2095 (εὖ) and G4383 (πρόσωπον);","strongs_def":" to be of good countenance, i.e. (figuratively) to make a display"},
"G2151":{"derivation":"from G2152 (εὐσεβής);","strongs_def":" to be pious, i.e. (towards God) to worship, or (towards parents) to respect (support)","kjv_def":"show piety, worship","lemma":"εὐσεβέω"},
"G4994":{"lemma":"σωφρονίζω","kjv_def":"teach to be sober","derivation":"from G4998 (σώφρων);","strongs_def":" to make of sound mind, i.e. (figuratively) to discipline or correct"},
"G1863":{"kjv_def":"bring upon","lemma":"ἐπάγω","derivation":"from G1909 (ἐπί) and G71 (ἄγω);","strongs_def":" to superinduce, i.e. inflict (an evil), charge (a crime)"},
"G3498":{"kjv_def":"dead","lemma":"νεκρός","derivation":"from an apparently primary (a corpse);","strongs_def":" dead (literally or figuratively; also as noun)"},
"G2020":{"derivation":"a form of G2017 (ἐπιφαύω);","strongs_def":" to begin to grow light","kjv_def":"begin to dawn, X draw on","lemma":"ἐπιφώσκω"},
"G3321":{"derivation":"from a presumed compound of G3319 (μέσος) and G3772 (οὐρανός);","strongs_def":" mid-sky","lemma":"μεσουράνημα","kjv_def":"midst of heaven"},
"G1122":{"derivation":"from G1121 (γράμμα). a writer, i.e. (professionally) scribe or secretary","kjv_def":"scribe, town-clerk","lemma":"γραμματεύς"},
"G3710":{"derivation":"from G3709 (ὀργή);","strongs_def":" to provoke or enrage, i.e. (passively) become exasperated","kjv_def":"be angry (wroth)","lemma":"ὀργίζω"},
"G3977":{"derivation":"from a derivative of G4228 (πούς) (meaning the ground);","strongs_def":" level (as easy for the feet)","kjv_def":"plain","lemma":"πεδινός"},
"G2881":{"strongs_def":" a Corinthian, i.e. inhabitant of Corinth","derivation":"from G2882 (Κόρινθος);","kjv_def":"Corinthian","lemma":"Κορίνθιος"},
"G1961":{"derivation":"from G1909 (ἐπί) and G3306 (μένω);","strongs_def":" to stay over, i.e. remain (figuratively, persevere)","kjv_def":"abide (in), continue (in), tarry","lemma":"ἐπιμένω"},
"G2584":{"kjv_def":"Capernaum","lemma":"Καπερναούμ","derivation":"of Hebrew origin (probably H03723 and H05151);","strongs_def":" Capernaum (i.e. Caphanachum), a place in Palestine"},
"G2221":{"derivation":"from the same as G2226 (ζῶον) and G64 (ἀγρεύω);","strongs_def":" to take alive (make a prisoner of war), i.e. (figuratively) to capture or ensnare","lemma":"ζωγρέω","kjv_def":"take captive, catch"},
"G5207":{"strongs_def":" a \"son\" (sometimes of animals), used very widely of immediate, remote or figuratively, kinship","derivation":"apparently a primary word;","kjv_def":"child, foal, son","lemma":"υἱός"},
"G2126":{"strongs_def":" taking well (carefully), i.e. circumspect (religiously, pious)","derivation":"from G2095 (εὖ) and G2983 (λαμβάνω);","lemma":"εὐλαβής","kjv_def":"devout"},
"G5142":{"strongs_def":" but perhaps strengthened from the base of G5157 (τροπή) through the idea of convolution); properly, to stiffen, i.e. fatten (by implication, to cherish (with food, etc.), pamper, rear)","derivation":"a primary verb (properly, ;","lemma":"τρέφω","kjv_def":"bring up, feed, nourish"},
"G4400":{"lemma":"προχειρίζομαι","kjv_def":"choose, make","derivation":"middle voice from G4253 (πρό) and a derivative of G5495 (χείρ);","strongs_def":" to handle for oneself in advance, i.e. (figuratively) to purpose"},
"G1129":{"kjv_def":"exercise","lemma":"γυμνασία","derivation":"from G1128 (γυμνάζω);","strongs_def":" training, i.e. (figuratively) asceticism"},
"G3116":{"strongs_def":" with long (enduring) temper, i.e. leniently","derivation":"adverb of a compound of G3117 (μακρός) and G2372 (θυμός);","lemma":"μακροθυμώς","kjv_def":"patiently"},
"G2962":{"lemma":"κύριος","kjv_def":" God, Lord, master, Sir","derivation":"from (supremacy);","strongs_def":" supreme in authority, i.e. (as noun) controller; by implication, Master (as a respectful title)"},
"G5595":{"lemma":"ψωμίζω","kjv_def":"(bestow to) feed","derivation":"from the base of G5596 (ψωμίον);","strongs_def":" to supply with bits, i.e. (generally) to nourish"},
"G5115":{"kjv_def":"bow","lemma":"τόξον","derivation":"from the base of G5088 (τίκτω);","strongs_def":" a bow (apparently as the simplest fabric)"},
"G2740":{"kjv_def":"be burned","lemma":"καῦσις","strongs_def":" burning (the act)","derivation":"from G2545 (καίω);"},
"G900":{"derivation":"from G901 (βαθύς);","strongs_def":" to deepen","kjv_def":"deep","lemma":"βαθύνω"},
"G5037":{"derivation":"a primary particle (enclitic) of connection or addition;","strongs_def":" both or also (properly, as correlation of G2532 (καί))","lemma":"τέ","kjv_def":"also, and, both, even, then, whether"},
"G1346":{"derivation":"adverb from G1342 (δίκαιος);","strongs_def":" equitably","kjv_def":"justly, (to) righteously(-ness)","lemma":"δικαίως"},
"G2853":{"derivation":"from (\"glue\");","strongs_def":" to glue, i.e. (passively or reflexively) to stick (figuratively)","kjv_def":"cleave, join (self), keep company","lemma":"κολλάω"},
"G3622":{"strongs_def":" administration (of a household or estate); specially, a (religious) \"economy\"","derivation":"from G3623 (οἰκονόμος);","kjv_def":"dispensation, stewardship","lemma":"οἰκονομία"},
"G2065":{"strongs_def":" to interrogate; by implication, to request","derivation":"apparently from G2046 (ἐρέω) (compare G2045 (ἐρευνάω));","lemma":"ἐρωτάω","kjv_def":"ask, beseech, desire, intreat, pray"},
"G4970":{"strongs_def":" of uncertain derivation) as adverb; vehemently, i.e. in a high degree, much","derivation":"neuter plural of (violent;","kjv_def":" exceeding(-ly), greatly, sore, very","lemma":"σφόδρα"},
"G1021":{"lemma":"βραδύς","kjv_def":"slow","derivation":"of uncertain affinity;","strongs_def":" slow; figuratively, dull"},
"G1744":{"strongs_def":" to sink (by implication, wrap (compare G1746 (ἐνδύω)) on, i.e. (figuratively) sneak","derivation":"from G1772 (ἔννομος) and G1416 (δύνω);","lemma":"ἐνδύνω","kjv_def":"creep"},
"G1567":{"kjv_def":"en- (re-)quire, seek after (carefully, diligently)","lemma":"ἐκζητέω","strongs_def":" to search out, i.e. (figuratively)investigate, crave, demand, (by Hebraism) worship","derivation":"from G1537 (ἐκ) and G2212 (ζητέω);"},
"G4332":{"strongs_def":" to sit near, i.e. attend as a servant","derivation":"from a compound of G4314 (πρός) and the base of G1476 (ἑδραῖος);","kjv_def":"wait at","lemma":"προσεδρεύω"},
"G3482":{"derivation":"of Hebrew origin (H05417);","strongs_def":" Nathanaël (i.e. Nathanel), an Israelite and Christian","kjv_def":"Nathanael","lemma":"Ναθαναήλ"},
"G2002":{"derivation":"from G1909 (ἐπί) and G4987 (σωρεύω);","strongs_def":" to accumulate further, i.e. (figuratively) seek additionally","kjv_def":"heap","lemma":"ἐπισωρεύω"},
"G5023":{"kjv_def":"+ afterward, follow, + hereafter, X him, the same, so, such, that, then, these, they, this, those, thus","lemma":"ταῦτα","strongs_def":" these things","derivation":"nominative or accusative case neuter plural of G3778 (οὗτος);"},
"G5048":{"lemma":"τελειόω","kjv_def":"consecrate, finish, fulfil, make) perfect","derivation":"from G5046 (τέλειος);","strongs_def":" to complete, i.e. (literally) accomplish, or (figuratively) consummate (in character)"},
"G2946":{"kjv_def":"wallowing","lemma":"κύλισμα","derivation":"from G2947 (κυλιόω);","strongs_def":" a wallow (the effect of rolling), i.e. filth"},
"G3423":{"strongs_def":" to give a souvenir (engagement present), i.e. betroth","derivation":"from a derivative of G3415 (μνάομαι);","lemma":"μνηστεύω","kjv_def":"espouse"},
"G716":{"strongs_def":" a chariot (as raised or fitted together (compare G719 (ἁρμός)))","derivation":"probably from G142 (αἴρω) (perhaps with G1 (Α) (as a particle of union) prefixed);","kjv_def":"chariot","lemma":"ἅρμα"},
"G2256":{"derivation":"from the base of G2255 (ἥμισυ) and G5610 (ὥρα);","strongs_def":" a half-hour","lemma":"ἡμιώριον","kjv_def":"half an hour"},
"G341":{"derivation":"from G303 (ἀνά) and a derivative of G2537 (καινός);","strongs_def":" to renovate","lemma":"ἀνακαινόω","kjv_def":"renew"},
"G1239":{"derivation":"from G1223 (διά) and G1325 (δίδωμι);","strongs_def":" to give throughout a crowd, i.e. deal out; also to deliver over (as to a successor)","lemma":"διαδίδωμι","kjv_def":"(make) distribute(-ion), divide, give"},
"G4034":{"derivation":"from G4012 (περί) and G2989 (λάμπω);","strongs_def":" to illuminate all around, i.e. invest with a halo","kjv_def":"shine round about","lemma":"περιλάμπω"},
"G834":{"lemma":"αὐλητής","kjv_def":"minstrel, piper","strongs_def":" a flute-player","derivation":"from G832 (αὐλέω);"},
"G4406":{"strongs_def":" dawning, i.e. (by analogy) autumnal (showering, the first of the rainy season)","derivation":"from G4404 (πρωΐ);","lemma":"πρώϊμος","kjv_def":"early"},
"G3785":{"kjv_def":"would (to God)","lemma":"ὄφελον","derivation":"first person singular of a past tense of G3784 (ὀφείλω);","strongs_def":" I ought (wish), i.e. (interjection) oh that!"},
"G885":{"derivation":"probably of Hebrew origin (compare H03137);","strongs_def":" Achim, an Israelite","kjv_def":"Achim","lemma":"Ἀχείμ"},
"G5527":{"lemma":"χόρτασμα","kjv_def":"sustenance","strongs_def":" forage, i.e. food","derivation":"from G5526 (χορτάζω);"},
"G1117":{"derivation":"from G1073 (γέμω);","strongs_def":" a load (as filling), i.e. (specially) a cargo, or (by extension) wares","kjv_def":"burden, merchandise","lemma":"γόμος"},
"G4544":{"derivation":"of uncertain affinity;","strongs_def":" Samus, an island of the Mediterranean","kjv_def":"Samos","lemma":"Σάμος"},
"G2804":{"derivation":"of Latin origin;","strongs_def":" Claudius, the name of two Romans","lemma":"Κλαύδιος","kjv_def":"Claudius"},
"G3534":{"kjv_def":"victory","lemma":"νῖκος","derivation":"from G3529 (νίκη);","strongs_def":" a conquest (concretely), i.e. (by implication) triumph"},
"G2357":{"derivation":"probably from the base of G2360 (θροέω);","strongs_def":" ceremonious in worship (as demonstrative), i.e. pious","kjv_def":"religious","lemma":"θρησκός"},
"G2004":{"derivation":"from G1909 (ἐπί) and G5021 (τάσσω);","strongs_def":" to arrange upon, i.e. order","lemma":"ἐπιτάσσω","kjv_def":"charge, command, injoin"},
"G4071":{"kjv_def":"bird, fowl","lemma":"πετεινόν","derivation":"neuter of a derivative of G4072 (πέτομαι);","strongs_def":" a flying animal, i.e. bird"},
"G3617":{"derivation":"from G3624 (οἶκος) and G1203 (δεσπότης);","strongs_def":" the head of a family","lemma":"οἰκοδεσπότης","kjv_def":"goodman (of the house), householder, master of the house"},
"G3591":{"strongs_def":" a mass (as bending or bulging by its load), i.e. burden (hindrance)","derivation":"probably from the same as G43 (ἀγκάλη);","lemma":"ὄγκος","kjv_def":"weight"},
"G1032":{"derivation":"a primary verb;","strongs_def":" to swell out, i.e. (by implication) to gush","kjv_def":"send forth","lemma":"βρύω"},
"G3187":{"lemma":"μείζων","kjv_def":"elder, greater(-est), more","strongs_def":" larger (literally or figuratively, specially, in age)","derivation":"irregular comparative of G3173 (μέγας);"},
"G2663":{"lemma":"κατάπαυσις","kjv_def":"rest","strongs_def":" reposing down, i.e. (by Hebraism) abode","derivation":"from G2664 (καταπαύω);"},
"G3542":{"derivation":"feminine from the same as G3551 (νόμος);","strongs_def":" pasture, i.e. (the act) feeding (figuratively, spreading of a gangrene), or (the food) pasturage","lemma":"νομή","kjv_def":"X eat, pasture"},
"G2285":{"strongs_def":" stupefaction (by surprise), i.e. astonishment","derivation":"akin to an obsolete (to dumbfound);","lemma":"θάμβος","kjv_def":"X amazed, + astonished, wonder"},
"G3640":{"lemma":"ὀλιγόπιστος","kjv_def":"of little faith","strongs_def":" incredulous, i.e. lacking confidence (in Christ)","derivation":"from G3641 (ὀλίγος) and G4102 (πίστις);"},
"G366":{"derivation":"from G303 (ἀνά) and G3525 (νήφω);","strongs_def":" to become sober again, i.e. (figuratively) regain (one's) senses","lemma":"ἀνανήφω","kjv_def":"recover self"},
"G4864":{"lemma":"συναγωγή","kjv_def":"assembly, congregation, synagogue","strongs_def":" an assemblage of persons; specially, a Jewish \"synagogue\" (the meeting or the place); by analogy, a Christian church","derivation":"from (the reduplicated form of) G4863 (συνάγω);"},
"G2778":{"kjv_def":"tribute","lemma":"κῆνσος","derivation":"of Latin origin;","strongs_def":" properly, an enrollment (\"census\"), i.e. (by implication) a tax"},
"G1309":{"strongs_def":" to flee through, i.e. escape","derivation":"from G1223 (διά) and G5343 (φεύγω);","lemma":"διαφεύγω","kjv_def":"escape"},
"G5580":{"strongs_def":" a spurious Messiah","derivation":"from G5571 (ψευδής) and G5547 (Χριστός);","lemma":"ψευδόχριστος","kjv_def":"false Christ"},
"G3493":{"strongs_def":" Nachor, the grandfather of Abraham","derivation":"of Hebrew origin (H05152);","kjv_def":"Nachor","lemma":"Ναχώρ"},
"G170":{"lemma":"ἀκαιρέομαι","kjv_def":"lack opportunity","derivation":"from a compound of G1 (Α) (as a negative particle) and G2540 (καιρός) (meaning unseasonable);","strongs_def":" to be inopportune (for oneself), i.e. to fail of a proper occasion"},
"G3634":{"strongs_def":" such or what sort of (as a correlation or exclamation); especially the neuter (adverbially) with negative, not so","derivation":"probably akin to G3588 (ὁ), G3739 (ὅς), and G3745 (ὅσος);","lemma":"οἷος","kjv_def":"so (as), such as, what (manner of), which"},
"G1250":{"derivation":"from G1364 (δίς) and G1540 (ἑκατόν);","strongs_def":" two hundred","lemma":"διακόσιοι","kjv_def":"two hundred"},
"G3337":{"derivation":"from G3326 (μετά) and G236 (ἀλλάσσω);","strongs_def":" to exchange","kjv_def":"change","lemma":"μεταλλάσσω"},
"G1645":{"strongs_def":" light, i.e. easy","derivation":"probably akin to G1643 (ἐλαύνω) and the base of G1640 (ἐλάσσων);","kjv_def":"light","lemma":"ἐλαφρός"},
"G4302":{"kjv_def":"foretell, tell before","lemma":"προλέγω","strongs_def":" to say beforehand, i.e. predict, forewarn","derivation":"from G4253 (πρό) and G3004 (λέγω);"},
"G4450":{"lemma":"πυῤῥός","kjv_def":"red","strongs_def":" fire-like, i.e. (specially), flame- colored","derivation":"from G4442 (πῦρ);"},
"G3022":{"derivation":"from (\"light\");","strongs_def":" white","lemma":"λευκός","kjv_def":"white"},
"G779":{"derivation":"from the same as G778 (ἀσκέω);","strongs_def":" a leathern (or skin) bag used as a bottle","lemma":"ἀσκός","kjv_def":"bottle"},
"G5345":{"derivation":"from G5346 (φημί);","strongs_def":" a saying, i.e. rumor (\"fame\")","lemma":"φήμη","kjv_def":"fame"},
"G4047":{"strongs_def":" acquisition (the act or the thing); by extension, preservation","derivation":"from G4046 (περιποιέομαι);","lemma":"περιποίησις","kjv_def":"obtain(-ing), peculiar, purchased, possession, saving"},
"G2142":{"lemma":"εὐπορία","kjv_def":"wealth","strongs_def":" pecuniary resources","derivation":"from the same as G2141 (εὐπορέω);"},
"G2627":{"derivation":"from G2626 (κατακλύζω);","strongs_def":" an inundation","lemma":"κατακλυσμός","kjv_def":"flood"},
"G1755":{"kjv_def":"operation, working","lemma":"ἐνέργημα","strongs_def":" an effect","derivation":"from G1754 (ἐνεργέω);"},
"G5366":{"strongs_def":" fond of silver (money), i.e. avaricious","derivation":"from G5384 (φίλος) and G696 (ἄργυρος);","kjv_def":"covetous","lemma":"φιλάργυρος"},
"G262":{"derivation":"from G263 (ἀμάραντος);","strongs_def":" \"amaranthine\", i.e. (by implication) fadeless","lemma":"ἀμαράντινος","kjv_def":"that fadeth not away"},
"G4854":{"strongs_def":" grown along with (connate), i.e. (figuratively) closely united to","derivation":"from G4862 (σύν) and a derivative of G5453 (φύω);","kjv_def":"planted together","lemma":"σύμφυτος"},
"G2741":{"kjv_def":"fervent heat","lemma":"καυσόω","strongs_def":" to set on fire","derivation":"from G2740 (καῦσις);"},
"G2864":{"derivation":"apparently from the same as G2865 (κομίζω);","strongs_def":" the hair of the head (locks, as ornamental, and thus differing from G2359 (θρίξ); which properly denotes merely the scalp)","lemma":"κόμη","kjv_def":"hair"},
"G4466":{"strongs_def":" Ragau (i.e. Reu), a patriarch","derivation":"of Hebrew origin (H07466);","lemma":"Ῥαγαῦ","kjv_def":"Ragau"},
"G3641":{"derivation":"of uncertain affinity;","strongs_def":" puny (in extent, degree, number, duration or value); especially neuter (adverbially) somewhat","kjv_def":"+ almost, brief(-ly), few, (a) little, + long, a season, short, small, a while","lemma":"ὀλίγος"},
"G5113":{"lemma":"τολμητής","kjv_def":"presumptuous","strongs_def":" a daring (audacious) man","derivation":"from G5111 (τολμάω);"},
"G4882":{"derivation":"from G4862 (σύν) and G649 (ἀποστέλλω);","strongs_def":" to despatch (on an errand) in company with","lemma":"συναποστέλλω","kjv_def":"send with"},
"G4606":{"derivation":"from G4605 (Σιδών);","strongs_def":" a Sidonian, i.e. inhabitant of Sidon","kjv_def":"of Sidon","lemma":"Σιδώνιος"},
"G228":{"lemma":"ἀληθινός","kjv_def":"true","derivation":"from G227 (ἀληθής);","strongs_def":" truthful"},
"G1351":{"derivation":"from G1364 (δίς) and G3056 (λόγος);","strongs_def":" equivocal, i.e. telling a different story","kjv_def":"double-tongued","lemma":"δίλογος"},
"G1741":{"strongs_def":" in glory, i.e. splendid, (figuratively) noble","derivation":"from G1722 (ἐν) and G1391 (δόξα);","lemma":"ἔνδοξος","kjv_def":"glorious, gorgeous(-ly), honourable"},
"G5298":{"lemma":"ὑποχωρέω","kjv_def":"go aside, withdraw self","derivation":"from G5259 (ὑπό) and G5562 (χωρέω);","strongs_def":" to vacate down, i.e. retire quietly"},
"G4325":{"derivation":"from G4314 (πρός) and G1159 (δαπανάω);","strongs_def":" to expend additionally","lemma":"προσδαπανάω","kjv_def":"spend more"},
"G24":{"strongs_def":" indignation","derivation":"from G23 (ἀγανακτέω);","kjv_def":"indignation","lemma":"ἀγανάκτησις"},
"G3395":{"derivation":"from G3396 (μίγνυμι);","strongs_def":" a compound","lemma":"μίγμα","kjv_def":"mixture"},
"G2048":{"derivation":"of uncertain affinity; lonesome, i.e. (by implication) waste (usually as a noun, G5561 (χώρα) being implied)","kjv_def":"desert, desolate, solitary, wilderness","lemma":"ἔρημος"},
"G5108":{"lemma":"τοιοῦτος","kjv_def":"like, such (an one)","derivation":"(including the other inflections); from G5104 (τοί) and G3778 (οὗτος);","strongs_def":" truly this, i.e. of this sort (to denote character or individuality)"},
"G3495":{"strongs_def":" a youth (under forty)","derivation":"from the same as G3494 (νεανίας);","kjv_def":"young man","lemma":"νεανίσκος"},
"G1833":{"lemma":"ἐξετάζω","kjv_def":"ask, enquire, search","strongs_def":" to test thoroughly (by questions), i.e. ascertain or interrogate","derivation":"from G1537 (ἐκ) and (to examine);"},
"G1046":{"kjv_def":"Gadarene","lemma":"Γαδαρηνός","derivation":"from (a town east of the Jordan);","strongs_def":" a Gadarene or inhabitant of Gadara"},
"G1561":{"strongs_def":" expectation","derivation":"from G1551 (ἐκδέχομαι);","kjv_def":"looking for","lemma":"ἐκδοχή"},
"G3742":{"kjv_def":"holiness","lemma":"ὁσιότης","derivation":"from G3741 (ὅσιος);","strongs_def":" piety"},
"G2850":{"strongs_def":" flattery","derivation":"from a derivative of (a fawner);","lemma":"κολακεία","kjv_def":" X flattering"},
"G4411":{"derivation":"from G4413 (πρῶτος) and G2828 (κλισία);","strongs_def":" a reclining first (in the place of honor) at the dinner-bed, i.e. preeminence at meals","kjv_def":"chief (highest, uppermost) room","lemma":"πρωτοκλισία"},
"G4789":{"lemma":"συγκληρονόμος","kjv_def":"fellow (joint)-heir, heir together, heir with","strongs_def":" a co-heir, i.e. (by analogy) participant in common","derivation":"from G4862 (σύν) and G2818 (κληρονόμος);"},
"G453":{"kjv_def":"fool(-ish), unwise","lemma":"ἀνόητος","derivation":"from G1 (Α) (as a negative particle) and a derivative of G3539 (νοιέω);","strongs_def":" unintelligent; by implication, sensual"},
"G4429":{"lemma":"πτύω","kjv_def":"spit","derivation":"a primary verb (compare G4428 (πτύσσω));","strongs_def":" to spit"},
"G5620":{"derivation":"from G5613 (ὡς) and G5037 (τέ);","strongs_def":" so too, i.e. thus therefore (in various relations of consecution, as follow)","kjv_def":"(insomuch) as, so that (then), (insomuch) that, therefore, to, wherefore","lemma":"ὥστε"},
"G2923":{"kjv_def":"judge","lemma":"κριτής","derivation":"from G2919 (κρίνω);","strongs_def":" a judge (genitive case or specially)"},
"G3807":{"strongs_def":" a boy-leader, i.e. a servant whose office it was to take the children to school; (by implication, (figuratively) a tutor (\"pædagogue\"))","derivation":"from G3816 (παῖς) and a reduplicated form of G71 (ἄγω);","lemma":"παιδαγωγός","kjv_def":" instructor, schoolmaster"},
"G421":{"strongs_def":" not tracked out, i.e. (by implication) untraceable","derivation":"from G1 (Α) (as a negative particle) and a presumed derivative of a compound of G1537 (ἐκ) and a derivative of G2487 (ἴχνος);","lemma":"ἀνεξιχνίαστος","kjv_def":"past finding out; unsearchable"},
"G1917":{"kjv_def":"laying (lying) in wait","lemma":"ἐπιβουλή","strongs_def":" a plan against someone, i.e. a plot","derivation":"from a presumed compound of G1909 (ἐπί) and G1014 (βούλομαι);"},
"G2088":{"kjv_def":"otherwise","lemma":"ἑτέρως","derivation":"adverb from G2087 (ἕτερος);","strongs_def":" differently"},
"G3004":{"kjv_def":"ask, bid, boast, call, describe, give out, name, put forth, say(-ing, on), shew, speak, tell, utter","lemma":"λέγω","strongs_def":" properly, to \"lay\" forth, i.e. (figuratively) relate (in words (usually of systematic or set discourse; whereas G2036 (ἔπω) and G5346 (φημί) generally refer to an individual expression or speech respectively; while G4483 (ῥέω) is properly to break silence merely, and G2980 (λαλέω) means an extended or random harangue)); by implication, to mean","derivation":"a primary verb;"},
"G38":{"derivation":"from G37 (ἁγιάζω);","strongs_def":" properly, purification, i.e. (the state) purity; concretely (by Hebraism) a purifier","lemma":"ἁγιασμός","kjv_def":"holiness, sanctification"},
"G1957":{"kjv_def":"testify","lemma":"ἐπιμαρτυρέω","derivation":"from G1909 (ἐπί) and G3140 (μαρτυρέω);","strongs_def":" to attest further, i.e. corroborate"},
"G1570":{"kjv_def":"cast out","lemma":"ἔκθετος","derivation":"from G1537 (ἐκ) and a derivative of G5087 (τίθημι);","strongs_def":" put out, i.e. exposed to perish"},
"G2446":{"strongs_def":" the Jordanes (i.e. Jarden), a river of Palestine","derivation":"of Hebrew origin (H03383);","lemma":"Ἰορδάνης","kjv_def":"Jordan"},
"G2436":{"lemma":"ἵλεως","kjv_def":"be it far, merciful","strongs_def":" cheerful (as attractive), i.e. propitious; adverbially (by Hebraism) God be gracious!, i.e. (in averting some calamity) far be it","derivation":"perhaps from the alternate form of G138 (αἱρέομαι);"},
"G314":{"strongs_def":" to know again, i.e. (by extension) to read","derivation":"from G303 (ἀνά) and G1097 (γινώσκω);","lemma":"ἀναγινώσκω","kjv_def":"read"},
"G4821":{"strongs_def":" to be co-regent (figuratively)","derivation":"from G4862 (σύν) and G936 (βασιλεύω);","lemma":"συμβασιλεύω","kjv_def":"reign with"},
"G1051":{"kjv_def":"milk","lemma":"γάλα","derivation":"of uncertain affinity;","strongs_def":" milk (figuratively)"},
"G4605":{"lemma":"Σιδών","kjv_def":"Sidon","strongs_def":" Sidon (i.e. Tsidon), a place in Palestine","derivation":"of Hebrew origin (H06721);"},
"G3480":{"lemma":"Ναζωραῖος","kjv_def":"Nazarene, of Nazareth","strongs_def":" a Nazoræan, i.e. inhabitant of Nazareth; by extension, a Christian","derivation":"from G3478 (Ναζαρέθ);"},
"G2051":{"kjv_def":"strive","lemma":"ἐρίζω","strongs_def":" to wrangle","derivation":"from G2054 (ἔρις);"},
"G5463":{"strongs_def":" to be \"cheer\"ful, i.e. calmly happy or well-off; impersonally, especially as salutation (on meeting or parting), be well","derivation":"a primary verb;","kjv_def":"farewell, be glad, God speed, greeting, hall, joy(- fully), rejoice","lemma":"χαίρω"},
"G4399":{"strongs_def":" to get an earlier start of, i.e. anticipate","derivation":"from G4253 (πρό) and G5348 (φθάνω);","kjv_def":"prevent","lemma":"προφθάνω"},
"G4477":{"strongs_def":" Rachab, a Canaanitess","derivation":"from the same as G4460 (Ῥαάβ);","kjv_def":"Rachab","lemma":"Ῥαχάβ"},
"G32":{"lemma":"ἄγγελος","kjv_def":"angel, messenger","derivation":"from (probably derived from G71 (ἄγω);","strongs_def":" compare G34 (ἀγέλη)) (to bring tidings); a messenger; especially an \"angel\"; by implication, a pastor"},
"G2728":{"kjv_def":"canker","lemma":"κατιόω","derivation":"from G2596 (κατά) and a derivative of G2447 (ἰός);","strongs_def":" to rust down, i.e. corrode"},
"G4009":{"strongs_def":" an extremity","derivation":"from the same as G4008 (πέραν);","lemma":"πέρας","kjv_def":"end, ut-(ter-)most participle "},
"G4583":{"lemma":"σεληνιάζομαι","kjv_def":"be a lunatic","strongs_def":" to be moon-struck, i.e. crazy","derivation":"middle voice or passive from a presumed derivative of G4582 (σελήνη);"},
"G2217":{"derivation":"akin to the base of G3509 (νέφος);","strongs_def":" gloom (as shrouding like a cloud)","lemma":"ζόφος","kjv_def":"blackness, darkness, mist"},
"G5318":{"strongs_def":" shining, i.e. apparent (literally or figuratively); neuter (as adverb) publicly, externally","derivation":"from G5316 (φαίνω);","kjv_def":"abroad, + appear, known, manifest, open (+ -ly), outward (+ -ly)","lemma":"φανερός"},
"G4616":{"lemma":"σινδών","kjv_def":"(fine) linen (cloth)","derivation":"of uncertain (perhaps foreign) origin;","strongs_def":" byssos, i.e. bleached linen (the cloth or a garment of it)"},
"G194":{"derivation":"from G1 (Α) (as a negative particle) and a presumed derivative of G2767 (κεράννυμι);","strongs_def":" undiluted","kjv_def":"without mixture","lemma":"ἄκρατος"},
"G1533":{"derivation":"from G1519 (εἰς) and G5342 (φέρω);","strongs_def":" to carry inward (literally or figuratively)","lemma":"εἰσφέρω","kjv_def":"bring (in), lead into"},
"G2542":{"derivation":"from G2541 (Καῖσαρ);","strongs_def":" Cæsaria, the name of two places in Palestine","lemma":"Καισάρεια","kjv_def":"Cæsarea"},
"G343":{"strongs_def":" to unveil","derivation":"from G303 (ἀνά) (in the sense of reversal) and G2572 (καλύπτω);","kjv_def":"open, (un-)taken away","lemma":"ἀνακαλύπτω"},
"G3343":{"derivation":"from G3326 (μετά) and G3992 (πέμπω);","strongs_def":" to send from elsewhere, i.e. (middle voice) to summon or invite","kjv_def":"call (send) for","lemma":"μεταπέμπω"},
"G1340":{"derivation":"from G1223 (διά) and a derivative of G2478 (ἰσχυρός);","strongs_def":" to stout it through, i.e. asservate","lemma":"διϊσχυρίζομαι","kjv_def":"confidently (constantly) affirm"},
"G3735":{"derivation":"probably from an obsolete (to rise or \"rear\";","strongs_def":" perhaps akin to G142 (αἴρω); compare G3733 (ὄρνις)); a mountain (as lifting itself above the plain)","lemma":"ὄρος","kjv_def":"hill, mount(-ain)"},
"G681":{"derivation":"a primary verb;","strongs_def":" properly, to fasten to, i.e. (specially) to set on fire","kjv_def":"kindle, light","lemma":"ἅπτω"},
"G2611":{"derivation":"from G2596 (κατά) and G1210 (δέω);","strongs_def":" to tie down, i.e. bandage (a wound)","lemma":"καταδέω","kjv_def":"bind up"},
"G5488":{"kjv_def":"Charran","lemma":"Χαῤῥάν","derivation":"of Hebrew origin (H02771);","strongs_def":" Charrhan (i.e. Charan), a place in Mesopotamia"},
"G4500":{"lemma":"ῥοιζηδόν","kjv_def":"with a great noise","derivation":"adverb from a derivative of (a whir);","strongs_def":" whizzingly, i.e. with a crash"},
"G5293":{"lemma":"ὑποτάσσω","kjv_def":"be under obedience (obedient), put under, subdue unto, (be, make) subject (to, unto), be (put) in subjection (to, under), submit self unto","strongs_def":" to subordinate; reflexively, to obey","derivation":"from G5259 (ὑπό) and G5021 (τάσσω);"},
"G384":{"kjv_def":"subvert","lemma":"ἀνασκευάζω","strongs_def":" properly, to pack up (baggage), i.e. (by implication, and figuratively) to upset","derivation":"from G303 (ἀνά) (in the sense of reversal) and a derivative of G4632 (σκεῦος);"},
"G2475":{"derivation":"from G2474 (Ἰσραήλ);","strongs_def":" an \"Israelite\", i.e. descendant of Israel (literally or figuratively)","kjv_def":"Israelite","lemma":"Ἰσραηλίτης"},
"G2420":{"lemma":"ἱερωσύνη","kjv_def":"priesthood","derivation":"from G2413 (ἱερός);","strongs_def":" sacredness, i.e. (by implication) the priestly office"},
"G5136":{"kjv_def":"opened","lemma":"τραχηλίζω","derivation":"from G5137 (τράχηλος);","strongs_def":" to seize by the throat or neck, i.e. to expose the gullet of a victim for killing (generally, to lay bare)"},
"G4556":{"derivation":"properly, an adjective from an uncertain base;","strongs_def":" sardian (3037 being implied), i.e. (as noun) the gem so called","kjv_def":"sardius","lemma":"σάρδιος"},
"G3853":{"lemma":"παραγγέλλω","kjv_def":"(give in) charge, (give) command(-ment), declare","derivation":"from G3844 (παρά) and the base of G32 (ἄγγελος);","strongs_def":" to transmit a message, i.e. (by implication) to enjoin"},
"G727":{"derivation":"from G726 (ἁρπάζω);","strongs_def":" rapacious","kjv_def":"extortion, ravening","lemma":"ἅρπαξ"},
"G643":{"strongs_def":" to pack up (one's) baggage","derivation":"from G575 (ἀπό) and a derivative of G4632 (σκεῦος);","lemma":"ἀποσκευάζω","kjv_def":"take up… carriages"},
"G3693":{"derivation":"from (regard;","strongs_def":" from G3700 (ὀπτάνομαι)) with enclitic of source; from the rear (as a secure aspect), i.e. at the back (adverb and preposition of place or time)","kjv_def":"after, backside, behind","lemma":"ὄπισθεν"},
"G550":{"lemma":"ἀπειπόμην","kjv_def":"renounce","derivation":"reflexive past of a compound of G575 (ἀπό) and G2036 (ἔπω);","strongs_def":" to say off for oneself, i.e. disown"},
"G5183":{"lemma":"Τύριος","kjv_def":"of Tyre","derivation":"from G5184 (Τύρος);","strongs_def":" a Tyrian, i.e. inhabitant of Tyrus"},
"G5572":{"strongs_def":" a spurious teacher, i.e. propagator of erroneous Christian doctrine","derivation":"from G5571 (ψευδής) and G1320 (διδάσκαλος);","lemma":"ψευδοδιδάσκαλος","kjv_def":"false teacher"},
"G2795":{"strongs_def":" to stir (transitively), literally or figuratively","derivation":"from (poetic for , to go);","kjv_def":"(re-)move(-r), way","lemma":"κινέω"},
"G2628":{"strongs_def":" to accompany closely","derivation":"from G2596 (κατά) and G190 (ἀκολουθέω);","lemma":"κατακολουθέω","kjv_def":"follow (after)"},
"G5296":{"lemma":"ὑποτύπωσις","kjv_def":"form, pattern","derivation":"from a compound of G5259 (ὑπό) and a derivative of G5179 (τύπος);","strongs_def":" typification under (after), i.e. (concretely) a sketch (figuratively) for imitation"},
"G2752":{"lemma":"κέλευμα","kjv_def":"shout","strongs_def":" a cry of incitement","derivation":"from G2753 (κελεύω);"},
"G4676":{"derivation":"of Latin origin;","strongs_def":" a sudarium (sweat-cloth), i.e. towel (for wiping the perspiration from the face, or binding the face of a corpse)","kjv_def":"handkerchief, napkin","lemma":"σουδάριον"},
"G3045":{"lemma":"λιπαρός","kjv_def":"dainty","derivation":"from (grease);","strongs_def":" fat, i.e. (figuratively) sumptuous"},
"G5621":{"strongs_def":" an earlet, i.e. one of the ears, or perhaps the lobe of the ear","derivation":"diminutive of G3775 (οὖς);","kjv_def":"ear","lemma":"ὠτίον"},
"G5090":{"derivation":"probably of Chaldee origin (compare H02931);","strongs_def":" Timæus (i.e. Timay), an Israelite","kjv_def":"Timæus","lemma":"Τιμαῖος"},
"G1614":{"derivation":"from G1537 (ἐκ) and teino (to stretch);","strongs_def":" to extend","kjv_def":"cast, put forth, stretch forth (out)","lemma":"ἐκτείνω"},
"G4111":{"derivation":"a primary verb;","strongs_def":" to mould, i.e. shape or fabricate","lemma":"πλάσσω","kjv_def":"form"},
"G2651":{"derivation":"from G2596 (κατά) and accusative case plural feminine of G3441 (μόνος) (with G5561 (χώρα) implied);","strongs_def":" according to sole places, i.e. (adverbially) separately","lemma":"καταμόνας","kjv_def":"alone"},
"G3013":{"strongs_def":" a flake","derivation":"from (to peel);","kjv_def":"scale","lemma":"λεπίς"},
"G5568":{"strongs_def":" a set piece of music, i.e. a sacred ode (accompanied with the voice, harp or other instrument; a \"psalm\"); collectively, the book of the Psalms","derivation":"from G5567 (ψάλλω);","lemma":"ψαλμός","kjv_def":"psalm"},
"G4771":{"kjv_def":" thou","lemma":"σύ","derivation":"the personal pronoun of the second person singular;","strongs_def":" thou"},
"G254":{"strongs_def":" a fetter or manacle","derivation":"of uncertain derivation;","lemma":"ἅλυσις","kjv_def":"bonds, chain"},
"G2530":{"lemma":"καθότι","kjv_def":"(according, forasmuch) as, because (that)","strongs_def":" and G3739 (ὅς) and G5100 (τὶς); according to which certain thing, i.e. as far (or inasmuch) as","derivation":"from G2596 (κατά);"},
"G4146":{"derivation":"adverb from G4145 (πλούσιος);","strongs_def":" copiously","lemma":"πλουσίως","kjv_def":"abundantly, richly"},
"G1476":{"kjv_def":"settled, stedfast","lemma":"ἑδραῖος","derivation":"from a derivative of (to sit);","strongs_def":" sedentary, i.e. (by implication) immovable"},
"G2316":{"lemma":"θεός","kjv_def":"X exceeding, God, god(-ly, -ward)","derivation":"of uncertain affinity; a deity, especially (with G3588 (ὁ)) the supreme Divinity;","strongs_def":" figuratively, a magistrate; by Hebraism, very"},
"G3319":{"strongs_def":" middle (as an adjective or (neuter) noun)","derivation":"from G3326 (μετά);","kjv_def":"among, X before them, between, + forth, mid(-day, -night), midst, way","lemma":"μέσος"},
"G1203":{"lemma":"δεσπότης","kjv_def":"Lord, master","strongs_def":" an absolute ruler (\"despot\")","derivation":"perhaps from G1210 (δέω) and (a husband);"},
"G3791":{"strongs_def":" to mob, i.e. (by implication) to harass","derivation":"from G3793 (ὄχλος);","kjv_def":"vex","lemma":"ὀχλέω"},
"G1252":{"strongs_def":" to separate thoroughly, i.e. (literally and reflexively) to withdraw from, or (by implication) oppose; figuratively, to discriminate (by implication, decide), or (reflexively) hesitate","derivation":"from G1223 (διά) and G2919 (κρίνω);","kjv_def":"contend, make (to) differ(-ence), discern, doubt, judge, be partial, stagger, waver","lemma":"διακρίνω"},
"G4207":{"strongs_def":" from far, or (by implication) at a distance, i.e. distantly","derivation":"from G4206 (πόῤῥω) with adverbial enclitic of source;","lemma":"πόῤῥωθεν","kjv_def":"afar off"},
"G4654":{"lemma":"σκοτίζω","kjv_def":"darken","strongs_def":" to obscure (literally or figuratively)","derivation":"from G4655 (σκότος);"},
"G3467":{"derivation":"from a compound of the base of G3466 (μυστήριον) and (the face;","strongs_def":" from G3700 (ὀπτάνομαι)); to shut the eyes, i.e. blink (see indistinctly)","lemma":"μυωπάζω","kjv_def":" cannot see far off"},
"G4374":{"strongs_def":" to bear towards, i.e. lead to, tender (especially to God), treat","derivation":"from G4314 (πρός) and G5342 (φέρω) (including its alternate);","kjv_def":"bring (to, unto), deal with, do, offer (unto, up), present unto, put to","lemma":"προσφέρω"},
"G1823":{"kjv_def":"glistening","lemma":"ἐξαστράπτω","derivation":"from G1537 (ἐκ) and G797 (ἀστράπτω);","strongs_def":" to lighten forth, i.e. (figuratively) to be radiant (of very white garments)"},
"G2410":{"lemma":"Ἱεριχώ","kjv_def":"Jericho","derivation":"of Hebrew origin (H03405);","strongs_def":" Jericho, a place in Palestine"},
"G271":{"kjv_def":"amethyst","lemma":"ἀμέθυστος","strongs_def":" the \"amethyst\" (supposed to prevent intoxication)","derivation":"from G1 (Α) (as a negative particle) and a derivative of G3184 (μεθύω);"},
"G892":{"lemma":"ἄχυρον","kjv_def":"chaff","strongs_def":" chaff (as diffusive)","derivation":"perhaps remotely from (to shed forth);"},
"G1866":{"derivation":"from G1867 (ἐπαινέω);","strongs_def":" praised; Epænetus, a Christian","lemma":"Ἐπαίνετος","kjv_def":"Epenetus"},
"G3794":{"lemma":"ὀχύρωμα","kjv_def":"stronghold","derivation":"from a remote derivative of G2192 (ἔχω) (meaning to fortify, through the idea of holding safely);","strongs_def":" a castle (figuratively, argument)"},
"G872":{"kjv_def":"look","lemma":"ἀφοράω","strongs_def":" to consider attentively","derivation":"from G575 (ἀπό) and G3708 (ὁράω);"},
"G3461":{"strongs_def":" a ten-thousand; by extension, a \"myriad\" or indefinite number","derivation":"from G3463 (μύριοι);","kjv_def":"ten thousand","lemma":"μυριάς"},
"G275":{"strongs_def":" not anxious","derivation":"from G1 (Α) (as a negative particle) and G3308 (μέριμνα);","kjv_def":"without care(-fulness), secure","lemma":"ἀμέριμνος"},
"G156":{"lemma":"αἰτία","kjv_def":"accusation, case, cause, crime, fault, (wh-)ere(-fore)","strongs_def":" a cause (as if asked for), i.e. (logical) reason (motive, matter), (legal) crime (alleged or proved)","derivation":"from the same as G154 (αἰτέω);"},
"G3734":{"kjv_def":"bound","lemma":"ὁροθεσία","derivation":"from a compound of the base of G3725 (ὅριον) and a derivative of G5087 (τίθημι);","strongs_def":" a limit-placing, i.e. (concretely) boundary-line"},
"G4310":{"strongs_def":" to undergo hardship previously","derivation":"from G4253 (πρό) and G3958 (πάσχω);","kjv_def":"suffer before","lemma":"προπάσχω"},
"G1030":{"strongs_def":" a grating (of the teeth)","derivation":"from G1031 (βρύχω);","lemma":"βρυγμός","kjv_def":"gnashing"},
"G5476":{"kjv_def":"on (to) the ground","lemma":"χαμαί","strongs_def":" earthward, i.e. prostrate","derivation":"adverb perhaps from the base of G5490 (χάσμα) through the idea of a fissure in the soil;"},
"G2412":{"strongs_def":" reverent","derivation":"from G2413 (ἱερός) and the same as G4241 (πρέπω);","kjv_def":"as becometh holiness","lemma":"ἱεροπρεπής"},
"G1409":{"strongs_def":" Drusilla, a member of the Herodian family","derivation":"a feminine diminutive of Drusus (a Roman name);","kjv_def":"Drusilla","lemma":"Δρούσιλλα"},
"G258":{"strongs_def":" a fox, i.e. (figuratively) a cunning person","derivation":"of uncertain derivation;","kjv_def":"fox","lemma":"ἀλώπηξ"},
"G4346":{"derivation":"from a compound of G4314 (πρός) and G2827 (κλίνω);","strongs_def":" a leaning towards, i.e. (figuratively) proclivity (favoritism)","lemma":"πρόσκλισις","kjv_def":"partiality"},
"G1259":{"derivation":"from G1223 (διά) and G236 (ἀλλάσσω);","strongs_def":" to change thoroughly, i.e. (mentally) to conciliate","kjv_def":"reconcile","lemma":"διαλλάσσω"},
"G1691":{"lemma":"ἐμέ","kjv_def":"I, me, my(-self)","derivation":"a prolonged form of G3165 (μέ);","strongs_def":" me"},
"G5623":{"derivation":"from the same as G5622 (ὠφέλεια);","strongs_def":" to be useful, i.e. to benefit","kjv_def":"advantage, better, prevail, profit","lemma":"ὠφελέω"},
"G3684":{"derivation":"from G3688 (ὄνος);","strongs_def":" belonging to a ass, i.e. large (so as to be turned by a ass)","lemma":"ὀνικός","kjv_def":"millstone"},
"G423":{"kjv_def":"blameless, unrebukeable","lemma":"ἀνεπίληπτος","strongs_def":" not arrested, i.e. (by implication) inculpable","derivation":"from G1 (Α) (as a negative particle) and a derivative of G1949 (ἐπιλαμβάνομαι);"},
"G5292":{"lemma":"ὑποταγή","kjv_def":"subjection","strongs_def":" subordination","derivation":"from G5293 (ὑποτάσσω);"},
"G2354":{"kjv_def":"lament, mourn","lemma":"θρηνέω","derivation":"from G2355 (θρῆνος);","strongs_def":" to bewail"},
"G634":{"derivation":"from G575 (ἀπό) and G4098 (πίπτω);","strongs_def":" to fall off","kjv_def":"fall","lemma":"ἀποπίπτω"},
"G1652":{"kjv_def":"miserable","lemma":"ἐλεεινός","strongs_def":" pitiable","derivation":"from G1656 (ἔλεος);"},
"G66":{"lemma":"ἄγριος","kjv_def":"wild, raging","strongs_def":" wild (as pertaining to the country), literally (natural) or figuratively (fierce)","derivation":"from G68 (ἀγρός);"},
"G3468":{"kjv_def":"stripe","lemma":"μώλωψ","derivation":"from (\"moil\";","strongs_def":" probably akin to the base of G3433 (μόλις)) and probably (the face; from G3700 (ὀπτάνομαι)); a mole (\"black eye\") or blow-mark"},
"G2229":{"strongs_def":" assuredly","derivation":"an adverb of confirmation; perhaps intensive of G2228 (ἤ); used only (in the New Testament) before G3303 (μέν);","lemma":"ἦ","kjv_def":"surely"},
"G4123":{"lemma":"πλεονέκτης","kjv_def":"covetous","strongs_def":" holding (desiring) more, i.e. eager for gain (avaricious, hence a defrauder)","derivation":"from G4119 (πλείων) and G2192 (ἔχω);"},
"G3730":{"strongs_def":" a violent impulse, i.e. onset","derivation":"of uncertain affinity;","kjv_def":"assault","lemma":"ὁρμή"},
"G2039":{"kjv_def":"craft, diligence, gain, work","lemma":"ἐργασία","derivation":"from G2040 (ἐργάτης);","strongs_def":" occupation; by implication, profit, pains"},
"G2220":{"strongs_def":" to cause to ferment","derivation":"from G2219 (ζύμη);","lemma":"ζυμόω","kjv_def":"leaven"},
"G1574":{"derivation":"from G1537 (ἐκ) and the base of G2759 (κέντρον);","strongs_def":" to transfix","kjv_def":"pierce","lemma":"ἐκκεντέω"},
"G4528":{"strongs_def":" Salathiel (i.e. Shealtiel), an Israelite","derivation":"of Hebrew origin (H07597);","lemma":"Σαλαθιήλ","kjv_def":"Salathiel"},
"G3068":{"derivation":"a primary verb;","strongs_def":" to bathe (the whole person; whereas G3538 (νίπτω) means to wet a part only, and G4150 (πλύνω) to wash, cleanse garments exclusively)","kjv_def":"wash","lemma":"λούω"},
"G3731":{"derivation":"from G3730 (ὁρμή);","strongs_def":" an attack, i.e. (abstractly) precipitancy","lemma":"ὅρμημα","kjv_def":"violence"},
"G4256":{"derivation":"from G4253 (πρό) and a derivative of G156 (αἰτία);","strongs_def":" to accuse already, i.e. previously charge","lemma":"προαιτιάομαι","kjv_def":"prove before"},
"G1631":{"kjv_def":"put forth","lemma":"ἐκφύω","strongs_def":" to sprout up","derivation":"from G1537 (ἐκ) and G5453 (φύω);"},
"G4641":{"lemma":"σκληροκαρδία","kjv_def":"hardness of heart","strongs_def":" hard-heartedness, i.e. (specially), destitution of (spiritual) perception","derivation":"feminine of a compound of G4642 (σκληρός) and G2588 (καρδία);"},
"G4171":{"derivation":"from (to bustle);","strongs_def":" warfare (literally or figuratively; a single encounter or a series)","kjv_def":"battle, fight, war","lemma":"πόλεμος"},
"G5445":{"derivation":"from a prolonged form of (to mix a liquid with a solid;","strongs_def":" perhaps akin to G5453 (φύω) through the idea of swelling in bulk), mean to knead; a mass of dough","kjv_def":"lump","lemma":"φύραμα"},
"G4035":{"kjv_def":"remain","lemma":"περιλείπω","strongs_def":" to leave all around, i.e. (passively) survive","derivation":"from G4012 (περί) and G3007 (λείπω);"},
"G2203":{"derivation":"of uncertain affinity;","strongs_def":" in the oblique cases there is used instead of it a (probably cognate) name , which is otherwise obsolete; Zeus or Dis (among the Latins, Jupiter or Jove), the supreme deity of the Greeks","lemma":"Ζεύς","kjv_def":"Jupiter"},
"G850":{"kjv_def":"dark","lemma":"αὐχμηρός","derivation":"from (probably from a base akin to that of G109 (ἀήρ)) (dust, as dried by wind);","strongs_def":" properly, dirty, i.e. (by implication) obscure"},
"G1749":{"lemma":"ἔνεδρον","kjv_def":"lying in wait","strongs_def":" an ambush, i.e. (figuratively) murderous design","derivation":"neuter of the same as G1747 (ἐνέδρα);"},
"G1003":{"lemma":"Βοόζ","kjv_def":"Booz","strongs_def":" Booz, (i.e. Boaz), an Israelite","derivation":"of Hebrew origin (H01162);"},
"G4749":{"lemma":"στολή","kjv_def":"long clothing (garment), (long) robe","strongs_def":" equipment, i.e. (specially), a \"stole\" or long-fitting gown (as a mark of dignity)","derivation":"from G4724 (στέλλω);"},
"G4203":{"strongs_def":" to act the harlot, i.e. (literally) indulge unlawful lust (of either sex), or (figuratively) practise idolatry","derivation":"from G4204 (πόρνη);","lemma":"πορνεύω","kjv_def":"commit (fornication)"},
"G2416":{"kjv_def":"commit sacrilege","lemma":"ἱεροσυλέω","derivation":"from G2417 (ἱερόσυλος);","strongs_def":" to be a temple-robber (figuratively)"},
"G5306":{"lemma":"ὕστερος","kjv_def":"latter","derivation":"comparative from G5259 (ὑπό) (in the sense of behind);","strongs_def":" later"},
"G4581":{"derivation":"from (Seleucus, a Syrian king);","strongs_def":" Seleuceia, a place in Syria","lemma":"Σελεύκεια","kjv_def":"Seleucia"},
"G1066":{"lemma":"Γεδεών","kjv_def":"Gedeon (in the King James Version)","strongs_def":" Gedeon (i.e. Gid(e)on), an Israelite","derivation":"of Hebrew origin (H01439);"},
"G4515":{"derivation":"adverb from a presumed derivative of G4516 (Ῥώμη);","strongs_def":" Romaistically, i.e. in the Latin language","kjv_def":"Latin","lemma":"Ῥωμαϊστί"},
"G2819":{"kjv_def":"heritage, inheritance, lot, part","lemma":"κλῆρος","derivation":"probably from G2806 (κλάω) (through the idea of using bits of wood, etc., for the purpose;","strongs_def":" a die (for drawing chances); by implication, a portion (as if so secured); by extension, an acquisition (especially a patrimony, figuratively)"},
"G1354":{"kjv_def":"Dionysius","lemma":"Διονύσιος","derivation":"from (Bacchus);","strongs_def":" reveller; Dionysius, an Athenian"},
"G3025":{"kjv_def":"winepress","lemma":"ληνός","derivation":"apparently a primary word;","strongs_def":" a trough, i.e. wine-vat"},
"G2289":{"derivation":"from G2288 (θάνατος) to kill (literally or figuratively)","lemma":"θανατόω","kjv_def":"become dead, (cause to be) put to death, kill, mortify"},
"G2829":{"strongs_def":" stealing","derivation":"from G2813 (κλέπτω);","lemma":"κλοπή","kjv_def":"theft"},
"G4063":{"derivation":"from G4012 (περί) and G5143 (τρέχω) (including its alternate);","strongs_def":" to run around, i.e. traverse","kjv_def":"run through","lemma":"περιτρέχω"},
"G2511":{"derivation":"from G2513 (καθαρός);","strongs_def":" to cleanse (literally or figuratively)","lemma":"καθαρίζω","kjv_def":"(make) clean(-se), purge, purify"},
"G3602":{"lemma":"ὀδυρμός","kjv_def":"mourning","strongs_def":" moaning, i.e. lamentation","derivation":"from a derivative of the base of G1416 (δύνω);"},
"G4459":{"lemma":"πῶς","kjv_def":"how, after (by) what manner (means), that","derivation":"adverb from the base of G4226 (ποῦ);","strongs_def":" an interrogative particle of manner; in what way? (sometimes the question is indirect, how?); also as exclamation, how much!"},
"G1906":{"strongs_def":" an inquiry","derivation":"from G1905 (ἐπερωτάω);","lemma":"ἐπερώτημα","kjv_def":"answer"},
"G4039":{"strongs_def":" to reside around, i.e. be a neighbor","derivation":"from G4012 (περί) and G3611 (οἰκέω);","lemma":"περιοικέω","kjv_def":"dwell round about"},
"G3322":{"strongs_def":" to form the middle, i.e. (in point of time), to be half-way over","derivation":"from G3319 (μέσος);","lemma":"μεσόω","kjv_def":"be about the midst"},
"G3114":{"kjv_def":"bear (suffer) long, be longsuffering, have (long) patience, be patient, patiently endure","lemma":"μακροθυμέω","strongs_def":" to be long-spirited, i.e. (objectively) forbearing or (subjectively) patient","derivation":"from the same as G3116 (μακροθυμώς);"},
"G2171":{"strongs_def":" properly, a wish, expressed as a petition to God, or in votive obligation","derivation":"from G2172 (εὔχομαι);","kjv_def":"prayer, vow","lemma":"εὐχή"},
"G3832":{"kjv_def":"with all his house","lemma":"πανοικί","strongs_def":" with the whole family","derivation":"adverb from G3956 (πᾶς) and G3624 (οἶκος);"},
"G3406":{"kjv_def":"rewarder","lemma":"μισθαποδότης","strongs_def":" a renumerator","derivation":"from G3409 (μισθόω) and G591 (ἀποδίδωμι);"},
"G906":{"kjv_def":"arise, cast (out), X dung, lay, lie, pour, put (up), send, strike, throw (down), thrust","lemma":"βάλλω","derivation":"a primary verb;","strongs_def":" to throw (in various applications, more or less violent or intense)"},
"G5396":{"kjv_def":"prate against","lemma":"φλυαρέω","derivation":"from G5397 (φλύαρος);","strongs_def":" to be a babbler or trifler, i.e. (by implication) to berate idly or mischievously"},
"G236":{"kjv_def":"change","lemma":"ἀλλάσσω","derivation":"from G243 (ἄλλος);","strongs_def":" to make different"},
"G1383":{"kjv_def":"trial, trying","lemma":"δοκίμιον","strongs_def":" a testing; by implication, trustworthiness","derivation":"neuter of a presumed derivative of G1382 (δοκιμή);"},
"G2368":{"kjv_def":"incense, odour","lemma":"θυμίαμα","derivation":"from G2370 (θυμιάω);","strongs_def":" an aroma, i.e. fragrant powder burnt in religious service; by implication, the burning itself"},
"G1736":{"lemma":"ἐνδημέω","kjv_def":"be at home (present)","strongs_def":" to be in one's own country, i.e. home (figuratively)","derivation":"from a compound of G1722 (ἐν) and G1218 (δῆμος);"},
"G1387":{"kjv_def":"use deceit","lemma":"δολιόω","derivation":"from G1386 (δόλιος);","strongs_def":" to be guileful"},
"G3931":{"lemma":"παρηγορία","kjv_def":"comfort","derivation":"from a compound of G3844 (παρά) and a derivative of G58 (ἀγορά) (meaning to harangue an assembly);","strongs_def":" an address alongside, i.e. (specially), consolation"},
"G2735":{"kjv_def":"very worthy deed","lemma":"κατόρθωμα","derivation":"from a compound of G2596 (κατά) and a derivative of G3717 (ὀρθός) (compare G1357 (διόρθωσις));","strongs_def":" something made fully upright, i.e. (figuratively) rectification (specially, good public administration)"},
"G2000":{"kjv_def":"dangerous","lemma":"ἐπισφαλής","derivation":"from a compound of G1909 (ἐπί) and (to trip);","strongs_def":" figuratively, insecure"},
"G1692":{"strongs_def":" to vomit","derivation":"of uncertain affinity;","kjv_def":"(will) spue","lemma":"ἐμέω"},
"G1838":{"kjv_def":"use","lemma":"ἕξις","strongs_def":" habit, i.e. (by implication) practice","derivation":"from G2192 (ἔχω);"},
"G1378":{"strongs_def":" a law (civil, ceremonial or ecclesiastical)","derivation":"from the base of G1380 (δοκέω);","lemma":"δόγμα","kjv_def":"decree, ordinance"},
"G58":{"kjv_def":"market(-place), street","lemma":"ἀγορά","strongs_def":" probably akin to G1453 (ἐγείρω)); properly, the town-square (as a place of public resort); by implication, a market or thoroughfare","derivation":"from (to gather;"},
"G4077":{"derivation":"probably from G4078 (πήγνυμι) (through the idea of gushing plumply);","strongs_def":" a fount (literally or figuratively), i.e. source or supply (of water, blood, enjoyment) (not necessarily the original spring)","kjv_def":"fountain, well","lemma":"πηγή"},
"G5010":{"lemma":"τάξις","kjv_def":"order","strongs_def":" regular arrangement, i.e. (in time) fixed succession (of rank or character), official dignity","derivation":"from G5021 (τάσσω);"},
"G2768":{"kjv_def":"horn","lemma":"κέρας","strongs_def":" a horn (literally or figuratively)","derivation":"from a primary (the hair of the head);"},
"G3056":{"strongs_def":" something said (including the thought); by implication, a topic (subject of discourse), also reasoning (the mental faculty) or motive; by extension, a computation; specially, (with the article in John) the Divine Expression (i.e. Christ)","derivation":"from G3004 (λέγω);","lemma":"λόγος","kjv_def":"account, cause, communication, X concerning, doctrine, fame, X have to do, intent, matter, mouth, preaching, question, reason, + reckon, remove, say(-ing), shew, X speaker, speech, talk, thing, + none of these things move me, tidings, treatise, utterance, word, work"},
"G1134":{"lemma":"γυναικεῖος","kjv_def":"wife","derivation":"from G1135 (γυνή);","strongs_def":" feminine"},
"G4068":{"strongs_def":" perhaps by reduplication of the base of G4008 (πέραν)); to boast","derivation":"middle voice from (braggart;","kjv_def":"vaunt itself","lemma":"περπερεύομαι"},
"G4250":{"lemma":"πρίν","kjv_def":"before (that), ere","derivation":"adverb from G4253 (πρό);","strongs_def":" prior, sooner"},
"G819":{"lemma":"ἀτιμία","kjv_def":"dishonour, reproach, shame, vile","derivation":"from G820 (ἄτιμος);","strongs_def":" infamy, i.e. (subjectively) comparative indignity, (objectively) disgrace"},
"G1664":{"strongs_def":" God of majesty; Eliud, an Israelite","derivation":"of Hebrew origin (H0410 and H01935);","lemma":"Ἐλιούδ","kjv_def":"Eliud"},
"G273":{"kjv_def":"blameless, faultless, unblamable","lemma":"ἄμεμπτος","strongs_def":" irreproachable","derivation":"from G1 (Α) (as a negative particle) and a derivative of G3201 (μέμφομαι);"},
"G5453":{"kjv_def":"spring (up)","lemma":"φύω","strongs_def":" probably originally, to \"puff\" or blow, i.e. to swell up; but only used in the implied sense, to germinate or grow (sprout, produce), literally or figuratively","derivation":"a primary verb;"},
"G2473":{"lemma":"ἰσόψυχος","kjv_def":"likeminded","derivation":"from G2470 (ἴσος) and G5590 (ψυχή);","strongs_def":" of similar spirit"},
"G4024":{"derivation":"from G4012 (περί) and G2224 (ζώννυμι);","strongs_def":" to gird all around, i.e. (middle voice or passive) to fasten on one's belt (literally or figuratively)","kjv_def":"gird (about, self)","lemma":"περιζώννυμι"},
"G4541":{"strongs_def":" a Samarite, i.e. inhabitant of Samaria","derivation":"from G4540 (Σαμάρεια);","lemma":"Σαμαρείτης","kjv_def":"Samaritan"},
"G3885":{"derivation":"from a derivative of G3886 (παραλύω);","strongs_def":" as if dissolved, i.e. \"paralytic\"","lemma":"παραλυτικός","kjv_def":"that had (sick of) the palsy"},
"G4620":{"lemma":"σιτόμετρον","kjv_def":"portion of meat","derivation":"from G4621 (σῖτος) and G3358 (μέτρον);","strongs_def":" a grain-measure, i.e. (by implication) ration (allowance of food)"},
"G4402":{"derivation":"from G4253 (πρό) and G5525 (χορός);","strongs_def":" before the dance; Prochorus, a Christian","kjv_def":"Prochorus","lemma":"Πρόχορος"},
"G2042":{"strongs_def":" to stimulate (especially to anger)","derivation":"from a presumed prolonged form of G2054 (ἔρις);","kjv_def":"provoke","lemma":"ἐρεθίζω"},
"G1903":{"lemma":"ἐπενδύτης","kjv_def":"fisher's coat","strongs_def":" a wrapper, i.e. outer garment","derivation":"from G1902 (ἐπενδύομαι);"},
"G3030":{"lemma":"λίβανος","kjv_def":"frankincense","derivation":"of foreign origin (H03828);","strongs_def":" the incense-tree, i.e. (by implication) incense itself"},
"G1794":{"lemma":"ἐντυλίσσω","kjv_def":"wrap in (together)","strongs_def":" probably akin to G1507 (εἱλίσσω)); to entwine, i.e. wind up in","derivation":"from G1722 (ἐν) and (to twist;"},
"G1834":{"derivation":"from G1537 (ἐκ) and G2233 (ἡγέομαι);","strongs_def":" to consider out (aloud), i.e. rehearse, unfold","kjv_def":"declare, tell","lemma":"ἐξηγέομαι"},
"G5053":{"kjv_def":"be dead, decease, die","lemma":"τελευτάω","strongs_def":" to finish life (by implication, of G979 (βίος)), i.e. expire (demise)","derivation":"from a presumed derivative of G5055 (τελέω);"},
"G2697":{"derivation":"from G2722 (κατέχω);","strongs_def":" a holding down, i.e. occupancy","lemma":"κατάσχεσις","kjv_def":"possession"},
"G591":{"lemma":"ἀποδίδωμι","kjv_def":"deliver (again), give (again), (re-)pay(-ment be made), perform, recompense, render, requite, restore, reward, sell, yield","strongs_def":" to give away, i.e. up, over, back, etc. (in various applications)","derivation":"from G575 (ἀπό) and G1325 (δίδωμι);"},
"G3486":{"lemma":"Ναούμ","kjv_def":"Naum","strongs_def":" Naum (i.e. Nachum), an Israelite","derivation":"of Hebrew origin (H05151);"},
"G2110":{"strongs_def":" a worker of good, i.e. (specially) a philanthropist","derivation":"from G2095 (εὖ) and the base of G2041 (ἔργον);","lemma":"εὐεργέτης","kjv_def":"benefactor"},
"G2527":{"strongs_def":" on the whole, i.e. entirely","derivation":"from G2596 (κατά) and G3650 (ὅλος);","lemma":"καθόλου","kjv_def":"at all"},
"G3600":{"lemma":"ὀδυνάω","kjv_def":"sorrow, torment","strongs_def":" to grieve","derivation":"from G3601 (ὀδύνη);"},
"G2430":{"kjv_def":"Iconium","lemma":"Ἰκόνιον","derivation":"perhaps from G1504 (εἰκών);","strongs_def":" image-like; Iconium, a place in Asia Minor"},
"G1105":{"strongs_def":" gloom (as of a storm)","derivation":"akin to G3509 (νέφος);","kjv_def":"blackness","lemma":"γνόφος"},
"G1399":{"derivation":"feminine of G1401 (δοῦλος);","strongs_def":" a female slave (involuntarily or voluntarily)","lemma":"δούλη","kjv_def":"handmaid(-en)"},
"G287":{"strongs_def":" requital","derivation":"from (to exchange);","kjv_def":"requite","lemma":"ἀμοιβή"},
"G113":{"lemma":"ἄθεσμος","kjv_def":"wicked","derivation":"from G1 (Α) (as a negative particle) and a derivative of G5087 (τίθημι) (in the sense of enacting);","strongs_def":" lawless, i.e. (by implication) criminal"},
"G3052":{"kjv_def":"eloquent","lemma":"λόγιος","strongs_def":" fluent, i.e. an orator","derivation":"from G3056 (λόγος);"},
"G479":{"kjv_def":"bid again","lemma":"ἀντικαλέω","derivation":"from G473 (ἀντί) and G2564 (καλέω);","strongs_def":" to invite in return"},
"G4339":{"lemma":"προσήλυτος","kjv_def":"proselyte","strongs_def":" an arriver from a foreign region, i.e. (specially), an acceder (convert) to Judaism (\"proselyte\")","derivation":"from the alternate of G4334 (προσέρχομαι);"},
"G2260":{"lemma":"ἤπερ","kjv_def":"than","derivation":"from G2228 (ἤ) and G4007 (περ);","strongs_def":" than at all (or than perhaps, than indeed)"},
"G1397":{"lemma":"δουλεία","kjv_def":"bondage","strongs_def":" slavery (ceremonially or figuratively)","derivation":"from G1398 (δουλεύω);"},
"G4807":{"lemma":"συκάμινος","kjv_def":"sycamine tree","strongs_def":" a sycamore-fig tree","derivation":"of Hebrew origin (H08256) in imitation of G4809 (συκομωραία);"},
"G1862":{"derivation":"from G1861 (ἐπαγγέλλω);","strongs_def":" a self-committal (by assurance of conferring some good)","kjv_def":"promise","lemma":"ἐπάγγελμα"},
"G3543":{"lemma":"νομίζω","kjv_def":" suppose, thing, be wont","derivation":"from G3551 (νόμος);","strongs_def":" properly, to do by law (usage), i.e. to accustom (passively, be usual); by extension, to deem or regard"},
"G1860":{"lemma":"ἐπαγγελία","kjv_def":"message, promise","strongs_def":" an announcement (for information, assent or pledge; especially a divine assurance of good)","derivation":"from G1861 (ἐπαγγέλλω);"},
"G3866":{"kjv_def":"committed unto","lemma":"παραθήκη","strongs_def":" a deposit, i.e. (figuratively) trust","derivation":"from G3908 (παρατίθημι);"},
"G3538":{"strongs_def":"to cleanse (especially the hands or the feet or the face); ceremonially, to perform ablution","lemma":"νίπτω","kjv_def":"wash"},
"G5029":{"strongs_def":" shortly, i.e. (figuratively) possibly","derivation":"as if neuter plural of G5036 (ταχύς) (adverbially);","lemma":"τάχα","kjv_def":"peradventure(-haps)"},
"G757":{"lemma":"ἄρχω","kjv_def":"reign (rule) over","derivation":"a primary verb;","strongs_def":" to be first (in political rank or power)"},
"G3953":{"lemma":"παροψίς","kjv_def":"platter","strongs_def":" a side-dish (the receptacle)","derivation":"from G3844 (παρά) and the base of G3795 (ὀψάριον);"},
"G2307":{"kjv_def":" desire, pleasure, will","lemma":"θέλημα","derivation":"from the prolonged form of G2309 (θέλω);","strongs_def":" a determination (properly, the thing), i.e. (actively) choice (specially, purpose, decree; abstractly, volition) or (passively) inclination"},
"G3809":{"derivation":"from G3811 (παιδεύω);","strongs_def":" tutorage, i.e. education or training; by implication, disciplinary correction","kjv_def":"chastening, chastisement, instruction, nurture","lemma":"παιδεία"},
"G87":{"lemma":"ἀδιάκριτος","kjv_def":"without partiality","strongs_def":" properly, undistinguished, i.e. (actively) impartial","derivation":"from G1 (Α) (as a negative particle) and a derivative of G1252 (διακρίνω);"},
"G5559":{"derivation":"probably akin to the base of G5530 (χράομαι) through the idea of handling;","strongs_def":" the body (properly, its surface or skin)","lemma":"χρώς","kjv_def":"body"},
"G4142":{"derivation":"neuter of a presumed derivative of G4143 (πλοῖον);","strongs_def":" a boat","lemma":"πλοιάριον","kjv_def":"boat, little (small) ship"},
"G2118":{"kjv_def":"righteousness","lemma":"εὐθύτης","strongs_def":" rectitude","derivation":"from G2117 (εὐθύς);"},
"G4354":{"lemma":"προσλαλέω","kjv_def":"speak to (with)","derivation":"from G4314 (πρός) and G2980 (λαλέω);","strongs_def":" to talk to, i.e. converse with"},
"G5347":{"lemma":"Φῆστος","kjv_def":"Festus","derivation":"of Latin derivation;","strongs_def":" festal; Phestus (i.e. Festus), a Roman"},
"G708":{"lemma":"Ἀρίσταρχος","kjv_def":"Aristarchus","strongs_def":" best ruling; Aristarchus, a Macedonian","derivation":"from the same as G712 (ἄριστον) and G757 (ἄρχω);"},
"G4300":{"strongs_def":" to ratify previously","derivation":"from G4253 (πρό) and G2964 (κυρόω);","lemma":"προκυρόω","kjv_def":"confirm before"},
"G713":{"derivation":"from G714 (ἀρκέω);","strongs_def":" satisfactory","kjv_def":"enough, suffice (-ient)","lemma":"ἀρκετός"},
"G5162":{"lemma":"τροφός","kjv_def":"nurse","derivation":"from G5142 (τρέφω);","strongs_def":" a nourisher, i.e. nurse"},
"G516":{"kjv_def":"as becometh, after a godly sort, worthily(-thy)","lemma":"ἀξίως","strongs_def":" appropriately","derivation":"adverb from G514 (ἄξιος);"},
"G3718":{"derivation":"from a compound of G3717 (ὀρθός) and the base of G5114 (τομώτερος), to make a straight cut, i.e. (figuratively) to dissect (expound) correctly (the divine message)","kjv_def":"rightly divide","lemma":"ὀρθοτομέω"},
"G3515":{"kjv_def":"be a child","lemma":"νηπιάζω","derivation":"from G3516 (νήπιος);","strongs_def":" to act as a babe, i.e. (figuratively) innocently"},
"G2016":{"kjv_def":"notable","lemma":"ἐπιφανής","strongs_def":" conspicuous, i.e. (figuratively) memorable","derivation":"from G2014 (ἐπιφαίνω);"},
"G2107":{"kjv_def":"desire, good pleasure (will), X seem good","lemma":"εὐδοκία","strongs_def":" satisfaction, i.e. (subjectively) delight, or (objectively) kindness, wish, purpose","derivation":"from a presumed compound of G2095 (εὖ) and the base of G1380 (δοκέω);"},
"G1786":{"kjv_def":"of that place","lemma":"ἐντόπιος","derivation":"from G1722 (ἐν) and G5117 (τόπος);","strongs_def":" a resident"},
"G3019":{"derivation":"from G3017 (Λευΐ);","strongs_def":" a Levite, i.e. descendant of Levi","lemma":"Λευΐτης","kjv_def":"Levite"},
"G302":{"derivation":"a primary particle, denoting a supposition, wish, possibility or uncertainty","kjv_def":"(what-, where-, wither-, who-)soever","lemma":"ἄν"},
"G5511":{"kjv_def":"robe","lemma":"χλαμύς","strongs_def":" a military cloak","derivation":"of uncertain derivation;"},
"G1882":{"lemma":"ἐπανόρθωσις","kjv_def":" correction","derivation":"from a compound of G1909 (ἐπί) and G461 (ἀνορθόω);","strongs_def":" a straightening up again, i.e. (figuratively) rectification (reformation)"},
"G2378":{"lemma":"θυσία","kjv_def":"sacrifice","derivation":"from G2380 (θύω);","strongs_def":" sacrifice (the act or the victim, literally or figuratively)"},
"G1896":{"lemma":"ἐπεῖδον","kjv_def":"behold, look upon","derivation":"and other moods and persons of the same tense; from G1909 (ἐπί) and G1492 (εἴδω);","strongs_def":" to regard (favorably or otherwise)"},
"G1620":{"strongs_def":" to expose; figuratively, to declare","derivation":"from G1537 (ἐκ) and G5087 (τίθημι);","kjv_def":"cast out, expound","lemma":"ἐκτίθημι"},
"G1558":{"lemma":"ἔκδικος","kjv_def":"a (re-)venger","strongs_def":" carrying justice out, i.e. a punisher","derivation":"from G1537 (ἐκ) and G1349 (δίκη);"},
"G4378":{"kjv_def":"sprinkling","lemma":"πρόσχυσις","strongs_def":" a shedding forth, i.e. affusion","derivation":"from a comparative of G4314 (πρός) and (to pour);"},
"G2206":{"kjv_def":"affect, covet (earnestly), (have) desire, (move with) envy, be jealous over, (be) zealous(-ly affect)","lemma":"ζηλόω","derivation":"from G2205 (ζῆλος);","strongs_def":" to have warmth of feeling for or against"},
"G4018":{"derivation":"neuter of a presumed derivative of G4016 (περιβάλλω);","strongs_def":" something thrown around one, i.e. a mantle, veil","lemma":"περιβόλαιον","kjv_def":"covering, vesture"},
"G989":{"lemma":"βλάσφημος","kjv_def":"blasphemer(-mous), railing","strongs_def":" scurrilious, i.e. calumnious (against men), or (specially) impious (against God)","derivation":"from a derivative of G984 (βλάπτω) and G5345 (φήμη);"},
"G5190":{"lemma":"Τυχικός","kjv_def":"Tychicus","strongs_def":" fortuitous, i.e. fortunate; Tychicus, a Christian","derivation":"from a derivative of G5177 (τυγχάνω);"},
"G2833":{"derivation":"from a primary (to scrape);","strongs_def":" to scratch, i.e. (by implication) to tickle","kjv_def":"X itching","lemma":"κνήθω"},
"G5566":{"derivation":"of Latin origin;","strongs_def":" the north-west wind","lemma":"χῶρος","kjv_def":"north west"},
"G4181":{"kjv_def":"at sundry times","lemma":"πολυμερῶς","derivation":"adverb from a compound of G4183 (πολύς) and G3313 (μέρος);","strongs_def":" in many portions, i.e. variously as to time and agency (piecemeal)"},
"G1433":{"lemma":"δωρέομαι","kjv_def":"give","derivation":"middle voice from G1435 (δῶρον);","strongs_def":" to bestow gratuitously"},
"G1291":{"strongs_def":" to set (oneself) apart (figuratively, distinguish), i.e. (by implication) to enjoin","derivation":"middle voice from G1223 (διά) and G4724 (στέλλω);","lemma":"διαστέλλομαι","kjv_def":"charge, that which was (give) commanded(-ment)"},
"G2718":{"derivation":"from G2596 (κατά) and G2064 (ἔρχομαι) (including its alternate);","strongs_def":" to come (or go) down (literally or figuratively)","lemma":"κατέρχομαι","kjv_def":"come (down), depart, descend, go down, land"},
"G2676":{"derivation":"from G2675 (καταρτίζω);","strongs_def":" thorough equipment (subjectively)","lemma":"κατάρτισις","kjv_def":"perfection"},
"G2790":{"derivation":"from G2788 (κιθάρα) and a derivative of the same as G5603 (ᾠδή);","strongs_def":" a lyre-singer(-player), i.e. harpist","lemma":"κιθαρῳδός","kjv_def":"harper"},
"G2105":{"lemma":"εὐδία","kjv_def":"fair weather","strongs_def":" a clear sky, i.e. fine weather","derivation":"feminine from G2095 (εὖ) and the alternate of G2203 (Ζεύς) (as the god of the weather);"},
"G1824":{"kjv_def":"by and by, immediately, presently, straightway","lemma":"ἐξαυτῆς","strongs_def":" from that hour, i.e. instantly","derivation":"from G1537 (ἐκ) and the genitive case singular feminine of G846 (αὐτός) (G5610 (ὥρα) being understood);"},
"G446":{"strongs_def":" instead of the highest officer, i.e. (specially) a Roman proconsul","derivation":"from G473 (ἀντί) and a superlative of G5228 (ὑπέρ);","lemma":"ἀνθύπατος","kjv_def":"deputy"},
"G4704":{"derivation":"from G4710 (σπουδή);","strongs_def":" to use speed, i.e. to make effort, be prompt or earnest","kjv_def":"do (give) diligence, be diligent (forward), endeavour, labour, study","lemma":"σπουδάζω"},
"G3883":{"strongs_def":" transmutation (of phase or orbit), i.e. (figuratively) fickleness","derivation":"from a compound of G3844 (παρά) and G236 (ἀλλάσσω);","lemma":"παραλλαγή","kjv_def":"variableness"},
"G2388":{"derivation":"probably of Hebrew origin (compare H03238);","strongs_def":" Janna, an Israelite","lemma":"Ἰαννά","kjv_def":"Janna"},
"G4659":{"lemma":"σκυθρωπός","kjv_def":"of a sad countenance","strongs_def":" angry-visaged, i.e. gloomy or affecting a mournful appearance","derivation":"from (sullen) and a derivative of G3700 (ὀπτάνομαι);"},
"G2252":{"derivation":"a prolonged form of G2258 (ἦν);","strongs_def":" I was","kjv_def":"be, was","lemma":"ἤμην"},
"G648":{"strongs_def":" to unroof","derivation":"from G575 (ἀπό) and a derivative of G4721 (στέγη);","kjv_def":"uncover","lemma":"ἀποστεγάζω"},
"G984":{"strongs_def":" properly, to hinder, i.e. (by implication) to injure","derivation":"a primary verb;","kjv_def":"hurt","lemma":"βλάπτω"},
"G1011":{"lemma":"βουλεύω","kjv_def":"consult, take counsel, determine, be minded, purpose","derivation":"from G1012 (βουλή);","strongs_def":" to advise, i.e. (reflexively) deliberate, or (by implication) resolve"},
"G4169":{"kjv_def":"what (manner of), which","lemma":"ποῖος","derivation":"from the base of G4226 (ποῦ) and G3634 (οἷος);","strongs_def":" individualizing interrogative (of character) what sort of, or (of number) which one"},
"G908":{"lemma":"βάπτισμα","kjv_def":"baptism","strongs_def":" baptism (technically or figuratively)","derivation":"from G907 (βαπτίζω);"},
"G1959":{"derivation":"middle voice from G1909 (ἐπί) and the same as G3199 (μέλω);","strongs_def":" to care for (physically or otherwise)","kjv_def":"take care of","lemma":"ἐπιμελέομαι"},
"G4322":{"strongs_def":" to fill up further, i.e. furnish fully","derivation":"from G4314 (πρός) and G378 (ἀναπληρόω);","lemma":"προσαναπληρόω","kjv_def":"supply"},
"G4764":{"derivation":"akin to G4731 (στερεός);","strongs_def":" a \"straining\", \"strenuousness\" or \"strength\", i.e. (figuratively) luxury (voluptuousness)","kjv_def":"delicacy","lemma":"στρῆνος"},
"G1048":{"lemma":"Γάζα","kjv_def":"Gaza","strongs_def":" Gazah (i.e. Azzah), a place in Palestine","derivation":"of Hebrew origin (H05804);"},
"G4842":{"strongs_def":" to despatch in company","derivation":"from G4862 (σύν) and G3992 (πέμπω);","kjv_def":"send with","lemma":"συμπέμπω"},
"G1444":{"strongs_def":" Hebraic or the Jewish language","derivation":"from G1443 (Ἐβέρ);","kjv_def":"Hebrew","lemma":"Ἑβραϊκός"},
"G371":{"derivation":"adverb from G370 (ἀνάξιος);","strongs_def":" irreverently","kjv_def":"unworthily","lemma":"ἀναξίως"},
"G4690":{"strongs_def":" something sown, i.e. seed (including the male \"sperm\"); by implication, offspring; specially, a remnant (figuratively, as if kept over for planting)","derivation":"from G4687 (σπείρω);","lemma":"σπέρμα","kjv_def":"issue, seed"},
"G353":{"lemma":"ἀναλαμβάνω","kjv_def":"receive up, take (in, unto, up)","derivation":"from G303 (ἀνά) and G2983 (λαμβάνω);","strongs_def":" to take up"},
"G2556":{"derivation":"apparently a primary word;","strongs_def":" worthless (intrinsically, such; whereas G4190 (πονηρός) properly refers to effects), i.e. (subjectively) depraved, or (objectively) injurious","lemma":"κακός","kjv_def":"bad, evil, harm, ill, noisome, wicked"},
"G4443":{"strongs_def":" a fire (concretely)","derivation":"from G4442 (πῦρ);","lemma":"πυρά","kjv_def":"fire"},
"G3588":{"derivation":"the definite article;","strongs_def":" the (sometimes to be supplied, at others omitted, in English idiom)","lemma":"ὁ","kjv_def":"the, this, that, one, he, she, it, etc"},
"G4147":{"derivation":"from G4148 (πλουτίζω);","strongs_def":" to be (or become) wealthy (literally or figuratively)","lemma":"πλουτέω","kjv_def":"be increased with goods, (be made, wax) rich"},
"G987":{"derivation":"from G989 (βλάσφημος);","strongs_def":" to vilify; specially, to speak impiously","kjv_def":"(speak) blaspheme(-er, -mously, -my), defame, rail on, revile, speak evil","lemma":"βλασφημέω"},
"G566":{"lemma":"ἀπέχει","kjv_def":"it is enough","strongs_def":" it is sufficient","derivation":"third person singular present indicative active of G568 (ἀπέχω) used impersonally;"},
"G720":{"kjv_def":"deny, refuse","lemma":"ἀρνέομαι","derivation":"perhaps from G1 (Α) (as a negative particle) and the middle voice of G4483 (ῥέω);","strongs_def":" to contradict, i.e. disavow, reject, abnegate"},
"G1679":{"strongs_def":" to expect or confide","derivation":"from G1680 (ἐλπίς);","kjv_def":"(have, thing) hope(-d) (for), trust","lemma":"ἐλπίζω"},
"G2083":{"lemma":"ἑταῖρος","kjv_def":"fellow, friend","derivation":"from (a clansman);","strongs_def":" a comrade"},
"G2599":{"kjv_def":"burden","lemma":"καταβαρέω","strongs_def":" to impose upon","derivation":"from G2596 (κατά) and G916 (βαρέω);"},
"G76":{"lemma":"Ἀδάμ","kjv_def":"Adam","strongs_def":" Adam, the first man; typically (of Jesus) man (as his representative)","derivation":"of Hebrew origin (H0121);"},
"G1423":{"strongs_def":" impracticably","derivation":"adverb from G1422 (δύσκολος);","kjv_def":"hardly","lemma":"δυσκόλως"},
"G1806":{"strongs_def":" to lead forth","derivation":"from G1537 (ἐκ) and G71 (ἄγω);","lemma":"ἐξάγω","kjv_def":"bring forth (out), fetch (lead) out"},
"G1233":{"lemma":"διάγνωσις","kjv_def":"hearing","strongs_def":" (magisterial) examination (\"diagnosis\")","derivation":"from G1231 (διαγινώσκω);"},
"G5213":{"derivation":"irregular dative case of G5210 (ὑμεῖς);","strongs_def":" to (with or by) you","kjv_def":"ye, you, your(-selves)","lemma":"ὑμῖν"},
"G1296":{"kjv_def":"instrumentality","lemma":"διαταγή","strongs_def":" arrangement, i.e. institution","derivation":"from G1299 (διατάσσω);"},
"G1432":{"lemma":"δωρεάν","kjv_def":"without a cause, freely, for naught, in vain","strongs_def":" gratuitously (literally or figuratively)","derivation":"accusative case of G1431 (δωρεά) as adverb;"},
"G1426":{"derivation":"from a compound of G1418 (δυσ-) and G5345 (φήμη);","strongs_def":" defamation","kjv_def":"evil report","lemma":"δυσφημία"},
"G2817":{"derivation":"from G2818 (κληρονόμος);","strongs_def":" heirship, i.e. (concretely) a patrimony or (genitive case) a possession","lemma":"κληρονομία","kjv_def":"inheritance"},
"G1208":{"lemma":"δεύτερος","kjv_def":"afterward, again, second(-arily, time)","strongs_def":" (ordinal) second (in time, place, or rank; also adverb)","derivation":"as the comparative of G1417 (δύο);"},
"G2355":{"strongs_def":" wailing","derivation":"from the base of G2360 (θροέω);","lemma":"θρῆνος","kjv_def":"lamentation"},
"G3975":{"kjv_def":"wax gross","lemma":"παχύνω","derivation":"from a derivative of G4078 (πήγνυμι) (meaning thick);","strongs_def":" to thicken, i.e. (by implication) to fatten (figuratively, stupefy or render callous)"},
"G3094":{"kjv_def":"Magdalene","lemma":"Μαγδαληνή","derivation":"feminine of a derivative of G3093 (Μαγδαλά);","strongs_def":" a female Magdalene, i.e. inhabitant of Magdala"},
"G2161":{"strongs_def":" well- fated, i.e. fortunate; Eutychus, a young man","derivation":"from G2095 (εὖ) and a derivative of G5177 (τυγχάνω);","lemma":"Εὔτυχος","kjv_def":"Eutychus"},
"G1464":{"kjv_def":"X hinder","lemma":"ἐγκοπή","strongs_def":" a hindrance","derivation":"from G1465 (ἐγκόπτω);"},
"G5073":{"derivation":"from G5064 (τέσσαρες) and a derivative of the base of G4118 (πλεῖστος);","strongs_def":" quadruple","lemma":"τετραπλόος","kjv_def":"fourfold"},
"G4453":{"strongs_def":" to barter (as a pedlar), i.e. to sell","derivation":"probably ultimately from (to be busy, to trade);","kjv_def":"sell, whatever is sold","lemma":"πωλέω"},
"G1532":{"lemma":"εἰστρέχω","kjv_def":"run in","strongs_def":" to hasten inward","derivation":"from G1519 (εἰς) and G5143 (τρέχω);"},
"G4625":{"derivation":"(\"scandal\"); probably from a derivative of G2578 (κάμπτω);","strongs_def":" a trap-stick (bent sapling), i.e. snare (figuratively, cause of displeasure or sin)","kjv_def":"occasion to fall (of stumbling), offence, thing that offends, stumblingblock","lemma":"σκάνδαλον"},
"G2492":{"lemma":"Ἰώβ","kjv_def":"Job","derivation":"of Hebrew origin (H0347);","strongs_def":" Job (i.e. Ijob), a patriarch"},
"G1494":{"derivation":"neuter of a compound of G1497 (εἴδωλον) and a presumed derivative of G2380 (θύω);","strongs_def":" an image-sacrifice, i.e. part of an idolatrous offering","kjv_def":"(meat, thing that is) offered (in sacrifice, sacrificed) to (unto) idols","lemma":"εἰδωλόθυτον"},
"G2762":{"kjv_def":"tittle","lemma":"κεραία","strongs_def":" something horn-like, i.e. (specially) the apex of a Hebrew letter (figuratively, the least particle)","derivation":"feminine of a presumed derivative of the base of G2768 (κέρας);"},
"G3687":{"strongs_def":" to name, i.e. assign an appellation; by extension, to utter, mention, profess","derivation":"from G3686 (ὄνομα);","kjv_def":"call, name","lemma":"ὀνομάζω"},
"G5606":{"strongs_def":" the shoulder (as that on which burdens are borne)","derivation":"perhaps from the alternate of G5342 (φέρω);","kjv_def":"shoulder","lemma":"ὦμος"},
"G3792":{"kjv_def":"gather a company","lemma":"ὀχλοποιέω","derivation":"from G3793 (ὄχλος) and G4160 (ποιέω);","strongs_def":" to make a crowd, i.e. raise a public disturbance"},
"G5537":{"strongs_def":" to utter an oracle (compare the original sense of G5530 (χράομαι)), i.e. divinely intimate; by implication, (compare the secular sense of G5532 (χρεία)) to constitute a firm for business, i.e. (generally) bear as a title","derivation":"from G5536 (χρῆμα);","kjv_def":"be called, be admonished (warned) of God, reveal, speak","lemma":"χρηματίζω"},
"G4290":{"strongs_def":" with alacrity","derivation":"adverb from G4289 (πρόθυμος);","lemma":"προθύμως","kjv_def":"willingly"},
"G4679":{"strongs_def":" to render wise; in a sinister acceptation, to form \"sophisms\", i.e. continue plausible error","derivation":"from G4680 (σοφός);","lemma":"σοφίζω","kjv_def":"cunningly devised, make wise"},
"G2604":{"derivation":"from G2605 (καταγγέλλω);","strongs_def":" a proclaimer","kjv_def":"setter forth","lemma":"καταγγελεύς"},
"G3999":{"kjv_def":"five times","lemma":"πεντάκις","strongs_def":" five times","derivation":"multiplicative adverb from G4002 (πέντε);"},
"G212":{"kjv_def":"boasting, pride","lemma":"ἀλαζονεία","derivation":"from G213 (ἀλαζών);","strongs_def":" braggadocio, i.e. (by implication) self-confidence"},
"G2711":{"strongs_def":" to cool down (off), i.e. refresh","derivation":"from G2596 (κατά) and G5594 (ψύχω);","lemma":"καταψύχω","kjv_def":"cool"},
"G222":{"kjv_def":"of Alexandria","lemma":"Ἀλεξανδρῖνος","strongs_def":" Alexandrine, or belonging to Alexandria","derivation":"from the same as G221 (Ἀλεξανδρεύς);"},
"G4227":{"strongs_def":" modest; Pudes (i.e. Pudens), a Christian","derivation":"of Latin origin;","kjv_def":"Pudens","lemma":"Πούδης"},
"G1500":{"strongs_def":" idly, i.e. without reason (or effect)","derivation":"probably from G1502 (εἴκω) (through the idea of failure);","kjv_def":"without a cause, (in) vain(-ly)","lemma":"εἰκῆ"},
"G4086":{"kjv_def":"enticing words","lemma":"πιθανολογία","strongs_def":" persuasive language","derivation":"from a compound of a derivative of G3982 (πείθω) and G3056 (λόγος);"},
"G5206":{"strongs_def":" the placing as a son, i.e. adoption (figuratively, Christian sonship in respect to God)","derivation":"from a presumed compound of G5207 (υἱός) and a derivative of G5087 (τίθημι);","kjv_def":"adoption (of children, of sons)","lemma":"υἱοθεσία"},
"G3340":{"lemma":"μετανοέω","kjv_def":"repent","strongs_def":" to think differently or afterwards, i.e. reconsider (morally, feel compunction)","derivation":"from G3326 (μετά) and G3539 (νοιέω);"},
"G5066":{"strongs_def":" pertaining to the fourth day","derivation":"from G5064 (τέσσαρες);","lemma":"τεταρταῖος","kjv_def":"four days"},
"G3516":{"lemma":"νήπιος","kjv_def":"babe, child (+ -ish)","strongs_def":" not speaking, i.e. an infant (minor); figuratively, a simple-minded person, an immature Christian","derivation":"from an obsolete particle (implying negation) and G2031 (ἔπος);"},
"G4416":{"derivation":"from G4413 (πρῶτος) and the alternate of G5088 (τίκτω);","strongs_def":" first-born (usually as noun, literally or figuratively)","kjv_def":"firstbegotten(-born)","lemma":"πρωτότοκος"},
"G3689":{"kjv_def":"certainly, clean, indeed, of a truth, verily","lemma":"ὄντως","strongs_def":" really","derivation":"adverb of the oblique cases of G5607 (ὤν);"},
"G4752":{"kjv_def":"warfare","lemma":"στρατεία","strongs_def":" military service, i.e. (figuratively) the apostolic career (as one of hardship and danger)","derivation":"from G4754 (στρατεύομαι);"},
"G3323":{"derivation":"of Hebrew origin (H04899);","strongs_def":" the Messias (i.e. Mashiach), or Christ","kjv_def":"Messias","lemma":"Μεσσίας"},
"G5242":{"derivation":"from G5228 (ὑπέρ) and G2192 (ἔχω);","strongs_def":" to hold oneself above, i.e. (figuratively) to excel; participle (as adjective, or neuter as noun) superior, superiority","lemma":"ὑπερέχω","kjv_def":"better, excellency, higher, pass, supreme"},
"G4817":{"kjv_def":"reason with","lemma":"συλλογίζομαι","strongs_def":" to reckon together (with oneself), i.e. deliberate","derivation":"from G4862 (σύν) and G3049 (λογίζομαι);"},
"G5088":{"kjv_def":"bear, be born, bring forth, be delivered, be in travail","lemma":"τίκτω","derivation":"a strengthened form of a primary (which is used only as alternate in certain tenses);","strongs_def":" to produce (from seed, as a mother, a plant, the earth, etc.), literally or figuratively"},
"G2283":{"strongs_def":" Thamar (i.e. Tamar), an Israelitess","derivation":"of Hebrew origin (H08559);","lemma":"Θάμαρ","kjv_def":"Thamar"},
"G979":{"derivation":"a primary word;","strongs_def":" life, i.e. (literally) the present state of existence; by implication, the means of livelihood","lemma":"βίος","kjv_def":"good, life, living"},
"G2251":{"kjv_def":"our, your (by a different reading)","lemma":"ἡμέτερος","strongs_def":" our","derivation":"from G2349 (θνητός);"},
"G4379":{"lemma":"προσψαύω","kjv_def":"touch","strongs_def":" to impinge, i.e. lay a finger on (in order to relieve)","derivation":"from G4314 (πρός) and (to touch);"},
"G4946":{"strongs_def":" Syracuse, the capital of Sicily","derivation":"plural of uncertain derivation;","kjv_def":"Syracuse","lemma":"Συράκουσαι"},
"G4516":{"derivation":"from the base of G4517 (ῥώννυμι);","strongs_def":" strength; Roma, the capital of Italy","kjv_def":"Rome","lemma":"Ῥώμη"},
"G163":{"lemma":"αἰχμαλωτίζω","kjv_def":"lead away captive, bring into captivity","strongs_def":" to make captive","derivation":"from G164 (αἰχμάλωτος);"},
"G1167":{"strongs_def":" timidity","derivation":"from G1169 (δειλός);","lemma":"δειλία","kjv_def":"fear"},
"G5590":{"kjv_def":"heart (+ -ily), life, mind, soul, + us, + you","lemma":"ψυχή","strongs_def":" breath, i.e. (by implication) spirit, abstractly or concretely (the animal sentient principle only; thus distinguished on the one hand from G4151 (πνεῦμα), which is the rational and immortal soul; and on the other from G2222 (ζωή), which is mere vitality, even of plants: these terms thus exactly correspond respectively to the Hebrew H05315, H07307 and H02416)","derivation":"from G5594 (ψύχω);"},
"G801":{"lemma":"ἀσύνετος","kjv_def":"foolish, without understanding","derivation":"from G1 (Α) (as a negative particle) and G4908 (συνετός);","strongs_def":" unintelligent; by implication, wicked"},
"G4235":{"kjv_def":"meek","lemma":"πρᾷος","derivation":"a form of G4239 (πραΰς), used in certain parts;","strongs_def":" gentle, i.e. humble"},
"G4059":{"lemma":"περιτέμνω","kjv_def":"circumcise","derivation":"from G4012 (περί) and the base of G5114 (τομώτερος);","strongs_def":" to cut around, i.e. (specially) to circumcise"},
"G2666":{"lemma":"καταπίνω","kjv_def":"devour, drown, swallow (up)","derivation":"from G2596 (κατά) and G4095 (πίνω);","strongs_def":" to drink down, i.e. gulp entire (literally or figuratively)"},
"G4083":{"lemma":"πῆχυς","kjv_def":"cubit","strongs_def":" the fore-arm, i.e. (as a measure) a cubit","derivation":"of uncertain affinity;"},
"G3707":{"strongs_def":" gazed at, i.e. (by implication) capable of being seen","derivation":"from G3708 (ὁράω);","lemma":"ὁρατός","kjv_def":"visible"},
"G5447":{"strongs_def":" \"physically\", i.e. (by implication) instinctively","derivation":"adverb from G5446 (φυσικός);","kjv_def":"naturally","lemma":"φυσικῶς"},
"G2724":{"lemma":"κατηγορία","kjv_def":"accusation (X -ed)","strongs_def":" a complaint (\"category\"), i.e. criminal charge","derivation":"from G2725 (κατήγορος);"},
"G3143":{"derivation":"middle voice from G3144 (μάρτυς);","strongs_def":" to be adduced as a witness, i.e. (figuratively) to obtest (in affirmation or exhortation)","lemma":"μαρτύρομαι","kjv_def":"take to record, testify"},
"G39":{"derivation":"neuter of G40 (ἅγιος);","strongs_def":" a sacred thing (i.e. spot)","kjv_def":"holiest (of all), holy place, sanctuary","lemma":"ἅγιον"},
"G2703":{"lemma":"καταφεύγω","kjv_def":"flee","strongs_def":" to flee down (away)","derivation":"from G2596 (κατά) and G5343 (φεύγω);"},
"G52":{"derivation":"from G50 (ἀγνοέω);","strongs_def":" ignorance (properly, the quality)","kjv_def":"ignorance","lemma":"ἄγνοια"},
"G4434":{"kjv_def":"beggar(-ly), poor","lemma":"πτωχός","derivation":"from (to crouch);","strongs_def":" akin to G4422 (πτοέω) and the alternate of G4098 (πίπτω)); a beggar (as cringing), i.e. pauper (strictly denoting absolute or public mendicancy, although also used in a qualified or relative sense; whereas G3993 (πένης) properly means only straitened circumstances in private), literally (often as noun) or figuratively (distressed)"},
"G107":{"derivation":"of Hebrew origin (compare H05809);","strongs_def":" Azor, an Israelite","lemma":"Ἀζώρ","kjv_def":"Azorigin "},
"G5436":{"strongs_def":" fugitive; Phygellus, an apostate Christian","derivation":"probably from G5343 (φεύγω);","lemma":"Φύγελλος","kjv_def":"Phygellus"},
"G4307":{"lemma":"πρόνοια","kjv_def":"providence, provision","derivation":"from G4306 (προνοέω);","strongs_def":" forethought, i.e. provident care or supply"},
"G3662":{"derivation":"from G3664 (ὅμοιος);","strongs_def":" to resemble","lemma":"ὁμοιάζω","kjv_def":"agree"},
"G3317":{"kjv_def":"midnight","lemma":"μεσονύκτιον","derivation":"neuter of compound of G3319 (μέσος) and G3571 (νύξ);","strongs_def":" midnight (especially as a watch)"},
"G2403":{"lemma":"Ἰεζαβήλ","kjv_def":"Jezabel","derivation":"of Hebrew origin (H0348);","strongs_def":" Jezabel (i.e. Jezebel), a Tyrian woman (used as a synonym of a termagant or false teacher)"},
"G4826":{"kjv_def":"Simeon, Simon","lemma":"Συμεών","derivation":"from the same as G4613 (Σίμων);","strongs_def":" Symeon (i.e. Shimon), the name of five Israelites"},
"G4501":{"kjv_def":"sword","lemma":"ῥομφαία","derivation":"probably of foreign origin;","strongs_def":" a sabre, i.e. a long and broad cutlass (any weapon of the kind, literally or figuratively)"},
"G3550":{"derivation":"from G3551 (νόμος) and a derivative of G5087 (τίθημι);","strongs_def":" a legislator","kjv_def":"lawgiver","lemma":"νομοθέτης"},
"G1757":{"kjv_def":"bless","lemma":"ἐνευλογέω","strongs_def":" to confer a benefit on","derivation":"from G1722 (ἐν) and G2127 (εὐλογέω);"},
"G1324":{"lemma":"Δίδυμος","kjv_def":"Didymus","derivation":"prolongation from G1364 (δίς);","strongs_def":" double, i.e. twin; Didymus, a Christian"},
"G1303":{"strongs_def":" to put apart, i.e. (figuratively) dispose (by assignment, compact, or bequest)","derivation":"middle voice from G1223 (διά) and G5087 (τίθημι);","kjv_def":"appoint, make, testator","lemma":"διατίθεμαι"},
"G2119":{"lemma":"εὐκαιρέω","kjv_def":"have leisure (convenient time), spend time","strongs_def":" to have good time, i.e. opportunity or leisure","derivation":"from G2121 (εὔκαιρος);"},
"G2912":{"strongs_def":" a Cretan, i.e. inhabitant of Crete","derivation":"from G2914 (Κρήτη);","lemma":"Κρής","kjv_def":"Crete, Cretian"},
"G964":{"kjv_def":"Bethesda","lemma":"Βηθεσδά","strongs_def":" house of kindness; Beth-esda, a pool in Jerusalem","derivation":"of Chaldee origin (compare H01004 and H02617);"},
"G4173":{"lemma":"πολιτάρχης","kjv_def":"ruler of the city","derivation":"from G4172 (πόλις) and G757 (ἄρχω);","strongs_def":" a town-officer, i.e. magistrate"},
"G1750":{"strongs_def":" to enwrap","derivation":"from G1772 (ἔννομος) and the base of G1507 (εἱλίσσω);","lemma":"ἐνειλέω","kjv_def":"wrap in"},
"G877":{"lemma":"ἀφροσύνη","kjv_def":"folly, foolishly(-ness)","derivation":"from G878 (ἄφρων);","strongs_def":" senselessness, i.e. (euphemistically) egotism; (morally) recklessness"},
"G1410":{"derivation":"of uncertain affinity;","strongs_def":" to be able or possible","lemma":"δύναμαι","kjv_def":"be able, can (do, + -not), could, may, might, be possible, be of power"},
"G3466":{"kjv_def":"mystery","lemma":"μυστήριον","derivation":"from a derivative of (to shut the mouth);","strongs_def":" a secret or \"mystery\" (through the idea of silence imposed by initiation into religious rites)"},
"G1010":{"lemma":"βουλευτής","kjv_def":"counsellor","derivation":"from G1011 (βουλεύω);","strongs_def":" an adviser, i.e. (specially) a councillor or member of the Jewish Sanhedrin"},
"G555":{"lemma":"ἀπέκδυσις","kjv_def":"putting off","strongs_def":" divestment","derivation":"from G554 (ἀπεκδύομαι);"},
"G844":{"strongs_def":" self-moved (\"automatic\"), i.e. spontaneous","derivation":"from G846 (αὐτός) and the same as G3155 (μάτην);","kjv_def":"of own accord, of self","lemma":"αὐτόματος"},
"G2303":{"derivation":"probably neuter of G2304 (θεῖος) (in its original sense of flashing);","strongs_def":" sulphur","lemma":"θεῖον","kjv_def":"brimstone"},
"G4825":{"lemma":"σύμβουλος","kjv_def":"counsellor","derivation":"from G4862 (σύν) and G1012 (βουλή);","strongs_def":" a consultor, i.e. adviser"},
"G5030":{"kjv_def":"hastily, quickly, shortly, soon, suddenly","lemma":"ταχέως","strongs_def":" briefly, i.e. (in time) speedily, or (in manner) rapidly","derivation":"adverb from G5036 (ταχύς);"},
"G193":{"strongs_def":" powerless, i.e. without self-control","derivation":"from G1 (Α) (as a negative particle) and G2904 (κράτος);","kjv_def":"incontinent","lemma":"ἀκρατής"},
"G4172":{"kjv_def":"city","lemma":"πόλις","derivation":"probably from the same as G4171 (πόλεμος), or perhaps from G4183 (πολύς);","strongs_def":" a town (properly, with walls, of greater or less size)"},
"G234":{"lemma":"ἀλίσγεμα","kjv_def":"pollution","strongs_def":" (ceremonially) defilement","derivation":"from (to soil);"},
"G349":{"kjv_def":"cry out","lemma":"ἀνακράζω","strongs_def":" to scream up (aloud)","derivation":"from G303 (ἀνά) and G2896 (κράζω);"},
"G4491":{"kjv_def":"root","lemma":"ῥίζα","strongs_def":" a \"root\" (literally or figuratively)","derivation":"apparently a primary word;"},
"G2883":{"kjv_def":"Cornelius","lemma":"Κορνήλιος","strongs_def":" Cornelius, a Roman","derivation":"of Latin origin;"},
"G1811":{"strongs_def":" to follow out, i.e. (figuratively) to imitate, obey, yield to","derivation":"from G1537 (ἐκ) and G190 (ἀκολουθέω);","kjv_def":"follow","lemma":"ἐξακολουθέω"},
"G5295":{"lemma":"ὑποτρέχω","kjv_def":"run under","strongs_def":" to run under, i.e. (specially), to sail past","derivation":"from G5259 (ὑπό) and G5143 (τρέχω) (including its alternate);"},
"G4716":{"derivation":"from the base of G2476 (ἵστημι);","strongs_def":" a stake or post (as set upright), i.e. (specially), a pole or cross (as an instrument of capital punishment); figuratively, exposure to death, i.e. self-denial; by implication, the atonement of Christ","kjv_def":"cross","lemma":"σταυρός"},
"G2063":{"lemma":"ἐρυθρός","kjv_def":"red","derivation":"of uncertain affinity; red, i.e. (with G2281 (θάλασσα)) the Red Sea"},
"G4848":{"strongs_def":" to journey together; by implication, to assemble","derivation":"from G4862 (σύν) and G4198 (πορεύομαι);","kjv_def":"go with, resort","lemma":"συμπορεύομαι"},
"G5385":{"lemma":"φιλοσοφία","kjv_def":"philosophy","derivation":"from G5386 (φιλόσοφος);","strongs_def":" \"philosophy\", i.e. (specially), Jewish sophistry"},
"G96":{"lemma":"ἀδόκιμος","kjv_def":"castaway, rejected, reprobate","derivation":"from G1 (Α) (as a negative particle) and G1384 (δόκιμος);","strongs_def":" unapproved, i.e. rejected; by implication, worthless (literally or morally)"},
"G4743":{"lemma":"στιγμή","kjv_def":"moment","derivation":"feminine of G4742 (στίγμα);","strongs_def":" a point of time, i.e. an instant"},
"G5114":{"lemma":"τομώτερος","kjv_def":"sharper","strongs_def":" more comprehensive or decisive than G2875 (κόπτω), as if by a single stroke; whereas that implies repeated blows, like hacking); more keen","derivation":"comparative of a derivative of the primary (to cut;"},
"G1847":{"strongs_def":" to make utterly nothing of, i.e. despise","derivation":"from G1537 (ἐκ) and a derivative of the neuter of G3762 (οὐδείς);","kjv_def":"set at nought","lemma":"ἐξουδενόω"},
"G5422":{"kjv_def":"deceive","lemma":"φρεναπατάω","strongs_def":" to be a mind-misleader, i.e. delude","derivation":"from G5423 (φρεναπάτης);"},
"G308":{"strongs_def":" to look up; by implication, to recover sight","derivation":"from G303 (ἀνά) and G991 (βλέπω);","lemma":"ἀναβλέπω","kjv_def":"look (up), see, receive sight"},
"G3920":{"strongs_def":" smuggled in","derivation":"from G3919 (παρεισάγω);","kjv_def":"unawares brought in","lemma":"παρείσακτος"},
"G2529":{"strongs_def":" to behold fully, i.e. (figuratively) distinctly apprehend","derivation":"from G2596 (κατά) and G3708 (ὁράω);","kjv_def":"clearly see","lemma":"καθοράω"},
"G102":{"strongs_def":" unable, i.e. weak (literally or figuratively); passively, impossible","derivation":"from G1 (Α) (as a negative particle) and G1415 (δυνατός);","lemma":"ἀδύνατος","kjv_def":"could not do, impossible, impotent, not possible, weak"},
"G19":{"lemma":"ἀγαθωσύνη","kjv_def":"goodness","derivation":"from G18 (ἀγαθός);","strongs_def":" goodness, i.e. virtue or beneficence"},
"G4756":{"strongs_def":" from the base of G4766 (στρώννυμι), as encamped); camp-likeness, i.e. an army, i.e. (figuratively) the angels, the celestial luminaries","derivation":"feminine of a derivative of (an army;","kjv_def":"host","lemma":"στρατιά"},
"G1307":{"kjv_def":"transparent","lemma":"διαφανής","derivation":"from G1223 (διά) and G5316 (φαίνω);","strongs_def":" appearing through, i.e. \"diaphanous\""},
"G63":{"derivation":"from G68 (ἀγρός) and G832 (αὐλέω) (in the sense of G833 (αὐλή));","strongs_def":" to camp out","lemma":"ἀγραυλέω","kjv_def":"abide in the field"},
"G3649":{"derivation":"a reduplicated primary verb;","strongs_def":" to \"howl\" or \"halloo\", i.e. shriek","lemma":"ὀλολύζω","kjv_def":"howl"},
"G1305":{"lemma":"διατροφή","kjv_def":"food","derivation":"from a compound of G1223 (διά) and G5142 (τρέφω);","strongs_def":" nourishment"},
"G655":{"derivation":"from G575 (ἀπό) and the base of G4767 (στυγνητός);","strongs_def":" to detest utterly","lemma":"ἀποστυγέω","kjv_def":"abhor"},
"G3896":{"kjv_def":"sail by","lemma":"παραπλέω","derivation":"from G3844 (παρά) and G4126 (πλέω);","strongs_def":" to sail near"},
"G5279":{"lemma":"ὑπομιμνήσκω","kjv_def":"put in mind, remember, bring to (put in) remembrance","strongs_def":" to remind quietly, i.e. suggest to the (middle voice, one's own) memory","derivation":"from G5259 (ὑπό) and G3403 (μιμνήσκω);"},
"G1422":{"kjv_def":"hard","lemma":"δύσκολος","derivation":"from G1418 (δυσ-) and (food);","strongs_def":" properly, fastidious about eating (peevish), i.e. (genitive case) impracticable"},
"G304":{"strongs_def":" a stairway","derivation":"from G305 (ἀναβαίνω) (compare G898 (βαθμός));","lemma":"ἀναβαθμός","kjv_def":"stairs"},
"G949":{"kjv_def":"firm, of force, stedfast, sure","lemma":"βέβαιος","strongs_def":" stable (literally or figuratively)","derivation":"from the base of G939 (βάσις) (through the idea of basality);"},
"G4315":{"kjv_def":"day before the sabbath","lemma":"προσάββατον","strongs_def":" a fore-sabbath, i.e. the Sabbath-eve","derivation":"from G4253 (πρό) and G4521 (σάββατον);"},
"G894":{"derivation":"of uncertain derivation;","strongs_def":" wormwood (as a type of bitterness, i.e. (figuratively) calamity)","lemma":"ἄψινθος","kjv_def":"wormwood"},
"G4368":{"lemma":"προστάτις","kjv_def":"succourer","derivation":"feminine of a derivative of G4291 (προΐστημι);","strongs_def":" a patroness, i.e. assistant"},
"G2615":{"lemma":"καταδουλόω","kjv_def":"bring into bondage","derivation":"from G2596 (κατά) and G1402 (δουλόω);","strongs_def":" to enslave utterly"},
"G5163":{"lemma":"τροχιά","kjv_def":"path","strongs_def":" a track (as a wheel-rut), i.e. (figuratively) a course of conduct","derivation":"from G5164 (τροχός);"},
"G1223":{"strongs_def":" through (in very wide applications, local, causal, or occasional)","derivation":"a primary preposition denoting the channel of an act;","kjv_def":"after, always, among, at, to avoid, because of (that), briefly, by, for (cause) … fore, from, in, by occasion of, of, by reason of, for sake, that, thereby, therefore, X though, through(-out), to, wherefore, with (-in)","lemma":"διά"},
"G5166":{"derivation":"from a derivative of (to dry) meaning ripe fruit (as if dry);","strongs_def":" to collect the vintage","kjv_def":"gather","lemma":"τρυγάω"},
"G4373":{"lemma":"προσφάτως","kjv_def":"lately","derivation":"adverb from G4372 (πρόσφατος);","strongs_def":" recently"},
"G5316":{"strongs_def":" to lighten (shine), i.e. show (transitive or intransitive, literal or figurative)","derivation":"prolongation for the base of G5457 (φῶς);","lemma":"φαίνω","kjv_def":" appear, seem, be seen, shine, X think"},
"G5064":{"strongs_def":" four","derivation":"a plural number;","lemma":"τέσσαρες","kjv_def":"four"},
"G5494":{"lemma":"χειμών","kjv_def":"tempest, foul weather, winter","strongs_def":" akin to the base of 5490 through the idea of a channel), meaning a storm (as pouring rain); by implication, the rainy season, i.e. winter","derivation":"from a derivative of (to pour;"},
"G1036":{"derivation":"from G1037 (βυθός);","strongs_def":" to sink; by implication, to drown","lemma":"βυθίζω","kjv_def":"begin to sink, drown"},
"G2360":{"strongs_def":" to clamor, i.e. (by implication) to frighten","derivation":"from to wail;","kjv_def":"trouble","lemma":"θροέω"},
"G1176":{"lemma":"δέκα","kjv_def":"(eight-)een, ten","strongs_def":" ten","derivation":"a primary number;"},
"G4110":{"strongs_def":" something moulded","derivation":"from G4111 (πλάσσω);","kjv_def":"thing formed","lemma":"πλάσμα"},
"G3683":{"strongs_def":" profit-bearer; Onesiphorus, a Christian","derivation":"from a derivative of G3685 (ὀνίνημι) and G5411 (φόρος);","lemma":"Ὀνησίφορος","kjv_def":"Onespiphorus"},
"G4166":{"kjv_def":"shepherd, pastor","lemma":"ποιμήν","strongs_def":" a shepherd (literally or figuratively)","derivation":"of uncertain affinity;"},
"G138":{"strongs_def":" to take for oneself, i.e. to prefer","derivation":"probably akin to G142 (αἴρω);","kjv_def":"choose","lemma":"αἱρέομαι"},
"G554":{"strongs_def":" to divest wholly oneself, or (for oneself) despoil","derivation":"middle voice from G575 (ἀπό) and G1562 (ἐκδύω);","kjv_def":"put off, spoil","lemma":"ἀπεκδύομαι"},
"G3714":{"strongs_def":" mountainous, i.e. (feminine by implication, of G5561 (χώρα)) the Highlands (of Judæa)","derivation":"from G3735 (ὄρος);","kjv_def":"hill country","lemma":"ὀρεινός"},
"G5126":{"derivation":"accusative case singular masculine of G3778 (οὗτος);","strongs_def":" this (person, as objective of verb or preposition)","lemma":"τοῦτον","kjv_def":"him, the same, that, this"},
"G510":{"lemma":"ἀνωτερικός","kjv_def":"upper","strongs_def":" superior, i.e. (locally) more remote","derivation":"from G511 (ἀνώτερος);"},
"G177":{"lemma":"ἀκατακάλυπτος","kjv_def":"uncovered","derivation":"from G1 (Α) (as a negative particle) and a derivative of a compound of G2596 (κατά) and G2572 (καλύπτω);","strongs_def":" unveiled"},
"G4482":{"derivation":"a primary verb;","strongs_def":" for some tenses of which a prolonged form is used to flow (\"run\"; as water)","kjv_def":"flow","lemma":"ῥέω"},
"G5458":{"derivation":"from G5457 (φῶς);","strongs_def":" an illuminator, i.e. (concretely) a luminary, or (abstractly) brilliancy","kjv_def":"light","lemma":"φωστήρ"},
"G2934":{"lemma":"κτῆνος","kjv_def":"beast","derivation":"from G2932 (κτάομαι);","strongs_def":" property, i.e. (specially) a domestic animal"},
"G499":{"lemma":"ἀντίτυπον","kjv_def":"(like) figure (whereunto)","strongs_def":" corresponding (\"antitype\"), i.e. a representative, counterpart","derivation":"neuter of a compound of G473 (ἀντί) and G5179 (τύπος);"},
"G1884":{"derivation":"from G1909 (ἐπί) and G714 (ἀρκέω);","strongs_def":" to avail for, i.e. help","kjv_def":"relieve","lemma":"ἐπαρκέω"},
"G1892":{"strongs_def":" to rouse upon, i.e. (figuratively) to excite against","derivation":"from G1909 (ἐπί) and G1453 (ἐγείρω);","kjv_def":"raise, stir up","lemma":"ἐπεγείρω"},
"G5028":{"lemma":"τάφος","kjv_def":"sepulchre, tomb","strongs_def":" a grave (the place of interment)","derivation":"masculine from G2290 (θάπτω);"},
"G5466":{"derivation":"probably of Hebrew or (H03778);","strongs_def":" a Chaldæan (i.e. Kasdi), or native or the region of the lower Euphrates","kjv_def":"Chaldæan","lemma":"Χαλδαῖος"},
"G4029":{"kjv_def":"be bound (compassed) with, hang about","lemma":"περίκειμαι","derivation":"from G4012 (περί) and G2749 (κεῖμαι);","strongs_def":" to lie all around, i.e. inclose, encircle, hamper (literally or figuratively)"},
"G4592":{"lemma":"σημεῖον","kjv_def":"miracle, sign, token, wonder","derivation":"neuter of a presumed derivative of the base of G4591 (σημαίνω);","strongs_def":" an indication, especially ceremonially or supernaturally"},
"G3922":{"lemma":"παρεισέρχομαι","kjv_def":"come in privily, enter","derivation":"from G3844 (παρά) and G1525 (εἰσέρχομαι);","strongs_def":" to come in alongside, i.e. supervene additionally or steathily"},
"G4259":{"derivation":"neuter of a presumed compound of G4253 (πρό) and G833 (αὐλή);","strongs_def":" a forecourt, i.e. vestibule (alley-way)","kjv_def":"porch","lemma":"προαύλιον"},
"G1224":{"kjv_def":"come over, pass (through)","lemma":"διαβαίνω","derivation":"from G1223 (διά) and the base of G939 (βάσις);","strongs_def":" to cross"},
"G1640":{"lemma":"ἐλάσσων","kjv_def":"less, under, worse, younger","derivation":"comparative of the same as G1646 (ἐλάχιστος);","strongs_def":" smaller (in size, quantity, age or quality)"},
"G5616":{"derivation":"from G5613 (ὡς) and G1487 (εἰ);","strongs_def":" as if","kjv_def":"about, as (it had been, it were), like (as)","lemma":"ὡσεί"},
"G3770":{"lemma":"οὐράνιος","kjv_def":"heavenly","derivation":"from G3772 (οὐρανός);","strongs_def":" celestial, i.e. belonging to or coming from the sky"},
"G4706":{"kjv_def":"very diligently","lemma":"σπουδαιότερον","derivation":"neuter of G4707 (σπουδαιότερος) as adverb;","strongs_def":" more earnestly than others), i.e. very promptly"},
"G1821":{"strongs_def":" to send away forth, i.e. (on a mission) to despatch, or (peremptorily) to dismiss","derivation":"from G1537 (ἐκ) and G649 (ἀποστέλλω);","lemma":"ἐξαποστέλλω","kjv_def":"send (away, forth, out)"},
"G717":{"lemma":"Ἀρμαγεδδών","kjv_def":"Armageddon","derivation":"of Hebrew origin (H02022 and H04023);","strongs_def":" Armageddon (or Har-Meggiddon), a symbolic name"},
"G4978":{"lemma":"σχίσμα","kjv_def":"division, rent, schism","derivation":"from G4977 (σχίζω);","strongs_def":" a split or gap (\"schism\"), literally or figuratively"},
"G4218":{"lemma":"ποτέ","kjv_def":"afore-(any, some-)time(-s), at length (the last), (+ n- )ever, in the old time, in time past, once, when","strongs_def":" indefinite adverb, at some time, ever","derivation":"from the base of G4225 (πού) and G5037 (τέ);"},
"G3083":{"kjv_def":"ransom","lemma":"λύτρον","strongs_def":" something to loosen with, i.e. a redemption price (figuratively, atonement)","derivation":"from G3089 (λύω);"},
"G3492":{"lemma":"ναύτης","kjv_def":"sailor, shipman","derivation":"from G3491 (ναῦς);","strongs_def":" a boatman, i.e. seaman"},
"G4132":{"strongs_def":" flood-tide, i.e. (by analogy) a freshet","derivation":"prolonged from G4130 (πλήθω);","lemma":"πλήμμυρα","kjv_def":"flood"},
"G5555":{"strongs_def":" gold-stone, i.e. a yellow gem (\"chrysolite\")","derivation":"from G5557 (χρυσός) and G3037 (λίθος);","kjv_def":"chrysolite","lemma":"χρυσόλιθος"},
"G1276":{"lemma":"διαπεράω","kjv_def":"go over, pass (over), sail over","derivation":"from G1223 (διά) and a derivative of the base of G4008 (πέραν);","strongs_def":" to cross entirely"},
"G951":{"strongs_def":" stabiliment","derivation":"from G950 (βεβαιόω);","lemma":"βεβαίωσις","kjv_def":"confirmation"},
"G675":{"lemma":"Ἄππιος","kjv_def":"Appii","derivation":"of Latin origin;","strongs_def":" (in the genitive, i.e. possessive case) of Appius, the name of a Roman"},
"G3306":{"lemma":"μένω","kjv_def":"abide, continue, dwell, endure, be present, remain, stand, tarry (for), X thine own","strongs_def":" to stay (in a given place, state, relation or expectancy)","derivation":"a primary verb;"},
"G3159":{"lemma":"Ματθίας","kjv_def":"Matthias","strongs_def":" Matthias (i.e. Mattithjah), an Israelite","derivation":"apparently a shortened form of G3161 (Ματταθίας);"},
"G116":{"strongs_def":" Athenæ, the capitol of Greece","derivation":"plural of (the goddess of wisdom, who was reputed to have founded the city);","kjv_def":" Athens","lemma":"Ἀθῆναι"},
"G1226":{"kjv_def":"affirm constantly","lemma":"διαβεβαιόομαι","derivation":"middle voice of a compound of G1223 (διά) and G950 (βεβαιόω);","strongs_def":" to confirm thoroughly (by words), i.e. asseverate"},
"G4903":{"strongs_def":" to be a fellow-worker, i.e. co-operate","derivation":"from G4904 (συνεργός);","lemma":"συνεργέω","kjv_def":"help (work) with, work(-er) together"},
"G1024":{"lemma":"βραχύς","kjv_def":"few words, little (space, while)","derivation":"of uncertain affinity;","strongs_def":" short (of time, place, quantity, or number)"},
"G1200":{"derivation":"from G1199 (δεσμόν) and G5441 (φύλαξ);","strongs_def":" a jailer (as guarding the prisoners)","kjv_def":"jailor, keeper of the prison","lemma":"δεσμοφύλαξ"},
"G5116":{"derivation":"neuter of a presumed derivative (alternately) of (a \"topaz\";","strongs_def":" of uncertain origin); a gem, probably the chrysolite","lemma":"τοπάζιον","kjv_def":"topaz"},
"G4710":{"kjv_def":"business, (earnest) care(-fulness), diligence, forwardness, haste","lemma":"σπουδή","derivation":"from G4692 (σπεύδω);","strongs_def":" \"speed\", i.e. (by implication) despatch, eagerness, earnestness"},
"G2085":{"strongs_def":" to instruct differently","derivation":"from G2087 (ἕτερος) and G1320 (διδάσκαλος);","lemma":"ἑτεροδιδασκαλέω","kjv_def":"teach other doctrine(-wise)"},
"G3005":{"derivation":"from G3007 (λείπω);","strongs_def":" a remainder","kjv_def":"remnant","lemma":"λεῖμμα"},
"G5269":{"kjv_def":"undergirt","lemma":"ὑποζώννυμι","derivation":"from G5259 (ὑπό) and G2224 (ζώννυμι);","strongs_def":" to gird under, i.e. frap (a vessel with cables across the keel, sides and deck)"},
"G3673":{"lemma":"ὁμότεχνος","kjv_def":"of the same craft","derivation":"from the base of G3674 (ὁμοῦ) and G5078 (τέχνη);","strongs_def":" a fellow-artificer"},
"G5128":{"derivation":"accusative case plural masculine of G3778 (οὗτος);","strongs_def":" these (persons, as objective of verb or preposition)","kjv_def":"such, them, these, this","lemma":"τούτους"},
"G5274":{"derivation":"from G5259 (ὑπό) and G2983 (λαμβάνω);","strongs_def":" to take from below, i.e. carry upward; figuratively, to take up, i.e. continue a discourse or topic; mentally, to assume (presume)","kjv_def":"answer, receive, suppose","lemma":"ὑπολαμβάνω"},
"G3510":{"derivation":"of uncertain affinity;","strongs_def":" a kidney (plural), i.e. (figuratively) the inmost mind","kjv_def":"reins","lemma":"νεφρός"},
"G2956":{"strongs_def":" i.e. Cyrenæan, i.e. inhabitant of Cyrene","derivation":"from G2957 (Κυρήνη);","lemma":"Κυρηναῖος","kjv_def":"of Cyrene, Cyrenian"},
"G2821":{"kjv_def":"calling","lemma":"κλῆσις","derivation":"from a shorter form of G2564 (καλέω);","strongs_def":" an invitation (figuratively)"},
"G3089":{"derivation":"a primary verb;","strongs_def":" to \"loosen\" (literally or figuratively)","lemma":"λύω","kjv_def":"break (up), destroy, dissolve, (un-)loose, melt, put off"},
"G1734":{"strongs_def":" eleventh","derivation":"ordinal from G1733 (ἕνδεκα);","kjv_def":"eleventh","lemma":"ἑνδέκατος"},
"G1927":{"derivation":"from a compound of G1909 (ἐπί) and G1218 (δῆμος);","strongs_def":" to make oneself at home, i.e. (by extension) to reside (in a foreign country)","lemma":"ἐπιδημέω","kjv_def":"(be) dwelling (which were) there, stranger"},
"G4580":{"derivation":"of Latin origin;","strongs_def":" \"second\"; Secundus, a Christian","lemma":"Σεκοῦνδος","kjv_def":"Secundus"},
"G1879":{"lemma":"ἐπαναπαύομαι","kjv_def":"rest in (upon)","derivation":"middle voice from G1909 (ἐπί) and G373 (ἀναπαύω);","strongs_def":" to settle on; literally (remain) or figuratively (rely)"},
"G656":{"strongs_def":" excommunicated","derivation":"from G575 (ἀπό) and G4864 (συναγωγή);","kjv_def":"(put) out of the synagogue(-s)","lemma":"ἀποσυνάγωγος"},
"G4769":{"kjv_def":"pillar","lemma":"στῦλος","derivation":"from (to stiffen;","strongs_def":" properly akin to the base of G2476 (ἵστημι)); a post (\"style\"), i.e. (figuratively) support"},
"G5340":{"lemma":"φειδομένως","kjv_def":"sparingly","strongs_def":" abstemiously, i.e. stingily","derivation":"adverb from participle of G5339 (φείδομαι);"},
"G2255":{"derivation":"neuter of a derivative from an inseparable prefix akin to G260 (ἅμα) (through the idea of partition involved in connection) and meaning semi-;","strongs_def":" (as noun) half","lemma":"ἥμισυ","kjv_def":"half"},
"G475":{"lemma":"ἀντιδιατίθεμαι","kjv_def":"that oppose themselves","strongs_def":" to set oneself opposite, i.e. be disputatious","derivation":"from G473 (ἀντί) and G1303 (διατίθεμαι);"},
"G1220":{"kjv_def":"pence, penny(-worth)","lemma":"δηνάριον","strongs_def":" a denarius (or ten asses)","derivation":"of Latin origin;"},
"G1610":{"kjv_def":"pluck up by the root, root up","lemma":"ἐκριζόω","derivation":"from G1537 (ἐκ) and G4492 (ῥιζόω);","strongs_def":" to uproot"},
"G4327":{"lemma":"προσδέχομαι","kjv_def":"accept, allow, look (wait) for, take","strongs_def":" to admit (to intercourse, hospitality, credence, or (figuratively) endurance); by implication, to await (with confidence or patience)","derivation":"from G4314 (πρός) and G1209 (δέχομαι);"},
"G2155":{"derivation":"from G2095 (εὖ) and G4698 (σπλάγχνον);","strongs_def":" well compassioned, i.e. sympathetic","lemma":"εὔσπλαγχνος","kjv_def":"pitiful, tender-hearted"},
"G4384":{"lemma":"προτάσσω","kjv_def":"before appoint","strongs_def":" to pre-arrange, i.e. prescribe","derivation":"from G4253 (πρό) and G5021 (τάσσω);"},
"G2543":{"derivation":"from G2532 (καί) and G5104 (τοί);","strongs_def":" and yet, i.e. nevertheless","kjv_def":"although","lemma":"καίτοι"},
"G5081":{"kjv_def":"clearly","lemma":"τηλαυγῶς","derivation":"adverb from a compound of a derivative of G5056 (τέλος) and G827 (αὐγή);","strongs_def":" in a far-shining manner, i.e. plainly"},
"G2277":{"kjv_def":"let … be","lemma":"ἤτω","strongs_def":" let him (or it) be","derivation":"third person singular imperative of G1510 (εἰμί);"},
"G2026":{"lemma":"ἐποικοδομέω","kjv_def":"build thereon (thereupon, on, upon)","derivation":"from G1909 (ἐπί) and G3618 (οἰκοδομέω);","strongs_def":" to build upon, i.e. (figuratively) to rear up"},
"G2425":{"derivation":"from ( or , akin to G2240 (ἥκω)) (to arrive);","strongs_def":" competent (as if coming in season), i.e. ample (in amount) or fit (in character)","lemma":"ἱκανός","kjv_def":"able, + content, enough, good, great, large, long (while), many, meet, much, security, sore, sufficient, worthy"},
"G2625":{"lemma":"κατακλίνω","kjv_def":"(make) sit down (at meat)","derivation":"from G2596 (κατά) and G2827 (κλίνω);","strongs_def":" to recline down, i.e. (specially) to take a place at table"},
"G5530":{"derivation":"middle voice of a primary verb (perhaps rather from G5495 (χείρ), to handle);","strongs_def":" to furnish what is needed; (give an oracle, \"graze\" (touch slightly), light upon, etc.), i.e. (by implication) to employ or (by extension) to act towards one in a given manner","kjv_def":"entreat, use","lemma":"χράομαι"},
"G1353":{"strongs_def":" to travel through","derivation":"from G1223 (διά) and G3593 (ὁδεύω);","kjv_def":"go throughout, pass through","lemma":"διοδεύω"},
"G4936":{"kjv_def":"run (together, with)","lemma":"συντρέχω","derivation":"from G4862 (σύν) and G5143 (τρέχω) (including its alternate);","strongs_def":" to rush together (hastily assemble) or headlong (figuratively)"},
"G4723":{"lemma":"στείρος","kjv_def":"barren","derivation":"a contraction from G4731 (στερεός) (as stiff and unnatural);","strongs_def":" \"sterile\""},
"G5057":{"strongs_def":" a tax-farmer, i.e. collector of public revenue","derivation":"from G5056 (τέλος) and G5608 (ὠνέομαι);","lemma":"τελώνης","kjv_def":"publican"},
"G1988":{"lemma":"ἐπιστάτης","kjv_def":"master","derivation":"from G1909 (ἐπί) and a presumed derivative of G2476 (ἵστημι);","strongs_def":" an appointee over, i.e. commander (teacher)"},
"G1394":{"lemma":"δόσις","kjv_def":"gift, giving","derivation":"from the base of G1325 (δίδωμι);","strongs_def":" a giving; by implication, (concretely) a gift"},
"G2133":{"derivation":"from the same as G2132 (εὐνοέω);","strongs_def":" kindness; euphemistically, conjugal duty","lemma":"εὔνοια","kjv_def":"benevolence, good will"},
"G1481":{"lemma":"ἐθνάρχης","kjv_def":"ethnarch","derivation":"from G1484 (ἔθνος) and G746 (ἀρχή);","strongs_def":" the governor (not king) of a district"},
"G4040":{"strongs_def":" housed around, i.e. neighboring (used elliptically as a noun)","derivation":"from G4012 (περί) and G3624 (οἶκος);","lemma":"περίοικος","kjv_def":"neighbour"},
"G638":{"kjv_def":"choke","lemma":"ἀποπνίγω","strongs_def":" to stifle (by drowning or overgrowth)","derivation":"from G575 (ἀπό) and G4155 (πνίγω);"},
"G3824":{"kjv_def":"regeneration","lemma":"παλιγγενεσία","strongs_def":" (spiritual) rebirth (the state or the act), i.e. (figuratively) spiritual renovation; specially, Messianic restoration","derivation":"from G3825 (πάλιν) and G1078 (γένεσις);"},
"G3804":{"kjv_def":" affection, affliction, motion, suffering","lemma":"πάθημα","derivation":"from a presumed derivative of G3806 (πάθος);","strongs_def":" something undergone, i.e. hardship or pain; subjectively, an emotion or influence"},
"G646":{"lemma":"ἀποστασία","kjv_def":"falling away, forsake","strongs_def":" defection from truth (properly, the state) (\"apostasy\")","derivation":"feminine of the same as G647 (ἀποστάσιον);"},
"G4728":{"derivation":"probably from the base of G2476 (ἵστημι);","strongs_def":" narrow (from obstacles standing close about)","lemma":"στενός","kjv_def":"strait"},
"G1441":{"lemma":"ἑβδομηκοντάκις","kjv_def":"seventy times","derivation":"multiple adverb from G1440 (ἑβδομήκοντα);","strongs_def":" seventy times"},
"G3066":{"derivation":"of Latin origin;","strongs_def":" illuminative; Lucius, a Christian","kjv_def":"Lucius","lemma":"Λούκιος"},
"G5384":{"lemma":"φίλος","kjv_def":"friend","strongs_def":" actively, fond, i.e. friendly (still as a noun, an associate, neighbor, etc.)","derivation":"properly, dear, i.e. a friend;"},
"G5176":{"kjv_def":"eat","lemma":"τρώγω","strongs_def":" or perhaps rather of a base of G5167 (τρυγών) and G5149 (τρίζω) through the idea of a craunching sound; to gnaw or chew, i.e. (generally) to eat","derivation":"probably strengthened from a collateral form of the base of G5134 (τραῦμα) and G5147 (τρίβος) through the idea of corrosion or wear;"},
"G1947":{"lemma":"ἐπικουρία","kjv_def":"help","derivation":"from a compound of G1909 (ἐπί) and a (prolonged) form of the base of G2877 (κοράσιον) (in the sense of servant);","strongs_def":" assistance"},
"G2471":{"lemma":"ἰσότης","kjv_def":"equal(-ity)","strongs_def":"likeness (in condition or proportion); by implication, equity"},
"G5267":{"strongs_def":" under sentence, i.e. (by implication) condemned","derivation":"from G5259 (ὑπό) and G1349 (δίκη);","kjv_def":"guilty","lemma":"ὑπόδικος"},
"G1606":{"derivation":"from G1537 (ἐκ) and G4154 (πνέω);","strongs_def":" to expire","kjv_def":"give up the ghost","lemma":"ἐκπνέω"},
"G4922":{"lemma":"συνοδεύω","kjv_def":"journey with","derivation":"from G4862 (σύν) and G3593 (ὁδεύω);","strongs_def":" to travel in company with"},
"G2712":{"lemma":"κατείδωλος","kjv_def":"wholly given to idolatry","strongs_def":" utterly idolatrous","derivation":"from G2596 (κατά) (intensively) and G1497 (εἴδωλον);"},
"G5617":{"derivation":"of Hebrew origin (H01954);","strongs_def":" Hosee (i.e. Hoshea), an Israelite","lemma":"Ὡσηέ","kjv_def":"Osee"},
"G5018":{"lemma":"Ταρσεύς","kjv_def":"of Tarsus","strongs_def":" a Tarsean, i.e. native of Tarsus","derivation":"from G5019 (Ταρσός);"},
"G3835":{"strongs_def":" all-working, i.e. adroit (shrewd)","derivation":"from G3956 (πᾶς) and G2041 (ἔργον);","kjv_def":"crafty","lemma":"πανοῦργος"},
"G2720":{"derivation":"from G2596 (κατά) and G2116 (εὐθύνω);","strongs_def":" to straighten fully, i.e. (figuratively) direct","lemma":"κατευθύνω","kjv_def":"guide, direct"},
"G4243":{"strongs_def":" to be a senior, i.e. (by implication) act as a representative (figuratively, preacher)","derivation":"from the base of G4245 (πρεσβύτερος);","kjv_def":"be an ambassador","lemma":"πρεσβεύω"},
"G4134":{"lemma":"πλήρης","kjv_def":"full","derivation":"from G4130 (πλήθω);","strongs_def":" replete, or covered over; by analogy, complete"},
"G57":{"strongs_def":" unknown","derivation":"from G1 (Α) (as negative particle) and G1110 (γνωστός);","kjv_def":"unknown","lemma":"ἄγνωστος"},
"G3191":{"kjv_def":"imagine, (pre-)meditate","lemma":"μελετάω","derivation":"from a presumed derivative of G3199 (μέλω);","strongs_def":" to take care of, i.e. (by implication) revolve in the mind"},
"G3873":{"strongs_def":" to lie near, i.e. be at hand (figuratively, be prompt or easy)","derivation":"from G3844 (παρά) and G2749 (κεῖμαι);","kjv_def":"be present","lemma":"παράκειμαι"},
"G2845":{"derivation":"from G2749 (κεῖμαι);","strongs_def":" a couch; by extension, cohabitation; by implication, the male sperm","lemma":"κοίτη","kjv_def":"bed, chambering, X conceive"},
"G2999":{"kjv_def":"(divine) service","lemma":"λατρεία","derivation":"from G3000 (λατρεύω);","strongs_def":" ministration of God, i.e. worship"},
"G2955":{"kjv_def":"stoop (down)","lemma":"κύπτω","strongs_def":" to bend forward","derivation":"probably from the base of G2949 (κῦμα);"},
"G828":{"strongs_def":" Augustus, a title of the Roman emperor","derivation":"from Latin (\"august\");","lemma":"Αὐγοῦστος","kjv_def":"Augustus"},
"G1183":{"kjv_def":"pay (receive) tithes","lemma":"δεκατόω","derivation":"from G1181 (δεκάτη);","strongs_def":" to tithe, i.e. to give or take a tenth"},
"G466":{"strongs_def":" to supplement","derivation":"from G473 (ἀντί) and G378 (ἀναπληρόω);","kjv_def":"fill up","lemma":"ἀνταναπληρόω"},
"G5268":{"strongs_def":" an animal under the yoke (draught-beast), i.e. (specially), a donkey","derivation":"neuter of a compound of G5259 (ὑπό) and G2218 (ζυγός);","kjv_def":"ass","lemma":"ὑποζύγιον"},
"G1172":{"lemma":"δειπνέω","kjv_def":"sup (X -er)","strongs_def":" to dine, i.e. take the principle (or evening) meal","derivation":"from G1173 (δεῖπνον);"},
"G2525":{"derivation":"from G2596 (κατά) and G2476 (ἵστημι);","strongs_def":" to place down (permanently), i.e. (figuratively) to designate, constitute, convoy","lemma":"καθίστημι","kjv_def":"appoint, be, conduct, make, ordain, set"},
"G2603":{"derivation":"from G2596 (κατά) and G1018 (βραβεύω) (in its original sense);","strongs_def":" to award the price against, i.e. (figuratively) to defraud (of salvation)","lemma":"καταβραβεύω","kjv_def":"beguile of reward"},
"G4788":{"derivation":"from G4862 (σύν) and G2808 (κλείω);","strongs_def":" to shut together, i.e. include or (figuratively) embrace in a common subjection to","kjv_def":"conclude, inclose, shut up","lemma":"συγκλείω"},
"G2021":{"kjv_def":"go about, take in hand (upon)","lemma":"ἐπιχειρέω","derivation":"from G1909 (ἐπί) and G5495 (χείρ);","strongs_def":" to put the hand upon, i.e. undertake"},
"G1510":{"lemma":"εἰμί","kjv_def":"am, have been, X it is I, was","strongs_def":" I exist (used only when emphatic)","derivation":"the first person singular present indicative; a prolonged form of a primary and defective verb;"},
"G2071":{"kjv_def":"shall (should) be (have), (shall) come (to pass), X may have, X fall, what would follow, X live long, X sojourn","lemma":"ἔσομαι","strongs_def":" will be","derivation":"future of G1510 (εἰμί);"},
"G5211":{"lemma":"Ὑμεναῖος","kjv_def":"Hymenæus","derivation":"from (the god of weddings);","strongs_def":" \"hymenæal\"; Hymenæus, an opponent of Christianity"},
"G2090":{"kjv_def":"prepare, provide, make ready","lemma":"ἑτοιμάζω","derivation":"from G2092 (ἕτοιμος);","strongs_def":" to prepare"},
"G4736":{"kjv_def":"Stephen","lemma":"Στέφανος","derivation":"the same as G4735 (στέφανος);","strongs_def":" Stephanus, a Christian"},
"G3648":{"derivation":"from G3650 (ὅλος) and G2819 (κλῆρος);","strongs_def":" complete in every part, i.e. perfectly sound (in body)","lemma":"ὁλόκληρος","kjv_def":"entire, whole"},
"G4446":{"strongs_def":" inflamed, i.e. (by implication) feverish (as noun, fever)","derivation":"from G4445 (πυρέσσω);","kjv_def":"fever","lemma":"πυρετός"},
"G1173":{"lemma":"δεῖπνον","kjv_def":"feast, supper","strongs_def":" dinner, i.e. the chief meal (usually in the evening)","derivation":"from the same as G1160 (δαπάνη);"},
"G840":{"lemma":"αὐστηρός","kjv_def":"austere","strongs_def":" rough (properly as a gale), i.e. (figuratively) severe","derivation":"from a (presumed) derivative of the same as G109 (ἀήρ) (meaning blown);"},
"G2312":{"lemma":"θεοδίδακτος","kjv_def":"taught of God","strongs_def":" divinely instructed","derivation":"from G2316 (θεός) and G1321 (διδάσκω);"},
"G3487":{"strongs_def":" \"nard\"","derivation":"of foreign origin (compare H05373);","lemma":"νάρδος","kjv_def":"(spike-)nard"},
"G4622":{"strongs_def":" Sion (i.e. Tsijon), a hill of Jerusalem; figuratively, the Church (militant or triumphant)","derivation":"of Hebrew origin (H06726);","kjv_def":"Sion","lemma":"Σιών"},
"G886":{"derivation":"from G1 (Α) (as a negative particle) and G5499 (χειροποίητος);","strongs_def":" unmanufactured, i.e. inartificial","kjv_def":"made without (not made with) hands","lemma":"ἀχειροποίητος"},
"G3144":{"lemma":"μάρτυς","kjv_def":" martyr, record, witness","derivation":"of uncertain affinity;","strongs_def":" a witness (literally (judicially) or figuratively (genitive case)); by analogy, a \"martyr\""},
"G5507":{"lemma":"χίλιοι","kjv_def":"thousand","strongs_def":" a thousand","derivation":"plural of uncertain affinity;"},
"G5149":{"lemma":"τρίζω","kjv_def":"gnash","derivation":"apparently a primary verb;","strongs_def":" to creak (squeak), i.e. (by analogy) to grate the teeth (in frenzy)"},
"G1693":{"lemma":"ἐμμαίνομαι","kjv_def":"be mad against","strongs_def":" to rave on, i.e. rage at","derivation":"from G1722 (ἐν) and G3105 (μαίνομαι);"},
"G1225":{"derivation":"from G1223 (διά) and G906 (βάλλω);","strongs_def":" (figuratively) to traduce","kjv_def":"accuse","lemma":"διαβάλλω"},
"G22":{"derivation":"from G1 (Α) (as a negative particle) and G1062 (γάμος);","strongs_def":" unmarried","lemma":"ἄγαμος","kjv_def":"unmarried"},
"G3029":{"derivation":"of uncertain affinity;","strongs_def":" much (adverbially)","lemma":"λίαν","kjv_def":"exceeding, great(-ly), sore, very (+ chiefest)"},
"G1375":{"kjv_def":"persecution","lemma":"διωγμός","derivation":"from G1377 (διώκω);","strongs_def":" persecution"},
"G1538":{"derivation":"as if a superlative of (afar);","strongs_def":" each or every","kjv_def":"any, both, each (one), every (man, one, woman), particularly","lemma":"ἕκαστος"},
"G2516":{"derivation":"from G2596 (κατά) and the base of G1476 (ἑδραῖος);","strongs_def":" to sit down","kjv_def":"sit","lemma":"καθέζομαι"},
"G5278":{"kjv_def":"abide, endure, (take) patient(-ly), suffer, tarry behind","lemma":"ὑπομένω","strongs_def":" to stay under (behind), i.e. remain; figuratively, to undergo, i.e. bear (trials), have fortitude, persevere","derivation":"from G5259 (ὑπό) and G3306 (μένω);"},
"G1595":{"strongs_def":" voluntariness","derivation":"neuter of a derivative from G1635 (ἑκών);","kjv_def":"willingly","lemma":"ἑκούσιον"},
"G4294":{"strongs_def":" to prepare in advance","derivation":"from G4253 (πρό) and G2675 (καταρτίζω);","lemma":"προκαταρτίζω","kjv_def":"make up beforehand"},
"G5041":{"lemma":"τεκνογονέω","kjv_def":"bear children","derivation":"from a compound of G5043 (τέκνον) and the base of G1096 (γίνομαι);","strongs_def":" to be a child-bearer, i.e. parent (mother)"},
"G1870":{"kjv_def":"be ashamed","lemma":"ἐπαισχύνομαι","strongs_def":" to feel shame for something","derivation":"from G1909 (ἐπί) and G153 (αἰσχύνομαι);"},
"G772":{"kjv_def":"more feeble, impotent, sick, without strength, weak(-er, -ness, thing)","lemma":"ἀσθενής","strongs_def":" strengthless (in various applications, literal, figurative and moral)","derivation":"from G1 (Α) (as a negative particle) and the base of G4599 (σθενόω);"},
"G5055":{"kjv_def":"accomplish, make an end, expire, fill up, finish, go over, pay, perform","lemma":"τελέω","derivation":"from G5056 (τέλος);","strongs_def":" to end, i.e. complete, execute, conclude, discharge (a debt)"},
"G4335":{"kjv_def":"X pray earnestly, prayer","lemma":"προσευχή","derivation":"from G4336 (προσεύχομαι);","strongs_def":" prayer (worship); by implication, an oratory (chapel)"},
"G3879":{"derivation":"from G3844 (παρά) and G2955 (κύπτω);","strongs_def":" to bend beside, i.e. lean over (so as to peer within)","lemma":"παρακύπτω","kjv_def":"look (into), stoop down"},
"G3659":{"kjv_def":"eye","lemma":"ὄμμα","derivation":"from G3700 (ὀπτάνομαι);","strongs_def":" a sight, i.e. (by implication) the eye"},
"G50":{"kjv_def":"(be) ignorant(-ly), not know, not understand, unknown","lemma":"ἀγνοέω","strongs_def":" not to know (through lack of information or intelligence); by implication, to ignore (through disinclination)","derivation":"from G1 (Α) (as a negative particle) and G3539 (νοιέω);"},
"G2957":{"kjv_def":"Cyrene","lemma":"Κυρήνη","derivation":"of uncertain derivation;","strongs_def":" Cyrene, a region of Africa"},
"G45":{"lemma":"ἄγκυρα","kjv_def":"anchor","derivation":"from the same as G43 (ἀγκάλη);","strongs_def":" an \"anchor\" (as crooked)"},
"G4010":{"strongs_def":" fortified; Pergamus, a place in Asia Minor","derivation":"from G4444 (πύργος);","kjv_def":"Pergamos","lemma":"Πέργαμος"},
"G3009":{"lemma":"λειτουργία","kjv_def":"ministration(-try), service","derivation":"from G3008 (λειτουργέω);","strongs_def":" public function (as priest (\"liturgy\") or almsgiver)"},
"G4055":{"derivation":"comparative of G4053 (περισσός);","strongs_def":" more superabundant (in number, degree or character)","lemma":"περισσότερος","kjv_def":"more abundant, greater (much) more, overmuch"},
"G3613":{"derivation":"neuter of a presumed derivative of G3611 (οἰκέω) (equivalent to G3612 (οἴκημα));","strongs_def":" a residence (literally or figuratively)","kjv_def":"habitation, house","lemma":"οἰκητήριον"},
"G5154":{"lemma":"τρίτος","kjv_def":"third(-ly)","derivation":"ordinal from G5140 (τρεῖς);","strongs_def":" third; neuter (as noun) a third part, or (as adverb) a (or the) third time, thirdly"},
"G173":{"derivation":"probably from the same as G188 (ἀκμήν);","strongs_def":" a thorn","lemma":"ἄκανθα","kjv_def":"thorn"},
"G1447":{"kjv_def":"in (the) Hebrew (tongue)","lemma":"Ἑβραϊστί","strongs_def":" Hebraistically or in the Jewish (Chaldee) language","derivation":"adverb from G1446 (Ἑβραΐς);"},
"G780":{"strongs_def":" with pleasure","derivation":"adverb from a derivative of the base of G2237 (ἡδονή);","lemma":"ἀσμένως","kjv_def":"gladly"},
"G4687":{"strongs_def":" to scatter, i.e. sow (literally or figuratively)","derivation":"probably strengthened from G4685 (σπάω) (through the idea of extending);","kjv_def":"sow(- er), receive seed","lemma":"σπείρω"},
"G3530":{"kjv_def":"Nicodemus","lemma":"Νικόδημος","derivation":"from G3534 (νῖκος) and G1218 (δῆμος);","strongs_def":" victorious among his people; Nicodemus, an Israelite"},
"G4991":{"kjv_def":"deliver, health, salvation, save, saving","lemma":"σωτηρία","derivation":"feminine of a derivative of G4990 (σωτήρ) as (properly, abstract) noun;","strongs_def":" rescue or safety (physically or morally)"},
"G4337":{"lemma":"προσέχω","kjv_def":"(give) attend(-ance, -ance at, -ance to, unto), beware, be given to, give (take) heed (to unto); have regard","strongs_def":" (figuratively) to hold the mind (3563 implied) towards, i.e. pay attention to, be cautious about, apply oneself to, adhere to","derivation":"from G4314 (πρός) and G2192 (ἔχω);"},
"G3959":{"strongs_def":" Patara, a place in Asia Minor","derivation":"probably of foreign origin;","lemma":"Πάταρα","kjv_def":"Patara"},
"G5413":{"strongs_def":" an invoice (as part of freight), i.e. (figuratively) a task or service","derivation":"diminutive of G5414 (φόρτος);","lemma":"φορτίον","kjv_def":"burden"},
"G5583":{"strongs_def":" a falsifier","derivation":"from G5574 (ψεύδομαι);","kjv_def":"liar","lemma":"ψεύστης"},
"G1248":{"kjv_def":"(ad-)minister(-ing, -tration, -try), office, relief, service(-ing)","lemma":"διακονία","derivation":"from G1249 (διάκονος);","strongs_def":" attendance (as a servant, etc.); figuratively (eleemosynary) aid, (official) service (especially of the Christian teacher, or technically of the diaconate)"},
"G3773":{"kjv_def":"Urbanus","lemma":"Οὐρβανός","derivation":"of Latin origin;","strongs_def":" Urbanus (of the city, \"urbane\"), a Christian"},
"G4494":{"derivation":"from a derivative of G4496 (ῥίπτω) (meaning a fan or bellows);","strongs_def":" to breeze up, i.e. (by analogy) to agitate (into waves)","kjv_def":"toss","lemma":"ῥιπίζω"},
"G2992":{"kjv_def":"people","lemma":"λαός","strongs_def":" a people (in general; thus differing from G1218 (δῆμος), which denotes one's own populace)","derivation":"apparently a primary word;"},
"G2597":{"derivation":"from G2596 (κατά) and the base of G939 (βάσις);","strongs_def":" to descend (literally or figuratively)","lemma":"καταβαίνω","kjv_def":"come (get, go, step) down, fall (down)"},
"G5600":{"derivation":"the subjunctive of G1510 (εἰμί);","strongs_def":" (may, might, can, could, would, should, must, etc.; also with G1487 (εἰ) and its comparative, as well as with other particles) be","lemma":"ὦ","kjv_def":"+ appear, are, (may, might, should) be, X have, is, + pass the flower of her age, should stand, were"},
"G5261":{"derivation":"from a compound of G5259 (ὑπό) and G1125 (γράφω);","strongs_def":" an underwriting, i.e. copy for imitation (figuratively)","kjv_def":"example","lemma":"ὑπογραμμός"},
"G1262":{"strongs_def":" to dissolve utterly","derivation":"from G1223 (διά) and G3089 (λύω);","kjv_def":"scatter","lemma":"διαλύω"},
"G4732":{"kjv_def":"establish, receive strength, make strong","lemma":"στερεόω","strongs_def":" to solidify, i.e. confirm (literally or figuratively)","derivation":"from G4731 (στερεός);"},
"G4827":{"kjv_def":"fellow disciple","lemma":"συμμαθητής","derivation":"from a compound of G4862 (σύν) and G3129 (μανθάνω);","strongs_def":" a co-learner (of Christianity)"},
"G1304":{"derivation":"from G1223 (διά) and the base of G5147 (τρίβος);","strongs_def":" to wear through (time), i.e. remain","kjv_def":"abide, be, continue, tarry","lemma":"διατρίβω"},
"G5104":{"strongs_def":" an enclitic particle of asseveration by way of contrast; in sooth","derivation":"probably for the dative case of G3588 (ὁ);","lemma":"τοί","kjv_def":"(used only with other particles in the comparative, as G2544 (καίτοιγε), G3305 (μέντοι), G5105 (τοιγαροῦν), G5106 (τοίνυν), etc"},
"G99":{"lemma":"Ἀδρίας","kjv_def":"Adria","strongs_def":" the Adriatic sea (including the Ionian)","derivation":"from (a place near its shore);"},
"G30":{"lemma":"ἀγγεῖον","kjv_def":"vessel","derivation":"from (a pail, perhaps as bent;","strongs_def":" compare the base of G43 (ἀγκάλη)); a receptacle"},
"G2926":{"strongs_def":" a hidden place, i.e. cellar (\"crypt\")","derivation":"feminine of G2927 (κρυπτός);","kjv_def":"secret","lemma":"κρύπτη"},
"G2515":{"derivation":"from G2596 (κατά) and the same as G1476 (ἑδραῖος);","strongs_def":" a bench (literally or figuratively)","kjv_def":"seat","lemma":"καθέδρα"},
"G3103":{"strongs_def":" Mathusala (i.e. Methushelach), an antediluvian","derivation":"of Hebrew origin (H04968);","lemma":"Μαθουσάλα","kjv_def":"Mathusala"},
"G1689":{"derivation":"from G1722 (ἐν) and G991 (βλέπω);","strongs_def":" to look on, i.e. (relatively) to observe fixedly, or (absolutely) to discern clearly","lemma":"ἐμβλέπω","kjv_def":"behold, gaze up, look upon, (could) see"},
"G42":{"kjv_def":"holiness","lemma":"ἁγιωσύνη","strongs_def":" sacredness (i.e. properly, the quality)","derivation":"from G40 (ἅγιος);"},
"G284":{"kjv_def":"Aminadab","lemma":"Ἀμιναδάβ","derivation":"of Hebrew origin (H05992);","strongs_def":" Aminadab, an Israelite"},
"G2990":{"derivation":"a prolonged form of a primary verb, which is used only as an alternate in certain tenses;","strongs_def":" to lie hid (literally or figuratively); often used adverbially, unwittingly","kjv_def":"be hid, be ignorant of, unawares","lemma":"λανθάνω"},
"G1626":{"kjv_def":"born out of due time","lemma":"ἔκτρωμα","derivation":"from a comparative of G1537 (ἐκ) and (to wound);","strongs_def":" a miscarriage (abortion), i.e. (by analogy) untimely birth"},
"G2211":{"lemma":"Ζηνᾶς","kjv_def":"Zenas","strongs_def":" Jove-given; Zenas, a Christian","derivation":"probably contracted from a poetic form of G2203 (Ζεύς) and G1435 (δῶρον);"},
"G5317":{"strongs_def":" Phalek (i.e. Peleg), a patriarch","derivation":"of Hebrew origin (H06389);","lemma":"Φάλεκ","kjv_def":"Phalec"},
"G261":{"kjv_def":"unlearned","lemma":"ἀμαθής","strongs_def":" ignorant","derivation":"from G1 (Α) (as a negative particle) and G3129 (μανθάνω);"},
"G249":{"lemma":"ἄλογος","kjv_def":"brute, unreasonable","strongs_def":" irrational","derivation":"from G1 (Α) (as a negative particle) and G3056 (λόγος);"},
"G3183":{"lemma":"μέθυσος","kjv_def":"drunkard","strongs_def":" tipsy, i.e. (as noun) a sot","derivation":"from G3184 (μεθύω);"},
"G2921":{"strongs_def":" \"crisp\"; Crispus, a Corinthian","derivation":"of Latin origin;","lemma":"Κρίσπος","kjv_def":"Crispus"},
"G755":{"derivation":"from G746 (ἀρχή) and a compound of G5140 (τρεῖς) and G2827 (κλίνω) (a dinner-bed, because composed of three couches);","strongs_def":" director of the entertainment","kjv_def":"governor (ruler) of the feast","lemma":"ἀρχιτρίκλινος"},
"G2365":{"lemma":"θυγάτριον","kjv_def":"little (young) daughter","strongs_def":" a daughterling","derivation":"from G2364 (θυγάτηρ);"},
"G1152":{"strongs_def":" perhaps gentle; Damaris, an Athenian woman","derivation":"probably from the base of G1150 (δαμάζω);","lemma":"Δάμαρις","kjv_def":"Damaris"},
"G1160":{"derivation":"from (to devour);","strongs_def":" expense (as consuming)","lemma":"δαπάνη","kjv_def":"cost"},
"G3909":{"lemma":"παρατυγχάνω","kjv_def":"meet with","derivation":"from G3844 (παρά) and G5177 (τυγχάνω);","strongs_def":" to chance near, i.e. fall in with"},
"G4783":{"lemma":"συγκατάθεσις","kjv_def":"agreement","strongs_def":" a deposition (of sentiment) in company with, i.e. (figuratively) accord with","derivation":"from G4784 (συγκατατίθεμαι);"},
"G983":{"derivation":"from G984 (βλάπτω);","strongs_def":" injurious","lemma":"βλαβερός","kjv_def":"hurtful"},
"G2237":{"strongs_def":" sensual delight; by implication, desire","derivation":"from (to please);","kjv_def":"lust, pleasure","lemma":"ἡδονή"},
"G4057":{"lemma":"περισσῶς","kjv_def":"exceedingly, out of measure, the more","derivation":"adverb from G4053 (περισσός);","strongs_def":" superabundantly"},
"G1795":{"derivation":"from G1722 (ἐν) and a derivative of G5179 (τύπος);","strongs_def":" to enstamp, i.e. engrave","lemma":"ἐντυπόω","kjv_def":"engrave"},
"G2134":{"derivation":"from G2135 (εὐνοῦχος);","strongs_def":" to castrate (figuratively, live unmarried)","kjv_def":"make…eunuch","lemma":"εὐνουχίζω"},
"G5303":{"strongs_def":" a deficit; specially, poverty","derivation":"from G5302 (ὑστερέω);","kjv_def":"that which is behind, (that which was) lack(-ing), penury, want","lemma":"ὑστέρημα"},
"G1518":{"strongs_def":" pacificatory, i.e. (subjectively) peaceable","derivation":"from G1515 (εἰρήνη) and G4160 (ποιέω);","kjv_def":"peacemaker","lemma":"εἰρηνοποιός"},
"G4623":{"derivation":"from (silence, i.e. a hush;","strongs_def":" properly, muteness, i.e. involuntary stillness, or inability to speak; and thus differing from G4602 (σιγή), which is rather a voluntary refusal or indisposition to speak, although the terms are often used synonymously); to be dumb (but not deaf also, like 2974 properly); figuratively, to be calm (as quiet water)","kjv_def":"dumb, (hold) peace","lemma":"σιωπάω"},
"G1020":{"strongs_def":" to sail slowly","derivation":"from G1021 (βραδύς) and a prolonged form of G4126 (πλέω);","kjv_def":"sail slowly","lemma":"βραδυπλοέω"},
"G743":{"derivation":"from G757 (ἄρχω) and G32 (ἄγγελος);","strongs_def":" a chief angel","kjv_def":"archangel","lemma":"ἀρχάγγελος"},
"G375":{"derivation":"from G303 (ἀνά) and G3992 (πέμπω);","strongs_def":" to send up or back","kjv_def":"send (again)","lemma":"ἀναπέμπω"},
"G3166":{"lemma":"μεγαλαυχέω","kjv_def":"boast great things","derivation":"from a compound of G3173 (μέγας) and (to boast;","strongs_def":" akin to G837 (αὐξάνω) and G2744 (καυχάομαι)); to talk big, i.e. be grandiloquent (arrogant, egotistic)"},
"G3986":{"strongs_def":" a putting to proof (by experiment (of good), experience (of evil), solicitation, discipline or provocation); by implication, adversity","derivation":"from G3985 (πειράζω);","lemma":"πειρασμός","kjv_def":"temptation, X try"},
"G3821":{"strongs_def":" antiquatedness","derivation":"from G3820 (παλαιός);","lemma":"παλαιότης","kjv_def":"oldness"},
"G2488":{"strongs_def":" Joatham (i.e. Jotham), an Israelite","derivation":"of Hebrew origin (H03147);","kjv_def":"Joatham","lemma":"Ἰωάθαμ"},
"G1311":{"derivation":"from G1225 (διαβάλλω) and G5351 (φθείρω);","strongs_def":" to rot thoroughly, i.e. (by implication) to ruin (passively, decay utterly, figuratively, pervert)","lemma":"διαφθείρω","kjv_def":"corrupt, destroy, perish"},
"G4454":{"strongs_def":" a \"foal\" or \"filly\", i.e. (specially), a young ass","derivation":"apparently a primary word;","kjv_def":"colt","lemma":"πῶλος"},
"G3938":{"derivation":"from G3844 (παρά) and G3598 (ὁδός);","strongs_def":" a by-road, i.e. (actively) a route","lemma":"πάροδος","kjv_def":"way"},
"G4118":{"kjv_def":"very great, most","lemma":"πλεῖστος","derivation":"irregular superlative of G4183 (πολύς);","strongs_def":" the largest number or very large"},
"G125":{"derivation":"of uncertain derivation;","strongs_def":" Ægyptus, the land of the Nile","kjv_def":"Egypt","lemma":"Αἴγυπτος"},
"G504":{"strongs_def":" waterless, i.e. dry","derivation":"from G1 (Α) (as a negative particle) and G5204 (ὕδωρ);","kjv_def":"dry, without water","lemma":"ἄνυδρος"},
"G3512":{"strongs_def":" appertaining to younger persons, i.e. juvenile","derivation":"from the comparative of G3501 (νέος);","lemma":"νεωτερικός","kjv_def":"youthful"},
"G2799":{"derivation":"of uncertain affinity;","strongs_def":" to sob, i.e. wail aloud (whereas 1145 is rather to cry silently)","kjv_def":"bewail, weep","lemma":"κλαίω"},
"G829":{"lemma":"αὐθάδης","kjv_def":"self-willed","strongs_def":" self-pleasing, i.e. arrogant","derivation":"from G846 (αὐτός) and the base of G2237 (ἡδονή);"},
"G1477":{"strongs_def":" a support, i.e. (figuratively) basis","derivation":"from a derivative of G1476 (ἑδραῖος);","lemma":"ἑδραίωμα","kjv_def":"ground"},
"G901":{"strongs_def":" profound (as going down), literally or figuratively","derivation":"from the base of G939 (βάσις);","kjv_def":"deep, very early","lemma":"βαθύς"},
"G1069":{"kjv_def":"neighbour","lemma":"γείτων","derivation":"from G1093 (γῆ);","strongs_def":" a neighbour (as adjoining one's ground); by implication, a friend"},
"G742":{"derivation":"of Hebrew origin (H0775);","strongs_def":" Arphaxad, a post-diluvian patriarch","lemma":"Ἀρφαξάδ","kjv_def":"Arphaxad"},
"G416":{"derivation":"from G417 (ἄνεμος);","strongs_def":" to toss with the wind","lemma":"ἀνεμίζω","kjv_def":"drive with the wind"},
"G2117":{"strongs_def":" straight, i.e. (literally) level, or (figuratively) true; adverbially (of time) at once","derivation":"perhaps from G2095 (εὖ) and G5087 (τίθημι);","kjv_def":"anon, by and by, forthwith, immediately, straightway","lemma":"εὐθύς"},
"G1981":{"lemma":"ἐπισκηνόω","kjv_def":"rest upon","strongs_def":" to tent upon, i.e. (figuratively) abide with ","derivation":"from G1909 (ἐπί) and G4637 (σκηνόω);"},
"G2704":{"derivation":"from G2596 (κατά) and G5351 (φθείρω);","strongs_def":" to spoil entirely, i.e. (literally) to destroy; or (figuratively) to deprave; ","kjv_def":"--corrupt, utterly perish","lemma":"καταφθείρω"},
"G2341":{"strongs_def":" to be a beast-fighter (in the gladiatorial show), i.e. (figuratively) to encounter (furious men)","derivation":"from a compound of G2342 (θηρίον) and G3164 (μάχομαι);","lemma":"θηριομαχέω","kjv_def":"fight with wild beasts"},
"G5475":{"lemma":"χαλκός","kjv_def":"brass, money","strongs_def":" copper (the substance, or some implement or coin made of it)","derivation":"perhaps from G5465 (χαλάω) through the idea of hollowing out as a vessel (this metal being chiefly used for that purpose);"},
"G2489":{"strongs_def":" Joanna, a Christian","derivation":"feminine of the same as G2491 (Ἰωάννης);","kjv_def":"Joanna","lemma":"Ἰωάννα"},
"G1684":{"lemma":"ἐμβαίνω","kjv_def":"come (get) into, enter (into), go (up) into, step in, take ship","derivation":"from G1722 (ἐν) and the base of G939 (βάσις);","strongs_def":" to walk on, i.e. embark (aboard a vessel), reach (a pool)"},
"G980":{"strongs_def":" to spend existence","derivation":"from G979 (βίος);","kjv_def":"live","lemma":"βιόω"},
"G4629":{"strongs_def":" perhaps akin to the base of G4649 (σκοπός) through the idea of noticeableness); clothing","derivation":"from a derivative of (a covering;","kjv_def":"raiment","lemma":"σκέπασμα"},
"G2892":{"lemma":"κουστωδία","kjv_def":"watch","strongs_def":" \"custody\", i.e. a Roman sentry","derivation":"of Latin origin;"},
"G5122":{"kjv_def":"named","lemma":"τοὔνομα","derivation":"contraction for the neuter of G3588 (ὁ) and G3686 (ὄνομα);","strongs_def":" the name (is)"},
"G540":{"kjv_def":"without father","lemma":"ἀπάτωρ","derivation":"from G1 (Α) (as a negative particle) and G3962 (πατήρ);","strongs_def":" fatherless, i.e. of unrecorded paternity"},
"G5497":{"kjv_def":"some to lead by the hand","lemma":"χειραγωγός","derivation":"from G5495 (χείρ) and a reduplicated form of G71 (ἄγω);","strongs_def":" a hand-leader, i.e. personal conductor (of a blind person)"},
"G4915":{"lemma":"συνηλικιώτης","kjv_def":"equal","strongs_def":" a co-aged person, i.e. alike in years","derivation":"from G4862 (σύν) and a derivative of G2244 (ἡλικία);"},
"G4458":{"lemma":"-πώς","kjv_def":"haply, by any (some) means, perhaps","strongs_def":" an enclitic particle of indefiniteness of manner; somehow or anyhow; used only in composition","derivation":"adverb from the base of G4225 (πού);"},
"G5405":{"strongs_def":" Phœnix, a place in Crete","derivation":"probably the same as G5404 (φοῖνιξ);","kjv_def":"Phenice","lemma":"Φοῖνιξ"},
"G4201":{"derivation":"of Latin origin;","strongs_def":" apparently swinish; Porcius, a Roman","kjv_def":"Porcius","lemma":"Πόρκιος"},
"G1163":{"kjv_def":"behoved, be meet, must (needs), (be) need(-ful), ought, should","lemma":"δεῖ","derivation":"3rd person singular active present of G1210 (δέω);","strongs_def":" also deon deh-on'; neuter active participle of the same; both used impersonally; it is (was, etc.) necessary (as binding)"},
"G1818":{"strongs_def":" to seduce wholly","derivation":"from G1537 (ἐκ) and G538 (ἀπατάω);","lemma":"ἐξαπατάω","kjv_def":"beguile, deceive"},
"G5500":{"kjv_def":"choose, ordain","lemma":"χειροτονέω","derivation":"from a comparative of G5495 (χείρ) and (to stretch);","strongs_def":" to be a hand-reacher or voter (by raising the hand), i.e. (generally) to select or appoint"},
"G4705":{"kjv_def":"diligent","lemma":"σπουδαῖος","derivation":"from G4710 (σπουδή);","strongs_def":" prompt, energetic, earnest"},
"G379":{"kjv_def":"without an excuse, inexcusable","lemma":"ἀναπολόγητος","derivation":"from G1 (Α) (as a negative particle) and a presumed derivative of G626 (ἀπολογέομαι);","strongs_def":" indefensible"},
"G1836":{"derivation":"from G2192 (ἔχω) (in the sense of taking hold of, i.e. adjoining);","strongs_def":" successive","lemma":"ἑξῆς","kjv_def":"after, following, X morrow, next"},
"G2984":{"kjv_def":"Lamech","lemma":"Λάμεχ","strongs_def":" Lamech (i.e. Lemek), a patriarch","derivation":"of Hebrew origin (H03929);"},
"G240":{"strongs_def":" one another","derivation":"Genitive plural from G243 (ἄλλος) reduplicated;","lemma":"ἀλλήλων","kjv_def":"each other, mutual, one another, (the other), (them-, your-)selves, (selves) together (sometimes with G3326 (μετά) or G4314 (πρός))"},
"G5240":{"kjv_def":"run over","lemma":"ὑπερεκχύνω","strongs_def":" to pour out over, i.e. (passively) to overflow","derivation":"from G5228 (ὑπέρ) and the alternate form of G1632 (ἐκχέω);"},
"G5581":{"kjv_def":"falsely so called","lemma":"ψευδώνυμος","derivation":"from G5571 (ψευδής) and G3686 (ὄνομα);","strongs_def":" untruly named"},
"G5499":{"lemma":"χειροποίητος","kjv_def":"made by (make with) hands","strongs_def":" manufactured, i.e. of human construction","derivation":"from G5495 (χείρ) and a derivative of G4160 (ποιέω);"},
"G767":{"kjv_def":"mean","lemma":"ἄσημος","strongs_def":" unmarked, i.e. (figuratively) ignoble","derivation":"from G1 (Α) (as a negative particle) and the base of G4591 (σημαίνω);"},
"G5151":{"lemma":"τρίς","kjv_def":"three times, thrice","strongs_def":" three times","derivation":"adverb from G5140 (τρεῖς);"},
"G715":{"lemma":"ἄρκτος","kjv_def":"bear","strongs_def":" a bear (as obstructing by ferocity)","derivation":"probably from G714 (ἀρκέω);"},
"G2407":{"strongs_def":" to be a priest, i.e. perform his functions","derivation":"prolongation from G2409 (ἱερεύς);","lemma":"ἱερατεύω","kjv_def":"execute the priest's office"},
"G2940":{"strongs_def":" gambling, i.e. (figuratively) artifice or fraud","derivation":"from (a \"cube\", i.e. die for playing);","kjv_def":"sleight","lemma":"κυβεία"},
"G1987":{"lemma":"ἐπίσταμαι","kjv_def":"know, understand","derivation":"apparently a middle voice of G2186 (ἐφίστημι) (with G3563 (νοῦς) implied);","strongs_def":" to put the mind upon, i.e. comprehend, or be acquainted with"},
"G1673":{"lemma":"Ἑλληνικός","kjv_def":"Greek","derivation":"from G1672 (Ἕλλην);","strongs_def":" Hellenic, i.e. Grecian (in language)"},
"G4481":{"derivation":"by incorrect transliteration for a word of Hebrew origin (H03594);","strongs_def":" Remphan (i.e. Kijun), an Egyptian idol","kjv_def":"Remphan","lemma":"Ῥεμφάν"},
"G1967":{"lemma":"ἐπιούσιος","kjv_def":"daily","strongs_def":" tomorrow's; but more probably from G1909 (ἐπί) and a derivative of the present participle feminine of G1510 (εἰμί); for subsistence, i.e. needful","derivation":"perhaps from the same as G1966 (ἐπιοῦσα);"},
"G2551":{"derivation":"from a compound of G2556 (κακός) and G3056 (λόγος);","strongs_def":" to revile","kjv_def":"curse, speak evil of","lemma":"κακολογέω"},
"G1434":{"derivation":"from G1433 (δωρέομαι);","strongs_def":" a bestowment","lemma":"δώρημα","kjv_def":"gift"},
"G5603":{"lemma":"ᾠδή","kjv_def":"song","strongs_def":" a chant or \"ode\" (the general term for any words sung; while G5215 (ὕμνος) denotes especially a religious metrical composition, and G5568 (ψαλμός) still more specially, a Hebrew cantillation)","derivation":"from G103 (ᾄδω);"},
"G3446":{"kjv_def":"form","lemma":"μόρφωσις","derivation":"from G3445 (μορφόω);","strongs_def":" formation, i.e. (by implication), appearance (semblance or (concretely) formula)"},
"G2060":{"strongs_def":" Hermes, the name of the messenger of the Greek deities; also of a Christian","derivation":"perhaps from G2046 (ἐρέω);","kjv_def":"Hermes, Mercury","lemma":"Ἑρμῆς"},
"G4509":{"derivation":"of uncertain affinity;","strongs_def":" dirt, i.e. (morally) depravity","kjv_def":"filth","lemma":"ῥύπος"},
"G842":{"derivation":"from G846 (αὐτός) and G714 (ἀρκέω);","strongs_def":" self-complacent, i.e. contented","lemma":"αὐτάρκης","kjv_def":"content"},
"G3521":{"strongs_def":" abstinence (from lack of food, or voluntary and religious); specially, the fast of the Day of Atonement","derivation":"from G3522 (νηστεύω);","kjv_def":" fast(-ing)","lemma":"νηστεία"},
"G1207":{"derivation":"from G1208 (δεύτερος) and G4413 (πρῶτος);","strongs_def":" second-first, i.e. (specially) a designation of the Sabbath immediately after the Paschal week (being the second after Passover day, and the first of the seven Sabbaths intervening before Pentecost)","lemma":"δευτερόπρωτος","kjv_def":"second … after the first"},
"G4151":{"kjv_def":"ghost, life, spirit(-ual, -ually), mind","lemma":"πνεῦμα","strongs_def":" a current of air, i.e. breath (blast) or a breeze; by analogy or figuratively, a spirit, i.e. (human) the rational soul, (by implication) vital principle, mental disposition, etc., or (superhuman) an angel, demon, or (divine) God, Christ's spirit, the Holy Spirit","derivation":"from G4154 (πνέω);"},
"G4933":{"strongs_def":" to keep closely together, i.e. (by implication) to conserve (from ruin); mentally, to remember (and obey)","derivation":"from G4862 (σύν) and G5083 (τηρέω);","lemma":"συντηρέω","kjv_def":"keep, observe, preserve"},
"G4785":{"kjv_def":"number with","lemma":"συγκαταψηφίζω","strongs_def":" to count down in company with, i.e. enroll among","derivation":"from G4862 (σύν) and a compound of G2596 (κατά) and G5585 (ψηφίζω);"},
"G543":{"lemma":"ἀπείθεια","kjv_def":"disobedience, unbelief","strongs_def":" disbelief (obstinate and rebellious)","derivation":"from G545 (ἀπειθής);"},
"G4219":{"strongs_def":" interrogative adverb, at what time","derivation":"from the base of G4226 (ποῦ) and G5037 (τέ);","lemma":"πότε","kjv_def":"+ how long, when"},
"G2011":{"kjv_def":"commission","lemma":"ἐπιτροπή","strongs_def":" permission, i.e. (by implication) full power","derivation":"from G2010 (ἐπιτρέπω);"},
"G766":{"derivation":"from a compound of G1 (Α) (as a negative particle) and a presumed (of uncertain derivation, but apparently meaning continent);","strongs_def":" licentiousness (sometimes including other vices)","kjv_def":"filthy, lasciviousness, wantonness","lemma":"ἀσέλγεια"},
"G1342":{"strongs_def":" equitable (in character or act); by implication, innocent, holy (absolutely or relatively)","derivation":"from G1349 (δίκη);","lemma":"δίκαιος","kjv_def":"just, meet, right(-eous)"},
"G698":{"kjv_def":"Areopagite","lemma":"Ἀρεοπαγίτης","derivation":"from G697 (Ἄρειος Πάγος);","strongs_def":" an Areopagite or member of the court held on Mars' Hill"},
"G3854":{"strongs_def":" to become near, i.e. approach (have arrived); by implication, to appear publicly","derivation":"from G3844 (παρά) and G1096 (γίνομαι);","kjv_def":"come, go, be present","lemma":"παραγίνομαι"},
"G729":{"lemma":"ἄῤῥαφος","kjv_def":"without seam","strongs_def":" unsewed, i.e. of a single piece","derivation":"from G1 (Α) (as a negative particle) and a presumed derivative of the same as G4476 (ῥαφίς);"},
"G2392":{"lemma":"ἴασις","kjv_def":"cure, heal(-ing)","derivation":"from G2390 (ἰάομαι);","strongs_def":" curing (the act)"},
"G701":{"kjv_def":"(things that) please(-ing), reason","lemma":"ἀρεστός","strongs_def":" agreeable; by implication, fit","derivation":"from G700 (ἀρέσκω);"},
"G161":{"derivation":"from G164 (αἰχμάλωτος);","strongs_def":" captivity","kjv_def":"captivity","lemma":"αἰχμαλωσία"},
"G2157":{"kjv_def":"comeliness","lemma":"εὐσχημοσύνη","derivation":"from G2158 (εὐσχήμων);","strongs_def":" decorousness"},
"G2776":{"lemma":"κεφαλή","kjv_def":"head","derivation":"from the primary (in the sense of seizing);","strongs_def":" the head (as the part most readily taken hold of), literally or figuratively"},
"G373":{"kjv_def":"take ease, refresh, (give, take) rest","lemma":"ἀναπαύω","strongs_def":" (reflexively) to repose (literally or figuratively (be exempt), remain); by implication, to refresh","derivation":"from G303 (ἀνά) and G3973 (παύω);"},
"G2022":{"strongs_def":" ","derivation":"from G1909 (ἐπί) and (to pour);","lemma":"ἐπιχέω","kjv_def":"--to pour upon:--pour in"},
"G5622":{"lemma":"ὠφέλεια","kjv_def":"advantage, profit","strongs_def":" usefulness, i.e. benefit","derivation":"from a derivative of the base of G5624 (ὠφέλιμος);"},
"G4563":{"derivation":"from a derivative of (to brush off;","strongs_def":" akin to G4951 (σύρω)); meaning a broom; to sweep","lemma":"σαρόω","kjv_def":"sweep"},
"G2173":{"strongs_def":" easily used, i.e. useful","derivation":"from G2095 (εὖ) and G5543 (χρηστός);","lemma":"εὔχρηστος","kjv_def":"profitable, meet for use"},
"G4514":{"kjv_def":"Roman, of Rome","lemma":"Ῥωμαῖος","derivation":"from G4516 (Ῥώμη);","strongs_def":" Romæan, i.e. Roman (as noun)"},
"G2082":{"kjv_def":"inner, within","lemma":"ἐσώτερος","strongs_def":" interior","derivation":"comparative of G2080 (ἔσω);"},
"G955":{"lemma":"Βελίαλ","kjv_def":"Belial","derivation":"of Hebrew origin (H01100);","strongs_def":" worthlessness; Belial, as an epithet of Satan"},
"G3900":{"derivation":"from G3895 (παραπίπτω);","strongs_def":" a side-slip (lapse or deviation), i.e. (unintentional) error or (wilful) transgression","kjv_def":"fall, fault, offence, sin, trespass","lemma":"παράπτωμα"},
"G1361":{"kjv_def":"Diotrephes","lemma":"Διοτρεφής","derivation":"from the alternate of G2203 (Ζεύς) and G5142 (τρέφω);","strongs_def":" Jove-nourished; Diotrephes, an opponent of Christianity"},
"G4649":{"derivation":"from (to peer about (\"skeptic\");","strongs_def":" perhaps akin to G4626 (σκάπτω) through the idea of concealment; compare G4629 (σκέπασμα)); a watch (sentry or scout), i.e. (by implication) a goal","kjv_def":"mark","lemma":"σκοπός"},
"G3787":{"strongs_def":" sight-labor, i.e. that needs watching (remissness)","derivation":"from G3788 (ὀφθαλμός) and G1397 (δουλεία);","lemma":"ὀφθαλμοδουλεία","kjv_def":"eye-service"},
"G3888":{"lemma":"παραμυθέομαι","kjv_def":"comfort","derivation":"from G3844 (παρά) and the middle voice of a derivative of G3454 (μῦθος);","strongs_def":" to relate near, i.e. (by implication) encourage, console"},
"G2813":{"derivation":"a primary verb;","strongs_def":" to filch","lemma":"κλέπτω","kjv_def":"steal"},
"G5245":{"lemma":"ὑπερνικάω","kjv_def":"more than conquer","derivation":"from G5228 (ὑπέρ) and G3528 (νικάω);","strongs_def":" to vanquish beyond, i.e. gain a decisive victory"},
"G4154":{"strongs_def":" to breathe hard, i.e. breeze","derivation":"a primary word;","kjv_def":"blow","lemma":"πνέω"},
"G2595":{"lemma":"κάρφος","kjv_def":"mote","derivation":"from (to wither);","strongs_def":" a dry twig or straw"},
"G692":{"derivation":"from G1 (Α) (as a negative particle) and G2041 (ἔργον);","strongs_def":" inactive, i.e. unemployed; (by implication) lazy, useless","kjv_def":"barren, idle, slow","lemma":"ἀργός"},
"G413":{"derivation":"from G1 (Α) (as a negative particle) and a presumed derivative of G1587 (ἐκλείπω);","strongs_def":" not left out, i.e. (by implication) inexhaustible","kjv_def":"that faileth not","lemma":"ἀνέκλειπτος"},
"G179":{"strongs_def":" indissoluble, i.e. (figuratively) permanent","derivation":"from G1 (Α) (as a negative particle) and a derivative of G2647 (καταλύω);","kjv_def":"endless","lemma":"ἀκατάλυτος"},
"G2541":{"kjv_def":"Cæsar","lemma":"Καῖσαρ","derivation":"of Latin origin;","strongs_def":" Cæsar, a title of the Roman emperor"},
"G89":{"derivation":"adverb from G88 (ἀδιάλειπτος);","strongs_def":" uninterruptedly, i.e. without omission (on an appropriate occasion)","kjv_def":"without ceasing","lemma":"ἀδιαλείπτως"},
"G4244":{"lemma":"πρεσβυτέριον","kjv_def":"(estate of) elder(-s), presbytery","strongs_def":" the order of elders, i.e. (specially), Israelite Sanhedrin or Christian \"presbytery\"","derivation":"neuter of a presumed derivative of G4245 (πρεσβύτερος);"},
"G2785":{"derivation":"probably from the base of G5490 (χάσμα);","strongs_def":" a huge fish (as gaping for prey)","kjv_def":"whale","lemma":"κῆτος"},
"G1646":{"strongs_def":" used as equivalent to G3398 (μικρός); least (in size, amount, dignity, etc.)","derivation":"superlative of (short);","kjv_def":"least, very little (small), smallest","lemma":"ἐλάχιστος"},
"G3015":{"strongs_def":" scaly, i.e. leprous (a leper)","derivation":"from the same as G3014 (λέπρα);","kjv_def":"leper","lemma":"λεπρός"},
"G2508":{"strongs_def":" to cleanse, i.e. (specially) to prune; figuratively, to expiate","derivation":"from G2513 (καθαρός);","lemma":"καθαίρω","kjv_def":"purge"},
"G5438":{"derivation":"from G5442 (φυλάσσω);","strongs_def":" a guarding or (concretely, guard), the act, the person; figuratively, the place, the condition, or (specially), the time (as a division of day or night), literally or figuratively","kjv_def":"cage, hold, (im-)prison(-ment), ward, watch","lemma":"φυλακή"},
"G4223":{"lemma":"Ποτίολοι","kjv_def":"Puteoli","derivation":"of Latin origin;","strongs_def":" little wells, i.e. mineral springs; Potioli (i.e. Puteoli), a place in Italy"},
"G1658":{"strongs_def":" unrestrained (to go at pleasure), i.e. (as a citizen) not a slave (whether freeborn or manumitted), or (genitive case) exempt (from obligation or liability)","derivation":"probably from the alternate of G2064 (ἔρχομαι);","kjv_def":"free (man, woman), at liberty","lemma":"ἐλεύθερος"},
"G293":{"derivation":"from a compound of the base of G297 (ἀμφότερος) and G906 (βάλλω);","strongs_def":" a (fishing) net (as thrown about the fish)","kjv_def":"net","lemma":"ἀμφίβληστρον"},
"G1521":{"derivation":"from G1519 (εἰς) and G71 (ἄγω);","strongs_def":" to introduce (literally or figuratively)","kjv_def":"bring in(-to), (+ was to) lead into","lemma":"εἰσάγω"},
"G1037":{"lemma":"βυθός","kjv_def":"deep","strongs_def":" depth, i.e. (by implication) the sea","derivation":"a variation of G899 (βάθος);"},
"G3954":{"derivation":"from G3956 (πᾶς) and a derivative of G4483 (ῥέω);","strongs_def":" all out-spokenness, i.e. frankness, bluntness, publicity; by implication, assurance","lemma":"παῤῥησία","kjv_def":"bold (X -ly, -ness, -ness of speech), confidence, X freely, X openly, X plainly(-ness)"},
"G4861":{"strongs_def":" co-spirited, i.e. similar in sentiment","derivation":"from G4862 (σύν) and G5590 (ψυχή);","kjv_def":"like-minded","lemma":"σύμψυχος"},
"G1199":{"strongs_def":" a band, i.e. ligament (of the body) or shackle (of a prisoner); figuratively, an impediment or disability","derivation":"neuter and masculine respectively from G1210 (δέω);","lemma":"δεσμόν","kjv_def":"band, bond, chain, string"},
"G1140":{"lemma":"δαιμόνιον","kjv_def":"devil, god","strongs_def":" a dæmonic being; by extension a deity","derivation":"neuter of a derivative of G1142 (δαίμων);"},
"G5004":{"kjv_def":"misery","lemma":"ταλαιπωρία","derivation":"from G5005 (ταλαίπωρος);","strongs_def":" wretchedness, i.e. calamity"},
"G5459":{"strongs_def":" light-bearing (\"phosphorus\"), i.e. (specially), the morning-star (figuratively)","derivation":"from G5457 (φῶς) and G5342 (φέρω);","kjv_def":"day star","lemma":"φωσφόρος"},
"G645":{"strongs_def":" to drag forth, i.e. (literally) unsheathe (a sword), or relatively (with a degree of force implied) retire (personally or factiously)","derivation":"from G575 (ἀπό) and G4685 (σπάω);","lemma":"ἀποσπάω","kjv_def":"(with-)draw (away), after we were gotten from"},
"G5208":{"lemma":"ὕλη","kjv_def":"matter","strongs_def":" a forest, i.e. (by implication) fuel","derivation":"perhaps akin to G3586 (ξύλον);"},
"G4607":{"kjv_def":"murderer","lemma":"σικάριος","derivation":"of Latin origin;","strongs_def":" a dagger-man or assassin; a freebooter (Jewish fanatic outlawed by the Romans)"},
"G2080":{"lemma":"ἔσω","kjv_def":" (with-)in(-ner, -to, -ward)","strongs_def":" inside (as preposition or adjective)","derivation":"from G1519 (εἰς);"},
"G598":{"lemma":"ἀποθλίβω","kjv_def":"press","derivation":"from G575 (ἀπό) and G2346 (θλίβω);","strongs_def":" to crowd (from every side)"},
"G409":{"derivation":"from G435 (ἀνήρ) and G5408 (φόνος);","strongs_def":" a murderer","kjv_def":"manslayer","lemma":"ἀνδροφόνος"},
"G1999":{"derivation":"from the middle voice of a compound of G1909 (ἐπί) and G4921 (συνιστάω);","strongs_def":" a conspiracy, i.e. concourse (riotous or friendly)","kjv_def":"that which cometh upon, + raising up","lemma":"ἐπισύστασις"},
"G5310":{"kjv_def":"most high, highest","lemma":"ὕψιστος","strongs_def":" highest, i.e. (masculine singular) the Supreme (God), or (neuter plural) the heavens","derivation":"superlative from the base of G5311 (ὕψος);"},
"G3001":{"lemma":"λάχανον","kjv_def":"herb","strongs_def":" a vegetable","derivation":"from (to dig);"},
"G4282":{"derivation":"from G4253 (πρό) and G2090 (ἑτοιμάζω);","strongs_def":" to fit up in advance (literally or figuratively)","lemma":"προετοιμάζω","kjv_def":"ordain before, prepare afore"},
"G857":{"strongs_def":" unsparingness, i.e. austerity (asceticism)","derivation":"from a compound of G1 (Α) (as a negative particle) and G5339 (φείδομαι);","lemma":"ἀφειδία","kjv_def":"neglecting"},
"G4028":{"lemma":"περικαλύπτω","kjv_def":"blindfold, cover, overlay","strongs_def":" to cover all around, i.e. entirely (the face, a surface)","derivation":"from G4012 (περί) and G2572 (καλύπτω);"},
"G2175":{"lemma":"εὐωδία","kjv_def":"sweet savour (smell, -smelling)","derivation":"from a compound of G2095 (εὖ) and a derivative of G3605 (ὄζω);","strongs_def":" good-scentedness, i.e. fragrance"},
"G551":{"derivation":"from G1 (Α) (as a negative particle) and a presumed derivative of G3987 (πειράω);","strongs_def":" untried, i.e. not temptable","lemma":"ἀπείραστος","kjv_def":"not to be tempted"},
"G4792":{"lemma":"συγκομίζω","kjv_def":"carry","derivation":"from G4862 (σύν) and G2865 (κομίζω);","strongs_def":" to convey together, i.e. collect or bear away in company with others"},
"G2798":{"strongs_def":" a twig or bough (as if broken off)","derivation":"from G2806 (κλάω);","lemma":"κλάδος","kjv_def":"branch"},
"G4912":{"kjv_def":"constrain, hold, keep in, press, lie sick of, stop, be in a strait, straiten, be taken with, throng","lemma":"συνέχω","strongs_def":" to hold together, i.e. to compress (the ears, with a crowd or siege) or arrest (a prisoner); figuratively, to compel, perplex, afflict, preoccupy","derivation":"from G4862 (σύν) and G2192 (ἔχω);"},
"G40":{"lemma":"ἅγιος","kjv_def":"(most) holy (one, thing), saint","strongs_def":" sacred (physically, pure, morally blameless or religious, ceremonially, consecrated)","derivation":"from (an awful thing) (compare G53 (ἁγνός), G2282 (θάλπω));"},
"G2640":{"strongs_def":" a remainder, i.e. (by implication) a few","derivation":"from G2641 (καταλείπω);","lemma":"κατάλειμμα","kjv_def":"remnant"},
"G4420":{"kjv_def":"wing","lemma":"πτέρυξ","derivation":"from a derivative of G4072 (πέτομαι) (meaning a feather);","strongs_def":" a wing"},
"G2450":{"lemma":"Ἰουδαΐζω","kjv_def":"live as the Jews","derivation":"from G2453 (Ἰουδαῖος);","strongs_def":" to become a Judæan, i.e. \"Judaize\""},
"G2210":{"kjv_def":"be cast away, receive damage, lose, suffer loss","lemma":"ζημιόω","strongs_def":" to injure, i.e. (reflexively or passively) to experience detriment","derivation":"from G2209 (ζημία);"},
"G3459":{"derivation":"from G3458 (μύλος);","strongs_def":" a mill-house","lemma":"μύλων","kjv_def":"mill"},
"G1281":{"strongs_def":" to thoroughly occupy oneself, i.e. (transitively and by implication) to earn in business","derivation":"from G1223 (διά) and G4231 (πραγματεύομαι);","kjv_def":"gain by trading","lemma":"διαπραγματεύομαι"},
"G3549":{"lemma":"νομοθετέω","kjv_def":"establish, receive the law","derivation":"from G3550 (νομοθέτης);","strongs_def":" to legislate, i.e. (passively) to have (the Mosaic) enactments injoined, be sanctioned (by them)"},
"G914":{"derivation":"of Hebrew origin (H01296);","strongs_def":" Barachias (i.e. Berechijah), an Israelite","kjv_def":"Barachias","lemma":"Βαραχίας"},
"G5505":{"derivation":"from G5507 (χίλιοι);","strongs_def":" one thousand (\"chiliad\")","kjv_def":"thousand","lemma":"χιλιάς"},
"G3944":{"kjv_def":"past","lemma":"παροίχομαι","derivation":"from G3844 (παρά) and (to depart);","strongs_def":" to escape along, i.e. be gone"},
"G3571":{"derivation":"a primary word;","strongs_def":" \"night\" (literally or figuratively)","kjv_def":" (mid-)night","lemma":"νύξ"},
"G154":{"lemma":"αἰτέω","kjv_def":"ask, beg, call for, crave, desire, require","derivation":"of uncertain derivation;","strongs_def":" to ask (in genitive case)"},
"G612":{"kjv_def":"answer","lemma":"ἀπόκρισις","derivation":"from G611 (ἀποκρίνομαι);","strongs_def":" a response"},
"G810":{"strongs_def":" properly, unsavedness, i.e. (by implication) profligacy","derivation":"from a compound of G1 (Α) (as a negative particle) and a presumed derivative of G4982 (σώζω);","lemma":"ἀσωτία","kjv_def":"excess, riot"},
"G1047":{"strongs_def":" a treasure","derivation":"of foreign origin;","lemma":"γάζα","kjv_def":"treasure"},
"G2254":{"lemma":"ἡμῖν","kjv_def":"our, (for) us, we","strongs_def":" to (or for, with, by) us","derivation":"dative case plural of G1473 (ἐγώ);"},
"G4665":{"strongs_def":" the emerald or green gem so called","derivation":"of uncertain derivation;","lemma":"σμάραγδος","kjv_def":"emerald"},
"G5409":{"kjv_def":"bear, wear","lemma":"φορέω","strongs_def":" to have a burden, i.e. (by analogy) to wear as clothing or a constant accompaniment","derivation":"from G5411 (φόρος);"},
"G5486":{"kjv_def":"(free) gift","lemma":"χάρισμα","derivation":"from G5483 (χαρίζομαι);","strongs_def":" a (divine) gratuity, i.e. deliverance (from danger or passion); (specially), a (spiritual) endowment, i.e. (subjectively) religious qualification, or (objectively) miraculous faculty"},
"G4683":{"derivation":"from (a strip;","strongs_def":" from a derivative of the base of G4682 (σπαράσσω) meaning to strap or wrap with strips); to swathe (an infant after the Oriental custom)","lemma":"σπαργανόω","kjv_def":"wrap in swaddling clothes"},
"G3414":{"strongs_def":" a mna (i.e. mina), a certain weight","derivation":"of Latin origin;","kjv_def":" pound","lemma":"μνᾶ"},
"G1556":{"strongs_def":" to vindicate, retaliate, punish","derivation":"from G1558 (ἔκδικος);","lemma":"ἐκδικέω","kjv_def":"a (re-)venge"},
"G609":{"strongs_def":" to amputate; reflexively (by irony) to mutilate (the privy parts)","derivation":"from G575 (ἀπό) and G2875 (κόπτω);","kjv_def":"cut off","lemma":"ἀποκόπτω"},
"G3382":{"derivation":"perhaps a primary word;","strongs_def":" a thigh","lemma":"μηρός","kjv_def":"thigh"},
"G1949":{"strongs_def":" to seize (for help, injury, attainment, or any other purpose; literally or figuratively)","derivation":"middle voice from G1909 (ἐπί) and G2983 (λαμβάνω);","kjv_def":"catch, lay hold (up-)on, take (by, hold of, on)","lemma":"ἐπιλαμβάνομαι"},
"G3520":{"strongs_def":" an island","derivation":"probably from the base of G3491 (ναῦς);","lemma":"νῆσος","kjv_def":"island, isle"},
"G3433":{"lemma":"μόλις","kjv_def":"hardly, scarce(-ly), + with much work","strongs_def":" with difficulty","derivation":"probably by variation for G3425 (μόγις);"},
"G1049":{"derivation":"from G1047 (γάζα) and G5438 (φυλακή);","strongs_def":" a treasure-house, i.e. a court in the temple for the collection-boxes","kjv_def":"treasury","lemma":"γαζοφυλάκιον"},
"G4531":{"lemma":"σαλεύω","kjv_def":"move, shake (together), which can(-not) be shaken, stir up","strongs_def":" to waver, i.e. agitate, rock, topple or (by implication) destroy; figuratively, to disturb, incite","derivation":"from G4535 (σάλος);"},
"G2953":{"derivation":"from G2954 (Κύπρος);","strongs_def":" a Cyprian (Cypriot), i.e. inhabitant of Cyprus","kjv_def":"of Cyprus","lemma":"Κύπριος"},
"G5155":{"lemma":"τρίχινος","kjv_def":"of hair","derivation":"from G2359 (θρίξ);","strongs_def":" hairy, i.e. made of hair (mohair)"},
"G2402":{"kjv_def":"sweat","lemma":"ἱδρώς","derivation":"a strengthened form of a primary idos (sweat);","strongs_def":" perspiration"},
"G1921":{"derivation":"from G1909 (ἐπί) and G1097 (γινώσκω);","strongs_def":" to know upon some mark, i.e. recognize; by implication, to become fully acquainted with, to acknowledge","kjv_def":"(ac-, have, take)know(-ledge, well), perceive","lemma":"ἐπιγινώσκω"},
"G710":{"derivation":"apparently a comparative of the same as G712 (ἄριστον);","strongs_def":" the left hand (as second-best)","kjv_def":"left (hand)","lemma":"ἀριστερός"},
"G1569":{"lemma":"ἔκθαμβος","kjv_def":"greatly wondering","strongs_def":" utterly astounded","derivation":"from G1537 (ἐκ) and G2285 (θάμβος);"},
"G2179":{"lemma":"Ἐφεσῖνος","kjv_def":"of Ephesus","strongs_def":" Ephesine, or situated at Ephesus","derivation":"from G2181 (Ἔφεσος);"},
"G4960":{"derivation":"from G4862 (σύν) and G4748 (στοιχέω);","strongs_def":" to file together (as soldiers in ranks), i.e. (figuratively) to correspond to","lemma":"συστοιχέω","kjv_def":"answer to"},
"G5299":{"derivation":"from a compound of G5259 (ὑπό) and a derivative of G3700 (ὀπτάνομαι);","strongs_def":" to hit under the eye (buffet or disable an antagonist as a pugilist), i.e. (figuratively) to tease or annoy (into compliance), subdue (one's passions)","lemma":"ὑπωπιάζω","kjv_def":"keep under, weary"},
"G879":{"strongs_def":" properly, to become awake, i.e. (by implication) to drop (off) in slumber","derivation":"from a compound of G575 (ἀπό) and G5258 (ὕπνος);","lemma":"ἀφυπνόω","kjv_def":"fall asleep"},
"G4209":{"lemma":"πορφύρα","kjv_def":"purple","strongs_def":" the \"purple\" mussel, i.e. (by implication) the red-blue color itself, and finally a garment dyed with it","derivation":"of Latin origin;"},
"G4614":{"strongs_def":" Sina (i.e. Sinai), a mountain in Arabia","derivation":"of Hebrew origin (H05514);","lemma":"Σινᾶ","kjv_def":"Sina"},
"G4518":{"kjv_def":"sabachthani","lemma":"σαβαχθάνι","strongs_def":" thou hast left me; sabachthani (i.e. shebakthani), a cry of distress","derivation":"of Chaldee or (H07662 with pronominal suffix);"},
"G2910":{"derivation":"a prolonged form of a primary verb;","strongs_def":" to hang","lemma":"κρεμάννυμι","kjv_def":"hang"},
"G5082":{"lemma":"τηλικοῦτος","kjv_def":"so great, so mighty","derivation":"from a compound of G3588 (ὁ) with G2245 (ἡλίκος) and G3778 (οὗτος);","strongs_def":" such as this, i.e. (in (figurative) magnitude) so vast"},
"G2619":{"kjv_def":"cover, hide","lemma":"κατακαλύπτω","strongs_def":" to cover wholly, i.e. veil","derivation":"from G2596 (κατά) and G2572 (καλύπτω);"},
"G4002":{"strongs_def":" \"five\"","derivation":"a primary number;","kjv_def":"five","lemma":"πέντε"},
"G1916":{"derivation":"from G1909 (ἐπί) and G994 (βοάω);","strongs_def":" to exclaim against","kjv_def":"cry","lemma":"ἐπιβοάω"},
"G4361":{"strongs_def":" hungering further, i.e. intensely hungry","derivation":"from G4314 (πρός) and the same as G3983 (πεινάω);","lemma":"πρόσπεινος","kjv_def":"very hungry"},
"G3374":{"derivation":"from (a sheep);","strongs_def":" a sheep-skin","kjv_def":"sheepskin","lemma":"μηλωτή"},
"G2038":{"kjv_def":"commit, do, labor for, minister about, trade (by), work","lemma":"ἐργάζομαι","derivation":"middle voice from G2041 (ἔργον);","strongs_def":" to toil (as a task, occupation, etc.), (by implication) effect, be engaged in or with, etc."},
"G2457":{"strongs_def":" Julius, a centurion","derivation":"of Latin origin;","kjv_def":"Julius","lemma":"Ἰούλιος"},
"G397":{"kjv_def":"bring up, nourish (up)","lemma":"ἀνατρέφω","derivation":"from G303 (ἀνά) and G5142 (τρέφω);","strongs_def":" to rear (physically or mentally)"},
"G128":{"lemma":"Αἰθίοψ","kjv_def":"Ethiopian","derivation":"from (to scorch) and (the face, from G3700 (ὀπτάνομαι));","strongs_def":" an Æthiopian (as a blackamoor)"},
"G3981":{"kjv_def":"enticing","lemma":"πειθός","derivation":"from G3982 (πείθω);","strongs_def":" persuasive"},
"G4347":{"kjv_def":"cleave, join (self)","lemma":"προσκολλάω","derivation":"from G4314 (πρός) and G2853 (κολλάω);","strongs_def":" to glue to, i.e. (figuratively) to adhere"},
"G2490":{"kjv_def":"Joannas","lemma":"Ἰωαννᾶς","strongs_def":" Joannas, an Israelite","derivation":"a form of G2491 (Ἰωάννης);"},
"G43":{"strongs_def":" an arm (as curved)","derivation":"from (a bend, \"ache\");","kjv_def":"arm","lemma":"ἀγκάλη"},
"G4635":{"strongs_def":" a manufacturer of tents","derivation":"from G4633 (σκηνή) and G4160 (ποιέω);","kjv_def":"tent-maker","lemma":"σκηνοποιός"},
"G3719":{"strongs_def":" to use the dawn, i.e. (by implication) to repair betimes","derivation":"from G3722 (ὄρθρος);","kjv_def":"come early in the morning","lemma":"ὀρθρίζω"},
"G526":{"derivation":"from G575 (ἀπό) and a derivative of G245 (ἀλλότριος);","strongs_def":" to estrange away, i.e. (passively and figuratively) to be non-participant","kjv_def":" alienate, be alien","lemma":"ἀπαλλοτριόω"},
"G2152":{"strongs_def":" well-reverent, i.e. pious","derivation":"from G2095 (εὖ) and G4576 (σέβομαι);","lemma":"εὐσεβής","kjv_def":"devout, godly"},
"G2257":{"kjv_def":"our (company), us, we","lemma":"ἡμῶν","derivation":"genitive case plural of G1473 (ἐγώ);","strongs_def":" of (or from) us"},
"G4893":{"derivation":"from a prolonged form of G4894 (συνείδω);","strongs_def":" co-perception, i.e. moral consciousness","lemma":"συνείδησις","kjv_def":"conscience"},
"G5253":{"kjv_def":"upper chamber (room)","lemma":"ὑπερῷον","strongs_def":" a higher part of the house, i.e. apartment in the third story","derivation":"neuter of a derivative of G5228 (ὑπέρ);"},
"G4820":{"strongs_def":" to combine, i.e. (in speaking) to converse, consult, dispute, (mentally) to consider, (by implication) to aid, (personally) to join, attack","derivation":"from G4862 (σύν) and G906 (βάλλω);","lemma":"συμβάλλω","kjv_def":"confer, encounter, help, make, meet with, ponder"},
"G895":{"strongs_def":" lifeless, i.e. inanimate (mechanical)","derivation":"from G1 (Α) (as a negative particle) and G5590 (ψυχή);","lemma":"ἄψυχος","kjv_def":"without life"},
"G2945":{"derivation":"as if dative case of (a ring, \"cycle\";","strongs_def":" akin to G2947 (κυλιόω)); i.e. in a circle (by implication, of G1722 (ἐν)), i.e. (adverbially) all around","kjv_def":"round about","lemma":"κύκλῳ"},
"G2066":{"kjv_def":"apparel, clothing, raiment, robe","lemma":"ἐσθής","strongs_def":" dress","derivation":"from (to clothe);"},
"G3859":{"strongs_def":" misemployment, i.e. meddlesomeness","derivation":"from a compound of G3844 (παρά) and G1304 (διατρίβω);","kjv_def":"perverse disputing","lemma":"παραδιατριβή"},
"G2734":{"derivation":"middle voice from a compound of G2596 (κατά) and a derivative of G3700 (ὀπτάνομαι) (compare G2072 (ἔσοπτρον));","strongs_def":" to mirror oneself, i.e. to see reflected (figuratively)","kjv_def":"behold as in a glass","lemma":"κατοπτρίζομαι"},
"G5290":{"lemma":"ὑποστρέφω","kjv_def":"come again, return (again, back again), turn back (again)","derivation":"from G5259 (ὑπό) and G4762 (στρέφω);","strongs_def":" to turn under (behind), i.e. to return (literally or figuratively)"},
"G1840":{"kjv_def":"be able","lemma":"ἐξισχύω","derivation":"from G1537 (ἐκ) and G2480 (ἰσχύω);","strongs_def":" to have full strength, i.e. be entirely competent"},
"G3554":{"kjv_def":"disease, infirmity, sickness","lemma":"νόσος","strongs_def":" a malady (rarely figuratively, of moral disability)","derivation":"of uncertain affinity;"},
"G1385":{"derivation":"from G1209 (δέχομαι) (through the idea of holding up);","strongs_def":" a stick of timber","kjv_def":"beam","lemma":"δοκός"},
"G2460":{"strongs_def":" an equestrian, i.e. member of a cavalry corps","derivation":"from G2462 (ἵππος);","lemma":"ἱππεύς","kjv_def":"horseman"},
"G342":{"kjv_def":"renewing","lemma":"ἀνακαίνωσις","strongs_def":" renovation","derivation":"from G341 (ἀνακαινόω);"},
"G3147":{"derivation":"from G3149 (μαστός);","strongs_def":" to whip (literally)","kjv_def":"scourge","lemma":"μαστίζω"},
"G4745":{"kjv_def":"porch","lemma":"στοά","strongs_def":" a colonnade or interior piazza","derivation":"probably from G2476 (ἵστημι);"},
"G2315":{"kjv_def":"given by inspiration of God","lemma":"θεόπνευστος","strongs_def":" divinely breathed in","derivation":"from G2316 (θεός) and a presumed derivative of G4154 (πνέω);"},
"G4128":{"lemma":"πλῆθος","kjv_def":"bundle, company, multitude","strongs_def":" a fulness, i.e. a large number, throng, populace","derivation":"from G4130 (πλήθω);"},
"G958":{"kjv_def":"Benjamin","lemma":"Βενιαμίν","strongs_def":" Benjamin, an Israelite","derivation":"of Hebrew origin (H01144);"},
"G1581":{"lemma":"ἐκκόπτω","kjv_def":"cut down (off, out), hew down, hinder","strongs_def":" to exscind; figuratively, to frustrate","derivation":"from G1537 (ἐκ) and G2875 (κόπτω);"},
"G372":{"derivation":"from G373 (ἀναπαύω);","strongs_def":" intermission; by implication, recreation","lemma":"ἀνάπαυσις","kjv_def":"rest"},
"G3964":{"kjv_def":"murderer of fathers","lemma":"πατραλῴας","strongs_def":" a parricide","derivation":"from G3962 (πατήρ) and the same as the latter part of G3389 (μητραλῴας);"},
"G2858":{"kjv_def":"Colossian","lemma":"Κολοσσαεύς","strongs_def":" a Colossæan, (i.e. inhabitant of Colossæ","derivation":"from G2857 (Κολοσσαί);"},
"G1726":{"kjv_def":"before, in the presence of","lemma":"ἐναντίον","strongs_def":" (adverbially) in the presence (view) of","derivation":"neuter of G1727 (ἐναντίος);"},
"G1644":{"lemma":"ἐλαφρία","kjv_def":"lightness","derivation":"from G1645 (ἐλαφρός);","strongs_def":" levity (figuratively), i.e. fickleness"},
"G2181":{"derivation":"probably of foreign origin;","strongs_def":" Ephesus, a city of Asia Minor","lemma":"Ἔφεσος","kjv_def":"Ephesus"},
"G5314":{"lemma":"φάγος","kjv_def":"gluttonous","derivation":"from G5315 (φάγω);","strongs_def":" a glutton"},
"G1471":{"strongs_def":" swelling inside, i.e. pregnant","derivation":"from G1722 (ἐν) and the base of G2949 (κῦμα);","kjv_def":"great with child","lemma":"ἔγκυος"},
"G2059":{"kjv_def":"interpret","lemma":"ἑρμηνεύω","derivation":"from a presumed derivative of G2060 (Ἑρμῆς) (as the god of language);","strongs_def":" to translate"},
"G812":{"kjv_def":"behave self disorderly","lemma":"ἀτακτέω","derivation":"from G813 (ἄτακτος);","strongs_def":" to be (i.e. act) irregular"},
"G1025":{"strongs_def":" an infant (properly, unborn) literally or figuratively","derivation":"of uncertain affinity;","lemma":"βρέφος","kjv_def":"babe, (young) child, infant"},
"G1560":{"strongs_def":" given out or over, i.e. surrendered","derivation":"from G1537 (ἐκ) and a derivative of G1325 (δίδωμι);","lemma":"ἔκδοτος","kjv_def":"delivered"},
"G1831":{"kjv_def":"come (forth, out), depart (out of), escape, get out, go (abroad, away, forth, out, thence), proceed (forth), spread abroad","lemma":"ἐξέρχομαι","derivation":"from G1537 (ἐκ) and G2064 (ἔρχομαι);","strongs_def":" to issue (literally or figuratively)"},
"G1978":{"derivation":"from G1909 (ἐπί) and some form of the base of G4591 (σημαίνω);","strongs_def":" remarkable, i.e. (figuratively) eminent","kjv_def":"notable, of note","lemma":"ἐπίσημος"},
"G4631":{"strongs_def":" furniture, i.e. spare tackle","derivation":"from G4632 (σκεῦος);","kjv_def":"tackling","lemma":"σκευή"},
"G5419":{"strongs_def":" to indicate (by word or act), i.e. (specially), to expound","derivation":"probably akin to G5420 (φράσσω) through the idea of defining;","lemma":"φράζω","kjv_def":" declare"},
"G4849":{"lemma":"συμπόσιον","kjv_def":"company","derivation":"neuter of a derivative of the alternate of G4844 (συμπίνω);","strongs_def":" a drinking-party (\"symposium\"), i.e. (by extension) a room of guests"},
"G114":{"kjv_def":"cast off, despise, disannul, frustrate, bring to nought, reject","lemma":"ἀθετέω","derivation":"from a compound of G1 (Α) (as a negative particle) and a derivative of G5087 (τίθημι);","strongs_def":" to set aside, i.e. (by implication) to disesteem, neutralize or violate"},
"G3093":{"strongs_def":" the tower; Magdala (i.e. Migdala), a place in Palestine","derivation":"of Chaldee origin (compare H04026);","kjv_def":"Magdala","lemma":"Μαγδαλά"},
"G1931":{"strongs_def":" to set fully (as the sun)","derivation":"from G1909 (ἐπί) and G1416 (δύνω);","lemma":"ἐπιδύω","kjv_def":"go down"},
"G1487":{"derivation":"a primary particle of conditionality;","strongs_def":" if, whether, that, etc.","lemma":"εἰ","kjv_def":"forasmuch as, if, that, (al-)though, whether"},
"G1773":{"lemma":"ἔννυχον","kjv_def":"before day","derivation":"neuter of a compound of G1722 (ἐν) and G3571 (νύξ);","strongs_def":" (adverbially) by night"},
"G2070":{"strongs_def":" we are","derivation":"first person plural indicative of G1510 (εἰμί);","kjv_def":"are, be, have our being, X have hope, + (the gospel) was (preached unto) us","lemma":"ἐσμέν"},
"G3647":{"strongs_def":" integrity, i.e. physical wholeness","derivation":"from G3648 (ὁλόκληρος);","kjv_def":"perfect soundness","lemma":"ὁλοκληρία"},
"G3194":{"derivation":"of uncertain origin;","strongs_def":" Melita, an island in the Mediterranean","kjv_def":"Melita","lemma":"Μελίτη"},
"G2944":{"lemma":"κυκλόω","kjv_def":"compass (about), come (stand) round about","derivation":"from the same as G2945 (κύκλῳ);","strongs_def":" to encircle, i.e. surround"},
"G4214":{"strongs_def":" interrogative pronoun (of amount) how much (large, long or (plural) many)","derivation":"from an absolute (who, what) and G3739 (ὅς);","kjv_def":"how great (long, many), what","lemma":"πόσος"},
"G264":{"lemma":"ἁμαρτάνω","kjv_def":"for your faults, offend, sin, trespass","strongs_def":" properly, to miss the mark (and so not share in the prize), i.e. (figuratively) to err, especially (morally) to sin","derivation":"perhaps from G1 (Α) (as a negative particle) and the base of G3313 (μέρος);"},
"G4956":{"strongs_def":" introductory, i.e. recommendatory","derivation":"from a derivative of G4921 (συνιστάω);","kjv_def":"of commendation","lemma":"συστατικός"},
"G4195":{"strongs_def":" a sea; Pontus, a region of Asia Minor","derivation":"of Latin origin;","kjv_def":"Pontus","lemma":"Πόντος"},
"G4699":{"derivation":"perhaps of foreign origin;","strongs_def":" a \"sponge\"","lemma":"σπόγγος","kjv_def":"spunge"},
"G71":{"lemma":"ἄγω","kjv_def":"be, bring (forth), carry, (let) go, keep, lead away, be open","strongs_def":" properly, to lead; by implication, to bring, drive, (reflexively) go, (specially) pass (time), or (figuratively) induce","derivation":"a primary verb;"},
"G15":{"kjv_def":"(when) do good (well)","lemma":"ἀγαθοποιέω","strongs_def":" to be a well-doer (as a favor or a duty)","derivation":"from G17 (ἀγαθοποιός);"},
"G2295":{"lemma":"θαῦμα","kjv_def":"admiration","derivation":"apparently from a form of G2300 (θεάομαι);","strongs_def":" wonder (properly concrete; but by implication, abstract)"},
"G5593":{"strongs_def":" chilly (literally or figuratively)","derivation":"from G5592 (ψύχος);","lemma":"ψυχρός","kjv_def":"cold"},
"G4984":{"derivation":"from G4983 (σῶμα);","strongs_def":" corporeal or physical","kjv_def":"bodily","lemma":"σωματικός"},
"G1267":{"strongs_def":" disunion (of opinion and conduct)","derivation":"from G1266 (διαμερίζω);","kjv_def":"division","lemma":"διαμερισμός"},
"G3603":{"lemma":"ὅ ἐστι","kjv_def":"called, which is (make), that is (to say)","derivation":"from the neuter of G3739 (ὅς) and the third person singular present indicative of G1510 (εἰμί);","strongs_def":" which is"},
"G3477":{"kjv_def":"Nagge","lemma":"Ναγγαί","derivation":"probably of Hebrew origin (compare H05052);","strongs_def":" Nangæ (i.e. perhaps Nogach), an Israelite"},
"G3304":{"kjv_def":"nay but, yea doubtless (rather, verily)","lemma":"μενοῦνγε","derivation":"from G3203 and G3767 (οὖν) and G1065 (γέ);","strongs_def":" so then at least"},
"G3908":{"kjv_def":"allege, commend, commit (the keeping of), put forth, set before","lemma":"παρατίθημι","strongs_def":" to place alongside, i.e. present (food, truth); by implication, to deposit (as a trust or for protection)","derivation":"from G3844 (παρά) and G5087 (τίθημι);"},
"G3358":{"strongs_def":" a measure (\"metre\"), literally or figuratively; by implication, a limited portion (degree)","derivation":"an apparently primary word;","lemma":"μέτρον","kjv_def":" measure"},
"G1729":{"strongs_def":" deficient in","derivation":"from a compound of G1722 (ἐν) and G1210 (δέω) (in the sense of lacking);","lemma":"ἐνδεής","kjv_def":"lacking"},
"G2849":{"strongs_def":" properly, to curtail, i.e. (figuratively) to chastise (or reserve for infliction)","derivation":"from (dwarf);","kjv_def":"punish","lemma":"κολάζω"},
"G4369":{"kjv_def":"add, again, give more, increase, lay unto, proceed further, speak to any more","lemma":"προστίθημι","strongs_def":" to place additionally, i.e. lay beside, annex, repeat","derivation":"from G4314 (πρός) and G5087 (τίθημι);"},
"G12":{"lemma":"ἄβυσσος","kjv_def":"deep, (bottomless) pit","derivation":"from G1 (Α) (as a negative particle) and a variation of G1037 (βυθός);","strongs_def":" depthless, i.e. (specially) (infernal) \"abyss\""},
"G1335":{"lemma":"διήγεσις","kjv_def":"declaration","derivation":"from G1334 (διηγέομαι);","strongs_def":" a recital"},
"G3756":{"strongs_def":" the absolute negative (compare G3361 (μή)) adverb; no or not","derivation":"a primary word;","lemma":"οὐ","kjv_def":"+ long, nay, neither, never, no (X man), none, (can-)not, + nothing, + special, un(-worthy), when, + without, + yet but"},
"G2985":{"derivation":"from G2989 (λάμπω);","strongs_def":" a \"lamp\" or flambeau","kjv_def":"lamp, light, torch","lemma":"λαμπάς"},
"G3930":{"lemma":"παρέχω","kjv_def":"bring, do, give, keep, minister, offer, shew, + trouble","derivation":"from G3844 (παρά) and G2192 (ἔχω);","strongs_def":" to hold near, i.e. present, afford, exhibit, furnish occasion"},
"G5395":{"kjv_def":"flame(-ing)","lemma":"φλόξ","derivation":"from a primary (to \"flash\" or \"flame\");","strongs_def":" a blaze"},
"G2998":{"lemma":"λατομέω","kjv_def":"hew","derivation":"from the same as the first part of G2991 (λαξευτός) and the base of G5114 (τομώτερος);","strongs_def":" to quarry"},
"G1190":{"kjv_def":"of Derbe","lemma":"Δερβαῖος","derivation":"from G1191 (Δέρβη);","strongs_def":" a Derbæan or inhabitant of Derbe"},
"G1042":{"kjv_def":" Gabbatha","lemma":"γαββαθά","derivation":"of Chaldee origin (compare H01355);","strongs_def":" the knoll; gabbatha, a vernacular term for the Roman tribunal in Jerusalem"},
"G553":{"kjv_def":"look (wait) for","lemma":"ἀπεκδέχομαι","strongs_def":" to expect fully","derivation":"from G575 (ἀπό) and G1551 (ἐκδέχομαι);"},
"G3108":{"lemma":"μακαρισμός","kjv_def":"blessedness","derivation":"from G3106 (μακαρίζω);","strongs_def":" beatification, i.e. attribution of good fortune"},
"G4230":{"derivation":"from G4231 (πραγματεύομαι);","strongs_def":" a transaction, i.e. negotiation","kjv_def":"affair","lemma":"πραγματεία"},
"G2309":{"strongs_def":" to determine (as an active option from subjective impulse; whereas G1014 (βούλομαι) properly denotes rather a passive acquiescence in objective considerations), i.e. choose or prefer (literally or figuratively); by implication, to wish, i.e. be inclined to (sometimes adverbially, gladly); impersonally for the future tense, to be about to; by Hebraism, to delight in","derivation":"apparently strengthened from the alternate form of G138 (αἱρέομαι);","lemma":"θέλω","kjv_def":"desire, be disposed (forward), intend, list, love, mean, please, have rather, (be) will (have, -ling, - ling(-ly))"},
"G2385":{"lemma":"Ἰάκωβος","kjv_def":"James","strongs_def":" Jacobus, the name of three Israelites","derivation":"the same as G2384 (Ἰακώβ) Græcized;"},
"G1428":{"kjv_def":"twelfth","lemma":"δωδέκατος","strongs_def":" twelfth","derivation":"from G1427 (δώδεκα);"},
"G4617":{"strongs_def":" to riddle (figuratively)","derivation":"from (a sieve);","kjv_def":"sift","lemma":"σινιάζω"},
"G569":{"lemma":"ἀπιστέω","kjv_def":"believe not","derivation":"from G571 (ἄπιστος);","strongs_def":" to be unbelieving, i.e. (transitively) disbelieve, or (by implication) disobey"},
"G3611":{"derivation":"from G3624 (οἶκος);","strongs_def":" to occupy a house, i.e. reside (figuratively, inhabit, remain, inhere); by implication, to cohabit","kjv_def":"dwell","lemma":"οἰκέω"},
"G3919":{"strongs_def":" to lead in aside, i.e. introduce surreptitiously","derivation":"from G3844 (παρά) and G1521 (εἰσάγω);","kjv_def":"privily bring in","lemma":"παρεισάγω"},
"G4159":{"derivation":"from the base of G4213 (πόσις) with enclitic adverb of origin;","strongs_def":" from which (as interrogative) or what (as relative) place, state, source or cause","kjv_def":"whence","lemma":"πόθεν"},
"G2650":{"kjv_def":"abide","lemma":"καταμένω","derivation":"from G2596 (κατά) and G3306 (μένω);","strongs_def":" to stay fully, i.e. reside"},
"G996":{"strongs_def":" aid; specially, a rope or chain for frapping a vessel","derivation":"from G998 (βοηθός);","kjv_def":"help","lemma":"βοήθεια"},
"G1962":{"lemma":"ἐπινεύω","kjv_def":"consent","strongs_def":" to nod at, i.e. (by implication) to assent","derivation":"from G1909 (ἐπί) and G3506 (νεύω);"},
"G473":{"lemma":"ἀντί","kjv_def":"for, in the room of","strongs_def":" opposite, i.e. instead or because of (rarely in addition to)","derivation":"a primary particle;"},
"G1359":{"kjv_def":"Castor and Pollux","lemma":"Διόσκουροι","derivation":"from the alternate of G2203 (Ζεύς) and a form of the base of G2877 (κοράσιον);","strongs_def":" sons of Jupiter, i.e. the twins Dioscuri"},
"G1459":{"kjv_def":"forsake, leave","lemma":"ἐγκαταλείπω","strongs_def":" to leave behind in some place, i.e. (in a good sense) let remain over, or (in a bad sense) to desert","derivation":"from G1722 (ἐν) and G2641 (καταλείπω);"},
"G3798":{"kjv_def":"even(-ing, (-tide))","lemma":"ὄψιος","derivation":"from G3796 (ὀψέ);","strongs_def":" late; feminine (as noun) afternoon (early eve) or nightfall (later eve)"},
"G3107":{"lemma":"μακάριος","kjv_def":" blessed, happy(X -ier)","derivation":"a prolonged form of the poetical (meaning the same);","strongs_def":" supremely blest; by extension, fortunate, well off"},
"G1958":{"strongs_def":" carefulness, i.e. kind attention (hospitality)","derivation":"from G1959 (ἐπιμελέομαι);","lemma":"ἐπιμέλεια","kjv_def":"+ refresh self"},
"G2554":{"lemma":"κακοποιέω","kjv_def":"do(ing) evil","derivation":"from G2555 (κακοποιός);","strongs_def":" to be a bad-doer, i.e. (objectively) to injure, or (genitive) to sin"},
"G2659":{"kjv_def":"slumber","lemma":"κατάνυξις","strongs_def":" a prickling (sensation, as of the limbs asleep), i.e. (by implication, (perhaps by some confusion with G3506 (νεύω) or even with G3571 (νύξ))) stupor (lethargy)","derivation":"from G2660 (κατανύσσω);"},
"G2199":{"kjv_def":"Zebedee","lemma":"Ζεβεδαῖος","derivation":"of Hebrew origin (compare H02067);","strongs_def":" Zebedæus, an Israelite"},
"G4004":{"derivation":"multiplicative of G4002 (πέντε);","strongs_def":" fifty","lemma":"πεντήκοντα","kjv_def":"fifty"},
"G2861":{"derivation":"from G2860 (κολυμβάω);","strongs_def":" a diving-place, i.e. pond for bathing (or swimming)","lemma":"κολυμβήθρα","kjv_def":"pool"},
"G1730":{"lemma":"ἔνδειγμα","kjv_def":"manifest token","derivation":"from G1731 (ἐνδείκνυμι);","strongs_def":" an indication (concretely)"},
"G47":{"strongs_def":" cleanliness (the quality), i.e. (specially) chastity","derivation":"from G53 (ἁγνός);","lemma":"ἁγνεία","kjv_def":"purity"},
"G250":{"lemma":"ἀλόη","kjv_def":"aloes","derivation":"of foreign origin (compare G174 (ἀκάνθινος));","strongs_def":" aloes (the gum)"},
"G1292":{"lemma":"διάστημα","kjv_def":"space","strongs_def":" an interval","derivation":"from G1339 (διΐστημι);"},
"G1563":{"lemma":"ἐκεῖ","kjv_def":"there, thither(-ward), (to) yonder (place)","strongs_def":" there; by extension, thither","derivation":"of uncertain affinity;"},
"G1789":{"strongs_def":" (figuratively) to educate","derivation":"from G1722 (ἐν) and G5142 (τρέφω);","lemma":"ἐντρέφω","kjv_def":"nourish up in"},
"G3180":{"kjv_def":"wile, lie in wait","lemma":"μεθοδεία","derivation":"from a compound of G3326 (μετά) and G3593 (ὁδεύω) (compare \"method\");","strongs_def":" travelling over, i.e. travesty (trickery)"},
"G5135":{"lemma":"τραυματίζω","kjv_def":"wound","derivation":"from G5134 (τραῦμα);","strongs_def":" to inflict a wound"},
"G5558":{"lemma":"χρυσόω","kjv_def":"deck","derivation":"from G5557 (χρυσός);","strongs_def":" to gild, i.e. bespangle with golden ornaments"},
"G2037":{"kjv_def":"Erastus","lemma":"Ἔραστος","strongs_def":" beloved; Erastus, a Christian","derivation":"from (to love);"},
"G4257":{"strongs_def":" to hear already,i.e. anticipate","derivation":"from G4253 (πρό) and G191 (ἀκούω);","kjv_def":"hear before","lemma":"προακούω"},
"G5567":{"kjv_def":"make melody, sing (psalms)","lemma":"ψάλλω","strongs_def":" compare G5597 (ψώχω)); to twitch or twang, i.e. to play on a stringed instrument (celebrate the divine worship with music and accompanying odes)","derivation":"probably strengthened from (to rub or touch the surface;"},
"G2830":{"strongs_def":" a surge of the sea (literally or figuratively)","derivation":"from (to billow or dash over);","lemma":"κλύδων","kjv_def":"raging, wave"},
"G1535":{"kjv_def":"if, or, whether","lemma":"εἴτε","strongs_def":" if too","derivation":"from G1487 (εἰ) and G5037 (τέ);"},
"G4932":{"strongs_def":" to contract by cutting, i.e. (figuratively) do concisely (speedily)","derivation":"from G4862 (σύν) and the base of G5114 (τομώτερος);","lemma":"συντέμνω","kjv_def":"(cut) short"},
"G1396":{"strongs_def":" to be a slave-driver, i.e. to enslave (figuratively, subdue)","derivation":"from a presumed compound of G1401 (δοῦλος) and G71 (ἄγω);","kjv_def":"bring into subjection","lemma":"δουλαγωγέω"},
"G4145":{"derivation":"from G4149 (πλοῦτος);","strongs_def":" wealthy; figuratively, abounding with","lemma":"πλούσιος","kjv_def":"rich"},
"G4409":{"derivation":"from G4413 (πρῶτος);","strongs_def":" to be first (in rank or influence)","lemma":"πρωτεύω","kjv_def":"have the preeminence"},
"G5219":{"lemma":"ὑπακούω","kjv_def":"hearken, be obedient to, obey","derivation":"from G5259 (ὑπό) and G191 (ἀκούω);","strongs_def":" to hear under (as a subordinate), i.e. to listen attentively; by implication, to heed or conform to a command or authority"},
"G3503":{"strongs_def":" newness, i.e. youthfulness","derivation":"from G3501 (νέος);","lemma":"νεότης","kjv_def":"youth"},
"G2035":{"lemma":"ἑπτακισχίλιοι","kjv_def":"seven thousand","strongs_def":" seven times a thousand","derivation":"from G2034 (ἑπτάκις) and G5507 (χίλιοι);"},
"G623":{"derivation":"active participle of G622 (ἀπόλλυμι);","strongs_def":" a destroyer (i.e. Satan)","kjv_def":"Apollyon","lemma":"Ἀπολλύων"},
"G1213":{"strongs_def":" to make plain (by words)","derivation":"from G1212 (δῆλος);","kjv_def":"declare, shew, signify","lemma":"δηλόω"},
"G4894":{"lemma":"συνείδω","kjv_def":"consider, know, be privy, be ware of","strongs_def":" to see completely; used (like its primary) only in two past tenses, respectively meaning to understand or become aware, and to be conscious or (clandestinely) informed of","derivation":"from G4862 (σύν) and G1492 (εἴδω);"},
"G3573":{"derivation":"from a presumed derivative of G3506 (νεύω);","strongs_def":" to nod, i.e. (by implication) to fall asleep; figuratively, to delay","kjv_def":"slumber","lemma":"νυστάζω"},
"G2506":{"kjv_def":"destruction, pulling down","lemma":"καθαίρεσις","derivation":"from G2507 (καθαιρέω);","strongs_def":" demolition; figuratively, extinction"},
"G2227":{"lemma":"ζωοποιέω","kjv_def":"make alive, give life, quicken","strongs_def":" to (re-)vitalize (literally or figuratively)","derivation":"from the same as G2226 (ζῶον) and G4160 (ποιέω);"},
"G4249":{"lemma":"πρίζω","kjv_def":"saw asunder","strongs_def":" to saw in two","derivation":"a strengthened form of a primary prio (to saw);"},
"G4052":{"derivation":"from G4053 (περισσός);","strongs_def":" to superabound (in quantity or quality), be in excess, be superfluous; also (transitively) to cause to superabound or excel","kjv_def":"(make, more) abound, (have, have more) abundance (be more) abundant, be the better, enough and to spare, exceed, excel, increase, be left, redound, remain (over and above)","lemma":"περισσεύω"},
"G4016":{"strongs_def":" to throw all around, i.e. invest (with a palisade or with clothing)","derivation":"from G4012 (περί) and G906 (βάλλω);","lemma":"περιβάλλω","kjv_def":"array, cast about, clothe(-d me), put on"},
"G4588":{"strongs_def":" Sergius, a Roman","derivation":"of Latin origin;","lemma":"Σέργιος","kjv_def":"Sergius"},
"G4981":{"derivation":"probably feminine of a presumed derivative of the alternate of G2192 (ἔχω);","strongs_def":" properly, loitering (as a withholding of oneself from work) or leisure, i.e. (by implication) a \"school\" (as vacation from physical employment)","lemma":"σχολή","kjv_def":"school"},
"G2811":{"strongs_def":" renown (as if being called)","derivation":"from a shorter form of G2564 (καλέω);","lemma":"κλέος","kjv_def":"glory"},
"G4529":{"kjv_def":"Salamis","lemma":"Σαλαμίς","derivation":"probably from G4535 (σάλος) (from the surge on the shore);","strongs_def":" Salamis, a place in Cyprus"},
"G1202":{"kjv_def":"prisoner","lemma":"δεσμώτης","strongs_def":" (passively) a captive","derivation":"from the same as G1201 (δεσμωτήριον);"},
"G2322":{"kjv_def":"healing, household","lemma":"θεραπεία","derivation":"from G2323 (θεραπεύω);","strongs_def":" attendance (specially, medical, i.e. cure); figuratively and collectively, domestics"},
"G77":{"strongs_def":" and G1160 (δαπάνη); costless, i.e. gratuitous","derivation":"from G1 (Α) (as negative particle);","kjv_def":"without expense","lemma":"ἀδάπανος"},
"G1793":{"kjv_def":"deal with, make intercession","lemma":"ἐντυγχάνω","derivation":"from G1722 (ἐν) and G5177 (τυγχάνω);","strongs_def":" to chance upon, i.e. (by implication) confer with; by extension to entreat (in favor or against)"},
"G3653":{"lemma":"ὄλυνθος","kjv_def":"untimely fig","derivation":"of uncertain derivation;","strongs_def":" an unripe (because out of season) fig"},
"G745":{"strongs_def":" people-ruling; Archelaus, a Jewish king","derivation":"from G757 (ἄρχω) and G2994 (Λαοδικεύς);","kjv_def":"Archelaus","lemma":"Ἀρχέλαος"},
"G4168":{"derivation":"neuter of a presumed derivative of G4167 (ποίμνη);","strongs_def":" a flock, i.e. (figuratively) group (of believers)","kjv_def":"flock","lemma":"ποίμνιον"},
"G5369":{"strongs_def":" fond of pleasure, i.e. voluptuous","derivation":"from G5384 (φίλος) and G2237 (ἡδονή);","kjv_def":"lover of pleasure","lemma":"φιλήδονος"},
"G5124":{"derivation":"neuter singular nominative or accusative case of G3778 (οὗτος);","strongs_def":" that thing","lemma":"τοῦτο","kjv_def":"here (-unto), it, partly, self(-same), so, that (intent), the same, there(-fore, -unto), this, thus, where(-fore)"},
"G985":{"lemma":"βλαστάνω","kjv_def":"bring forth, bud, spring (up)","strongs_def":" to germinate; by implication, to yield fruit","derivation":"from (a sprout);"},
"G5389":{"derivation":"middle voice from a compound of G5384 (φίλος) and G5092 (τιμή);","strongs_def":" to be fond of honor, i.e. emulous (eager or earnest to do something)","lemma":"φιλοτιμέομαι","kjv_def":"labour, strive, study"},
"G2696":{"kjv_def":"seal","lemma":"κατασφραγίζω","derivation":"from G2596 (κατά) and G4972 (σφραγίζω);","strongs_def":" to seal closely"},
"G3331":{"kjv_def":"change, removing, translation","lemma":"μετάθεσις","strongs_def":" transposition, i.e. transferral (to heaven), disestablishment (of a law)","derivation":"from G3346 (μετατίθημι);"},
"G4247":{"lemma":"πρεσβῦτις","kjv_def":"aged woman","derivation":"feminine of G4246 (πρεσβύτης);","strongs_def":" an old woman"},
"G452":{"strongs_def":" Annas (i.e. G367 (Ἀνανίας)), an Israelite","derivation":"of Hebrew origin (H02608);","lemma":"Ἄννας","kjv_def":"Annas"},
"G1592":{"strongs_def":" to sneer outright at","derivation":"from G1537 (ἐκ) and G3456 (μυκτηρίζω);","kjv_def":"deride","lemma":"ἐκμυκτηρίζω"},
"G2376":{"derivation":"from G2374 (θύρα);","strongs_def":" an aperture, i.e. window","kjv_def":"window","lemma":"θυρίς"},
"G5435":{"derivation":"probably of foreign origin;","strongs_def":" Phrygia, a region of Asia Minor","kjv_def":"Phrygia","lemma":"Φρυγία"},
"G5609":{"kjv_def":"egg","lemma":"ὠόν","strongs_def":" an \"egg\"","derivation":"apparently a primary word;"},
"G2847":{"strongs_def":" crimson-colored","derivation":"from G2848 (κόκκος) (from the kernel-shape of the insect);","lemma":"κόκκινος","kjv_def":"scarlet (colour, coloured)"},
"G1583":{"kjv_def":"tell","lemma":"ἐκλαλέω","strongs_def":" to divulge","derivation":"from G1537 (ἐκ) and G2980 (λαλέω);"},
"G1601":{"kjv_def":"be cast, fail, fall (away, off), take none effect","lemma":"ἐκπίπτω","strongs_def":" to drop away; specially, be driven out of one's course; figuratively, to lose, become inefficient","derivation":"from G1537 (ἐκ) and G4098 (πίπτω);"},
"G118":{"derivation":"from (a contest in the public lists);","strongs_def":" to contend in the competitive games","kjv_def":"strive","lemma":"ἀθλέω"},
"G5260":{"strongs_def":" to throw in stealthily, i.e. introduce by collusion","derivation":"from G5259 (ὑπό) and G906 (βάλλω);","lemma":"ὑποβάλλω","kjv_def":"suborn"},
"G4324":{"derivation":"from G4314 (πρός) and G546 (ἀπειλέω);","strongs_def":" to menace additionally","kjv_def":"i","lemma":"προσαπειλέω"},
"G1553":{"strongs_def":" to emigrate, i.e. (figuratively) vacate or quit","derivation":"from a compound of G1537 (ἐκ) and G1218 (δῆμος);","kjv_def":"be absent","lemma":"ἐκδημέω"},
"G4283":{"strongs_def":" to announce glad news in advance","derivation":"middle voice from G4253 (πρό) and G2097 (εὐαγγελίζω);","kjv_def":"preach before the gospel","lemma":"προευαγγελίζομαι"},
"G3750":{"lemma":"ὄσφρησις","kjv_def":"smelling","strongs_def":" smell (the sense)","derivation":"from a derivative of G3605 (ὄζω);"},
"G3401":{"derivation":"middle voice from (a \"mimic\");","strongs_def":" to imitate","lemma":"μιμέομαι","kjv_def":"follow"},
"G1390":{"derivation":"from the base of G1325 (δίδωμι);","strongs_def":" a present","kjv_def":"gift","lemma":"δόμα"},
"G229":{"lemma":"ἀλήθω","kjv_def":"grind","strongs_def":" to grind","derivation":"from the same as G224 (ἄλευρον);"},
"G4497":{"kjv_def":"Roboam","lemma":"Ῥοβοάμ","derivation":"of Hebrew origin (H07346);","strongs_def":" Roboam (i.e. Rechobam), an Israelite"},
"G5054":{"derivation":"from G5053 (τελευτάω);","strongs_def":" decease","lemma":"τελευτή","kjv_def":"death"},
"G1168":{"lemma":"δειλιάω","kjv_def":"be afraid","strongs_def":" to be timid","derivation":"from G1167 (δειλία);"},
"G1589":{"strongs_def":" (divine) selection (abstractly or concretely)","derivation":"from G1586 (ἐκλέγομαι);","kjv_def":"chosen, election","lemma":"ἐκλογή"},
"G2262":{"kjv_def":"Er","lemma":"Ἤρ","strongs_def":" Er, an Israelite","derivation":"of Hebrew origin (H06147);"},
"G4488":{"derivation":"probably of Hebrew origin (apparently for H07509);","strongs_def":" Resa (i.e. Rephajah), an Israelite","lemma":"Ῥησά","kjv_def":"Rhesa"},
"G1816":{"strongs_def":" to start up out of the ground, i.e. germinate","derivation":"from G1537 (ἐκ) and G393 (ἀνατέλλω);","kjv_def":"spring up","lemma":"ἐξανατέλλω"},
"G2046":{"derivation":"probably a fuller form of G4483 (ῥέω);","strongs_def":" an alternate for G2036 (ἔπω) in certain tenses; to utter, i.e. speak or say","lemma":"ἐρέω","kjv_def":"call, say, speak (of), tell"},
"G190":{"lemma":"ἀκολουθέω","kjv_def":"follow, reach","derivation":"from G1 (Α) (as a particle of union) and (a road);","strongs_def":" properly, to be in the same way with, i.e. to accompany (specially, as a disciple)"},
"G5612":{"kjv_def":"roar","lemma":"ὠρύομαι","derivation":"middle voice of an apparently primary verb;","strongs_def":" to \"roar\""},
"G4096":{"strongs_def":" perhaps akin to the alternate of G4095 (πίνω) through the idea of repletion); plumpness, i.e. (by implication) richness (oiliness)","derivation":"from (fat;","lemma":"πιότης","kjv_def":"fatness"},
"G56":{"kjv_def":"ignorance, not the knowledge","lemma":"ἀγνωσία","derivation":"from G1 (Α) (as negative particle) and G1108 (γνῶσις);","strongs_def":" ignorance (properly, the state)"},
"G2810":{"lemma":"Κλεόπας","kjv_def":"Cleopas","strongs_def":" Cleopas, a Christian","derivation":"probably contracted from (compound of G2811 (κλέος) and G3962 (πατήρ));"},
"G4073":{"lemma":"πέτρα","kjv_def":"rock","strongs_def":" a (mass of) rock (literally or figuratively)","derivation":"feminine of the same as G4074 (Πέτρος);"},
"G3697":{"derivation":"from G3739 (ὅς) and G4169 (ποῖος);","strongs_def":" of what kind that, i.e. how (as) great (excellent) (specially, as an indefinite correlative to the definite antecedent G5108 (τοιοῦτος) of quality)","kjv_def":"what manner (sort) of, such as whatsoever","lemma":"ὁποῖος"},
"G1440":{"lemma":"ἑβδομήκοντα","kjv_def":"seventy, three score and ten","derivation":"from G1442 (ἕβδομος) and a modified form of G1176 (δέκα);","strongs_def":" seventy"},
"G5075":{"derivation":"from G5076 (τετράρχης);","strongs_def":" to be a tetrarch","lemma":"τετραρχέω","kjv_def":"(be) tetrarch"},
"G3974":{"lemma":"Πάφος","kjv_def":"Paphos","derivation":"of uncertain derivation;","strongs_def":" Paphus, a place in Cyprus"},
"G3047":{"kjv_def":"southwest","lemma":"λίψ","strongs_def":" the south(- west) wind (as bringing rain, i.e. (by extension) the south quarter)","derivation":"probably from (to pour a \"libation\");"},
"G1106":{"strongs_def":" cognition, i.e. (subjectively) opinion, or (objectively) resolve (counsel, consent, etc.)","derivation":"from G1097 (γινώσκω);","lemma":"γνώμη","kjv_def":"advice, + agree, judgment, mind, purpose, will"},
"G3356":{"lemma":"μετριοπαθέω","kjv_def":"have compassion","derivation":"from a compound of the base of G3357 (μετρίως) and G3806 (πάθος);","strongs_def":" to be moderate in passion, i.e. gentle (to treat indulgently)"},
"G1627":{"kjv_def":"bear, bring forth, carry forth (out)","lemma":"ἐκφέρω","strongs_def":" to bear out (literally or figuratively)","derivation":"from G1537 (ἐκ) and G5342 (φέρω);"},
"G3450":{"kjv_def":"I, me, mine (own), my","lemma":"μοῦ","derivation":"the simpler form of G1700 (ἐμοῦ);","strongs_def":" of me"},
"G4020":{"lemma":"περιεργάζομαι","kjv_def":"be a busybody","strongs_def":" to work all around, i.e. bustle about (meddle)","derivation":"from G4012 (περί) and G2038 (ἐργάζομαι);"},
"G2970":{"strongs_def":" a carousal (as if letting loose)","derivation":"from G2749 (κεῖμαι);","kjv_def":"revelling, rioting","lemma":"κῶμος"},
"G3059":{"lemma":"λοιδορία","kjv_def":"railing, reproach(-fully)","strongs_def":" slander or vituperation","derivation":"from G3060 (λοίδορος);"},
"G4730":{"strongs_def":" narrowness of room, i.e. (figuratively) calamity","derivation":"from a compound of G4728 (στενός) and G5561 (χώρα);","kjv_def":"anguish, distress","lemma":"στενοχωρία"},
"G1443":{"kjv_def":"Eber","lemma":"Ἐβέρ","strongs_def":" Eber, a patriarch","derivation":"of Hebrew origin (H05677);"},
"G5614":{"derivation":"of Hebrew origin (H03467 and H04994);","strongs_def":" oh save!; hosanna (i.e. hoshia-na), an exclamation of adoration","lemma":"ὡσαννά","kjv_def":"hosanna"},
"G62":{"kjv_def":"unlearned","lemma":"ἀγράμματος","derivation":"from G1 (Α) (as negative particle) and G1121 (γράμμα);","strongs_def":" unlettered, i.e. illiterate"},
"G816":{"kjv_def":"behold earnestly (stedfastly), fasten (eyes), look (earnestly, stedfastly, up stedfastly), set eyes","lemma":"ἀτενίζω","strongs_def":" to gaze intently","derivation":"from a compound of G1 (Α) (as a particle of union) and (to stretch);"},
"G3167":{"derivation":"from G3173 (μέγας);","strongs_def":" magnificent, i.e. (neuter, plural as noun) a conspicuous favor, or (subjectively) perfection","kjv_def":"great things, wonderful works","lemma":"μεγαλεῖος"},
"G5125":{"kjv_def":"such, them, there(-in, -with), these, this, those","lemma":"τούτοις","derivation":"dative case plural masculine or neuter of G3778 (οὗτος);","strongs_def":" to (for, in, with or by) these (persons or things)"},
"G1703":{"strongs_def":" a derider, i.e. (by implication) a false teacher","derivation":"from G1702 (ἐμπαίζω);","lemma":"ἐμπαίκτης","kjv_def":"mocker, scoffer"},
"G4698":{"strongs_def":" an intestine (plural); figuratively, pity or sympathy","derivation":"probably strengthened from (the \"spleen\");","lemma":"σπλάγχνον","kjv_def":"bowels, inward affection, + tender mercy"},
"G1023":{"lemma":"βραχίων","kjv_def":"arm","derivation":"properly, comparative of G1024 (βραχύς), but apparently in the sense of (to wield);","strongs_def":" the arm, i.e. (figuratively) strength"},
"G487":{"lemma":"ἀντίλυτρον","kjv_def":"ransom","derivation":"from G473 (ἀντί) and G3083 (λύτρον);","strongs_def":" a redemption-price"},
"G3567":{"derivation":"from G3565 (νύμφη);","strongs_def":" the bridal room","lemma":"νυμφών","kjv_def":"bridechamber"},
"G3069":{"lemma":"Λύδδα","kjv_def":"Lydda","derivation":"of Hebrew origin (H03850);","strongs_def":" Lydda (i.e. Lod), a place in Palestine"},
"G922":{"lemma":"βάρος","kjv_def":"burden(-some), weight","strongs_def":" compare G899 (βάθος)); weight; in the New Testament only, figuratively, a load, abundance, authority","derivation":"probably from the same as G939 (βάσις) (through the notion of going down;"},
"G1338":{"lemma":"διϊκνέομαι","kjv_def":"pierce","strongs_def":" to reach through, i.e. penetrate","derivation":"from G1223 (διά) and the base of G2425 (ἱκανός);"},
"G408":{"lemma":"Ἀνδρόνικος","kjv_def":"Adronicus","strongs_def":" man of victory; Andronicos, an Israelite","derivation":"from G435 (ἀνήρ) and G3534 (νῖκος);"},
"G3175":{"lemma":"μεγιστᾶνες","kjv_def":"great men, lords","strongs_def":" grandees","derivation":"plural from G3176 (μέγιστος);"},
"G2320":{"derivation":"from G2316 (θεός);","strongs_def":" divinity (abstractly)","kjv_def":"godhead","lemma":"θεότης"},
"G1586":{"derivation":"middle voice from G1537 (ἐκ) and G3004 (λέγω) (in its primary sense);","strongs_def":" to select","lemma":"ἐκλέγομαι","kjv_def":"make choice, choose (out), chosen"},
"G699":{"lemma":"ἀρεσκεία","kjv_def":"pleasing","derivation":"from a derivative of G700 (ἀρέσκω);","strongs_def":" complaisance"},
"G1243":{"strongs_def":" a distinction or (concretely) variety","derivation":"from G1244 (διαιρέω);","kjv_def":"difference, diversity","lemma":"διαίρεσις"},
"G2018":{"derivation":"from G1909 (ἐπί) and G5342 (φέρω);","strongs_def":" to bear upon (or further), i.e. adduce (personally or judicially (accuse, inflict)), superinduce","lemma":"ἐπιφέρω","kjv_def":"add, bring (against), take"},
"G3408":{"lemma":"μισθός","kjv_def":"hire, reward, wages","derivation":"apparently a primary word;","strongs_def":" pay for service (literally or figuratively), good or bad"},
"G1149":{"lemma":"Δαλματία","kjv_def":"Dalmatia","strongs_def":" Dalmatia, a region of Europe","derivation":"probably of foreign derivation;"},
"G4561":{"derivation":"probably from the base of G4563 (σαρόω);","strongs_def":" flesh (as stripped of the skin), i.e. (strictly) the meat of an animal (as food), or (by extension) the body (as opposed to the soul (or spirit), or as the symbol of what is external, or as the means of kindred), or (by implication) human nature (with its frailties (physically or morally) and passions), or (specially), a human being (as such)","lemma":"σάρξ","kjv_def":"carnal(-ly, + -ly minded), flesh(-ly)"},
"G4568":{"derivation":"of Hebrew origin (H05429);","strongs_def":" a certain measure for things dry","lemma":"σάτον","kjv_def":"measure"},
"G3339":{"kjv_def":"change, transfigure, transform","lemma":"μεταμορφόω","strongs_def":" to transform (literally or figuratively, \"metamorphose\")","derivation":"from G3326 (μετά) and G3445 (μορφόω);"},
"G2214":{"strongs_def":" a searching (properly, the act), i.e. a dispute or its theme","derivation":"from G2212 (ζητέω);","kjv_def":"question","lemma":"ζήτησις"},
"G4950":{"lemma":"σύρτις","kjv_def":"quicksands","derivation":"from G4951 (σύρω);","strongs_def":" a shoal (from the sand drawn thither by the waves), i.e. the Syrtis Major or great bay on the north coast of Africa"},
"G3531":{"strongs_def":" a Nicolaite, i.e. adherent of Nicolaus","derivation":"from G3532 (Νικόλαος);","lemma":"Νικολαΐτης","kjv_def":"Nicolaitane"},
"G1454":{"lemma":"ἔγερσις","kjv_def":"resurrection","strongs_def":" a resurgence (from death)","derivation":"from G1453 (ἐγείρω);"},
"G5523":{"lemma":"Χοραζίν","kjv_def":"Chorazin","strongs_def":" Chorazin, a place in Palestine","derivation":"of uncertain derivation;"},
"G2406":{"strongs_def":" the priestly fraternity, i.e. sacerdotal order (figuratively)","derivation":"from G2407 (ἱερατεύω);","kjv_def":"priesthood","lemma":"ἱεράτευμα"},
"G3539":{"kjv_def":"consider, perceive, think, understand","lemma":"νοιέω","strongs_def":" to exercise the mind (observe), i.e. (figuratively) to comprehend, heed","derivation":"from G3563 (νοῦς);"},
"G5182":{"kjv_def":"trouble","lemma":"τυρβάζω","derivation":"from (Latin turba, a crowd;","strongs_def":" akin to G2351 (θόρυβος)); to make \"turbid\", i.e. disturb"},
"G1792":{"kjv_def":"sporting selves","lemma":"ἐντρυφάω","strongs_def":" to revel in","derivation":"from G1722 (ἐν) and G5171 (τρυφάω);"},
"G5024":{"derivation":"neuter plural of G3588 (ὁ) and G846 (αὐτός) as adverb;","strongs_def":" in the same way","kjv_def":"even thus, (manner) like, so","lemma":"ταὐτά"},
"G465":{"strongs_def":" an equivalent or ransom","derivation":"from a compound of G473 (ἀντί) and G236 (ἀλλάσσω);","lemma":"ἀντάλλαγμα","kjv_def":"in exchange"},
"G4819":{"kjv_def":"be(-fall), happen (unto)","lemma":"συμβαίνω","derivation":"from G4862 (σύν) and the base of G939 (βάσις);","strongs_def":" to walk (figuratively, transpire) together, i.e. concur (take place)"},
"G324":{"strongs_def":" to entertain (as a guest)","derivation":"from G303 (ἀνά) and G1209 (δέχομαι);","lemma":"ἀναδέχομαι","kjv_def":"receive"},
"G1352":{"lemma":"διό","kjv_def":"for which cause, therefore, wherefore","strongs_def":" through which thing, i.e. consequently","derivation":"from G1223 (διά) and G3739 (ὅς);"},
"G1876":{"derivation":"neuter of a presumed compound of G1909 (ἐπί) and G318 (ἀνάγκη);","strongs_def":" (adverbially) on necessity, i.e. necessarily","lemma":"ἐπάναγκες","kjv_def":"necessary"},
"G1362":{"lemma":"διπλοῦς","kjv_def":"double, two-fold more","derivation":"from G1364 (δίς) and (probably) the base of G4119 (πλείων);","strongs_def":" two-fold"},
"G4982":{"lemma":"σώζω","kjv_def":"heal, preserve, save (self), do well, be (make) whole","strongs_def":" to save, i.e. deliver or protect (literally or figuratively)","derivation":"from a primary (contraction for obsolete , \"safe\");"},
"G4423":{"derivation":"from G4422 (πτοέω);","strongs_def":" alarm","lemma":"πτόησις","kjv_def":"amazement"},
"G924":{"strongs_def":" son of Timæus (or the unclean); Bar-timæus, an Israelite","derivation":"of Chaldee origin (H01247 and H02931);","kjv_def":"Bartimæus","lemma":"Βαρτιμαῖος"},
"G1497":{"lemma":"εἴδωλον","kjv_def":"idol","strongs_def":" an image (i.e. for worship); by implication, a heathen god, or (plural) the worship of such","derivation":"from G1491 (εἶδος);"},
"G4964":{"derivation":"from G4862 (σύν) and a derivative of G4976 (σχῆμα);","strongs_def":" to fashion alike, i.e. conform to the same pattern (figuratively)","lemma":"συσχηματίζω","kjv_def":"conform to, fashion self according to"},
"G3898":{"strongs_def":" in a manner near by, i.e. (figuratively) similarly","derivation":"adverb from the same as G3897 (παραπλήσιον);","lemma":"παραπλησίως","kjv_def":"likewise"},
"G4358":{"derivation":"from G4314 (πρός) and a derivative of the same as G3730 (ὁρμή) (meaning to tie (anchor) or lull);","strongs_def":" to moor to, i.e. (by implication) land at","kjv_def":"draw to the shore","lemma":"προσορμίζω"},
"G4469":{"kjv_def":"Raca","lemma":"ῥακά","derivation":"of Chaldee origin (compare H07386);","strongs_def":" O empty one, i.e. thou worthless (as a term of utter vilification)"},
"G3546":{"kjv_def":"money","lemma":"νόμισμα","derivation":"from G3543 (νομίζω);","strongs_def":" what is reckoned as of value (after the Latin numisma), i.e. current coin"},
"G5307":{"derivation":"from to weave;","strongs_def":" woven, i.e. (perhaps) knitted","kjv_def":"woven","lemma":"ὑφαντός"},
"G1424":{"kjv_def":"west","lemma":"δυσμή","strongs_def":" the sun-set, i.e. (by implication) the western region","derivation":"from G1416 (δύνω);"},
"G1527":{"strongs_def":" severally","derivation":"from G1520 (εἷς) repeated with G2596 (κατά) inserted;","kjv_def":"one by one","lemma":"εἷς καθ’ εἷς"},
"G4573":{"kjv_def":"worship","lemma":"σεβάζομαι","derivation":"middle voice from a derivative of G4576 (σέβομαι);","strongs_def":" to venerate, i.e. adore"},
"G2536":{"strongs_def":" Cainan (i.e. Kenan), the name of two patriarchs","derivation":"of Hebrew origin (H07018);","kjv_def":"Cainan","lemma":"Καϊνάν"},
"G904":{"strongs_def":" Balak, a Moabite","derivation":"of Hebrew origin (H01111);","kjv_def":"Balac","lemma":"Βαλάκ"},
"G4202":{"kjv_def":"fornication","lemma":"πορνεία","derivation":"from G4203 (πορνεύω);","strongs_def":" harlotry (including adultery and incest); figuratively, idolatry"},
"G1056":{"strongs_def":" Galilæa (i.e. the heathen circle), a region of Palestine","derivation":"of Hebrew origin (H01551);","lemma":"Γαλιλαία","kjv_def":"Galilee"},
"G2454":{"strongs_def":" \"Judaism\", i.e. the Jewish faith and usages","derivation":"from G2450 (Ἰουδαΐζω);","kjv_def":"Jews' religion","lemma":"Ἰουδαϊσμός"},
"G2688":{"strongs_def":" properly, a position or condition, i.e. (subjectively) demeanor","derivation":"from G2525 (καθίστημι);","kjv_def":"behaviour","lemma":"κατάστημα"},
"G947":{"strongs_def":" detestable, i.e. (specially) idolatrous","derivation":"from G948 (βδελύσσω);","kjv_def":"abominable","lemma":"βδελυκτός"},
"G133":{"lemma":"αἴνεσις","kjv_def":"praise","derivation":"from G134 (αἰνέω);","strongs_def":" a praising (the act), i.e. (specially) a thank(-offering)"},
"G5137":{"lemma":"τράχηλος","kjv_def":"neck","strongs_def":" the throat (neck), i.e. (figuratively) life","derivation":"probably from G5143 (τρέχω) (through the idea of mobility);"},
"G522":{"strongs_def":" to lift off, i.e. remove","derivation":"from G575 (ἀπό) and G142 (αἴρω);","lemma":"ἀπαίρω","kjv_def":"take (away)"},
"G2902":{"kjv_def":"hold (by, fast), keep, lay hand (hold) on, obtain, retain, take (by)","lemma":"κρατέω","derivation":"from G2904 (κράτος);","strongs_def":" to use strength, i.e. seize or retain (literally or figuratively)"},
"G1395":{"kjv_def":"giver","lemma":"δότης","strongs_def":" a giver","derivation":"from the base of G1325 (δίδωμι);"},
"G478":{"lemma":"ἀντικαθίστημι","kjv_def":"resist","strongs_def":" to set down (troops) against, i.e. withstand","derivation":"from G473 (ἀντί) and G2525 (καθίστημι);"},
"G5386":{"derivation":"from G5384 (φίλος) and G4680 (σοφός);","strongs_def":" fond of wise things, i.e. a \"philosopher\"","kjv_def":"philosopher","lemma":"φιλόσοφος"},
"G769":{"derivation":"from G772 (ἀσθενής);","strongs_def":" feebleness (of mind or body); by implication, malady; morally, frailty","kjv_def":"disease, infirmity, sickness, weakness","lemma":"ἀσθένεια"},
"G4308":{"strongs_def":" to behold in advance, i.e. (actively) to notice (another) previously, or (middle voice) to keep in (one's own) view","derivation":"from G4253 (πρό) and G3708 (ὁράω);","lemma":"προοράω","kjv_def":"foresee, see before"},
"G2166":{"derivation":"of foreign origin (compare H06578);","strongs_def":" Euphrates, a river of Asia","lemma":"Εὐφράτης","kjv_def":"Euphrates"},
"G5287":{"derivation":"from a compound of G5259 (ὑπό) and G2476 (ἵστημι);","strongs_def":" a setting under (support), i.e. (figuratively) concretely, essence, or abstractly, assurance (objectively or subjectively)","kjv_def":"confidence, confident, person, substance","lemma":"ὑπόστασις"},
"G2545":{"lemma":"καίω","kjv_def":"burn, light","strongs_def":" to set on fire, i.e. kindle or (by implication) consume","derivation":"apparently a primary verb;"},
"G4502":{"lemma":"Ῥουβήν","kjv_def":"Reuben","strongs_def":" Ruben (i.e. Reuben), an Israelite","derivation":"of Hebrew origin (H07205);"},
"G3372":{"lemma":"μῆκος","strongs_def":" length (literally or figuratively) length. ","derivation":"probably akin to G3173 (μέγας);"},
"G1519":{"derivation":"a primary preposition;","strongs_def":" to or into (indicating the point reached or entered), of place, time, or (figuratively) purpose (result, etc.); also in adverbial phrases","lemma":"εἰς","kjv_def":"(abundant-)ly, against, among, as, at, (back-)ward, before, by, concerning, + continual, + far more exceeding, for (intent, purpose), fore, + forth, in (among, at, unto, -so much that, -to), to the intent that, + of one mind, + never, of, (up-)on, + perish, + set at one again, (so) that, therefore(-unto), throughout, til, to (be, the end, -ward), (here-)until(-to), …ward, (where-)fore, with"},
"G5490":{"lemma":"χάσμα","kjv_def":"gulf","strongs_def":" a \"chasm\" or vacancy (impassable interval)","derivation":"from a form of an obsolete primary (to \"gape\" or \"yawn\");"},
"G3320":{"derivation":"from G3319 (μέσος) and G5109 (τοῖχος);","strongs_def":" a partition (figuratively)","lemma":"μεσότοιχον","kjv_def":"middle wall"},
"G683":{"lemma":"ἀπωθέομαι","kjv_def":"cast away, put away (from), thrust away (from)","derivation":"from G575 (ἀπό) and the middle voice of or (to shove);","strongs_def":" to push off, figuratively, to reject"},
"G307":{"kjv_def":"draw","lemma":"ἀναβιβάζω","strongs_def":" to cause to go up, i.e. haul (a net)","derivation":"from G303 (ἀνά) and a derivative of the base of G939 (βάσις);"},
"G1965":{"strongs_def":" on oath, i.e. (falsely) a forswearer","derivation":"from G1909 (ἐπί) and G3727 (ὅρκος);","lemma":"ἐπίορκος","kjv_def":"perjured person"},
"G1237":{"kjv_def":"come after","lemma":"διαδέχομαι","derivation":"from G1223 (διά) and G1209 (δέχομαι);","strongs_def":" to receive in turn, i.e. (figuratively) succeed to"},
"G4398":{"derivation":"feminine of G4396 (προφήτης);","strongs_def":" a female foreteller or an inspired woman","kjv_def":"prophetess","lemma":"προφῆτις"},
"G5011":{"strongs_def":" depressed, i.e. (figuratively) humiliated (in circumstances or disposition)","derivation":"of uncertain derivation;","lemma":"ταπεινός","kjv_def":"base, cast down, humble, of low degree (estate), lowly"},
"G155":{"strongs_def":" a thing asked or (abstractly) an asking","derivation":"from G154 (αἰτέω);","kjv_def":"petition, request, required","lemma":"αἴτημα"},
"G4221":{"derivation":"neuter of a derivative of the alternate of G4095 (πίνω);","strongs_def":" a drinking-vessel; by extension, the contents thereof, i.e. a cupful (draught); figuratively, a lot or fate","kjv_def":"cup","lemma":"ποτήριον"},
"G159":{"kjv_def":"author","lemma":"αἴτιος","strongs_def":" causative, i.e. (concretely) a causer","derivation":"from the same as G154 (αἰτέω);"},
"G2914":{"lemma":"Κρήτη","kjv_def":"Crete","derivation":"of uncertain derivation;","strongs_def":" Crete, an island in the Mediterranean"},
"G4032":{"strongs_def":" to conceal all around, i.e. entirely","derivation":"from G4012 (περί) and G2928 (κρύπτω);","kjv_def":"hide","lemma":"περικρύπτω"},
"G4688":{"kjv_def":"executioner","lemma":"σπεκουλάτωρ","derivation":"of Latin origin;","strongs_def":" a speculator, i.e. military scout (spy or (by extension) life-guardsman)"},
"G1418":{"lemma":"δυσ-","kjv_def":"+ hard, + grievous, etc","derivation":"a primary inseparable particle of uncertain derivation;","strongs_def":" used only in composition as a prefix; hard, i.e. with difficulty"},
"G410":{"lemma":"ἀνέγκλητος","kjv_def":"blameless","derivation":"from G1 (Α) (as a negative particle) and a derivative of G1458 (ἐγκαλέω);","strongs_def":" unaccused, i.e. (by implication) irreproachable"},
"G5441":{"kjv_def":"keeper","lemma":"φύλαξ","derivation":"from G5442 (φυλάσσω);","strongs_def":" a watcher or sentry"},
"G5594":{"lemma":"ψύχω","kjv_def":"wax cold","strongs_def":" to breathe (voluntarily but gently, thus differing on the one hand from G4154 (πνέω), which denotes properly a forcible respiration; and on the other from the base of G109 (ἀήρ), which refers properly to an inanimate breeze), i.e. (by implication, of reduction of temperature by evaporation) to chill (figuratively)","derivation":"a primary verb;"},
"G2879":{"strongs_def":" Core (i.e. Korach), an Israelite","derivation":"of Hebrew origin (H07141);","kjv_def":"Core","lemma":"Κορέ"},
"G5328":{"lemma":"Φαραώ","kjv_def":"Pharaoh","derivation":"of foreign origin (H06547);","strongs_def":" Pharao (i.e. Pharoh), an Egyptian king"},
"G2218":{"derivation":"from the root of (to join, especially by a \"yoke\");","strongs_def":" a coupling, i.e. (figuratively) servitude (a law or obligation); also (literally) the beam of the balance (as connecting the scales)","lemma":"ζυγός","kjv_def":"pair of balances, yoke"},
"G3027":{"strongs_def":" a brigand","derivation":"from (to plunder);","lemma":"λῃστής","kjv_def":"robber, thief"},
"G5181":{"derivation":"a provincial form of the derivative of the base of G2962 (κύριος);","strongs_def":" a \"tyrant\"; Tyrannus, an Ephesian","kjv_def":"Tyrannus","lemma":"Τύραννος"},
"G2637":{"kjv_def":"backbiter","lemma":"κατάλαλος","strongs_def":" talkative against, i.e. a slanderer","derivation":"from G2596 (κατά) and the base of G2980 (λαλέω);"},
"G5067":{"strongs_def":" fourth","derivation":"ordinal from G5064 (τέσσαρες);","kjv_def":"four(-th)","lemma":"τέταρτος"},
"G631":{"kjv_def":"wipe off","lemma":"ἀπομάσσομαι","strongs_def":" to scrape away","derivation":"middle voice from G575 (ἀπό) and (to squeeze, knead, smear);"},
"G4042":{"kjv_def":"place","lemma":"περιοχή","strongs_def":" a being held around, i.e. (concretely) a passage (of Scripture, as circumscribed)","derivation":"from G4023 (περιέχω);"},
"G826":{"strongs_def":" to beam forth (figuratively)","derivation":"from G827 (αὐγή);","kjv_def":"shine","lemma":"αὐγάζω"},
"G219":{"lemma":"ἀλεκτοροφωνία","kjv_def":"cockcrowing","strongs_def":" cock-crow, i.e. the third night-watch","derivation":"from G220 (ἀλέκτωρ) and G5456 (φωνή);"},
"G2797":{"kjv_def":"Cis","lemma":"Κίς","strongs_def":" Cis (i.e. Kish), an Israelite","derivation":"of Hebrew origin (H07027);"},
"G4155":{"derivation":"strengthened from G4154 (πνέω);","strongs_def":" to wheeze, i.e. (causative, by implication) to throttle or strangle (drown)","kjv_def":"choke, take by the throat","lemma":"πνίγω"},
"G915":{"strongs_def":" a foreigner (i.e. non-Greek)","derivation":"of uncertain derivation;","lemma":"βάρβαρος","kjv_def":"barbarian(-rous)"},
"G1748":{"strongs_def":" to lurk, i.e. (figuratively) plot assassination","derivation":"from G1747 (ἐνέδρα);","kjv_def":"lay wait for","lemma":"ἐνεδρεύω"},
"G5061":{"lemma":"Τέρτυλλος","kjv_def":"Tertullus","derivation":"of uncertain derivation;","strongs_def":" Tertullus, a Roman"},
"G4246":{"kjv_def":"aged (man), old man","lemma":"πρεσβύτης","derivation":"from the same as G4245 (πρεσβύτερος);","strongs_def":" an old man"},
"G794":{"derivation":"from G1 (Α) (as a negative particle) and a presumed derivative of (to cherish affectionately);","strongs_def":" hard-hearted towards kindred","lemma":"ἄστοργος","kjv_def":"without natural affection"},
"G2745":{"lemma":"καύχημα","kjv_def":"boasting, (whereof) to glory (of), glorying, rejoice(-ing)","strongs_def":" a boast (properly, the object; by implication, the act) in a good or a bad sense","derivation":"from G2744 (καυχάομαι);"},
"G2043":{"strongs_def":" to prop, i.e. (reflexively) get fast","derivation":"of obscure affinity;","kjv_def":"stick fast","lemma":"ἐρείδω"},
"G2941":{"lemma":"κυβέρνησις","kjv_def":"government","strongs_def":" pilotage, i.e. (figuratively) directorship (in the church)","derivation":"from (of Latin origin, to steer);"},
"G5390":{"derivation":"adverb from G5391 (φιλόφρων);","strongs_def":" with friendliness of mind, i.e. kindly","kjv_def":"courteously","lemma":"φιλοφρόνως"},
"G4800":{"derivation":"from G4862 (σύν) and G2198 (ζάω);","strongs_def":" to continue to live in common with, i.e. co-survive (literally or figuratively)","lemma":"συζάω","kjv_def":"live with"},
"G918":{"lemma":"Βαρθολομαῖος","kjv_def":"Bartholomeus","derivation":"of Chaldee origin (H01247 and H08526);","strongs_def":" son of Tolmai; Bar-tholomæus, a Christian apostle"},
"G1179":{"strongs_def":" the ten-city region; the Decapolis, a district in Syria","derivation":"from G1176 (δέκα) and G4172 (πόλις);","lemma":"Δεκάπολις","kjv_def":"Decapolis"},
"G2242":{"lemma":"Ἡλί","kjv_def":"Heli","strongs_def":" Heli (i.e. Eli), an Israelite","derivation":"of Hebrew origin (H05941);"},
"G3178":{"lemma":"μέθη","kjv_def":"drunkenness","derivation":"apparently a primary word;","strongs_def":" an intoxicant, i.e. (by implication) intoxication"},
"G2747":{"kjv_def":"Cencrea","lemma":"Κεγχρεαί","derivation":"probably from kegchros (millet);","strongs_def":" Cenchreæ, a port of Corinth"},
"G4594":{"derivation":"neuter (as adverb) of a presumed compound of the article G3588 (ὁ) (t changed to s) and G2250 (ἡμέρα);","strongs_def":" on the (i.e. this) day (or night current or just passed); generally, now (i.e. at present, hitherto)","lemma":"σήμερον","kjv_def":"this (to-)day"},
"G2596":{"strongs_def":" (prepositionally) down (in place or time), in varied relations (according to the case (genitive, dative or accusative) with which it is joined)","derivation":"a primary particle;","lemma":"κατά","kjv_def":"about, according as (to), after, against, (when they were) X alone, among, and, X apart, (even, like) as (concerning, pertaining to touching), X aside, at, before, beyond, by, to the charge of, (charita-)bly, concerning, + covered, (dai-)ly, down, every, (+ far more) exceeding, X more excellent, for, from … to, godly, in(-asmuch, divers, every, -to, respect of), … by, after the manner of, + by any means, beyond (out of) measure, X mightily, more, X natural, of (up-)on (X part), out (of every), over against, (+ your) X own, + particularly, so, through(-oughout, -oughout every), thus, (un-)to(-gether, -ward), X uttermost, where(-by), with"},
"G556":{"derivation":"from G575 (ἀπό) and G1643 (ἐλαύνω);","strongs_def":" to dismiss","lemma":"ἀπελαύνω","kjv_def":"drive"},
"G2570":{"kjv_def":"X better, fair, good(-ly), honest, meet, well, worthy","lemma":"καλός","derivation":"of uncertain affinity; properly, beautiful, but chiefly (figuratively) good (literally or morally), i.e. valuable or virtuous (for appearance or use, and thus distinguished from G18 (ἀγαθός), which is properly intrinsic)"},
"G59":{"lemma":"ἀγοράζω","kjv_def":"buy, redeem","strongs_def":" properly, to go to market, i.e. (by implication) to purchase; specially, to redeem","derivation":"from G58 (ἀγορά);"},
"G792":{"derivation":"probably from the base of G4766 (στρώννυμι);","strongs_def":" a star (as strown over the sky), literally or figuratively","lemma":"ἀστήρ","kjv_def":"star"},
"G3155":{"derivation":"accusative case of a derivative of the base of G3145 (μασσάομαι) (through the idea of tentative manipulation, i.e. unsuccessful search, or else of punishment);","strongs_def":" folly, i.e. (adverbially) to no purpose","lemma":"μάτην","kjv_def":"in vain"},
"G1388":{"derivation":"from an obsolete primary verb, (probably meaning to decoy;","strongs_def":" compare G1185 (δελεάζω)); a trick (bait), i.e. (figuratively) wile","kjv_def":"craft, deceit, guile, subtilty","lemma":"δόλος"},
"G5025":{"strongs_def":" (to or with or by, etc.) these","derivation":"dative case and accusative case feminine plural respectively of G3778 (οὗτος);","kjv_def":"hence, that, then, these, those","lemma":"ταύταις"},
"G5363":{"lemma":"φιλανθρωπία","kjv_def":"kindness, love towards man","strongs_def":" fondness of mankind, i.e. benevolence (\"philanthropy\")","derivation":"from the same as G5364 (φιλανθρώπως);"},
"G3614":{"strongs_def":" properly, residence (abstractly), but usually (concretely) an abode (literally or figuratively); by implication, a family (especially domestics)","derivation":"from G3624 (οἶκος);","lemma":"οἰκία","kjv_def":"home, house(-hold)"},
"G4624":{"kjv_def":"(make to) offend","lemma":"σκανδαλίζω","strongs_def":" to entrap, i.e. trip up (figuratively, stumble (transitively) or entice to sin, apostasy or displeasure)","derivation":"from G4625 (σκάνδαλον);"},
"G2261":{"kjv_def":"gentle","lemma":"ἤπιος","derivation":"probably from G2031 (ἔπος);","strongs_def":" properly, affable, i.e. mild or kind"},
"G1545":{"lemma":"ἔκβασις","kjv_def":"end, way to escape","derivation":"from a compound of G1537 (ἐκ) and the base of G939 (βάσις) (meaning to go out);","strongs_def":" an exit (literally or figuratively)"},
"G3032":{"derivation":"of Latin origin;","strongs_def":" a Roman freedman","lemma":"Λιβερτῖνος","kjv_def":"Libertine"},
"G5085":{"strongs_def":" Tiberias, the name of a town and a lake in Palestine","derivation":"from G5086 (Τιβέριος);","kjv_def":"Tiberias","lemma":"Τιβεριάς"},
"G2517":{"lemma":"καθεξῆς","kjv_def":"after(-ward), by (in) order","strongs_def":" thereafter, i.e. consecutively; as a noun (by ellipsis of noun) a subsequent person or time","derivation":"from G2596 (κατά) and G1836 (ἑξῆς);"},
"G2056":{"strongs_def":" a kid or (genitive case) goat","derivation":"perhaps from the same as G2053 (ἔριον) (through the idea of hairiness);","kjv_def":"goat, kid","lemma":"ἔριφος"},
"G4519":{"derivation":"of Hebrew origin (H06635 in feminine plural);","strongs_def":" armies; sabaoth (i.e. tsebaoth), a military epithet of God","lemma":"σαβαώθ","kjv_def":"sabaoth"},
"G1849":{"kjv_def":"authority, jurisdiction, liberty, power, right, strength","lemma":"ἐξουσία","derivation":"from G1832 (ἔξεστι) (in the sense of ability);","strongs_def":" privilege, i.e. (subjectively) force, capacity, competency, freedom, or (objectively) mastery (concretely, magistrate, superhuman, potentate, token of control), delegated influence"},
"G2390":{"strongs_def":" to cure (literally or figuratively)","derivation":"middle voice of apparently a primary verb;","lemma":"ἰάομαι","kjv_def":"heal, make whole"},
"G5479":{"strongs_def":" cheerfulness, i.e. calm delight","derivation":"from G5463 (χαίρω);","lemma":"χαρά","kjv_def":"gladness, X greatly, (X be exceeding) joy(-ful, -fully, -fulness, -ous)"},
"G2279":{"lemma":"ἦχος","kjv_def":"fame, sound","strongs_def":" a loud or confused noise (\"echo\"), i.e. roar; figuratively, a rumor","derivation":"of uncertain affinity;"},
"G2504":{"strongs_def":" so also the dative case , and accusative case and (or also, even, etc.) I, (to) me","derivation":"from G2532 (καί) and G1473 (ἐγώ);","kjv_def":"(and, even, even so, so) I (also, in like wise), both me, me also","lemma":"κἀγώ"},
"G1154":{"kjv_def":"Damascus","lemma":"Δαμασκός","derivation":"of Hebrew origin (H01834);","strongs_def":" Damascus, a city of Syria"},
"G2843":{"lemma":"κοινωνικός","kjv_def":"willing to communicate","strongs_def":" communicative, i.e. (pecuniarily) liberal","derivation":"from G2844 (κοινωνός);"},
"G1034":{"strongs_def":" eatable","derivation":"from G1035 (βρῶσις);","kjv_def":"meat","lemma":"βρώσιμος"},
"G218":{"strongs_def":" to oil (with perfume)","derivation":"from G1 (Α) (as particle of union) and the base of G3045 (λιπαρός);","kjv_def":"anoint","lemma":"ἀλείφω"},
"G3110":{"strongs_def":" a Macedon (Macedonian), i.e. inhabitant of Macedonia","derivation":"of uncertain derivation;","lemma":"Μακεδών","kjv_def":"of Macedonia, Macedonian"},
"G4918":{"kjv_def":"throng","lemma":"συνθλίβω","strongs_def":" to compress, i.e. crowd on all sides","derivation":"from G4862 (σύν) and G2346 (θλίβω);"},
"G3020":{"derivation":"from G3019 (Λευΐτης);","strongs_def":" Levitic, i.e. relating to the Levites","kjv_def":"Levitical","lemma":"Λευϊτικός"},
"G1082":{"strongs_def":" Gennesaret (i.e. Kinnereth), a lake and plain in Palestine","derivation":"of Hebrew origin (compare H03672);","kjv_def":"Gennesaret","lemma":"Γεννησαρέτ"},
"G1647":{"lemma":"ἐλαχιστότερος","kjv_def":"less than the least","derivation":"comparative of G1646 (ἐλάχιστος);","strongs_def":" far less"},
"G4759":{"lemma":"στρατοπεδάρχης","kjv_def":"captain of the guard","derivation":"from G4760 (στρατόπεδον) and G757 (ἄρχω);","strongs_def":" a ruler of an army, i.e. (specially), a Prætorian præfect"},
"G3728":{"derivation":"from a compound of G3727 (ὅρκος) and a derivative of G3660 (ὀμνύω);","strongs_def":" asseveration on oath","kjv_def":"oath","lemma":"ὁρκωμοσία"},
"G2331":{"lemma":"Θεσσαλονικεύς","kjv_def":"Thessalonian","derivation":"from G2332 (Θεσσαλονίκη);","strongs_def":" a Thessalonican, i.e. inhabitant of Thessalonice"},
"G4782":{"derivation":"from G4862 (σύν) and G2597 (καταβαίνω);","strongs_def":" to descend in company with","lemma":"συγκαταβαίνω","kjv_def":"go down with"},
"G1285":{"strongs_def":" to clear thoroughly, i.e. (figuratively) declare","derivation":"from G1223 (διά) and (clear);","lemma":"διασαφέω","kjv_def":"tell unto"},
"G2689":{"strongs_def":" a deposit, i.e. (specially) costume","derivation":"from G2687 (καταστέλλω);","lemma":"καταστολή","kjv_def":"apparel"},
"G4192":{"strongs_def":" toil, i.e. (by implication) anguish","derivation":"from the base of G3993 (πένης);","kjv_def":"pain","lemma":"πόνος"},
"G4763":{"kjv_def":"live deliciously","lemma":"στρηνιάω","derivation":"from a presumed derivative of G4764 (στρῆνος);","strongs_def":" to be luxurious"},
"G2890":{"derivation":"of Latin origin (fourth);","strongs_def":" Quartus, a Christian","kjv_def":"Quartus","lemma":"Κούαρτος"},
"G1655":{"derivation":"from G1653 (ἐλεέω);","strongs_def":" compassionate (actively)","kjv_def":"merciful","lemma":"ἐλεήμων"},
"G2019":{"strongs_def":" to call at something, i.e. exclaim","derivation":"from G1909 (ἐπί) and G5455 (φωνέω);","lemma":"ἐπιφωνέω","kjv_def":"cry (against), give a shout"},
"G4747":{"derivation":"neuter of a presumed derivative of the base of G4748 (στοιχέω);","strongs_def":" something orderly in arrangement, i.e. (by implication) a serial (basal, fundamental, initial) constituent (literally), proposition (figuratively)","lemma":"στοιχεῖον","kjv_def":"element, principle, rudiment"},
"G4485":{"strongs_def":" something torn, i.e. a fragment (by implication and abstractly, a fall)","derivation":"from G4486 (ῥήγνυμι);","lemma":"ῥῆγμα","kjv_def":"ruin"},
"G5324":{"derivation":"from a derivative of G5316 (φαίνω);","strongs_def":" to make apparent, i.e. (passively) to appear (neuter participle as noun, a spectacle)","lemma":"φαντάζω","kjv_def":"sight"},
"G5263":{"derivation":"from G5259 (ὑπό) and G1166 (δεικνύω);","strongs_def":" to exhibit under the eyes, i.e. (figuratively) to exemplify (instruct, admonish)","kjv_def":"show, (fore-)warn","lemma":"ὑποδείκνυμι"},
"G4935":{"strongs_def":" concisely (briefly)","derivation":"adverb from a derivative of G4932 (συντέμνω);","kjv_def":"a few words","lemma":"συντόμως"},
"G1520":{"kjv_def":"a(-n, -ny, certain), + abundantly, man, one (another), only, other, some","lemma":"εἷς","strongs_def":" one","derivation":"a primary numeral;"},
"G3454":{"strongs_def":" a tale, i.e. fiction (\"myth\")","derivation":"perhaps from the same as G3453 (μυέω) (through the idea of tuition);","kjv_def":"fable","lemma":"μῦθος"},
"G4365":{"derivation":"from G4314 (πρός) and G4198 (πορεύομαι);","strongs_def":" to journey towards, i.e. approach (not the same as G4313 (προπορεύομαι))","lemma":"προσπορεύομαι","kjv_def":"go before"},
"G3353":{"lemma":"μέτοχος","kjv_def":"fellow, partaker, partner","derivation":"from G3348 (μετέχω);","strongs_def":" participant, i.e. (as noun) a sharer; by implication, an associate"},
"G195":{"lemma":"ἀκρίβεια","kjv_def":"perfect manner","derivation":"from the same as G196 (ἀκριβέστατος);","strongs_def":" exactness"},
"G4461":{"strongs_def":" my master, i.e Rabbi, as an official title of honor","derivation":"of Hebrew origin (H07227 with pronominal suffix);","lemma":"ῥαββί","kjv_def":"Master, Rabbi"},
"G748":{"strongs_def":" high-priestly","derivation":"from G746 (ἀρχή) and a derivative of G2413 (ἱερός);","lemma":"ἀρχιερατικός","kjv_def":"of the high-priest"},
"G1859":{"kjv_def":"feast, holyday","lemma":"ἑορτή","strongs_def":" a festival","derivation":"of uncertain affinity;"},
"G1111":{"derivation":"of uncertain derivation;","strongs_def":" to grumble","kjv_def":"murmur","lemma":"γογγύζω"},
"G1813":{"lemma":"ἐξαλείφω","kjv_def":"blot out, wipe away","derivation":"from G1537 (ἐκ) and G218 (ἀλείφω);","strongs_def":" to smear out, i.e. obliterate (erase tears, figuratively, pardon sin)"},
"G2550":{"lemma":"κακοήθεια","kjv_def":"malignity","derivation":"from a compound of G2556 (κακός) and G2239 (ἦθος);","strongs_def":" bad character, i.e. (specially) mischievousness"},
"G1701":{"derivation":"from G1702 (ἐμπαίζω);","strongs_def":" derision","kjv_def":"mocking","lemma":"ἐμπαιγμός"},
"G462":{"kjv_def":"unholy","lemma":"ἀνόσιος","strongs_def":" wicked","derivation":"from G1 (Α) (as a negative particle) and G3741 (ὅσιος);"},
"G786":{"strongs_def":" literally, without libation (which usually accompanied a treaty), i.e. (by implication) truceless","derivation":"from G1 (Α) (as a negative particle) and a derivative of G4689 (σπένδω);","lemma":"ἄσπονδος","kjv_def":"implacable, truce-breaker"},
"G2314":{"kjv_def":"to fight against God","lemma":"θεομάχος","strongs_def":" an opponent of deity","derivation":"from G2316 (θεός) and G3164 (μάχομαι);"},
"G1587":{"strongs_def":" to omit, i.e. (by implication) cease (die)","derivation":"from G1537 (ἐκ) and G3007 (λείπω);","lemma":"ἐκλείπω","kjv_def":"fail"},
"G488":{"kjv_def":"measure again","lemma":"ἀντιμετρέω","strongs_def":" to mete in return","derivation":"from G473 (ἀντί) and G3354 (μετρέω);"},
"G4095":{"kjv_def":"drink","lemma":"πίνω","strongs_def":" to imbibe (literally or figuratively)","derivation":"a prolonged form of ; which (together with another form) ; occurs only as an alternate in certain tenses;"},
"G4233":{"lemma":"πράκτωρ","kjv_def":"officer","derivation":"from a derivative of G4238 (πράσσω);","strongs_def":" a practiser, i.e. (specially), an official collector"},
"G4428":{"lemma":"πτύσσω","kjv_def":"close","strongs_def":" and thus apparently allied to G4072 (πέτομαι) through the idea of expansion, and to 4429 through that of flattening; compare G3961 (πατέω)); to fold, i.e. furl a scroll","derivation":"probably akin to (to spread;"},
"G4165":{"lemma":"ποιμαίνω","kjv_def":"feed (cattle), rule","strongs_def":" to tend as a shepherd of (figuratively, superviser)","derivation":"from G4166 (ποιμήν);"},
"G5251":{"lemma":"ὑπερυψόω","kjv_def":"highly exalt","strongs_def":" to elevate above others, i.e. raise to the highest position","derivation":"from G5228 (ὑπέρ) and G5312 (ὑψόω);"},
"G5564":{"lemma":"χωρίον","kjv_def":"field, land, parcel of ground, place, possession","strongs_def":" a spot or plot of ground","derivation":"diminutive of G5561 (χώρα);"},
"G1513":{"strongs_def":" if somehow","derivation":"from G1487 (εἰ) and G4458 (-πώς);","kjv_def":"if by any means","lemma":"εἴ πως"},
"G4357":{"kjv_def":"abide still, be with, cleave unto, continue in (with)","lemma":"προσμένω","strongs_def":" to stay further, i.e. remain in a place, with a person; figuratively, to adhere to, persevere in","derivation":"from G4314 (πρός) and G3306 (μένω);"},
"G4136":{"derivation":"from G4135 (πληροφορέω);","strongs_def":" entire confidence","kjv_def":"(full) assurance","lemma":"πληροφορία"},
"G2825":{"lemma":"κλίνη","kjv_def":"bed, table","derivation":"from G2827 (κλίνω);","strongs_def":" a couch (for sleep, sickness, sitting or eating)"},
"G4668":{"kjv_def":"in Smyrna","lemma":"Σμυρναῖος","derivation":"from G4667 (Σμύρνα);","strongs_def":" a Smyrnæan"},
"G3774":{"derivation":"of Hebrew origin (H0223);","strongs_def":" Urias (i.e. Urijah), a Hittite","kjv_def":"Urias","lemma":"Οὐρίας"},
"G286":{"kjv_def":"lamb","lemma":"ἀμνός","derivation":"apparently a primary word;","strongs_def":" a lamb"},
"G4305":{"strongs_def":" to care (anxiously) in advance","derivation":"from G4253 (πρό) and G3309 (μεριμνάω);","kjv_def":"take thought beforehand","lemma":"προμεριμνάω"},
"G3355":{"lemma":"μετρητής","kjv_def":"firkin","strongs_def":" a measurer, i.e. (specially), a certain standard measure of capacity for liquids","derivation":"from G3354 (μετρέω);"},
"G5189":{"lemma":"τυφωνικός","kjv_def":"tempestuous","derivation":"from a derivative of G5188 (τύφω);","strongs_def":" stormy (as if smoky)"},
"G1254":{"lemma":"διακωλύω","kjv_def":"forbid","strongs_def":" to hinder altogether, i.e. utterly prohibit","derivation":"from G1223 (διά) and G2967 (κωλύω);"},
"G939":{"kjv_def":"foot","lemma":"βάσις","strongs_def":" a pace (\"base\"), i.e. (by implication) the foot","derivation":"from (to walk);"},
"G4990":{"lemma":"σωτήρ","kjv_def":"saviour","strongs_def":" a deliverer, i.e. God or Christ","derivation":"from G4982 (σώζω);"},
"G913":{"strongs_def":" Barak, an Israelite","derivation":"of Hebrew origin (H01301);","lemma":"Βαράκ","kjv_def":"Barak"},
"G3666":{"strongs_def":" to assimilate, i.e. compare; passively, to become similar","derivation":"from G3664 (ὅμοιος);","kjv_def":"be (make) like, (in the) liken(-ess), resemble","lemma":"ὁμοιόω"},
"G929":{"lemma":"βασανισμός","kjv_def":"torment","derivation":"from G928 (βασανίζω);","strongs_def":" torture"},
"G1393":{"strongs_def":"gazelle; Dorcas, a Christian woman","kjv_def":"Dorcas","lemma":"Δορκάς"},
"G28":{"kjv_def":"Hagar","lemma":"Ἄγαρ","derivation":"of Hebrew origin (H01904);","strongs_def":" Hagar, the concubine of Abraham"},
"G3749":{"derivation":"from (\"oyster\") (a tile, i.e. terra cotta);","strongs_def":" earthen-ware, i.e. clayey; by implication, frail","kjv_def":"of earth, earthen","lemma":"ὀστράκινος"},
"G808":{"derivation":"from G809 (ἀσχήμων);","strongs_def":" an indecency; by implication, the pudenda","kjv_def":"shame, that which is unseemly","lemma":"ἀσχημοσύνη"},
"G3523":{"lemma":"νῆστις","kjv_def":"fasting","derivation":"from the inseparable negative particle (not) and G2068 (ἐσθίω);","strongs_def":" not eating, i.e. abstinent from food (religiously)"},
"G4275":{"kjv_def":"foresee, saw before","lemma":"προείδω","derivation":"from G4253 (πρό) and G1492 (εἴδω);","strongs_def":" foresee"},
"G1144":{"derivation":"of uncertain affinity;","strongs_def":" a tear","kjv_def":"tear","lemma":"δάκρυ"},
"G546":{"kjv_def":"threaten","lemma":"ἀπειλέω","derivation":"of uncertain derivation;","strongs_def":" to menace; by implication, to forbid"},
"G4940":{"kjv_def":"come at","lemma":"συντυγχάνω","strongs_def":" to chance together, i.e. meet with (reach)","derivation":"from G4862 (σύν) and G5177 (τυγχάνω);"},
"G5446":{"strongs_def":" \"physical\", i.e. (by implication) instinctive","derivation":"from G5449 (φύσις);","lemma":"φυσικός","kjv_def":"natural"},
"G581":{"strongs_def":" absent, i.e. deceased (figuratively, renounced)","derivation":"past participle of a compound of G575 (ἀπό) and G1096 (γίνομαι);","lemma":"ἀπογενόμενος","kjv_def":"being dead"},
"G4815":{"derivation":"from G4862 (σύν) and G2983 (λαμβάνω);","strongs_def":" to clasp, i.e. seize (arrest, capture); specially, to conceive (literally or figuratively); by implication, to aid","lemma":"συλλαμβάνω","kjv_def":"catch, conceive, help, take"},
"G4887":{"derivation":"from G4862 (σύν) and G1210 (δέω);","strongs_def":" to bind with, i.e. (passively) be a fellow-prisoner (figuratively)","kjv_def":"be bound with","lemma":"συνδέω"},
"G4824":{"strongs_def":" advisement; specially, a deliberative body, i.e. the provincial assessors or lay-court","derivation":"neuter of a presumed derivative of G4825 (σύμβουλος);","kjv_def":"consultation, counsel, council","lemma":"συμβούλιον"},
"G3597":{"kjv_def":"journey(-ing)","lemma":"ὁδοιπορία","strongs_def":" travel","derivation":"from the same as G3596 (ὁδοιπορέω);"},
"G5443":{"lemma":"φυλή","kjv_def":"kindred, tribe","strongs_def":" an offshoot, i.e. race or clan","derivation":"from G5453 (φύω) (compare G5444 (φύλλον));"},
"G5214":{"kjv_def":"sing a hymn (praise unto)","lemma":"ὑμνέω","derivation":"from G5215 (ὕμνος);","strongs_def":" to hymn, i.e. sing a religious ode; by implication, to celebrate (God) in song"},
"G2364":{"strongs_def":" a female child, or (by Hebraism) descendant (or inhabitant)","derivation":"apparently a primary word (compare \"daughter\");","kjv_def":"daughter","lemma":"θυγάτηρ"},
"G2878":{"derivation":"of Hebrew and Chaldee origin respectively (H07133);","strongs_def":" a votive offering and the offering; a consecrated present (to the Temple fund); by extension (the latter term) the Treasury itself, i.e. the room where the contribution boxes stood","lemma":"κορβᾶν","kjv_def":"Corban, treasury"},
"G4891":{"derivation":"from G4862 (σύν) and G1453 (ἐγείρω);","strongs_def":" to rouse (from death) in company with, i.e. (figuratively) to revivify (spirtually) in resemblance to","kjv_def":"raise up together, rise with","lemma":"συνεγείρω"},
"G4067":{"derivation":"from a comparative of G4012 (περί) and (to rub);","strongs_def":" something brushed all around, i.e. off-scrapings (figuratively, scum)","lemma":"περίψωμα","kjv_def":"offscouring"},
"G485":{"kjv_def":"contradiction, gainsaying, strife","lemma":"ἀντιλογία","derivation":"from a derivative of G483 (ἀντιλέγω);","strongs_def":" dispute, disobedience"},
"G1184":{"kjv_def":" accepted(-table)","lemma":"δεκτός","derivation":"from G1209 (δέχομαι);","strongs_def":" approved; (figuratively) propitious"},
"G3371":{"strongs_def":" no further","derivation":"from G3361 (μή) and G2089 (ἔτι);","kjv_def":"any longer, (not) henceforth, hereafter, no henceforward (longer, more, soon), not any more","lemma":"μηκέτι"},
"G1391":{"lemma":"δόξα","kjv_def":"dignity, glory(-ious), honour, praise, worship","strongs_def":" glory (as very apparent), in a wide application (literal or figurative, objective or subjective)","derivation":"from the base of G1380 (δοκέω);"},
"G2610":{"derivation":"from G2596 (κατά) and G75 (ἀγωνίζομαι);","strongs_def":" to struggle against, i.e. (by implication) to overcome","lemma":"καταγωνίζομαι","kjv_def":"subdue"},
"G1431":{"strongs_def":" a gratuity","derivation":"from G1435 (δῶρον);","kjv_def":"gift","lemma":"δωρεά"},
"G2894":{"lemma":"κόφινος","kjv_def":"basket","derivation":"of uncertain derivation;","strongs_def":" a (small) basket"},
"G2286":{"lemma":"θανάσιμος","kjv_def":"deadly","strongs_def":" fatal, i.e. poisonous","derivation":"from G2288 (θάνατος);"},
"G5184":{"derivation":"of Hebrew origin (H06865): Tyrus (i.e. Tsor), a place in Palestine","lemma":"Τύρος","kjv_def":"Tyre"},
"G5560":{"strongs_def":" \"halt\", i.e. limping","derivation":"apparently a primary word;","lemma":"χωλός","kjv_def":"cripple, halt, lame"},
"G4823":{"derivation":"from G4862 (σύν) and G1011 (βουλεύω);","strongs_def":" to give (or take) advice jointly, i.e. recommend, deliberate or determine","kjv_def":"consult, (give, take) counsel (together)","lemma":"συμβουλεύω"},
"G4793":{"kjv_def":"compare among (with)","lemma":"συγκρίνω","derivation":"from G4862 (σύν) and G2919 (κρίνω);","strongs_def":" to judge of one thing in connection with another, i.e. combine (spiritual ideas with appropriate expressions) or collate (one person with another by way of contrast or resemblance)"},
"G1493":{"lemma":"εἰδωλεῖον","kjv_def":"idol's temple","strongs_def":" an image-fane","derivation":"neuter of a presumed derivative of G1497 (εἴδωλον);"},
"G3106":{"kjv_def":"call blessed, count happy","lemma":"μακαρίζω","strongs_def":" to beatify, i.e. pronounce (or esteem) fortunate","derivation":"from G3107 (μακάριος);"},
"G3026":{"strongs_def":" twaddle, i.e. an incredible story","derivation":"apparently a primary word;","kjv_def":"idle tale","lemma":"λῆρος"},
"G5234":{"lemma":"ὑπερβαλλόντως","kjv_def":"beyond measure","derivation":"adverb from present participle active of G5235 (ὑπερβάλλω);","strongs_def":" excessively"},
"G3914":{"kjv_def":"winter","lemma":"παραχειμάζω","strongs_def":" to winter near, i.e. stay with over the rainy season","derivation":"from G3844 (παρά) and G5492 (χειμάζω);"},
"G3451":{"kjv_def":"musician","lemma":"μουσικός","strongs_def":" \"musical\", i.e. (as noun) a minstrel","derivation":"from (a Muse);"},
"G3781":{"lemma":"ὀφειλέτης","kjv_def":"debtor, which owed, sinner","strongs_def":" an ower, i.e. person indebted; figuratively, a delinquent; morally, a transgressor (against God)","derivation":"from G3784 (ὀφείλω);"},
"G396":{"lemma":"ἀνατρέπω","kjv_def":"overthrow, subvert","derivation":"from G303 (ἀνά) and the base of G5157 (τροπή);","strongs_def":" to overturn (figuratively)"},
"G4082":{"kjv_def":"scrip","lemma":"πήρα","strongs_def":" a wallet or leather pouch for food","derivation":"of uncertain affinity;"},
"G1094":{"kjv_def":"old age","lemma":"γῆρας","derivation":"akin to G1088 (γέρων);","strongs_def":" senility"},
"G712":{"strongs_def":" the best meal (or breakfast; perhaps from (\"early\")), i.e. luncheon","derivation":"apparently neuter of a superlative from the same as G730 (ἄῤῥην);","kjv_def":"dinner","lemma":"ἄριστον"},
"G3717":{"strongs_def":" right (as rising), i.e. (perpendicularly) erect (figuratively, honest), or (horizontally) level or direct","derivation":"probably from the base of G3735 (ὄρος);","kjv_def":"straight, upright","lemma":"ὀρθός"},
"G2094":{"strongs_def":" a year","derivation":"apparently a primary word;","kjv_def":"year","lemma":"ἔτος"},
"G455":{"lemma":"ἀνοίγω","kjv_def":"open","strongs_def":" to open up (literally or figuratively, in various applications)","derivation":"from G303 (ἀνά) and (to open);"},
"G3003":{"derivation":"of Latin origin;","strongs_def":" a \"legion\", i.e. Roman regiment (figuratively)","lemma":"λεγεών","kjv_def":"legion"},
"G1189":{"derivation":"middle voice of G1210 (δέω);","strongs_def":" to beg (as binding oneself), i.e. petition","lemma":"δέομαι","kjv_def":"beseech, pray (to), make request"},
"G4216":{"lemma":"ποταμοφόρητος","kjv_def":"carried away of the flood","derivation":"from G4215 (ποταμός) and a derivative of G5409 (φορέω);","strongs_def":" river-borne, i.e. overwhelmed by a stream"},
"G3135":{"lemma":"μαργαρίτης","kjv_def":"pearl","derivation":"from (a pearl-oyster);","strongs_def":" a pearl"},
"G1828":{"lemma":"ἐξέλκω","kjv_def":"draw away","strongs_def":" to drag forth, i.e. (figuratively) to entice (to sin)","derivation":"from G1537 (ἐκ) and G1670 (ἑλκύω);"},
"G2983":{"kjv_def":"accept, + be amazed, assay, attain, bring, X when I call, catch, come on (X unto), + forget, have, hold, obtain, receive (X after), take (away, up)","lemma":"λαμβάνω","strongs_def":" while G138 (αἱρέομαι) is more violent, to seize or remove))","derivation":"a prolonged form of a primary verb, which is use only as an alternate in certain tenses; to take (in very many applications, literally and figuratively (properly objective or active, to get hold of; whereas G1209 (δέχομαι) is rather subjective or passive, to have offered to one;"},
"G3024":{"lemma":"λήθη","kjv_def":"+ forget","derivation":"from G2990 (λανθάνω);","strongs_def":" forgetfulness"},
"G1854":{"strongs_def":" out(-side, of doors), literally or figuratively","derivation":"adverb from G1537 (ἐκ);","lemma":"ἔξω","kjv_def":"away, forth, (with-)out (of, -ward), strange"},
"G771":{"kjv_def":"infirmity","lemma":"ἀσθένημα","strongs_def":" a scruple of conscience","derivation":"from G770 (ἀσθενέω);"},
"G5233":{"derivation":"from G5228 (ὑπέρ) and the base of G939 (βάσις);","strongs_def":" to transcend, i.e. (figuratively) to overreach","lemma":"ὑπερβαίνω","kjv_def":"go beyond"},
"G3474":{"lemma":"μωρός","kjv_def":"fool(-ish, X -ishness)","strongs_def":" dull or stupid (as if shut up), i.e. heedless, (morally) blockhead, (apparently) absurd","derivation":"probably from the base of G3466 (μυστήριον);"},
"G2465":{"kjv_def":"equal unto the angels","lemma":"ἰσάγγελος","derivation":"from G2470 (ἴσος) and G32 (ἄγγελος);","strongs_def":" like an angel, i.e. angelic"},
"G4885":{"lemma":"συναυξάνω","kjv_def":"grow together","derivation":"from G4862 (σύν) and G837 (αὐξάνω);","strongs_def":" to increase (grow up) together"},
"G2464":{"lemma":"Ἰσαάκ","kjv_def":"Isaac","derivation":"of Hebrew origin (H03327);","strongs_def":" Isaac (i.e. Jitschak), the son of Abraham"},
"G2967":{"lemma":"κωλύω","kjv_def":"forbid, hinder, keep from, let, not suffer, withstand","strongs_def":" to estop, i.e. prevent (by word or act)","derivation":"from the base of G2849 (κολάζω);"},
"G562":{"lemma":"ἀπέραντος","kjv_def":"endless","derivation":"from G1 (Α) (as a negative particle) and a secondary derivative of G4008 (πέραν);","strongs_def":" unfinished, i.e. (by implication) interminable"},
"G3336":{"kjv_def":"taking","lemma":"μετάλημψις","derivation":"from G3335 (μεταλαμβάνω);","strongs_def":" participation"},
"G4673":{"strongs_def":" a funereal receptacle (urn, coffin), i.e. (by analogy) a bier","derivation":"probably akin to the base of G4987 (σωρεύω);","lemma":"σορός","kjv_def":"bier"},
"G971":{"derivation":"from G979 (βίος);","strongs_def":" to force, i.e. (reflexively) to crowd oneself (into), or (passively) to be seized","lemma":"βιάζω","kjv_def":"press, suffer violence"},
"G2974":{"kjv_def":"deaf, dumb, speechless","lemma":"κωφός","derivation":"from G2875 (κόπτω);","strongs_def":" blunted, i.e. (figuratively) of hearing (deaf) or speech (dumb)"},
"G3079":{"lemma":"Λυσίας","kjv_def":"Lysias","derivation":"of uncertain affinity;","strongs_def":" Lysias, a Roman"},
"G111":{"strongs_def":" from the base of G5087 (τίθημι)); illegal; by implication, flagitious","derivation":"from G1 (Α) (as a negative particle) and a derivative of (statute;","kjv_def":"abominable, unlawful thing","lemma":"ἀθέμιτος"},
"G2513":{"kjv_def":"clean, clear, pure","lemma":"καθαρός","derivation":"of uncertain affinity;","strongs_def":" clean (literally or figuratively)"},
"G265":{"derivation":"from G264 (ἁμαρτάνω);","strongs_def":" a sin (properly concrete)","lemma":"ἁμάρτημα","kjv_def":"sin"},
"G305":{"kjv_def":"arise, ascend (up), climb (go, grow, rise, spring) up, come (up)","lemma":"ἀναβαίνω","strongs_def":" to go up (literally or figuratively)","derivation":"from G303 (ἀνά) and the base of G939 (βάσις);"},
"G4621":{"lemma":"σῖτος","kjv_def":"corn, wheat","strongs_def":" grain, especially wheat","derivation":"of uncertain derivation;"},
"G4220":{"kjv_def":"whether","lemma":"πότερον","strongs_def":" interrogative as adverb, which (of two), i.e. is it this or that","derivation":"neuter of a comparative of the base of G4226 (ποῦ);"},
"G593":{"lemma":"ἀποδοκιμάζω","kjv_def":"disallow, reject","derivation":"from G575 (ἀπό) and G1381 (δοκιμάζω);","strongs_def":" to disapprove, i.e. (by implication) to repudiate"},
"G3409":{"strongs_def":" to let out for wages, i.e. (middle voice) to hire","derivation":"from G3408 (μισθός);","kjv_def":"hire","lemma":"μισθόω"},
"G5376":{"strongs_def":" fond of horses; Philippus, the name of four Israelites","derivation":"from G5384 (φίλος) and G2462 (ἵππος);","kjv_def":"Philip","lemma":"Φίλιππος"},
"G2419":{"kjv_def":"Jerusalem","lemma":"Ἱερουσαλήμ","derivation":"of Hebrew origin (H03389);","strongs_def":" Hierusalem (i.e. Jerushalem), the capitol of Palestine"},
"G2222":{"lemma":"ζωή","kjv_def":"life(-time)","derivation":"from G2198 (ζάω);","strongs_def":" life (literally or figuratively)"},
"G649":{"strongs_def":" set apart, i.e. (by implication) to send out (properly, on a mission) literally or figuratively","derivation":"from G575 (ἀπό) and G4724 (στέλλω);","lemma":"ἀποστέλλω","kjv_def":"put in, send (away, forth, out), set (at liberty)"},
"G5216":{"lemma":"ὑμῶν","kjv_def":"ye, you, your (own, -selves)","derivation":"genitive case of G5210 (ὑμεῖς);","strongs_def":" of (from or concerning) you"},
"G2648":{"derivation":"from G2596 (κατά) and G3129 (μανθάνω);","strongs_def":" to learn thoroughly, i.e. (by implication) to note carefully","lemma":"καταμανθάνω","kjv_def":"consider"},
"G4684":{"strongs_def":" to be voluptuous","derivation":"from (luxury);","lemma":"σπαταλάω","kjv_def":"live in pleasure, be wanton"},
"G563":{"derivation":"adverb from a compound of G1 (Α) (as a negative participle) and a presumed derivative of G4049 (περισπάω);","strongs_def":" undistractedly, i.e. free from (domestic) solicitude","kjv_def":"without distraction","lemma":"ἀπερισπάστως"},
"G2632":{"lemma":"κατακρίνω","kjv_def":"condemn, damn","derivation":"from G2596 (κατά) and G2919 (κρίνω);","strongs_def":" to judge against, i.e. sentence"},
"G4487":{"derivation":"from G4483 (ῥέω);","strongs_def":" an utterance (individually, collectively or specially),; by implication, a matter or topic (especially of narration, command or dispute); with a negative naught whatever","lemma":"ῥῆμα","kjv_def":"+ evil, + nothing, saying, word"},
"G1468":{"derivation":"from G1722 (ἐν) and G2904 (κράτος);","strongs_def":" strong in a thing (masterful), i.e. (figuratively and reflexively) self-controlled (in appetite, etc.)","lemma":"ἐγκρατής","kjv_def":"temperate"},
"G3713":{"strongs_def":" to stretch oneself, i.e. reach out after (long for)","derivation":"middle voice of apparently a prolonged form of an obsolete primary (compare G3735 (ὄρος));","lemma":"ὀρέγομαι","kjv_def":"covet after, desire"},
"G4645":{"strongs_def":" to indurate, i.e. (figuratively) render stubborn","derivation":"from G4642 (σκληρός);","lemma":"σκληρύνω","kjv_def":"harden"},
"G3518":{"lemma":"Νηρί","kjv_def":"Neri","derivation":"of Hebrew origin (H05374);","strongs_def":" Neri (i.e. Nerijah), an Israelite"},
"G703":{"strongs_def":" properly, manliness (valor), i.e. excellence (intrinsic or attributed)","derivation":"from the same as G730 (ἄῤῥην);","kjv_def":"praise, virtue","lemma":"ἀρέτη"},
"G1230":{"derivation":"from G1223 (διά) and G1096 (γίνομαι);","strongs_def":" to elapse meanwhile","kjv_def":"X after, be past, be spent","lemma":"διαγίνομαι"},
"G2675":{"strongs_def":" to complete thoroughly, i.e. repair (literally or figuratively) or adjust","derivation":"from G2596 (κατά) and a derivative of G739 (ἄρτιος);","lemma":"καταρτίζω","kjv_def":"fit, frame, mend, (make) perfect(-ly join together), prepare, restore"},
"G5546":{"kjv_def":"Christian","lemma":"Χριστιανός","derivation":"from G5547 (Χριστός);","strongs_def":" a Christian, i.e. follower of Christ"},
"G5311":{"derivation":"from a derivative of G5228 (ὑπέρ);","strongs_def":" elevation, i.e. (abstractly) altitude, (specially), the sky, or (figuratively) dignity","lemma":"ὕψος","kjv_def":"be exalted, height, (on) high"},
"G5596":{"derivation":"diminutive from a derivative of the base of G5597 (ψώχω);","strongs_def":" a crumb or morsel (as if rubbed off), i.e. a mouthful","kjv_def":"sop","lemma":"ψωμίον"},
"G4372":{"lemma":"πρόσφατος","kjv_def":"new","strongs_def":" previously (recently) slain (fresh), i.e. (figuratively) lately made","derivation":"from G4253 (πρό) and a derivative of G4969 (σφάζω);"},
"G435":{"lemma":"ἀνήρ","kjv_def":"fellow, husband, man, sir","strongs_def":" a man (properly as an individual male)","derivation":"a primary word (compare G444 (ἄνθρωπος));"},
"G3359":{"kjv_def":"forehead","lemma":"μέτωπον","derivation":"from G3326 (μετά) and ops (the face);","strongs_def":" the forehead (as opposite the countenance)"},
"G4348":{"derivation":"from G4350 (προσκόπτω);","strongs_def":" a stub, i.e. (figuratively) occasion of apostasy","kjv_def":"offence, stumbling(-block, (-stone))","lemma":"πρόσκομμα"},
"G5034":{"strongs_def":" a brief space (of time), i.e. (with G1722 (ἐν) prefixed) in haste","derivation":"from the same as G5036 (ταχύς);","lemma":"τάχος","kjv_def":"+ quickly, + shortly, + speedily"},
"G5220":{"lemma":"ὕπανδρος","kjv_def":"which hath an husband","strongs_def":" in subjection under a man, i.e. a married woman","derivation":"from G5259 (ὑπό) and G435 (ἀνήρ);"},
"G4126":{"strongs_def":" to pass in a vessel","derivation":"probably a form of G4150 (πλύνω) (through the idea of plunging through the water);","kjv_def":"sail","lemma":"πλέω"},
"G599":{"kjv_def":"be dead, death, die, lie a-dying, be slain (X with)","lemma":"ἀποθνήσκω","derivation":"from G575 (ἀπό) and G2348 (θνήσκω);","strongs_def":" to die off (literally or figuratively)"},
"G3670":{"derivation":"from a compound of the base of G3674 (ὁμοῦ) and G3056 (λόγος);","strongs_def":" to assent, i.e. covenant, acknowledge","kjv_def":"con- (pro-)fess, confession is made, give thanks, promise","lemma":"ὁμολογέω"},
"G1186":{"lemma":"δένδρον","kjv_def":"tree","derivation":"probably from (an oak);","strongs_def":" a tree"},
"G530":{"derivation":"probably from G537 (ἅπας);","strongs_def":" one (or a single) time (numerically or conclusively)","lemma":"ἅπαξ","kjv_def":"once"},
"G4603":{"strongs_def":" made of iron","derivation":"from G4604 (σίδηρος);","lemma":"σιδήρεος","kjv_def":"(of) iron"},
"G4008":{"lemma":"πέραν","kjv_def":"beyond, farther (other) side, over","strongs_def":" through (as adverb or preposition), i.e. across","derivation":"apparently accusative case of an obsolete derivative of (to \"pierce\");"},
"G4701":{"strongs_def":" a sowing, i.e. (by implication) parentage","derivation":"from G4687 (σπείρω);","kjv_def":"seed","lemma":"σπορά"},
"G4141":{"kjv_def":"smite","lemma":"πλήσσω","derivation":"apparently another form of G4111 (πλάσσω) (through the idea of flattening out);","strongs_def":" to pound, i.e. (figuratively) to inflict with (calamity)"},
"G5272":{"kjv_def":"condemnation, dissimulation, hypocrisy","lemma":"ὑπόκρισις","derivation":"from G5271 (ὑποκρίνομαι);","strongs_def":" acting under a feigned part, i.e. (figuratively) deceit (\"hypocrisy\")"},
"G806":{"strongs_def":" securely (literally or figuratively)","derivation":"adverb from G804 (ἀσφαλής);","kjv_def":"assuredly, safely","lemma":"ἀσφαλῶς"},
"G5120":{"strongs_def":" sometimes used for G5127 (τούτου); of this person","derivation":"properly, the genitive case of G3588 (ὁ);","kjv_def":"his","lemma":"τοῦ"},
"G4100":{"strongs_def":" to have faith (in, upon, or with respect to, a person or thing), i.e. credit; by implication, to entrust (especially one's spiritual well-being to Christ)","derivation":"from G4102 (πίστις);","lemma":"πιστεύω","kjv_def":"believe(-r), commit (to trust), put in trust with"},
"G2588":{"derivation":"prolonged from a primary (Latin cor, \"heart\");","strongs_def":" the heart, i.e. (figuratively) the thoughts or feelings (mind); also (by analogy) the middle","lemma":"καρδία","kjv_def":"(+ broken-)heart(-ed)"},
"G875":{"strongs_def":" to froth at the mouth (in epilepsy)","derivation":"from G876 (ἀφρός);","lemma":"ἀφρίζω","kjv_def":"foam"},
"G1861":{"lemma":"ἐπαγγέλλω","kjv_def":"profess, (make) promise","derivation":"from G1909 (ἐπί) and the base of G32 (ἄγγελος);","strongs_def":" to announce upon (reflexively), i.e. (by implication) to engage to do something, to assert something respecting oneself"},
"G4200":{"lemma":"πορισμός","kjv_def":"gain","strongs_def":" furnishing (procuring), i.e. (by implication) money-getting (acquisition)","derivation":"from a derivative of (a way, i.e. means);"},
"G790":{"kjv_def":"have no certain dwelling-place","lemma":"ἀστατέω","strongs_def":" to be non-stationary, i.e. (figuratively) homeless","derivation":"from G1 (Α) (as a negative particle) and a derivative of G2476 (ἵστημι);"},
"G884":{"derivation":"from G1 (Α) (as a negative particle) and a presumed derivative of G5483 (χαρίζομαι);","strongs_def":" thankless, i.e. ungrateful","kjv_def":"unthankful","lemma":"ἀχάριστος"},
"G1227":{"kjv_def":"see clearly","lemma":"διαβλέπω","strongs_def":" to look through, i.e. recover full vision","derivation":"from G1223 (διά) and G991 (βλέπω);"},
"G539":{"strongs_def":" delusion","derivation":"from G538 (ἀπατάω);","kjv_def":"deceit(-ful, -fulness), deceivableness(-ving)","lemma":"ἀπάτη"},
"G5252":{"lemma":"ὑπερφρονέω","kjv_def":"think more highly","strongs_def":" to esteem oneself overmuch, i.e. be vain or arrogant","derivation":"from G5228 (ὑπέρ) and G5426 (φρονέω);"},
"G1204":{"lemma":"δεῦρο","kjv_def":"come (hither), hither(-to)","derivation":"of uncertain affinity;","strongs_def":" here; used also imperative hither!; and of time, hitherto"},
"G4969":{"derivation":"a primary verb;","strongs_def":" to butcher (especially an animal for food or in sacrifice) or (generally) to slaughter, or (specially), to maim (violently)","lemma":"σφάζω","kjv_def":"kill, slay, wound"},
"G5017":{"strongs_def":" a disturbance, i.e. (popular) tumult","derivation":"masculine from G5015 (ταράσσω);","lemma":"τάραχος","kjv_def":"stir"},
"G3925":{"derivation":"from a compound of G3844 (παρά) and G1685 (ἐμβάλλω);","strongs_def":" a throwing in beside (juxtaposition), i.e. (specially), battle-array, encampment or barracks (tower Antonia)","kjv_def":"army, camp, castle","lemma":"παρεμβολή"},
"G5534":{"lemma":"χρή","kjv_def":"ought","derivation":"third person singular of the same as G5530 (χράομαι) or G5531 (χράω) used impersonally;","strongs_def":" it needs (must or should) be"},
"G601":{"strongs_def":" to take off the cover, i.e. disclose","derivation":"from G575 (ἀπό) and G2572 (καλύπτω);","kjv_def":"reveal","lemma":"ἀποκαλύπτω"},
"G1181":{"kjv_def":"tenth (part), tithe","lemma":"δεκάτη","derivation":"feminine of G1182 (δέκατος);","strongs_def":" a tenth, i.e. as a percentage or (technically) tithe"},
"G3639":{"kjv_def":"destruction","lemma":"ὄλεθρος","derivation":"from a primary (to destroy;","strongs_def":" a prolonged form); ruin, i.e. death, punishment"},
"G821":{"kjv_def":"handle shamefully","lemma":"ἀτιμόω","derivation":"from G820 (ἄτιμος);","strongs_def":" used like G818 (ἀτιμάζω), to maltreat"},
"G2782":{"derivation":"from G2784 (κηρύσσω);","strongs_def":" a proclamation (especially of the gospel; by implication, the gospel itself)","kjv_def":"preaching","lemma":"κήρυγμα"},
"G636":{"strongs_def":" to set sail","derivation":"from G575 (ἀπό) and G4126 (πλέω);","kjv_def":"sail away","lemma":"ἀποπλέω"},
"G4076":{"derivation":"from G4078 (πήγνυμι);","strongs_def":" rue (from its thick or fleshy leaves)","kjv_def":"rue","lemma":"πήγανον"},
"G4598":{"derivation":"from G4597 (σής) and a derivative of G977 (βιβρώσκω);","strongs_def":" moth-eaten","lemma":"σητόβρωτος","kjv_def":"motheaten"},
"G2321":{"derivation":"from G2316 (θεός) and G5384 (φίλος);","strongs_def":" friend of God; Theophilus, a Christian","lemma":"Θεόφιλος","kjv_def":"Theophilus"},
"G4318":{"derivation":"from G4317 (προσάγω) (compare G72 (ἀγωγή));","strongs_def":" admission","kjv_def":"access","lemma":"προσαγωγή"},
"G497":{"lemma":"ἀντιστρατεύομαι","kjv_def":"war against","strongs_def":" (figuratively) to attack, i.e. (by implication) destroy","derivation":"from G473 (ἀντί) and G4754 (στρατεύομαι);"},
"G5180":{"lemma":"τύπτω","kjv_def":"beat, smite, strike, wound","strongs_def":" to \"thump\", i.e. cudgel or pummel (properly, with a stick or bastinado), but in any case by repeated blows; thus differing from G3817 (παίω) and G3960 (πατάσσω), which denote a (usually single) blow with the hand or any instrument, or G4141 (πλήσσω) with the fist (or a hammer), or G4474 (ῥαπίζω) with the palm; as well as from G5177 (τυγχάνω), an accidental collision); by implication, to punish; figuratively, to offend (the conscience)","derivation":"a primary verb (in a strengthened form);"},
"G2299":{"kjv_def":"goddess","lemma":"θεά","strongs_def":" a female deity","derivation":"feminine of G2316 (θεός);"},
"G61":{"lemma":"ἄγρα","kjv_def":"draught","strongs_def":" (abstractly) a catching (of fish); also (concretely) a haul (of fish)","derivation":"from G71 (ἄγω);"},
"G3127":{"lemma":"Μαναήν","kjv_def":"Manaen","derivation":"of uncertain origin;","strongs_def":" Manaën, a Christian"},
"G4190":{"lemma":"πονηρός","kjv_def":"bad, evil, grievous, harm, lewd, malicious, wicked(-ness)","derivation":"from a derivative of G4192 (πόνος);","strongs_def":" hurtful, i.e. evil (properly, in effect or influence, and thus differing from G2556 (κακός), which refers rather to essential character, as well as from G4550 (σαπρός), which indicates degeneracy from original virtue); figuratively, calamitous; also (passively) ill, i.e. diseased; but especially (morally) culpable, i.e. derelict, vicious, facinorous; neuter (singular) mischief, malice, or (plural) guilt; masculine (singular) the devil, or (plural) sinners"},
"G310":{"lemma":"ἀναβοάω","kjv_def":"cry (aloud, out)","strongs_def":" to halloo","derivation":"from G303 (ἀνά) and G994 (βοάω);"},
"G5060":{"kjv_def":"Tertius","lemma":"Τέρτιος","derivation":"of Latin origin;","strongs_def":" third; Tertius, a Christian"},
"G2616":{"strongs_def":" to exercise dominion against, i.e. oppress","derivation":"from G2596 (κατά) and a derivative of G1413 (δυνάστης);","kjv_def":"oppress","lemma":"καταδυναστεύω"},
"G2702":{"lemma":"καταφέρω","kjv_def":"fall, give, sink down","strongs_def":" to bear down, i.e. (figuratively) overcome (with drowsiness); specially, to cast a vote","derivation":"from G2596 (κατά) and G5342 (φέρω) (including its alternate);"},
"G1797":{"derivation":"middle voice from G1798 (ἐνύπνιον);","strongs_def":" to dream","kjv_def":"dream(-er)","lemma":"ἐνυπνιάζομαι"},
"G4847":{"kjv_def":"fellow- citizen","lemma":"συμπολίτης","strongs_def":" a native of the same town, i.e. (figuratively) co-religionist (fellow-Christian)","derivation":"from G4862 (σύν) and G4177 (πολίτης);"},
"G3790":{"lemma":"ὀφρῦς","kjv_def":"brow","strongs_def":" the eye-\"brow\" or forehead, i.e. (figuratively) the brink of a precipice","derivation":"perhaps from G3700 (ὀπτάνομαι) (through the idea of the shading or proximity to the organ of vision);"},
"G4917":{"strongs_def":" to dash together, i.e. shatter","derivation":"from G4862 (σύν) and thlao (to crush);","kjv_def":"break","lemma":"συνθλάω"},
"G2290":{"kjv_def":"bury","lemma":"θάπτω","strongs_def":" to celebrate funeral rites, i.e. inter","derivation":"a primary verb;"},
"G1131":{"lemma":"γυμνός","kjv_def":"naked","strongs_def":" nude (absolute or relative, literal or figurative)","derivation":"of uncertain affinity;"},
"G1697":{"lemma":"Ἐμμόρ","kjv_def":"Emmor","strongs_def":" Emmor (i.e. Chamor), a Canaanite","derivation":"of Hebrew origin (H02544);"},
"G529":{"kjv_def":"meet","lemma":"ἀπάντησις","derivation":"from G528 (ἀπαντάω);","strongs_def":" a (friendly) encounter"},
"G395":{"lemma":"ἀνατολή","kjv_def":"dayspring, east, rising","derivation":"from G393 (ἀνατέλλω);","strongs_def":" a rising of light, i.e. dawn (figuratively); by implication, the east (also in plural)"},
"G1215":{"strongs_def":" to be a people-gatherer, i.e. to address a public assembly","derivation":"from a compound of G1218 (δῆμος) and G58 (ἀγορά);","kjv_def":"make an oration","lemma":"δημηγορέω"},
"G4437":{"derivation":"from the same as G4635 (σκηνοποιός);","strongs_def":" clasped (thick), i.e. (figuratively) frequent; neuter plural (as adverb) frequently","kjv_def":"often(-er)","lemma":"πυκνός"},
"G2030":{"kjv_def":"eye-witness","lemma":"ἐπόπτης","strongs_def":" a looker-on","derivation":"from G1909 (ἐπί) and a presumed derivative of G3700 (ὀπτάνομαι);"},
"G1732":{"kjv_def":"declare, evident token, proof","lemma":"ἔνδειξις","strongs_def":" indication (abstractly)","derivation":"from G1731 (ἐνδείκνυμι);"},
"G5309":{"lemma":"ὑψηλοφρονέω","kjv_def":"be highminded","strongs_def":" to be lofty in mind, i.e. arrogant","derivation":"from a compound of G5308 (ὑψηλός) and G5424 (φρήν);"},
"G1641":{"kjv_def":"have lack","lemma":"ἐλαττονέω","derivation":"from G1640 (ἐλάσσων);","strongs_def":" to diminish, i.e. fall short"},
"G5430":{"strongs_def":" prudently","derivation":"adverb from G5429 (φρόνιμος);","kjv_def":"wisely","lemma":"φρονίμως"},
"G4269":{"derivation":"from G4266 (προγίνομαι);","strongs_def":" an ancestor, (grand-)parent","lemma":"πρόγονος","kjv_def":"forefather, parent"},
"G2880":{"lemma":"κορέννυμι","kjv_def":"eat enough, full","strongs_def":" to cram, i.e. glut or sate","derivation":"a primary verb;"},
"G2432":{"kjv_def":"cheerfulness","lemma":"ἱλαρότης","strongs_def":" alacrity","derivation":"from G2431 (ἱλαρός);"},
"G3365":{"lemma":"μηδαμῶς","kjv_def":"not so","strongs_def":" by no means","derivation":"adverb from a compound of G3361 (μή) and (somebody);"},
"G4456":{"lemma":"πωρόω","kjv_def":" blind, harden","strongs_def":" to petrify, i.e. (figuratively) to indurate (render stupid or callous)","derivation":"apparently from (a kind of stone);"},
"G1894":{"strongs_def":" since now, i.e. (of time) when, or (of cause) whereas","derivation":"from G1893 (ἐπεί) and G1211 (δή);","lemma":"ἐπειδή","kjv_def":"after that, because, for (that, -asmuch as), seeing, since"},
"G387":{"strongs_def":" properly, to drive out of home, i.e. (by implication) to disturb (literally or figuratively)","derivation":"from a derivative of G450 (ἀνίστημι) (in the sense of removal);","lemma":"ἀναστατόω","kjv_def":"trouble, turn upside down, make an uproar"},
"G2839":{"kjv_def":"common, defiled, unclean, unholy","lemma":"κοινός","strongs_def":" common, i.e. (literally) shared by all or several, or (ceremonially) profane","derivation":"probably from G4862 (σύν);"},
"G1083":{"derivation":"from G1080 (γεννάω);","strongs_def":" nativity","lemma":"γέννησις","kjv_def":"birth"},
"G2580":{"lemma":"Κανᾶ","kjv_def":"Cana","derivation":"of Hebrew origin (compare H07071);","strongs_def":" Cana, a place in Palestine"},
"G3758":{"lemma":"οὐά","kjv_def":"ah","derivation":"a primary exclamation of surprise;","strongs_def":" \"ah\""},
"G1772":{"lemma":"ἔννομος","kjv_def":"lawful, under law","derivation":"from G1722 (ἐν) and G3551 (νόμος);","strongs_def":" (subjectively) legal, or (objectively) subject to"},
"G4930":{"strongs_def":" entire completion, i.e. consummation (of a dispensation)","derivation":"from G4931 (συντελέω);","kjv_def":"end","lemma":"συντέλεια"},
"G2594":{"kjv_def":"endure","lemma":"καρτερέω","derivation":"from a derivative of G2904 (κράτος) (transposed);","strongs_def":" to be strong, i.e. (figuratively) steadfast (patient)"},
"G5554":{"lemma":"χρυσοδακτύλιος","kjv_def":"with a gold ring","strongs_def":" gold-ringed, i.e. wearing a golden finger-ring or similar jewelry","derivation":"from G5557 (χρυσός) and G1146 (δακτύλιος);"},
"G2911":{"strongs_def":" overhanging, i.e. a precipice","derivation":"from G2910 (κρεμάννυμι);","lemma":"κρημνός","kjv_def":"steep place"},
"G2270":{"derivation":"from the same as G2272 (ἡσύχιος);","strongs_def":" to keep still (intransitively), i.e. refrain from labor, meddlesomeness or speech","lemma":"ἡσυχάζω","kjv_def":"cease, hold peace, be quiet, rest"},
"G296":{"derivation":"from the base of G297 (ἀμφότερος) and G3598 (ὁδός);","strongs_def":" a fork in the road","kjv_def":"where two ways meet","lemma":"ἄμφοδον"},
"G3412":{"strongs_def":" Mitylene (or Mytilene), a town on the island of Lesbos","derivation":"for (abounding in shellfish);","kjv_def":"Mitylene","lemma":"Μιτυλήνη"},
"G3098":{"lemma":"Μαγώγ","kjv_def":"Magog","derivation":"of Hebrew origin (H04031);","strongs_def":" Magog, a foreign nation, i.e. (figuratively) an Antichristian party"},
"G3965":{"kjv_def":"family, kindred, lineage","lemma":"πατριά","derivation":"as if feminine of a derivative of G3962 (πατήρ);","strongs_def":" paternal descent, i.e. (concretely) a group of families or a whole race (nation)"},
"G4022":{"kjv_def":"fetch a compass, vagabond, wandering about","lemma":"περιέρχομαι","strongs_def":" to come all around, i.e. stroll, vacillate, veer","derivation":"from G4012 (περί) and G2064 (ἔρχομαι) (including its alternate);"},
"G2327":{"strongs_def":" a harvester","derivation":"from G2325 (θερίζω);","lemma":"θεριστής","kjv_def":"reaper"},
"G440":{"lemma":"ἄνθραξ","kjv_def":"coal of fire","strongs_def":" a live coal","derivation":"of uncertain derivation;"},
"G3076":{"lemma":"λυπέω","kjv_def":"cause grief, grieve, be in heaviness, (be) sorrow(-ful), be (make) sorry","derivation":"from G3077 (λύπη);","strongs_def":" to distress; reflexively or passively, to be sad"},
"G1086":{"strongs_def":" a Gergesene (i.e. Girgashite) or one of the aborigines of Palestine","derivation":"of Hebrew origin (H01622);","lemma":"Γεργεσηνός","kjv_def":"Gergesene"},
"G1485":{"kjv_def":"custom, manner, be wont","lemma":"ἔθος","strongs_def":" a usage (prescribed by habit or law)","derivation":"from G1486 (ἔθω);"},
"G3657":{"kjv_def":"communication","lemma":"ὁμιλία","strongs_def":" companionship (\"homily\"), i.e. (by implication) intercourse","derivation":"from G3658 (ὅμιλος);"},
"G1286":{"kjv_def":"do violence to","lemma":"διασείω","strongs_def":" to shake thoroughly, i.e. (figuratively) to intimidate","derivation":"from G1223 (διά) and G4579 (σείω);"},
"G5313":{"strongs_def":" an elevated place or thing, i.e. (abstractly) altitude, or (by implication) a barrier (figuratively)","derivation":"from G5312 (ὑψόω);","lemma":"ὕψωμα","kjv_def":" height, high thing"},
"G4655":{"lemma":"σκότος","kjv_def":"darkness","strongs_def":" shadiness, i.e. obscurity (literally or figuratively)","derivation":"from the base of G4639 (σκιά);"},
"G737":{"derivation":"adverb from a derivative of G142 (αἴρω) (compare G740 (ἄρτος)) through the idea of suspension;","strongs_def":" just now","lemma":"ἄρτι","kjv_def":"this day (hour), hence(-forth), here(-after), hither(-to), (even) now, (this) present"},
"G3128":{"lemma":"Μανασσῆς","kjv_def":"Manasses","derivation":"of Hebrew origin (H04519);","strongs_def":" Mannasses (i.e. Menashsheh), an Israelite"},
"G2852":{"kjv_def":"buffet","lemma":"κολαφίζω","derivation":"from a derivative of the base of G2849 (κολάζω);","strongs_def":" to rap with the fist"},
"G1573":{"kjv_def":"faint, be weary","lemma":"ἐκκακέω","derivation":"from G1537 (ἐκ) and G2556 (κακός);","strongs_def":" to be (bad or) weak, i.e. (by implication) to fail (in heart)"},
"G2642":{"lemma":"καταλιθάζω","kjv_def":"stone","strongs_def":" to stone down, i.e. to death","derivation":"from G2596 (κατά) and G3034 (λιθάζω);"},
"G4286":{"derivation":"from G4388 (προτίθεμαι);","strongs_def":" a setting forth, i.e. (figuratively) proposal (intention); specially, the show-bread (in the Temple) as exposed before God","kjv_def":"purpose, shew(-bread)","lemma":"πρόθεσις"},
"G5608":{"derivation":"middle voice from an apparently primary (a sum or price);","strongs_def":" to purchase (synonymous with the earlier G4092 (πίμπρημι))","kjv_def":" buy","lemma":"ὠνέομαι"},
"G1796":{"kjv_def":"do despite unto","lemma":"ἐνυβρίζω","derivation":"from G1722 (ἐν) and G5195 (ὑβρίζω);","strongs_def":" to insult"},
"G1552":{"kjv_def":"manifest","lemma":"ἔκδηλος","derivation":"from G1537 (ἐκ) and G1212 (δῆλος);","strongs_def":" wholly evident"},
"G2815":{"kjv_def":"Clement","lemma":"Κλήμης","strongs_def":" merciful; Clemes (i.e. Clemens), a Christian","derivation":"of Latin origin;"},
"G1417":{"strongs_def":" \"two\"","derivation":"a primary numeral;","lemma":"δύο","kjv_def":"both, twain, two"},
"G4871":{"lemma":"συναλίζω","kjv_def":"assemble together","strongs_def":" to accumulate, i.e. convene","derivation":"from G4862 (σύν) and (to throng);"},
"G3566":{"lemma":"νυμφίος","kjv_def":"bridegroom","strongs_def":" a bride-groom (literally or figuratively)","derivation":"from G3565 (νύμφη);"},
"G2814":{"strongs_def":" a limb or shoot (as if broken off)","derivation":"from G2806 (κλάω);","lemma":"κλῆμα","kjv_def":"branch"},
"G5480":{"derivation":"from the same as G5482 (χάραξ);","strongs_def":" a scratch or etching, i.e. stamp (as a badge of servitude), or scupltured figure (statue)","lemma":"χάραγμα","kjv_def":"graven, mark"},
"G4295":{"lemma":"πρόκειμαι","kjv_def":"be first, set before (forth)","strongs_def":" to lie before the view, i.e. (figuratively) to be present (to the mind), to stand forth (as an example or reward)","derivation":"from G4253 (πρό) and G2749 (κεῖμαι);"},
"G2601":{"derivation":"from G2596 (κατά) and a derivative of the base of G939 (βάσις);","strongs_def":" to cause to go down, i.e. precipitate","lemma":"καταβιβάζω","kjv_def":"bring (thrust) down"},
"G2224":{"strongs_def":" to bind about (especially with a belt)","derivation":"from G2223 (ζώνη);","lemma":"ζώννυμι","kjv_def":"gird"},
"G1503":{"lemma":"εἴκω","kjv_def":"be like","derivation":"apparently a primary verb (perhaps akin to G1502 (εἴκω) through the idea of faintness as a copy);","strongs_def":" to resemble"},
"G2346":{"kjv_def":"afflict, narrow, throng, suffer tribulation, trouble","lemma":"θλίβω","strongs_def":" to crowd (literally or figuratively)","derivation":"akin to the base of G5147 (τρίβος);"},
"G4538":{"lemma":"σαλπιστής","kjv_def":"trumpeter","strongs_def":" a trumpeter","derivation":"from G4537 (σαλπίζω);"},
"G4663":{"strongs_def":" a grub, maggot or earth-worm","derivation":"of uncertain derivation;","lemma":"σκώληξ","kjv_def":"worm"},
"G5200":{"strongs_def":" wet (as if with rain), i.e. (by implication) sappy (fresh)","derivation":"from the base of G5205 (ὑετός);","kjv_def":"green","lemma":"ὑγρός"},
"G1363":{"strongs_def":" to render two-fold","derivation":"from G1362 (διπλοῦς);","lemma":"διπλόω","kjv_def":"double"},
"G575":{"derivation":"a primary particle;","strongs_def":" \"off,\" i.e. away (from something near), in various senses (of place, time, or relation; literal or figurative)","kjv_def":"(X here-)after, ago, at, because of, before, by (the space of), for(-th), from, in, (out) of, off, (up-)on(-ce), since, with","lemma":"ἀπό"},
"G4476":{"derivation":"from a primary (to sew;","strongs_def":" perhaps rather akin to the base of G4474 (ῥαπίζω) through the idea of puncturing); a needle","kjv_def":" needle","lemma":"ῥαφίς"},
"G4140":{"strongs_def":" a filling up, i.e. (figuratively) gratification","derivation":"from a presumed derivative of G4130 (πλήθω);","lemma":"πλησμονή","kjv_def":"satisfying"},
"G1549":{"kjv_def":"nephew","lemma":"ἔκγονον","derivation":"neuter of a derivative of a compound of G1537 (ἐκ) and G1096 (γίνομαι);","strongs_def":" a descendant, i.e. (specially) grandchild"},
"G5338":{"strongs_def":" brilliancy","derivation":"probably akin to the base of G5457 (φῶς) (compare G5350 (φθέγγομαι));","kjv_def":"light","lemma":"φέγγος"},
"G5156":{"lemma":"τρόμος","kjv_def":"+ tremble(-ing)","strongs_def":" a \"trembling\", i.e. quaking with fear","derivation":"from G5141 (τρέμω);"},
"G1603":{"strongs_def":" to accomplish entirely","derivation":"from G1537 (ἐκ) and G4137 (πληρόω);","lemma":"ἐκπληρόω","kjv_def":"fulfill"},
"G1273":{"derivation":"from G1223 (διά) and a derivative of G3571 (νύξ);","strongs_def":" to sit up the whole night","kjv_def":"continue all night","lemma":"διανυκτερεύω"},
"G3968":{"strongs_def":" a father-land, i.e. native town; (figuratively) heavenly home","derivation":"from G3902 (παράσημος);","kjv_def":"(own) country","lemma":"πατρίς"},
"G3904":{"lemma":"παρασκευή","kjv_def":"preparation","strongs_def":" readiness","derivation":"as if from G3903 (παρασκευάζω);"},
"G2968":{"lemma":"κώμη","kjv_def":"town, village","derivation":"from G2749 (κεῖμαι);","strongs_def":" a hamlet (as if laid down)"},
"G3511":{"lemma":"νεωκόρος","kjv_def":"worshipper","strongs_def":" a temple-servant, i.e. (by implication) a votary","derivation":"from a form of G3485 (ναός) and (to sweep);"},
"G2638":{"kjv_def":"apprehend, attain, come upon, comprehend, find, obtain, perceive, (over-)take","lemma":"καταλαμβάνω","strongs_def":" to take eagerly, i.e. seize, possess, etc. (literally or figuratively)","derivation":"from G2596 (κατά) and G2983 (λαμβάνω);"},
"G5392":{"strongs_def":" to muzzle","derivation":"from (a muzzle);","kjv_def":"muzzle","lemma":"φιμόω"},
"G4160":{"lemma":"ποιέω","kjv_def":"abide, + agree, appoint, X avenge, + band together, be, bear, + bewray, bring (forth), cast out, cause, commit, + content, continue, deal, + without any delay, (would) do(-ing), execute, exercise, fulfil, gain, give, have, hold, X journeying, keep, + lay wait, + lighten the ship, make, X mean, + none of these things move me, observe, ordain, perform, provide, + have purged, purpose, put, + raising up, X secure, shew, X shoot out, spend, take, tarry, + transgress the law, work, yield","strongs_def":" to make or do (in a very wide application, more or less direct)","derivation":"apparently a prolonged form of an obsolete primary;"},
"G3441":{"lemma":"μόνος","kjv_def":"alone, only, by themselves","derivation":"probably from G3306 (μένω);","strongs_def":" remaining, i.e. sole or single; by implication, mere"},
"G360":{"strongs_def":" to break up, i.e. depart (literally or figuratively)","derivation":"from G303 (ἀνά) and G3089 (λύω);","lemma":"ἀναλύω","kjv_def":"depart, return"},
"G1145":{"kjv_def":"weep","lemma":"δακρύω","strongs_def":" to shed tears","derivation":"from G1144 (δάκρυ);"},
"G4611":{"derivation":"of Hebrew origin (H07975);","strongs_def":" Siloam (i.e. Shiloach), a pool of Jerusalem","kjv_def":"Siloam","lemma":"Σιλωάμ"},
"G974":{"kjv_def":"little book","lemma":"βιβλιαρίδιον","strongs_def":" a booklet","derivation":"a diminutive of G975 (βιβλίον);"},
"G2429":{"strongs_def":" dampness","derivation":"of uncertain affinity;","lemma":"ἱκμάς","kjv_def":"moisture"},
"G4386":{"kjv_def":"before, (at the) first, former","lemma":"πρότερον","strongs_def":" previously","derivation":"neuter of G4387 (πρότερος) as adverb (with or without the article);"},
"G401":{"derivation":"from a comparative of G303 (ἀνά) and (to pour);","strongs_def":" properly, effusion, i.e. (figuratively) license","lemma":"ἀνάχυσις","kjv_def":"excess"},
"G2626":{"strongs_def":" to dash (wash) down, i.e. (by implication) to deluge","derivation":"from G2596 (κατά) and the base of G2830 (κλύδων);","kjv_def":"overflow","lemma":"κατακλύζω"},
"G3704":{"lemma":"ὅπως","kjv_def":"because, how, (so) that, to, when","derivation":"from G3739 (ὅς) and G4459 (πῶς);","strongs_def":" what(-ever) how, i.e. in the manner that (as adverb or conjunction of coincidence, intentional or actual)"},
"G5059":{"kjv_def":"wonder","lemma":"τέρας","derivation":"of uncertain affinity;","strongs_def":" a prodigy or omen"},
"G2653":{"strongs_def":" to imprecate","derivation":"from G2596 (κατά) (intensive) and G332 (ἀναθεματίζω);","lemma":"καταναθεματίζω","kjv_def":"curse"},
"G841":{"lemma":"αὐτάρκεια","kjv_def":"contentment, sufficiency","derivation":"from G842 (αὐτάρκης);","strongs_def":" self-satisfaction, i.e. (abstractly) contentedness, or (concretely) a competence"},
"G3825":{"derivation":"probably from the same as G3823 (πάλη) (through the idea of oscillatory repetition);","strongs_def":" (adverbially) anew, i.e. (of place) back, (of time) once more, or (conjunctionally) furthermore or on the other hand","lemma":"πάλιν","kjv_def":"again"},
"G65":{"kjv_def":"olive tree (which is) wild","lemma":"ἀγριέλαιος","strongs_def":" an oleaster","derivation":"from G66 (ἄγριος) and G1636 (ἐλαία);"},
"G4108":{"kjv_def":"--deceiver, seducing","lemma":"πλάνος","strongs_def":" roving (as a tramp), i.e. (by implication) an impostor or misleader; ","derivation":"of uncertain affinity;"},
"G3654":{"lemma":"ὅλως","kjv_def":"at all, commonly, utterly","strongs_def":" completely, i.e. altogether; (by analogy), everywhere; (negatively) not by any means","derivation":"adverb from G3650 (ὅλος);"},
"G3642":{"strongs_def":" little-spirited, i.e. faint-hearted","derivation":"from G3641 (ὀλίγος) and G6590;","lemma":"ὀλιγόψυχος","kjv_def":"feebleminded"},
"G4911":{"derivation":"from G4862 (σύν) and G2186 (ἐφίστημι);","strongs_def":" to stand up together, i.e. to resist (or assault) jointly","lemma":"συνεφίστημι","kjv_def":"rise up together"},
"G325":{"strongs_def":" to hand over","derivation":"from G303 (ἀνά) and G1325 (δίδωμι);","lemma":"ἀναδίδωμι","kjv_def":"deliver"},
"G3415":{"derivation":"middle voice of a derivative of G3306 (μένω) or perhaps of the base of G3145 (μασσάομαι) (through the idea of fixture in the mind or of mental grasp);","strongs_def":" to bear in mind, i.e. recollect; by implication, to reward or punish","kjv_def":"be mindful, remember, come (have) in remembrance","lemma":"μνάομαι"},
"G2980":{"strongs_def":" to talk, i.e. utter words","derivation":"a prolonged form of an otherwise obsolete verb;","kjv_def":"preach, say, speak (after), talk, tell, utter","lemma":"λαλέω"},
"G697":{"strongs_def":" rock of Ares, a place in Athens","derivation":"from (the name of the Greek deity of war) and a derivative of G4078 (πήγνυμι);","kjv_def":"Areopagus, Mars' Hill","lemma":"Ἄρειος Πάγος"},
"G3994":{"lemma":"πενθερά","kjv_def":"mother in law, wife's mother","strongs_def":" a wife's mother","derivation":"feminine of G3995 (πενθερός);"},
"G192":{"strongs_def":" want of self-restraint","derivation":"from G193 (ἀκρατής);","kjv_def":"excess, incontinency","lemma":"ἀκρασία"},
"G3011":{"kjv_def":"minister(-ed)","lemma":"λειτουργός","derivation":"from a derivative of G2992 (λαός) and G2041 (ἔργον);","strongs_def":" a public servant, i.e. a functionary in the Temple or Gospel, or (genitive case) a worshipper (of God) or benefactor (of man)"},
"G3352":{"kjv_def":"fellowship","lemma":"μετοχή","derivation":"from G3348 (μετέχω);","strongs_def":" participation, i.e. intercourse"},
"G1577":{"strongs_def":" a calling out, i.e. (concretely) a popular meeting, especially a religious congregation (Jewish synagogue, or Christian community of members on earth or saints in heaven or both)","derivation":"from a compound of G1537 (ἐκ) and a derivative of G2564 (καλέω);","kjv_def":"assembly, church","lemma":"ἐκκλησία"},
"G502":{"kjv_def":"thing to draw with","lemma":"ἄντλημα","derivation":"from G501 (ἀντλέω);","strongs_def":" a baling-vessel"},
"G4046":{"derivation":"middle voice from G4012 (περί) and G4160 (ποιέω);","strongs_def":" to make around oneself, i.e. acquire (buy)","kjv_def":"purchase","lemma":"περιποιέομαι"},
"G4375":{"lemma":"προσφιλής","kjv_def":"lovely","strongs_def":" friendly towards, i.e. acceptable","derivation":"from a presumed compound of G4314 (πρός) and G5368 (φιλέω);"},
"G4968":{"strongs_def":" a victim (in sacrifice)","derivation":"neuter of a derivative of G4967 (σφαγή);","kjv_def":"slain beast","lemma":"σφάγιον"},
"G519":{"kjv_def":"hang himself","lemma":"ἀπάγχομαι","derivation":"from G575 (ἀπό) and (to choke;","strongs_def":" akin to the base of G43 (ἀγκάλη)); to strangle oneself off (i.e. to death)"},
"G278":{"strongs_def":" irrevocable","derivation":"from G1 (Α) (as a negative particle) and a presumed derivative of G3338 (μεταμέλλομαι);","kjv_def":"without repentance, not to be repented of","lemma":"ἀμεταμέλητος"},
"G427":{"strongs_def":" without","derivation":"a primary particle;","lemma":"ἄνευ","kjv_def":"without"},
"G1948":{"kjv_def":"give sentence","lemma":"ἐπικρίνω","strongs_def":" to adjudge","derivation":"from G1909 (ἐπί) and G2919 (κρίνω);"},
"G4805":{"strongs_def":" co-yoked, i.e. (figuratively) as noun, a colleague; probably rather as a proper name; Syzygus, a Christian","derivation":"from G4801 (συζεύγνυμι);","kjv_def":"yokefellow","lemma":"σύζυγος"},
"G4014":{"kjv_def":"take away (up)","lemma":"περιαιρέω","derivation":"from G4012 (περί) and G138 (αἱρέομαι) (including its alternate);","strongs_def":" to remove all around, i.e. unveil, cast off (anchor); figuratively, to expiate"},
"G4336":{"strongs_def":" to pray to God, i.e. supplicate, worship","derivation":"from G4314 (πρός) and G2172 (εὔχομαι);","kjv_def":"pray (X earnestly, for), make prayer","lemma":"προσεύχομαι"},
"G2079":{"kjv_def":"point of death","lemma":"ἐσχάτως","derivation":"adverb from G2078 (ἔσχατος);","strongs_def":" finally, i.e. (with G2192 (ἔχω)) at the extremity of life"},
"G5133":{"derivation":"from G5132 (τράπεζα);","strongs_def":" a money-broker or banker","kjv_def":"exchanger","lemma":"τραπεζίτης"},
"G3795":{"strongs_def":" a relish to other food (as if cooked sauce), i.e. (specially), fish (presumably salted and dried as a condiment)","derivation":"neuter of a presumed derivative of the base of G3702 (ὀπτός);","kjv_def":"fish","lemma":"ὀψάριον"},
"G3918":{"derivation":"from G3844 (παρά) and G1510 (εἰμί) (including its various forms);","strongs_def":" to be near, i.e. at hand; neuter present participle (singular) time being, or (plural) property","kjv_def":"come, X have, be here, + lack, (be here) present","lemma":"πάρειμι"},
"G3665":{"derivation":"from G3664 (ὅμοιος);","strongs_def":" resemblance","lemma":"ὁμοιότης","kjv_def":"like as, similitude"},
"G1492":{"strongs_def":" used only in certain past tenses, the others being borrowed from the equivalent G3700 (ὀπτάνομαι) and G3708 (ὁράω); properly, to see (literally or figuratively); by implication, (in the perfect tense only) to know","derivation":"a primary verb;","kjv_def":"be aware, behold, X can (+ not tell), consider, (have) know(-ledge), look (on), perceive, see, be sure, tell, understand, wish, wot","lemma":"εἴδω"},
"G3643":{"kjv_def":"despise","lemma":"ὀλιγωρέω","strongs_def":" to have little regard for, i.e. to disesteem","derivation":"from a compound of G3641 (ὀλίγος) and (\"care\");"},
"G5020":{"strongs_def":" to incarcerate in eternal torment","derivation":"from (the deepest abyss of Hades);","lemma":"ταρταρόω","kjv_def":"cast down to hell"},
"G4263":{"derivation":"probably neuter of a presumed derivative of G4260 (προβαίνω);","strongs_def":" something that walks forward (a quadruped), i.e. (specially), a sheep (literally or figuratively)","lemma":"πρόβατον","kjv_def":"sheep(-fold)"},
"G5454":{"strongs_def":" a burrow or lurking-place","derivation":"of uncertain derivative;","lemma":"φωλεός","kjv_def":"hole"},
"G251":{"kjv_def":"salt","lemma":"ἅλς","strongs_def":" \"salt\"","derivation":"a primary word;"},
"G3671":{"derivation":"from the same as G3670 (ὁμολογέω);","strongs_def":" acknowledgment","lemma":"ὁμολογία","kjv_def":"con- (pro-)fession, professed"},
"G8":{"derivation":"of Hebrew origin (H054);","strongs_def":" Abiathar, an Israelite","kjv_def":"Abiathar","lemma":"Ἀβιαθάρ"},
"G4242":{"derivation":"from G4243 (πρεσβεύω);","strongs_def":" seniority (eldership), i.e. (by implication) an embassy (concretely, ambassadors)","kjv_def":"ambassage, message","lemma":"πρεσβεία"},
"G4962":{"kjv_def":"gather","lemma":"συστρέφω","strongs_def":" to twist together, i.e. collect (a bundle, a crowd)","derivation":"from G4862 (σύν) and G4762 (στρέφω);"},
"G711":{"derivation":"from the same as G712 (ἄριστον) and G1012 (βουλή);","strongs_def":" best counselling; Aristoboulus, a Christian","kjv_def":"Aristobulus","lemma":"Ἀριστόβουλος"},
"G3580":{"strongs_def":" to be hospitable","derivation":"from a compound of G3581 (ξένος) and G1209 (δέχομαι);","lemma":"ξενοδοχέω","kjv_def":"lodge strangers"},
"G460":{"kjv_def":"without law","lemma":"ἀνόμως","derivation":"adverb from G459 (ἄνομος);","strongs_def":" lawlessly, i.e. (specially) not amenable to (the Jewish) law"},
"G3376":{"kjv_def":"month","lemma":"μήν","strongs_def":" a month","derivation":"a primary word;"},
"G2772":{"derivation":"from G2751 (κείρω);","strongs_def":" a clipping (bit), i.e. (specially) a coin","lemma":"κέρμα","kjv_def":"money"},
"G2708":{"strongs_def":" to pour down (out)","derivation":"from G2596 (κατά) and cheo (to pour);","lemma":"καταχέω","kjv_def":"pour"},
"G1872":{"derivation":"from G1909 (ἐπί) and G190 (ἀκολουθέω);","strongs_def":" to accompany","lemma":"ἐπακολουθέω","kjv_def":"follow (after)"},
"G4845":{"kjv_def":"(fully) come, fill up","lemma":"συμπληρόω","derivation":"from G4862 (σύν) and G4137 (πληρόω);","strongs_def":" to implenish completely, i.e. (of space) to swamp (a boat), or (of time) to accomplish (passive, be complete)"},
"G5042":{"kjv_def":"childbearing","lemma":"τεκνογονία","strongs_def":" childbirth (parentage), i.e. (by implication) maternity (the performance of maternal duties)","derivation":"from the same as G5041 (τεκνογονέω);"},
"G2069":{"derivation":"of Hebrew origin (probably for H0454);","strongs_def":" Esli, an Israelite","kjv_def":"Esli","lemma":"Ἐσλί"},
"G4193":{"lemma":"Ποντικός","kjv_def":"born in Pontus","strongs_def":" a Pontican, i.e. native of Pontus","derivation":"from G4195 (Πόντος);"},
"G3334":{"lemma":"μετακινέω","kjv_def":"move away","strongs_def":" to stir to a place elsewhere, i.e. remove (figuratively)","derivation":"from G3326 (μετά) and G2795 (κινέω);"},
"G2015":{"lemma":"ἐπιφάνεια","kjv_def":"appearing, brightness","strongs_def":" a manifestation, i.e. (specially) the advent of Christ (past or future)","derivation":"from G2016 (ἐπιφανής);"},
"G3171":{"derivation":"adverb from G3173 (μέγας);","strongs_def":" much","lemma":"μεγάλως","kjv_def":"greatly"},
"G3407":{"lemma":"μίσθιος","kjv_def":"hired servant","strongs_def":" a wage-earner","derivation":"from G3408 (μισθός);"},
"G4053":{"lemma":"περισσός","kjv_def":"exceeding abundantly above, more abundantly, advantage, exceedingly, very highly, beyond measure, more, superfluous, vehement(-ly)","strongs_def":" superabundant (in quantity) or superior (in quality); by implication, excessive; adverbially (with G1537 (ἐκ)) violently; neuter (as noun) preeminence","derivation":"from G4012 (περί) (in the sense of beyond);"},
"G9":{"kjv_def":"Abilene","lemma":"Ἀβιληνή","derivation":"of foreign origin (compare H058);","strongs_def":" Abilene, a region of Syria"},
"G4273":{"derivation":"from G4272 (προδίδωμι) (in the sense of giving forward into another's (the enemy's) hands);","strongs_def":" a surrender","lemma":"προδότης","kjv_def":"betrayer, traitor"},
"G4078":{"strongs_def":" to fix (\"peg\"), i.e. (specially) to set up (a tent)","derivation":"a prolonged form of a primary verb (which in its simpler form occurs only as an alternate in certain tenses);","lemma":"πήγνυμι","kjv_def":"pitch"},
"G3880":{"lemma":"παραλαμβάνω","kjv_def":"receive, take (unto, with)","strongs_def":" to receive near, i.e. associate with oneself (in any familiar or intimate act or relation); by analogy, to assume an office; figuratively, to learn","derivation":"from G3844 (παρά) and G2983 (λαμβάνω);"},
"G2630":{"derivation":"from G2596 (κατά) and a derivative of G2911 (κρημνός);","strongs_def":" to precipitate down","kjv_def":"cast down headlong","lemma":"κατακρημνίζω"},
"G4814":{"strongs_def":" to talk together, i.e. converse","derivation":"from G4862 (σύν) and G2980 (λαλέω);","lemma":"συλλαλέω","kjv_def":"commune (confer, talk) with, speak among"},
"G3021":{"derivation":"from G3022 (λευκός);","strongs_def":" to whiten","kjv_def":"make white, whiten","lemma":"λευκαίνω"},
"G2540":{"strongs_def":" an occasion, i.e. set or proper time","derivation":"of uncertain affinity;","lemma":"καιρός","kjv_def":"X always, opportunity, (convenient, due) season, (due, short, while) time, a while"},
"G3669":{"lemma":"ὁμοίωσις","kjv_def":"similitude","derivation":"from G3666 (ὁμοιόω);","strongs_def":" assimilation, i.e. resemblance"},
"G4473":{"kjv_def":"sprinkling","lemma":"ῥαντισμός","strongs_def":" aspersion (ceremonially or figuratively)","derivation":"from G4472 (ῥαντίζω);"},
"G5014":{"derivation":"from G5013 (ταπεινόω);","strongs_def":" depression (in rank or feeling)","kjv_def":"humiliation, be made low, low estate, vile","lemma":"ταπείνωσις"},
"G4342":{"kjv_def":"attend (give self) continually (upon), continue (in, instant in, with), wait on (continually)","lemma":"προσκαρτερέω","strongs_def":" to be earnest towards, i.e. (to a thing) to persevere, be constantly diligent, or (in a place) to attend assiduously all the exercises, or (to a person) to adhere closely to (as a servitor)","derivation":"from G4314 (πρός) and G2594 (καρτερέω);"},
"G1103":{"strongs_def":" legitimate (of birth), i.e. genuine","derivation":"from the same as G1077 (γενέσια);","kjv_def":"own, sincerity, true","lemma":"γνήσιος"},
"G2401":{"kjv_def":"Idumæa","lemma":"Ἰδουμαία","derivation":"of Hebrew origin (H0123);","strongs_def":" Idumæa (i.e. Edom), a region East (and South) of Palestine"},
"G4892":{"strongs_def":" a joint session, i.e. (specially), the Jewish Sanhedrin; by analogy, a subordinate tribunal","derivation":"neuter of a presumed derivative of a compound of G4862 (σύν) and the base of G1476 (ἑδραῖος);","kjv_def":"council","lemma":"συνέδριον"},
"G4552":{"derivation":"of Hebrew origin (H05601);","strongs_def":" a \"sapphire\" or lapis-lazuli gem","kjv_def":"sapphire","lemma":"σάπφειρος"},
"G1306":{"strongs_def":" to glimmer through, i.e. break (as day)","derivation":"from G1223 (διά) and G826 (αὐγάζω);","kjv_def":"dawn","lemma":"διαυγάζω"},
"G1878":{"derivation":"from G1909 (ἐπί) and G363 (ἀναμιμνήσκω);","strongs_def":" to remind of","kjv_def":"put in mind","lemma":"ἐπαναμιμνήσκω"},
"G4382":{"strongs_def":" partiality, i.e. favoritism","derivation":"from G4381 (προσωπολήπτης);","kjv_def":"respect of persons","lemma":"προσωποληψία"},
"G1768":{"kjv_def":"ninety and nine","lemma":"ἐννενηκονταεννέα","strongs_def":" ninety-nine","derivation":"from a (tenth) multiple of G1767 (ἐννέα) and G1767 (ἐννέα) itself;"},
"G615":{"lemma":"ἀποκτείνω","kjv_def":"put to death, kill, slay","strongs_def":" to kill outright; figuratively, to destroy","derivation":"from G575 (ἀπό) and (to slay);"},
"G2091":{"derivation":"from G2090 (ἑτοιμάζω);","strongs_def":" preparation","kjv_def":"preparation","lemma":"ἑτοιμασία"},
"G4177":{"kjv_def":"citizen","lemma":"πολίτης","derivation":"from G4172 (πόλις);","strongs_def":" a townsman"},
"G1146":{"lemma":"δακτύλιος","kjv_def":"ring","derivation":"from G1147 (δάκτυλος);","strongs_def":" a finger-ring"},
"G5247":{"strongs_def":" prominence, i.e. (figuratively) superiority (in rank or character)","derivation":"from G5242 (ὑπερέχω);","kjv_def":"authority, excellency","lemma":"ὑπεροχή"},
"G2576":{"strongs_def":" to shut down, i.e. close the eyes","derivation":"from a compound of G2596 (κατά) and the base of G3466 (μυστήριον);","kjv_def":"close","lemma":"καμμύω"},
"G4643":{"kjv_def":"hardness","lemma":"σκληρότης","strongs_def":" callousness, i.e. (figuratively) stubbornness","derivation":"from G4642 (σκληρός);"},
"G800":{"lemma":"ἀσύμφωνος","kjv_def":"agree not","strongs_def":" inharmonious (figuratively)","derivation":"from G1 (Α) (as a negative particle) and G4859 (σύμφωνος);"},
"G805":{"strongs_def":" to render secure","derivation":"from G804 (ἀσφαλής);","lemma":"ἀσφαλίζω","kjv_def":"make fast (sure)"},
"G2023":{"strongs_def":" to furnish besides, i.e. fully supply, (figuratively) aid or contribute","derivation":"from G1909 (ἐπί) and G5524 (χορηγέω);","kjv_def":"add, minister (nourishment, unto)","lemma":"ἐπιχορηγέω"},
"G1743":{"derivation":"from G1722 (ἐν) and G1412 (δυναμόω);","strongs_def":" to empower","lemma":"ἐνδυναμόω","kjv_def":"enable, (increase in) strength(-en), be (make) strong"},
"G3616":{"kjv_def":"guide the house","lemma":"οἰκοδεσποτέω","derivation":"from G3617 (οἰκοδεσπότης);","strongs_def":" to be the head of (i.e. rule) a family"},
"G2084":{"lemma":"ἑτερόγλωσσος","kjv_def":"man of other tongue","derivation":"from G2087 (ἕτερος) and G1100 (γλῶσσα);","strongs_def":" other- tongued, i.e. a foreigner"},
"G926":{"derivation":"from the same as G922 (βάρος);","strongs_def":" weighty, i.e. (fig) burdensome, grave","kjv_def":"grievous, heavy, weightier","lemma":"βαρύς"},
"G4196":{"kjv_def":"Publius","lemma":"Πόπλιος","strongs_def":" apparently \"popular\"; Poplius (i.e. Publius), a Roman","derivation":"of Latin origin;"},
"G1157":{"kjv_def":"creditor","lemma":"δανειστής","derivation":"from G1155 (δανείζω);","strongs_def":" a lender"},
"G738":{"derivation":"from G737 (ἄρτι) and G1084 (γεννητός);","strongs_def":" just born, i.e. (figuratively) a young convert","lemma":"ἀρτιγέννητος","kjv_def":"new born"},
"G2571":{"strongs_def":" a cover, i.e. veil","derivation":"from G2572 (καλύπτω);","lemma":"κάλυμα","kjv_def":"vail"},
"G5582":{"strongs_def":" a fabrication, i.e. falsehood","derivation":"from G5574 (ψεύδομαι);","kjv_def":"lie","lemma":"ψεῦσμα"},
"G4708":{"strongs_def":" more speedily, i.e. sooner than otherwise","derivation":"adverb from G4707 (σπουδαιότερος);","kjv_def":"more carefully","lemma":"σπουδαιοτέρως"},
"G4896":{"strongs_def":" to assemble","derivation":"from G4862 (σύν) and (to go);","kjv_def":"gather together","lemma":"σύνειμι"},
"G4012":{"strongs_def":" properly, through (all over), i.e. around; figuratively with respect to; used in various applications, of place, cause or time (with the genitive case denoting the subject or occasion or superlative point; with the accusative case the locality, circuit, matter, circumstance or general period)","derivation":"from the base of G4008 (πέραν);","kjv_def":"(there-)about, above, against, at, on behalf of, X and his company, which concern, (as) concerning, for, X how it will go with, ((there-, where-)) of, on, over, pertaining (to), for sake, X (e-)state, (as) touching, (where-)by (in), with","lemma":"περί"},
"G4669":{"strongs_def":" to tincture with myrrh, i.e. embitter (as a narcotic)","derivation":"from G4667 (Σμύρνα);","lemma":"σμυρνίζω","kjv_def":"mingle with myrrh"},
"G728":{"lemma":"ἀῤῥαβών","kjv_def":"earnest","derivation":"of Hebrew origin (H06162);","strongs_def":" a pledge, i.e. part of the purchase-money or property given in advance as security for the rest"},
"G4943":{"kjv_def":"help together","lemma":"συνυπουργέω","strongs_def":" to be a co-auxiliary, i.e. assist","derivation":"from G4862 (σύν) and a derivative of a compound of G5259 (ὑπό) and the base of G2041 (ἔργον);"},
"G4297":{"lemma":"προκοπή","kjv_def":"furtherance, profit","strongs_def":" progress, i.e. advancement (subjectively or objectively)","derivation":"from G4298 (προκόπτω);"},
"G1674":{"kjv_def":"Greek","lemma":"Ἑλληνίς","derivation":"feminine of G1672 (Ἕλλην);","strongs_def":" a Grecian (i.e. non-Jewish) woman"},
"G132":{"kjv_def":"Æneas","lemma":"Αἰνέας","strongs_def":" Ænĕas, an Israelite","derivation":"of uncertain derivation;"},
"G2":{"derivation":"of Hebrew origin (H0175);","strongs_def":" Aaron, the brother of Moses","lemma":"Ἀαρών","kjv_def":"Aaron"},
"G4902":{"kjv_def":"accompany","lemma":"συνέπομαι","strongs_def":" to attend (travel) in company with","derivation":"middle voice from G4862 (σύν) and a primary (to follow);"},
"G2583":{"kjv_def":"line, rule","lemma":"κανών","strongs_def":" a rule (\"canon\"), i.e. (figuratively) a standard (of faith and practice); by implication, a boundary, i.e. (figuratively) a sphere (of activity)","derivation":"from (a straight reed, i.e. rod);"},
"G935":{"lemma":"βασιλεύς","kjv_def":"king","derivation":"probably from G939 (βάσις) (through the notion of a foundation of power);","strongs_def":" a sovereign (abstractly, relatively, or figuratively)"},
"G3500":{"lemma":"νέκρωσις","kjv_def":"deadness, dying","strongs_def":" decease; figuratively, impotency","derivation":"from G3499 (νεκρόω);"},
"G5509":{"kjv_def":"clothes, coat, garment","lemma":"χιτών","derivation":"of foreign origin (H03801);","strongs_def":" a tunic or shirt"},
"G2657":{"kjv_def":"behold, consider, discover, perceive","lemma":"κατανοέω","derivation":"from G2596 (κατά) and G3539 (νοιέω);","strongs_def":" to observe fully"},
"G2915":{"derivation":"of uncertain derivation;","strongs_def":" barley","lemma":"κριθή","kjv_def":"barley"},
"G3874":{"lemma":"παράκλησις","kjv_def":"comfort, consolation, exhortation, intreaty","derivation":"from G3870 (παρακαλέω);","strongs_def":" imploration, hortation, solace"},
"G731":{"kjv_def":"unspeakable","lemma":"ἄῤῥητος","strongs_def":" unsaid, i.e. (by implication) inexpressible","derivation":"from G1 (Α) (as a negative particle) and the same as G4490 (ῥητῶς);"},
"G1192":{"lemma":"δέρμα","kjv_def":"skin","derivation":"from G1194 (δέρω);","strongs_def":" a hide"},
"G2887":{"derivation":"from G2889 (κόσμος) (in its primary sense);","strongs_def":" orderly, i.e. decorous","kjv_def":"of good behaviour, modest","lemma":"κόσμιος"},
"G1904":{"kjv_def":"come (in, upon)","lemma":"ἐπέρχομαι","strongs_def":" to supervene, i.e. arrive, occur, impend, attack, (figuratively) influence","derivation":"from G1909 (ἐπί) and G2064 (ἔρχομαι);"},
"G2844":{"kjv_def":"companion, X fellowship, partaker, partner","lemma":"κοινωνός","strongs_def":" a sharer, i.e. associate","derivation":"from G2839 (κοινός);"},
"G4264":{"strongs_def":" to force forward, i.e. bring to the front, instigate","derivation":"from G4253 (πρό) and a reduplicated form of G971 (βιάζω);","lemma":"προβιβάζω","kjv_def":"draw, before instruct"},
"G4464":{"derivation":"from the base of G4474 (ῥαπίζω);","strongs_def":" a stick or wand (as a cudgel, a cane or a baton of royalty)","kjv_def":"rod, sceptre, staff","lemma":"ῥάβδος"},
"G3134":{"derivation":"of Chaldee origin (meaning our Lord has come);","strongs_def":" maranatha, i.e. an exclamation of the approaching divine judgment","kjv_def":"Maran-atha","lemma":"μαρὰν ἀθά"},
"G476":{"lemma":"ἀντίδικος","kjv_def":"adversary","strongs_def":" an opponent (in a lawsuit); specially, Satan (as the arch-enemy)","derivation":"from G473 (ἀντί) and G1349 (δίκη);"},
"G2459":{"lemma":"Ἰοῦστος","kjv_def":"Justus","strongs_def":" Justus, the name of three Christian","derivation":"of Latin origin (\"just\");"},
"G1986":{"kjv_def":"become uncircumcised","lemma":"ἐπισπάομαι","strongs_def":" to draw over, i.e. (with G203 (ἀκροβυστία) implied) efface the mark of circumcision (by recovering with the foreskin)","derivation":"from G1909 (ἐπί) and G4685 (σπάω);"},
"G1714":{"strongs_def":" to enkindle, i.e. set on fire","derivation":"from G1722 (ἐν) and (to blow a flame);","kjv_def":"burn up","lemma":"ἐμπρήθω"},
"G4143":{"derivation":"from G4126 (πλέω);","strongs_def":" a sailer, i.e. vessel","kjv_def":"ship(-ing)","lemma":"πλοῖον"},
"G474":{"lemma":"ἀντιβάλλω","kjv_def":"have","strongs_def":" to bandy","derivation":"from G473 (ἀντί) and G906 (βάλλω);"},
"G242":{"kjv_def":"leap, spring up","lemma":"ἅλλομαι","derivation":"middle voice of apparently a primary verb;","strongs_def":" to jump; figuratively, to gush"},
"G661":{"kjv_def":"repay","lemma":"ἀποτίνω","strongs_def":" to pay in full","derivation":"from G575 (ἀπό) and G5099 (τίνω);"},
"G4102":{"derivation":"from G3982 (πείθω);","strongs_def":" persuasion, i.e. credence; moral conviction (of religious truth, or the truthfulness of God or a religious teacher), especially reliance upon Christ for salvation; abstractly, constancy in such profession; by extension, the system of religious (Gospel) truth itself","lemma":"πίστις","kjv_def":"assurance, belief, believe, faith, fidelity"},
"G2557":{"strongs_def":" a wrong-doer, i.e. criminal","derivation":"from G2556 (κακός) and the base of G2041 (ἔργον);","kjv_def":"evil-doer, malefactor","lemma":"κακοῦργος"},
"G1972":{"kjv_def":"earnest (vehement) desire","lemma":"ἐπιπόθησις","strongs_def":" a longing for","derivation":"from G1971 (ἐπιποθέω);"},
"G4992":{"strongs_def":" defender or (by implication) defence","derivation":"neuter of the same as G4991 (σωτηρία) as (properly, concretely) noun;","lemma":"σωτήριον","kjv_def":"salvation"},
"G3886":{"lemma":"παραλύω","kjv_def":"feeble, sick of the (taken with) palsy","derivation":"from G3844 (παρά) and G3089 (λύω);","strongs_def":" to loosen beside, i.e. relax (perfect passive participle, paralyzed or enfeebled)"},
"G4832":{"derivation":"from G4862 (σύν) and G3444 (μορφή);","strongs_def":" jointly formed, i.e. (figuratively) similar","lemma":"σύμμορφος","kjv_def":"conformed to, fashioned like unto"},
"G1326":{"strongs_def":" to wake fully; i.e. arouse (literally or figuratively)","derivation":"from G1223 (διά) and G1453 (ἐγείρω);","lemma":"διεγείρω","kjv_def":"arise, awake, raise, stir up"},
"G464":{"lemma":"ἀνταγωνίζομαι","kjv_def":"strive against","derivation":"from G473 (ἀντί) and G75 (ἀγωνίζομαι);","strongs_def":" to struggle against (figuratively) (\"antagonize\")"},
"G707":{"kjv_def":"Arimathæa","lemma":"Ἀριμαθαία","strongs_def":" Arimathæa (or Ramah), a place in Palestine","derivation":"of Hebrew origin (H07414);"},
"G2731":{"lemma":"κατοίκησις","kjv_def":"dwelling","strongs_def":" residence (properly, the act; but by implication, concretely, the mansion)","derivation":"from G2730 (κατοικέω);"},
"G921":{"strongs_def":" son of Nabas (i.e. prophecy); Barnabas, an Israelite","derivation":"of Chaldee origin (H01247 and H05029);","lemma":"Βαρνάβας","kjv_def":"Barnabas"},
"G2674":{"strongs_def":" to reckon among","derivation":"from G2596 (κατά) and G705 (ἀριθμέω);","lemma":"καταριθμέω","kjv_def":"number with"},
"G1462":{"lemma":"ἔγκλημα","kjv_def":"crime laid against, laid to charge","strongs_def":" an accusation, i.e. offence alleged","derivation":"from G1458 (ἐγκαλέω);"},
"G5302":{"lemma":"ὑστερέω","kjv_def":"come behind (short), be destitute, fail, lack, suffer need, (be in) want, be the worse","derivation":"from G5306 (ὕστερος);","strongs_def":" to be later, i.e. (by implication) to be inferior; generally, to fall short (be deficient)"},
"G4215":{"derivation":"probably from a derivative of the alternate of G4095 (πίνω) (compare G4224 (πότος));","strongs_def":" a current, brook or freshet (as drinkable), i.e. running water","lemma":"ποταμός","kjv_def":"flood, river, stream, water"},
"G4370":{"lemma":"προστρέχω","kjv_def":"run (thither to, to)","derivation":"from G4314 (πρός) and G5143 (τρέχω) (including its alternate);","strongs_def":" to run towards, i.e. hasten to meet or join"},
"G2600":{"lemma":"κατάβασις","kjv_def":"descent","derivation":"from G2597 (καταβαίνω);","strongs_def":" a declivity"},
"G2764":{"kjv_def":"of a potter","lemma":"κεραμικός","derivation":"from G2766 (κέραμος);","strongs_def":" made of clay, i.e. earthen"},
"G1974":{"kjv_def":"great desire","lemma":"ἐπιποθία","derivation":"from G1971 (ἐπιποθέω);","strongs_def":" intense longing"},
"G1092":{"strongs_def":" a land-worker, i.e. farmer","derivation":"from G1093 (γῆ) and the base of G2041 (ἔργον);","kjv_def":"husbandman","lemma":"γεωργός"},
"G3351":{"lemma":"μετοικίζω","kjv_def":"carry away, remove into","strongs_def":" to transfer as a settler or captive, i.e colonize or exile","derivation":"from the same as G3350 (μετοικεσία);"},
"G3998":{"kjv_def":"poor","lemma":"πενιχρός","strongs_def":" necessitous","derivation":"prolongation from the base of G3993 (πένης);"},
"G3200":{"derivation":"of Latin origin (\"membrane\");","strongs_def":" a (written) sheep-skin","kjv_def":"parchment","lemma":"μεμβράνα"},
"G174":{"strongs_def":" thorny","derivation":"from G173 (ἄκανθα);","kjv_def":"of thorns","lemma":"ἀκάνθινος"},
"G1242":{"lemma":"διαθήκη","kjv_def":"covenant, testament","strongs_def":" properly, a disposition, i.e. (specially) a contract (especially a devisory will)","derivation":"from G1303 (διατίθεμαι);"},
"G1435":{"lemma":"δῶρον","kjv_def":"gift, offering","strongs_def":"a present; specially, a sacrifice"},
"G1001":{"derivation":"from G1002 (βολίς);","strongs_def":" to heave the lead","lemma":"βολίζω","kjv_def":"sound"},
"G1696":{"derivation":"from G1722 (ἐν) and G3306 (μένω);","strongs_def":" to stay in the same place, i.e. (figuratively) persevere","kjv_def":"continue","lemma":"ἐμμένω"},
"G150":{"strongs_def":" shameful, i.e. base (specially, venal)","derivation":"from the same as G153 (αἰσχύνομαι);","lemma":"αἰσχρός","kjv_def":"filthy"},
"G4591":{"lemma":"σημαίνω","kjv_def":"signify","derivation":"from (a mark;","strongs_def":" of uncertain derivation); to indicate"},
"G1937":{"lemma":"ἐπιθυμέω","kjv_def":"covet, desire, would fain, lust (after)","strongs_def":" to set the heart upon, i.e. long for (rightfully or otherwise)","derivation":"from G1909 (ἐπί) and G2372 (θυμός);"},
"G3568":{"strongs_def":" \"now\" (as adverb of date, a transition or emphasis); also as noun or adjective present or immediate","derivation":"a primary particle of present time;","kjv_def":"henceforth, + hereafter, of late, soon, present, this (time)","lemma":"νῦν"},
"G3862":{"kjv_def":"ordinance, tradition","lemma":"παράδοσις","derivation":"from G3860 (παραδίδωμι);","strongs_def":" transmission, i.e. (concretely) a precept; specially, the Jewish traditionary law"},
"G1495":{"strongs_def":" image-worship (literally or figuratively)","derivation":"from G1497 (εἴδωλον) and G2999 (λατρεία);","kjv_def":"idolatry","lemma":"εἰδωλολατρεία"},
"G4664":{"strongs_def":" consisting of emerald","derivation":"from G4665 (σμάραγδος);","lemma":"σμαράγδινος","kjv_def":"emerald"},
"G3686":{"kjv_def":"called, (+ sur-)name(-d)","lemma":"ὄνομα","strongs_def":" a \"name\" (literally or figuratively) (authority, character)","derivation":"from a presumed derivative of the base of G1097 (γινώσκω) (compare G3685 (ὀνίνημι));"},
"G184":{"derivation":"of Chaldee origin (meaning field of blood;","strongs_def":" corresponding to H02506 and H01818); Akeldama, a place near Jerusalem","kjv_def":"Aceldama","lemma":"Ἀκελδαμά"},
"G3307":{"derivation":"from G3313 (μέρος);","strongs_def":" to part, i.e. (literally) to apportion, bestow, share, or (figuratively) to disunite, differ","lemma":"μερίζω","kjv_def":"deal, be difference between, distribute, divide, give participle "},
"G4906":{"strongs_def":" to take food in company with","derivation":"from G4862 (σύν) and G2068 (ἐσθίω) (including its alternate);","kjv_def":"eat with","lemma":"συνεσθίω"},
"G4558":{"derivation":"of Hebrew origin (H06886);","strongs_def":" Sarepta (i.e. Tsarephath), a place in Palestine","kjv_def":"Sarepta","lemma":"Σάρεπτα"},
"G5473":{"lemma":"χαλκίον","kjv_def":"brazen vessel","derivation":"diminutive from G5475 (χαλκός);","strongs_def":" a copper dish"},
"G5226":{"derivation":"from G5259 (ὑπό) and (to yield, be \"weak\");","strongs_def":" to surrender","lemma":"ὑπείκω","kjv_def":"submit self"},
"G4836":{"strongs_def":" to be present together, i.e. to convene; by implication, to appear in aid","derivation":"from G4862 (σύν) and G3854 (παραγίνομαι);","kjv_def":"come together, stand with","lemma":"συμπαραγίνομαι"},
"G1745":{"lemma":"ἔνδυσις","kjv_def":"putting on","derivation":"from G1746 (ἐνδύω);","strongs_def":" investment with clothing"},
"G4414":{"kjv_def":"ringleader","lemma":"πρωτοστάτης","derivation":"from G4413 (πρῶτος) and G2476 (ἵστημι);","strongs_def":" one standing first in the ranks, i.e. a captain (champion)"},
"G820":{"strongs_def":" (negatively) unhonoured or (positively) dishonoured","derivation":"from G1 (Α) (as a negative particle) and G5092 (τιμή);","lemma":"ἄτιμος","kjv_def":"despised, without honour, less honourable (comparative degree)"},
"G3443":{"kjv_def":"be desolate","lemma":"μονόω","strongs_def":" to isolate, i.e. bereave","derivation":"from G3441 (μόνος);"},
"G1756":{"kjv_def":"effectual, powerful","lemma":"ἐνεργής","derivation":"from G1722 (ἐν) and G2041 (ἔργον);","strongs_def":" active, operative"},
"G3151":{"derivation":"from G3152 (μάταιος) and G3004 (λέγω);","strongs_def":" an idle (i.e. senseless or mischievous) talker, i.e. a wrangler","kjv_def":"vain talker","lemma":"ματαιολόγος"},
"G1284":{"lemma":"διαῤῥήσσω","kjv_def":"break, rend","strongs_def":" to tear asunder","derivation":"from G1223 (διά) and G4486 (ῥήγνυμι);"},
"G4602":{"strongs_def":" silence","derivation":"apparently from (to hiss, i.e. hist or hush);","lemma":"σιγή","kjv_def":"silence"},
"G4874":{"derivation":"from G4862 (σύν) and a compound of G303 (ἀνά) and G3396 (μίγνυμι);","strongs_def":" to mix up together, i.e. (figurative) associate with","lemma":"συναναμίγνυμι","kjv_def":"(have, keep) company (with)"},
"G2876":{"kjv_def":"raven","lemma":"κόραξ","derivation":"perhaps from G2880 (κορέννυμι);","strongs_def":" a crow (from its voracity)"},
"G489":{"derivation":"from a compound of G473 (ἀντί) and G3408 (μισθός);","strongs_def":" requital, correspondence","lemma":"ἀντιμισθία","kjv_def":"recompense"},
"G2044":{"kjv_def":"utter","lemma":"ἐρεύγομαι","strongs_def":" to belch, i.e. (figuratively) to speak out","derivation":"of uncertain affinity;"},
"G5304":{"derivation":"from G5302 (ὑστερέω);","strongs_def":" a falling short, i.e. (specially), penury","lemma":"ὑστέρησις","kjv_def":"want"},
"G4232":{"lemma":"πραιτώριον","kjv_def":"(common, judgment) hall (of judgment), palace, prætorium","strongs_def":" the prætorium or governor's courtroom (sometimes including the whole edifice and camp)","derivation":"of Latin origin;"},
"G4674":{"derivation":"from G4771 (σύ);","strongs_def":" thine","kjv_def":"thine (own), thy (friend)","lemma":"σός"},
"G3169":{"lemma":"μεγαλοπρεπής","kjv_def":"excellent","derivation":"from G3173 (μέγας) and G4241 (πρέπω);","strongs_def":" befitting greatness or magnificence (majestic)"},
"G4285":{"lemma":"προηγέομαι","kjv_def":"prefer","derivation":"from G4253 (πρό) and G2233 (ἡγέομαι);","strongs_def":" to lead the way for others, i.e. show deference"},
"G4751":{"lemma":"στόμαχος","kjv_def":"stomach","derivation":"from G4750 (στόμα);","strongs_def":" an orifice (the gullet), i.e. (specially), the \"stomach\""},
"G1706":{"derivation":"from G1722 (ἐν) and G4098 (πίπτω);","strongs_def":" to fall on, i.e. (literally) to be entrapped by, or (figuratively) be overwhelmed with","kjv_def":"fall among (into)","lemma":"ἐμπίπτω"},
"G1317":{"strongs_def":" instructive (\"didactic\")","derivation":"from G1318 (διδακτός);","lemma":"διδακτικός","kjv_def":"apt to teach"},
"G5141":{"strongs_def":" to \"tremble\" or fear","derivation":"strengthened from a primary (to \"dread\", \"terrify\");","kjv_def":"be afraid, trembling","lemma":"τρέμω"},
"G534":{"kjv_def":"from henceforth","lemma":"ἀπάρτι","strongs_def":" from now, i.e. henceforth (already)","derivation":"from G575 (ἀπό) and G737 (ἄρτι);"},
"G905":{"strongs_def":" a pouch (for money)","derivation":"probably remotely from G906 (βάλλω) (as a depository);","kjv_def":"bag, purse","lemma":"βαλάντιον"},
"G1221":{"kjv_def":"(what-)soever","lemma":"δήποτε","strongs_def":" a particle of generalization; indeed, at any time","derivation":"from G1211 (δή) and G4218 (ποτέ);"},
"G1039":{"lemma":"βύσσινος","kjv_def":"fine linen","strongs_def":" made of linen (neuter a linen cloth)","derivation":"from G1040 (βύσσος);"},
"G4725":{"lemma":"στέμμα","kjv_def":"garland","derivation":"from the base of G4735 (στέφανος);","strongs_def":" a wreath for show"},
"G3924":{"derivation":"from G3844 (παρά) and G1622 (ἐκτός);","strongs_def":" near outside, i.e. besides","kjv_def":"except, saving, without","lemma":"παρεκτός"},
"G191":{"strongs_def":" to hear (in various senses)","derivation":"a primary verb;","kjv_def":"give (in the) audience (of), come (to the ears), (shall) hear(-er, -ken), be noised, be reported, understand","lemma":"ἀκούω"},
"G442":{"strongs_def":" human","derivation":"from G444 (ἄνθρωπος);","lemma":"ἀνθρώπινος","kjv_def":"human, common to man, man(-kind), (man-)kind, men's, after the manner of men"},
"G4127":{"derivation":"from G4141 (πλήσσω);","strongs_def":" a stroke; by implication, a wound; figuratively, a calamity","kjv_def":"plague, stripe, wound(-ed)","lemma":"πληγή"},
"G3877":{"derivation":"from G3844 (παρά) and G190 (ἀκολουθέω);","strongs_def":" to follow near, i.e. (figuratively) attend (as a result), trace out, conform to","lemma":"παρακολουθέω","kjv_def":"attain, follow, fully know, have understanding"},
"G2684":{"lemma":"κατασκοπέω","kjv_def":"spy out","strongs_def":" to be a sentinel, i.e. to inspect insidiously","derivation":"from G2685 (κατάσκοπος);"},
"G888":{"kjv_def":"unprofitable","lemma":"ἀχρεῖος","strongs_def":" useless, i.e. (euphemistically) unmeritorious","derivation":"from G1 (Α) (as a negative particle) and a derivative of G5534 (χρή) (compare G5532 (χρεία));"},
"G3122":{"derivation":"neuter plural of the superlative of an apparently primary adverb (very);","strongs_def":" (adverbially) most (in the greatest degree) or particularly","lemma":"μάλιστα","kjv_def":"chiefly, most of all, (e-)specially"},
"G1751":{"kjv_def":"such things as … have","lemma":"ἔνειμι","derivation":"from G1772 (ἔννομος) and G1510 (εἰμί);","strongs_def":" to be within (neuter participle plural)"},
"G3582":{"kjv_def":"pot","lemma":"ξέστης","strongs_def":" by implication, (of friction) to boil or heat); a vessel (as fashioned or for cooking) (or perhaps by corruption from the Latin sextarius, the sixth of a modius, i.e. about a pint), i.e. (specially), a measure for liquids or solids, (by analogy, a pitcher)","derivation":"as if from (properly, to smooth;"},
"G4811":{"strongs_def":" to be a fig-informer (reporter of the law forbidding the exportation of figs from Greece), \"sycophant\", i.e. (genitive and by extension) to defraud (exact unlawfully, extort)","derivation":"from a compound of G4810 (σῦκον) and a derivative of G5316 (φαίνω);","kjv_def":"accuse falsely, take by false accusation","lemma":"συκοφαντέω"},
"G5264":{"kjv_def":"receive","lemma":"ὑποδέχομαι","strongs_def":" to admit under one's roof, i.e. entertain hospitably","derivation":"from G5259 (ὑπό) and G1209 (δέχομαι);"},
"G5414":{"strongs_def":" something carried, i.e. the cargo of a ship","derivation":"from G5342 (φέρω);","lemma":"φόρτος","kjv_def":"lading"},
"G4899":{"strongs_def":" chosen in company with, i.e. co-elect (fellow Christian)","derivation":"from a compound of G4862 (σύν) and G1586 (ἐκλέγομαι);","kjv_def":"elected together with","lemma":"συνεκλεκτός"},
"G5610":{"kjv_def":"day, hour, instant, season, X short, (even-)tide, (high) time","lemma":"ὥρα","strongs_def":" an \"hour\" (literally or figuratively)","derivation":"apparently a primary word;"},
"G5003":{"strongs_def":" to be wretched, i.e. realize one's own misery","derivation":"from G5005 (ταλαίπωρος);","lemma":"ταλαιπωρέω","kjv_def":"be afflicted"},
"G1231":{"kjv_def":"(would) enquire, know the uttermost","lemma":"διαγινώσκω","strongs_def":" to know thoroughly, i.e. ascertain exactly","derivation":"from G1223 (διά) and G1097 (γινώσκω);"},
"G2017":{"strongs_def":" to illuminate (figuratively)","derivation":"a form of G2014 (ἐπιφαίνω);","kjv_def":"give light","lemma":"ἐπιφαύω"},
"G753":{"kjv_def":"masterbuilder","lemma":"ἀρχιτέκτων","derivation":"from G746 (ἀρχή) and G5045 (τέκτων);","strongs_def":" a chief constructor, i.e. \"architect\""},
"G2645":{"strongs_def":" left down (behind), i.e remaining (plural the rest)","derivation":"from G2596 (κατά) and G3062 (λοιποί);","lemma":"κατάλοιπος","kjv_def":"residue"},
"G4507":{"lemma":"ῥυπαρία","kjv_def":"turpitude","derivation":"from G4508 (ῥυπαρός);","strongs_def":" dirtiness (morally)"},
"G1668":{"lemma":"ἕλκος","kjv_def":"sore","derivation":"probably from G1670 (ἑλκύω);","strongs_def":" an ulcer (as if drawn together)"},
"G4333":{"kjv_def":"gain","lemma":"προσεργάζομαι","derivation":"from G4314 (πρός) and G2038 (ἐργάζομαι);","strongs_def":" to work additionally, i.e. (by implication) acquire besides"},
"G754":{"lemma":"ἀρχιτελώνης","kjv_def":"chief among the publicans","strongs_def":" a principle tax-gatherer","derivation":"from G746 (ἀρχή) and G5057 (τελώνης);"},
"G5602":{"derivation":"from an adverb form of G3592 (ὅδε);","strongs_def":" in this same spot, i.e. here or hither","lemma":"ὧδε","kjv_def":"here, hither, (in) this place, there"},
"G189":{"derivation":"from G191 (ἀκούω);","strongs_def":" hearing (the act, the sense or the thing heard)","lemma":"ἀκοή","kjv_def":"audience, ear, fame, which ye heard, hearing, preached, report, rumor"},
"G4303":{"strongs_def":" to be a witness in advance i.e. predict","derivation":"from G4253 (πρό) and G3143 (μαρτύρομαι);","lemma":"προμαρτύρομαι","kjv_def":"testify beforehand"},
"G4961":{"strongs_def":" a co-campaigner, i.e. (figuratively) an associate in Christian toil","derivation":"from G4862 (σύν) and G4757 (στρατιώτης);","kjv_def":"fellowsoldier","lemma":"συστρατιώτης"},
"G1301":{"strongs_def":" to watch thoroughly, i.e. (positively and transitively) to observe strictly, or (negatively and reflexively) to avoid wholly","derivation":"from G1223 (διά) and G5083 (τηρέω);","lemma":"διατηρέω","kjv_def":"keep"},
"G3436":{"derivation":"from G3435 (μολύνω);","strongs_def":" a stain; i.e. (figuratively) immorality","kjv_def":"filthiness","lemma":"μολυσμός"},
"G142":{"strongs_def":" to lift up; by implication, to take up or away; figuratively, to raise (the voice), keep in suspense (the mind), specially, to sail away (i.e. weigh anchor); by Hebraism (compare H05375) to expiate sin","derivation":"a primary root;","lemma":"αἴρω","kjv_def":"away with, bear (up), carry, lift up, loose, make to doubt, put away, remove, take (away, up)"},
"G2284":{"derivation":"from G2285 (θάμβος);","strongs_def":" to stupefy (with surprise), i.e. astound","kjv_def":"amaze, astonish","lemma":"θαμβέω"},
"G2939":{"strongs_def":" a founder, i.e. God (as author of all things)","derivation":"from G2936 (κτίζω);","kjv_def":"Creator","lemma":"κτίστης"},
"G997":{"strongs_def":" to aid or relieve","derivation":"from G998 (βοηθός);","lemma":"βοηθέω","kjv_def":"help, succor"},
"G3050":{"derivation":"from G3056 (λόγος);","strongs_def":" rational (\"logical\")","lemma":"λογικός","kjv_def":"reasonable, of the word"},
"G2433":{"strongs_def":" to conciliate, i.e. (transitively) to atone for (sin), or (intransitively) be propitious","derivation":"middle voice from the same as G2436 (ἵλεως);","kjv_def":"be merciful, make reconciliation for","lemma":"ἱλάσκομαι"},
"G2045":{"derivation":"apparently from G2046 (ἐρέω) (through the idea of inquiry);","strongs_def":" to seek, i.e. (figuratively) to investigate","kjv_def":"search","lemma":"ἐρευνάω"},
"G388":{"kjv_def":"crucify afresh","lemma":"ἀνασταυρόω","strongs_def":" to recrucify (figuratively)","derivation":"from G303 (ἀνά) and G4717 (σταυρόω);"},
"G3903":{"derivation":"from G3844 (παρά) and a derivative of G4632 (σκεῦος);","strongs_def":" to furnish aside, i.e. get ready","lemma":"παρασκευάζω","kjv_def":"prepare self, be (make) ready"},
"G1997":{"lemma":"ἐπισυναγωγή","kjv_def":"assembling (gathering) together","strongs_def":" a complete collection; especially a Christian meeting (for worship)","derivation":"from G1996 (ἐπισυνάγω);"},
"G3855":{"derivation":"from G3844 (παρά) and G71 (ἄγω);","strongs_def":" to lead near, i.e. (reflexively or intransitively) to go along or away","kjv_def":"depart, pass (away, by, forth)","lemma":"παράγω"},
"G4947":{"lemma":"Συρία","kjv_def":"Syria","strongs_def":" Syria (i.e. Tsyria or Tyre), a region of Asia","derivation":"probably of Hebrew origin (H06865);"},
"G355":{"kjv_def":"consume","lemma":"ἀναλίσκω","derivation":"from G303 (ἀνά) and a form of the alternate of G138 (αἱρέομαι);","strongs_def":" properly, to use up, i.e. destroy"},
"G669":{"lemma":"ἀποφθέγγομαι","kjv_def":"say, speak forth, utterance","strongs_def":" to enunciate plainly, i.e. declare","derivation":"from G575 (ἀπό) and G5350 (φθέγγομαι);"},
"G3086":{"strongs_def":" a redeemer (figuratively)","derivation":"from G3084 (λυτρόω);","lemma":"λυτρωτής","kjv_def":"deliverer"},
"G463":{"strongs_def":" self-restraint, i.e. tolerance","derivation":"from G430 (ἀνέχομαι);","kjv_def":"forbearance","lemma":"ἀνοχή"},
"G2729":{"lemma":"κατισχύω","kjv_def":"prevail (against)","strongs_def":" to overpower","derivation":"from G2596 (κατά) and G2480 (ἰσχύω);"},
"G4553":{"kjv_def":"basket","lemma":"σαργάνη","derivation":"apparently of Hebrew origin (H08276);","strongs_def":" a basket (as interwoven or wicker-work"},
"G4879":{"kjv_def":"carry (lead) away with, condescend","lemma":"συναπάγω","strongs_def":" to take off together, i.e. transport with (seduce, passively, yield)","derivation":"from G4862 (σύν) and G520 (ἀπάγω);"},
"G3360":{"derivation":"from G3372 (μῆκος);","strongs_def":" as far as, i.e. up to a certain point (as a preposition, of extent (denoting the terminus, whereas G891 (ἄχρι) refers especially to the space of time or place intervening) or conjunction)","lemma":"μέχρι","kjv_def":"till, (un-)to, until"},
"G4753":{"strongs_def":" an armament, i.e. (by implication) a body of troops (more or less extensive or systematic)","derivation":"from G4754 (στρατεύομαι);","kjv_def":"army, soldier, man of war","lemma":"στράτευμα"},
"G4293":{"derivation":"from G4253 (πρό) and G2605 (καταγγέλλω);","strongs_def":" to anounce beforehand, i.e. predict, promise","lemma":"προκαταγγέλλω","kjv_def":"foretell, have notice, (shew) before"},
"G3593":{"derivation":"from G3598 (ὁδός);","strongs_def":" to travel","kjv_def":"journey","lemma":"ὁδεύω"},
"G849":{"derivation":"from G846 (αὐτός) and G5495 (χείρ);","strongs_def":" self-handed, i.e. doing personally","kjv_def":"with … own hands","lemma":"αὐτόχειρ"},
"G3695":{"lemma":"ὁπλίζω","kjv_def":"arm self","derivation":"from G3696 (ὅπλον);","strongs_def":" to equip (with weapons (middle voice and figuratively))"},
"G4717":{"kjv_def":"crucify","lemma":"σταυρόω","derivation":"from G4716 (σταυρός);","strongs_def":" to impale on the cross; figuratively, to extinguish (subdue) passion or selfishness"},
"G4619":{"derivation":"from a derivative of G4621 (σῖτος);","strongs_def":" grained, i.e. fatted","kjv_def":"fatling","lemma":"σιτιστός"},
"G2905":{"kjv_def":"cry out","lemma":"κραυγάζω","strongs_def":" to clamor","derivation":"from G2906 (κραυγή);"},
"G2969":{"derivation":"from G2968 (κώμη) and G4172 (πόλις);","strongs_def":" an unwalled city","kjv_def":"town","lemma":"κωμόπολις"},
"G4415":{"lemma":"πρωτοτόκια","kjv_def":"birthright","strongs_def":" primogeniture (as a privilege)","derivation":"from G4416 (πρωτότοκος);"},
"G1731":{"kjv_def":"do, show (forth)","lemma":"ἐνδείκνυμι","strongs_def":" to indicate (by word or act)","derivation":"from G1722 (ἐν) and G1166 (δεικνύω);"},
"G5329":{"lemma":"Φάρες","kjv_def":"Phares","strongs_def":" Phares (i.e. Perets), an Israelite","derivation":"of Hebrew origin (H06557);"},
"G2977":{"strongs_def":" privately","derivation":"adverb from G2990 (λανθάνω);","lemma":"λάθρα","kjv_def":"privily, secretly"},
"G4058":{"derivation":"of uncertain derivation;","strongs_def":" a pigeon","lemma":"περιστερά","kjv_def":"dove, pigeon"},
"G1883":{"kjv_def":"above, more than, (up-)on, over","lemma":"ἐπάνω","strongs_def":" up above, i.e. over or on (of place, amount, rank, etc.)","derivation":"from G1909 (ἐπί) and G507 (ἄνω);"},
"G119":{"lemma":"ἄθλησις","kjv_def":"fight","derivation":"from G118 (ἀθλέω);","strongs_def":" a struggle (figuratively)"},
"G3364":{"derivation":"i.e. G3756 (οὐ) and G3361 (μή);","strongs_def":" a double negative strengthening the denial; not at all","kjv_def":"any more, at all, by any (no) means, neither, never, no (at all), in no case (wise), nor ever, not (at all, in any wise)","lemma":"οὐ μή"},
"G4274":{"strongs_def":" a runner ahead, i.e. scout (figuratively, precursor)","derivation":"from the alternate of G4390 (προτρέχω);","kjv_def":"forerunner","lemma":"πρόδρομος"},
"G309":{"strongs_def":" restoration of sight","derivation":"from G308 (ἀναβλέπω);","lemma":"ἀνάβλεψις","kjv_def":"recovery of sight"},
"G5371":{"kjv_def":"Philemon","lemma":"Φιλήμων","strongs_def":" friendly; Philemon, a Christian","derivation":"from G5368 (φιλέω);"},
"G369":{"strongs_def":" promptly","derivation":"adverb from G368 (ἀναντίῤῥητος);","kjv_def":"without gainsaying","lemma":"ἀναντιῤῥήτως"},
"G239":{"strongs_def":" praise ye Jah!, an adoring exclamation","derivation":"of Hebrew origin (imperative of H01984 and H03050);","lemma":"ἀλληλουϊα","kjv_def":"alleluiah"},
"G5077":{"lemma":"τεφρόω","kjv_def":"turn to ashes","derivation":"from (ashes);","strongs_def":" to incinerate, i.e. consume"},
"G1201":{"lemma":"δεσμωτήριον","kjv_def":"prison","strongs_def":" a place of bondage, i.e. a dungeon","derivation":"from a derivative of G1199 (δεσμόν) (equivalent to G1196 (δεσμέω));"},
"G1735":{"strongs_def":" (impersonally) it is accepted in, i.e. admitted (possible)","derivation":"third person singular present of a compound of G1722 (ἐν) and G1209 (δέχομαι);","lemma":"ἐνδέχεται","kjv_def":"can (+ not) be"},
"G4813":{"lemma":"συλάω","kjv_def":"rob","strongs_def":" probably akin to G138 (αἱρέομαι); compare G4661 (σκῦλον)); to despoil","derivation":"from a derivative of (to strip;"},
"G3338":{"kjv_def":"repent (self)","lemma":"μεταμέλλομαι","strongs_def":" to care afterwards, i.e. regret","derivation":"from G3326 (μετά) and the middle voice of G3199 (μέλω);"},
"G524":{"strongs_def":" to grieve out, i.e. become apathetic","derivation":"from G575 (ἀπό) and (to smart);","kjv_def":"be past feeling","lemma":"ἀπαλγέω"},
"G606":{"derivation":"from G575 (ἀπό) and G2749 (κεῖμαι);","strongs_def":" to be reserved; figuratively, to await","kjv_def":"be appointed, (be) laid up","lemma":"ἀπόκειμαι"},
"G3380":{"lemma":"μήπω","kjv_def":"not yet","strongs_def":" not yet","derivation":"from G3361 (μή) and G4452 (-πω);"},
"G2617":{"lemma":"καταισχύνω","kjv_def":"confound, dishonour, (be a-, make a-)shame(-d)","strongs_def":" to shame down, i.e. disgrace or (by implication) put to the blush","derivation":"from G2596 (κατά) and G153 (αἰσχύνομαι);"},
"G5532":{"derivation":"from the base of G5530 (χράομαι) or G5534 (χρή);","strongs_def":" employment, i.e. an affair; also (by implication) occasion, demand, requirement or destitution","kjv_def":"business, lack, necessary(-ity), need(-ful), use, want","lemma":"χρεία"},
"G4463":{"derivation":"from G4464 (ῥάβδος);","strongs_def":" to strike with a stick, i.e. bastinado","lemma":"ῥαβδίζω","kjv_def":"beat (with rods)"},
"G3848":{"kjv_def":"breaker, transgress(-or)","lemma":"παραβάτης","strongs_def":" a violator","derivation":"from G3845 (παραβαίνω);"},
"G225":{"derivation":"from G227 (ἀληθής);","strongs_def":" truth","lemma":"ἀλήθεια","kjv_def":"true, X truly, truth, verity"},
"G4554":{"derivation":"plural of uncertain derivation;","strongs_def":" Sardis, a place in Asia Minor","kjv_def":"Sardis","lemma":"Σάρδεις"},
"G1579":{"kjv_def":"swim out","lemma":"ἐκκολυμβάω","strongs_def":" to escape by swimming","derivation":"from G1537 (ἐκ) and G2860 (κολυμβάω);"},
"G4889":{"lemma":"σύνδουλος","kjv_def":"fellowservant","derivation":"from G4862 (σύν) and G1401 (δοῦλος);","strongs_def":" a co-slave, i.e. servitor or ministrant of the same master (human or divine)"},
"G2422":{"derivation":"of Hebrew origin (H03316);","strongs_def":" Jephthaë (i.e. Jiphtach), an Israelite","kjv_def":"Jephthah","lemma":"Ἰεφθάε"},
"G2292":{"strongs_def":" to exercise courage","derivation":"another form for G2293 (θαρσέω);","kjv_def":"be bold, X boldly, have confidence, be confident","lemma":"θαῤῥέω"},
"G686":{"kjv_def":"haply, (what) manner (of man), no doubt, perhaps, so be, then, therefore, truly, wherefore","lemma":"ἄρα","strongs_def":" a particle denoting an inference more or less decisive (as follows)","derivation":"probably from G142 (αἴρω) (through the idea of drawing a conclusion);"},
"G570":{"strongs_def":" faithlessness, i.e. (negatively) disbelief (lack of Christian faith), or (positively) unfaithfulness (disobedience)","derivation":"from G571 (ἄπιστος);","kjv_def":"unbelief","lemma":"ἀπιστία"},
"G4377":{"strongs_def":" to sound towards, i.e. address, exclaim, summon","derivation":"from G4314 (πρός) and G5455 (φωνέω);","lemma":"προσφωνέω","kjv_def":"call unto, speak (un-)to"},
"G5322":{"lemma":"φανός","kjv_def":"lantern","derivation":"from G5316 (φαίνω);","strongs_def":" a lightener, i.e. light; lantern"},
"G3491":{"kjv_def":"ship","lemma":"ναῦς","strongs_def":" a boat (of any size)","derivation":"from or (to float);"},
"G456":{"lemma":"ἀνοικοδομέω","kjv_def":"build again","strongs_def":" to rebuild","derivation":"from G303 (ἀνά) and G3618 (οἰκοδομέω);"},
"G336":{"strongs_def":" (the act of) killing","derivation":"from G337 (ἀναιρέω);","lemma":"ἀναίρεσις","kjv_def":"death"},
"G5223":{"strongs_def":" existency or proprietorship, i.e. (concretely) property, wealth","derivation":"from G5225 (ὑπάρχω);","lemma":"ὕπαρξις","kjv_def":"goods, substance"},
"G3115":{"derivation":"from the same as G3116 (μακροθυμώς);","strongs_def":" longanimity, i.e. (objectively) forbearance or (subjectively) fortitude","kjv_def":"longsuffering, patience","lemma":"μακροθυμία"},
"G5262":{"lemma":"ὑπόδειγμα","kjv_def":"en-(ex-)ample, pattern","derivation":"from G5263 (ὑποδείκνυμι);","strongs_def":" an exhibit for imitation or warning (figuratively, specimen, adumbration)"},
"G1723":{"lemma":"ἐναγκαλίζομαι","kjv_def":"take up in arms","derivation":"from G1722 (ἐν) and a derivative of G43 (ἀγκάλη);","strongs_def":" to take in one's arms, i.e. embrace"},
"G4070":{"derivation":"adverb from G4009 (πέρας);","strongs_def":" the by-gone, i.e. (as noun) last year","kjv_def":"+ a year ago","lemma":"πέρυσι"},
"G4685":{"strongs_def":" to draw","derivation":"a primary verb;","lemma":"σπάω","kjv_def":"draw (out)"},
"G5339":{"derivation":"of uncertain affinity;","strongs_def":" to be chary of, i.e. (subjectively) to abstain or (objectively) to treat leniently","lemma":"φείδομαι","kjv_def":"forbear, spare"},
"G891":{"lemma":"ἄχρι","kjv_def":"as far as, for, in(-to), till, (even, un-)to, until, while","derivation":"akin to G206 (ἄκρον) (through the idea of a terminus);","strongs_def":" (of time) until or (of place) up to"},
"G2008":{"derivation":"from G1909 (ἐπί) and G5091 (τιμάω);","strongs_def":" to tax upon, i.e. censure or admonish; by implication, forbid","lemma":"ἐπιτιμάω","kjv_def":"(straitly) charge, rebuke"},
"G4875":{"kjv_def":"refresh with","lemma":"συναναπαύομαι","strongs_def":" to recruit oneself in company with","derivation":"middle from G4862 (σύν) and G373 (ἀναπαύω);"},
"G2995":{"kjv_def":"throat","lemma":"λάρυγξ","derivation":"of uncertain derivation;","strongs_def":" the throat (\"larynx\")"},
"G5549":{"lemma":"χρονίζω","kjv_def":"delay, tarry","strongs_def":" to take time, i.e. linger","derivation":"from G5550 (χρόνος);"},
"G5540":{"kjv_def":"use","lemma":"χρῆσις","strongs_def":" employment, i.e. (specially), sexual intercourse (as an occupation of the body)","derivation":"from G5530 (χράομαι);"},
"G4065":{"kjv_def":"despise","lemma":"περιφρονέω","strongs_def":" to think beyond, i.e. depreciate (contemn)","derivation":"from G4012 (περί) and G5426 (φρονέω);"},
"G4389":{"kjv_def":"exhort","lemma":"προτρέπομαι","strongs_def":" to turn forward for oneself, i.e. encourage","derivation":"middle voice from G4253 (πρό) and the base of G5157 (τροπή);"},
"G5035":{"kjv_def":"lightly, quickly","lemma":"ταχύ","derivation":"neuter singular of G5036 (ταχύς) (as adverb);","strongs_def":" shortly, i.e. without delay, soon, or (by surprise) suddenly, or (by implication, of ease) readily"},
"G3748":{"derivation":"from G3739 (ὅς) and G5100 (τὶς);","strongs_def":" which some, i.e. any that; also (definite) which same","lemma":"ὅστις","kjv_def":"X and (they), (such) as, (they) that, in that they, what(-soever), whereas ye, (they) which, who(-soever)"},
"G5359":{"kjv_def":"Philadelphia","lemma":"Φιλαδέλφεια","strongs_def":" Philadelphia, a place in Asia Minor","derivation":"from (the same as G5361 (φιλάδελφος)), a king of Pergamos;"},
"G1930":{"derivation":"from G1909 (ἐπί) and a derivative of G3717 (ὀρθός);","strongs_def":" to straighten further, i.e. (figuratively) arrange additionally","lemma":"ἐπιδιορθόω","kjv_def":"set in order"},
"G3018":{"derivation":"a form of G3017 (Λευΐ);","strongs_def":" Lewis (i.e. Levi), a Christian","kjv_def":"Levi","lemma":"Λευΐς"},
"G752":{"kjv_def":"(chief) ruler of the synagogue","lemma":"ἀρχισυνάγωγος","derivation":"from G746 (ἀρχή) and G4864 (συναγωγή);","strongs_def":" director of the synagogue services"},
"G3142":{"lemma":"μαρτύριον","kjv_def":"to be testified, testimony, witness","derivation":"neuter of a presumed derivative of G3144 (μάρτυς);","strongs_def":" something evidential, i.e. (genitive case) evidence given or (specially), the Decalogue (in the sacred Tabernacle)"},
"G568":{"lemma":"ἀπέχω","kjv_def":"be, have, receive","derivation":"from G575 (ἀπό) and G2192 (ἔχω);","strongs_def":" (actively) to have out, i.e. receive in full; (intransitively) to keep (oneself) away, i.e. be distant (literally or figuratively)"},
"G458":{"kjv_def":"iniquity, X transgress(-ion of) the law, unrighteousness","lemma":"ἀνομία","strongs_def":" illegality, i.e. violation of law or (genitive case) wickedness","derivation":"from G459 (ἄνομος);"},
"G4954":{"kjv_def":"of the same body","lemma":"σύσσωμος","strongs_def":" of a joint body, i.e. (figuratively) a fellow-member of the Christian community","derivation":"from G4862 (σύν) and G4983 (σῶμα);"},
"G4796":{"strongs_def":" to sympathize in gladness, congratulate","derivation":"from G4862 (σύν) and G5463 (χαίρω);","kjv_def":"rejoice in (with)","lemma":"συγχαίρω"},
"G3865":{"lemma":"παραθεωρέω","kjv_def":"neglect","derivation":"from G3844 (παρά) and G2334 (θεωρέω);","strongs_def":" to overlook or disregard"},
"G1939":{"kjv_def":"concupiscence, desire, lust (after)","lemma":"ἐπιθυμία","strongs_def":" a longing (especially for what is forbidden)","derivation":"from G1937 (ἐπιθυμέω);"},
"G4799":{"strongs_def":" commixture, i.e. (figuratively) riotous disturbance","derivation":"from G4797 (συγχέω);","kjv_def":"confusion","lemma":"σύγχυσις"},
"G5361":{"strongs_def":" fond of brethren, i.e. fraternal","derivation":"from G5384 (φίλος) and G80 (ἀδελφός);","kjv_def":"love as brethren","lemma":"φιλάδελφος"},
"G4740":{"kjv_def":"stedfastness","lemma":"στηριγμός","derivation":"from G4741 (στηρίζω);","strongs_def":" stability (figuratively)"},
"G2041":{"lemma":"ἔργον","kjv_def":"deed, doing, labour, work","derivation":"from a primary (but obsolete) (to work);","strongs_def":" toil (as an effort or occupation); by implication, an act"},
"G3847":{"derivation":"from G3845 (παραβαίνω);","strongs_def":" violation","lemma":"παράβασις","kjv_def":"breaking, transgression"},
"G548":{"strongs_def":" to be away","derivation":"from G575 (ἀπό) and G1510 (εἰμί);","kjv_def":"be absent","lemma":"ἄπειμι"},
"G2963":{"kjv_def":"dominion, government","lemma":"κυριότης","strongs_def":" mastery, i.e. (concretely and collectively) rulers","derivation":"from G2962 (κύριος);"},
"G1891":{"kjv_def":"Epaphroditus","lemma":"Ἐπαφρόδιτος","derivation":"from G1909 (ἐπί) (in the sense of devoted to) and (Venus);","strongs_def":" Epaphroditus, a Christian"},
"G429":{"kjv_def":"find","lemma":"ἀνευρίσκω","strongs_def":" to find out","derivation":"from G303 (ἀνά) and G2147 (εὑρίσκω);"},
"G2807":{"strongs_def":" a key (as shutting a lock), literally or figuratively","derivation":"from G2808 (κλείω);","lemma":"κλείς","kjv_def":"key"},
"G4049":{"derivation":"from G4012 (περί) and G4685 (σπάω);","strongs_def":" to drag all around, i.e. (figuratively) to distract (with care)","lemma":"περισπάω","kjv_def":"cumber"},
"G1376":{"derivation":"from G1377 (διώκω);","strongs_def":" a persecutor","lemma":"διώκτης","kjv_def":"persecutor"},
"G438":{"lemma":"ἄνθος","kjv_def":"flower","derivation":"a primary word;","strongs_def":" a blossom"},
"G80":{"lemma":"ἀδελφός","kjv_def":"brother","derivation":"from G1 (Α) (as a connective particle) and (the womb);","strongs_def":" a brother (literally or figuratively) near or remote (much like G1 (Α))"},
"G4692":{"lemma":"σπεύδω","kjv_def":"(make, with) haste unto","strongs_def":" to \"speed\" (\"study\"), i.e. urge on (diligently or earnestly); by implication, to await eagerly","derivation":"probably strengthened from G4228 (πούς);"},
"G762":{"lemma":"ἄσβεστος","kjv_def":"not to be quenched, unquenchable","strongs_def":" not extinguished, i.e. (by implication) perpetual","derivation":"from G1 (Α) (as a negative particle) and a derivative of G4570 (σβέννυμι);"},
"G4729":{"lemma":"στενοχωρέω","kjv_def":"distress, straiten","strongs_def":" to hem in closely, i.e. (figuratively) cramp","derivation":"from the same as G4730 (στενοχωρία);"},
"G5365":{"derivation":"from G5366 (φιλάργυρος);","strongs_def":" avarice","lemma":"φιλαργυρία","kjv_def":"love of money"},
"G4977":{"strongs_def":" to split or sever (literally or figuratively)","derivation":"apparently a primary verb;","kjv_def":"break, divide, open, rend, make a rent","lemma":"σχίζω"},
"G3404":{"kjv_def":"hate(-ful)","lemma":"μισέω","derivation":"from a primary (hatred);","strongs_def":" to detest (especially to persecute); by extension, to love less"},
"G1050":{"derivation":"of Latin origin;","strongs_def":" Gaius (i.e. Caius), a Christian","kjv_def":"Gaius","lemma":"Γάϊος"},
"G774":{"derivation":"from G773 (Ἀσία);","strongs_def":" an Asian (i.e. Asiatic) or an inhabitant of Asia","lemma":"Ἀσιανός","kjv_def":"of Asia"},
"G3129":{"kjv_def":"learn, understand","lemma":"μανθάνω","derivation":"prolongation from a primary verb, another form of which, , is used as an alternate in certain tenses;","strongs_def":" to learn (in any way)"},
"G2324":{"derivation":"apparently a participle from an otherwise obsolete derivative of the base of G2330 (θέρος);","strongs_def":" a menial attendant (as if cherishing)","lemma":"θεράπων","kjv_def":"servant"},
"G1212":{"derivation":"of uncertain derivation;","strongs_def":" clear","lemma":"δῆλος","kjv_def":"+ bewray, certain, evident, manifest"},
"G2404":{"kjv_def":"Hierapolis","lemma":"Ἱεράπολις","derivation":"from G2413 (ἱερός) and G4172 (πόλις);","strongs_def":" holy city; Hierapolis, a place in Asia Minor"},
"G1812":{"kjv_def":"six hundred","lemma":"ἑξακόσιοι","derivation":"plural ordinal from G1803 (ἕξ) and G1540 (ἑκατόν);","strongs_def":" six hundred"},
"G1919":{"lemma":"ἐπίγειος","kjv_def":"earthly, in earth, terrestrial","strongs_def":" worldly (physically or morally)","derivation":"from G1909 (ἐπί) and G1093 (γῆ);"},
"G426":{"kjv_def":"(should have) examined(-d)","lemma":"ἀνετάζω","derivation":"from G303 (ἀνά) and (to test);","strongs_def":" to investigate (judicially)"},
"G4571":{"kjv_def":"thee, thou, X thy house","lemma":"σέ","derivation":"accusative case singular of G4771 (σύ);","strongs_def":" thee"},
"G1923":{"lemma":"ἐπιγραφή","kjv_def":"superscription","derivation":"from G1924 (ἐπιγράφω);","strongs_def":" an inscription"},
"G2302":{"derivation":"from G2300 (θεάομαι);","strongs_def":" a place for public show (\"theatre\"), i.e. general audience-room; by implication, a show itself (figuratively)","lemma":"θέατρον","kjv_def":"spectacle, theatre"},
"G4856":{"lemma":"συμφωνέω","kjv_def":"agree (together, with)","strongs_def":" to be harmonious, i.e. (figuratively) to accord (be suitable, concur) or stipulate (by compact)","derivation":"from G4859 (σύμφωνος);"},
"G5118":{"kjv_def":"as large, so great (long, many, much), these many","lemma":"τοσοῦτος","derivation":"from (so much;","strongs_def":" apparently from G3588 (ὁ) and G3739 (ὅς)) and G3778 (οὗτος) (including its variations); so vast as this, i.e. such (in quantity, amount, number of space)"},
"G4565":{"kjv_def":"Saron","lemma":"Σάρων","derivation":"of Hebrew origin (H08289);","strongs_def":" Saron (i.e. Sharon), a district of Palestine"},
"G797":{"strongs_def":" to flash as lightning","derivation":"probably from G792 (ἀστήρ);","kjv_def":"lighten, shine","lemma":"ἀστράπτω"},
"G470":{"derivation":"from G473 (ἀντί) and G611 (ἀποκρίνομαι);","strongs_def":" to contradict or dispute","lemma":"ἀνταποκρίνομαι","kjv_def":"answer again, reply against"},
"G802":{"lemma":"ἀσύνθετος","kjv_def":" covenant-breaker","derivation":"from G1 (Α) (as a negative particle) and a derivative of G4934 (συντίθεμαι);","strongs_def":" properly, not agreed, i.e. treacherous to compacts"},
"G3739":{"strongs_def":" the relatively (sometimes demonstrative) pronoun, who, which, what, that","derivation":"probably a primary word (or perhaps a form of the article G3588 (ὁ));","lemma":"ὅς","kjv_def":"one, (an-, the) other, some, that, what, which, who(-m, -se), etc"},
"G3102":{"kjv_def":"disciple","lemma":"μαθήτρια","derivation":"feminine from G3101 (μαθητής);","strongs_def":" a female pupil"},
"G4321":{"strongs_def":" to expend further","derivation":"from G4314 (πρός) and G355 (ἀναλίσκω);","kjv_def":"spend","lemma":"προσαναλίσκω"},
"G4120":{"derivation":"a primary word;","strongs_def":" to twine or braid","lemma":"πλέκω","kjv_def":"plait"},
"G5222":{"derivation":"from G5221 (ὑπαντάω);","strongs_def":" an encounter or concurrence (with G1519 (εἰς) for infinitive, in order to fall in with)","lemma":"ὑπάντησις","kjv_def":"meeting"},
"G4986":{"strongs_def":" of a safe father; Sopatrus, a Christian","derivation":"from the base of G4982 (σώζω) and G3962 (πατήρ);","lemma":"Σώπατρος","kjv_def":"Sopater"},
"G1517":{"derivation":"from G1518 (εἰρηνοποιός);","strongs_def":" to be a peace-maker, i.e. (figuratively) to harmonize","lemma":"εἰρηνοποιέω","kjv_def":"make peace"},
"G589":{"strongs_def":" to go abroad, i.e. visit a foreign land","derivation":"from G590 (ἀπόδημος);","lemma":"ἀποδημέω","kjv_def":"go (travel) into a far country, journey"},
"G1989":{"kjv_def":"write (a letter, unto)","lemma":"ἐπιστέλλω","strongs_def":" to enjoin (by writing), i.e. (genitive case) to communicate by letter (for any purpose)","derivation":"from G1909 (ἐπί) and G4724 (στέλλω);"},
"G2812":{"lemma":"κλέπτης","kjv_def":"thief","derivation":"from G2813 (κλέπτω);","strongs_def":" a stealer (literally or figuratively)"},
"G4877":{"lemma":"συνάντησις","kjv_def":"meet","derivation":"from G4876 (συναντάω);","strongs_def":" a meeting with"},
"G2748":{"strongs_def":" Cedron (i.e. Kidron), a brook near Jerusalem","derivation":"of Hebrew origin (H06939);","lemma":"Κεδρών","kjv_def":"Cedron"},
"G201":{"kjv_def":"place of hearing","lemma":"ἀκροατήριον","derivation":"from G202 (ἀκροατής);","strongs_def":" an audience-room"},
"G919":{"derivation":"of Chaldee origin (H01247 and H03091);","strongs_def":" son of Jesus (or Joshua); Bar-jesus, an Israelite","lemma":"Βαριησοῦς","kjv_def":"Barjesus"},
"G3329":{"strongs_def":" to lead over, i.e. transfer (direct)","derivation":"from G3326 (μετά) and G718 (ἁρμόζω);","kjv_def":"turn about","lemma":"μετάγω"},
"G622":{"derivation":"from G575 (ἀπό) and the base of G3639 (ὄλεθρος);","strongs_def":" to destroy fully (reflexively, to perish, or lose), literally or figuratively","kjv_def":"destroy, die, lose, mar, perish","lemma":"ἀπόλλυμι"},
"G5197":{"kjv_def":"despiteful, injurious","lemma":"ὑβριστής","strongs_def":" an insulter, i.e. maltreater","derivation":"from G5195 (ὑβρίζω);"},
"G5040":{"lemma":"τεκνίον","kjv_def":"little children","strongs_def":" an infant, i.e. (plural figuratively) darlings (Christian converts)","derivation":"diminutive of G5043 (τέκνον);"},
"G2198":{"strongs_def":" to live (literally or figuratively)","derivation":"a primary verb;","kjv_def":"life(-time), (a-)live(-ly), quick","lemma":"ζάω"},
"G147":{"strongs_def":" sordidly","derivation":"adverb from G146 (αἰσχροκερδής);","lemma":"αἰσχροκερδῶς","kjv_def":"for filthy lucre's sake"},
"G903":{"strongs_def":" Balaam, a Mesopotamian (symbolic of a false teacher)","derivation":"of Hebrew origin (H01109);","kjv_def":"Balaam","lemma":"Βαλαάμ"},
"G1605":{"lemma":"ἐκπλήσσω","kjv_def":"amaze, astonish","derivation":"from G1537 (ἐκ) and G4141 (πλήσσω);","strongs_def":" to strike with astonishment"},
"G1178":{"derivation":"from G1176 (δέκα) and G4002 (πέντε);","strongs_def":" ten and five, i.e. fifteen","kjv_def":"fifteen","lemma":"δεκαπέντε"},
"G2693":{"kjv_def":"overthrow","lemma":"καταστρώννυμι","derivation":"from G2596 (κατά) and G4766 (στρώννυμι);","strongs_def":" to strew down, i.e. (by implication) to prostrate (slay)"},
"G5209":{"lemma":"ὑμᾶς","kjv_def":"ye, you (+ -ward), your (+ own)","strongs_def":" you (as the objective of a verb or preposition)","derivation":"accusative case of G5210 (ὑμεῖς);"},
"G2231":{"kjv_def":"reign","lemma":"ἡγεμονία","derivation":"from G2232 (ἡγεμών);","strongs_def":" government, i.e. (in time) official term"},
"G2907":{"derivation":"perhaps a primary word;","strongs_def":" (butcher's) meat","lemma":"κρέας","kjv_def":"flesh"},
"G2187":{"strongs_def":" Ephraim, a place in Palestine","derivation":"of Hebrew origin (H0669 or better H06085);","kjv_def":"Ephraim","lemma":"Ἐφραίμ"},
"G928":{"lemma":"βασανίζω","kjv_def":"pain, toil, torment, toss, vex","strongs_def":" to torture","derivation":"from G931 (βάσανος);"},
"G73":{"kjv_def":"conflict, contention, fight, race","lemma":"ἀγών","derivation":"from G71 (ἄγω);","strongs_def":" properly, a place of assembly (as if led), i.e. (by implication) a contest (held there); figuratively, an effort or anxiety"},
"G1505":{"lemma":"εἰλικρίνεια","kjv_def":"sincerity","strongs_def":" clearness, i.e. (by implication) purity (figuratively)","derivation":"from G1506 (εἰλικρινής);"},
"G4504":{"kjv_def":"Rufus","lemma":"Ῥοῦφος","derivation":"of Latin origin;","strongs_def":" red; Rufus, a Christian"},
"G2484":{"lemma":"Ἰτουραΐα","kjv_def":"Ituræa","strongs_def":" Ituræa (i.e. Jetur), a region of Palestine","derivation":"of Hebrew origin (H03195);"},
"G5":{"lemma":"Ἀββᾶ","kjv_def":"Abba","derivation":"of Chaldee origin (H02);","strongs_def":" father as a vocative"},
"G867":{"strongs_def":" properly, arrival, i.e. (by implication) departure","derivation":"from G864 (ἀφικνέομαι);","kjv_def":"departing","lemma":"ἄφιξις"},
"G144":{"strongs_def":" perception, i.e. (figuratively) discernment","derivation":"from G143 (αἰσθάνομαι);","lemma":"αἴσθησις","kjv_def":"judgment"},
"G1118":{"lemma":"γονεύς","kjv_def":"parent","strongs_def":" a parent","derivation":"from the base of G1096 (γίνομαι);"},
"G4109":{"kjv_def":"table","lemma":"πλάξ","strongs_def":" a moulding-board, i.e. flat surface (\"plate\", or tablet, literally or figuratively)","derivation":"from G4111 (πλάσσω);"},
"G4417":{"lemma":"πταίω","kjv_def":"fall, offend, stumble","derivation":"a form of G4098 (πίπτω);","strongs_def":" to trip, i.e. (figuratively) to err, sin, fail (of salvation)"},
"G3097":{"derivation":"of foreign origin (H07248);","strongs_def":" a Magian, i.e. Oriental scientist; by implication, a magician","kjv_def":"sorcerer, wise man","lemma":"μάγος"},
"G1469":{"strongs_def":" to judge in, i.e. count among","derivation":"from G1722 (ἐν) and G2919 (κρίνω);","kjv_def":"make of the number","lemma":"ἐγκρίνω"},
"G3488":{"kjv_def":"Narcissus","lemma":"Νάρκισσος","strongs_def":" Narcissus, a Roman","derivation":"a flower of the same name, from (stupefaction, as a \"narcotic\");"},
"G164":{"lemma":"αἰχμάλωτος","kjv_def":"captive","derivation":"from (a spear) and a derivative of the same as G259 (ἅλωσις);","strongs_def":" properly, a prisoner of war, i.e. (genitive case) a captive"},
"G3939":{"strongs_def":" to dwell near, i.e. reside as a foreigner","derivation":"from G3844 (παρά) and G3611 (οἰκέω);","kjv_def":"sojourn in, be a stranger","lemma":"παροικέω"},
"G3777":{"strongs_def":" not too, i.e. neither or nor; by analogy, not even","derivation":"from G3756 (οὐ) and G5037 (τέ);","lemma":"οὔτε","kjv_def":"neither, none, nor (yet), (no, yet) not, nothing"},
"G2373":{"derivation":"from G2372 (θυμός);","strongs_def":" to put in a passion, i.e. enrage","kjv_def":"be wroth","lemma":"θυμόω"},
"G4435":{"kjv_def":"oft","lemma":"πυγμή","strongs_def":" the clenched hand, i.e. (only in dative case as adverb) with the fist (hard scrubbing)","derivation":"from a primary (the fist as a weapon);"},
"G4755":{"lemma":"στρατηγός","kjv_def":"captain, magistrate","derivation":"from the base of G4756 (στρατιά) and G71 (ἄγω) or G2233 (ἡγέομαι);","strongs_def":" a general, i.e. (by implication or analogy) a (military) governor (prætor), the chief (præfect) of the (Levitical) temple-wardens"},
"G3765":{"lemma":"οὐκέτι","kjv_def":"after that (not), (not) any more, henceforth (hereafter) not, no longer (more), not as yet (now), now no more (not), yet (not)","derivation":"from G3756 (οὐ) and G2089 (ἔτι);","strongs_def":" not yet, no longer"},
"G2707":{"kjv_def":"despiser","lemma":"καταφροντής","strongs_def":" a contemner","derivation":"from G2706 (καταφρονέω);"},
"G5006":{"strongs_def":" talent-like in weight","derivation":"from G5007 (τάλαντον);","lemma":"ταλαντιαῖος","kjv_def":"weight of a talent"},
"G3121":{"lemma":"Μαλελεήλ","kjv_def":"Maleleel","derivation":"of Hebrew origin (H04111);","strongs_def":" Maleleel (i.e. Mahalalel), an antediluvian"},
"G1332":{"strongs_def":" of two years (in age)","derivation":"from G1364 (δίς) and G2094 (ἔτος);","lemma":"διετής","kjv_def":"two years old"},
"G927":{"lemma":"βαρύτιμος","kjv_def":"very precious","strongs_def":" highly valuable","derivation":"from G926 (βαρύς) and G5092 (τιμή);"},
"G1356":{"strongs_def":" sky-fallen (i.e. an aerolite)","derivation":"from the alternate of G2203 (Ζεύς) and the alternate of G4098 (πίπτω);","kjv_def":"which fell down from Jupiter","lemma":"διοπετής"},
"G202":{"lemma":"ἀκροατής","kjv_def":"hearer","strongs_def":" apparently an intensive of G191 (ἀκούω)); a hearer (merely)","derivation":"from (to listen;"},
"G1650":{"derivation":"from G1651 (ἐλέγχω);","strongs_def":" proof, conviction","lemma":"ἔλεγχος","kjv_def":"evidence, reproof"},
"G5535":{"derivation":"from G5532 (χρεία);","strongs_def":" to make (i.e. have) necessity, i.e. be in want of","lemma":"χρῄζω","kjv_def":"(have) need"},
"G666":{"derivation":"from the participle of G548 (ἄπειμι);","strongs_def":" a being away","lemma":"ἀπουσία","kjv_def":"absence"},
"G5562":{"kjv_def":"come, contain, go, have place, (can, be room to) receive","lemma":"χωρέω","derivation":"from G5561 (χώρα);","strongs_def":" to be in (give) space, i.e. (intransitively) to pass, enter, or (transitively) to hold, admit (literally or figuratively)"},
"G1260":{"lemma":"διαλογίζομαι","kjv_def":"cast in mind, consider, dispute, muse, reason, think","strongs_def":" to reckon thoroughly, i.e. (genitive case) to deliberate (by reflection or discussion)","derivation":"from G1223 (διά) and G3049 (λογίζομαι);"},
"G1725":{"lemma":"ἔναντι","kjv_def":"before","strongs_def":" in front (i.e. figuratively, presence) of","derivation":"from G1722 (ἐν) and G473 (ἀντί);"},
"G2158":{"strongs_def":" well-formed, i.e. (figuratively) decorous, noble (in rank)","derivation":"from G2095 (εὖ) and G4976 (σχῆμα);","kjv_def":"comely, honourable","lemma":"εὐσχήμων"},
"G2613":{"derivation":"from G2596 (κατά) and a derivative of G1349 (δίκη);","strongs_def":" to adjudge against, i.e. pronounce guilty","lemma":"καταδικάζω","kjv_def":"condemn"},
"G621":{"derivation":"from G575 (ἀπό) and (to \"lick\");","strongs_def":" to lick clean","kjv_def":"lick","lemma":"ἀπολείχω"},
"G169":{"lemma":"ἀκάθαρτος","kjv_def":"foul, unclean","derivation":"from G1 (Α) (as a negative particle) and a presumed derivative of G2508 (καθαίρω) (meaning cleansed);","strongs_def":" impure (ceremonially, morally (lewd) or specially, (demonic))"},
"G4268":{"lemma":"πρόγνωσις","kjv_def":"foreknowledge","strongs_def":" forethought","derivation":"from G4267 (προγινώσκω);"},
"G1099":{"lemma":"γλυκύς","kjv_def":"sweet, fresh","strongs_def":" sweet (i.e. not bitter nor salt)","derivation":"of uncertain affinity;"},
"G60":{"kjv_def":"baser sort, low","lemma":"ἀγοραῖος","derivation":"from G58 (ἀγορά);","strongs_def":" relating to the market-place, i.e. forensic (times); by implication, vulgar"},
"G620":{"strongs_def":" to leave behind (passively, remain); by implication, to forsake","derivation":"from G575 (ἀπό) and G3007 (λείπω);","kjv_def":"leave, remain","lemma":"ἀπολείπω"},
"G48":{"strongs_def":" to make clean, i.e. (figuratively) sanctify (ceremonially or morally)","derivation":"from G53 (ἁγνός);","lemma":"ἁγνίζω","kjv_def":"purify (self)"},
"G1077":{"kjv_def":"birthday","lemma":"γενέσια","strongs_def":" birthday ceremonies","derivation":"neuter plural of a derivative of G1078 (γένεσις);"},
"G1330":{"lemma":"διέρχομαι","kjv_def":"come, depart, go (about, abroad, everywhere, over, through, throughout), pass (by, over, through, throughout), pierce through, travel, walk through","derivation":"from G1223 (διά) and G2064 (ἔρχομαι);","strongs_def":" to traverse (literally)"},
"G3562":{"derivation":"adverb from a comparative of the accusative case of G3563 (νοῦς) and G2192 (ἔχω);","strongs_def":" in a mind-having way, i.e. prudently","kjv_def":"discreetly","lemma":"νουνεχῶς"},
"G320":{"derivation":"from G314 (ἀναγινώσκω);","strongs_def":" (the act of) reading","kjv_def":"reading","lemma":"ἀνάγνωσις"},
"G5022":{"derivation":"apparently a primary word (compare H08450, \"steer\");","strongs_def":" a bullock","kjv_def":"bull, ox","lemma":"ταῦρος"},
"G3660":{"derivation":"a prolonged form of a primary, but obsolete , for which another prolonged form is used in certain tenses;","strongs_def":" to swear, i.e. take (or declare on) oath","kjv_def":"swear","lemma":"ὀμνύω"},
"G3778":{"derivation":"from the article G3588 (ὁ) and G846 (αὐτός);","strongs_def":" the he (she or it), i.e. this or that (often with article repeated)","lemma":"οὗτος","kjv_def":"he (it was that), hereof, it, she, such as, the same, these, they, this (man, same, woman), which, who"},
"G2116":{"strongs_def":" to straighten (level); technically, to steer","derivation":"from G2117 (εὐθύς);","kjv_def":"governor, make straight","lemma":"εὐθύνω"},
"G3432":{"kjv_def":"adulterer","lemma":"μοιχός","strongs_def":" a (male) paramour; figuratively, apostate","derivation":"perhaps a primary word;"},
"G600":{"derivation":"from G575 (ἀπό) and G2525 (καθίστημι);","strongs_def":" to reconstitute (in health, home or organization)","kjv_def":"restore (again)","lemma":"ἀποκαθίστημι"},
"G339":{"strongs_def":" properly, to set up, i.e. (reflexively) to sit up","derivation":"from G303 (ἀνά) and G2523 (καθίζω);","kjv_def":"sit up","lemma":"ἀνακαθίζω"},
"G4431":{"derivation":"from the alternate of G4098 (πίπτω);","strongs_def":" a crash, i.e. downfall (literally or figuratively)","lemma":"πτῶσις","kjv_def":"fall"},
"G616":{"lemma":"ἀποκυέω","kjv_def":"beget, produce","derivation":"from G575 (ἀπό) and the base of G2949 (κῦμα);","strongs_def":" to breed forth, i.e. (by transference) to generate (figuratively)"},
"G3651":{"lemma":"ὁλοτελής","kjv_def":"wholly","strongs_def":" complete to the end, i.e. absolutely perfect","derivation":"from G3650 (ὅλος) and G5056 (τέλος);"},
"G1704":{"strongs_def":" to perambulate on a place, i.e. (figuratively) to be occupied among persons","derivation":"from G1722 (ἐν) and G4043 (περιπατέω);","kjv_def":"walk in","lemma":"ἐμπεριπατέω"},
"G5013":{"strongs_def":" to depress; figuratively, to humiliate (in condition or heart)","derivation":"from G5011 (ταπεινός);","lemma":"ταπεινόω","kjv_def":"abase, bring low, humble (self)"},
"G268":{"lemma":"ἁμαρτωλός","kjv_def":"sinful, sinner","derivation":"from G264 (ἁμαρτάνω);","strongs_def":" sinful, i.e. a sinner"},
"G3419":{"lemma":"μνημεῖον","kjv_def":"grave, sepulchre, tomb","derivation":"from G3420 (μνήμη);","strongs_def":" a remembrance, i.e. cenotaph (place of interment)"},
"G1369":{"strongs_def":" to make apart, i.e. sunder (figuratively, alienate)","derivation":"from a derivative of G1364 (δίς);","kjv_def":"set at variance","lemma":"διχάζω"},
"G2824":{"derivation":"from G2827 (κλίνω);","strongs_def":" a slope, i.e. (specially) a \"clime\" or tract of country","lemma":"κλίμα","kjv_def":"part, region"},
"G1938":{"derivation":"from G1937 (ἐπιθυμέω);","strongs_def":" a craver","lemma":"ἐπιθυμητής","kjv_def":"+ lust after"},
"G4338":{"lemma":"προσηλόω","kjv_def":"nail to","strongs_def":" to peg to, i.e. spike fast","derivation":"from G4314 (πρός) and a derivative of G2247 (ἧλος);"},
"G3388":{"derivation":"from G3384 (μήτηρ);","strongs_def":" the matrix","kjv_def":"womb","lemma":"μήτρα"},
"G4642":{"lemma":"σκληρός","kjv_def":"fierce, hard","derivation":"from the base of G4628 (σκέλος);","strongs_def":" dry, i.e. hard or tough (figuratively, harsh, severe)"},
"G1245":{"kjv_def":"thoroughly purge","lemma":"διακαθαρίζω","derivation":"from G1223 (διά) and G2511 (καθαρίζω);","strongs_def":" to cleanse perfectly, i.e. (specially) winnow"},
"G4299":{"strongs_def":" a prejudgment (prejudice), i.e. prepossession","derivation":"from a compound of G4253 (πρό) and G2919 (κρίνω);","lemma":"πρόκριμα","kjv_def":"prefer one before another"},
"G4971":{"strongs_def":" very much","derivation":"adverb from the same as G4970 (σφόδρα);","kjv_def":"exceedingly","lemma":"σφοδρῶς"},
"G5358":{"strongs_def":" fond to good, i.e. a promoter of virtue","derivation":"from G5384 (φίλος) and G18 (ἀγαθός);","lemma":"φιλάγαθος","kjv_def":"love of good men"},
"G3485":{"derivation":"from a primary (to dwell);","strongs_def":" a fane, shrine, temple ","lemma":"ναός","kjv_def":"shrine, temple"},
"G209":{"kjv_def":"no man forbidding him","lemma":"ἀκωλύτως","derivation":"adverb from a compound of G1 (Α) (as a negative particle) and a derivative of G2967 (κωλύω);","strongs_def":" in an unhindered manner, i.e. freely"},
"G3667":{"kjv_def":"made like to, likeness, shape, similitude","lemma":"ὁμοίωμα","strongs_def":" a form; abstractly, resemblance","derivation":"from G3666 (ὁμοιόω);"},
"G2585":{"lemma":"καπηλεύω","kjv_def":"corrupt","strongs_def":" to retail, i.e. (by implication) to adulterate (figuratively)","derivation":"from (a huckster);"},
"G1219":{"lemma":"δημόσιος","kjv_def":"common, openly, publickly","strongs_def":" public; (feminine singular dative case as adverb) in public","derivation":"from G1218 (δῆμος);"},
"G1132":{"derivation":"from G1131 (γυμνός);","strongs_def":" nudity (absolute or comparative)","kjv_def":"nakedness","lemma":"γυμνότης"},
"G4650":{"kjv_def":"disperse abroad, scatter (abroad)","lemma":"σκορπίζω","strongs_def":" to dissipate, i.e. (figuratively) put to flight, waste, be liberal","derivation":"apparently from the same as G4651 (σκορπίος) (through the idea of penetrating);"},
"G2078":{"strongs_def":" farthest, final (of place or time)","derivation":"a superlative probably from G2192 (ἔχω) (in the sense of contiguity);","kjv_def":"ends of, last, latter end, lowest, uttermost","lemma":"ἔσχατος"},
"G3075":{"strongs_def":" properly, to soil, i.e. (figuratively) insult (maltreat)","derivation":"middle voice from a probably derivative of G3089 (λύω) (meaning filth);","lemma":"λυμαίνομαι","kjv_def":"make havock of"},
"G3996":{"derivation":"from G3997 (πένθος);","strongs_def":" to grieve (the feeling or the act)","kjv_def":"mourn, (be-)wail","lemma":"πενθέω"},
"G4924":{"derivation":"from G4862 (σύν) and G3611 (οἰκέω);","strongs_def":" to reside together (as a family)","kjv_def":"dwell together","lemma":"συνοικέω"},
"G4714":{"strongs_def":" a standing (properly, the act), i.e. (by analogy) position (existence); by implication, a popular uprising; figuratively, controversy","derivation":"from the base of G2476 (ἵστημι);","kjv_def":"dissension, insurrection, X standing, uproar","lemma":"στάσις"},
"G2421":{"kjv_def":"Jesse","lemma":"Ἰεσσαί","derivation":"of Hebrew origin (H03448);","strongs_def":" Jessæ (i.e. Jishai), an Israelite"},
"G2524":{"strongs_def":" and (to send); to lower","derivation":"from G2596 (κατά);","kjv_def":"let down","lemma":"καθίημι"},
"G5145":{"kjv_def":"three hundred","lemma":"τριακόσιοι","derivation":"plural from G5140 (τρεῖς) and G1540 (ἑκατόν);","strongs_def":" three hundred"},
"G1188":{"derivation":"from G1209 (δέχομαι);","strongs_def":" the right side or (feminine) hand (as that which usually takes)","kjv_def":"right (hand, side)","lemma":"δεξιός"},
"G1822":{"lemma":"ἐξαρτίζω","kjv_def":"accomplish, thoroughly furnish","derivation":"from G1537 (ἐκ) and a derivative of G739 (ἄρτιος);","strongs_def":" to finish out (time); figuratively, to equip fully (a teacher)"},
"G3760":{"strongs_def":" by no means","derivation":"adverb from (the feminine) of G3762 (οὐδείς);","lemma":"οὐδαμῶς","kjv_def":"not"},
"G2660":{"derivation":"from G2596 (κατά) and G3572 (νύσσω);","strongs_def":" to pierce thoroughly, i.e. (figuratively) to agitate violently (\"sting to the quick\")","lemma":"κατανύσσω","kjv_def":"prick"},
"G2305":{"strongs_def":" divinity (abstractly)","derivation":"from G2304 (θεῖος);","kjv_def":"godhead","lemma":"θειότης"},
"G3815":{"kjv_def":"play","lemma":"παίζω","strongs_def":" to sport (as a boy)","derivation":"from G3816 (παῖς);"},
"G2012":{"kjv_def":"steward, tutor","lemma":"ἐπίτροπος","derivation":"from G1909 (ἐπί) and G5158 (τρόπος) (in the sense of G2011 (ἐπιτροπή));","strongs_def":" a commissioner, i.e. domestic manager, guardian"},
"G2338":{"strongs_def":" female","derivation":"from the same as G2337 (θηλάζω);","lemma":"θῆλυς","kjv_def":"female, woman"},
"G5469":{"strongs_def":" a curb or head-stall (as curbing the spirit)","derivation":"from G5465 (χαλάω);","lemma":"χαλινός","kjv_def":"bit, bridle"},
"G4942":{"strongs_def":" to act hypocritically in concert with","derivation":"from G4862 (σύν) and G5271 (ὑποκρίνομαι);","kjv_def":"dissemble with","lemma":"συνυποκρίνομαι"},
"G4555":{"strongs_def":" sardine (G3037 (λίθος) being implied), i.e. a gem, so called","derivation":"from the same as G4556 (σάρδιος);","kjv_def":"sardine","lemma":"σάρδινος"},
"G2900":{"strongs_def":" powerful","derivation":"from G2904 (κράτος);","kjv_def":"mighty","lemma":"κραταιός"},
"G3146":{"lemma":"μαστιγόω","kjv_def":"scourge","strongs_def":" to flog (literally or figuratively)","derivation":"from G3148 (μάστιξ);"},
"G2523":{"kjv_def":"continue, set, sit (down), tarry","lemma":"καθίζω","derivation":"another (active) form for G2516 (καθέζομαι);","strongs_def":" to seat down, i.e. set (figuratively, appoint); intransitively, to sit (down); figuratively, to settle (hover, dwell)"},
"G3690":{"lemma":"ὄξος","kjv_def":"vinegar","strongs_def":" vinegar, i.e. sour wine","derivation":"from G3691 (ὀξύς);"},
"G558":{"lemma":"ἀπελεύθερος","kjv_def":"freeman","derivation":"from G575 (ἀπό) and G1658 (ἐλεύθερος);","strongs_def":" one freed away, i.e. a freedman"},
"G1198":{"lemma":"δέσμιος","kjv_def":"in bonds, prisoner","derivation":"from G1199 (δεσμόν);","strongs_def":" a captive (as bound)"},
"G4037":{"kjv_def":"wait for","lemma":"περιμένω","derivation":"from G4012 (περί) and G3306 (μένω);","strongs_def":" to stay around, i.e. await"},
"G1625":{"lemma":"ἐκτρέφω","kjv_def":"bring up, nourish","strongs_def":" to rear up to maturity, i.e. (genitive case) to cherish or train","derivation":"from G1537 (ἐκ) and G5142 (τρέφω);"},
"G724":{"kjv_def":"extortion, ravening, spoiling","lemma":"ἁρπαγή","derivation":"from G726 (ἁρπάζω);","strongs_def":" pillage (properly abstract)"},
"G2572":{"strongs_def":" to cover up (literally or figuratively)","derivation":"akin to G2813 (κλέπτω) and G2928 (κρύπτω);","lemma":"καλύπτω","kjv_def":"cover, hide"},
"G2732":{"derivation":"from a derivative of G2730 (κατοικέω);","strongs_def":" a dwelling-place","kjv_def":"habitation","lemma":"κατοικητήριον"},
"G449":{"strongs_def":" without ablution","derivation":"from G1 (Α) (as a negative particle) and a presumed derivative of G3538 (νίπτω);","lemma":"ἄνιπτος","kjv_def":"unwashen"},
"G1783":{"strongs_def":" an interview, i.e. (specially) supplication","derivation":"from G1793 (ἐντυγχάνω);","kjv_def":"intercession, prayer","lemma":"ἔντευξις"},
"G5218":{"lemma":"ὑπακοή","kjv_def":"obedience, (make) obedient, obey(-ing)","strongs_def":" attentive hearkening, i.e. (by implication) compliance or submission","derivation":"from G5219 (ὑπακούω);"},
"G3579":{"kjv_def":"entertain, lodge, (think it) strange","lemma":"ξενίζω","derivation":"from G3581 (ξένος);","strongs_def":" to be a host (passively, a guest); by implication, be (make, appear) strange"},
"G664":{"strongs_def":" abruptly, i.e. peremptorily","derivation":"adverb from a derivative of a comparative of G575 (ἀπό) and (to cut);","kjv_def":"sharply(-ness)","lemma":"ἀποτόμως"},
"G3154":{"strongs_def":" to render (passively, become) foolish, i.e. (morally) wicked or (specially), idolatrous","derivation":"from G3152 (μάταιος);","lemma":"ματαιόω","kjv_def":"become vain"},
"G3764":{"strongs_def":" not even yet","derivation":"from G3761 (οὐδέ) and G4452 (-πω);","kjv_def":"as yet not, never before (yet), (not) yet","lemma":"οὐδέπω"},
"G693":{"kjv_def":"(of) silver","lemma":"ἀργύρεος","derivation":"from G696 (ἄργυρος);","strongs_def":" made of silver"},
"G4726":{"derivation":"from G4727 (στενάζω);","strongs_def":" a sigh","kjv_def":"groaning","lemma":"στεναγμός"},
"G86":{"kjv_def":"grave, hell","lemma":"ᾅδης","derivation":"from G1 (Α) (as negative particle) and G1492 (εἴδω);","strongs_def":" properly, unseen, i.e. \"Hades\" or the place (state) of departed souls"},
"G3325":{"derivation":"from G3324 (μεστός);","strongs_def":" to replenish, i.e. (by implication) to intoxicate","lemma":"μεστόω","kjv_def":"fill"},
"G5070":{"kjv_def":"four thousand","lemma":"τετρακισχίλιοι","strongs_def":" four times a thousand","derivation":"from the multiplicative adverb of G5064 (τέσσαρες) and G5507 (χίλιοι);"},
"G245":{"lemma":"ἀλλότριος","kjv_def":"alien, (an-)other (man's, men's), strange(-r)","strongs_def":" another's, i.e. not one's own; by extension foreign, not akin, hostile","derivation":"from G243 (ἄλλος);"},
"G4471":{"lemma":"Ῥαμᾶ","kjv_def":"Rama","derivation":"of Hebrew origin (H07414);","strongs_def":" Rama (i.e. Ramah), a place in Palestine"},
"G4868":{"derivation":"from G4862 (σύν) and G142 (αἴρω);","strongs_def":" to make up together, i.e. (figuratively) to compute (an account)","kjv_def":"reckon, take","lemma":"συναίρω"},
"G749":{"strongs_def":" the high-priest (literally, of the Jews, typically, Christ); by extension a chief priest","derivation":"from G746 (ἀρχή) and G2409 (ἱερεύς);","kjv_def":"chief (high) priest, chief of the priests","lemma":"ἀρχιερεύς"},
"G5050":{"kjv_def":"perfection, performance","lemma":"τελείωσις","derivation":"from G5448 (φυσιόω);","strongs_def":" (the act) completion, i.e. (of prophecy) verification, or (of expiation) absolution"},
"G696":{"lemma":"ἄργυρος","kjv_def":"silver","derivation":"from (shining);","strongs_def":" silver (the metal, in the articles or coin)"},
"G3578":{"lemma":"ξενία","kjv_def":"lodging","strongs_def":" hospitality, i.e. (by implication) a place of entertainment","derivation":"from G3581 (ξένος);"},
"G1496":{"kjv_def":"idolater","lemma":"εἰδωλολάτρης","derivation":"from G1497 (εἴδωλον) and the base of G3000 (λατρεύω);","strongs_def":" an image- (servant or) worshipper (literally or figuratively)"},
"G2326":{"kjv_def":"harvest","lemma":"θερισμός","strongs_def":" reaping, i.e. the crop","derivation":"from G2325 (θερίζω);"},
"G241":{"strongs_def":" foreign, i.e. not a Jew","derivation":"from G243 (ἄλλος) and G1085 (γένος);","kjv_def":"stranger","lemma":"ἀλλογενής"},
"G4938":{"lemma":"σύντριμμα","kjv_def":"destruction","derivation":"from G4937 (συντρίβω);","strongs_def":" concussion or utter fracture (properly, concretely), i.e. complete ruin"},
"G4334":{"strongs_def":" to approach, i.e. (literally) come near, visit, or (figuratively) worship, assent to","derivation":"from G4314 (πρός) and G2064 (ἔρχομαι) (including its alternate);","lemma":"προσέρχομαι","kjv_def":"(as soon as he) come (unto), come thereunto, consent, draw near, go (near, to, unto)"},
"G5105":{"strongs_def":" truly for then, i.e. consequently","derivation":"from G5104 (τοί) and G1063 (γάρ) and G3767 (οὖν);","lemma":"τοιγαροῦν","kjv_def":"there-(where-)fore"},
"G2074":{"derivation":"of Hebrew origin (H02696);","strongs_def":" Esrom (i.e. Chetsron), an Israelite","lemma":"Ἐσρώμ","kjv_def":"Esrom"},
"G5437":{"lemma":"φυγή","kjv_def":"flight","strongs_def":" a fleeing, i.e. escape","derivation":"from G5343 (φεύγω);"},
"G2500":{"strongs_def":" Joses, the name of two Israelites","derivation":"perhaps for G2501 (Ἰωσήφ);","lemma":"Ἰωσῆς","kjv_def":"Joses"},
"G514":{"lemma":"ἄξιος","kjv_def":"due reward, meet, (un-)worthy","derivation":"probably from G71 (ἄγω);","strongs_def":" deserving, comparable or suitable (as if drawing praise)"},
"G1759":{"lemma":"ἐνθάδε","kjv_def":"(t-)here, hither","derivation":"from a prolonged form of G1722 (ἐν);","strongs_def":" properly, within, i.e. (of place) here, hither"},
"G1702":{"kjv_def":"mock","lemma":"ἐμπαίζω","strongs_def":" to jeer at, i.e. deride","derivation":"from G1722 (ἐν) and G3815 (παίζω);"},
"G4117":{"strongs_def":" a plait (of hair)","derivation":"from G4120 (πλέκω);","lemma":"πλέγμα","kjv_def":"broidered hair"},
"G1546":{"strongs_def":" ejection, i.e. (specially) a throwing overboard of the cargo","derivation":"from G1544 (ἐκβάλλω);","lemma":"ἐκβολή","kjv_def":"+ lighten the ship"},
"G1446":{"kjv_def":"Hebrew","lemma":"Ἑβραΐς","derivation":"from G1443 (Ἐβέρ);","strongs_def":" the Hebraistic (Hebrew) or Jewish (Chaldee) language"},
"G781":{"kjv_def":"fool","lemma":"ἄσοφος","strongs_def":" unwise","derivation":"from G1 (Α) (as a negative particle) and G4680 (σοφός);"},
"G4157":{"derivation":"from G4154 (πνέω);","strongs_def":" respiration, a breeze","lemma":"πνοή","kjv_def":"breath, wind"},
"G4965":{"kjv_def":"Sychar","lemma":"Συχάρ","derivation":"of Hebrew origin (H07941);","strongs_def":" Sychar (i.e. Shekar), a place in Palestine"},
"G1825":{"kjv_def":"raise up","lemma":"ἐξεγείρω","strongs_def":" to rouse fully, i.e. (figuratively) to resuscitate (from death), release (from infliction)","derivation":"from G1537 (ἐκ) and G1453 (ἐγείρω);"},
"G679":{"lemma":"ἄπταιστος","kjv_def":"from falling","strongs_def":" not stumbling, i.e. (figuratively) without sin","derivation":"from G1 (Α) (as a negative particle) and a derivative of G4417 (πταίω);"},
"G4733":{"derivation":"from G4732 (στερεόω);","strongs_def":" something established, i.e. (abstractly) confirmation (stability)","lemma":"στερέωμα","kjv_def":"stedfastness"},
"G2097":{"kjv_def":"declare, bring (declare, show) glad (good) tidings, preach (the gospel)","lemma":"εὐαγγελίζω","derivation":"from G2095 (εὖ) and G32 (ἄγγελος);","strongs_def":" to announce good news (\"evangelize\") especially the gospel"},
"G3348":{"derivation":"from G3326 (μετά) and G2192 (ἔχω);","strongs_def":" to share or participate; by implication, belong to, eat (or drink)","kjv_def":"be partaker, pertain, take part, use","lemma":"μετέχω"},
"G3471":{"derivation":"from G3474 (μωρός);","strongs_def":" to become insipid; figuratively, to make (passively, act) as a simpleton","lemma":"μωραίνω","kjv_def":"become fool, make foolish, lose savour"},
"G5015":{"lemma":"ταράσσω","kjv_def":"trouble","strongs_def":" to stir or agitate (roil water)","derivation":"of uncertain affinity;"},
"G3850":{"strongs_def":" a similitude (\"parable\"), i.e. (symbolic) fictitious narrative (of common life conveying a moral), apothegm or adage","derivation":"from G3846 (παραβάλλω);","kjv_def":"comparison, figure, parable, proverb","lemma":"παραβολή"},
"G585":{"strongs_def":" manifestation","derivation":"from G584 (ἀποδείκνυμι);","kjv_def":"demonstration","lemma":"ἀπόδειξις"},
"G4548":{"kjv_def":"board","lemma":"σανίς","strongs_def":" a plank","derivation":"of uncertain affinity;"},
"G2499":{"lemma":"Ἰωσή","kjv_def":"Jose","strongs_def":" Jose, an Israelite","derivation":"genitive case of G2500 (Ἰωσῆς);"},
"G2928":{"lemma":"κρύπτω","kjv_def":"hide (self), keep secret, secret(-ly)","strongs_def":" to conceal (properly, by covering)","derivation":"a primary verb;"},
"G1591":{"strongs_def":" to knead out, i.e. (by analogy) to wipe dry","derivation":"from G1537 (ἐκ) and the base of G3145 (μασσάομαι);","lemma":"ἐκμάσσω","kjv_def":"wipe"},
"G123":{"lemma":"αἰγιαλός","kjv_def":"shore","derivation":"from (to rush) and G251 (ἅλς) (in the sense of the sea;","strongs_def":" a beach (on which the waves dash)"},
"G3860":{"lemma":"παραδίδωμι","kjv_def":"betray, bring forth, cast, commit, deliver (up), give (over, up), hazard, put in prison, recommend","strongs_def":" to surrender, i.e yield up, intrust, transmit","derivation":"from G3844 (παρά) and G1325 (δίδωμι);"},
"G1372":{"derivation":"from a variation of G1373 (δίψος);","strongs_def":" to thirst for (literally or figuratively)","kjv_def":"(be, be a-)thirst(-y)","lemma":"διψάω"},
"G5291":{"strongs_def":" to strew underneath (the feet as a carpet)","derivation":"from G5259 (ὑπό) and G4766 (στρώννυμι);","kjv_def":"spread","lemma":"ὑποστρώννυμι"},
"G2223":{"derivation":"probably akin to the base of G2218 (ζυγός);","strongs_def":" a belt; by implication, a pocket","kjv_def":"girdle, purse","lemma":"ζώνη"},
"G3460":{"lemma":"Μύρα","kjv_def":"Myra","derivation":"of uncertain derivation;","strongs_def":" Myra, a place in Asia Minor"},
"G573":{"kjv_def":"single","lemma":"ἁπλοῦς","derivation":"probably from G1 (Α) (as a particle of union) and the base of G4120 (πλέκω);","strongs_def":" properly, folded together, i.e. single (figuratively, clear)"},
"G1596":{"kjv_def":"wilfully, willingly","lemma":"ἑκουσίως","derivation":"adverb from the same as G1595 (ἑκούσιον);","strongs_def":" voluntarily"},
"G1084":{"derivation":"from G1080 (γεννάω);","strongs_def":" born","lemma":"γεννητός","kjv_def":"they that are born"},
"G4972":{"derivation":"from G4973 (σφραγίς);","strongs_def":" to stamp (with a signet or private mark) for security or preservation (literally or figuratively); by implication, to keep secret, to attest","lemma":"σφραγίζω","kjv_def":"(set a, set to) seal up, stop"},
"G4880":{"derivation":"from G4862 (σύν) and G599 (ἀποθνήσκω);","strongs_def":" to decease (literally) in company with, or (figuratively), similarly to","lemma":"συναποθνήσκω","kjv_def":"be dead (die) with"},
"G4735":{"strongs_def":" a chaplet (as a badge of royalty, a prize in the public games or a symbol of honor generally; but more conspicuous and elaborate than the simple fillet, G1238 (διάδημα)), literally or figuratively","derivation":"from an apparently primary (to twine or wreathe);","kjv_def":"crown","lemma":"στέφανος"},
"G1584":{"kjv_def":"shine forth","lemma":"ἐκλάμπω","derivation":"from G1537 (ἐκ) and G2989 (λάμπω);","strongs_def":" to be resplendent"},
"G2719":{"lemma":"κατεσθίω","kjv_def":"devour","strongs_def":" to eat down, i.e. devour (literally or figuratively)","derivation":"from G2596 (κατά) and G2068 (ἐσθίω) (including its alternate);"},
"G2700":{"kjv_def":"thrust through","lemma":"κατατοξεύω","strongs_def":" to shoot down with an arrow or other missile","derivation":"from G2596 (κατά) and a derivative of G5115 (τόξον);"},
"G4833":{"lemma":"συμμορφόω","kjv_def":"make conformable unto","strongs_def":" to render like, i.e. (figuratively) to assimilate","derivation":"from G4832 (σύμμορφος);"},
"G1767":{"lemma":"ἐννέα","kjv_def":"nine","strongs_def":" nine","derivation":"a primary number;"},
"G700":{"lemma":"ἀρέσκω","kjv_def":"please","strongs_def":" to be agreeable (or by implication, to seek to be so)","derivation":"probably from G142 (αἴρω) (through the idea of exciting emotion);"},
"G746":{"kjv_def":"beginning, corner, (at the, the) first (estate), magistrate, power, principality, principle, rule","lemma":"ἀρχή","derivation":"from G756 (ἄρχομαι);","strongs_def":" (properly abstract) a commencement, or (concretely) chief (in various applications of order, time, place, or rank)"},
"G2877":{"strongs_def":" a (little) girl","derivation":"neuter of a presumed derivative of (a maiden);","kjv_def":"damsel, maid","lemma":"κοράσιον"},
"G1080":{"lemma":"γεννάω","kjv_def":"bear, beget, be born, bring forth, conceive, be delivered of, gender, make, spring","strongs_def":" to procreate (properly, of the father, but by extension of the mother); figuratively, to regenerate","derivation":"from a variation of G1085 (γένος);"},
"G5354":{"strongs_def":" to be jealous of","derivation":"from G5355 (φθόνος);","lemma":"φθονέω","kjv_def":"envy"},
"G2001":{"kjv_def":"be the more fierce","lemma":"ἐπισχύω","strongs_def":" to avail further, i.e. (figuratively) insist stoutly","derivation":"from G1909 (ἐπί) and G2480 (ἰσχύω);"},
"G78":{"kjv_def":"Addi","lemma":"Ἀδδί","derivation":"probably of Hebrew origin (compare H05716);","strongs_def":" Addi, an Israelite"},
"G5052":{"derivation":"from a compound of G5056 (τέλος) and G5342 (φέρω);","strongs_def":" to be a bearer to completion (maturity), i.e. to ripen fruit (figuratively)","lemma":"τελεσφορέω","kjv_def":"bring fruit to perfection"},
"G3917":{"strongs_def":" a leopard","derivation":"feminine of (a panther);","lemma":"πάρδαλις","kjv_def":"leopard"},
"G5524":{"lemma":"χορηγέω","kjv_def":"give, minister","strongs_def":" to be a dance-leader, i.e. (generally) to furnish","derivation":"from a compound of G5525 (χορός) and G71 (ἄγω);"},
"G2168":{"lemma":"εὐχαριστέω","kjv_def":"(give) thank(-ful, -s)","strongs_def":" to be grateful, i.e. (actively) to express gratitude (towards); specially, to say grace at a meal","derivation":"from G2170 (εὐχάριστος);"},
"G5033":{"derivation":"neuter plural of the superlative of G5036 (ταχύς) (as adverb);","strongs_def":" most quickly, i.e. (with G5613 (ὡς) prefixed) as soon as possible","kjv_def":"+ with all speed","lemma":"τάχιστα"},
"G5179":{"kjv_def":"en-(ex-)ample, fashion, figure, form, manner, pattern, print","lemma":"τύπος","strongs_def":" a die (as struck), i.e. (by implication) a stamp or scar; by analogy, a shape, i.e. a statue, (figuratively) style or resemblance; specially, a sampler (\"type\"), i.e. a model (for imitation) or instance (for warning)","derivation":"from G5180 (τύπτω);"},
"G765":{"lemma":"ἀσεβής","kjv_def":" ungodly (man)","derivation":"from G1 (Α) (as a negative particle) and a presumed derivative of G4576 (σέβομαι);","strongs_def":" irreverent, i.e. (by extension) impious or wicked"},
"G4797":{"kjv_def":"confound, confuse, stir up, be in an uproar","lemma":"συγχέω","derivation":"from G4862 (σύν) and (to pour) or its alternate;","strongs_def":" to commingle promiscuously, i.e. (figuratively) to throw (an assembly) into disorder, to perplex (the mind)"},
"G3802":{"lemma":"παγιδεύω","kjv_def":"entangle","derivation":"from G3803 (παγίς);","strongs_def":" to ensnare (figuratively)"},
"G2649":{"lemma":"καταμαρτυρέω","kjv_def":"witness against","strongs_def":" to testify against","derivation":"from G2596 (κατά) and G3140 (μαρτυρέω);"},
"G3677":{"kjv_def":"dream","lemma":"ὄναρ","derivation":"of uncertain derivation;","strongs_def":" a dream"},
"G2200":{"strongs_def":" boiled, i.e. (by implication) calid (figuratively, fervent)","derivation":"from G2204 (ζέω);","kjv_def":"hot","lemma":"ζεστός"},
"G3976":{"derivation":"ultimately from G4228 (πούς);","strongs_def":" a shackle for the feet","kjv_def":"fetter","lemma":"πέδη"},
"G10":{"kjv_def":"Abiud","lemma":"Ἀβιούδ","derivation":"of Hebrew origin (H031);","strongs_def":" Abihud, an Israelite"},
"G1355":{"derivation":"from G1352 (διό) and G4007 (περ);","strongs_def":" on which very account","lemma":"διόπερ","kjv_def":"wherefore"},
"G5079":{"strongs_def":" an artisan; figuratively, a founder (Creator)","derivation":"from G5078 (τέχνη);","lemma":"τεχνίτης","kjv_def":"builder, craftsman"},
"G227":{"derivation":"from G1 (Α) (as a negative particle) and G2990 (λανθάνω);","strongs_def":" true (as not concealing)","kjv_def":"true, truly, truth","lemma":"ἀληθής"},
"G4425":{"derivation":"from G4429 (πτύω);","strongs_def":" a winnowing-fork (as scattering like spittle)","lemma":"πτύον","kjv_def":"fan"},
"G3152":{"kjv_def":"vain, vanity","lemma":"μάταιος","strongs_def":" empty, i.e. (literally) profitless, or (specially), an idol","derivation":"from the base of G3155 (μάτην);"},
"G5102":{"strongs_def":" a titulus or \"title\" (placard)","derivation":"of Latin origin;","lemma":"τίτλος","kjv_def":"title"},
"G1776":{"strongs_def":" to crowd in, i.e. (figuratively) to annoy","derivation":"from G1722 (ἐν) and G3791 (ὀχλέω);","kjv_def":"trouble","lemma":"ἐνοχλέω"},
"G2247":{"kjv_def":"nail","lemma":"ἧλος","derivation":"of uncertain affinity;","strongs_def":" a stud, i.e. spike"},
"G1654":{"kjv_def":"alms(-deeds)","lemma":"ἐλεημοσύνη","strongs_def":" compassionateness, i.e. (as exercised towards the poor) beneficence, or (concretely) a benefaction","derivation":"from G1656 (ἔλεος);"},
"G1090":{"lemma":"γεωργέω","kjv_def":"dress","strongs_def":" to till (the soil)","derivation":"from G1092 (γεωργός);"},
"G4527":{"kjv_def":"Sala","lemma":"Σαλά","derivation":"of Hebrew origin (H07974);","strongs_def":" Sala (i.e. Shelach), a patriarch "},
"G619":{"lemma":"ἀπόλαυσις","kjv_def":"enjoy(-ment)","derivation":"from a comparative of G575 (ἀπό) and (to enjoy);","strongs_def":" full enjoyment"},
"G3606":{"derivation":"from G3739 (ὅς) with the directive enclitic of source;","strongs_def":" from which place or source or cause (adverb or conjunction)","lemma":"ὅθεν","kjv_def":"from thence, (from) whence, where(-by, -fore, -upon)"},
"G1942":{"strongs_def":" a covering, i.e. (figuratively) pretext","derivation":"from G1943 (ἐπικαλύπτω);","kjv_def":"cloke","lemma":"ἐπικάλυμα"},
"G3472":{"kjv_def":"foolishness","lemma":"μωρία","derivation":"from G3474 (μωρός);","strongs_def":" silliness, i.e. absurdity"},
"G3724":{"derivation":"from G3725 (ὅριον);","strongs_def":" to mark out or bound (\"horizon\"), i.e. (figuratively) to appoint, decree, specify","lemma":"ὁρίζω","kjv_def":"declare, determine, limit, ordain"},
"G2737":{"strongs_def":" inferior (locally, of Hades)","derivation":"comparative from G2736 (κάτω);","lemma":"κατώτερος","kjv_def":"lower"},
"G4869":{"lemma":"συναιχμάλωτος","kjv_def":"fellowprisoner","derivation":"from G4862 (σύν) and G164 (αἰχμάλωτος);","strongs_def":" a co-captive"},
"G4876":{"kjv_def":"befall, meet","lemma":"συναντάω","derivation":"from G4862 (σύν) and a derivative of G473 (ἀντί);","strongs_def":" to meet with; figuratively, to occur"},
"G5355":{"lemma":"φθόνος","kjv_def":"envy","derivation":"probably akin to the base of G5351 (φθείρω);","strongs_def":" ill-will (as detraction), i.e. jealousy (spite)"},
"G4457":{"strongs_def":" stupidity or callousness","derivation":"from G4456 (πωρόω);","kjv_def":"blindness, hardness","lemma":"πώρωσις"},
"G1832":{"lemma":"ἔξεστι","kjv_def":"be lawful, let, X may(-est)","strongs_def":" so also neuter present participle of the same (with or without some form of G1510 (εἰμί) expressed); impersonally, it is right (through the figurative idea of being out in public)","derivation":"third person singular present indicative of a compound of G1537 (ἐκ) and G1510 (εἰμί);"},
"G5130":{"lemma":"τούτων","kjv_def":"such, their, these (things), they, this sort, those","derivation":"genitive case plural masculine or neuter of G3778 (οὗτος);","strongs_def":" of (from or concerning) these (persons or things)"},
"G2982":{"strongs_def":" lama (i.e. why)","derivation":"of Hebrew origin (H04100 with prepositional prefix);","kjv_def":"lama","lemma":"λαμά"},
"G4316":{"strongs_def":" to address, i.e. salute by name","derivation":"from G4314 (πρός) and a derivative of G58 (ἀγορά) (mean to harangue);","kjv_def":"call","lemma":"προσαγορεύω"},
"G4521":{"kjv_def":"sabbath (day), week","lemma":"σάββατον","strongs_def":" the Sabbath (i.e. Shabbath), or day of weekly repose from secular avocations (also the observance or institution itself); by extension, a se'nnight, i.e. the interval between two Sabbaths; likewise the plural in all the above applications","derivation":"of Hebrew origin (H07676);"},
"G1628":{"kjv_def":"escape, flee","lemma":"ἐκφεύγω","strongs_def":" to flee out","derivation":"from G1537 (ἐκ) and G5343 (φεύγω);"},
"G1662":{"derivation":"of Hebrew origin (H0471);","strongs_def":" Eliakim, an Israelite","lemma":"Ἐλιακείμ","kjv_def":"Eliakim"},
"G3528":{"kjv_def":"conquer, overcome, prevail, get the victory","lemma":"νικάω","strongs_def":" to subdue (literally or figuratively)","derivation":"from G3529 (νίκη);"},
"G4858":{"strongs_def":" unison of sound (\"symphony\"), i.e. a concert of instruments (harmonious note)","derivation":"from G4859 (σύμφωνος);","kjv_def":"music","lemma":"συμφωνία"},
"G3881":{"strongs_def":" (specially), to lay one's course near, i.e. sail past","derivation":"from G3844 (παρά) and the middle voice of G3004 (λέγω) (in its original sense);","lemma":"παραλέγομαι","kjv_def":"pass, sail by"},
"G1779":{"lemma":"ἐνταφιάζω","kjv_def":"bury","strongs_def":" to inswathe with cerements for interment","derivation":"from a compound of G1722 (ἐν) and G5028 (τάφος);"},
"G5508":{"strongs_def":" Chios, an island in the Mediterranean","derivation":"of uncertain derivation;","lemma":"Χίος","kjv_def":"Chios"},
"G2986":{"derivation":"from the same as G2985 (λαμπάς);","strongs_def":" radiant; by analogy, limpid; figuratively, magnificent or sumptuous (in appearance)","lemma":"λαμπρός","kjv_def":"bright, clear, gay, goodly, gorgeous, white"},
"G4229":{"strongs_def":" a deed; by implication, an affair; by extension, an object (material)","derivation":"from G4238 (πράσσω);","lemma":"πρᾶγμα","kjv_def":"business, matter, thing, work"},
"G4224":{"lemma":"πότος","kjv_def":"banqueting","strongs_def":" a drinking-bout or carousal","derivation":"from the alternate of G4095 (πίνω);"},
"G196":{"strongs_def":" most exact","derivation":"superlative of (a derivative of the same as G206 (ἄκρον));","lemma":"ἀκριβέστατος","kjv_def":"most straitest"},
"G1337":{"lemma":"διθάλασσος","kjv_def":"where two seas meet","derivation":"from G1364 (δίς) and G2281 (θάλασσα);","strongs_def":" having two seas, i.e. a sound with a double outlet"},
"G1161":{"kjv_def":"also, and, but, moreover, now (often unexpressed in English)","lemma":"δέ","derivation":"a primary particle (adversative or continuative);","strongs_def":" but, and, etc."},
"G5089":{"lemma":"τίλλω","kjv_def":"pluck","strongs_def":" to pull off","derivation":"perhaps akin to the alternate of G138 (αἱρέομαι), and thus to G4951 (σύρω);"},
"G2248":{"kjv_def":"our, us, we","lemma":"ἡμᾶς","strongs_def":" us","derivation":"accusative case plural of G1473 (ἐγώ);"},
"G5404":{"strongs_def":" a palm-tree","derivation":"of uncertain derivation;","lemma":"φοῖνιξ","kjv_def":"palm (tree)"},
"G2034":{"lemma":"ἑπτάκις","kjv_def":"seven times","strongs_def":" seven times","derivation":"adverb from G2033 (ἑπτά);"},
"G2899":{"strongs_def":" a margin, i.e. (specially), a fringe or tassel","derivation":"of uncertain derivation;","lemma":"κράσπεδον","kjv_def":"border, hem"},
"G2806":{"derivation":"a primary verb;","strongs_def":" to break (specially, of bread)","kjv_def":"break","lemma":"κλάω"},
"G1905":{"kjv_def":"ask (after, questions), demand, desire, question","lemma":"ἐπερωτάω","strongs_def":" to ask for, i.e. inquire, seek","derivation":"from G1909 (ἐπί) and G2065 (ἐρωτάω);"},
"G2959":{"strongs_def":" Cyria, a Christian woman","derivation":"feminine of G2962 (κύριος);","lemma":"Κυρία","kjv_def":"lady"},
"G4539":{"lemma":"Σαλώμη","kjv_def":"Salome","derivation":"probably of Hebrew origin (feminine from H07965);","strongs_def":" Salome (i.e. Shelomah), an Israelitess"},
"G2954":{"kjv_def":"Cyprus","lemma":"Κύπρος","derivation":"of uncertain origin;","strongs_def":" Cyprus, an island in the Mediterranean"},
"G3156":{"strongs_def":" Matthæus (i.e. Matthitjah), an Israelite and a Christian","derivation":"a shorter form of G3164 (μάχομαι);","kjv_def":"Matthew","lemma":"Ματθαῖος"},
"G3830":{"derivation":"from the same as G3829 (πανδοχεῖον);","strongs_def":" an innkeeper (warden of a caravanserai)","kjv_def":"host","lemma":"πανδοχεύς"},
"G3312":{"lemma":"μεριστής","kjv_def":"divider","strongs_def":" an apportioner (administrator)","derivation":"from G3307 (μερίζω);"},
"G3561":{"lemma":"νουμηνία","kjv_def":"new moon","derivation":"feminine of a compound of G3501 (νέος) and G3376 (μήν) (as noun by implication, of G2250 (ἡμέρα));","strongs_def":" the festival of new moon"},
"G4480":{"kjv_def":"chariot","lemma":"ῥέδα","strongs_def":" a rheda, i.e. four-wheeled carriage (wagon for riding)","derivation":"of Latin origin;"},
"G995":{"strongs_def":" a halloo, i.e. call (for aid, etc.)","derivation":"from G994 (βοάω);","kjv_def":"cry","lemma":"βοή"},
"G3455":{"kjv_def":"roar","lemma":"μυκάομαι","strongs_def":" to bellow (roar)","derivation":"from a presumed derivative of ( to \"moo\");"},
"G5407":{"lemma":"φονεύω","kjv_def":"kill, do murder, slay","strongs_def":" to be a murderer (of)","derivation":"from G5406 (φονεύς);"},
"G2961":{"strongs_def":" to rule","derivation":"from G2962 (κύριος);","kjv_def":"have dominion over, lord, be lord of, exercise lordship over","lemma":"κυριεύω"},
"G3926":{"derivation":"from G3844 (παρά) and G1776 (ἐνοχλέω);","strongs_def":" to harass further, i.e. annoy","lemma":"παρενοχλέω","kjv_def":"trouble"},
"G2871":{"kjv_def":"slaughter","lemma":"κοπή","strongs_def":" cutting, i.e. carnage","derivation":"from G2875 (κόπτω);"},
"G3596":{"kjv_def":"go on a journey","lemma":"ὁδοιπορέω","strongs_def":" to be a wayfarer, i.e. travel","derivation":"from a compound of G3598 (ὁδός) and G4198 (πορεύομαι);"},
"G4266":{"derivation":"from G4253 (πρό) and G1096 (γίνομαι);","strongs_def":" to be already, i.e. have previousy transpired","lemma":"προγίνομαι","kjv_def":"be past"},
"G4044":{"lemma":"περιπείρω","kjv_def":"pierce through","derivation":"from G4012 (περί) and the base of G4008 (πέραν);","strongs_def":" to penetrate entirely, i.e. transfix (figuratively)"},
"G3623":{"kjv_def":"chamberlain, governor, steward","lemma":"οἰκονόμος","strongs_def":" a house-distributor (i.e. manager), or overseer, i.e. an employee in that capacity; by extension, a fiscal agent (treasurer); figuratively, a preacher (of the Gospel)","derivation":"from G3624 (οἶκος) and the base of G3551 (νόμος);"},
"G4524":{"derivation":"of Hebrew origin (H06659);","strongs_def":" Sadoc (i.e. Tsadok), an Israelite","lemma":"Σαδώκ","kjv_def":"Sadoc"},
"G2291":{"kjv_def":"Thara","lemma":"Θάρα","derivation":"of Hebrew origin (H08646);","strongs_def":" Thara (i.e. Terach), the father of Abraham"},
"G4198":{"derivation":"middle voice from a derivative of the same as G3984 (πεῖρα);","strongs_def":" to traverse, i.e. travel (literally or figuratively; especially to remove (figuratively, die), live, etc.); ","kjv_def":"--depart, go (away, forth, one's way, up), (make a, take a) journey, walk","lemma":"πορεύομαι"},
"G4121":{"lemma":"πλεονάζω","kjv_def":"abound, abundant, make to increase, have over","strongs_def":" to do, make or be more, i.e. increase (transitively or intransitively); by extension, to superabound","derivation":"from G4119 (πλείων);"},
"G2792":{"derivation":"of foreign origin (compare H07076);","strongs_def":" cinnamon","kjv_def":"cinnamon","lemma":"κινάμωμον"},
"G5074":{"derivation":"from G5064 (τέσσαρες) and G4228 (πούς);","strongs_def":" a quadruped","lemma":"τετράπους","kjv_def":"fourfooted beast"},
"G658":{"lemma":"ἀποτελέω","kjv_def":"finish","strongs_def":" to complete entirely, i.e. consummate","derivation":"from G575 (ἀπό) and G5055 (τελέω);"},
"G2234":{"lemma":"ἡδέως","kjv_def":"gladly","derivation":"adverb from a derivative of the base of G2237 (ἡδονή);","strongs_def":" sweetly, i.e. (figuratively) with pleasure"},
"G4064":{"lemma":"περιφέρω","kjv_def":"bear (carry) about","derivation":"from G4012 (περί) and G5342 (φέρω);","strongs_def":" to convey around, i.e. transport hither and thither"},
"G3723":{"derivation":"adverb from G3717 (ὀρθός);","strongs_def":" in a straight manner, i.e. (figuratively) correctly (also morally)","lemma":"ὀρθῶς","kjv_def":"plain, right(-ly)"},
"G509":{"derivation":"from G507 (ἄνω);","strongs_def":" from above; by analogy, from the first; by implication, anew","lemma":"ἄνωθεν","kjv_def":"from above, again, from the beginning (very first), the top"},
"G5265":{"lemma":"ὑποδέω","kjv_def":"bind on, (be) shod","strongs_def":" to bind under one's feet, i.e. put on shoes or sandals","derivation":"from G5259 (ὑπό) and G1210 (δέω);"},
"G4113":{"kjv_def":"street","lemma":"πλατεῖα","strongs_def":" a wide \"plat\" or \"place\", i.e. open square","derivation":"feminine of G4116 (πλατύς);"},
"G5243":{"lemma":"ὑπερηφανία","kjv_def":"pride","derivation":"from G5244 (ὑπερήφανος);","strongs_def":" haughtiness"},
"G1180":{"derivation":"from G1176 (δέκα) and G5064 (τέσσαρες);","strongs_def":" ten and four, i.e. fourteen","lemma":"δεκατέσσαρες","kjv_def":"fourteen"},
"G4770":{"derivation":"from G4745 (στοά);","strongs_def":" a \"Stoic\" (as occupying a particular porch in Athens), i.e. adherent of a certin philosophy","kjv_def":"Stoick","lemma":"Στωϊκός"},
"G1516":{"kjv_def":"peaceable","lemma":"εἰρηνικός","strongs_def":" pacific; by implication, salutary","derivation":"from G1515 (εἰρήνη);"},
"G4758":{"strongs_def":" to gather (or select) as a warrior, i.e. enlist in the army","derivation":"from a compound of the base of G4756 (στρατιά) and G3004 (λέγω) (in its original sense);","lemma":"στρατολογέω","kjv_def":"choose to be a soldier"},
"G437":{"strongs_def":" to confess in turn, i.e. respond in praise","derivation":"from G473 (ἀντί) and the middle voice of G3670 (ὁμολογέω);","kjv_def":"give thanks","lemma":"ἀνθομολογέομαι"},
"G999":{"lemma":"βόθυνος","kjv_def":"ditch, pit","derivation":"akin to G900 (βαθύνω);","strongs_def":" a hole (in the ground); specially, a cistern"},
"G1398":{"strongs_def":" to be a slave to (literal or figurative, involuntary or voluntary)","derivation":"from G1401 (δοῦλος);","kjv_def":"be in bondage, (do) serve(-ice)","lemma":"δουλεύω"},
"G3947":{"lemma":"παροξύνω","kjv_def":"easily provoke, stir","derivation":"from G3844 (παρά) and a derivative of G3691 (ὀξύς);","strongs_def":" to sharpen alongside, i.e. (figuratively) to exasperate"},
"G5127":{"kjv_def":"here(-by), him, it, + such manner of, that, thence(-forth), thereabout, this, thus","lemma":"τούτου","derivation":"genitive case singular masculine or neuter of G3778 (οὗτος);","strongs_def":" of (from or concerning) this (person or thing)"},
"G5153":{"lemma":"τρισχίλιοι","kjv_def":"three thousand","strongs_def":" three times a thousand","derivation":"from G5151 (τρίς) and G5507 (χίλιοι);"},
"G2268":{"kjv_def":"Esaias","lemma":"Ἡσαΐας","derivation":"of Hebrew origin (H03470);","strongs_def":" Hesaias (i.e. Jeshajah), an Israelite"},
"G1721":{"strongs_def":" implanted (figuratively)","derivation":"from G1722 (ἐν) and a derivative of G5453 (φύω);","lemma":"ἔμφυτος","kjv_def":"engrafted"},
"G1412":{"derivation":"from G1411 (δύναμις);","strongs_def":" to enable","lemma":"δυναμόω","kjv_def":"strengthen"},
"G5333":{"kjv_def":"sorcerer","lemma":"φάρμακος","derivation":"the same as 5332"},
"G3626":{"derivation":"from G3624 (οἶκος) and (a guard;","strongs_def":" be \"ware\"); a stayer at home, i.e. domestically inclined (a \"good housekeeper\")","lemma":"οἰκουρός","kjv_def":"keeper at home"},
"G1565":{"derivation":"from G1563 (ἐκεῖ);","strongs_def":" that one (or (neuter) thing); often intensified by the article prefixed","lemma":"ἐκεῖνος","kjv_def":"he, it, the other (same), selfsame, that (same, very), X their, X them, they, this, those"},
"G3895":{"strongs_def":" to fall aside, i.e. (figuratively) to apostatize","derivation":"from G3844 (παρά) and G4098 (πίπτω);","lemma":"παραπίπτω","kjv_def":"fall away"},
"G3489":{"lemma":"ναυαγέω","kjv_def":"make (suffer) shipwreck","strongs_def":" to be shipwrecked (stranded, \"navigate\"), literally or figuratively","derivation":"from a compound of G3491 (ναῦς) and G71 (ἄγω);"},
"G2409":{"kjv_def":"(high) priest","lemma":"ἱερεύς","strongs_def":" a priest (literally or figuratively)","derivation":"from G2413 (ἱερός);"},
"G976":{"lemma":"βίβλος","kjv_def":"book","derivation":"properly, the inner bark of the papyrus plant, i.e. (by implication) a sheet or scroll of writing"},
"G4021":{"lemma":"περίεργος","kjv_def":"busybody, curious arts","strongs_def":" working all around, i.e. officious (meddlesome, neuter plural magic)","derivation":"from G4012 (περί) and G2041 (ἔργον);"},
"G603":{"kjv_def":"earnest expectation","lemma":"ἀποκαραδοκία","strongs_def":" intense anticipation","derivation":"from a comparative of G575 (ἀπό) and a compound of (the head) and G1380 (δοκέω) (in the sense of watching);"},
"G3545":{"strongs_def":" legitimately (specially, agreeably to the rules of the lists)","derivation":"adverb from a derivative of G3551 (νόμος);","kjv_def":"lawfully","lemma":"νομίμως"},
"G1998":{"derivation":"from G1909 (ἐπί) and G4936 (συντρέχω);","strongs_def":" to hasten together upon one place (or a particular occasion)","kjv_def":"come running together","lemma":"ἐπισυντρέχω"},
"G1665":{"kjv_def":"Elisabeth","lemma":"Ἐλισάβετ","derivation":"of Hebrew origin (H0472);","strongs_def":" Elisabet, an Israelitess"},
"G2427":{"strongs_def":" to enable, i.e. qualify","derivation":"from G2425 (ἱκανός);","kjv_def":"make able (meet)","lemma":"ἱκανόω"},
"G4741":{"strongs_def":" to set fast, i.e. (literally) to turn resolutely in a certain direction, or (figuratively) to confirm","derivation":"from a presumed derivative of G2476 (ἵστημι) (like G4731 (στερεός));","lemma":"στηρίζω","kjv_def":"fix, (e-)stablish, stedfastly set, strengthen"},
"G910":{"kjv_def":"Baptist","lemma":"Βαπτιστής","strongs_def":" a baptizer, as an epithet of Christ's forerunner","derivation":"from G907 (βαπτίζω);"},
"G153":{"derivation":"from (disfigurement, i.e. disgrace);","strongs_def":" to feel shame (for oneself)","kjv_def":"be ashamed","lemma":"αἰσχύνομαι"},
"G5578":{"lemma":"ψευδοπροφήτης","kjv_def":"false prophet","derivation":"from G5571 (ψευδής) and G4396 (προφήτης);","strongs_def":" a spurious prophet, i.e. pretended foreteller or religious impostor"},
"G4828":{"lemma":"συμμαρτυρέω","kjv_def":"testify unto, (also) bear witness (with)","derivation":"from G4862 (σύν) and G3140 (μαρτυρέω);","strongs_def":" to testify jointly, i.e. corroborate by (concurrent) evidence"},
"G1815":{"derivation":"from G1817 (ἐξανίστημι);","strongs_def":" a rising from death","lemma":"ἐξανάστασις","kjv_def":"resurrection"},
"G348":{"derivation":"from G303 (ἀνά) and G2875 (κόπτω);","strongs_def":" to beat back, i.e. check","lemma":"ἀνακόπτω","kjv_def":"hinder"},
"G1534":{"kjv_def":"after that(-ward), furthermore, then","lemma":"εἶτα","strongs_def":" a particle of succession (in time or logical enumeration), then, moreover","derivation":"of uncertain affinity;"},
"G2441":{"lemma":"ἱματισμός","kjv_def":"apparel (X -led), array, raiment, vesture","strongs_def":" clothing","derivation":"from G2439 (ἱματίζω);"},
"G911":{"lemma":"βάπτω","kjv_def":"dip","strongs_def":" to whelm, i.e. cover wholly with a fluid; in the New Testament only in a qualified or special sense, i.e. (literally) to moisten (a part of one's person), or (by implication) to stain (as with dye)","derivation":"a primary verb;"},
"G5072":{"kjv_def":"four months","lemma":"τετράμηνον","derivation":"neuter of a compound of G5064 (τέσσαρες) and G3376 (μήν);","strongs_def":" a four months' space"},
"G735":{"lemma":"Ἄρτεμις","kjv_def":"Diana","derivation":"probably from the same as G736 (ἀρτέμων);","strongs_def":" prompt; Artemis, the name of a Grecian goddess borrowed by the Asiatics for one of their deities"},
"G5308":{"kjv_def":"high(-er, -ly) (esteemed)","lemma":"ὑψηλός","strongs_def":" lofty (in place or character)","derivation":"from G5311 (ὕψος);"},
"G3440":{"kjv_def":"alone, but, only","lemma":"μόνον","strongs_def":" merely","derivation":"neuter of G3441 (μόνος) as adverb;"},
"G3851":{"lemma":"παραβουλεύομαι","kjv_def":"not (to) regard(-ing)","derivation":"from G3844 (παρά) and the middle voice of G1011 (βουλεύω);","strongs_def":" to misconsult, i.e. disregard"},
"G3952":{"kjv_def":"coming, presence","lemma":"παρουσία","strongs_def":" a being near, i.e. advent (often, return; specially, of Christ to punish Jerusalem, or finally the wicked); (by implication) physically, aspect","derivation":"from the present participle of G3918 (πάρειμι);"},
"G3722":{"derivation":"from the same as G3735 (ὄρος);","strongs_def":" dawn (as sun-rise, rising of light); by extension, morn","lemma":"ὄρθρος","kjv_def":"early in the morning"},
"G5330":{"strongs_def":" a separatist, i.e. exclusively religious; a Pharisean, i.e. Jewish sectary","derivation":"of Hebrew origin (compare H06567);","lemma":"Φαρισαῖος","kjv_def":"Pharisee"},
"G3876":{"lemma":"παρακοή","kjv_def":"disobedience","derivation":"from G3878 (παρακούω);","strongs_def":" inattention, i.e. (by implication) disobedience"},
"G3818":{"derivation":"feminine of an adjective of uncertain derivation;","strongs_def":" Pacatianian, a section of Phrygia","lemma":"Πακατιανή","kjv_def":"Pacatiana"},
"G323":{"derivation":"from G322 (ἀναδείκνυμι);","strongs_def":" (the act of) exhibition","kjv_def":"shewing","lemma":"ἀνάδειξις"},
"G2888":{"lemma":"κοσμοκράτωρ","kjv_def":"ruler","derivation":"from G2889 (κόσμος) and G2902 (κρατέω);","strongs_def":" a world-ruler, an epithet of Satan"},
"G5275":{"lemma":"ὑπολείπω","kjv_def":"be left","strongs_def":" to leave under (behind), i.e. (passively) to remain (survive)","derivation":"from G5295 (ὑποτρέχω) and G3007 (λείπω);"},
"G4237":{"lemma":"πρασιά","kjv_def":"in ranks","strongs_def":" a garden plot, i.e. (by implication, of regular beds) a row (repeated in plural by Hebraism, to indicate an arrangement)","derivation":"perhaps from (a leek, and so an onion-patch);"},
"G4484":{"kjv_def":"Rhegium","lemma":"Ῥήγιον","derivation":"of Latin origin;","strongs_def":" Rhegium, a place in Italy"},
"G280":{"lemma":"ἄμετρος","kjv_def":"(thing) without measure","derivation":"from G1 (Α) (as a negative particle) and G3358 (μέτρον);","strongs_def":" immoderate"},
"G4648":{"derivation":"from G4649 (σκοπός);","strongs_def":" to take aim at (spy), i.e. (figuratively) regard","kjv_def":"consider, take heed, look at (on), mark","lemma":"σκοπέω"},
"G1450":{"strongs_def":" pledged (as if articulated by a member), i.e. a bondsman","derivation":"from G1722 (ἐν) and (a limb);","lemma":"ἔγγυος","kjv_def":"surety"},
"G1564":{"kjv_def":"from that place, (from) thence, there","lemma":"ἐκεῖθεν","derivation":"from G1563 (ἐκεῖ);","strongs_def":" thence"},
"G1582":{"strongs_def":" to hang upon the lips of a speaker, i.e. listen closely","derivation":"middle voice from G1537 (ἐκ) and G2910 (κρεμάννυμι);","kjv_def":"be very attentive","lemma":"ἐκκρέμαμαι"},
"G297":{"strongs_def":" (in plural) both","derivation":"comparative of (around);","kjv_def":"both","lemma":"ἀμφότερος"},
"G933":{"lemma":"βασίλειον","kjv_def":"king's court","strongs_def":" a palace","derivation":"neuter of G934 (βασίλειος);"},
"G625":{"lemma":"Ἀπολλῶς","kjv_def":"Apollos","derivation":"probably from the same as G624 (Ἀπολλωνία);","strongs_def":" Apollos, an Israelite"},
"G5103":{"strongs_def":" Titus, a Christian","derivation":"of Latin origin but uncertain significance;","kjv_def":"Titus","lemma":"Τίτος"},
"G1710":{"kjv_def":"buy and sell, make merchandise","lemma":"ἐμπορεύομαι","derivation":"from G1722 (ἐν) and G4198 (πορεύομαι);","strongs_def":" to travel in (a country as a pedlar), i.e. (by implication) to trade"},
"G640":{"derivation":"from the same as G639 (ἀπορέω);","strongs_def":" a (state of) quandary","kjv_def":"perplexity","lemma":"ἀπορία"},
"G2682":{"lemma":"κατασκήνωσις","kjv_def":"nest","strongs_def":" an encamping, i.e. (figuratively) a perch","derivation":"from G2681 (κατασκηνόω);"},
"G2100":{"lemma":"εὐαρεστέω","kjv_def":"please (well)","strongs_def":" to gratify entirely","derivation":"from G2101 (εὐάρεστος);"},
"G2050":{"kjv_def":"desolation","lemma":"ἐρήμωσις","strongs_def":" despoliation","derivation":"from G2049 (ἐρημόω);"},
"G4019":{"lemma":"περιδέω","kjv_def":"bind about","strongs_def":" to bind around one, i.e. enwrap","derivation":"from G4012 (περί) and G1210 (δέω);"},
"G2377":{"derivation":"from G2374 (θύρα) and (a watcher);","strongs_def":" a gate- warden","lemma":"θυρωρός","kjv_def":"that kept the door, porter"},
"G1404":{"strongs_def":" a fabulous kind of serpent (perhaps as supposed to fascinate)","derivation":"probably from an alternate form of (to look);","lemma":"δράκων","kjv_def":"dragon"},
"G4904":{"lemma":"συνεργός","kjv_def":"companion in labour, (fellow-)helper(-labourer, -worker), labourer together with, workfellow","strongs_def":" a co-laborer, i.e. coadjutor","derivation":"from a presumed compound of G4862 (σύν) and the base of G2041 (ἔργον);"},
"G4038":{"strongs_def":" all around, i.e. (as an adjective) circumjacent","derivation":"adverb from G4012 (περί);","kjv_def":"round about","lemma":"πέριξ"},
"G1437":{"strongs_def":" a conditional particle; in case that, provided, etc.; often used in connection with other particles to denote indefiniteness or uncertainty","derivation":"from G1487 (εἰ) and G302 (ἄν);","kjv_def":"before, but, except, (and) if, (if) so, (what-, whither-)soever, though, when (-soever), whether (or), to whom, (who-)so(-ever)","lemma":"ἐάν"},
"G1125":{"lemma":"γράφω","kjv_def":"describe, write(-ing, -ten)","strongs_def":" to \"grave\", especially to write; figuratively, to describe","derivation":"a primary verb;"},
"G5489":{"lemma":"χάρτης","kjv_def":"paper","derivation":"from the same as G5482 (χάραξ);","strongs_def":" a sheet (\"chart\") of writing-material (as to be scribbled over)"},
"G5356":{"derivation":"from G5351 (φθείρω);","strongs_def":" decay, i.e. ruin (spontaneous or inflicted, literally or figuratively)","lemma":"φθορά","kjv_def":"corruption, destroy, perish"},
"G2769":{"kjv_def":"husk","lemma":"κεράτιον","derivation":"neuter of a presumed derivative of G2768 (κέρας);","strongs_def":" something horned, i.e. (specially) the pod of the carob-tree"},
"G4576":{"lemma":"σέβομαι","kjv_def":"devout, religious, worship","derivation":"middle voice of an apparently primary verb;","strongs_def":" to revere, i.e. adore"},
"G5173":{"derivation":"from G5172 (τρυφή);","strongs_def":" luxuriating; Tryphosa, a Christian female","kjv_def":"Tryphosa","lemma":"Τρυφῶσα"},
"G2102":{"kjv_def":"acceptably, + please well","lemma":"εὐαρέστως","derivation":"adverb from G2101 (εὐάρεστος);","strongs_def":" quite agreeably"},
"G1992":{"kjv_def":"\"epistle,\" letter","lemma":"ἐπιστολή","strongs_def":" a written message","derivation":"from G1989 (ἐπιστέλλω);"},
"G4025":{"kjv_def":"wearing","lemma":"περίθεσις","derivation":"from G4060 (περιτίθημι);","strongs_def":" a putting all around, i.e. decorating oneself with"},
"G1758":{"lemma":"ἐνέχω","kjv_def":"entangle with, have a quarrel against, urge","strongs_def":" to hold in or upon, i.e. ensnare; by implication, to keep a grudge","derivation":"from G1722 (ἐν) and G2192 (ἔχω);"},
"G2854":{"derivation":"neuter of a presumed derivative of (a cake;","strongs_def":" prob akin to the base of G2853 (κολλάω)); properly, a poultice (as made of or in the form of crackers), i.e. (by analogy) a plaster","kjv_def":" eyesalve","lemma":"κολλούριον"},
"G2384":{"strongs_def":" Jacob (i.e. Ja`akob), the progenitor of the Israelites","derivation":"of Hebrew origin (H03290);","lemma":"Ἰακώβ","kjv_def":"also an Israelite:--Jacob"},
"G2344":{"derivation":"from G5087 (τίθημι);","strongs_def":" a deposit, i.e. wealth (literally or figuratively)","lemma":"θησαυρός","kjv_def":"treasure"},
"G3706":{"derivation":"from G3708 (ὁράω);","strongs_def":" the act of gazing, i.e. (externally) an aspect or (internally) an inspired appearance","lemma":"ὅρασις","kjv_def":"sight, vision"},
"G5496":{"kjv_def":"lead by the hand","lemma":"χειραγωγέω","derivation":"from G5497 (χειραγωγός);","strongs_def":" to be a hand-leader, i.e. to guide (a blind person)"},
"G1268":{"strongs_def":" to distribute, i.e. (of information) to disseminate","derivation":"from G1223 (διά) and the base of G3551 (νόμος);","kjv_def":"spread","lemma":"διανέμω"},
"G1880":{"derivation":"from G1909 (ἐπί) and G424 (ἀνέρχομαι);","strongs_def":" to come up on, i.e. return","kjv_def":"come again, return","lemma":"ἐπανέρχομαι"},
"G3457":{"kjv_def":"mill(-stone)","lemma":"μυλικός","strongs_def":" belonging to a mill","derivation":"from G3458 (μύλος);"},
"G3732":{"strongs_def":" a birdling","derivation":"neuter of a presumed derivative of G3733 (ὄρνις);","kjv_def":"bird, fowl","lemma":"ὄρνεον"},
"G1643":{"derivation":"a prolonged form of a primary verb (obsolete except in certain tenses as an alternative of this) of uncertain affinity;","strongs_def":" to push (as wind, oars or dæmonical power)","kjv_def":"carry, drive, row","lemma":"ἐλαύνω"},
"G4277":{"lemma":"προέπω","kjv_def":"forewarn, say (speak, tell) before","derivation":"from G4253 (πρό) and G2036 (ἔπω);","strongs_def":" to say already, to predict"},
"G3425":{"strongs_def":" with difficulty","derivation":"adverb from a primary (toil);","kjv_def":"hardly","lemma":"μόγις"},
"G3507":{"kjv_def":"cloud","lemma":"νεφέλη","derivation":"from G3509 (νέφος);","strongs_def":" properly, cloudiness, i.e. (concretely) a cloud"},
"G3120":{"lemma":"μαλακός","kjv_def":"effeminate, soft","derivation":"of uncertain affinity;","strongs_def":" soft, i.e. fine (clothing); figuratively, a catamite"},
"G702":{"lemma":"Ἀρέτας","kjv_def":"Aretas","strongs_def":" Aretas, an Arabian","derivation":"of foreign origin;"},
"G652":{"strongs_def":" a delegate; specially, an ambassador of the Gospel; officially a commissioner of Christ (\"apostle\") (with miraculous powers)","derivation":"from G649 (ἀποστέλλω);","kjv_def":"apostle, messenger, he that is sent","lemma":"ἀπόστολος"},
"G1675":{"derivation":"from a derivative of G1672 (Ἕλλην);","strongs_def":" a Hellenist or Greek-speaking Jew","kjv_def":"Grecian","lemma":"Ἑλληνιστής"},
"G1072":{"lemma":"γεμίζω","kjv_def":"fill (be) full","strongs_def":" to fill entirely","derivation":"transitive from G1073 (γέμω);"},
"G1971":{"kjv_def":"(earnestly) desire (greatly), (greatly) long (after), lust","lemma":"ἐπιποθέω","strongs_def":" to dote upon, i.e. intensely crave possession (lawfully or wrongfully)","derivation":"from G1909 (ἐπί) and potheo (to yearn);"},
"G1255":{"strongs_def":" to talk throughout a company, i.e. converse or (genitive case) publish","derivation":"from G1223 (διά) and G2980 (λαλέω);","lemma":"διαλαλέω","kjv_def":"commune, noise abroad"},
"G1247":{"strongs_def":" to be an attendant, i.e. wait upon (menially or as a host, friend, or (figuratively) teacher); technically, to act as a Christian deacon","derivation":"from G1249 (διάκονος);","kjv_def":"(ad-)minister (unto), serve, use the office of a deacon","lemma":"διακονέω"},
"G4003":{"lemma":"πεντεκαιδέκατος","kjv_def":"fifteenth","derivation":"from G4002 (πέντε) and G2532 (καί) and G1182 (δέκατος);","strongs_def":" five and tenth"},
"G4810":{"lemma":"σῦκον","kjv_def":"fig","derivation":"apparently a primary word;","strongs_def":" a fig"},
"G4084":{"strongs_def":" to squeeze, i.e. seize (gently by the hand (press), or officially (arrest), or in hunting (capture))","derivation":"probably another form of G971 (βιάζω);","kjv_def":"apprehend, catch, lay hand on, take","lemma":"πιάζω"},
"G557":{"kjv_def":"nought","lemma":"ἀπελεγμός","strongs_def":" refutation, i.e. (by implication) contempt","derivation":"from a compound of G575 (ἀπό) and G1651 (ἐλέγχω);"},
"G1211":{"derivation":"probably akin to G1161 (δέ);","strongs_def":" a particle of emphasis or explicitness; now, then, etc.","lemma":"δή","kjv_def":"also, and, doubtless, now, therefore"},
"G5406":{"strongs_def":" a murderer (always of criminal (or at least intentional) homicide; which G443 (ἀνθρωποκτόνος) does not necessarily imply; while G4607 (σικάριος) is a special term for a public bandit)","derivation":"from G5408 (φόνος);","lemma":"φονεύς","kjv_def":"murderer"},
"G1969":{"strongs_def":" to chastise, i.e. (with words) to upbraid","derivation":"from G1909 (ἐπί) and G4141 (πλήσσω);","kjv_def":"rebuke","lemma":"ἐπιπλήσσω"},
"G981":{"lemma":"βίωσις","kjv_def":"manner of life","strongs_def":" living (properly, the act, by implication, the mode)","derivation":"from G980 (βιόω);"},
"G917":{"strongs_def":" heavily (figuratively)","derivation":"adverb from G926 (βαρύς);","lemma":"βαρέως","kjv_def":"dull"},
"G2949":{"lemma":"κῦμα","kjv_def":"wave","derivation":"from (to swell (with young), i.e. bend, curve);","strongs_def":" a billow (as bursting or toppling)"},
"G3557":{"kjv_def":"keep back, purloin","lemma":"νοσφίζομαι","derivation":"middle voice from (apart or clandestinely);","strongs_def":" to sequestrate for oneself, i.e. embezzle"},
"G3810":{"kjv_def":"which corrected, instructor","lemma":"παιδευτής","derivation":"from G3811 (παιδεύω);","strongs_def":" a trainer, i.e. teacher or (by implication) discipliner"},
"G4675":{"derivation":"genitive case of G4771 (σύ);","strongs_def":" of thee, thy","lemma":"σοῦ","kjv_def":"X home, thee, thine (own), thou, thy"},
"G1265":{"lemma":"διαμένω","kjv_def":"continue, remain","derivation":"from G1223 (διά) and G3306 (μένω);","strongs_def":" to stay constantly (in being or relation)"},
"G432":{"kjv_def":"anise","lemma":"ἄνηθον","derivation":"probably of foreign origin;","strongs_def":" dill"},
"G2176":{"strongs_def":" properly, well-named (good-omened), i.e. the left (which was the lucky side among the pagan Greeks); neuter as adverbial, at the left hand","derivation":"from G2095 (εὖ) and G3686 (ὄνομα);","kjv_def":"(on the) left","lemma":"εὐώνυμος"},
"G2622":{"strongs_def":" to break down, i.e. divide","derivation":"from G2596 (κατά) and G2806 (κλάω);","kjv_def":"break","lemma":"κατακλάω"},
"G893":{"lemma":"ἀψευδής","kjv_def":"that cannot lie","strongs_def":" veracious","derivation":"from G1 (Α) (as a negative particle) and G5579 (ψεῦδος);"},
"G2348":{"strongs_def":" to die (literally or figuratively)","derivation":"a strengthened form of a simpler primary (which is used for it only in certain tenses);","lemma":"θνήσκω","kjv_def":"be dead, die"},
"G4148":{"strongs_def":" to make wealthy (figuratively)","derivation":"from G4149 (πλοῦτος);","kjv_def":"en- (make) rich","lemma":"πλουτίζω"},
"G3195":{"strongs_def":" to intend, i.e. be about to be, do, or suffer something (of persons or things, especially events; in the sense of purpose, duty, necessity, probability, possibility, or hesitation)","derivation":"a strengthened form of G3199 (μέλω) (through the idea of expectation);","lemma":"μέλλω","kjv_def":"about, after that, be (almost), (that which is, things, + which was for) to come, intend, was to (be), mean, mind, be at the point, (be) ready, + return, shall (begin), (which, that) should (after, afterwards, hereafter) tarry, which was for, will, would, be yet"},
"G2577":{"lemma":"κάμνω","kjv_def":"faint, sick, be wearied","strongs_def":" properly, to toil, i.e. (by implication) to tire (figuratively, faint, sicken)","derivation":"apparently a primary verb;"},
"G4582":{"kjv_def":"moon","lemma":"σελήνη","strongs_def":" probably akin to the alternate of G138 (αἱρέομαι), through the idea of attractiveness); the moon","derivation":"from (brilliancy;"},
"G2093":{"strongs_def":" in readiness","derivation":"adverb from G2092 (ἕτοιμος);","lemma":"ἑτοίμως","kjv_def":"ready"},
"G4570":{"lemma":"σβέννυμι","kjv_def":"go out, quench","derivation":"a prolonged form of an apparently primary verb;","strongs_def":" to extinguish (literally or figuratively)"},
"G321":{"derivation":"from G303 (ἀνά) and G71 (ἄγω);","strongs_def":" to lead up; by extension to bring out; specially, to sail away","kjv_def":"bring (again, forth, up again), depart, launch (forth), lead (up), loose, offer, sail, set forth, take up","lemma":"ἀνάγω"},
"G2233":{"lemma":"ἡγέομαι","kjv_def":"account, (be) chief, count, esteem, governor, judge, have the rule over, suppose, think","derivation":"middle voice of a (presumed) strengthened form of G71 (ἄγω);","strongs_def":" to lead, i.e. command (with official authority); figuratively, to deem, i.e. consider"},
"G3316":{"derivation":"from G3319 (μέσος);","strongs_def":" a go-between, i.e. (simply) an internunciator, or (by implication) a reconciler (intercessor)","kjv_def":"mediator","lemma":"μεσίτης"},
"G4433":{"kjv_def":"become poor","lemma":"πτωχεύω","derivation":"from G4434 (πτωχός);","strongs_def":" to be a beggar, i.e. (by implication) to become indigent (figuratively)"},
"G4122":{"kjv_def":"get an advantage, defraud, make a gain","lemma":"πλεονεκτέω","derivation":"from G4123 (πλεονέκτης);","strongs_def":" to be covetous, i.e. (by implication) to over-reach"},
"G5451":{"strongs_def":" trans-planting, i.e. (concretely) a shrub or vegetable","derivation":"from G5452 (φυτεύω);","kjv_def":"plant","lemma":"φυτεία"},
"G152":{"strongs_def":" shame or disgrace (abstractly or concretely)","derivation":"from G153 (αἰσχύνομαι);","kjv_def":"dishonesty, shame","lemma":"αἰσχύνη"},
"G5615":{"lemma":"ὡσαύτως","kjv_def":"even so, likewise, after the same (in like) manner","derivation":"from G5613 (ὡς) and an adverb from G846 (αὐτός);","strongs_def":" as thus, i.e. in the same way"},
"G1128":{"kjv_def":"exercise","lemma":"γυμνάζω","strongs_def":" to practise naked (in the games), i.e. train (figuratively)","derivation":"from G1131 (γυμνός);"},
"G2301":{"strongs_def":" to expose as a spectacle","derivation":"from G2302 (θέατρον);","kjv_def":"make a gazing stock","lemma":"θεατρίζω"},
"G764":{"strongs_def":" to be (by implied act) impious or wicked","derivation":"from G765 (ἀσεβής);","lemma":"ἀσεβέω","kjv_def":"commit (live, that after should live) ungodly"},
"G5512":{"lemma":"χλευάζω","kjv_def":"mock","derivation":"from a derivative probably of G5491 (χεῖλος);","strongs_def":" to throw out the lip, i.e. jeer at"},
"G291":{"lemma":"Ἀμπλίας","kjv_def":"Amplias","strongs_def":" Amplias, a Roman Christian","derivation":"contracted for Latin ampliatus (enlarged);"},
"G2726":{"derivation":"from a compound of G2596 (κατά) and perhaps a derivative of the base of G5316 (φαίνω) (meaning downcast in look);","strongs_def":" demureness, i.e. (by implication) sadness","kjv_def":"heaviness","lemma":"κατήφεια"},
"G4323":{"derivation":"from G4314 (πρός) and G394 (ἀνατίθεμαι);","strongs_def":" to lay up in addition, i.e. (middle voice and figuratively) to impart or (by implication) to consult","kjv_def":"in conference add, confer","lemma":"προσανατίθημι"},
"G2121":{"strongs_def":" well-timed, i.e. opportune","derivation":"from G2095 (εὖ) and G2540 (καιρός);","kjv_def":"convenient, in time of need","lemma":"εὔκαιρος"},
"G4179":{"strongs_def":" manifold, i.e. (neuter as noun) very much more","derivation":"from G4183 (πολύς) and probably a derivative of G4120 (πλέκω);","kjv_def":"manifold more","lemma":"πολλαπλασίων"},
"G352":{"derivation":"from G303 (ἀνά) (in the sense of reversal) and G2955 (κύπτω);","strongs_def":" to unbend, i.e. rise; figuratively, be elated","kjv_def":"lift up, look up","lemma":"ἀνακύπτω"},
"G1781":{"kjv_def":"(give) charge, (give) command(-ments), injoin","lemma":"ἐντέλλομαι","strongs_def":" to enjoin","derivation":"from G1722 (ἐν) and the base of G5056 (τέλος);"},
"G5584":{"lemma":"ψηλαφάω","kjv_def":"feel after, handle, touch","derivation":"from the base of G5567 (ψάλλω) (compare G5586 (ψῆφος));","strongs_def":" to manipulate, i.e. verify by contact; figuratively, to search for"},
"G2449":{"derivation":"feminine of G2453 (Ἰουδαῖος) (with G1093 (γῆ) implied);","strongs_def":" the Judæan land (i.e. Judæa), a region of Palestine","kjv_def":"Judæa","lemma":"Ἰουδαία"},
"G149":{"kjv_def":"shame","lemma":"αἰσχρόν","derivation":"neuter of G150 (αἰσχρός);","strongs_def":" a shameful thing, i.e. indecorum"},
"G4511":{"kjv_def":"issue","lemma":"ῥύσις","derivation":"from G4506 (ῥύομαι) in the sense of its congener G4482 (ῥέω);","strongs_def":" a flux (of blood)"},
"G357":{"lemma":"ἀναλογίζομαι","kjv_def":"consider","strongs_def":" to estimate, i.e. (figuratively) contemplate","derivation":"middle voice from G356 (ἀναλογία);"},
"G2073":{"derivation":"feminine of an adjective hesperos (evening); the eve (G5610 (ὥρα) being implied)","kjv_def":"evening(-tide)","lemma":"ἑσπέρα"},
"G3751":{"strongs_def":" the loin (externally), i.e. the hip; internally (by extension) procreative power","derivation":"of uncertain affinity;","kjv_def":"loin","lemma":"ὀσφῦς"},
"G1109":{"lemma":"γνώστης","kjv_def":"expert","strongs_def":" a knower","derivation":"from G1097 (γινώσκω);"},
"G5491":{"lemma":"χεῖλος","kjv_def":"lip, shore","derivation":"from a form of the same as G5490 (χάσμα);","strongs_def":" a lip (as a pouring place); figuratively, a margin (of water)"},
"G5557":{"kjv_def":"gold","lemma":"χρυσός","strongs_def":" gold; by extension, a golden article, as an ornament or coin","derivation":"perhaps from the base of G5530 (χράομαι) (through the idea of the utility of the metal);"},
"G2462":{"derivation":"of uncertain affinity;","strongs_def":" a horse","lemma":"ἵππος","kjv_def":"horse"},
"G4517":{"kjv_def":"farewell","lemma":"ῥώννυμι","derivation":"prolongation from (to dart;","strongs_def":" probably akin to G4506 (ῥύομαι)); to strengthen, i.e. (impersonal passive) have health (as a parting exclamation, good-bye)"},
"G4846":{"kjv_def":"choke, throng","lemma":"συμπνίγω","strongs_def":" to strangle completely, i.e. (literally) to drown, or (figuratively) to crowd","derivation":"from G4862 (σύν) and G4155 (πνίγω);"},
"G3123":{"lemma":"μᾶλλον","kjv_def":"+ better, X far, (the) more (and more), (so) much (the more), rather","derivation":"neuter of the comparative of the same as G3122 (μάλιστα);","strongs_def":" (adverbially) more (in a greater degree)) or rather"},
"G5069":{"strongs_def":" from G5064 (τέσσαρες)); a quaternion or squad (picket) of four Roman soldiers","derivation":"neuter of a presumed derivative of (a tetrad;","lemma":"τετράδιον","kjv_def":"quaternion"},
"G1366":{"lemma":"δίστομος","kjv_def":"with two edges, two-edged","strongs_def":" double-edged","derivation":"from G1364 (δίς) and G4750 (στόμα);"},
"G2851":{"strongs_def":" penal infliction","derivation":"from G2849 (κολάζω);","lemma":"κόλασις","kjv_def":"punishment, torment"},
"G4884":{"lemma":"συναρπάζω","kjv_def":"catch","derivation":"from G4862 (σύν) and G726 (ἁρπάζω);","strongs_def":" to snatch together, i.e. seize"},
"G5461":{"lemma":"φωτίζω","kjv_def":"enlighten, illuminate, (bring to, give) light, make to see","derivation":"from G5457 (φῶς);","strongs_def":" to shed rays, i.e. to shine or (transitively) to brighten up (literally or figuratively)"},
"G2139":{"derivation":"from G2095 (εὖ) and a derivative of a presumed compound of G4012 (περί) and G2476 (ἵστημι);","strongs_def":" well standing around, i.e. (a competitor) thwarting (a racer) in every direction (figuratively, of sin in genitive case)","lemma":"εὐπερίστατος","kjv_def":"which doth so easily beset"},
"G2225":{"strongs_def":" to engender alive, i.e. (by analogy) to rescue (passively, be saved) from death","derivation":"from the same as G2226 (ζῶον) and a derivative of G1096 (γίνομαι);","kjv_def":"live, preserve","lemma":"ζωογονέω"},
"G3033":{"lemma":"Λιβύη","kjv_def":"Libya","derivation":"probably from G3047 (λίψ);","strongs_def":" Libye, a region of Africa"},
"G1649":{"derivation":"from G1651 (ἐλέγχω);","strongs_def":" refutation, i.e. reproof","lemma":"ἔλεγξις","kjv_def":"rebuke"},
"G3158":{"lemma":"Ματθάτ","kjv_def":"Mathat","strongs_def":" Matthat (i.e. Mattithjah), the name of two Israelites","derivation":"probably a shortened form of G3161 (Ματταθίας);"},
"G5228":{"kjv_def":"(+ exceeding, abundantly) above, in (on) behalf of, beyond, by, + very chiefest, concerning, exceeding (above, -ly), for, + very highly, more (than), of, over, on the part of, for sake of, in stead, than, to(-ward), very","lemma":"ὑπέρ","strongs_def":" \"over\", i.e. (with the genitive case) of place, above, beyond, across, or causal, for the sake of, instead, regarding; with the accusative case superior to, more than","derivation":"a primary preposition;"},
"G1472":{"lemma":"ἐγχρίω","kjv_def":"anoint","strongs_def":" to rub in (oil), i.e. besmear","derivation":"from G1722 (ἐν) and G5548 (χρίω);"},
"G3991":{"kjv_def":"fifth","lemma":"πέμπτος","strongs_def":" fifth","derivation":"from G4002 (πέντε);"},
"G2519":{"strongs_def":" a guide, i.e. (figuratively) a teacher","derivation":"from a compound of G2596 (κατά) and G2233 (ἡγέομαι);","kjv_def":"master","lemma":"καθηγητής"},
"G3061":{"derivation":"of uncertain affinity;","strongs_def":" a plague (literally, the disease, or figuratively, a pest)","lemma":"λοιμός","kjv_def":"pestilence(-t)"},
"G329":{"strongs_def":" to re-enkindle","derivation":"from G303 (ἀνά) and a compound of the base of G2226 (ζῶον) and G4442 (πῦρ);","kjv_def":"stir up","lemma":"ἀναζωπυρέω"},
"G4125":{"lemma":"πλευρά","kjv_def":"side","strongs_def":" a rib, i.e. (by extension) side","derivation":"of uncertain affinity;"},
"G5021":{"lemma":"τάσσω","kjv_def":"addict, appoint, determine, ordain, set","strongs_def":" to arrange in an orderly manner, i.e. assign or dispose (to a certain position or lot)","derivation":"a prolonged form of a primary verb (which latter appears only in certain tenses);"},
"G1244":{"lemma":"διαιρέω","kjv_def":"divide","derivation":"from G1223 (διά) and G138 (αἱρέομαι);","strongs_def":" to separate, i.e. distribute"},
"G1827":{"lemma":"ἐξελέγχω","kjv_def":"convince","derivation":"from G1537 (ἐκ) and G1651 (ἐλέγχω);","strongs_def":" to convict fully, i.e. (by implication) to punish"},
"G5434":{"lemma":"φρύγανον","kjv_def":"stick","strongs_def":" akin to the base of G5395 (φλόξ)); something desiccated, i.e. a dry twig","derivation":"neuter of a presumed derivative of (to roast or parch;"},
"G2560":{"kjv_def":"amiss, diseased, evil, grievously, miserably, sick, sore","lemma":"κακῶς","strongs_def":" badly (physically or morally)","derivation":"from G2556 (κακός);"},
"G1044":{"strongs_def":" an ulcer (\"gangrene\")","derivation":"from (to gnaw);","kjv_def":"canker","lemma":"γάγγραινα"},
"G855":{"derivation":"from G1 (Α) (as a negative particle) and a derivative of G5316 (φαίνω);","strongs_def":" non-manifested, i.e. invisible","lemma":"ἄφαντος","kjv_def":"vanished out of sight"},
"G1622":{"lemma":"ἐκτός","kjv_def":"but, except(-ed), other than, out of, outside, unless, without","derivation":"from G1537 (ἐκ);","strongs_def":" the exterior; figuratively (as a preposition) aside from, besides"},
"G3044":{"lemma":"Λίνος","kjv_def":"Linus","derivation":"perhaps from G3043 (λίνον);","strongs_def":" Linus, a Christian"},
"G1597":{"lemma":"ἔκπαλαι","kjv_def":"of a long time, of old","strongs_def":" long ago, for a long while","derivation":"from G1537 (ἐκ) and G3819 (πάλαι);"},
"G1877":{"kjv_def":"launch (thrust) out, return","lemma":"ἐπανάγω","derivation":"from G1909 (ἐπί) and G321 (ἀνάγω);","strongs_def":" to lead up on, i.e. (technical) to put out (to sea); (intransitively) to return"},
"G5094":{"lemma":"τιμιότης","kjv_def":"costliness","derivation":"from G5093 (τίμιος);","strongs_def":" expensiveness, i.e. (by implication) magnificence"},
"G3502":{"kjv_def":"young","lemma":"νεοσσός","strongs_def":" a youngling (nestling)","derivation":"from G3501 (νέος);"},
"G946":{"kjv_def":"abomination","lemma":"βδέλυγμα","derivation":"from G948 (βδελύσσω);","strongs_def":" a detestation, i.e. (specially) idolatry"},
"G5415":{"kjv_def":"Fortunatus","lemma":"Φορτουνᾶτος","strongs_def":" \"fortunate\"; Fortunatus, a Christian","derivation":"of Latin origin;"},
"G5421":{"lemma":"φρέαρ","kjv_def":"well, pit","strongs_def":" a hole in the ground (dug for obtaining or holding water or other purposes), i.e. a cistern or well; figuratively, an abyss (as a prison)","derivation":"of uncertain derivation;"},
"G4352":{"kjv_def":"worship","lemma":"προσκυνέω","derivation":"from G4314 (πρός) and a probable derivative of G2965 (κύων) (meaning to kiss, like a dog licking his master's hand);","strongs_def":" to fawn or crouch to, i.e. (literally or figuratively) prostrate oneself in homage (do reverence to, adore)"},
"G263":{"derivation":"from G1 (Α) (as a negative particle) and a presumed derivative of G3133 (μαραίνω);","strongs_def":" unfading, i.e. (by implication) perpetual","lemma":"ἀμάραντος","kjv_def":"that fadeth not away"},
"G5076":{"strongs_def":" the ruler of a fourth part of a country (\"tetrarch\")","derivation":"from G5064 (τέσσαρες) and G757 (ἄρχω);","kjv_def":"tetrarch","lemma":"τετράρχης"},
"G406":{"kjv_def":"Andrew","lemma":"Ἀνδρέας","derivation":"from G435 (ἀνήρ);","strongs_def":" manly; Andreas, an Israelite"},
"G1707":{"lemma":"ἐμπλέκω","kjv_def":"entangle (in, self with)","strongs_def":" to entwine, i.e. (figuratively) involve with","derivation":"from G1722 (ἐν) and G4120 (πλέκω);"},
"G2582":{"strongs_def":" Candacè, an Egyptian queen","derivation":"of foreign origin;","lemma":"Κανδάκη","kjv_def":"Candace"},
"G5550":{"lemma":"χρόνος","kjv_def":"+ years old, season, space, (X often-)time(-s), (a) while","derivation":"of uncertain derivation;","strongs_def":" a space of time (in general, and thus properly distinguished from G2540 (καιρός), which designates a fixed or special occasion; and from G165 (αἰών), which denotes a particular period) or interval; by extension, an individual opportunity; by implication, delay"},
"G2313":{"derivation":"from G2314 (θεομάχος);","strongs_def":" to resist deity","lemma":"θεομαχέω","kjv_def":"fight against God"},
"G151":{"kjv_def":"filthiness","lemma":"αἰσχρότης","strongs_def":" shamefulness, i.e. obscenity","derivation":"from G150 (αἰσχρός);"},
"G3936":{"derivation":"from G3844 (παρά) and G2476 (ἵστημι);","strongs_def":" to stand beside, i.e. (transitively) to exhibit, proffer, (specially), recommend, (figuratively) substantiate; or (intransitively) to be at hand (or ready), aid","lemma":"παρίστημι","kjv_def":"assist, bring before, command, commend, give presently, present, prove, provide, shew, stand (before, by, here, up, with), yield"},
"G3816":{"strongs_def":" a boy (as often beaten with impunity), or (by analogy), a girl, and (genitive case) a child; specially, a slave or servant (especially a minister to a king; and by eminence to God)","derivation":"perhaps from G3817 (παίω);","kjv_def":"child, maid(-en), (man) servant, son, young man","lemma":"παῖς"},
"G3796":{"kjv_def":"(at) even, in the end","lemma":"ὀψέ","strongs_def":" (adverbially) late in the day; by extension, after the close of the day","derivation":"from the same as G3694 (ὀπίσω) (through the idea of backwardness);"},
"G5432":{"kjv_def":"keep (with a garrison)","lemma":"φρουρέω","derivation":"from a compound of G4253 (πρό) and G3708 (ὁράω);","strongs_def":" to be a watcher in advance, i.e. to mount guard as a sentinel (post spies at gates); figuratively, to hem in, protect"},
"G2631":{"kjv_def":"condemnation","lemma":"κατάκριμα","derivation":"from G2632 (κατακρίνω);","strongs_def":" an adverse sentence (the verdict)"},
"G4199":{"derivation":"prolongation from (to sack);","strongs_def":" to ravage (figuratively)","kjv_def":"destroy, waste","lemma":"πορθέω"},
"G5442":{"kjv_def":"beward, keep (self), observe, save","lemma":"φυλάσσω","strongs_def":" to watch, i.e. be on guard (literally of figuratively); by implication, to preserve, obey, avoid","derivation":"probably from G5443 (φυλή) through the idea of isolation;"},
"G2165":{"kjv_def":"fare, make glad, be (make) merry, rejoice","lemma":"εὐφραίνω","strongs_def":" to put (middle voice or passively, be) in a good frame of mind, i.e. rejoice","derivation":"from G2095 (εὖ) and G5424 (φρήν);"},
"G1814":{"derivation":"from G1537 (ἐκ) and G242 (ἅλλομαι);","strongs_def":" to spring forth ","kjv_def":"leap up","lemma":"ἐξάλλομαι"},
"G1124":{"lemma":"γραφή","kjv_def":"scripture","strongs_def":" a document, i.e. holy Writ (or its contents or a statement in it)","derivation":"from G1125 (γράφω);"},
"G1964":{"strongs_def":" to commit perjury","derivation":"from G1965 (ἐπίορκος);","kjv_def":"forswear self","lemma":"ἐπιορκέω"},
"G1068":{"kjv_def":"Gethsemane","lemma":"Γεθσημανῆ","strongs_def":" oil-press; Gethsemane, a garden near Jerusalem","derivation":"of Chaldee origin (compare H01660 and H08081);"},
"G3410":{"derivation":"from G3409 (μισθόω);","strongs_def":" a rented building","kjv_def":"hired house","lemma":"μίσθωμα"},
"G1688":{"derivation":"from G1722 (ἐν) and (to mount;","strongs_def":" causative of G1684 (ἐμβαίνω)); to place on, i.e. transfer (aboard a vessel)","lemma":"ἐμβιβάζω","kjv_def":"put in"},
"G2031":{"lemma":"ἔπος","kjv_def":"X say","derivation":"from G2036 (ἔπω);","strongs_def":" a word"},
"G4834":{"derivation":"from G4835 (συμπαθής);","strongs_def":" to feel \"sympathy\" with, i.e. (by implication) to commiserate","kjv_def":"have compassion, be touched with a feeling of","lemma":"συμπαθέω"},
"G3962":{"derivation":"apparently a primary word;","strongs_def":" a \"father\" (literally or figuratively, near or more remote)","lemma":"πατήρ","kjv_def":"father, parent"},
"G5387":{"derivation":"from G5384 (φίλος) and (cherishing one's kindred, especially parents or children);","strongs_def":" fond of natural relatives, i.e. fraternal towards fellow Christian","lemma":"φιλόστοργος","kjv_def":"kindly affectioned"},
"G2862":{"derivation":"of Latin origin;","strongs_def":" a Roman \"colony\" for veterans","kjv_def":"colony","lemma":"κολωνία"},
"G2753":{"derivation":"from a primary (to urge on);","strongs_def":" \"hail\"; to incite by word, i.e. order","kjv_def":"bid, (at, give) command(-ment)","lemma":"κελεύω"},
"G267":{"strongs_def":" unattested","derivation":"from G1 (Α) (as a negative particle) and a form of G3144 (μάρτυς);","kjv_def":"without witness","lemma":"ἀμάρτυρος"},
"G1960":{"kjv_def":"diligently","lemma":"ἐπιμελῶς","derivation":"adverb from a derivative of G1959 (ἐπιμελέομαι);","strongs_def":" carefully"},
"G3574":{"lemma":"νυχθήμερον","kjv_def":"night and day","derivation":"from G3571 (νύξ) and G2250 (ἡμέρα);","strongs_def":" a day-and-night, i.e. full day of twenty-four hours"},
"G2759":{"kjv_def":"prick, sting","lemma":"κέντρον","strongs_def":" a point (\"centre\"), i.e. a sting (figuratively, poison) or goad (figuratively, divine impulse)","derivation":"from (to prick);"},
"G5360":{"kjv_def":"brotherly love (kindness), love of the brethren","lemma":"φιλαδελφία","strongs_def":" fraternal affection","derivation":"from G5361 (φιλάδελφος);"},
"G4776":{"kjv_def":"(make) sit (down) together","lemma":"συγκαθίζω","strongs_def":" to give (or take) a seat in company with","derivation":"from G4862 (σύν) and G2523 (καθίζω);"},
"G3070":{"derivation":"properly, feminine of Ludios (of foreign origin) (a Lydian, in Asia Minor);","strongs_def":" Lydia, a Christian woman","kjv_def":"Lydia","lemma":"Λυδία"},
"G340":{"lemma":"ἀνακαινίζω","kjv_def":"renew","strongs_def":" to restore","derivation":"from G303 (ἀνά) and a derivative of G2537 (καινός);"},
"G5403":{"derivation":"from G5404 (φοῖνιξ);","strongs_def":" palm-country; Phœnice (or Phœnicia), a region of Palestine","kjv_def":"Phenice, Phenicia","lemma":"Φοινίκη"},
"G3060":{"strongs_def":" abusive, i.e. a blackguard","derivation":"from (mischief);","kjv_def":"railer, reviler","lemma":"λοίδορος"},
"G214":{"kjv_def":"tinkle, wail","lemma":"ἀλαλάζω","strongs_def":" to vociferate, i.e. (by implication) to wail; figuratively, to clang","derivation":"from ( a shout, \"halloo\");"},
"G1888":{"kjv_def":"in the very act","lemma":"ἐπαυτοφώρῳ","derivation":"from G1909 (ἐπί) and G846 (αὐτός) and (the dative case singular of) a derivative of (a thief);","strongs_def":" in theft itself, i.e. (by analogy) in actual crime"},
"G88":{"derivation":"from G1 (Α) (as a negative particle) and a derivative of a compound of G1223 (διά) and G3007 (λείπω);","strongs_def":" unintermitted, i.e. permanent","lemma":"ἀδιάλειπτος","kjv_def":"without ceasing, continual"},
"G3772":{"derivation":"perhaps from the same as G3735 (ὄρος) (through the idea of elevation);","strongs_def":" the sky; by extension, heaven (as the abode of God); by implication, happiness, power, eternity; specially, the Gospel (Christianity)","lemma":"οὐρανός","kjv_def":"air, heaven(-ly), sky"},
"G1977":{"lemma":"ἐπιῤῥίπτω","kjv_def":"cast upon","derivation":"from G1909 (ἐπί) and G4496 (ῥίπτω);","strongs_def":" to throw upon (literally or figuratively)"},
"G5319":{"strongs_def":" to render apparent (literally or figuratively)","derivation":"from G5318 (φανερός);","kjv_def":"appear, manifestly declare, (make) manifest (forth), shew (self)","lemma":"φανερόω"},
"G270":{"strongs_def":" properly, to collect, i.e. (by implication) reap","derivation":"from G260 (ἅμα);","kjv_def":"reap down","lemma":"ἀμάω"},
"G5440":{"strongs_def":" a guard-case, i.e. \"phylactery\" for wearing slips of Scripture texts","derivation":"neuter of a derivative of G5442 (φυλάσσω);","kjv_def":" phylactery","lemma":"φυλακτήριον"},
"G3857":{"derivation":"of Oriental origin (compare H06508);","strongs_def":" a park, i.e. (specially), an Eden (place of future happiness, \"paradise\")","lemma":"παράδεισος","kjv_def":"paradise"},
"G3501":{"derivation":"including the comparative ; a primary word;","strongs_def":" \"new\", i.e. (of persons) youthful, or (of things) fresh; figuratively, regenerate","lemma":"νέος","kjv_def":"new, young"},
"G4525":{"derivation":"akin to G4579 (σείω);","strongs_def":" to wag (as a dog its tail fawningly), i.e. (generally) to shake (figuratively, disturb)","kjv_def":"move","lemma":"σαίνω"},
"G1661":{"kjv_def":"of ivory","lemma":"ἐλεφάντινος","strongs_def":" elephantine, i.e. (by implication) composed of ivory","derivation":"from (an \"elephant\");"},
"G2520":{"kjv_def":" convenient, fit","lemma":"καθήκω","derivation":"from G2596 (κατά) and G2240 (ἥκω);","strongs_def":" to reach to, i.e. (neuter of present active participle, figuratively as adjective) becoming"},
"G4618":{"strongs_def":" grain-fed, i.e. fattened","derivation":"from a derivative of G4621 (σῖτος);","kjv_def":"fatted","lemma":"σιτευτός"},
"G3861":{"lemma":"παράδοξος","kjv_def":"strange","derivation":"from G3844 (παρά) and G1391 (δόξα) (in the sense of seeming);","strongs_def":" contrary to expectation, i.e. extraordinary (\"paradox\")"},
"G1386":{"lemma":"δόλιος","kjv_def":"deceitful","derivation":"from G1388 (δόλος);","strongs_def":" guileful"},
"G1908":{"lemma":"ἐπηρεάζω","kjv_def":"use despitefully, falsely accuse","derivation":"from a comparative of G1909 (ἐπί) and (probably) (threats);","strongs_def":" to insult, slander"},
"G1078":{"derivation":"from the same as G1074 (γενεά);","strongs_def":" nativity; figuratively, nature","kjv_def":"generation, nature(-ral)","lemma":"γένεσις"},
"G4114":{"derivation":"from G4116 (πλατύς);","strongs_def":" width","lemma":"πλάτος","kjv_def":"breadth"},
"G175":{"strongs_def":" barren (literally or figuratively)","derivation":"from G1 (Α) (as a negative particle) and G2590 (καρπός);","lemma":"ἄκαρπος","kjv_def":"without fruit, unfruitful"},
"G252":{"strongs_def":" briny","derivation":"from G251 (ἅλς);","kjv_def":"salt","lemma":"ἁλυκός"},
"G277":{"kjv_def":"unmovable","lemma":"ἀμετακίνητος","derivation":"from G1 (Α) (as a negative particle) and a derivative of G3334 (μετακινέω);","strongs_def":" immovable"},
"G1209":{"derivation":"middle voice of a primary verb;","strongs_def":" to receive (in various applications, literally or figuratively)","kjv_def":"accept, receive, take","lemma":"δέχομαι"},
"G3940":{"kjv_def":"sojourning, X as strangers","lemma":"παροικία","derivation":"from G3941 (πάροικος);","strongs_def":" foreign residence"},
"G3447":{"lemma":"μοσχοποιέω","kjv_def":"make a calf","derivation":"from G3448 (μόσχος) and G4160 (ποιέω);","strongs_def":" to fabricate the image of a bullock"},
"G433":{"lemma":"ἀνήκω","kjv_def":"convenient, be fit","strongs_def":" to attain to, i.e. (figuratively) be proper","derivation":"from G303 (ἀνά) and G2240 (ἥκω);"},
"G3186":{"lemma":"μειζότερος","kjv_def":"greater","strongs_def":" still larger (figuratively)","derivation":"continued comparative of G3187 (μείζων);"},
"G4061":{"kjv_def":"X circumcised, circumcision","lemma":"περιτομή","derivation":"from G4059 (περιτέμνω);","strongs_def":" circumcision (the rite, the condition or the people, literally or figuratively)"},
"G398":{"derivation":"from G303 (ἀνά) and G5316 (φαίνω);","strongs_def":" to show, i.e. (reflexively) appear, or (passively) to have pointed out","kjv_def":"(should) appear, discover","lemma":"ἀναφαίνω"},
"G4367":{"derivation":"from G4314 (πρός) and G5021 (τάσσω);","strongs_def":" to arrange towards, i.e. (figuratively) enjoin","kjv_def":"bid, command","lemma":"προστάσσω"},
"G5177":{"derivation":"probably for an obsolete (for which the middle voice of another alternate (to make ready or bring to pass) is used in certain tenses;","strongs_def":" akin to the base of G5088 (τίκτω) through the idea of effecting; properly, to affect; or (specially), to hit or light upon (as a mark to be reached), i.e. (transitively) to attain or secure an object or end, or (intransitively) to happen (as if meeting with); but in the latter application only impersonal (with G1487 (εἰ)), i.e. perchance; or (present participle) as adjective, usual (as if commonly met with, with G3756 (οὐ), extraordinary), neuter (as adverb) perhaps; or (with another verb) as adverb, by accident (as it were)","kjv_def":"be, chance, enjoy, little, obtain, X refresh…self, + special","lemma":"τυγχάνω"},
"G2673":{"strongs_def":" to be (render) entirely idle (useless), literally or figuratively","derivation":"from G2596 (κατά) and G691 (ἀργέω);","lemma":"καταργέω","kjv_def":"abolish, cease, cumber, deliver, destroy, do away, become (make) of no (none, without) effect, fail, loose, bring (come) to nought, put away (down), vanish away, make void"},
"G5577":{"kjv_def":"false witness","lemma":"ψευδομαρτυρία","derivation":"from G5575 (ψευδομάρτυρ);","strongs_def":" untrue testimony"},
"G4843":{"strongs_def":" to take by enclosing altogether, i.e. earnestly throw the arms about one","derivation":"from G4862 (σύν) and a compound of G4012 (περί) and G2983 (λαμβάνω);","lemma":"συμπεριλαμβάνω","kjv_def":"embrace"},
"G3913":{"derivation":"from G3912 (παραφρονέω);","strongs_def":" insanity, i.e. foolhardiness","kjv_def":"madness","lemma":"παραφρονία"},
"G3564":{"derivation":"probably contracted for a compound of G3565 (νύμφη) and G1435 (δῶρον);","strongs_def":" nymph-given (i.e. -born); Nymphas, a Christian","lemma":"Νυμφᾶς","kjv_def":"Nymphas"},
"G1093":{"lemma":"γῆ","kjv_def":"country, earth(-ly), ground, land, world","strongs_def":" soil; by extension a region, or the solid part or the whole of the terrene globe (including the occupants in each application)","derivation":"contracted from a primary word;"},
"G259":{"derivation":"from a collateral form of G138 (αἱρέομαι);","strongs_def":" capture, be taken. ","lemma":"ἅλωσις"},
"G1091":{"lemma":"γεώργιον","kjv_def":"husbandry","derivation":"neuter of a (presumed) derivative of G1092 (γεωργός);","strongs_def":" cultivable, i.e. a farm"},
"G4720":{"derivation":"the same as G4719 (στάχυς);","strongs_def":" Stachys, a Christian","kjv_def":"Stachys","lemma":"Στάχυς"},
"G81":{"kjv_def":"brethren, brotherhood","lemma":"ἀδελφότης","strongs_def":" brotherhood (properly, the feeling of brotherliness), i.e. the (Christian) fraternity","derivation":"from G80 (ἀδελφός);"},
"G5346":{"derivation":"properly, the same as the base of G5457 (φῶς) and G5316 (φαίνω);","strongs_def":" to show or make known one's thoughts, i.e. speak or say","kjv_def":"affirm, say","lemma":"φημί"},
"G4231":{"lemma":"πραγματεύομαι","kjv_def":"occupy","derivation":"from G4229 (πρᾶγμα);","strongs_def":" to busy oneself with, i.e. to trade"},
"G5257":{"lemma":"ὑπηρέτης","kjv_def":"minister, officer, servant","strongs_def":" an under-oarsman, i.e. (generally) subordinate (assistant, sexton, constable)","derivation":"from G5259 (ὑπό) and a derivative of (to row);"},
"G4512":{"lemma":"ῥυτίς","kjv_def":"wrinkle","derivation":"from G4506 (ῥύομαι);","strongs_def":" a fold (as drawing together), i.e. a wrinkle (especially on the face)"},
"G6":{"lemma":"Ἄβελ","kjv_def":"Abel","derivation":"of Hebrew origin (H01893);","strongs_def":" Abel, the son of Adam"},
"G362":{"strongs_def":" to await","derivation":"from G303 (ἀνά) and G3306 (μένω);","lemma":"ἀναμένω","kjv_def":"wait for"},
"G3140":{"lemma":"μαρτυρέω","kjv_def":"charge, give (evidence), bear record, have (obtain, of) good (honest) report, be well reported of, testify, give (have) testimony, (be, bear, give, obtain) witness","strongs_def":" to be a witness, i.e. testify (literally or figuratively)","derivation":"from G3144 (μάρτυς);"},
"G3752":{"lemma":"ὅταν","kjv_def":"as long (soon) as, that, + till, when(-soever), while","strongs_def":" whenever (implying hypothesis or more or less uncertainty); also causatively (conjunctionally) inasmuch as","derivation":"from G3753 (ὅτε) and G302 (ἄν);"},
"G1012":{"kjv_def":"+ advise, counsel, will","lemma":"βουλή","strongs_def":" volition, i.e. (objectively) advice, or (by implication) purpose","derivation":"from G1014 (βούλομαι);"},
"G1474":{"derivation":"from G1475 (ἔδαφος);","strongs_def":" to raze","lemma":"ἐδαφίζω","kjv_def":"lay even with the ground"},
"G3843":{"derivation":"adverb from G3956 (πᾶς);","strongs_def":" entirely; specially, at all events, (with negative, following) in no event","lemma":"πάντως","kjv_def":"by all means, altogether, at all, needs, no doubt, in (no) wise, surely"},
"G1156":{"lemma":"δάνειον","kjv_def":"debt","derivation":"from (a gift);","strongs_def":" probably akin to the base of G1325 (δίδωμι); a loan"},
"G3989":{"derivation":"of uncertain affinity;","strongs_def":" deep or open sea, i.e. the main","kjv_def":"depth, sea","lemma":"πέλαγος"},
"G129":{"derivation":"of uncertain derivation;","strongs_def":" blood, literally (of men or animals), figuratively (the juice of grapes) or specially (the atoning blood of Christ); by implication, bloodshed, also kindred","kjv_def":"blood","lemma":"αἷμα"},
"G3105":{"strongs_def":" through the idea of insensate craving); to rave as a \"maniac\"","derivation":"middle voice from a primary (to long for;","kjv_def":"be beside self (mad)","lemma":"μαίνομαι"},
"G2232":{"strongs_def":" a leader, i.e. chief person (or figuratively, place) of a province","derivation":"from G2233 (ἡγέομαι);","lemma":"ἡγεμών","kjv_def":"governor, prince, ruler"},
"G2889":{"derivation":"probably from the base of G2865 (κομίζω);","strongs_def":" orderly arrangement, i.e. decoration; by implication, the world (in a wide or narrow sense, including its inhabitants, literally or figuratively (morally))","kjv_def":"adorning, world","lemma":"κόσμος"},
"G2288":{"derivation":"from G2348 (θνήσκω);","strongs_def":" (properly, an adjective used as a noun) death (literally or figuratively)","lemma":"θάνατος","kjv_def":"X deadly, (be…) death"},
"G3675":{"strongs_def":" like-minded, i.e. harmonious","derivation":"from the base of G3674 (ὁμοῦ) and G5424 (φρήν);","kjv_def":"of one mind","lemma":"ὁμόφρων"},
"G4341":{"derivation":"middle voice from G4314 (πρός) and G2564 (καλέω);","strongs_def":" to call toward oneself, i.e. summon, invite","lemma":"προσκαλέομαι","kjv_def":"call (for, to, unto)"},
"G2579":{"strongs_def":" and (or even) if","derivation":"from G2532 (καί) and G1437 (ἐάν);","lemma":"κἄν","kjv_def":"and (also) if (so much as), if but, at the least, though, yet"},
"G799":{"strongs_def":" incomparable; Asyncritus, a Christian","derivation":"from G1 (Α) (as a negative particle) and a derivative of G4793 (συγκρίνω);","kjv_def":"Asyncritos","lemma":"Ἀσύγκριτος"},
"G3800":{"kjv_def":" wages","lemma":"ὀψώνιον","derivation":"neuter of a presumed derivative of the same as G3795 (ὀψάριον);","strongs_def":" rations for a soldier, i.e. (by extension) his stipend or pay"},
"G2936":{"derivation":"probably akin to G2932 (κτάομαι) (through the idea of proprietorship of the manufacturer);","strongs_def":" to fabricate, i.e. found (form originally)","lemma":"κτίζω","kjv_def":"create, Creator, make"},
"G1427":{"lemma":"δώδεκα","kjv_def":"twelve","derivation":"from G1417 (δύο) and G1176 (δέκα);","strongs_def":" two and ten, i.e. a dozen"},
"G3941":{"lemma":"πάροικος","kjv_def":"foreigner, sojourn, stranger","derivation":"from G3844 (παρά) and G3624 (οἶκος);","strongs_def":" having a home near, i.e. (as noun) a by-dweller (alien resident)"},
"G2567":{"kjv_def":"teacher of good things","lemma":"καλοδιδάσκαλος","derivation":"from G2570 (καλός) and G1320 (διδάσκαλος);","strongs_def":" a teacher of the right"},
"G5167":{"strongs_def":" akin to G5149 (τρίζω), but denoting a duller sound); a turtle-dove (as cooing)","derivation":"from (to murmur;","lemma":"τρυγών","kjv_def":"turtle-dove"},
"G3726":{"kjv_def":"adjure, charge","lemma":"ὁρκίζω","strongs_def":" to put on oath, i.e. make swear; by analogy, to solemnly enjoin","derivation":"from G3727 (ὅρκος);"},
"G2919":{"derivation":"properly, to distinguish, i.e. decide (mentally or judicially);","strongs_def":" by implication, to try, condemn, punish","kjv_def":"avenge, conclude, condemn, damn, decree, determine, esteem, judge, go to (sue at the) law, ordain, call in question, sentence to, think","lemma":"κρίνω"},
"G2007":{"derivation":"from G1909 (ἐπί) and G5087 (τίθημι);","strongs_def":" to impose (in a friendly or hostile sense)","lemma":"ἐπιτίθημι","kjv_def":"add unto, lade, lay upon, put (up) on, set on (up), + surname, X wound"},
"G1630":{"lemma":"ἔκφοβος","kjv_def":" sore afraid, exceedingly fear","derivation":"from G1537 (ἐκ) and G5401 (φόβος);","strongs_def":" frightened out of one's wits"},
"G2483":{"strongs_def":" Italic, i.e. belonging to Italia","derivation":"from G2482 (Ἰταλία);","kjv_def":"Italian","lemma":"Ἰταλικός"},
"G3444":{"derivation":"perhaps from the base of G3313 (μέρος) (through the idea of adjustment of parts);","strongs_def":" shape; figuratively, nature","kjv_def":"form","lemma":"μορφή"},
"G2592":{"strongs_def":" to be fertile (literally or figuratively)","derivation":"from G2593 (καρποφόρος);","kjv_def":"be (bear, bring forth) fruit(-ful)","lemma":"καρποφορέω"},
"G5353":{"strongs_def":" utterance, i.e. a musical note (vocal or instrumental)","derivation":"from G5350 (φθέγγομαι);","kjv_def":"sound","lemma":"φθόγγος"},
"G444":{"kjv_def":"certain, man","lemma":"ἄνθρωπος","strongs_def":" from G3700 (ὀπτάνομαι)); man-faced, i.e. a human being","derivation":"from G435 (ἀνήρ) and (the countenance;"},
"G1975":{"lemma":"ἐπιπορεύομαι","kjv_def":"come","derivation":"from G1909 (ἐπί) and G4198 (πορεύομαι);","strongs_def":" to journey further, i.e. travel on (reach)"},
"G2148":{"derivation":"from (the east wind) and G2830 (κλύδων);","strongs_def":" a storm from the East (or southeast), i.e. (in modern phrase) a Levanter","lemma":"Εὐροκλύδων","kjv_def":"Euroklydon"},
"G334":{"strongs_def":" a votive offering","derivation":"from G394 (ἀνατίθεμαι) (like G331 (ἀνάθεμα), but in a good sense);","kjv_def":"gift","lemma":"ἀνάθημα"},
"G3177":{"strongs_def":" to explain over, i.e. translate","derivation":"from G3326 (μετά) and G2059 (ἑρμηνεύω);","lemma":"μεθερμηνεύω","kjv_def":"(by) interpret(-ation)"},
"G1489":{"kjv_def":"if (so be that, yet)","lemma":"εἴγε","derivation":"from G1487 (εἰ) and G1065 (γέ);","strongs_def":" if indeed, seeing that, unless, (with negative) otherwise"},
"G1602":{"derivation":"from G1537 (ἐκ) and G4126 (πλέω);","strongs_def":" to depart by ship","lemma":"ἐκπλέω","kjv_def":"sail (away, thence)"},
"G3431":{"kjv_def":"commit adultery","lemma":"μοιχεύω","derivation":"from G3432 (μοιχός);","strongs_def":" to commit adultery"},
"G1515":{"kjv_def":"one, peace, quietness, rest, + set at one again","lemma":"εἰρήνη","derivation":"probably from a primary verb (to join);","strongs_def":" peace (literally or figuratively); by implication, prosperity"},
"G3303":{"strongs_def":" properly, indicative of affirmation or concession (in fact); usually followed by a contrasted clause with G1161 (δέ) (this one, the former, etc.)","derivation":"a primary particle;","lemma":"μέν","kjv_def":"even, indeed, so, some, truly, verily"},
"G322":{"derivation":"from G303 (ἀνά) and G1166 (δεικνύω);","strongs_def":" to exhibit, i.e. (by implication) to indicate, appoint","kjv_def":"appoint, shew","lemma":"ἀναδείκνυμι"},
"G1912":{"kjv_def":"be chargeable to, overcharge","lemma":"ἐπιβαρέω","strongs_def":" to be heavy upon, i.e. (pecuniarily) to be expensive to; figuratively, to be severe towards","derivation":"from G1909 (ἐπί) and G916 (βαρέω);"},
"G3085":{"derivation":"from G3084 (λυτρόω);","strongs_def":" a ransoming (figuratively)","kjv_def":"+ redeemed, redemption","lemma":"λύτρωσις"},
"G5235":{"lemma":"ὑπερβάλλω","kjv_def":"exceeding, excel, pass","strongs_def":" to throw beyod the usual mark, i.e. (figuratively) to surpass (only active participle supereminent)","derivation":"from G5228 (ὑπέρ) and G906 (βάλλω);"},
"G1667":{"lemma":"ἑλίσσω","kjv_def":"fold up","strongs_def":" to coil or wrap","derivation":"a form of G1507 (εἱλίσσω);"},
"G2742":{"derivation":"from G2741 (καυσόω);","strongs_def":" a glare","lemma":"καύσων","kjv_def":"(burning) heat"},
"G3073":{"strongs_def":" Lycia, a province of Asia Minor","derivation":"probably remotely from G3074 (λύκος);","lemma":"Λυκία","kjv_def":"Lycia"},
"G1063":{"derivation":"a primary particle;","strongs_def":" properly, assigning a reason (used in argument, explanation or intensification; often with other particles)","kjv_def":"and, as, because (that), but, even, for, indeed, no doubt, seeing, then, therefore, verily, what, why, yet","lemma":"γάρ"},
"G1690":{"kjv_def":"straitly charge, groan, murmur against","lemma":"ἐμβριμάομαι","derivation":"from G1722 (ἐν) and (to snort with anger);","strongs_def":" to have indignation on, i.e. (transitively) to blame, (intransitively) to sigh with chagrin, (specially) to sternly enjoin"},
"G4353":{"derivation":"from G4352 (προσκυνέω);","strongs_def":" an adorer","kjv_def":"worshipper","lemma":"προσκυνητής"},
"G523":{"derivation":"from G575 (ἀπό) and G154 (αἰτέω);","strongs_def":" to demand back","kjv_def":"ask again, require","lemma":"ἀπαιτέω"},
"G2353":{"kjv_def":"cattle","lemma":"θρέμμα","derivation":"from G5142 (τρέφω);","strongs_def":" stock (as raised on a farm)"},
"G83":{"derivation":"from G82 (ἄδηλος);","strongs_def":" uncertainty","kjv_def":"X uncertain","lemma":"ἀδηλότης"},
"G1541":{"lemma":"ἑκατονταέτης","kjv_def":"hundred years old","strongs_def":" centenarian","derivation":"from G1540 (ἑκατόν) and G2094 (ἔτος);"},
"G1008":{"kjv_def":"herb","lemma":"βοτάνη","strongs_def":" herbage (as if for grazing)","derivation":"from G1006 (βόσκω);"},
"G224":{"kjv_def":"meal","lemma":"ἄλευρον","derivation":"from (to grind);","strongs_def":" flour"},
"G2333":{"kjv_def":"Theudas","lemma":"Θευδᾶς","derivation":"of uncertain origin;","strongs_def":" Theudas, an Israelite"},
"G415":{"kjv_def":"unmerciful","lemma":"ἀνελεήμων","derivation":"from G1 (Α) (as a negative particle) and G1655 (ἐλεήμων);","strongs_def":" merciless"},
"G2180":{"derivation":"from G2181 (Ἔφεσος);","strongs_def":" an Ephesian or inhabitant of Ephesus","lemma":"Ἐφέσιος","kjv_def":"Ephesian, of Ephesus"},
"G3084":{"kjv_def":"redeem","lemma":"λυτρόω","strongs_def":" to ransom (literally or figuratively)","derivation":"from G3083 (λύτρον);"},
"G376":{"kjv_def":"maimed","lemma":"ἀνάπηρος","derivation":"from G303 (ἀνά) (in the sense of intensity) and (maimed);","strongs_def":" crippled"},
"G1869":{"strongs_def":" to raise up (literally or figuratively)","derivation":"from G1909 (ἐπί) and G142 (αἴρω);","kjv_def":"exalt self, poise (lift, take) up","lemma":"ἐπαίρω"},
"G5277":{"strongs_def":" to leave behind, i.e. bequeath","derivation":"a prolonged form for G5275 (ὑπολείπω);","kjv_def":"leave","lemma":"ὑπολιμπάνω"},
"G5256":{"strongs_def":" to be a subordinate, i.e. (by implication) subserve","derivation":"from G5257 (ὑπηρέτης);","lemma":"ὑπηρετέω","kjv_def":"minister (unto), serve"},
"G1158":{"kjv_def":"Daniel","lemma":"Δανιήλ","strongs_def":" Daniel, an Israelite","derivation":"of Hebrew origin (H01840);"},
"G2801":{"derivation":"from G2806 (κλάω);","strongs_def":" a piece (bit)","lemma":"κλάσμα","kjv_def":"broken, fragment"},
"G4238":{"derivation":"a primary verb;","strongs_def":" to \"practise\", i.e. perform repeatedly or habitually (thus differing from G4160 (ποιέω), which properly refers to a single act); by implication, to execute, accomplish, etc.; specially, to collect (dues), fare (personally)","lemma":"πράσσω","kjv_def":"commit, deeds, do, exact, keep, require, use arts"},
"G3074":{"derivation":"perhaps akin to the base of G3022 (λευκός) (from the whitish hair);","strongs_def":" a wolf","lemma":"λύκος","kjv_def":"wolf"},
"G5254":{"kjv_def":"suffer","lemma":"ὑπέχω","strongs_def":" to hold oneself under, i.e. endure with patience","derivation":"from G5259 (ὑπό) and G2192 (ἔχω);"},
"G5047":{"strongs_def":" (the state) completeness (mentally or morally)","derivation":"from G5046 (τέλειος);","lemma":"τελειότης","kjv_def":"perfection(-ness)"},
"G5284":{"kjv_def":"sail under","lemma":"ὑποπλέω","derivation":"from G5259 (ὑπό) and G4126 (πλέω);","strongs_def":" to sail under the lee of"},
"G1507":{"derivation":"a prolonged form of a primary but defective verb (of the same meaning);","strongs_def":" to coil or wrap","kjv_def":"roll together","lemma":"εἱλίσσω"},
"G870":{"derivation":"adverb from a compound of G1 (Α) (as a negative particle) and G5401 (φόβος);","strongs_def":" fearlessly","lemma":"ἀφόβως","kjv_def":"without fear"},
"G4921":{"lemma":"συνιστάω","kjv_def":"approve, commend, consist, make, stand (with)","strongs_def":" to set together, i.e. (by implication) to introduce (favorably), or (figuratively) to exhibit; intransitively, to stand near, or (figuratively) to constitute","derivation":"from G4862 (σύν) and G2476 (ἵστημι) (including its collateral forms);"},
"G3082":{"lemma":"Λύστρα","kjv_def":"Lystra","strongs_def":" Lystra, a place in Asia Minor","derivation":"of uncertain origin;"},
"G2938":{"lemma":"κτίσμα","kjv_def":"creature","strongs_def":" an original formation (concretely), i.e. product (created thing)","derivation":"from G2936 (κτίζω);"},
"G4979":{"lemma":"σχοινίον","kjv_def":"small cord, rope","derivation":"diminutive of (a rush or flag-plant;","strongs_def":" of uncertain derivation); a rushlet, i.e. grass-withe or tie (generally)"},
"G4418":{"derivation":"of uncertain derivation;","strongs_def":" the heel (figuratively)","lemma":"πτέρνα","kjv_def":"heel"},
"G441":{"lemma":"ἀνθρωπάρεσκος","kjv_def":"men-pleaser","derivation":"from G444 (ἄνθρωπος) and G700 (ἀρέσκω);","strongs_def":" man-courting, i.e. fawning"},
"G578":{"kjv_def":"have respect","lemma":"ἀποβλέπω","strongs_def":" to look away from everything else, i.e. (figuratively) intently regard","derivation":"from G575 (ἀπό) and G991 (βλέπω);"},
"G5043":{"derivation":"from the base of G5098 (τιμωρία);","strongs_def":" a child (as produced)","lemma":"τέκνον","kjv_def":"child, daughter, son"},
"G2230":{"lemma":"ἡγεμονεύω","kjv_def":"be governor","derivation":"from G2232 (ἡγεμών);","strongs_def":" to act as ruler"},
"G751":{"lemma":"Ἄρχιππος","kjv_def":"Archippus","derivation":"from G746 (ἀρχή) and G2462 (ἵππος);","strongs_def":" horse-ruler; Archippus, a Christian"},
"G4194":{"kjv_def":"Pontius","lemma":"Πόντιος","strongs_def":" apparently bridged; Pontius, a Roman","derivation":"of Latin origin;"},
"G2393":{"kjv_def":"jasper","lemma":"ἴασπις","derivation":"probably of foreign origin (see H03471);","strongs_def":" \"jasper\", a gem"},
"G4532":{"kjv_def":"Salem","lemma":"Σαλήμ","strongs_def":" Salem (i.e. Shalem), a place in Palestine","derivation":"of Hebrew origin (H08004);"},
"G3386":{"strongs_def":" not at all then, i.e. not to say (the rather still)","derivation":"from G3385 (μήτι) and G1065 (γέ);","lemma":"μήτιγε","kjv_def":"how much more"},
"G4210":{"kjv_def":"purple","lemma":"πορφυροῦς","strongs_def":" purpureal, i.e. bluish red","derivation":"from G4209 (πορφύρα);"},
"G4786":{"strongs_def":" to commingle, i.e. (figuratively) to combine or assimilate","derivation":"from G4862 (σύν) and G2767 (κεράννυμι);","lemma":"συγκεράννυμι","kjv_def":"mix with, temper together"},
"G1765":{"derivation":"from G1722 (ἐν) and G2480 (ἰσχύω);","strongs_def":" to invigorate (transitively or reflexively)","kjv_def":"strengthen","lemma":"ἐνισχύω"},
"G5138":{"strongs_def":" uneven, rocky (reefy)","derivation":"perhaps strengthened from the base of G4486 (ῥήγνυμι) (as if jagged by rents);","lemma":"τραχύς","kjv_def":"rock, rough"},
"G1473":{"derivation":"a primary pronoun of the first person I (only expressed when emphatic)","lemma":"ἐγώ","kjv_def":"I, me"},
"G5388":{"lemma":"φιλότεκνος","kjv_def":"love their children","strongs_def":" fond of one's children, i.e. maternal","derivation":"from G5384 (φίλος) and G5043 (τέκνον);"},
"G5502":{"kjv_def":"cherubims","lemma":"χερουβίμ","derivation":"plural of Hebrew origin (H03742);","strongs_def":" \"cherubim\" (i.e. cherubs or kerubim)"},
"G2736":{"strongs_def":" downwards","derivation":"(compare G2737 (κατώτερος)); adverb from G2596 (κατά);","kjv_def":"beneath, bottom, down, under","lemma":"κάτω"},
"G2496":{"lemma":"Ἰωράμ","kjv_def":"Joram","strongs_def":" Joram, an Israelite","derivation":"of Hebrew origin (H03141);"},
"G4744":{"strongs_def":" to gleam, i.e. flash intensely","derivation":"apparently a primary verb;","kjv_def":"shining","lemma":"στίλβω"},
"G4312":{"derivation":"from a compound of G4253 (πρό) and G4098 (πίπτω);","strongs_def":" falling forward, i.e. headlong (figuratively, precipitate)","kjv_def":"heady, rash(-ly)","lemma":"προπετής"},
"G1475":{"kjv_def":"ground","lemma":"ἔδαφος","strongs_def":" a basis (bottom), i.e. the soil","derivation":"from the base of G1476 (ἑδραῖος);"},
"G5191":{"strongs_def":" \"hyacinthine\" or \"jacinthine\", i.e. deep blue","derivation":"from G5192 (ὑάκινθος);","lemma":"ὑακίνθινος","kjv_def":"jacinth"},
"G704":{"kjv_def":"lamb","lemma":"ἀρήν","strongs_def":" a lamb (as a male)","derivation":"perhaps the same as G730 (ἄῤῥην);"},
"G1979":{"strongs_def":" a provisioning, i.e. (concretely) food","derivation":"from a compound of G1909 (ἐπί) and a derivative of G4621 (σῖτος);","kjv_def":"victuals","lemma":"ἐπισιτισμός"},
"G2656":{"strongs_def":" to nod down (towards), i.e. (by analogy) to make signs to","derivation":"from G2596 (κατά) and G3506 (νεύω);","kjv_def":"beckon","lemma":"κατανεύω"},
"G274":{"strongs_def":" faultlessly","derivation":"adverb from G273 (ἄμεμπτος);","kjv_def":"blameless, unblamably","lemma":"ἀμέμπτως"},
"G3709":{"lemma":"ὀργή","kjv_def":"anger, indignation, vengeance, wrath","strongs_def":" properly, desire (as a reaching forth or excitement of the mind), i.e. (by analogy), violent passion (ire, or (justifiable) abhorrence); by implication punishment","derivation":"from G3713 (ὀρέγομαι);"},
"G2614":{"derivation":"from G2596 (κατά) and G1377 (διώκω);","strongs_def":" to hunt down, i.e. search for","lemma":"καταδιώκω","kjv_def":"follow after"},
"G70":{"derivation":"from G69 (ἀγρυπνέω);","strongs_def":" sleeplessness, i.e. a keeping awake","lemma":"ἀγρυπνία","kjv_def":"watch"},
"G1700":{"lemma":"ἐμοῦ","kjv_def":"me, mine, my","derivation":"a prolonged form of G3449 (μόχθος);","strongs_def":" of me"},
"G4967":{"lemma":"σφαγή","kjv_def":"slaughter","strongs_def":" butchery (of animals for food or sacrifice, or (figuratively) of men (destruction))","derivation":"from G4969 (σφάζω);"},
"G2192":{"kjv_def":"be (able, X hold, possessed with), accompany, + begin to amend, can(+ -not), X conceive, count, diseased, do + eat, + enjoy, + fear, following, have, hold, keep, + lack, + go to law, lie, + must needs, + of necessity, + need, next, + recover, + reign, + rest, + return, X sick, take for, + tremble, + uncircumcised, use","lemma":"ἔχω","derivation":"a primary verb;","strongs_def":" to hold (used in very various applications, literally or figuratively, direct or remote; such as possession; ability, contiuity, relation, or condition)"},
"G3988":{"kjv_def":"persuasion","lemma":"πεισμονή","strongs_def":" persuadableness, i.e. credulity","derivation":"from a presumed derivative of G3982 (πείθω);"},
"G1925":{"lemma":"ἐπιδείκνυμι","kjv_def":"shew","derivation":"from G1909 (ἐπί) and G1166 (δεικνύω);","strongs_def":" to exhibit (physically or mentally)"},
"G5096":{"lemma":"Τίμων","kjv_def":"Timon","derivation":"from G5092 (τιμή);","strongs_def":" valuable; Timon, a Christian"},
"G1016":{"kjv_def":"ox","lemma":"βοῦς","strongs_def":" an ox (as grazing), i.e. an animal of that species (\"beef\")","derivation":"probably from the base of G1006 (βόσκω);"},
"G617":{"strongs_def":" to roll away","derivation":"from G575 (ἀπό) and G2947 (κυλιόω);","lemma":"ἀποκυλίω","kjv_def":"roll away (back)"},
"G4671":{"strongs_def":" to thee","derivation":"dative case of G4771 (σύ);","kjv_def":"thee, thine own, thou, thy","lemma":"σοί"},
"G5144":{"derivation":"the decade of G5140 (τρεῖς);","strongs_def":" thirty","kjv_def":"thirty","lemma":"τριάκοντα"},
"G37":{"kjv_def":"hallow, be holy, sanctify","lemma":"ἁγιάζω","strongs_def":" to make holy, i.e. (ceremonially) purify or consecrate; (mentally) to venerate","derivation":"from G40 (ἅγιος);"},
"G1784":{"derivation":"from G1722 (ἐν) and G5092 (τιμή);","strongs_def":" valued (figuratively)","lemma":"ἔντιμος","kjv_def":"dear, more honourable, precious, in reputation"},
"G2872":{"kjv_def":"(bestow) labour, toil, be wearied","lemma":"κοπιάω","derivation":"from a derivative of G2873 (κόπος);","strongs_def":" to feel fatigue; by implication, to work hard"},
"G2661":{"lemma":"καταξιόω","kjv_def":"(ac-)count worthy","derivation":"from G2596 (κατά) and G515 (ἀξιόω);","strongs_def":" to deem entirely deserving"},
"G2323":{"derivation":"from the same as G2324 (θεράπων);","strongs_def":" to wait upon menially, i.e. (figuratively) to adore (God), or (specially) to relieve (of disease)","kjv_def":"cure, heal, worship","lemma":"θεραπεύω"},
"G2989":{"lemma":"λάμπω","kjv_def":"give light, shine","strongs_def":" to beam, i.e. radiate brilliancy (literally or figuratively)","derivation":"a primary verb;"},
"G5547":{"derivation":"from G5548 (χρίω);","strongs_def":" anointed, i.e. the Messiah, an epithet of Jesus","kjv_def":"Christ","lemma":"Χριστός"},
"G5111":{"strongs_def":" probably itself from the base of G5056 (τέλος) through the idea of extreme conduct); to venture (objectively or in act; while G2292 (θαῤῥέω) is rather subjective or in feeling); by implication, to be courageous","derivation":"from (boldness;","lemma":"τολμάω","kjv_def":"be bold, boldly, dare, durst"},
"G4397":{"kjv_def":"of prophecy, of the prophets","lemma":"προφητικός","derivation":"from G4396 (προφήτης);","strongs_def":" pertaining to a foreteller (\"prophetic\")"},
"G4983":{"kjv_def":"bodily, body, slave","lemma":"σῶμα","strongs_def":" the body (as a sound whole), used in a very wide application, literally or figuratively","derivation":"from G4982 (σώζω);"},
"G4652":{"derivation":"from G4655 (σκότος);","strongs_def":" opaque, i.e. (figuratively) benighted","lemma":"σκοτεινός","kjv_def":"dark, full of darkness"},
"G3394":{"derivation":"from G3392 (μιαίνω);","strongs_def":" (morally) contamination (properly, the act)","lemma":"μιασμός","kjv_def":"uncleanness"},
"G4144":{"derivation":"from G4126 (πλέω);","strongs_def":" a sail, i.e. navigation","kjv_def":"course, sailing, voyage","lemma":"πλόος"},
"G498":{"derivation":"from G473 (ἀντί) and the middle voice of G5021 (τάσσω);","strongs_def":" to range oneself against, i.e. oppose","lemma":"ἀντιτάσσομαι","kjv_def":"oppose themselves, resist"},
"G4738":{"kjv_def":"breast","lemma":"στῆθος","derivation":"from G2476 (ἵστημι) (as standing prominently);","strongs_def":" the (entire external) bosom, i.e. chest"},
"G3575":{"kjv_def":"Noe","lemma":"Νῶε","derivation":"of Hebrew origin (H05146);","strongs_def":" Noë, (i.e. Noäch), a patriarch"},
"G2918":{"derivation":"perhaps a prim word;","strongs_def":" a lily","lemma":"κρίνον","kjv_def":"lily"},
"G3148":{"strongs_def":" a whip (literally, the Roman flagellum for criminals; figuratively, a disease)","derivation":"probably from the base of G3145 (μασσάομαι) (through the idea of contact);","kjv_def":"plague, scourging","lemma":"μάστιξ"},
"G3065":{"lemma":"Λουκᾶς","kjv_def":"Lucas, Luke","strongs_def":" Lucas, a Christian","derivation":"contracted from Latin Lucanus;"},
"G1014":{"derivation":"middle voice of a primary verb;","strongs_def":" to \"will,\" i.e. (reflexively) be willing","lemma":"βούλομαι","kjv_def":"be disposed, minded, intend, list, (be, of own) will (-ing)"},
"G1022":{"kjv_def":"slackness","lemma":"βραδύτης","strongs_def":" tardiness","derivation":"from G1021 (βραδύς);"},
"G577":{"lemma":"ἀποβάλλω","kjv_def":"cast away","derivation":"from G575 (ἀπό) and G906 (βάλλω);","strongs_def":" to throw off; figuratively, to lose"},
"G3463":{"strongs_def":" ten thousand; by extension, innumerably many","derivation":"plural of an apparently primary word (properly, meaning very many);","kjv_def":"ten thousand","lemma":"μύριοι"},
"G5224":{"lemma":"ὑπάρχοντα","kjv_def":"goods, that which one has, things which (one) possesseth, substance, that hast","strongs_def":" things extant or in hand, i.e. property or possessions","derivation":"neuter plural of present participle active of G5225 (ὑπάρχω) as noun;"},
"G3829":{"strongs_def":" all-receptive, i.e. a public lodging-place (caravanserai or khan)","derivation":"neuter of a presumed compound of G3956 (πᾶς) and a derivative of G1209 (δέχομαι);","lemma":"πανδοχεῖον","kjv_def":"inn"},
"G5607":{"kjv_def":"be, come, have","lemma":"ὤν","derivation":"present participle of G1510 (εἰμί);","strongs_def":" being"},
"G5250":{"strongs_def":" to superabound","derivation":"from G5228 (ὑπέρ) and G4121 (πλεονάζω);","lemma":"ὑπερπλεονάζω","kjv_def":"be exceeding abundant"},
"G450":{"kjv_def":"arise, lift up, raise up (again), rise (again), stand up(-right)","lemma":"ἀνίστημι","derivation":"from G303 (ἀνά) and G2476 (ἵστημι);","strongs_def":" to stand up (literal or figurative, transitive or intransitive)"},
"G143":{"strongs_def":" to apprehend (properly, by the senses)","derivation":"of uncertain derivation;","lemma":"αἰσθάνομαι","kjv_def":"perceive"},
"G1182":{"derivation":"ordinal from G1176 (δέκα);","strongs_def":" tenth","kjv_def":"tenth","lemma":"δέκατος"},
"G4465":{"lemma":"ῥαβδοῦχος","kjv_def":"serjeant","strongs_def":" a rod- (the Latin fasces) holder, i.e. a Roman lictor (constable or executioner)","derivation":"from G4464 (ῥάβδος) and G2192 (ἔχω);"},
"G1257":{"derivation":"from G1223 (διά) and G3007 (λείπω);","strongs_def":" to leave off in the middle, i.e. intermit","lemma":"διαλείπω","kjv_def":"cease"},
"G44":{"strongs_def":" a hook (as bent)","derivation":"from the same as G43 (ἀγκάλη);","kjv_def":"hook","lemma":"ἄγκιστρον"},
"G2375":{"strongs_def":" a large shield (as door-shaped)","derivation":"from G2374 (θύρα);","kjv_def":"shield","lemma":"θυρεός"},
"G2209":{"lemma":"ζημία","kjv_def":"damage, loss","derivation":"probably akin to the base of G1150 (δαμάζω) (through the idea of violence);","strongs_def":" detriment"},
"G1708":{"strongs_def":" elaborate braiding of the hair","derivation":"from G1707 (ἐμπλέκω);","lemma":"ἐμπλοκή","kjv_def":"plaiting"},
"G1829":{"kjv_def":"vomit","lemma":"ἐξέραμα","derivation":"from a comparative of G1537 (ἐκ) and a presumed (to spue);","strongs_def":" vomit, i.e. food disgorged"},
"G4577":{"strongs_def":" akin to G138 (αἱρέομαι)); a chain (as binding or drawing)","derivation":"probably from G4951 (σύρω) through its congener (to fasten;","kjv_def":"chain","lemma":"σειρά"},
"G4309":{"derivation":"from G4253 (πρό) and G3724 (ὁρίζω);","strongs_def":" to limit in advance, i.e. (figuratively) predetermine","kjv_def":"determine before, ordain, predestinate","lemma":"προορίζω"},
"G4916":{"strongs_def":" to inter in company with, i.e. (figuratively) to assimilate spiritually (to Christ by a sepulture as to sin)","derivation":"from G4862 (σύν) and G2290 (θάπτω);","kjv_def":"bury with","lemma":"συνθάπτω"},
"G2641":{"strongs_def":" to leave down, i.e. behind; by implication, to abandon, have remaining","derivation":"from G2596 (κατά) and G3007 (λείπω);","kjv_def":"forsake, leave, reserve","lemma":"καταλείπω"},
"G3504":{"strongs_def":" newly planted, i.e. (figuratively) a young convert (\"neophyte\")","derivation":"from G3501 (νέος) and a derivative of G5453 (φύω);","lemma":"νεόφυτος","kjv_def":"novice"},
"G1995":{"kjv_def":"conversion","lemma":"ἐπιστροφή","strongs_def":" reversion, i.e. morally, revolution","derivation":"from G1994 (ἐπιστρέφω);"},
"G5026":{"derivation":"dative case, accusative case and genitive case respectively of the feminine singular of G3778 (οὗτος);","strongs_def":" (towards or of) this","lemma":"ταύτῃ","kjv_def":"her, + hereof, it, that, + thereby, the (same), this (same)"},
"G3490":{"strongs_def":" a captain","derivation":"from G3491 (ναῦς) and G2819 (κλῆρος) (\"clerk\");","kjv_def":"owner of a ship","lemma":"ναύκληρος"},
"G4787":{"derivation":"from G4682 (σπαράσσω) and G2795 (κινέω);","strongs_def":" to move together, i.e. (specially), to excite as a mass (to sedition)","lemma":"συγκινέω","kjv_def":"stir up"},
"G2587":{"strongs_def":" Cappadocia, a region of Asia Minor","derivation":"of foreign origin;","kjv_def":"Cappadocia","lemma":"Καππαδοκία"},
"G5083":{"lemma":"τηρέω","kjv_def":"hold fast, keep(- er), (pre-, re-)serve, watch","derivation":"from (a watch;","strongs_def":" perhaps akin to G2334 (θεωρέω)); to guard (from loss or injury, properly, by keeping the eye upon; and thus differing from G5442 (φυλάσσω), which is properly to prevent escaping; and from G2892 (κουστωδία), which implies a fortress or full military lines of apparatus), i.e. to note (a prophecy; figuratively, to fulfil a command); by implication, to detain (in custody; figuratively, to maintain); by extension, to withhold (for personal ends; figuratively, to keep unmarried); by extension, to withhold (for personal ends; figuratively, to keep unmarried)"},
"G1406":{"lemma":"δραχμή","kjv_def":"piece (of silver)","derivation":"from G1405 (δράσσομαι);","strongs_def":" a drachma or (silver) coin (as handled)"},
"G4175":{"derivation":"from G4176 (πολιτεύομαι);","strongs_def":" a community, i.e. (abstractly) citizenship (figuratively)","kjv_def":"conversation","lemma":"πολίτευμα"},
"G4765":{"derivation":"diminutive of (a sparrow);","strongs_def":" a little sparrow","kjv_def":"sparrow","lemma":"στρουθίον"},
"G4660":{"kjv_def":"trouble(self)","lemma":"σκύλλω","strongs_def":" to flay, i.e. (figuratively) to harass","derivation":"apparently a primary verb;"},
"G3987":{"derivation":"from G3984 (πεῖρα);","strongs_def":" to test (subjectively), i.e. (reflexively) to attempt","lemma":"πειράω","kjv_def":"assay"},
"G400":{"derivation":"from G303 (ἀνά) and G5455 (φωνέω);","strongs_def":" to exclaim","lemma":"ἀναφωνέω","kjv_def":"speak out"},
"G845":{"strongs_def":" self-seeing, i.e. an eye-witness","derivation":"from G846 (αὐτός) and G3700 (ὀπτάνομαι);","lemma":"αὐτόπτης","kjv_def":"eye-witness"},
"G3008":{"kjv_def":"minister","lemma":"λειτουργέω","strongs_def":" to be a public servant, i.e. (by analogy) to perform religious or charitable functions (worship, obey, relieve)","derivation":"from G3011 (λειτουργός);"},
"G197":{"kjv_def":"more perfect(-ly)","lemma":"ἀκριβέστερον","strongs_def":" (adverbially) more exactly","derivation":"neuter of the comparative of the same as G196 (ἀκριβέστατος);"},
"G4680":{"kjv_def":"wise","lemma":"σοφός","derivation":"akin to (clear);","strongs_def":" wise (in a most general application)"},
"G1165":{"derivation":"from G1164 (δεῖγμα);","strongs_def":" to exhibit","kjv_def":"make a shew","lemma":"δειγματίζω"},
"G3345":{"kjv_def":"transfer, transform (self)","lemma":"μετασχηματίζω","derivation":"from G3326 (μετά) and a derivative of G4976 (σχῆμα);","strongs_def":" to transfigure or disguise; figuratively, to apply (by accommodation)"},
"G2298":{"strongs_def":" wondered at, i.e. (by implication) wonderful","derivation":"from G2296 (θαυμάζω);","lemma":"θαυμαστός","kjv_def":"marvel(-lous)"},
"G3164":{"lemma":"μάχομαι","kjv_def":"fight, strive","derivation":"middle voice of an apparently primary verb;","strongs_def":" to war, i.e. (figuratively) to quarrel, dispute"},
"G3399":{"lemma":"Μίλητος","kjv_def":"Miletus","derivation":"of uncertain origin;","strongs_def":" Miletus, a city of Asia Minor"},
"G3036":{"kjv_def":"stone, cast stones","lemma":"λιθοβολέω","strongs_def":" to throw stones, i.e. lapidate","derivation":"from a compound of G3037 (λίθος) and G906 (βάλλω);"},
"G4421":{"strongs_def":" a bird","derivation":"contraction for G4071 (πετεινόν);","kjv_def":"bird","lemma":"πτηνόν"},
"G3309":{"kjv_def":"(be, have) care(-ful), take thought","lemma":"μεριμνάω","derivation":"from G3308 (μέριμνα);","strongs_def":" to be anxious about"},
"G4388":{"derivation":"middle voice from G4253 (πρό) and G5087 (τίθημι);","strongs_def":" to place before, i.e. (for oneself) to exhibit; (to oneself) to propose (determine)","lemma":"προτίθεμαι","kjv_def":"purpose, set forth"},
"G2481":{"strongs_def":" likely, i.e. perhaps","derivation":"adverb from G2470 (ἴσος);","kjv_def":"it may be","lemma":"ἴσως"},
"G5032":{"lemma":"τάχιον","kjv_def":"out (run), quickly, shortly, sooner","strongs_def":" more swiftly, i.e. (in manner) more rapidly, or (in time) more speedily","derivation":"neuter singular of the comparative of G5036 (ταχύς) (as adverb);"},
"G5065":{"strongs_def":" fourteenth","derivation":"from G5064 (τέσσαρες) and G2532 (καί) and G1182 (δέκατος);","kjv_def":"fourteenth","lemma":"τεσσαρεσκαιδέκατος"},
"G5487":{"lemma":"χαριτόω","kjv_def":"make accepted, be highly favoured","strongs_def":" to grace, i.e. indue with special honor","derivation":"from G5485 (χάρις);"},
"G1344":{"strongs_def":" to render (i.e. show or regard as) just or innocent","derivation":"from G1342 (δίκαιος);","lemma":"δικαιόω","kjv_def":"free, justify(-ier), be righteous"},
"G2453":{"lemma":"Ἰουδαῖος","kjv_def":"Jew(-ess), of Judæa","strongs_def":" Judæan, i.e. belonging to Jehudah","derivation":"from G2448 (Ἰουδά) (in the sense of G2455 (Ἰούδας) as a country);"},
"G5099":{"strongs_def":" to pay a price, i.e. as a penalty","derivation":"strengthened for a primary (which is only used as an alternate in certain tenses);","kjv_def":"be punished with","lemma":"τίνω"},
"G2395":{"derivation":"from G2390 (ἰάομαι);","strongs_def":" a physician","kjv_def":"physician","lemma":"ἰατρός"},
"G747":{"strongs_def":" a chief leader","derivation":"from G746 (ἀρχή) and G71 (ἄγω);","kjv_def":"author, captain, prince","lemma":"ἀρχηγός"},
"G1336":{"lemma":"διηνεκής","kjv_def":"+ continually, for ever","strongs_def":" carried through, i.e. (adverbially with G1519 (εἰς) and G3588 (ὁ) prefixed) perpetually","derivation":"neuter of a compound of G1223 (διά) and a derivative of an alternate of G5342 (φέρω);"},
"G4830":{"kjv_def":"partaker","lemma":"συμμέτοχος","derivation":"from G4862 (σύν) and G3353 (μέτοχος);","strongs_def":" a co-participant"},
"G4360":{"kjv_def":"be grieved at","lemma":"προσοχθίζω","derivation":"from G4314 (πρός) and a form of (to be vexed with something irksome);","strongs_def":" to feel indignant at"},
"G4838":{"lemma":"συμπαραλαμβάνω","kjv_def":"take with","derivation":"from G4862 (σύν) and G3880 (παραλαμβάνω);","strongs_def":" to take along in company"},
"G685":{"lemma":"ἀρά","kjv_def":"curse","strongs_def":" properly, prayer (as lifted to Heaven), i.e. (by implication) imprecation","derivation":"probably from G142 (αἴρω);"},
"G520":{"strongs_def":" to take off (in various senses)","derivation":"from G575 (ἀπό) and G71 (ἄγω);","lemma":"ἀπάγω","kjv_def":"bring, carry away, lead (away), put to death, take away"},
"G1074":{"lemma":"γενεά","kjv_def":"age, generation, nation, time","strongs_def":" a generation; by implication, an age (the period or the persons)","derivation":"from (a presumed derivative of) G1085 (γένος);"},
"G4089":{"strongs_def":" sharp (pungent), i.e. acrid (literally or figuratively)","derivation":"perhaps from G4078 (πήγνυμι) (through the idea of piercing);","kjv_def":"bitter","lemma":"πικρός"},
"G5425":{"lemma":"φρίσσω","kjv_def":"tremble","derivation":"apparently a primary verb;","strongs_def":" to \"bristle\" or chill, i.e. shudder (fear)"},
"G5236":{"lemma":"ὑπερβολή","kjv_def":"abundance, (far more) exceeding, excellency, more excellent, beyond (out of) measure","derivation":"from G5235 (ὑπερβάλλω);","strongs_def":" a throwing beyond others, i.e. (figuratively) supereminence; adverbially (with G1519 (εἰς) or G2596 (κατά)) pre- eminently"},
"G2103":{"lemma":"Εὔβουλος","kjv_def":"Eubulus","derivation":"from G2095 (εὖ) and G1014 (βούλομαι);","strongs_def":" good-willer; Eubulus, a Christian"},
"G1457":{"lemma":"ἐγκαινίζω","kjv_def":"consecrate, dedicate","strongs_def":" to renew, i.e. inaugurate","derivation":"from G1456 (ἐγκαίνια);"},
"G3887":{"strongs_def":" to stay near, i.e. remain (literally, tarry; or figuratively, be permanent, persevere)","derivation":"from G3844 (παρά) and G3306 (μένω);","kjv_def":"abide, continue","lemma":"παραμένω"},
"G1775":{"kjv_def":"unity","lemma":"ἑνότης","derivation":"from G1520 (εἷς);","strongs_def":" oneness, i.e. (figuratively) unanimity"},
"G4839":{"kjv_def":"continue with","lemma":"συμπαραμένω","strongs_def":" to remain in company, i.e. still live","derivation":"from G4862 (σύν) and G3887 (παραμένω);"},
"G3771":{"derivation":"from G3772 (οὐρανός) and the enclitic of source;","strongs_def":" from the sky","kjv_def":"from heaven","lemma":"οὐρανόθεν"},
"G4164":{"lemma":"ποικίλος","kjv_def":"divers, manifold","derivation":"of uncertain derivation;","strongs_def":" motley, i.e. various in character"},
"G1615":{"lemma":"ἐκτελέω","kjv_def":"finish","derivation":"from G1537 (ἐκ) and G5055 (τελέω);","strongs_def":" to complete fully"},
"G2361":{"lemma":"θρόμβος","kjv_def":"great drop","derivation":"perhaps from G5142 (τρέφω) (in the sense of thickening);","strongs_def":" a clot"},
"G361":{"kjv_def":"that is without sin","lemma":"ἀναμάρτητος","derivation":"from G1 (Α) (as a negative particle) and a presumed derivative of G264 (ἁμαρτάνω);","strongs_def":" sinless"},
"G5157":{"derivation":"from an apparently primary to turn;","strongs_def":" a turn (\"trope\"), i.e. revolution (figuratively, variation)","kjv_def":"turning","lemma":"τροπή"},
"G3437":{"strongs_def":" blame, i.e. (by implication), a fault","derivation":"from G3201 (μέμφομαι);","lemma":"μομφή","kjv_def":"quarrel"},
"G4131":{"kjv_def":"striker","lemma":"πλήκτης","derivation":"from G4141 (πλήσσω);","strongs_def":" a smiter, i.e. pugnacious (quarrelsome)"},
"G1017":{"strongs_def":" an award (of arbitration), i.e. (specially) a prize in the public games","derivation":"from (an umpire of uncertain derivation);","lemma":"βραβεῖον","kjv_def":"prize"},
"G4886":{"lemma":"σύνδεσμος","kjv_def":"band, bond","strongs_def":" a joint tie, i.e. ligament, (figuratively) uniting principle, control","derivation":"from G4862 (σύν) and G1199 (δεσμόν);"},
"G1379":{"derivation":"from G1378 (δόγμα);","strongs_def":" to prescribe by statute, i.e. (reflexively) to submit to, ceremonially rule","lemma":"δογματίζω","kjv_def":"be subject to ordinances"},
"G5613":{"lemma":"ὡς","kjv_def":"about, after (that), (according) as (it had been, it were), as soon (as), even as (like), for, how (greatly), like (as, unto), since, so (that), that, to wit, unto, when(-soever), while, X with all speed","strongs_def":" which how, i.e. in that manner (very variously used, as follows)","derivation":"probably adverb of comparative from G3739 (ὅς);"},
"G2092":{"strongs_def":" adjusted, i.e. ready","derivation":"from an old noun (fitness);","kjv_def":"prepared, (made) ready(-iness, to our hand)","lemma":"ἕτοιμος"},
"G832":{"derivation":"from G836 (αὐλός);","strongs_def":" to play the flute","kjv_def":"pipe","lemma":"αὐλέω"},
"G2138":{"lemma":"εὐπειθής","kjv_def":"easy to be intreated","derivation":"from G2095 (εὖ) and G3982 (πείθω);","strongs_def":" good for persuasion, i.e. (intransitively) complaint"},
"G1803":{"lemma":"ἕξ","kjv_def":"six","derivation":"a primary numeral;","strongs_def":" six"},
"G1578":{"derivation":"from G1537 (ἐκ) and G2827 (κλίνω);","strongs_def":" to deviate, i.e. (absolutely) to shun (literally or figuratively), or (relatively) to decline (from piety)","kjv_def":"avoid, eschew, go out of the way","lemma":"ἐκκλίνω"},
"G3519":{"kjv_def":"island","lemma":"νησίον","strongs_def":" an islet","derivation":"diminutive of G3520 (νῆσος);"},
"G5589":{"kjv_def":"crumb","lemma":"ψιχίον","derivation":"diminutive from a derivative of the base of G5567 (ψάλλω) (meaning a crumb);","strongs_def":" a little bit or morsel"},
"G4254":{"derivation":"from G4253 (πρό) and G71 (ἄγω);","strongs_def":" to lead forward (magisterially); intransitively, to precede (in place or time (participle, previous))","lemma":"προάγω","kjv_def":"bring (forth, out), go before"},
"G4178":{"derivation":"multiplicative adverb from G4183 (πολύς);","strongs_def":" many times, i.e. frequently","kjv_def":"oft(-en, -entimes, -times)","lemma":"πολλάκις"},
"G2607":{"derivation":"from G2596 (κατά) and G1097 (γινώσκω);","strongs_def":" to note against, i.e. find fault with","lemma":"καταγινώσκω","kjv_def":"blame, condemn"},
"G4508":{"kjv_def":"vile","lemma":"ῥυπαρός","strongs_def":" dirty, i.e. (relatively) cheap or shabby; morally, wicked","derivation":"from G4509 (ῥύπος);"},
"G2831":{"kjv_def":"toss to and fro","lemma":"κλυδωνίζομαι","derivation":"middle voice from G2830 (κλύδων);","strongs_def":" to surge, i.e. (figuratively) to fluctuate"},
"G2414":{"lemma":"Ἱεροσόλυμα","kjv_def":"Jerusalem","strongs_def":" Hierosolyma (i.e. Jerushalaim), the capitol of Palestine","derivation":"of Hebrew origin (H03389);"},
"G937":{"derivation":"from G935 (βασιλεύς);","strongs_def":" regal (in relation), i.e. (literally) belonging to (or befitting) the sovereign (as land, dress, or a courtier), or (figuratively) preeminent","kjv_def":"king's, nobleman, royal","lemma":"βασιλικός"},
"G1413":{"derivation":"from G1410 (δύναμαι);","strongs_def":" a ruler or officer","kjv_def":"of great authority, mighty, potentate","lemma":"δυνάστης"},
"G2197":{"derivation":"of Hebrew origin (H02148);","strongs_def":" Zacharias (i.e. Zechariah), the name of two Israelites","kjv_def":"Zacharias","lemma":"Ζαχαρίας"},
"G4865":{"derivation":"from G4862 (σύν) and G75 (ἀγωνίζομαι);","strongs_def":" to struggle in company with, i.e. (figuratively) to be a partner (assistant)","kjv_def":"strive together with","lemma":"συναγωνίζομαι"},
"G1994":{"lemma":"ἐπιστρέφω","kjv_def":"come (go) again, convert, (re-)turn (about, again)","derivation":"from G1909 (ἐπί) and G4762 (στρέφω);","strongs_def":" to revert (literally, figuratively or morally)"},
"G5305":{"kjv_def":"afterward, (at the) last (of all)","lemma":"ὕστερον","strongs_def":" more lately, i.e. eventually","derivation":"neuter of G5306 (ὕστερος) as adverb;"},
"G2480":{"strongs_def":" to have (or exercise) force (literally or figuratively)","derivation":"from G2479 (ἰσχύς);","kjv_def":"be able, avail, can do(-not), could, be good, might, prevail, be of strength, be whole, + much work","lemma":"ἰσχύω"},
"G1985":{"kjv_def":"bishop, overseer","lemma":"ἐπίσκοπος","derivation":"from G1909 (ἐπί) and G4649 (σκοπός) (in the sense of G1983 (ἐπισκοπέω));","strongs_def":" a superintendent, i.e. Christian officer in genitive case charge of a (or the) church (literally or figuratively)"},
"G4011":{"strongs_def":" a tower; Perga, a place in Asia Minor","derivation":"probably from the same as G4010 (Πέργαμος);","lemma":"Πέργη","kjv_def":"Perga"},
"G3023":{"strongs_def":" a \"lion\"","derivation":"a primary word;","kjv_def":"lion","lemma":"λέων"},
"G2869":{"kjv_def":"cease","lemma":"κοπάζω","derivation":"from G2873 (κόπος);","strongs_def":" to tire, i.e. (figuratively) to relax"},
"G4626":{"derivation":"apparently a primary verb;","strongs_def":" to dig","lemma":"σκάπτω","kjv_def":"dig"},
"G1218":{"strongs_def":" the public (as bound together socially)","derivation":"from G1210 (δέω);","lemma":"δῆμος","kjv_def":"people"},
"G2111":{"strongs_def":" well placed, i.e. (figuratively) appropriate","derivation":"from G2095 (εὖ) and a derivative of G5087 (τίθημι);","lemma":"εὔθετος","kjv_def":"fit, meet"},
"G4966":{"lemma":"Συχέμ","kjv_def":"Sychem","derivation":"of Hebrew origin (H07927);","strongs_def":" Sychem (i.e. Shekem), the name of a Canaanite and of a place in Palestine"},
"G3982":{"lemma":"πείθω","kjv_def":"agree, assure, believe, have confidence, be (wax) conflent, make friend, obey, persuade, trust, yield","strongs_def":" to convince (by argument, true or false); by analogy, to pacify or conciliate (by other fair means); reflexively or passively, to assent (to evidence or authority), to rely (by inward certainty)","derivation":"a primary verb;"},
"G4301":{"kjv_def":"come aforehand, overtake, take before","lemma":"προλαμβάνω","strongs_def":" to take in advance, i.e. (literally) eat before others have an opportunity; (figuratively) to anticipate, surprise","derivation":"from G4253 (πρό) and G2983 (λαμβάνω);"},
"G862":{"strongs_def":" undecaying (in essence or continuance)","derivation":"from G1 (Α) (as a negative particle) and a derivative of G5351 (φθείρω);","lemma":"ἄφθαρτος","kjv_def":"not (in-, un-)corruptible, immortal"},
"G3827":{"kjv_def":"very great","lemma":"πάμπολυς","strongs_def":" full many, i.e. immense","derivation":"from G3956 (πᾶς) and G4183 (πολύς);"},
"G2591":{"kjv_def":"Carpus","lemma":"Κάρπος","strongs_def":" Carpus, probably a Christian","derivation":"perhaps for G2590 (καρπός);"},
"G2683":{"derivation":"from G2596 (κατά) and a derivative of G4639 (σκιά);","strongs_def":" to overshade, i.e. cover","kjv_def":"shadow","lemma":"κατασκιάζω"},
"G2791":{"lemma":"Κιλικία","kjv_def":"Cilicia","derivation":"probably of foreign origin;","strongs_def":" Cilicia, a region of Asia Minor"},
"G3133":{"kjv_def":"fade away","lemma":"μαραίνω","derivation":"of uncertain affinity;","strongs_def":" to extinguish (as fire), i.e. (figuratively and passively) to pass away"},
"G85":{"derivation":"from a derivative of (to be sated to loathing);","strongs_def":" to be in distress (of mind)","lemma":"ἀδημονέω","kjv_def":"be full of heaviness, be very heavy"},
"G3907":{"kjv_def":"obervation","lemma":"παρατήρησις","derivation":"from G3906 (παρατηρέω);","strongs_def":" inspection, i.e. ocular evidence"},
"G393":{"derivation":"from G303 (ἀνά) and the base of G5056 (τέλος);","strongs_def":" to (cause to) arise","kjv_def":"(a-, make to) rise, at the rising of, spring (up), be up","lemma":"ἀνατέλλω"},
"G5323":{"strongs_def":" Phanuel (i.e. Penuel), an Israelite","derivation":"of Hebrew origin (H06439);","kjv_def":"Phanuel","lemma":"Φανουήλ"},
"G5215":{"kjv_def":"hymn","lemma":"ὕμνος","strongs_def":" probably akin to G103 (ᾄδω); compare H05667); a \"hymn\" or religious ode (one of the Psalms)","derivation":"apparently from a simpler (obsolete) form of (to celebrate;"},
"G4174":{"strongs_def":" citizenship; concretely, a community","derivation":"from G4177 (πολίτης) (\"polity\");","kjv_def":"commonwealth, freedom","lemma":"πολιτεία"},
"G1709":{"lemma":"ἐμπνέω","kjv_def":"breathe","strongs_def":" to inhale, i.e. (figuratively) to be animated by (bent upon)","derivation":"from G1722 (ἐν) and G4154 (πνέω);"},
"G4937":{"strongs_def":" to crush completely, i.e. to shatter (literally or figuratively)","derivation":"from G4862 (σύν) and the base of G5147 (τρίβος);","kjv_def":"break (in pieces), broken to shivers (+ -hearted), bruise","lemma":"συντρίβω"},
"G5538":{"kjv_def":"answer of God","lemma":"χρηματισμός","strongs_def":" a divine response or revelation","derivation":"from G5537 (χρηματίζω);"},
"G1695":{"strongs_def":" Emmaus, a place in Palestine","derivation":"probably of Hebrew origin (compare H03222);","lemma":"Ἐμμαούς","kjv_def":"Emmaus"},
"G4612":{"kjv_def":"apron","lemma":"σιμικίνθιον","derivation":"of Latin origin;","strongs_def":" a semicinctium or half-girding, i.e. narrow covering (apron)"},
"G544":{"derivation":"from G545 (ἀπειθής);","strongs_def":" to disbelieve (wilfully and perversely)","kjv_def":"not believe, disobedient, obey not, unbelieving","lemma":"ἀπειθέω"},
"G3305":{"derivation":"from G3203 and G5104 (τοί);","strongs_def":" indeed though, i.e. however","kjv_def":"also, but, howbeit, nevertheless, yet","lemma":"μέντοι"},
"G4772":{"lemma":"συγγένεια","kjv_def":"kindred","strongs_def":" relationship, i.e. (concretely) relatives","derivation":"from G4773 (συγγενής);"},
"G688":{"strongs_def":" Arabia, a region of Asia","derivation":"of Hebrew origin (H06152);","lemma":"Ἀραβία","kjv_def":"Arabia"},
"G130":{"strongs_def":" an effusion of blood","derivation":"from G129 (αἷμα) and a derivative of G1632 (ἐκχέω);","lemma":"αἱματεκχυσία","kjv_def":"shedding of blood"},
"G2112":{"derivation":"adverb from G2117 (εὐθύς);","strongs_def":" directly, i.e. at once or soon","lemma":"εὐθέως","kjv_def":"anon, as soon as, forthwith, immediately, shortly, straightway"},
"G4191":{"lemma":"πονηρότερος","kjv_def":"more wicked","derivation":"comparative of G4190 (πονηρός);","strongs_def":" more evil"},
"G2809":{"kjv_def":"theft","lemma":"κλέμμα","strongs_def":" stealing (properly, the thing stolen, but used of the act)","derivation":"from G2813 (κλέπτω);"},
"G2370":{"strongs_def":" to fumigate, i.e. offer aromatic fumes","derivation":"from a derivative of G2380 (θύω) (in the sense of smoking);","lemma":"θυμιάω","kjv_def":"burn incense"},
"G2634":{"derivation":"from G2596 (κατά) and G2961 (κυριεύω);","strongs_def":" to lord against, i.e. control, subjugate","kjv_def":"exercise dominion over (lordship), be lord over, overcome","lemma":"κατακυριεύω"},
"G3625":{"kjv_def":"earth, world","lemma":"οἰκουμένη","derivation":"feminine participle present passive of G3611 (οἰκέω) (as noun, by implication, of G1093 (γῆ));","strongs_def":" land, i.e. the (terrene part of the) globe; specially, the Roman empire"},
"G484":{"lemma":"ἀντίληψις","kjv_def":"help","strongs_def":" relief","derivation":"from G482 (ἀντιλαμβάνομαι);"},
"G3112":{"derivation":"feminine accusative case singular of G3117 (μακρός) (G3598 (ὁδός) being implied);","strongs_def":" at a distance (literally or figuratively)","kjv_def":"(a-)far (off), good (great) way off","lemma":"μακράν"},
"G1890":{"strongs_def":" to foam upon, i.e. (figuratively) to exhibit (a vile passion)","derivation":"from G1909 (ἐπί) and G875 (ἀφρίζω);","kjv_def":"foam out","lemma":"ἐπαφρίζω"},
"G2183":{"derivation":"from G2184 (ἐφήμερος);","strongs_def":" diurnality, i.e. (specially) the quotidian rotation or class of the Jewish priests' service at the Temple, as distributed by families","lemma":"ἐφημερία","kjv_def":"course"},
"G2917":{"strongs_def":" a decision (the function or the effect, for or against (\"crime\"))","derivation":"from G2919 (κρίνω);","kjv_def":"avenge, condemned, condemnation, damnation, + go to law, judgment","lemma":"κρίμα"},
"G4349":{"lemma":"προσκοπή","kjv_def":"offence","derivation":"from G4350 (προσκόπτω);","strongs_def":" a stumbling, i.e. (figuratively and concretely) occasion of sin"},
"G723":{"kjv_def":"plough","lemma":"ἄροτρον","derivation":"from (to till);","strongs_def":" a plow"},
"G3014":{"kjv_def":"leprosy","lemma":"λέπρα","derivation":"from the same as G3013 (λεπίς);","strongs_def":" scaliness, i.e. \"leprosy\""},
"G3111":{"lemma":"μάκελλον","kjv_def":"shambles","strongs_def":" a butcher's stall, meat market or provision-shop","derivation":"of Latin origin (macellum);"},
"G5027":{"lemma":"ταφή","kjv_def":"X bury","derivation":"feminine from G2290 (θάπτω);","strongs_def":" burial (the act)"},
"G2786":{"derivation":"of Chaldee origin (compare H03710);","strongs_def":" the Rock; Cephas (i.e. Kepha), a surname of Peter","kjv_def":"Cephas","lemma":"Κηφᾶς"},
"G1711":{"kjv_def":"merchandise","lemma":"ἐμπορία","derivation":"feminine from G1713 (ἔμπορος);","strongs_def":" traffic"},
"G1371":{"derivation":"from a compound of a derivative of G1364 (δίς) and a derivative of (to cut);","strongs_def":" to bisect, i.e. (by extension) to flog severely","lemma":"διχοτομέω","kjv_def":"cut asunder (in sunder)"},
"G5483":{"derivation":"middle voice from G5485 (χάρις);","strongs_def":" to grant as a favor, i.e. gratuitously, in kindness, pardon or rescue","kjv_def":"deliver, (frankly) forgive, (freely) give, grant","lemma":"χαρίζομαι"},
"G4041":{"kjv_def":"peculiar","lemma":"περιούσιος","strongs_def":" being beyond usual, i.e. special (one's own)","derivation":"from the present participle feminine of a compound of 4012 and G1510 (εἰμί);"},
"G2167":{"kjv_def":"gladness, joy","lemma":"εὐφροσύνη","strongs_def":" joyfulness","derivation":"from the same as G2165 (εὐφραίνω);"},
"G3373":{"strongs_def":" to lengthen, i.e. (middle voice) to enlarge","derivation":"from G3372 (μῆκος);","kjv_def":"grow up","lemma":"μηκύνω"},
"G2948":{"strongs_def":" rocking about, i.e. crippled (maimed, in feet or hands)","derivation":"from the same as G2947 (κυλιόω);","lemma":"κυλλός","kjv_def":"maimed"},
"G3995":{"strongs_def":" a wife's father","derivation":"of uncertain affinity;","kjv_def":"father in law","lemma":"πενθερός"},
"G909":{"lemma":"βαπτισμός","kjv_def":"baptism, washing","strongs_def":" ablution (ceremonial or Christian)","derivation":"from G907 (βαπτίζω);"},
"G4060":{"derivation":"from G4012 (περί) and G5087 (τίθημι);","strongs_def":" to place around; by implication, to present","lemma":"περιτίθημι","kjv_def":"bestow upon, hedge round about, put about (on, upon), set about"},
"G2721":{"kjv_def":"make insurrection against","lemma":"κατεφίστημι","derivation":"from G2596 (κατά) and G2186 (ἐφίστημι);","strongs_def":" to stand over against, i.e. rush upon (assault)"},
"G1733":{"lemma":"ἕνδεκα","kjv_def":"eleven","derivation":"from (the neuter of) G1520 (εἷς) and G1176 (δέκα);","strongs_def":" one and ten, i.e. eleven"},
"G2621":{"lemma":"κατάκειμαι","kjv_def":"keep, lie, sit at meat (down)","derivation":"from G2596 (κατά) and G2749 (κεῖμαι);","strongs_def":" to lie down, i.e. (by implication) be sick; specially, to recline at a meal"},
"G2966":{"kjv_def":"carcase","lemma":"κῶλον","derivation":"from the base of G2849 (κολάζω);","strongs_def":" a limb of the body (as if lopped)"},
"G4637":{"kjv_def":" dwell","lemma":"σκηνόω","strongs_def":" to tent or encamp, i.e. (figuratively) to occupy (as a mansion) or (specially), to reside (as God did in the Tabernacle of old, a symbol of protection and communion)","derivation":"from G4636 (σκῆνος);"},
"G777":{"kjv_def":"fasting","lemma":"ἄσιτος","strongs_def":" without (taking) food","derivation":"from G1 (Α) (as a negative particle) and G4621 (σῖτος);"},
"G3138":{"lemma":"Μάρκος","kjv_def":"Marcus, Mark","derivation":"of Latin origin;","strongs_def":" Marcus, a Christian"},
"G4681":{"strongs_def":" Spania, a region of Europe","derivation":"probably of foreign origin;","lemma":"Σπανία","kjv_def":"Spain"},
"G5471":{"derivation":"from G5475 (χαλκός);","strongs_def":" a copper-worker or brazier","kjv_def":"coppersmith","lemma":"χαλκεύς"},
"G2249":{"kjv_def":"us, we (ourselves)","lemma":"ἡμεῖς","derivation":"nominative plural of G1473 (ἐγώ);","strongs_def":" we (only used when emphatic)"},
"G4709":{"strongs_def":" earnestly, promptly","derivation":"adverb from G4705 (σπουδαῖος);","kjv_def":"diligently, instantly","lemma":"σπουδαίως"},
"G2144":{"kjv_def":"acceptable(-ted)","lemma":"εὐπρόσδεκτος","derivation":"from G2095 (εὖ) and a derivative of G4327 (προσδέχομαι);","strongs_def":" well-received, i.e. approved, favorable"},
"G1112":{"lemma":"γογγυσμός","kjv_def":"grudging, murmuring","strongs_def":" a grumbling","derivation":"from G1111 (γογγύζω);"},
"G4829":{"kjv_def":"be partaker with","lemma":"συμμερίζομαι","strongs_def":" to share jointly, i.e. participate in","derivation":"middle voice from G4862 (σύν) and G3307 (μερίζω);"},
"G4543":{"derivation":"from G4544 (Σάμος) and (Thrace);","strongs_def":" Samo-thrace (Samos of Thrace), an island in the Mediterranean","lemma":"Σαμοθρᾴκη","kjv_def":"Samothracia"},
"G2204":{"kjv_def":"be fervent","lemma":"ζέω","derivation":"a primary verb;","strongs_def":" to be hot (boil, of liquids; or glow, of solids), i.e. (figuratively) be fervid (earnest)"},
"G5335":{"lemma":"φάσκω","kjv_def":"affirm, profess, say","strongs_def":" to assert","derivation":"prolongation from the same as G5346 (φημί);"},
"G3958":{"strongs_def":" to experience a sensation or impression (usually painful)","derivation":"apparently a primary verb;","lemma":"πάσχω","kjv_def":"feel, passion, suffer, vex"},
"G4410":{"strongs_def":" a sitting first (in the front row), i.e. preeminence in council","derivation":"from G4413 (πρῶτος) and G2515 (καθέδρα);","kjv_def":"chief (highest, uppermost) seat","lemma":"πρωτοκαθεδρία"},
"G5344":{"kjv_def":"Felix","lemma":"Φῆλιξ","strongs_def":" happy; Phelix (i.e. Felix), a Roman","derivation":"of Latin origin;"},
"G3124":{"derivation":"of Hebrew origin (H04429);","strongs_def":" Malchus, an Israelite","lemma":"Μάλχος","kjv_def":"Malchus"},
"G3473":{"lemma":"μωρολογία","kjv_def":"foolish talking","strongs_def":" silly talk, i.e. buffoonery","derivation":"from a compound of G3474 (μωρός) and G3004 (λέγω);"},
"G982":{"lemma":"βιωτικός","kjv_def":"of (pertaining to, things that pertain to) this life","strongs_def":" relating to the present existence","derivation":"from a derivative of G980 (βιόω);"},
"G2552":{"lemma":"κακοπάθεια","kjv_def":"suffering affliction","derivation":"from a compound of G2256 (ἡμιώριον) and G3806 (πάθος);","strongs_def":" hardship"},
"G454":{"kjv_def":"folly, madness","lemma":"ἄνοια","strongs_def":" stupidity; by implication, rage","derivation":"from a compound of G1 (Α) (as a negative particle) and G3563 (νοῦς);"},
"G2816":{"lemma":"κληρονομέω","kjv_def":"be heir, (obtain by) inherit(-ance)","derivation":"from G2818 (κληρονόμος);","strongs_def":" to be an heir to (literally or figuratively)"},
"G2049":{"kjv_def":"(bring to, make) desolate(-ion), come to nought","lemma":"ἐρημόω","derivation":"from G2048 (ἔρημος);","strongs_def":" to lay waste (literally or figuratively)"},
"G3179":{"kjv_def":"put out, remove, translate, turn away","lemma":"μεθίστημι","derivation":"from G3326 (μετά) and G2476 (ἵστημι);","strongs_def":" to transfer, i.e. carry away, depose or (figuratively) exchange, seduce"},
"G3889":{"kjv_def":"comfort","lemma":"παραμυθία","derivation":"from G3888 (παραμυθέομαι);","strongs_def":" consolation (properly, abstract)"},
"G14":{"derivation":"from G18 (ἀγαθός) and G2041 (ἔργον);","strongs_def":" to work good","kjv_def":"do good","lemma":"ἀγαθοεργέω"},
"G5080":{"derivation":"apparently a primary verb;","strongs_def":" to liquefy","kjv_def":"melt","lemma":"τήκω"},
"G782":{"strongs_def":" to enfold in the arms, i.e. (by implication) to salute, (figuratively) to welcome","derivation":"from G1 (Α) (as a particle of union) and a presumed form of G4685 (σπάω);","kjv_def":"embrace, greet, salute, take leave","lemma":"ἀσπάζομαι"},
"G1275":{"lemma":"διαπαντός","kjv_def":"alway(-s), continually","strongs_def":" through all time, i.e. (adverbially) constantly","derivation":"from G1223 (διά) and the genitive case of G3956 (πᾶς);"},
"G5418":{"kjv_def":"hedge (+ round about), partition","lemma":"φραγμός","derivation":"from G5420 (φράσσω);","strongs_def":" a fence, or inclosing barrier (literally or figuratively)"},
"G3957":{"kjv_def":"Easter, Passover","lemma":"πάσχα","derivation":"of Chaldee origin (compare H06453);","strongs_def":" the Passover (the meal, the day, the festival or the special sacrifices connected with it)"},
"G2293":{"strongs_def":" to have courage","derivation":"from G2294 (θάρσος);","lemma":"θαρσέω","kjv_def":"be of good cheer (comfort)"},
"G3971":{"kjv_def":"of fathers","lemma":"πατρῷος","derivation":"from G3962 (πατήρ);","strongs_def":" paternal, i.e. hereditary"},
"G4189":{"kjv_def":"iniquity, wickedness","lemma":"πονηρία","derivation":"from G4190 (πονηρός);","strongs_def":" depravity, i.e. (specially), malice; plural (concretely) plots, sins"},
"G1766":{"lemma":"ἔννατος","kjv_def":"ninth","strongs_def":" ninth","derivation":"ordinal from G1767 (ἐννέα);"},
"G1508":{"strongs_def":" if not","derivation":"from G1487 (εἰ) and G3361 (μή);","kjv_def":"but, except (that), if not, more than, save (only) that, saving, till","lemma":"εἰ μή"},
"G1740":{"derivation":"from G1741 (ἔνδοξος);","strongs_def":" to glorify","lemma":"ἐνδοξάζω","kjv_def":"glorify"},
"G824":{"lemma":"ἄτοπος","kjv_def":"amiss, harm, unreasonable","strongs_def":" out of place, i.e. (figuratively) improper, injurious, wicked","derivation":"from G1 (Α) (as a negative particle) and G5117 (τόπος);"},
"G3632":{"lemma":"οἰνοφλυγία","kjv_def":"excess of wine","strongs_def":" an overflow (or surplus) of wine, i.e. vinolency (drunkenness)","derivation":"from G3631 (οἶνος) and a form of the base of G5397 (φλύαρος);"},
"G4575":{"lemma":"σεβαστός","kjv_def":"Augustus(-')","strongs_def":" venerable (august), i.e. (as noun) a title of the Roman Emperor, or (as adjective) imperial","derivation":"from G4573 (σεβάζομαι);"},
"G3042":{"derivation":"probably from G3007 (λείπω) (through the idea of destitution);","strongs_def":" a scarcity of food","kjv_def":"dearth, famine, hunger","lemma":"λιμός"},
"G5543":{"derivation":"from G5530 (χράομαι);","strongs_def":" employed, i.e. (by implication) useful (in manner or morals)","lemma":"χρηστός","kjv_def":"better, easy, good(-ness), gracious, kind"},
"G1002":{"kjv_def":"dart","lemma":"βολίς","strongs_def":" a missile, i.e. javelin","derivation":"from G906 (βάλλω);"},
"G1791":{"lemma":"ἐντροπή","kjv_def":"shame","strongs_def":" confusion","derivation":"from G1788 (ἐντρέπω);"},
"G5573":{"derivation":"from G5571 (ψευδής) and G3004 (λέγω);","strongs_def":" mendacious, i.e. promulgating erroneous Christian doctrine","kjv_def":"speaking lies","lemma":"ψευδολόγος"},
"G818":{"strongs_def":" to render infamous, i.e. (by implication) contemn or maltreat","derivation":"from G820 (ἄτιμος);","lemma":"ἀτιμάζω","kjv_def":"despise, dishonour, suffer shame, entreat shamefully"},
"G4898":{"derivation":"from G4862 (σύν) and the base of G1553 (ἐκδημέω);","strongs_def":" a co-absentee from home, i.e. fellow-traveller","lemma":"συνέκδημος","kjv_def":"companion in travel, travel with"},
"G29":{"strongs_def":" properly, to be a courier, i.e. (by implication) to press into public service","derivation":"of foreign origin (compare H0104);","kjv_def":"compel (to go)","lemma":"ἀγγαρεύω"},
"G2250":{"strongs_def":" day, i.e. (literally) the time space between dawn and dark, or the whole 24 hours (but several days were usually reckoned by the Jews as inclusive of the parts of both extremes); figuratively, a period (always defined more or less clearly by the context)","derivation":"feminine (with G5610 (ὥρα) implied) of a derivative of (to sit; akin to the base of G1476 (ἑδραῖος)) meaning tame, i.e. gentle;","lemma":"ἡμέρα","kjv_def":"age, + alway, (mid-)day (by day, (-ly)), + for ever, judgment, (day) time, while, years"},
"G2937":{"strongs_def":" original formation (properly, the act; by implication, the thing, literally or figuratively)","derivation":"from G2936 (κτίζω);","lemma":"κτίσις","kjv_def":"building, creation, creature, ordinance"},
"G1897":{"derivation":"from G1893 (ἐπεί) and G4007 (περ);","strongs_def":" since indeed (of cause)","kjv_def":"seeing","lemma":"ἐπείπερ"},
"G501":{"kjv_def":"draw (out)","lemma":"ἀντλέω","derivation":"from (the hold of a ship);","strongs_def":" to bale up (properly, bilge water), i.e. dip water (with a bucket, pitcher, etc.)"},
"G1057":{"kjv_def":"Galilean, of Galilee","lemma":"Γαλιλαῖος","strongs_def":" Galilean or belonging to Galilea","derivation":"from G1056 (Γαλιλαία);"},
"G4700":{"derivation":"of uncertain derivation;","strongs_def":" ashes","kjv_def":"ashes","lemma":"σποδός"},
"G2620":{"derivation":"from G2596 (κατά) and G2744 (καυχάομαι);","strongs_def":" to exult against (i.e. over)","lemma":"κατακαυχάομαι","kjv_def":"boast (against), glory, rejoice against"},
"G2184":{"lemma":"ἐφήμερος","kjv_def":"daily","derivation":"from G1909 (ἐπί) and G2250 (ἡμέρα);","strongs_def":" for a day (\"ephemeral\"), i.e. diurnal"},
"G2150":{"kjv_def":"godliness, holiness","lemma":"εὐσέβεια","derivation":"from G2152 (εὐσεβής);","strongs_def":" piety; specially, the gospel scheme"},
"G5161":{"lemma":"Τρόφιμος","kjv_def":"Trophimus","strongs_def":" nutritive; Trophimus, a Christian","derivation":"from G5160 (τροφή);"},
"G2205":{"lemma":"ζῆλος","kjv_def":"emulation, envy(-ing), fervent mind, indignation, jealousy, zeal","strongs_def":" properly, heat, i.e. (figuratively) \"zeal\" (in a favorable sense, ardor; in an unfavorable one, jealousy, as of a husband (figuratively, of God), or an enemy, malice)","derivation":"from G2204 (ζέω);"},
"G256":{"derivation":"of Hebrew origin (compare H02501);","strongs_def":" Alphæus, an Israelite","kjv_def":"Alpheus","lemma":"Ἀλφαῖος"},
"G33":{"derivation":"imperative of G71 (ἄγω);","strongs_def":" properly, lead, i.e. come on","kjv_def":"go to","lemma":"ἄγε"},
"G5599":{"lemma":"ὦ","kjv_def":"O","derivation":"a primary interjection;","strongs_def":" as a sign of the vocative case, O; as a note of exclamation, oh"},
"G1258":{"derivation":"from G1256 (διαλέγομαι);","strongs_def":" a (mode of) discourse, i.e. \"dialect\"","kjv_def":"language, tongue","lemma":"διάλεκτος"},
"G975":{"derivation":"a diminutive of G976 (βίβλος);","strongs_def":" a roll","kjv_def":"bill, book, scroll, writing","lemma":"βιβλίον"},
"G4802":{"kjv_def":"dispute (with), enquire, question (with), reason (together)","lemma":"συζητέω","derivation":"from G4862 (σύν) and G2212 (ζητέω);","strongs_def":" to investigate jointly, i.e. discuss, controvert, cavil"},
"G3899":{"kjv_def":"go, pass (by)","lemma":"παραπορεύομαι","strongs_def":" to travel near","derivation":"from G3844 (παρά) and G4198 (πορεύομαι);"},
"G1206":{"derivation":"from G1208 (δεύτερος);","strongs_def":" secondary, i.e. (specially) on the second day","lemma":"δευτεραῖος","kjv_def":"next day"},
"G4135":{"kjv_def":"most surely believe, fully know (persuade), make full proof of","lemma":"πληροφορέω","derivation":"from G4134 (πλήρης) and G5409 (φορέω);","strongs_def":" to carry out fully (in evidence), i.e. completely assure (or convince), entirely accomplish"},
"G238":{"derivation":"from G243 (ἄλλος) and (to harangue (compare G58 (ἀγορά)));","strongs_def":" to allegorize","kjv_def":"be an allegory (the Greek word itself)","lemma":"ἀλληγορέω"},
"G5225":{"lemma":"ὑπάρχω","kjv_def":"after, behave, live","strongs_def":" to begin under (quietly), i.e. come into existence (be present or at hand); expletively, to exist (as copula or subordinate to an adjective, participle, adverb or preposition, or as an auxiliary to a principal (verb)","derivation":"from G5259 (ὑπό) and G756 (ἄρχομαι);"},
"G4272":{"kjv_def":"first give","lemma":"προδίδωμι","strongs_def":" to give before the other party has given","derivation":"from G4253 (πρό) and G1325 (δίδωμι);"},
"G1548":{"kjv_def":"give in marriage","lemma":"ἐκγαμίσκω","derivation":"from G1537 (ἐκ) and G1061 (γαμίσκω);","strongs_def":" the same as 1547"},
"G1844":{"derivation":"from G1537 (ἐκ) and G3726 (ὁρκίζω);","strongs_def":" to exact an oath, i.e. conjure","kjv_def":"adjure","lemma":"ἐξορκίζω"},
"G4647":{"kjv_def":"thorn","lemma":"σκόλοψ","derivation":"perhaps from the base of G4628 (σκέλος) and G3700 (ὀπτάνομαι);","strongs_def":" withered at the front, i.e. a point or prickle (figuratively, a bodily annoyance or disability)"},
"G3391":{"lemma":"μία","kjv_def":"a (certain), + agree, first, one, X other","strongs_def":" one or first","derivation":"irregular feminine of G1520 (εἷς);"},
"G2439":{"lemma":"ἱματίζω","kjv_def":"clothe","strongs_def":" to dress","derivation":"from G2440 (ἱμάτιον);"},
"G4534":{"kjv_def":"Salmone","lemma":"Σαλμώνη","derivation":"perhaps of similar origin to G4529 (Σαλαμίς);","strongs_def":" Salmone, a place in Crete"},
"G285":{"kjv_def":"sand","lemma":"ἄμμος","strongs_def":" sand (as heaped on the beach)","derivation":"perhaps from G260 (ἅμα);"},
"G3062":{"derivation":"masculine plural of a derivative of G3007 (λείπω);","strongs_def":" remaining ones","kjv_def":"other, which remain, remnant, residue, rest","lemma":"λοιποί"},
"G2874":{"kjv_def":"dung(-hill)","lemma":"κοπρία","derivation":"from (ordure;","strongs_def":" perhaps akin to G2875 (κόπτω)); manure"},
"G4566":{"strongs_def":" Satan, i.e. the devil","derivation":"of Hebrew origin (H07854);","lemma":"Σατᾶν","kjv_def":"Satan"},
"G1138":{"derivation":"of Hebrew origin (H01732);","strongs_def":" Dabid (i.e. David), the Israelite king","lemma":"Δαβίδ","kjv_def":"David"},
"G4644":{"kjv_def":"stiffnecked","lemma":"σκληροτράχηλος","derivation":"from G4642 (σκληρός) and G5137 (τράχηλος);","strongs_def":" hardnaped, i.e. (figuratively) obstinate"},
"G4253":{"derivation":"a primary preposition;","strongs_def":" \"fore\", i.e. in front of, prior (figuratively, superior) to","kjv_def":"above, ago, before, or ever","lemma":"πρό"},
"G2498":{"lemma":"Ἰωσαφάτ","kjv_def":"Josaphat","derivation":"of Hebrew origin (H03092);","strongs_def":" Josaphat (i.e. Jehoshaphat), an Israelite"},
"G4562":{"lemma":"Σαρούχ","kjv_def":"Saruch","derivation":"of Hebrew origin (H08286);","strongs_def":" Saruch (i.e. Serug), a patriarch"},
"G3910":{"derivation":"from G3844 (παρά) and a derivative of G846 (αὐτός);","strongs_def":" at the very instant, i.e. momentary","lemma":"παραυτίκα","kjv_def":"but for a moment"},
"G3849":{"lemma":"παραβιάζομαι","kjv_def":"constrain","strongs_def":" to force contrary to (nature), i.e. compel (by entreaty)","derivation":"from G3844 (παρά) and the middle voice of G971 (βιάζω);"},
"G1841":{"strongs_def":" an exit, i.e. (figuratively) death","derivation":"from G1537 (ἐκ) and G3598 (ὁδός);","lemma":"ἔξοδος","kjv_def":"decease, departing"},
"G2886":{"lemma":"κοσμικός","kjv_def":"worldly","derivation":"from G2889 (κόσμος) (in its secondary sense);","strongs_def":" terrene (\"cosmic\"), literally (mundane) or figuratively (corrupt)"},
"G4985":{"strongs_def":" corporeally or physically","derivation":"adverb from G4984 (σωματικός);","kjv_def":"bodily","lemma":"σωματικῶς"},
"G4015":{"lemma":"περιαστράπτω","kjv_def":"shine round (about)","strongs_def":" to flash all around, i.e. envelop in light","derivation":"from G4012 (περί) and G797 (ἀστράπτω);"},
"G5249":{"strongs_def":" superabundantly, i.e. exceedingly","derivation":"from G5228 (ὑπέρ) and G4057 (περισσῶς);","lemma":"ὑπερπερισσῶς","kjv_def":"beyond measure"},
"G1506":{"lemma":"εἰλικρινής","kjv_def":"pure, sincere","strongs_def":" judged by sunlight, i.e. tested as genuine (figuratively)","derivation":"from (the sun's ray) and G2919 (κρίνω);"},
"G4031":{"lemma":"περικρατής","kjv_def":"+ come by","derivation":"from G4012 (περί) and G2904 (κράτος);","strongs_def":" strong all around, i.e. a master (manager)"},
"G4048":{"lemma":"περιῤῥήγνυμι","kjv_def":"rend off","strongs_def":" to tear all around, i.e. completely away","derivation":"from G4012 (περί) and G4486 (ῥήγνυμι);"},
"G572":{"strongs_def":" singleness, i.e. (subjectively) sincerity (without dissimulation or self-seeking), or (objectively) generosity (copious bestowal)","derivation":"from G573 (ἁπλοῦς);","kjv_def":"bountifulness, liberal(-ity), simplicity, singleness","lemma":"ἁπλότης"},
"G936":{"lemma":"βασιλεύω","kjv_def":"king, reign","derivation":"from G935 (βασιλεύς);","strongs_def":" to rule (literally or figuratively)"},
"G2219":{"strongs_def":" ferment (as if boiling up)","derivation":"probably from G2204 (ζέω);","lemma":"ζύμη","kjv_def":"leaven"},
"G5282":{"derivation":"from G5259 (ὑπό) and G3539 (νοιέω);","strongs_def":" to think under (privately), i.e. to surmise or conjecture","lemma":"ὑπονοέω","kjv_def":"think, suppose, deem"},
"G3761":{"strongs_def":" not however, i.e. neither, nor, not even","derivation":"from G3756 (οὐ) and G1161 (δέ);","lemma":"οὐδέ","kjv_def":"neither (indeed), never, no (more, nor, not), nor (yet), (also, even, then) not (even, so much as), + nothing, so much as"},
"G381":{"derivation":"from G303 (ἀνά) and G681 (ἅπτω);","strongs_def":" to enkindle","lemma":"ἀνάπτω","kjv_def":"kindle, light"},
"G292":{"derivation":"middle voice of a primary verb;","strongs_def":" to ward off (for oneself), i.e. protect","kjv_def":"defend","lemma":"ἀμύνομαι"},
"G1683":{"strongs_def":" of myself so likewise the dative case , and accusative case ","derivation":"genitive case compound of G1700 (ἐμοῦ) and G846 (αὐτός);","kjv_def":"me, mine own (self), myself","lemma":"ἐμαυτοῦ"},
"G2951":{"strongs_def":" dill or fennel (\"cummin\")","derivation":"of foreign origin (compare H03646);","lemma":"κύμινον","kjv_def":"cummin"},
"G4872":{"kjv_def":"come up with","lemma":"συναναβαίνω","strongs_def":" to ascend in company with","derivation":"from G4862 (σύν) and G305 (ἀναβαίνω);"},
"G542":{"derivation":"from G575 (ἀπό) and the same as G1492 (εἴδω);","strongs_def":" to see fully","kjv_def":"see","lemma":"ἀπείδω"},
"G3379":{"kjv_def":"if peradventure, lest (at any time, haply), not at all, whether or not","lemma":"μήποτε","derivation":"from G3361 (μή) and G4218 (ποτέ);","strongs_def":" not ever; also if (or lest) ever (or perhaps)"},
"G2468":{"kjv_def":"+ agree, be, X give thyself wholly to","lemma":"ἴσθι","strongs_def":" be thou","derivation":"second person imperative present of G1510 (εἰμί);"},
"G5095":{"strongs_def":" dear to God; Timotheus, a Christian","derivation":"from G5092 (τιμή) and G2316 (θεός);","lemma":"Τιμόθεος","kjv_def":"Timotheus, Timothy"},
"G4069":{"lemma":"Περσίς","kjv_def":"Persis","strongs_def":"a Persian woman; Persis, a Christian female"},
"G2130":{"kjv_def":"ready to distribute","lemma":"εὐμετάδοτος","strongs_def":" good at imparting, i.e. liberal","derivation":"from G2095 (εὖ) and a presumed derivative of G3330 (μεταδίδωμι);"},
"G1148":{"derivation":"probably of Chaldee origin;","strongs_def":" Dalmanutha, a place in Palestine","kjv_def":"Dalmanutha","lemma":"Δαλμανουθά"},
"G4923":{"derivation":"from a compound of G4862 (σύν) and G3598 (ὁδός) (\"synod\");","strongs_def":" companionship on a journey, i.e. (by implication), a caravan","lemma":"συνοδία","kjv_def":"company"},
"G2690":{"derivation":"from G2596 (κατά) and G4762 (στρέφω);","strongs_def":" to turn upside down, i.e. upset","lemma":"καταστρέφω","kjv_def":"overthrow"},
"G4546":{"strongs_def":" Sampson (i.e. Shimshon), an Israelite","derivation":"of Hebrew origin (H08123);","kjv_def":"Samson","lemma":"Σαμψών"},
"G809":{"kjv_def":"uncomely","lemma":"ἀσχήμων","strongs_def":" properly, shapeless, i.e. (figuratively) inelegant","derivation":"from G1 (Α) (as a negative particle) and a presumed derivative of G2192 (ἔχω) (in the sense of its congener G4976 (σχῆμα));"},
"G2723":{"strongs_def":" to be a plaintiff, i.e. to charge with some offence","derivation":"from G2725 (κατήγορος);","kjv_def":"accuse, object","lemma":"κατηγορέω"},
"G4791":{"kjv_def":"companion, partake(-r, -r with)","lemma":"συγκοινωνός","derivation":"from G4862 (σύν) and G2844 (κοινωνός);","strongs_def":" a co-participant"},
"G2925":{"derivation":"apparently a primary verb;","strongs_def":" to rap","kjv_def":"knock","lemma":"κρούω"},
"G736":{"kjv_def":"mainsail","lemma":"ἀρτέμων","strongs_def":" properly, something ready (or else more remotely from G142 (αἴρω) (compare G740 (ἄρτος)); something hung up), i.e. (specially) the topsail (rather foresail or jib) of a vessel","derivation":"from a derivative of G737 (ἄρτι);"},
"G3776":{"strongs_def":" substance, i.e. property (possessions)","derivation":"from the feminine of G5607 (ὤν);","kjv_def":"goods, substance","lemma":"οὐσία"},
"G1448":{"kjv_def":"approach, be at hand, come (draw) near, be (come, draw) nigh","lemma":"ἐγγίζω","strongs_def":" to make near, i.e. (reflexively) approach","derivation":"from G1451 (ἐγγύς);"},
"G5165":{"kjv_def":"dish","lemma":"τρύβλιον","derivation":"neuter of a presumed derivative of uncertain affinity;","strongs_def":" a bowl"},
"G4801":{"derivation":"from G4862 (σύν) and the base of G2201 (ζεῦγος);","strongs_def":" to yoke together, i.e. (figuratively) conjoin (in marriage)","lemma":"συζεύγνυμι","kjv_def":"join together"},
"G2445":{"lemma":"Ἰόππη","kjv_def":"Joppa","derivation":"of Hebrew origin (H03305);","strongs_def":" Joppe (i.e. Japho), a place in Palestine"},
"G4401":{"derivation":"from G4253 (πρό) and G5500 (χειροτονέω);","strongs_def":" to elect in advance","kjv_def":"choose before","lemma":"προχειροτονέω"},
"G1498":{"kjv_def":"mean, + perish, should be, was, were","lemma":"εἴην","strongs_def":" might (could, would, or should) be","derivation":"optative (i.e. English subjunctive) present of G1510 (εἰμί) (including the other person);"},
"G1153":{"strongs_def":" a Damascene or inhabitant of Damascus","derivation":"from G1154 (Δαμασκός);","lemma":"Δαμασκηνός","kjv_def":"Damascene"},
"G5556":{"derivation":"from G5557 (χρυσός) and (a leek);","strongs_def":" a greenish-yellow gem (\"chrysoprase\")","lemma":"χρυσόπρασος","kjv_def":"chrysoprase"},
"G4542":{"derivation":"feminine of G4541 (Σαμαρείτης);","strongs_def":" a Samaritess, i.e. woman of Samaria","lemma":"Σαμαρεῖτις","kjv_def":"of Samaria"},
"G380":{"derivation":"from G303 (ἀνά) (in the sense of reversal) and G4428 (πτύσσω);","strongs_def":" to unroll (a scroll or volume)","lemma":"ἀναπτύσσω","kjv_def":"open"},
"G2512":{"lemma":"καθαρισμός","kjv_def":"cleansing, + purge, purification(-fying)","derivation":"from G2511 (καθαρίζω);","strongs_def":" a washing off, i.e. (ceremonially) ablution, (morally) expiation"},
"G2188":{"strongs_def":" be opened!","derivation":"of Chaldee origin (H06606);","lemma":"ἐφφαθά","kjv_def":"Ephphatha"},
"G1950":{"kjv_def":"(be) forget(-ful of)","lemma":"ἐπιλανθάνομαι","derivation":"middle voice from G1909 (ἐπί) and G2990 (λανθάνω);","strongs_def":" to lose out of mind; by implication, to neglect"},
"G1932":{"lemma":"ἐπιείκεια","kjv_def":"clemency, gentleness","strongs_def":" suitableness, i.e. (by implication) equity, mildness","derivation":"from G1933 (ἐπιεικής);"},
"G773":{"lemma":"Ἀσία","kjv_def":"Asia","derivation":"of uncertain derivation;","strongs_def":" Asia, i.e. Asia Minor, or (usually) only its western shore"},
"G1277":{"lemma":"διαπλέω","kjv_def":"sail over","strongs_def":" to sail through","derivation":"from G1223 (διά) and G4126 (πλέω);"},
"G4567":{"derivation":"of Chaldee origin corresponding to H04566 (with the definite affix);","strongs_def":" the accuser, i.e. the devil","lemma":"Σατανᾶς","kjv_def":"Satan"},
"G4657":{"kjv_def":"dung","lemma":"σκύβαλον","strongs_def":" what is thrown to the dogs, i.e. refuse (ordure)","derivation":"neuter of a presumed derivative of G1519 (εἰς) and G2965 (κύων) and G906 (βάλλω);"},
"G1079":{"derivation":"feminine of a presumed derivative of the base of G1074 (γενεά);","strongs_def":" birth","lemma":"γενετή","kjv_def":"birth"},
"G2837":{"lemma":"κοιμάω","kjv_def":"(be a-, fall a-, fall on) sleep, be dead","strongs_def":" to put to sleep, i.e. (passively or reflexively) to slumber; figuratively, to decease","derivation":"from G2749 (κεῖμαι);"},
"G5198":{"lemma":"ὑγιαίνω","kjv_def":"be in health, (be safe and) sound, (be) whole(-some)","strongs_def":" to have sound health, i.e. be well (in body); figuratively, to be uncorrupt (true in doctrine)","derivation":"from G5199 (ὑγιής);"},
"G2033":{"strongs_def":" seven","derivation":"a primary number;","lemma":"ἑπτά","kjv_def":"seven"},
"G3071":{"strongs_def":" Lycaonia, a region of Asia Minor","derivation":"perhaps remotely from G3074 (λύκος);","kjv_def":"Lycaonia","lemma":"Λυκαονία"},
"G124":{"lemma":"Αἰγύπτιος","kjv_def":"Egyptian","derivation":"from G125 (Αἴγυπτος);","strongs_def":" an Ægyptian or inhabitant of Ægyptus"},
"G5196":{"strongs_def":" insolence (as over-bearing), i.e. insult, injury","derivation":"from G5228 (ὑπέρ);","lemma":"ὕβρις","kjv_def":"harm, hurt, reproach"},
"G2057":{"lemma":"Ἑρμᾶς","kjv_def":"Hermas","derivation":"probably from G2060 (Ἑρμῆς);","strongs_def":" Hermas, a Christian"},
"G559":{"derivation":"of Latin origin;","strongs_def":" Apelles, a Christian","kjv_def":"Apelles","lemma":"Ἀπελλῆς"},
"G5417":{"kjv_def":"scourge","lemma":"φραγελλόω","strongs_def":" to whip, i.e. lash as a public punishment","derivation":"from a presumed equivalent of the Latin flagellum;"},
"G146":{"lemma":"αἰσχροκερδής","kjv_def":"given to (greedy of) filthy lucre","derivation":"from G150 (αἰσχρός) and (gain);","strongs_def":" sordid"},
"G5001":{"strongs_def":" something orderly in arrangement (a troop), i.e. (figuratively) a series or succession","derivation":"from G5021 (τάσσω);","lemma":"τάγμα","kjv_def":"order"},
"G4455":{"derivation":"from G4452 (-πω) and G4218 (ποτέ);","strongs_def":" at any time, i.e. (with negative particle) at no time","lemma":"πώποτε","kjv_def":"at any time, + never (…to any man), + yet, never man"},
"G3703":{"derivation":"apparently from the base of G3796 (ὀψέ) and G5610 (ὥρα);","strongs_def":" properly, even-tide of the (summer) season (dog-days), i.e. (by implication) ripe fruit","kjv_def":"fruit","lemma":"ὀπώρα"},
"G4419":{"lemma":"πτερύγιον","kjv_def":"pinnacle","strongs_def":" a winglet, i.e. (figuratively) extremity (top corner)","derivation":"neuter of a presumed derivative of G4420 (πτέρυξ);"},
"G136":{"lemma":"αἶνος","kjv_def":"praise","derivation":"apparently a prime word;","strongs_def":" properly, a story, but used in the sense of G1868 (ἔπαινος); praise (of God)"},
"G2972":{"strongs_def":" Cos, an island in the Mediterranean","derivation":"of uncertain origin;","lemma":"Κώς","kjv_def":"Cos"},
"G4852":{"strongs_def":" to say jointly, i.e. assent to","derivation":"from G4862 (σύν) and G5346 (φημί);","kjv_def":"consent unto","lemma":"σύμφημι"},
"G5098":{"lemma":"τιμωρία","kjv_def":"punishment","derivation":"from G5097 (τιμωρέω);","strongs_def":" vindication, i.e. (by implication) a penalty"},
"G405":{"lemma":"ἀνδραποδιστής","kjv_def":"menstealer","strongs_def":" an enslaver (as bringing men to his feet)","derivation":"from a derivative of a compound of G435 (ἀνήρ) and G4228 (πούς);"},
"G5510":{"strongs_def":" snow","derivation":"perhaps akin to the base of G5490 (χάσμα) (G5465 (χαλάω)) or G5494 (χειμών) (as descending or empty);","lemma":"χιών","kjv_def":"snow"},
"G4270":{"lemma":"προγράφω","kjv_def":"before ordain, evidently set forth, write (afore, aforetime)","derivation":"from G4253 (πρό) and G1125 (γράφω);","strongs_def":" to write previously; figuratively, to announce, prescribe"},
"G719":{"kjv_def":"joint","lemma":"ἁρμός","strongs_def":" an articulation (of the body)","derivation":"from the same as G716 (ἅρμα);"},
"G4276":{"lemma":"προελπίζω","kjv_def":"first trust","derivation":"from G4253 (πρό) and G1679 (ἐλπίζω);","strongs_def":" to hope in advance of other confirmation"},
"G3524":{"kjv_def":"sober","lemma":"νηφάλεος","strongs_def":" sober, i.e. (figuratively) circumspect","derivation":"from G3525 (νήφω);"},
"G2655":{"strongs_def":" to grow utterly torpid, i.e. (by implication) slothful (figuratively, expensive)","derivation":"from G2596 (κατά) and (to be numb);","kjv_def":"be burdensome (chargeable)","lemma":"καταναρκάω"},
"G2565":{"strongs_def":" a cultivated olive tree, i.e. a domesticated or improved one","derivation":"from the base of G2566 (καλλίον) and G1636 (ἐλαία);","kjv_def":"good olive tree","lemma":"καλλιέλαιος"},
"G5071":{"kjv_def":"four hundred","lemma":"τετρακόσιοι","strongs_def":" four hundred","derivation":"plural from G5064 (τέσσαρες) and G1540 (ἑκατόν);"},
"G3928":{"kjv_def":"come (forth), go, pass (away, by, over), past, transgress","lemma":"παρέρχομαι","derivation":"from G3844 (παρά) and G2064 (ἔρχομαι);","strongs_def":" to come near or aside, i.e. to approach (arrive), go by (or away), (figuratively) perish or neglect, (causative) avert"},
"G4608":{"lemma":"σίκερα","kjv_def":"strong drink","strongs_def":" an intoxicant, i.e. intensely fermented liquor","derivation":"of Hebrew origin (H07941);"},
"G1054":{"lemma":"Γαλατικός","kjv_def":"of Galatia","derivation":"from G1053 (Γαλατία);","strongs_def":" Galatic or relating to Galatia"},
"G787":{"derivation":"of Latin origin;","strongs_def":" an assarius or as, a Roman coin","lemma":"ἀσσάριον","kjv_def":"farthing"},
"G5565":{"derivation":"adverb from G5561 (χώρα);","strongs_def":" at a space, i.e. separately or apart from (often as preposition)","lemma":"χωρίς","kjv_def":"beside, by itself, without"},
"G3664":{"lemma":"ὅμοιος","kjv_def":"like, + manner","derivation":"from the base of G3674 (ὁμοῦ);","strongs_def":" similar (in appearance or character)"},
"G961":{"kjv_def":"of Berea","lemma":"Βεροιαῖος","strongs_def":" a Berœoean or native of Berœa","derivation":"from G960 (Βέροια);"},
"G505":{"derivation":"from G1 (Α) (as a negative particle) and a presumed derivative of G5271 (ὑποκρίνομαι);","strongs_def":" undissembled, i.e. sincere","lemma":"ἀνυπόκριτος","kjv_def":"without dissimulation (hypocrisy), unfeigned"},
"G637":{"strongs_def":" to rinse off","derivation":"from G575 (ἀπό) and G4150 (πλύνω);","lemma":"ἀποπλύνω","kjv_def":"wash"},
"G1885":{"derivation":"from a compound of G1909 (ἐπί) and G757 (ἄρχω) (meaning a governor of a district, \"eparch\");","strongs_def":" a special region of government, i.e. a Roman præfecture","lemma":"ἐπαρχία","kjv_def":"province"},
"G5370":{"kjv_def":"kiss","lemma":"φίλημα","derivation":"from G5368 (φιλέω);","strongs_def":" a kiss"},
"G183":{"lemma":"ἀκατάσχετος","kjv_def":"unruly","derivation":"from G1 (Α) (as a negative particle) and a derivative of G2722 (κατέχω);","strongs_def":" unrestrainable"},
"G1911":{"strongs_def":" to throw upon (literal or figurative, transitive or reflexive; usually with more or less force); specially (with G1438 (ἑαυτοῦ) implied) to reflect; impersonally, to belong to","derivation":"from G1909 (ἐπί) and G906 (βάλλω);","lemma":"ἐπιβάλλω","kjv_def":"beat into, cast (up-)on, fall, lay (on), put (unto), stretch forth, think on"},
"G1240":{"kjv_def":"room","lemma":"διάδοχος","strongs_def":" a successor in office","derivation":"from G1237 (διαδέχομαι);"},
"G1514":{"strongs_def":" to be (act) peaceful","derivation":"from G1515 (εἰρήνη);","kjv_def":"be at (have, live in) peace, live peaceably","lemma":"εἰρηνεύω"},
"G2568":{"lemma":"Καλοὶ Λιμένες","kjv_def":"fair havens","strongs_def":" Good Harbors, i.e. Fairhaven, a bay of Crete","derivation":"plural of G2570 (καλός) and G3040 (λιμήν);"},
"G3017":{"strongs_def":" Levi, the name of three Israelites","derivation":"of Hebrew origin (H03878);","lemma":"Λευΐ","kjv_def":"Levi"},
"G20":{"lemma":"ἀγαλλίασις","kjv_def":"gladness, (exceeding) joy","derivation":"from G21 (ἀγαλλιάω);","strongs_def":" exultation; specially, welcome"},
"G327":{"strongs_def":" to search out","derivation":"from G303 (ἀνά) and G2212 (ζητέω);","kjv_def":"seek","lemma":"ἀναζητέω"},
"G635":{"lemma":"ἀποπλανάω","kjv_def":"err, seduce","derivation":"from G575 (ἀπό) and G4105 (πλανάω);","strongs_def":" to lead astray (figuratively); passively, to stray (from truth)"},
"G1480":{"derivation":"from G1485 (ἔθος);","strongs_def":" to accustom, i.e. (neuter passive participle) customary","lemma":"ἐθίζω","kjv_def":"custom"},
"G289":{"lemma":"ἀμπελουργός","kjv_def":"vine-dresser","derivation":"from G288 (ἄμπελος) and G2041 (ἔργον);","strongs_def":" a vine-worker, i.e. pruner"},
"G3733":{"kjv_def":"hen","lemma":"ὄρνις","derivation":"probably from a prolonged form of the base of G3735 (ὄρος);","strongs_def":" a bird (as rising in the air), i.e. (specially), a hen (or female domestic fowl)"},
"G3612":{"strongs_def":" a tenement, i.e. (specially), a jail","derivation":"from G3611 (οἰκέω);","kjv_def":"prison","lemma":"οἴκημα"},
"G2646":{"strongs_def":" properly, a dissolution (breaking up of a journey), i.e. (by implication) a lodging-place","derivation":"from G2647 (καταλύω);","lemma":"κατάλυμα","kjv_def":" guestchamber, inn"},
"G4288":{"strongs_def":" predisposition, i.e. alacrity","derivation":"from G4289 (πρόθυμος);","lemma":"προθυμία","kjv_def":"forwardness of mind, readiness (of mind), ready (willing) mind"},
"G134":{"lemma":"αἰνέω","kjv_def":"praise","strongs_def":" to praise (God)","derivation":"from G136 (αἶνος);"},
"G2236":{"strongs_def":" with great pleasure","derivation":"neuter plural of the superlative of the same as G2234 (ἡδέως);","kjv_def":"most (very) gladly","lemma":"ἥδιστα"},
"G1313":{"lemma":"διάφορος","kjv_def":"differing, divers, more excellent","strongs_def":" varying; also surpassing","derivation":"from G1308 (διαφέρω);"},
"G2863":{"kjv_def":"have long hair","lemma":"κομάω","strongs_def":" to wear tresses of hair","derivation":"from G2864 (κόμη);"},
"G1559":{"kjv_def":"persecute","lemma":"ἐκδιώκω","strongs_def":" to pursue out, i.e. expel or persecute implacably","derivation":"from G1537 (ἐκ) and G1377 (διώκω);"},
"G4999":{"derivation":"plural of Latin origin;","strongs_def":" huts or wooden-walled buildings; Tabernæ","lemma":"Ταβέρναι","kjv_def":"taverns"},
"G75":{"strongs_def":" to struggle, literally (to compete for a prize), figuratively (to contend with an adversary), or genitive case (to endeavor to accomplish something)","derivation":"from G73 (ἀγών);","lemma":"ἀγωνίζομαι","kjv_def":"fight, labor fervently, strive"},
"G3688":{"lemma":"ὄνος","kjv_def":"an ass","derivation":"apparently a primary word;","strongs_def":" a donkey"},
"G823":{"derivation":"from G1 (Α) (as a negative particle) and the base of G5114 (τομώτερος);","strongs_def":" uncut, i.e. (by implication) indivisible (an \"atom\" of time)","kjv_def":" moment","lemma":"ἄτομος"},
"G596":{"lemma":"ἀποθήκη","kjv_def":"barn, garner","strongs_def":" a repository, i.e. granary","derivation":"from G659 (ἀποτίθημι);"},
"G760":{"kjv_def":"Asa","lemma":"Ἀσά","strongs_def":" Asa, an Israelite","derivation":"of Hebrew origin (H0609);"},
"G5357":{"derivation":"of uncertain affinity;","strongs_def":" a broad shallow cup (\"phial\")","lemma":"φιάλη","kjv_def":"vial"},
"G2670":{"derivation":"from G2596 (κατά) and a derivative of the same as G4195 (Πόντος);","strongs_def":" to plunge down, i.e. submerge","kjv_def":"drown, sink","lemma":"καταποντίζω"},
"G580":{"kjv_def":"casting away, loss","lemma":"ἀποβολή","strongs_def":" rejection; figuratively, loss","derivation":"from G577 (ἀποβάλλω);"},
"G3091":{"kjv_def":"Lot","lemma":"Λώτ","derivation":"of Hebrew origin (H03876);","strongs_def":" Lot, a patriarch"},
"G3570":{"strongs_def":" just now","derivation":"a prolonged form of G3568 (νῦν) for emphasis;","lemma":"νυνί","kjv_def":"now"},
"G920":{"derivation":"of Chaldee origin (H01247 and H03124);","strongs_def":" son of Jonas (or Jonah); Bar-jonas, an Israelite","kjv_def":"Bar-jona","lemma":"Βαριωνᾶς"},
"G1623":{"lemma":"ἕκτος","kjv_def":"sixth","derivation":"ordinal from G1803 (ἕξ);","strongs_def":" sixth"},
"G1283":{"strongs_def":" to seize asunder, i.e. plunder","derivation":"from G1223 (διά) and G726 (ἁρπάζω);","kjv_def":"spoil","lemma":"διαρπάζω"},
"G3517":{"derivation":"apparently from a derivative of the base of G3491 (ναῦς) (meaning wet);","strongs_def":" Nereus, a Christian","lemma":"Νηρεύς","kjv_def":"Nereus"},
"G587":{"kjv_def":"acceptable","lemma":"ἀπόδεκτος","strongs_def":" accepted, i.e. agreeable","derivation":"from G588 (ἀποδέχομαι);"},
"G411":{"kjv_def":"unspeakable","lemma":"ἀνεκδιήγητος","derivation":"from G1 (Α) (as a negative particle) and a presumed derivative of G1555 (ἐκδιηγέομαι);","strongs_def":" not expounded in full, i.e. indescribable"},
"G2274":{"kjv_def":"be inferior, overcome","lemma":"ἡττάω","derivation":"from the same as G2276 (ἥττον);","strongs_def":" to make worse, i.e. vanquish (literally or figuratively); by implication, to rate lower"},
"G2652":{"strongs_def":" an imprecation","derivation":"from G2596 (κατά) (intensive) and G331 (ἀνάθεμα);","kjv_def":"curse","lemma":"κατανάθεμα"},
"G2710":{"derivation":"from G2596 (κατά) and G5530 (χράομαι);","strongs_def":" to overuse, i.e. misuse","lemma":"καταχράομαι","kjv_def":"abuse"},
"G3342":{"derivation":"from G3326 (μετά) and a form of G4862 (σύν);","strongs_def":" betwixt (of place or person); (of time) as adjective, intervening, or (by implication) adjoining","kjv_def":"between, mean while, next","lemma":"μεταξύ"},
"G439":{"kjv_def":"fire of coals","lemma":"ἀνθρακιά","derivation":"from G440 (ἄνθραξ);","strongs_def":" a bed of burning coals"},
"G266":{"kjv_def":"offence, sin(-ful)","lemma":"ἁμαρτία","derivation":"from G264 (ἁμαρτάνω);","strongs_def":" a sin (properly abstract)"},
"G3831":{"kjv_def":"general assembly","lemma":"πανήγυρις","strongs_def":" a mass-meeting, i.e. (figuratively) universal companionship","derivation":"from G3956 (πᾶς) and a derivative of G58 (ἀγορά);"},
"G2266":{"kjv_def":"Herodias","lemma":"Ἡρωδιάς","derivation":"from G2264 (Ἡρώδης);","strongs_def":" Herodias, a woman of the Heodian family"},
"G378":{"lemma":"ἀναπληρόω","kjv_def":"fill up, fulfill, occupy, supply","strongs_def":" to complete; by implication, to occupy, supply; figuratively, to accomplish (by coincidence ot obedience)","derivation":"from G303 (ἀνά) and G4137 (πληρόω);"},
"G386":{"derivation":"from G450 (ἀνίστημι);","strongs_def":" a standing up again, i.e. (literally) a resurrection from death (individual, genitive case or by implication, (its author)), or (figuratively) a (moral) recovery (of spiritual truth)","kjv_def":"raised to life again, resurrection, rise from the dead, that should rise, rising again","lemma":"ἀνάστασις"},
"G3182":{"kjv_def":"be drunk(-en)","lemma":"μεθύσκω","derivation":"a prolonged (transitive) form of G3184 (μεθύω);","strongs_def":" to intoxicate"},
"G1013":{"derivation":"from G1014 (βούλομαι);","strongs_def":" a resolve","kjv_def":"purpose, will","lemma":"βούλημα"},
"G1110":{"derivation":"from G1097 (γινώσκω);","strongs_def":" well-known","kjv_def":"acquaintance, (which may be) known, notable","lemma":"γνωστός"},
"G3921":{"strongs_def":" to settle in alongside, i.e. lodge stealthily","derivation":"from G3844 (παρά) and a compound of G1519 (εἰς) and G1416 (δύνω);","lemma":"παρεισδύνω","kjv_def":"creep in unawares"},
"G1907":{"lemma":"ἐπέχω","kjv_def":"give (take) heed unto, hold forth, mark, stay","derivation":"from G1909 (ἐπί) and G2192 (ἔχω);","strongs_def":" to hold upon, i.e. (by implication) to retain; (by extension) to detain; (with implication, of G3563 (νοῦς)) to pay attention to"},
"G3775":{"lemma":"οὖς","kjv_def":"ear","derivation":"apparently a primary word;","strongs_def":" the ear (physically or mentally)"},
"G3057":{"strongs_def":" a \"lance\"","derivation":"perhaps a primary word;","lemma":"λόγχη","kjv_def":"spear"},
"G3357":{"lemma":"μετρίως","kjv_def":"a little","strongs_def":" moderately, i.e. slightly","derivation":"adverb from a derivative of G3358 (μέτρον);"},
"G5288":{"lemma":"ὑποστέλλω","kjv_def":"draw (keep) back, shun, withdraw","strongs_def":" to withhold under (out of sight), i.e. (reflexively) to cower or shrink, (figuratively) to conceal (reserve)","derivation":"from G5259 (ὑπό) and G4724 (στέλλω);"},
"G4724":{"derivation":"probably strengthened from the base of G2476 (ἵστημι);","strongs_def":" properly, to set fast (\"stall\"), i.e. (figuratively) to repress (reflexively, abstain from associating with)","kjv_def":"avoid, withdraw self","lemma":"στέλλω"},
"G3652":{"strongs_def":" Olympas, a Christian","derivation":"probably a contraction from (Olympian-bestowed, i.e. heaven-descended);","lemma":"Ὀλυμπᾶς","kjv_def":"Olympas"},
"G3362":{"derivation":"i.e. G1437 (ἐάν) and G3361 (μή);","strongs_def":" if not, i.e. unless","lemma":"ἐὰν μή","kjv_def":"X before, but, except, if, no, (if, + whosoever) not"},
"G2979":{"lemma":"λακτίζω","kjv_def":"kick","derivation":"from adverb (heelwise);","strongs_def":" to recalcitrate"},
"G3369":{"kjv_def":"not yet","lemma":"μηδέπω","strongs_def":" not even yet","derivation":"from G3366 (μηδέ) and G4452 (-πω);"},
"G3801":{"lemma":"ὁ ὢν καί ὁ ἦν καί ὁ ἐρχόμενος","kjv_def":"which art (is, was), and (which) wast (is, was), and art (is) to come (shalt be)","derivation":"a phrase combining G3588 (ὁ) with the present participle and imperfect of G1510 (εἰμί) and the present participle of G2064 (ἔρχομαι) by means of G2532 (καί);","strongs_def":" the one being and the one that was and the one coming, i.e. the Eternal, as a divine epithet of Christ"},
"G3601":{"derivation":"from G1416 (δύνω);","strongs_def":" grief (as dejecting)","lemma":"ὀδύνη","kjv_def":"sorrow"},
"G611":{"lemma":"ἀποκρίνομαι","kjv_def":"answer","strongs_def":" to conclude for oneself, i.e. (by implication) to respond; by Hebraism (compare H06030) to begin to speak (where an address is expected)","derivation":"from G575 (ἀπό) and ;"},
"G4941":{"kjv_def":"Syntyche","lemma":"Συντύχη","derivation":"from G4940 (συντυγχάνω);","strongs_def":" an accident; Syntyche, a Christian female"},
"G1853":{"strongs_def":" awake","derivation":"from G1537 (ἐκ) and G5258 (ὕπνος);","lemma":"ἔξυπνος","kjv_def":"X out of sleep"},
"G4677":{"strongs_def":" lily; Susannah (i.e. Shoshannah), an Israelitess","derivation":"of Hebrew origin (H07799 feminine);","kjv_def":"Susanna","lemma":"Σουσάννα"},
"G1308":{"strongs_def":" to bear through, i.e. (literally) transport; usually to bear apart, i.e. (objectively) to toss about (figuratively, report); subjectively, to \"differ\", or (by implication) surpass","derivation":"from G1223 (διά) and G5342 (φέρω);","kjv_def":"be better, carry, differ from, drive up and down, be (more) excellent, make matter, publish, be of more value","lemma":"διαφέρω"},
"G1920":{"lemma":"ἐπιγίνομαι","kjv_def":"blow","derivation":"from G1909 (ἐπί) and G1096 (γίνομαι);","strongs_def":" to arrive upon, i.e. spring up (as a wind)"},
"G2228":{"kjv_def":"and, but (either), (n-)either, except it be, (n-)or (else), rather, save, than, that, what, yea","lemma":"ἤ","strongs_def":" disjunctive, or; comparative, than","derivation":"a primary particle of distinction between two connected terms;"},
"G5337":{"derivation":"apparently a primary word;","strongs_def":" \"foul\" or \"flawy\", i.e. (figuratively) wicked","lemma":"φαῦλος","kjv_def":"evil"},
"G1088":{"derivation":"of uncertain affinity (compare G1094 (γῆρας));","strongs_def":" aged","kjv_def":"old","lemma":"γέρων"},
"G3743":{"derivation":"adverb from G3741 (ὅσιος);","strongs_def":" piously","lemma":"ὁσίως","kjv_def":"holily"},
"G4119":{"kjv_def":"X above, + exceed, more excellent, further, (very) great(-er), long(-er), (very) many, greater (more) part, + yet but","lemma":"πλείων","strongs_def":" more in quantity, number, or quality; also (in plural) the major portion","derivation":"comparative of G4183 (πολύς);"},
"G4394":{"derivation":"from G4396 (προφήτης) (\"prophecy\");","strongs_def":" prediction (scriptural or other)","lemma":"προφητεία","kjv_def":"prophecy, prophesying"},
"G3509":{"kjv_def":"cloud","lemma":"νέφος","strongs_def":" a cloud","derivation":"apparently a primary word;"},
"G4205":{"strongs_def":" akin to the base of G4097 (πιπράσκω)); a (male) prostitute (as venal), i.e. (by analogy) a debauchee (libertine)","derivation":"from (to sell;","lemma":"πόρνος","kjv_def":"fornicator, whoremonger"},
"G5427":{"derivation":"from G5426 (φρονέω);","strongs_def":" (mental) inclination or purpose","kjv_def":"(be, + be carnally, + be spiritually) mind(-ed)","lemma":"φρόνημα"},
"G3532":{"kjv_def":"Nicolaus","lemma":"Νικόλαος","strongs_def":" victorious over the people; Nicolaus, a heretic","derivation":"from G3534 (νῖκος) and G2994 (Λαοδικεύς);"},
"G4258":{"strongs_def":" to sin previously (to conversion)","derivation":"from G4253 (πρό) and G264 (ἁμαρτάνω);","lemma":"προαμαρτάνω","kjv_def":"sin already, heretofore sin"},
"G2758":{"lemma":"κενόω","kjv_def":"make (of none effect, of no reputation, void), be in vain","strongs_def":" to make empty, i.e. (figuratively) to abase, neutralize, falsify","derivation":"from G2756 (κενός);"},
"G2162":{"derivation":"from G2163 (εὔφημος);","strongs_def":" good language (\"euphemy\"), i.e. praise (repute)","kjv_def":"good report","lemma":"εὐφημία"},
"G1341":{"lemma":"δικαιοκρισία","kjv_def":"righteous judgment","strongs_def":" a just sentence","derivation":"from G1342 (δίκαιος) and G2920 (κρίσις);"},
"G257":{"lemma":"ἅλων","kjv_def":"floor","derivation":"probably from the base of G1507 (εἱλίσσω);","strongs_def":" a threshing-floor (as rolled hard), i.e. (figuratively) the grain (and chaff, as just threshed)"},
"G3984":{"strongs_def":" a test, i.e. attempt, experience","derivation":"from the base of G4008 (πέραν) (through the idea of piercing);","kjv_def":"assaying, trial","lemma":"πεῖρα"},
"G3478":{"strongs_def":" Nazareth or Nazaret, a place in Palestine","derivation":"of uncertain derivation;","kjv_def":"Nazareth","lemma":"Ναζαρέθ"},
"G253":{"lemma":"ἀλυπότερος","kjv_def":"less sorrowful","strongs_def":" more without grief","derivation":"comparative of a compound of G1 (Α) (as a negative particle) and G3077 (λύπη);"},
"G370":{"lemma":"ἀνάξιος","kjv_def":"unworthy","strongs_def":" unfit","derivation":"from G1 (Α) (as a negative particle) and G514 (ἄξιος);"},
"G95":{"lemma":"ἀδίκως","kjv_def":"wrongfully","derivation":"adverb from G94 (ἄδικος);","strongs_def":" unjustly"},
"G2160":{"derivation":"from a compound of G2095 (εὖ) and a derivative of the base of G5157 (τροπή) (meaning well-turned, i.e. ready at repartee, jocose);","strongs_def":" witticism, i.e. (in a vulgar sense) ribaldry","lemma":"εὐτραπελία","kjv_def":"jesting"},
"G2177":{"strongs_def":" to spring upon","derivation":"from G1909 (ἐπί) and G242 (ἅλλομαι);","kjv_def":"leap on","lemma":"ἐφάλλομαι"},
"G847":{"derivation":"genitive (i.e. possessive) of G846 (αὐτός), used as an adverb of location;","strongs_def":" properly, belonging to the same spot, i.e. in this (or that) place","kjv_def":"(t-)here","lemma":"αὐτοῦ"},
"G1991":{"kjv_def":"confirm, strengthen","lemma":"ἐπιστηρίζω","derivation":"from G1909 (ἐπί) and G4741 (στηρίζω);","strongs_def":" to support further, i.e. reestablish"},
"G2958":{"derivation":"of Latin origin;","strongs_def":" Cyrenius (i.e. Quirinus), a Roman","lemma":"Κυρήνιος","kjv_def":"Cyrenius"},
"G564":{"lemma":"ἀπερίτμητος","kjv_def":"uncircumcised","strongs_def":" uncircumcised (figuratively)","derivation":"from G1 (Α) (as a negative particle) and a presumed derivative of G4059 (περιτέμνω);"},
"G4490":{"strongs_def":" out-spokenly, i.e. distinctly","derivation":"adverb from a derivative of G4483 (ῥέω);","lemma":"ῥητῶς","kjv_def":"expressly"},
"G3844":{"derivation":"a primary preposition;","strongs_def":" properly, near; i.e. (with genitive case) from beside (literally or figuratively), (with dative case) at (or in) the vicinity of (objectively or subjectively), (with accusative case) to the proximity with (local (especially beyond or opposed to) or causal (on account of)","kjv_def":"above, against, among, at, before, by, contrary to, X friend, from, + give (such things as they), + that (she) had, X his, in, more than, nigh unto, (out) of, past, save, side…by, in the sight of, than, (there-)fore, with","lemma":"παρά"},
"G445":{"strongs_def":" to act as proconsul","derivation":"from G446 (ἀνθύπατος);","kjv_def":"be the deputy","lemma":"ἀνθυπατεύω"},
"G4974":{"strongs_def":" compare the feminine , a hammer); the ankle (as globular)","derivation":"neuter of a presumed derivative probably of the same as (a ball, \"sphere\";","kjv_def":"ancle bone","lemma":"σφυρόν"},
"G4784":{"lemma":"συγκατατίθεμαι","kjv_def":"consent","derivation":"middle from G4862 (σύν) and G2698 (κατατίθημι);","strongs_def":" to deposit (one's vote or opinion) in company with, i.e. (figuratively) to accord with"},
"G1777":{"lemma":"ἔνοχος","kjv_def":"in danger of, guilty of, subject to","derivation":"from G1758 (ἐνέχω);","strongs_def":" liable to (a condition, penalty or imputation)"},
"G4279":{"derivation":"middle voice from G4253 (πρό) and G1861 (ἐπαγγέλλω);","strongs_def":" to promise of old","lemma":"προεπαγγέλλομαι","kjv_def":"promise before"},
"G4261":{"kjv_def":"put forward, shoot forth","lemma":"προβάλλω","strongs_def":" to throw forward, i.e. push to the front, germinate","derivation":"from G4253 (πρό) and G906 (βάλλω);"},
"G5452":{"strongs_def":" to set out in the earth, i.e. implant; figuratively, to instil doctrine","derivation":"from a derivative of G5453 (φύω);","lemma":"φυτεύω","kjv_def":"plant"},
"G3961":{"derivation":"from a derivative probably of G3817 (παίω) (meaning a \"path\");","strongs_def":" to trample (literally or figuratively)","kjv_def":"tread (down, under foot)","lemma":"πατέω"},
"G4695":{"lemma":"σπιλόω","kjv_def":"defile, spot","derivation":"from G4696 (σπίλος);","strongs_def":" to stain or soil (literally or figuratively)"},
"G1845":{"kjv_def":"exorcist","lemma":"ἐξορκιστής","derivation":"from G1844 (ἐξορκίζω);","strongs_def":" one that binds by an oath (or spell), i.e. (by implication) an \"exorcist\" (conjurer)"},
"G5049":{"lemma":"τελείως","kjv_def":"to the end","strongs_def":" completely, i.e. (of hope) without wavering","derivation":"adverb from G5046 (τέλειος);"},
"G1479":{"kjv_def":"will worship","lemma":"ἐθελοθρησκεία","strongs_def":" voluntary (arbitrary and unwarranted) piety, i.e. sanctimony","derivation":"from G2309 (θέλω) and G2356 (θρησκεία);"},
"G803":{"lemma":"ἀσφάλεια","kjv_def":"certainty, safety","derivation":"from G804 (ἀσφαλής);","strongs_def":" security (literally or figuratively)"},
"G3581":{"strongs_def":" foreign (literally, alien, or figuratively, novel); by implication, a guest or (vice-versa) entertainer","derivation":"apparently a primary word;","kjv_def":"host, strange(-r)","lemma":"ξένος"},
"G3721":{"lemma":"ὄρθριος","kjv_def":"early","strongs_def":" in the dawn, i.e. up at day-break","derivation":"from G3722 (ὄρθρος);"},
"G204":{"strongs_def":" belonging to the extreme corner","derivation":"from G206 (ἄκρον) and G1137 (γωνία);","kjv_def":"chief corner","lemma":"ἀκρογωνιαῖος"},
"G3826":{"derivation":"dative case (adverb) of a compound of G3956 (πᾶς) and G4128 (πλῆθος);","strongs_def":" in full multitude, i.e. concertedly or simultaneously","lemma":"παμπληθεί","kjv_def":"all at once"},
"G3529":{"strongs_def":" conquest (abstractly), i.e. (figuratively) the means of success","derivation":"apparently a primary word;","lemma":"νίκη","kjv_def":"victory"},
"G1334":{"derivation":"from G1223 (διά) and G2233 (ἡγέομαι);","strongs_def":" to relate fully","kjv_def":"declare, shew, tell","lemma":"διηγέομαι"},
"G4841":{"strongs_def":" to experience pain jointly or of the same kind (specially, persecution; to \"sympathize\")","derivation":"from G4862 (σύν) and G3958 (πάσχω) (including its alternate);","kjv_def":"suffer with","lemma":"συμπάσχω"},
"G5281":{"kjv_def":"enduring, patience, patient continuance (waiting)","lemma":"ὑπομονή","strongs_def":" cheerful (or hopeful) endurance, constancy","derivation":"from G5278 (ὑπομένω);"},
"G4913":{"derivation":"middle voice from G4862 (σύν) and the base of G2237 (ἡδονή);","strongs_def":" to rejoice in with oneself, i.e. feel satisfaction concerning","kjv_def":"delight","lemma":"συνήδομαι"},
"G140":{"derivation":"from a derivative of G138 (αἱρέομαι);","strongs_def":" to make a choice","kjv_def":"choose","lemma":"αἱρετίζω"},
"G480":{"kjv_def":"adversary, be contrary, oppose","lemma":"ἀντίκειμαι","derivation":"from G473 (ἀντί) and G2749 (κεῖμαι);","strongs_def":" to lie opposite, i.e. be adverse (figuratively, repugnant) to"},
"G4440":{"kjv_def":"gate, porch","lemma":"πυλών","strongs_def":" a gate-way, door-way of a building or city; by implication, a portal or vestibule","derivation":"from G4439 (πύλη);"},
"G1782":{"strongs_def":" hence (literally or figuratively); (repeated) on both sides","derivation":"from the same as G1759 (ἐνθάδε);","lemma":"ἐντεῦθεν","kjv_def":"(from) hence, on either side"},
"G2106":{"kjv_def":"think good, (be well) please(-d), be the good (have, take) pleasure, be willing","lemma":"εὐδοκέω","strongs_def":" to think well of, i.e. approve (an act); specially, to approbate (a person or thing)","derivation":"from G2095 (εὖ) and G1380 (δοκέω);"},
"G4427":{"derivation":"from G4429 (πτύω);","strongs_def":" saliva","lemma":"πτύσμα","kjv_def":"spittle"},
"G503":{"lemma":"ἀντοφθαλμέω","kjv_def":"bear up into","strongs_def":" to face","derivation":"from a compound of G473 (ἀντί) and G3788 (ὀφθαλμός);"},
"G2170":{"strongs_def":" well favored, i.e. (by implication) grateful","derivation":"from G2095 (εὖ) and a derivative of G5483 (χαρίζομαι);","kjv_def":"thankful","lemma":"εὐχάριστος"},
"G3786":{"derivation":"from (to heap up, i.e. accumulate or benefit);","strongs_def":" gain","lemma":"ὄφελος","kjv_def":"advantageth, profit"},
"G468":{"strongs_def":" a requital (properly, the thing)","derivation":"from G467 (ἀνταποδίδωμι);","lemma":"ἀνταπόδομα","kjv_def":"recompense"},
"G2654":{"derivation":"from G2596 (κατά) and G355 (ἀναλίσκω);","strongs_def":" to consume utterly","lemma":"καταναλίσκω","kjv_def":"consume"},
"G2271":{"kjv_def":"quietness, silence","lemma":"ἡσυχία","derivation":"feminine of G2272 (ἡσύχιος);","strongs_def":" (as noun) stillness, i.e. desistance from bustle or language"},
"G298":{"lemma":"ἀμώμητος","kjv_def":"blameless","strongs_def":" unblamable","derivation":"from G1 (Α) (as a negative particle) and a derivative of G3469 (μωμάομαι);"},
"G2136":{"lemma":"Εὐοδία","kjv_def":"Euodias","strongs_def":" fine travelling; Euodia, a Christian woman","derivation":"from the same as G2137 (εὐοδόω);"},
"G837":{"derivation":"a prolonged form of a primary verb;","strongs_def":" to grow (\"wax\"), i.e. enlarge (literal or figurative, active or passive)","lemma":"αὐξάνω","kjv_def":"grow (up), (give the) increase"},
"G2609":{"strongs_def":" to lead down; specially, to moor a vessel","derivation":"from G2596 (κατά) and G71 (ἄγω);","kjv_def":"bring (down, forth), (bring to) land, touch","lemma":"κατάγω"},
"G2428":{"derivation":"from a derivative of the base of G2425 (ἱκανός) (through the idea of approaching for a favor);","strongs_def":" intreaty","lemma":"ἱκετηρία","kjv_def":"supplication"},
"G2891":{"derivation":"of Chaldee origin (H06966);","strongs_def":" cumi (i.e. rise!)","lemma":"κοῦμι","kjv_def":"cumi"},
"G5093":{"strongs_def":" valuable, i.e. (objectively) costly, or (subjectively) honored, esteemed, or (figuratively) beloved","derivation":"from G5092 (τιμή);","lemma":"τίμιος","kjv_def":"dear, honourable, (more, most) precious, had in reputation"},
"G3992":{"kjv_def":"send, thrust in","lemma":"πέμπω","derivation":"apparently a primary verb;","strongs_def":" to dispatch (from the subjective view or point of departure, whereas (as a stronger form of ) refers rather to the objective point or terminus ad quem, and G4724 (στέλλω) denotes properly, the orderly motion involved), especially on a temporary errand; also to transmit, bestow, or wield"},
"G3823":{"lemma":"πάλη","kjv_def":"+ wrestle","strongs_def":" another form for G906 (βάλλω)); wrestling","derivation":"from (to vibrate;"},
"G3620":{"derivation":"from the same as G3619 (οἰκοδομή);","strongs_def":" confirmation","kjv_def":"edifying","lemma":"οἰκοδομία"},
"G938":{"strongs_def":" a queen","derivation":"feminine from G936 (βασιλεύω);","lemma":"βασίλισσα","kjv_def":"queen"},
"G1470":{"lemma":"ἐγκρύπτω","kjv_def":"hid in","strongs_def":" to conceal in, i.e. incorporate with","derivation":"from G1722 (ἐν) and G2928 (κρύπτω);"},
"G4737":{"strongs_def":" to adorn with an honorary wreath (literally or figuratively)","derivation":"from G4735 (στέφανος);","lemma":"στεφανόω","kjv_def":"crown"},
"G1038":{"strongs_def":" a tanner","derivation":"from (a hide);","lemma":"βυρσεύς","kjv_def":"tanner"},
"G3814":{"derivation":"feminine diminutive of G3816 (παῖς);","strongs_def":" a girl, i.e. (specially), a female slave or servant","kjv_def":"bondmaid(-woman), damsel, maid(-en)","lemma":"παιδίσκη"},
"G3344":{"lemma":"μεταστρέφω","kjv_def":"pervert, turn","strongs_def":" to turn across, i.e. transmute or (figuratively) corrupt","derivation":"from G3326 (μετά) and G4762 (στρέφω);"},
"G5186":{"kjv_def":"blind","lemma":"τυφλόω","derivation":"from G5185 (τυφλός);","strongs_def":" to make blind, i.e. (figuratively) to obscure"},
"G2349":{"derivation":"from G2348 (θνήσκω);","strongs_def":" liable to die","lemma":"θνητός","kjv_def":"mortal(-ity)"},
"G5450":{"derivation":"from G5448 (φυσιόω);","strongs_def":" inflation, i.e. (figuratively) haughtiness","lemma":"φυσίωσις","kjv_def":"swelling"},
"G876":{"strongs_def":" froth, i.e. slaver","derivation":"apparently a primary word;","lemma":"ἀφρός","kjv_def":"foaming"},
"G4928":{"kjv_def":"anguish, distress","lemma":"συνοχή","strongs_def":" restraint, i.e. (figuratively) anxiety","derivation":"from G4912 (συνέχω);"},
"G4993":{"kjv_def":"be in right mind, be sober (minded), soberly","lemma":"σωφρονέω","strongs_def":" to be of sound mind, i.e. sane, (figuratively) moderate","derivation":"from G4998 (σώφρων);"},
"G2898":{"strongs_def":" a skull (\"cranium\")","derivation":"diminutive of a derivative of the base of G2768 (κέρας);","kjv_def":"Calvary, skull","lemma":"κρανίον"},
"G157":{"kjv_def":"complaint","lemma":"αἰτίαμα","derivation":"from a derivative of G156 (αἰτία);","strongs_def":" a thing charged"},
"G158":{"strongs_def":" a reason or crime (like G156 (αἰτία))","derivation":"neuter of G159 (αἴτιος);","kjv_def":"cause, fault","lemma":"αἴτιον"},
"G1123":{"strongs_def":" inscribed (figuratively)","derivation":"from G1125 (γράφω);","kjv_def":"written","lemma":"γραπτός"},
"G3966":{"strongs_def":" a progenitor (\"patriarch\")","derivation":"from G3965 (πατριά) and G757 (ἄρχω);","lemma":"πατριάρχης","kjv_def":"patriarch"},
"G2859":{"kjv_def":"bosom, creek","lemma":"κόλπος","derivation":"apparently a primary word;","strongs_def":" the bosom; by analogy, a bay"},
"G5477":{"strongs_def":" Chanaan (i.e. Kenaan), the early name of Palestine","derivation":"of Hebrew origin (H03667);","kjv_def":"Chanaan","lemma":"Χαναάν"},
"G3096":{"kjv_def":"use sorcery","lemma":"μαγεύω","strongs_def":" to practice magic","derivation":"from G3097 (μάγος);"},
"G3737":{"lemma":"ὀρφανός","kjv_def":"comfortless, fatherless","strongs_def":" bereaved (\"orphan\"), i.e. parentless","derivation":"of uncertain affinity;"},
"G2055":{"strongs_def":" a kidling, i.e. (genitive case) goat (symbolically, wicked person)","derivation":"from G2056 (ἔριφος);","kjv_def":"goat","lemma":"ἐρίφιον"},
"G789":{"lemma":"Ἄσσος","kjv_def":"Assos","derivation":"probably of foreign origin;","strongs_def":" Assus, a city of Asia MInor"},
"G318":{"kjv_def":"distress, must needs, (of) necessity(-sary), needeth, needful","lemma":"ἀνάγκη","derivation":"from G303 (ἀνά) and the base of G43 (ἀγκάλη);","strongs_def":" constraint (literally or figuratively); by implication, distress"},
"G1421":{"kjv_def":"hard to be uttered","lemma":"δυσερμήνευτος","strongs_def":" difficult of explanation","derivation":"from G1418 (δυσ-) and a presumed derivative of G2059 (ἑρμηνεύω);"},
"G2169":{"strongs_def":" gratitude; actively, grateful language (to God, as an act of worship)","derivation":"from G2170 (εὐχάριστος);","kjv_def":"thankfulness, (giving of) thanks(-giving)","lemma":"εὐχαριστία"},
"G5350":{"derivation":"probably akin to G5338 (φέγγος) and thus to G5346 (φημί);","strongs_def":" to utter a clear sound, i.e. (generally) to proclaim","kjv_def":"speak","lemma":"φθέγγομαι"},
"G3508":{"kjv_def":"Nephthalim","lemma":"Νεφθαλείμ","derivation":"of Hebrew origin (H05321);","strongs_def":" Nephthaleim (i.e. Naphthali), a tribe in Palestine"},
"G4948":{"kjv_def":"Syrian","lemma":"Σύρος","strongs_def":" a Syran (i.e. probably Tyrian), a native of Syria","derivation":"from the same as G4947 (Συρία);"},
"G122":{"strongs_def":" belonging to a goat","derivation":"from (a goat);","kjv_def":"goat","lemma":"αἴγειος"},
"G2207":{"lemma":"ζηλωτής","kjv_def":"zealous","derivation":"from G2206 (ζηλόω);","strongs_def":" a \"zealot\""},
"G3985":{"strongs_def":" to test (objectively), i.e. endeavor, scrutinize, entice, discipline","derivation":"from G3984 (πεῖρα);","kjv_def":"assay, examine, go about, prove, tempt(-er), try","lemma":"πειράζω"},
"G3610":{"kjv_def":"(household) servant","lemma":"οἰκέτης","derivation":"from G3611 (οἰκέω);","strongs_def":" a fellow resident, i.e. menial domestic"},
"G4226":{"lemma":"ποῦ","kjv_def":"where, whither","strongs_def":" as adverb of place; at (by implication, to) what locality","derivation":"genitive case of an interrogative pronoun (what) otherwise obsolete (perhaps the same as G4225 (πού) used with the rising slide of inquiry);"},
"G436":{"strongs_def":" to stand against, i.e. oppose","derivation":"from G473 (ἀντί) and G2476 (ἵστημι);","kjv_def":"resist, withstand","lemma":"ἀνθίστημι"},
"G687":{"kjv_def":"therefore","lemma":"ἆρα","derivation":"a form of G686 (ἄρα), denoting an interrogation to which a negative answer is presumed"},
"G2933":{"strongs_def":" an acquirement, i.e. estate","derivation":"from G2932 (κτάομαι);","lemma":"κτῆμα","kjv_def":"possession"},
"G34":{"kjv_def":"herd","lemma":"ἀγέλη","derivation":"from G71 (ἄγω) (compare G32 (ἄγγελος));","strongs_def":" a drove"},
"G4850":{"kjv_def":"presbyter, also an elder","lemma":"συμπρεσβύτερος","derivation":"from G4862 (σύν) and G4245 (πρεσβύτερος);","strongs_def":" a co-presbyter"},
"G1439":{"kjv_def":"commit, leave, let (alone), suffer","lemma":"ἐάω","strongs_def":" to let be, i.e. permit or leave alone","derivation":"of uncertain affinity;"},
"G3119":{"derivation":"from G3120 (μαλακός);","strongs_def":" softness, i.e. enervation (debility)","lemma":"μαλακία","kjv_def":"disease"},
"G1839":{"derivation":"from G1537 (ἐκ) and G2476 (ἵστημι);","strongs_def":" to put (stand) out of wits, i.e. astound, or (reflexively) become astounded, insane","kjv_def":"amaze, be (make) astonished, be beside self (selves), bewitch, wonder","lemma":"ἐξίστημι"},
"G3943":{"kjv_def":"given to wine","lemma":"πάροινος","strongs_def":" staying near wine, i.e. tippling (a toper)","derivation":"from G3844 (παρά) and G3631 (οἶνος);"},
"G1864":{"strongs_def":" to struggle for","derivation":"from G1909 (ἐπί) and G75 (ἀγωνίζομαι);","lemma":"ἐπαγωνίζομαι","kjv_def":"earnestly contend for"},
"G3893":{"kjv_def":"provoke","lemma":"παραπικραίνω","strongs_def":" to embitter alongside, i.e. (figuratively) to exasperate","derivation":"from G3844 (παρά) and G4087 (πικραίνω);"},
"G4356":{"lemma":"πρόσληψις","kjv_def":"receiving","derivation":"from G4355 (προσλαμβάνω);","strongs_def":" admission"},
"G3864":{"strongs_def":" along the sea, i.e. maritime (lacustrine)","derivation":"from G3844 (παρά) and G2281 (θάλασσα);","lemma":"παραθαλάσσιος","kjv_def":"upon the sea coast"},
"G1724":{"lemma":"ἐνάλιος","kjv_def":"thing in the sea","derivation":"from G1722 (ἐν) and G251 (ἅλς);","strongs_def":" in the sea, i.e. marine"},
"G1229":{"derivation":"from G1223 (διά) and the base of G32 (ἄγγελος);","strongs_def":" to herald thoroughly","lemma":"διαγγέλλω","kjv_def":"declare, preach, signify"},
"G626":{"derivation":"middle voice from a compound of G575 (ἀπό) and G3056 (λόγος);","strongs_def":" to give an account (legal plea) of oneself, i.e. exculpate (self)","kjv_def":"answer (for self), make defence, excuse (self), speak for self","lemma":"ἀπολογέομαι"},
"G2908":{"kjv_def":"better","lemma":"κρεῖσσον","derivation":"neuter of an alternate form of G2909 (κρείττων);","strongs_def":" (as noun) better, i.e. greater advantage"},
"G1453":{"strongs_def":" to waken (transitively or intransitively), i.e. rouse (literally, from sleep, from sitting or lying, from disease, from death; or figuratively, from obscurity, inactivity, ruins, nonexistence)","derivation":"probably akin to the base of G58 (ἀγορά) (through the idea of collecting one's faculties);","lemma":"ἐγείρω","kjv_def":"awake, lift (up), raise (again, up), rear up, (a-)rise (again, up), stand, take up"},
"G2493":{"strongs_def":" Joel, an Israelite","derivation":"of Hebrew origin (H03100);","lemma":"Ἰωήλ","kjv_def":"Joel"},
"G4596":{"kjv_def":"silk","lemma":"σηρικός","strongs_def":" hence the name of the silk-worm); Seric, i.e. silken (neuter as noun, a silky fabric)","derivation":"from (an Indian tribe from whom silk was procured;"},
"G2805":{"lemma":"κλαυθμός","kjv_def":"wailing, weeping, X wept","derivation":"from G2799 (κλαίω);","strongs_def":" lamentation"},
"G495":{"kjv_def":"over against","lemma":"ἀντιπέραν","strongs_def":" on the opposite side","derivation":"from G473 (ἀντί) and G4008 (πέραν);"},
"G2692":{"strongs_def":" an overturn (\"catastrophe\"), i.e. demolition; figuratively, apostasy","derivation":"from G2690 (καταστρέφω);","kjv_def":"overthrow, subverting","lemma":"καταστροφή"},
"G1713":{"derivation":"from G1722 (ἐν) and the base of G4198 (πορεύομαι);","strongs_def":" a (wholesale) tradesman","kjv_def":"merchant","lemma":"ἔμπορος"},
"G1698":{"derivation":"a prolonged form of G3427 (μοί);","strongs_def":" to me","lemma":"ἐμοί","kjv_def":"I, me, mine, my"},
"G733":{"kjv_def":"abuser of (that defile) self with mankind","lemma":"ἀρσενοκοίτης","derivation":"from G730 (ἄῤῥην) and G2845 (κοίτη);","strongs_def":" a sodomite"},
"G2575":{"derivation":"probably from G2545 (καίω);","strongs_def":" a furnace","lemma":"κάμινος","kjv_def":"furnace"},
"G115":{"derivation":"from G114 (ἀθετέω);","strongs_def":" cancellation (literally or figuratively)","kjv_def":"disannulling, put away","lemma":"ἀθέτησις"},
"G3392":{"kjv_def":"defile","lemma":"μιαίνω","derivation":"perhaps a primary verb;","strongs_def":" to sully or taint, i.e. contaminate (ceremonially or morally)"},
"G882":{"derivation":"of uncertain derivation;","strongs_def":" Achaia (i.e. Greece), a country of Europe","kjv_def":"Achaia","lemma":"Ἀχαΐα"},
"G3563":{"strongs_def":" the intellect, i.e. mind (divine or human; in thought, feeling, or will); by implication, meaning","derivation":"probably from the base of G1097 (γινώσκω);","kjv_def":"mind, understanding","lemma":"νοῦς"},
"G2036":{"lemma":"ἔπω","kjv_def":"answer, bid, bring word, call, command, grant, say (on), speak, tell","derivation":"a primary verb (used only in the definite past tense, the others being borrowed from G2046 (ἐρέω), G4483 (ῥέω), and G5346 (φημί));","strongs_def":" to speak or say (by word or writing)"},
"G3746":{"kjv_def":"whomsoever","lemma":"ὅσπερ","derivation":"from G3739 (ὅς) and G4007 (περ);","strongs_def":" who especially"},
"G471":{"lemma":"ἀντέπω","kjv_def":"gainsay, say against","strongs_def":" to refute or deny","derivation":"from G473 (ἀντί) and G2036 (ἔπω);"},
"G848":{"kjv_def":"her (own), (of) him(-self), his (own), of it, thee, their (own), them(-selves), they","lemma":"αὑτοῦ","strongs_def":" self (in some oblique case or reflexively, relation)","derivation":"contracted for G1438 (ἑαυτοῦ);"},
"G881":{"derivation":"of Hebrew origin (H0271);","strongs_def":" Achaz, an Israelite","lemma":"Ἀχάζ","kjv_def":"Achaz"},
"G4005":{"strongs_def":" fiftieth (G2250 (ἡμέρα) being implied) from Passover, i.e. the festival of \"Pentecost\"","derivation":"feminine of the ordinal of G4004 (πεντήκοντα);","kjv_def":"Pentecost","lemma":"πεντηκοστή"},
"G2461":{"derivation":"neuter of a derivative of G2462 (ἵππος);","strongs_def":" the cavalry force","kjv_def":"horse(-men)","lemma":"ἱππικόν"},
"G2216":{"strongs_def":" Zorobabel (i.e. Zerubbabel), an Israelite","derivation":"of Hebrew origin (H02216);","lemma":"Ζοροβάβελ","kjv_def":"Zorobabel"},
"G2054":{"derivation":"of uncertain affinity;","strongs_def":" a quarrel, i.e. (by implication) wrangling","kjv_def":"contention, debate, strife, variance","lemma":"ἔρις"},
"G1043":{"strongs_def":" Gabriel, an archangel","derivation":"of Hebrew origin (H01403);","kjv_def":"Gabriel","lemma":"Γαβριήλ"},
"G5362":{"derivation":"from G5384 (φίλος) and G435 (ἀνήρ);","strongs_def":" fond of man, i.e. affectionate as a wife","kjv_def":"love their husbands","lemma":"φίλανδρος"},
"G2101":{"strongs_def":" fully agreeable","derivation":"from G2095 (εὖ) and G701 (ἀρεστός);","kjv_def":"acceptable(-ted), wellpleasing","lemma":"εὐάρεστος"},
"G5246":{"kjv_def":"great swelling","lemma":"ὑπέρογκος","derivation":"from G5228 (ὑπέρ) and G3591 (ὄγκος);","strongs_def":" bulging over, i.e. (figuratively) insolent"},
"G2440":{"strongs_def":" a dress (inner or outer)","derivation":"neuter of a presumed derivative of ennumi (to put on);","lemma":"ἱμάτιον","kjv_def":"apparel, cloke, clothes, garment, raiment, robe, vesture"},
"G931":{"strongs_def":" a touch-stone, i.e. (by analogy) torture","derivation":"perhaps remotely from the same as G939 (βάσις) (through the notion of going to the bottom);","lemma":"βάσανος","kjv_def":"torment"},
"G4248":{"derivation":"from G4253 (πρό);","strongs_def":" leaning (falling) forward (\"prone\"), i.e. head foremost","kjv_def":"headlong","lemma":"πρηνής"},
"G678":{"kjv_def":"without respect of persons","lemma":"ἀπροσωπολήπτως","derivation":"adverb from a compound of G1 (Α) (as a negative particle) and a presumed derivative of a presumed compound of G4383 (πρόσωπον) and G2983 (λαμβάνω) (compare G4381 (προσωπολήπτης));","strongs_def":" in a way not accepting the person, i.e. impartially"},
"G2840":{"derivation":"from G2839 (κοινός);","strongs_def":" to make (or consider) profane (ceremonially)","kjv_def":"call common, defile, pollute, unclean","lemma":"κοινόω"},
"G1634":{"lemma":"ἐκψύχω","kjv_def":"give (yield) up the ghost","strongs_def":" to expire","derivation":"from G1537 (ἐκ) and G5594 (ψύχω);"},
"G4866":{"kjv_def":"labour with, strive together for","lemma":"συναθλέω","strongs_def":" to wrestle in company with, i.e. (figuratively) to seek jointly","derivation":"from G4862 (σύν) and G118 (ἀθλέω);"},
"G5444":{"kjv_def":"leaf","lemma":"φύλλον","derivation":"from the same as G5443 (φυλή);","strongs_def":" a sprout, i.e. leaf"},
"G3125":{"derivation":"of natural origin (\"mammy\");","strongs_def":" a grandmother","lemma":"μάμμη","kjv_def":"grandmother"},
"G3633":{"derivation":"middle voice apparently from G3634 (οἷος);","strongs_def":" to make like (oneself), i.e. imagine (be of the opinion)","lemma":"οἴομαι","kjv_def":"suppose, think"},
"G4767":{"strongs_def":" hated, i.e. odious","derivation":"from a derivative of an obsolete apparently primary (to hate);","kjv_def":"hateful","lemma":"στυγνητός"},
"G4030":{"strongs_def":" encirclement of the head, i.e. a helmet","derivation":"feminine of a compound of G4012 (περί) and G2776 (κεφαλή);","kjv_def":"helmet","lemma":"περικεφαλαία"},
"G2238":{"derivation":"neuter of the compound of the same as G2234 (ἡδέως) and G3744 (ὀσμή);","strongs_def":" a sweet-scented plant, i.e. mint","lemma":"ἡδύοσμον","kjv_def":"mint"},
"G833":{"derivation":"from the same as G109 (ἀήρ);","strongs_def":" a yard (as open to the wind); by implication, a mansion","lemma":"αὐλή","kjv_def":"court, (sheep-)fold, hall, palace"},
"G1000":{"kjv_def":"cast","lemma":"βολή","strongs_def":" a throw (as a measure of distance)","derivation":"from G906 (βάλλω);"},
"G5129":{"lemma":"τούτῳ","kjv_def":"here(-by, -in), him, one, the same, there(-in), this","derivation":"dative case singular masculine or neuter of G3778 (οὗτος);","strongs_def":" to (in, with or by) this (person or thing)"},
"G3837":{"lemma":"πανταχοῦ","kjv_def":"in all places, everywhere","derivation":"genitive case (as adverb of place) of a presumed derivative of G3956 (πᾶς);","strongs_def":" universally"},
"G4329":{"derivation":"from G4328 (προσδοκάω);","strongs_def":" apprehension (of evil); by implication, infliction anticipated","kjv_def":"expectation, looking after","lemma":"προσδοκία"},
"G1945":{"strongs_def":" to rest upon (literally or figuratively)","derivation":"from G1909 (ἐπί) and G2749 (κεῖμαι);","lemma":"ἐπίκειμαι","kjv_def":"impose, be instant, (be) laid (there-, up-)on, (when) lay (on), lie (on), press upon"},
"G1169":{"kjv_def":"fearful","lemma":"δειλός","strongs_def":" timid, i.e. (by implication) faithless","derivation":"from (dread);"},
"G1164":{"derivation":"from the base of G1166 (δεικνύω);","strongs_def":" a specimen (as shown)","kjv_def":"example","lemma":"δεῖγμα"},
"G1216":{"derivation":"from (Ceres);","strongs_def":" Demetrius, the name of an Ephesian and of a Christian","lemma":"Δημήτριος","kjv_def":"Demetrius"},
"G356":{"derivation":"from a compound of G303 (ἀνά) and G3056 (λόγος);","strongs_def":" proportion","kjv_def":"proportion","lemma":"ἀναλογία"},
"G3692":{"derivation":"probably from G3700 (ὀπτάνομαι);","strongs_def":" a hole (as if for light), i.e. cavern; by analogy, a spring (of water)","lemma":"ὀπή","kjv_def":"cave, place"},
"G629":{"derivation":"from a compound of G575 (ἀπό) and G3083 (λύτρον);","strongs_def":" (the act) ransom in full, i.e. (figuratively) riddance, or (specially) Christian salvation","lemma":"ἀπολύτρωσις","kjv_def":"deliverance, redemption"},
"G1458":{"derivation":"from G1722 (ἐν) and G2564 (καλέω);","strongs_def":" to call in (as a debt or demand), i.e. bring to account (charge, criminate, etc.)","lemma":"ἐγκαλέω","kjv_def":"accuse, call in question, implead, lay to the charge"},
"G3161":{"derivation":"of Hebrew origin (H04993);","strongs_def":" Mattathias (i.e. Mattithjah), an Israelite and a Christian","lemma":"Ματταθίας","kjv_def":"Mattathias"},
"G1222":{"derivation":"from G1211 (δή) and G4225 (πού);","strongs_def":" a particle of asseveration; indeed doubtless","kjv_def":"verily","lemma":"δήπου"},
"G3897":{"kjv_def":"nigh unto","lemma":"παραπλήσιον","derivation":"neuter of a compound of G3844 (παρά) and the base of G4139 (πλησίον) (as adverb);","strongs_def":" close by, i.e. (figuratively) almost"},
"G467":{"strongs_def":" to requite (good or evil)","derivation":"from G473 (ἀντί) and G591 (ἀποδίδωμι);","kjv_def":"recompense, render, repay","lemma":"ἀνταποδίδωμι"},
"G668":{"kjv_def":"escape","lemma":"ἀποφεύγω","strongs_def":" (figuratively) to escape","derivation":"from G575 (ἀπό) and G5343 (φεύγω);"},
"G3813":{"lemma":"παιδίον","kjv_def":"(little, young) child, damsel","derivation":"neuter diminutive of G3816 (παῖς);","strongs_def":" a childling (of either sex), i.e. (properly), an infant, or (by extension) a half-grown boy or girl; figuratively, an immature Christian"},
"G956":{"lemma":"βέλος","kjv_def":"dart","strongs_def":" a missile, i.e. spear or arrow","derivation":"from G906 (βάλλω);"},
"G1568":{"strongs_def":" to astonish utterly","derivation":"from G1569 (ἔκθαμβος);","lemma":"ἐκθαμβέω","kjv_def":"affright, greatly (sore) amaze"},
"G3915":{"strongs_def":" a wintering over","derivation":"from G3914 (παραχειμάζω);","lemma":"παραχειμασία","kjv_def":"winter in"},
"G5185":{"derivation":"from, G5187 (τυφόω);","strongs_def":" opaque (as if smoky), i.e. (by analogy) blind (physically or mentally)","lemma":"τυφλός","kjv_def":"blind"},
"G5227":{"strongs_def":" under (covertly) contrary to, i.e. opposed or (as noun) an opponent","derivation":"from G5259 (ὑπό) and G1727 (ἐναντίος);","lemma":"ὑπεναντίος","kjv_def":"adversary, against"},
"G4479":{"lemma":"Ῥεβέκκα","kjv_def":"Rebecca","strongs_def":" Rebecca (i.e. Ribkah), the wife of Isaac","derivation":"of Hebrew origin (H07259);"},
"G2380":{"lemma":"θύω","kjv_def":"kill, (do) sacrifice, slay","derivation":"a primary verb;","strongs_def":" properly, to rush (breathe hard, blow, smoke), i.e. (by implication) to sacrifice (properly, by fire, but genitive case); by extension to immolate (slaughter for any purpose)"},
"G431":{"derivation":"from G1 (Α) (as a particle of union) and an obsolete (a brood);","strongs_def":" properly, akin, i.e. (specially) a cousin","kjv_def":"sister's son","lemma":"ἀνεψιός"},
"G4564":{"kjv_def":"Sara, Sarah","lemma":"Σάῤῥα","strongs_def":" Sarra (i.e. Sarah), the wife of Abraham","derivation":"of Hebrew origin (H08283);"},
"G1753":{"derivation":"from G1756 (ἐνεργής);","strongs_def":" efficiency (\"energy\")","lemma":"ἐνέργεια","kjv_def":"operation, strong, (effectual) working"},
"G5474":{"lemma":"χαλκολίβανον","kjv_def":"fine brass","derivation":"neuter of a compound of G5475 (χαλκός) and G3030 (λίβανος) (in the implied mean of whiteness or brilliancy);","strongs_def":" burnished copper, an alloy of copper (or gold) and silver having a brilliant lustre"},
"G2589":{"derivation":"from G2588 (καρδία) and G1097 (γινώσκω);","strongs_def":" a heart-knower","kjv_def":"which knowest the hearts","lemma":"καρδιογνώστης"},
"G5005":{"lemma":"ταλαίπωρος","kjv_def":"wretched","strongs_def":" enduring trial, i.e. miserable","derivation":"from the base of G5007 (τάλαντον) and a derivative of the base of G3984 (πεῖρα);"},
"G1483":{"lemma":"ἐθνικῶς","kjv_def":"after the manner of Gentiles","derivation":"adverb from G1482 (ἐθνικός);","strongs_def":" as a Gentile"},
"G1484":{"kjv_def":"Gentile, heathen, nation, people","lemma":"ἔθνος","derivation":"probably from G1486 (ἔθω);","strongs_def":" a race (as of the same habit), i.e. a tribe; specially, a foreign (non-Jewish) one (usually, by implication, pagan)"},
"G2467":{"derivation":"assumed by some as the base of certain irregular forms of G1492 (εἴδω);","strongs_def":" to know","kjv_def":"know","lemma":"ἴσημι"},
"G5210":{"strongs_def":" you (as subjective of verb)","derivation":"irregular plural of G4771 (σύ);","lemma":"ὑμεῖς","kjv_def":"ye (yourselves), you"},
"G4499":{"derivation":"probably from (a rose);","strongs_def":" Rhodus, an island of the Mediterranean","lemma":"Ῥόδος","kjv_def":"Rhodes"},
"G5229":{"strongs_def":" to raise oneself over, i.e. (figuratively) to become haughty","derivation":"middle voice from G5228 (ὑπέρ) and G142 (αἴρω);","kjv_def":"exalt self, be exalted above measure","lemma":"ὑπεραίρομαι"},
"G5401":{"derivation":"from a primary (to be put in fear);","strongs_def":" alarm or fright","kjv_def":"be afraid, + exceedingly, fear, terror","lemma":"φόβος"},
"G1316":{"strongs_def":" to remove (oneself) wholly, i.e. retire","derivation":"from G1223 (διά) and the middle voice of G5563 (χωρίζω);","kjv_def":"depart","lemma":"διαχωρίζομαι"},
"G2754":{"derivation":"from G2755 (κενόδοξος);","strongs_def":" empty glorying, i.e. self-conceit","lemma":"κενοδοξία","kjv_def":"vain-glory"},
"G3783":{"strongs_def":" something owed, i.e. (figuratively) a due; morally, a fault","derivation":"from (the alternate of) G3784 (ὀφείλω);","kjv_def":"debt","lemma":"ὀφείλημα"},
"G2942":{"kjv_def":"(ship) master","lemma":"κυβερνήτης","strongs_def":" helmsman, i.e. (by implication) captain","derivation":"from the same as G2941 (κυβέρνησις);"},
"G671":{"derivation":"from a compound of G575 (ἀπό) and G5530 (χράομαι);","strongs_def":" the act of using up, i.e. consumption","kjv_def":"using","lemma":"ἀπόχρησις"},
"G1210":{"derivation":"a primary verb;","strongs_def":" to bind (in various applications, literally or figuratively)","lemma":"δέω","kjv_def":"bind, be in bonds, knit, tie, wind"},
"G330":{"derivation":"from G303 (ἀνά) and (to flourish);","strongs_def":" to revive","lemma":"ἀναθάλλω","kjv_def":"flourish again"},
"G932":{"strongs_def":" properly, royalty, i.e. (abstractly) rule, or (concretely) a realm (literally or figuratively)","derivation":"from G935 (βασιλεύς);","kjv_def":"kingdom, + reign","lemma":"βασιλεία"},
"G1685":{"strongs_def":" to throw on, i.e. (figuratively) subject to (eternal punishment)","derivation":"from G1722 (ἐν) and G906 (βάλλω);","lemma":"ἐμβάλλω","kjv_def":"cast into"},
"G4988":{"strongs_def":" of safe strength; Sosthenes, a Christian","derivation":"from the base of G4982 (σώζω) and that of G4599 (σθενόω);","kjv_def":"Sosthenes","lemma":"Σωσθένης"},
"G684":{"kjv_def":"damnable(-nation), destruction, die, perdition, X perish, pernicious ways, waste","lemma":"ἀπώλεια","derivation":"from a presumed derivative of G622 (ἀπόλλυμι);","strongs_def":" ruin or loss (physical, spiritual or eternal)"},
"G3858":{"derivation":"from G3844 (παρά) and G1209 (δέχομαι);","strongs_def":" to accept near, i.e. admit or (by implication) delight in","lemma":"παραδέχομαι","kjv_def":"receive"},
"G962":{"lemma":"Βηθαβαρά","kjv_def":"Bethabara","derivation":"of Hebrew origin (H01004 and H05679);","strongs_def":" ferry-house; Bethabara (i.e. Bethabarah), a place on the Jordan"},
"G682":{"kjv_def":"Apphia","lemma":"Ἀπφία","derivation":"probably of foreign origin;","strongs_def":" Apphia, a woman of Collosæ"},
"G1619":{"strongs_def":" intently","derivation":"adverb from G1618 (ἐκτενής);","kjv_def":"fervently","lemma":"ἐκτενῶς"},
"G1886":{"lemma":"ἔπαυλις","kjv_def":"habitation","derivation":"from G1909 (ἐπί) and an equivalent of G833 (αὐλή);","strongs_def":" a hut over the head, i.e. a dwelling"},
"G667":{"kjv_def":"bring, carry (away)","lemma":"ἀποφέρω","strongs_def":" to bear off (literally or relatively)","derivation":"from G575 (ἀπό) and G5342 (φέρω);"},
"G3043":{"strongs_def":" flax, i.e. (by implication) \"linen\"","derivation":"probably a primary word;","lemma":"λίνον","kjv_def":"linen"},
"G2922":{"derivation":"neuter of a presumed derivative of G2923 (κριτής);","strongs_def":" a rule of judging (\"criterion\"), i.e. (by implication) a tribunal","lemma":"κριτήριον","kjv_def":"to judge, judgment (seat)"},
"G1065":{"lemma":"γέ","kjv_def":"and besides, doubtless, at least, yet","derivation":"a primary particle of emphasis or qualification (often used with other particles prefixed)"},
"G3368":{"strongs_def":" not even ever","derivation":"from G3366 (μηδέ) and G4218 (ποτέ);","kjv_def":"never","lemma":"μηδέποτε"},
"G2727":{"kjv_def":"inform, instruct, teach","lemma":"κατηχέω","derivation":"from G2596 (κατά) and G2279 (ἦχος);","strongs_def":" to sound down into the ears, i.e. (by implication) to indoctrinate (\"catechize\") or (genitive case) to apprise of"},
"G1914":{"strongs_def":" to gaze at (with favor, pity or partiality)","derivation":"from G1909 (ἐπί) and G991 (βλέπω);","lemma":"ἐπιβλέπω","kjv_def":"look upon, regard, have respect to"},
"G923":{"strongs_def":" son of Sabas (or Tsaba); Bar-sabas, the name of two Israelites","derivation":"of Chaldee origin (H01247 and probably H06634);","lemma":"Βαρσαβᾶς","kjv_def":"Barsabas"},
"G5159":{"lemma":"τροποφορέω","kjv_def":"suffer the manners","strongs_def":" to endure one's habits","derivation":"from G5158 (τρόπος) and G5409 (φορέω);"},
"G1116":{"derivation":"of Hebrew origin (H06017);","strongs_def":" Gomorrha (i.e. Amorah), a place near the Dead Sea","lemma":"Γόμοῤῥα","kjv_def":"Gomorrha"},
"G5230":{"strongs_def":" beyond the \"acme\", i.e. figuratively (of a daughter) past the bloom (prime) of youth","derivation":"from G5228 (ὑπέρ) and the base of G188 (ἀκμήν);","lemma":"ὑπέρακμος","kjv_def":"+ pass the flower of (her) age"},
"G5516":{"lemma":"χξϛ","kjv_def":"six hundred threescore and six","derivation":"the 22nd, 14th and an obsolete letter (G4742 (στίγμα) as a cross) of the Greek alphabet (intermediate between the 5th and 6th), used as numbers; denoting respectively 600, 60 and 6;","strongs_def":" 666 as a numeral"},
"G5203":{"derivation":"from a compound of G5204 (ὕδωρ) and a derivative of G3700 (ὀπτάνομαι) (as if looking watery);","strongs_def":" to be \"dropsical\"","lemma":"ὑδρωπικός","kjv_def":"have the dropsy"},
"G5202":{"lemma":"ὑδροποτέω","kjv_def":"drink water","derivation":"from a compound of G5204 (ὕδωρ) and a derivative of G4095 (πίνω);","strongs_def":" to be a water-drinker, i.e. to abstain from vinous beverages"},
"G2226":{"lemma":"ζῶον","kjv_def":"beast","strongs_def":" a live thing, i.e. an animal","derivation":"neuter of a derivative of G2198 (ζάω);"},
"G963":{"kjv_def":"Bethany","lemma":"Βηθανία","strongs_def":" date-house; Beth-any, a place in Palestine","derivation":"of Chaldee origin;"},
"G2366":{"lemma":"θύελλα","kjv_def":"tempest","derivation":"from G2380 (θύω) (in the sense of blowing) a storm"},
"G4881":{"strongs_def":" to destroy (middle voice or passively, be slain) in company with","derivation":"from G4862 (σύν) and G622 (ἀπόλλυμι);","kjv_def":"perish with","lemma":"συναπόλλυμι"},
"G798":{"kjv_def":"star","lemma":"ἄστρον","strongs_def":" properly, a constellation; put for a single star (natural or artificial)","derivation":"neuter from G792 (ἀστήρ);"},
"G3793":{"lemma":"ὄχλος","kjv_def":"company, multitude, number (of people), people, press","strongs_def":" a throng (as borne along); by implication, the rabble; by extension, a class of people; figuratively, a riot","derivation":"from a derivative of G2192 (ἔχω) (meaning a vehicle);"},
"G613":{"kjv_def":"hide","lemma":"ἀποκρύπτω","derivation":"from G575 (ἀπό) and G2928 (κρύπτω);","strongs_def":" to conceal away (i.e. fully); figuratively, to keep secret"},
"G5348":{"kjv_def":"(already) attain, come, prevent","lemma":"φθάνω","derivation":"apparently a primary verb;","strongs_def":" to be beforehand, i.e. anticipate or precede; by extension, to have arrived at"},
"G2458":{"kjv_def":"Junias","lemma":"Ἰουνιᾶς","derivation":"of Latin origin;","strongs_def":" Junias, a Christian"},
"G1429":{"derivation":"from G1427 (δώδεκα) and G5443 (φυλή);","strongs_def":" the commonwealth of Israel","lemma":"δωδεκάφυλον","kjv_def":"twelve tribes"},
"G1613":{"kjv_def":"exceedingly trouble","lemma":"ἐκταράσσω","derivation":"from G1537 (ἐκ) and G5015 (ταράσσω);","strongs_def":" to disturb wholly"},
"G2943":{"lemma":"κυκλόθεν","kjv_def":"(round) about","strongs_def":" from the circle, i.e. all around","derivation":"adverb from the same as G2945 (κύκλῳ);"},
"G3139":{"lemma":"μάρμαρος","kjv_def":"marble","derivation":"from (to glisten);","strongs_def":" marble (as sparkling white)"},
"G3680":{"strongs_def":" contumely","derivation":"from G3679 (ὀνειδίζω);","kjv_def":"reproach","lemma":"ὀνειδισμός"},
"G5569":{"lemma":"ψευδάδελφος","kjv_def":"false brethren","derivation":"from G5571 (ψευδής) and G80 (ἀδελφός);","strongs_def":" a spurious brother, i.e. pretended associate"},
"G35":{"derivation":"from G1 (Α) (as negative particle) and G1075 (γενεαλογέω);","strongs_def":" unregistered as to birth","kjv_def":"without descent","lemma":"ἀγενεαλόγητος"},
"G4901":{"derivation":"from G4862 (σύν) and G1957 (ἐπιμαρτυρέω);","strongs_def":" to testify further jointly, i.e. unite in adding evidence","kjv_def":"also bear witness","lemma":"συνεπιμαρτυρέω"},
"G3629":{"derivation":"from G3627 (οἰκτείρω);","strongs_def":" compassionate","kjv_def":"merciful, of tender mercy","lemma":"οἰκτίρμων"},
"G2243":{"derivation":"of Hebrew origin (H0452);","strongs_def":" Helias (i.e. Elijah), an Israelite","kjv_def":"Elias","lemma":"Ἡλίας"},
"G1742":{"kjv_def":"clothing, garment, raiment","lemma":"ἔνδυμα","strongs_def":" apparel (especially the outer robe)","derivation":"from G1746 (ἐνδύω);"},
"G120":{"kjv_def":"be dismayed","lemma":"ἀθυμέω","strongs_def":" to be spiritless, i.e. disheartened","derivation":"from a compound of G1 (Α) (as a negative particle) and G2372 (θυμός);"},
"G1135":{"lemma":"γυνή","kjv_def":"wife, woman","strongs_def":" a woman; specially, a wife","derivation":"probably from the base of G1096 (γίνομαι);"},
"G4900":{"derivation":"from G4862 (σύν) and G1643 (ἐλαύνω);","strongs_def":" to drive together, i.e. (figuratively) exhort (to reconciliation)","lemma":"συνελαύνω","kjv_def":"+ set at one again"},
"G898":{"strongs_def":" a step, i.e. (figuratively) grade (of dignity)","derivation":"from the same as G899 (βάθος);","lemma":"βαθμός","kjv_def":"degree"},
"G2156":{"derivation":"adverb from G2158 (εὐσχήμων);","strongs_def":" decorously","lemma":"εὐσχημόνως","kjv_def":"decently, honestly"},
"G1287":{"strongs_def":" to dissipate, i.e. (genitive case) to rout or separate; specially, to winnow; figuratively, to squander","derivation":"from G1223 (διά) and G4650 (σκορπίζω);","lemma":"διασκορπίζω","kjv_def":"disperse, scatter (abroad), strew, waste"},
"G3560":{"derivation":"from the same as G3559 (νουθεσία);","strongs_def":" to put in mind, i.e. (by implication) to caution or reprove gently","kjv_def":"admonish, warn","lemma":"νουθετέω"},
"G2544":{"kjv_def":"nevertheless, though","lemma":"καίτοιγε","strongs_def":" and yet indeed, i.e. although really","derivation":"from G2543 (καίτοι) and G1065 (γέ);"},
"G2347":{"kjv_def":"afflicted(-tion), anguish, burdened, persecution, tribulation, trouble","lemma":"θλῖψις","derivation":"from G2346 (θλίβω);","strongs_def":" pressure (literally or figuratively)"},
"G552":{"kjv_def":"unskilful","lemma":"ἄπειρος","strongs_def":" inexperienced, i.e. ignorant","derivation":"from G1 (Α) (as a negative particle) and G3984 (πεῖρα);"},
"G4106":{"strongs_def":" objectively, fraudulence; subjectively, a straying from orthodoxy or piety","derivation":"feminine of G4108 (πλάνος) (as abstractly);","kjv_def":"deceit, to deceive, delusion, error","lemma":"πλάνη"},
"G1141":{"strongs_def":" dæmon-like","derivation":"from G1140 (δαιμόνιον) and G1142 (δαίμων);","lemma":"δαιμονιώδης","kjv_def":"devilish"},
"G1465":{"kjv_def":"hinder, be tedious unto","lemma":"ἐγκόπτω","derivation":"from G1722 (ἐν) and G2875 (κόπτω);","strongs_def":" to cut into, i.e. (figuratively) impede, detain"},
"G3095":{"derivation":"from G3096 (μαγεύω);","strongs_def":" \"magic\"","kjv_def":"sorcery","lemma":"μαγεία"},
"G315":{"kjv_def":"compel, constrain","lemma":"ἀναγκάζω","strongs_def":" to necessitate","derivation":"from G318 (ἀνάγκη);"},
"G2239":{"strongs_def":" usage, i.e. (plural) moral habits","derivation":"a strengthened form of G1485 (ἔθος);","lemma":"ἦθος","kjv_def":"manners"},
"G4806":{"lemma":"συζωοποιέω","kjv_def":"quicken together with","strongs_def":" to reanimate conjointly with (figuratively)","derivation":"from G4862 (σύν) and G2227 (ζωοποιέω);"},
"G5493":{"lemma":"χείμαῤῥος","kjv_def":"brook","strongs_def":" a storm-runlet, i.e. winter-torrent","derivation":"from the base of G5494 (χειμών) and G4482 (ῥέω);"},
"G2803":{"strongs_def":" Claudia, a Christian woman","derivation":"feminine of G2804 (Κλαύδιος);","lemma":"Κλαυδία","kjv_def":"Claudia"},
"G4452":{"derivation":"another form of the base of G4458 (-πώς);","strongs_def":" an enclitic particle of indefiniteness; yet, even; used only in the comparative. See G3369 (μηδέπω), G3380 (μήπω), G3764 (οὐδέπω), G3768 (οὔπω), G4455 (πώποτε).","lemma":"-πω"},
"G3328":{"derivation":"from G3326 (μετά) and G906 (βάλλω);","strongs_def":" to throw over, i.e. (middle voice figuratively) to turn about in opinion","kjv_def":"change mind","lemma":"μεταβάλλω"},
"G1663":{"strongs_def":" Eliezer, an Israelite","derivation":"of Hebrew origin (H0461);","lemma":"Ἐλιέζερ","kjv_def":"Eliezer"},
"G211":{"lemma":"ἀλάβαστρον","kjv_def":"(alabaster) box","derivation":"neuter of (of uncertain derivation), the name of a stone;","strongs_def":" properly, an \"alabaster\" box, i.e. (by extension) a perfume vase (of any material)"},
"G2371":{"lemma":"θυμομαχέω","kjv_def":"be highly displeased","strongs_def":" to be in a furious fight, i.e. (figuratively) to be exasperated","derivation":"from a presumed compound of G2372 (θυμός) and G3164 (μάχομαι);"},
"G1604":{"derivation":"from G1603 (ἐκπληρόω);","strongs_def":" completion","lemma":"ἐκπλήρωσις","kjv_def":"accomplishment"},
"G1104":{"strongs_def":" genuinely, i.e. really","derivation":"adverb from G1103 (γνήσιος);","kjv_def":"naturally","lemma":"γνησίως"},
"G1006":{"kjv_def":"feed, keep","lemma":"βόσκω","strongs_def":" to pasture; by extension to, fodder; reflexively, to graze","derivation":"a prolonged form of a primary verb (compare G977 (βιβρώσκω), G1016 (βοῦς));"},
"G1130":{"lemma":"γυμνητεύω","kjv_def":"be naked","strongs_def":" to strip, i.e. (reflexively) go poorly clad","derivation":"from a derivative of G1131 (γυμνός);"},
"G1150":{"lemma":"δαμάζω","kjv_def":"tame","strongs_def":" to tame","derivation":"a variation of an obsolete primary of the same meaning;"},
"G2608":{"derivation":"from G2596 (κατά) and the base of G4486 (ῥήγνυμι);","strongs_def":" to rend in pieces, i.e. crack apart","kjv_def":"break","lemma":"κατάγνυμι"},
"G2836":{"derivation":"from (\"hollow\");","strongs_def":" a cavity, i.e. (especially) the abdomen; by implication, the matrix; figuratively, the heart","kjv_def":"belly, womb","lemma":"κοιλία"},
"G3484":{"lemma":"Ναΐν","kjv_def":"Nain","derivation":"probably of Hebrew origin (compare H04999);","strongs_def":" Nain, a place in Palestine"},
"G4808":{"lemma":"συκῆ","kjv_def":"fig tree","derivation":"from G4810 (σῦκον);","strongs_def":" a fig-tree"},
"G5481":{"lemma":"χαρακτήρ","kjv_def":"express image","derivation":"from the same as G5482 (χάραξ);","strongs_def":" a graver (the tool or the person), i.e. (by implication) engraving ((\"character\"), the figure stamped, i.e. an exact copy or (figuratively) representation)"},
"G883":{"derivation":"from G882 (Ἀχαΐα);","strongs_def":" an Achaian; Achaicus, a Christian","kjv_def":"Achaicus","lemma":"Ἀχαϊκός"},
"G1636":{"kjv_def":"olive (berry, tree)","lemma":"ἐλαία","derivation":"feminine of a presumed derivative from an obsolete primary;","strongs_def":" an olive (the tree or the fruit)"},
"G1196":{"derivation":"from G1199 (δεσμόν);","strongs_def":" to tie, i.e. shackle","lemma":"δεσμέω","kjv_def":"bind"},
"G3700":{"kjv_def":"appear, look, see, shew self","lemma":"ὀπτάνομαι","strongs_def":" to gaze (i.e. with wide-open eyes, as at something remarkable; and thus differing from G991 (βλέπω), which denotes simply voluntary observation; and from G1492 (εἴδω), which expresses merely mechanical, passive or casual vision; while G2300 (θεάομαι), and still more emphatically its intensive G2334 (θεωρέω), signifies an earnest but more continued inspection; and G4648 (σκοπέω) a watching from a distance)","derivation":"a (middle voice) prolonged form of the primary (middle voice) ; which is used for it in certain tenses; and both as alternate of G3708 (ὁράω);"},
"G247":{"strongs_def":" differently","derivation":"adverb from G243 (ἄλλος);","lemma":"ἄλλως","kjv_def":"otherwise"},
"G1256":{"strongs_def":" to say thoroughly, i.e. discuss (in argument or exhortation)","derivation":"middle voice from G1223 (διά) and G3004 (λέγω);","kjv_def":"dispute, preach (unto), reason (with), speak","lemma":"διαλέγομαι"},
"G1076":{"strongs_def":" tracing by generations, i.e. \"genealogy\"","derivation":"from the same as G1075 (γενεαλογέω);","lemma":"γενεαλογία","kjv_def":"genealogy"},
"G5468":{"kjv_def":"bridle","lemma":"χαλιναγωγέω","derivation":"from a compound of G5469 (χαλινός) and the reduplicated form of G71 (ἄγω);","strongs_def":" to be a bit-leader, i.e. to curb (figuratively)"},
"G4184":{"strongs_def":" extremely compassionate","derivation":"from G4183 (πολύς) and G4698 (σπλάγχνον) (figuratively);","lemma":"πολύσπλαγχνος","kjv_def":"very pitiful"},
"G3332":{"kjv_def":"depart","lemma":"μεταίρω","derivation":"from G3326 (μετά) and G142 (αἴρω);","strongs_def":" to betake oneself, i.e. remove (locally)"},
"G1717":{"lemma":"ἐμφανής","kjv_def":"manifest, openly","strongs_def":" apparent in self","derivation":"from a compound of G1722 (ἐν) and G5316 (φαίνω);"},
"G4505":{"strongs_def":" an alley or avenue (as crowded)","derivation":"prolongation from G4506 (ῥύομαι) in its original sense;","kjv_def":"lane, street","lemma":"ῥύμη"},
"G3174":{"lemma":"μέγεθος","kjv_def":"greatness","strongs_def":" magnitude (figuratively)","derivation":"from G3173 (μέγας);"},
"G1747":{"derivation":"feminine from G1722 (ἐν) and the base of G1476 (ἑδραῖος);","strongs_def":" an ambuscade, i.e. (figuratively) murderous purpose","lemma":"ἐνέδρα","kjv_def":"lay wait"},
"G1113":{"lemma":"γογγυστής","kjv_def":"murmurer","strongs_def":" a grumbler","derivation":"from G1111 (γογγύζω);"},
"G4537":{"lemma":"σαλπίζω","kjv_def":"(which are yet to) sound (a trumpet)","derivation":"from G4536 (σάλπιγξ);","strongs_def":" to trumpet, i.e. sound a blast (literally or figuratively)"},
"G2310":{"derivation":"from a derivative of G5087 (τίθημι);","strongs_def":" something put down, i.e. a substruction (of a building, etc.), (literally or figuratively)","lemma":"θεμέλιος","kjv_def":"foundation"},
"G1166":{"derivation":"a prolonged form of an obsolete primary of the same meaning;","strongs_def":" to show (literally or figuratively)","kjv_def":"shew","lemma":"δεικνύω"},
"G5178":{"kjv_def":"torture","lemma":"τυμπανίζω","strongs_def":" to stretch on an instrument of torture resembling a drum, and thus beat to death","derivation":"from a derivative of G5180 (τύπτω) (meaning a drum, \"tympanum\");"},
"G4609":{"strongs_def":" Silas, a Christian","derivation":"contraction for G4610 (Σιλουανός);","lemma":"Σίλας","kjv_def":"Silas"},
"G5068":{"lemma":"τετράγωνος","kjv_def":"foursquare","strongs_def":" four-cornered, i.e. square","derivation":"from G5064 (τέσσαρες) and G1137 (γωνία);"},
"G3513":{"kjv_def":"I protest by","lemma":"νή","derivation":"probably an intensive form of G3483 (ναί);","strongs_def":" a particle of attestation (accompanied by the object invoked or appealed to in confirmation); as sure as"},
"G1639":{"lemma":"Ἐλαμίτης","kjv_def":"Elamite","derivation":"of Hebrew origin (H05867);","strongs_def":" an Elamite or Persian"},
"G3130":{"derivation":"from G3105 (μαίνομαι);","strongs_def":" craziness","lemma":"μανία","kjv_def":"(+ make) X mad"},
"G2501":{"derivation":"of Hebrew origin (H03130);","strongs_def":" Joseph, the name of seven Israelites","lemma":"Ἰωσήφ","kjv_def":"Joseph"},
"G2781":{"strongs_def":" a cell for honey, i.e. (collectively) the comb","derivation":"diminutive from (wax);","lemma":"κηρίον","kjv_def":"(honey-)comb"},
"G4387":{"kjv_def":"former","lemma":"πρότερος","derivation":"comparative of G4253 (πρό);","strongs_def":" prior or previous"},
"G2706":{"kjv_def":"despise","lemma":"καταφρονέω","derivation":"from G2596 (κατά) and G5426 (φρονέω);","strongs_def":" to think against, i.e. disesteem"},
"G2873":{"derivation":"from G2875 (κόπτω);","strongs_def":" a cut, i.e. (by analogy) toil (as reducing the strength), literally or figuratively; by implication, pains","kjv_def":"labour, + trouble, weariness","lemma":"κόπος"},
"G2474":{"strongs_def":" Israel (i.e. Jisrael), the adopted name of Jacob, including his descendants (literally or figuratively)","derivation":"of Hebrew origin (H03478);","kjv_def":"Israel","lemma":"Ἰσραήλ"},
"G1096":{"derivation":"a prolongation and middle voice form of a primary verb;","strongs_def":" to cause to be (\"gen\"-erate), i.e. (reflexively) to become (come into being), used with great latitude (literal, figurative, intensive, etc.)","kjv_def":"arise, be assembled, be(-come, -fall, -have self), be brought (to pass), (be) come (to pass), continue, be divided, draw, be ended, fall, be finished, follow, be found, be fulfilled, + God forbid, grow, happen, have, be kept, be made, be married, be ordained to be, partake, pass, be performed, be published, require, seem, be showed, X soon as it was, sound, be taken, be turned, use, wax, will, would, be wrought","lemma":"γίνομαι"},
"G4350":{"lemma":"προσκόπτω","kjv_def":"beat upon, dash, stumble (at)","derivation":"from G4314 (πρός) and G2875 (κόπτω);","strongs_def":" to strike at, i.e. surge against (as water); specially, to stub on, i.e. trip up (literally or figuratively)"},
"G1185":{"kjv_def":"allure, beguile, entice","lemma":"δελεάζω","derivation":"from the base of G1388 (δόλος);","strongs_def":" to entrap, i.e. (figuratively) delude"},
"G3972":{"kjv_def":"Paul, Paulus","lemma":"Παῦλος","strongs_def":" (little; but remotely from a derivative of G3973 (παύω), meaning the same); Paulus, the name of a Roman and of an apostle","derivation":"of Latin origin;"},
"G337":{"derivation":"from G303 (ἀνά) and (the active of) G138 (αἱρέομαι);","strongs_def":" to take up, i.e. adopt; by implication, to take away (violently), i.e. abolish, murder","kjv_def":"put to death, kill, slay, take away, take up","lemma":"ἀναιρέω"},
"G1345":{"kjv_def":"judgment, justification, ordinance, righteousness","lemma":"δικαίωμα","derivation":"from G1344 (δικαιόω);","strongs_def":" an equitable deed; by implication, a statute or decision"},
"G5506":{"derivation":"from G5507 (χίλιοι) and G757 (ἄρχω);","strongs_def":" the commander of a thousand soldiers (\"chiliarch\"; i.e. colonel","lemma":"χιλίαρχος","kjv_def":"(chief, high) captain"},
"G2678":{"derivation":"from G2596 (κατά) and G4579 (σείω);","strongs_def":" to sway downward, i.e. make a signal","kjv_def":"beckon","lemma":"κατασείω"},
"G1174":{"derivation":"the compound of a derivative of the base of G1169 (δειλός) and G1142 (δαίμων);","strongs_def":" more religious than others","lemma":"δεισιδαιμονέστερος","kjv_def":"too superstitious"},
"G972":{"lemma":"βίαιος","kjv_def":"mighty","strongs_def":" violent","derivation":"from G970 (βία);"},
"G2235":{"strongs_def":" even now","derivation":"apparently from G2228 (ἤ) (or possibly G2229 (ἦ)) and G1211 (δή);","lemma":"ἤδη","kjv_def":"already, (even) now (already), by this time"},
"G5374":{"derivation":"from G5375 (Φίλιπποι);","strongs_def":" a Philippesian (Philippian), i.e. native of Philippi","lemma":"Φιλιππήσιος","kjv_def":"Philippian"},
"G5495":{"strongs_def":" the hand (literally or figuratively (power); especially (by Hebraism) a means or instrument)","derivation":"perhaps from the base of G5494 (χειμών) in the sense of its congener the base of G5490 (χάσμα) (through the idea of hollowness for grasping);","kjv_def":"hand","lemma":"χείρ"},
"G2005":{"strongs_def":" to fulfill further (or completely), i.e. execute; by implication, to terminate, undergo","derivation":"from G1909 (ἐπί) and G5055 (τελέω);","lemma":"ἐπιτελέω","kjv_def":"accomplish, do, finish, (make) (perfect), perform(X -ance)"},
"G4296":{"strongs_def":" to herald (i.e. proclaim) in advance","derivation":"from G4253 (πρό) and G2784 (κηρύσσω);","kjv_def":"before (first) preach","lemma":"προκηρύσσω"},
"G1445":{"lemma":"Ἑβραῖος","kjv_def":"Hebrew","derivation":"from G1443 (Ἐβέρ);","strongs_def":" a Hebræan (i.e. Hebrew) or Jew"},
"G2662":{"kjv_def":"trample, tread (down, underfoot)","lemma":"καταπατέω","derivation":"from G2596 (κατά) and G3961 (πατέω);","strongs_def":" to trample down; figuratively, to reject with disdain"},
"G3834":{"strongs_def":" adroitness, i.e. (in a bad sense) trickery or sophistry","derivation":"from G3835 (πανοῦργος);","lemma":"πανουργία","kjv_def":"(cunning) craftiness, subtilty"},
"G3434":{"kjv_def":"Moloch","lemma":"Μολόχ","strongs_def":" Moloch (i.e. Molek), an idol","derivation":"of Hebrew origin (H04432);"},
"G4317":{"kjv_def":"bring, draw near","lemma":"προσάγω","derivation":"from G4314 (πρός) and G71 (ἄγω);","strongs_def":" to lead towards, i.e. (transitively) to conduct near (summon, present), or (intransitively) to approach"},
"G4586":{"strongs_def":" venerable, i.e. honorable","derivation":"from G4576 (σέβομαι);","kjv_def":"grave, honest","lemma":"σεμνός"},
"G512":{"strongs_def":" useless or (neuter) inutility","derivation":"from G1 (Α) (as a negative particle) and the base of G5624 (ὠφέλιμος);","kjv_def":"unprofitable(-ness)","lemma":"ἀνωφελής"},
"G1460":{"kjv_def":"dwell among","lemma":"ἐγκατοικέω","derivation":"from G1722 (ἐν) and G2730 (κατοικέω);","strongs_def":" to settle down in a place, i.e. reside"},
"G93":{"lemma":"ἀδικία","kjv_def":"iniquity, unjust, unrighteousness, wrong","derivation":"from G94 (ἄδικος);","strongs_def":" (legal) injustice (properly, the quality, by implication, the act); morally, wrongfulness (of character, life or act)"},
"G2287":{"derivation":"from (the feminine form of) G2288 (θάνατος) and G5342 (φέρω);","strongs_def":" death-bearing, i.e. fatal","kjv_def":"deadly","lemma":"θανατήφορος"},
"G4204":{"strongs_def":" a strumpet; figuratively, an idolater","derivation":"feminine of G4205 (πόρνος);","lemma":"πόρνη","kjv_def":"harlot, whore"},
"G5526":{"lemma":"χορτάζω","kjv_def":"feed, fill, satisfy","strongs_def":" to fodder, i.e. (generally) to gorge (supply food in abundance)","derivation":"from G5528 (χόρτος);"},
"G4804":{"kjv_def":"disputer","lemma":"συζητητής","derivation":"from G4802 (συζητέω);","strongs_def":" a disputant, i.e. sophist"},
"G3402":{"derivation":"from G3401 (μιμέομαι);","strongs_def":" an imitator","kjv_def":"follower","lemma":"μιμητής"},
"G2072":{"derivation":"from G1519 (εἰς) and a presumed derivative of G3700 (ὀπτάνομαι);","strongs_def":" a mirror (for looking into)","lemma":"ἔσοπτρον","kjv_def":"glass"},
"G300":{"kjv_def":"Amon","lemma":"Ἀμών","strongs_def":" Amon, an Israelite","derivation":"of Hebrew origin (H0526);"},
"G3741":{"kjv_def":"holy, mercy, shalt be","lemma":"ὅσιος","derivation":"of uncertain affinity; properly, right (by intrinsic or divine character; thus distinguished from 1342, which refers rather to human statutes and relations; from G2413 (ἱερός), which denotes formal consecration;","strongs_def":" and from G40 (ἅγιος), which relates to purity from defilement), i.e. hallowed (pious, sacred, sure)"},
"G3193":{"kjv_def":"honeycomb","lemma":"μελίσσιος","strongs_def":" relating to honey, i.e. bee (comb)","derivation":"from G3192 (μέλι);"},
"G4958":{"kjv_def":" short, wind up","lemma":"συστέλλω","derivation":"from G4862 (σύν) and G4724 (στέλλω);","strongs_def":" to send (draw) together, i.e. enwrap (enshroud a corpse for burial), contract (an interval)"},
"G1681":{"strongs_def":" Elymas, a wizard","derivation":"of foreign origin;","kjv_def":"Elymas","lemma":"Ἐλύμας"},
"G3696":{"strongs_def":" an implement or utensil or tool (literally or figuratively, especially, offensive for war)","derivation":"probably from a primary (to be busy about);","lemma":"ὅπλον","kjv_def":"armour, instrument, weapon"},
"G2605":{"lemma":"καταγγέλλω","kjv_def":"declare, preach, shew, speak of, teach","strongs_def":" to proclaim, promulgate","derivation":"from G2596 (κατά) and the base of G32 (ἄγγελος);"},
"G1253":{"derivation":"from G1252 (διακρίνω);","strongs_def":" judicial estimation","lemma":"διάκρισις","kjv_def":"discern(-ing), disputation"},
"G2259":{"lemma":"ἡνίκα","kjv_def":"when","derivation":"of uncertain affinity;","strongs_def":" at which time"},
"G5231":{"lemma":"ὑπεράνω","kjv_def":"far above, over","strongs_def":" above upward, i.e. greatly higher (in place or rank)","derivation":"from G5228 (ὑπέρ) and G507 (ἄνω);"},
"G610":{"kjv_def":"sentence","lemma":"ἀπόκριμα","derivation":"from G611 (ἀποκρίνομαι) (in its original sense of judging);","strongs_def":" a judicial decision"},
"G3170":{"derivation":"from G3173 (μέγας);","strongs_def":" to make (or declare) great, i.e. increase or (figuratively) extol","lemma":"μεγαλύνω","kjv_def":"enlarge, magnify, shew great"},
"G1235":{"kjv_def":"be awake","lemma":"διαγρηγορέω","strongs_def":" to waken thoroughly","derivation":"from G1223 (διά) and G1127 (γρηγορεύω);"},
"G1392":{"kjv_def":"(make) glorify(-ious), full of (have) glory, honour, magnify","lemma":"δοξάζω","derivation":"from G1391 (δόξα);","strongs_def":" to render (or esteem) glorious (in a wide application)"},
"G2263":{"derivation":"perhaps by transposition from G2048 (ἔρημος) (through the idea of stillness);","strongs_def":" tranquil","lemma":"ἤρεμος","kjv_def":"quiet"},
"G3469":{"derivation":"from G3470 (μῶμος);","strongs_def":" to carp at, i.e. censure (discredit)","kjv_def":"blame","lemma":"μωμάομαι"},
"G663":{"strongs_def":" (figuratively) decisiveness, i.e. rigor","derivation":"from the base of G664 (ἀποτόμως);","kjv_def":"severity","lemma":"ἀποτομία"},
"G428":{"strongs_def":" not well set, i.e. inconvenient","derivation":"from G1 (Α) (as a negative particle) and G2111 (εὔθετος);","kjv_def":"not commodious","lemma":"ἀνεύθετος"},
"G3755":{"lemma":"ὅτου","kjv_def":"whiles","derivation":"for the genitive case of G3748 (ὅστις) (as adverb);","strongs_def":" during which same time, i.e. whilst"},
"G1996":{"lemma":"ἐπισυνάγω","kjv_def":"gather (together)","derivation":"from G1909 (ἐπί) and G4863 (συνάγω);","strongs_def":" to collect upon the same place"},
"G2027":{"derivation":"from G1909 (ἐπί) and (to urge);","strongs_def":" to drive upon the shore, i.e. to beach a vessel","kjv_def":"run aground","lemma":"ἐποκέλλω"},
"G4636":{"derivation":"from G4633 (σκηνή);","strongs_def":" a hut or temporary residence, i.e. (figuratively) the human body (as the abode of the spirit)","kjv_def":"tabernacle","lemma":"σκῆνος"},
"G5377":{"lemma":"φιλόθεος","kjv_def":"lover of God","strongs_def":" fond of God, i.e. pious","derivation":"from G5384 (φίλος) and G2316 (θεός);"},
"G1333":{"strongs_def":" a space of two years (biennium)","derivation":"from G1332 (διετής);","lemma":"διετία","kjv_def":"two years"},
"G1820":{"lemma":"ἐξαπορέομαι","kjv_def":"(in) despair","strongs_def":" to be utterly at a loss, i.e. despond","derivation":"middle voice from G1537 (ἐκ) and G639 (ἀπορέω);"},
"G3970":{"derivation":"from G3962 (πατήρ) and a derivative of G3860 (παραδίδωμι) (in the sense of handing over or down);","strongs_def":" traditionary","lemma":"πατροπαράδοτος","kjv_def":"received by tradition from fathers"},
"G3934":{"lemma":"Πάρθος","kjv_def":"Parthian","strongs_def":" a Parthian, i.e. inhabitant of Parthia","derivation":"probably of foreign origin;"},
"G1052":{"derivation":"from G1053 (Γαλατία);","strongs_def":" a Galatian or inhabitant of Galatia","lemma":"Γαλάτης","kjv_def":"Galatian"},
"G1566":{"kjv_def":"there","lemma":"ἐκεῖσε","derivation":"from G1563 (ἐκεῖ);","strongs_def":" thither"},
"G2089":{"strongs_def":" \"yet,\" still (of time or degree)","derivation":"perhaps akin to G2094 (ἔτος);","kjv_def":"after that, also, ever, (any) further, (t-)henceforth (more), hereafter, (any) longer, (any) more(-one), now, still, yet","lemma":"ἔτι"},
"G1933":{"derivation":"from G1909 (ἐπί) and G1503 (εἴκω);","strongs_def":" appropriate, i.e. (by implication) mild","kjv_def":"gentle, moderation, patient","lemma":"ἐπιεικής"},
"G3037":{"derivation":"apparently a primary word;","strongs_def":" a stone (literally or figuratively)","kjv_def":"(mill-, stumbling-)stone","lemma":"λίθος"},
"G350":{"kjv_def":"ask, question, discern, examine, judge, search","lemma":"ἀνακρίνω","strongs_def":" properly, to scrutinize, i.e. (by implication) investigate, interrogate, determine","derivation":"from G303 (ἀνά) and G2919 (κρίνω);"},
"G3698":{"lemma":"ὁπότε","kjv_def":"when","strongs_def":" what(-ever) then, i.e. (of time) as soon as","derivation":"from G3739 (ὅς) and G4218 (ποτέ);"},
"G988":{"strongs_def":" vilification (especially against God)","derivation":"from G989 (βλάσφημος);","lemma":"βλασφημία","kjv_def":"blasphemy, evil speaking, railing"},
"G351":{"kjv_def":"examination","lemma":"ἀνάκρισις","derivation":"from G350 (ἀνακρίνω);","strongs_def":" a (judicial) investigation"},
"G347":{"derivation":"from G303 (ἀνά) and G2827 (κλίνω);","strongs_def":" to lean back","lemma":"ἀνακλίνω","kjv_def":"lay, (make) sit down"},
"G2356":{"strongs_def":" ceremonial observance","derivation":"from a derivative of G2357 (θρησκός);","lemma":"θρησκεία","kjv_def":"religion, worshipping"},
"G1368":{"derivation":"from G1223 (διά) and (to filter);","strongs_def":" to strain out","lemma":"διϋλίζω","kjv_def":"strain at (probably by misprint)"},
"G82":{"strongs_def":" hidden, figuratively, indistinct","derivation":"from G1 (Α) (as a negative particle) and G1212 (δῆλος);","kjv_def":"appear not, uncertain","lemma":"ἄδηλος"},
"G5046":{"lemma":"τέλειος","kjv_def":"of full age, man, perfect","derivation":"from G5056 (τέλος);","strongs_def":" complete (in various applications of labor, growth, mental and moral character, etc.); neuter (as noun, with G3588 (ὁ)) completeness"},
"G3537":{"kjv_def":"bason","lemma":"νιπτήρ","derivation":"from G3538 (νίπτω);","strongs_def":" a ewer"},
"G1377":{"derivation":"a prolonged (and causative) form of a primary verb (to flee;","strongs_def":" compare the base of G1169 (δειλός) and G1249 (διάκονος)); to pursue (literally or figuratively); by implication, to persecute","lemma":"διώκω","kjv_def":"ensue, follow (after), given to, (suffer) persecute(-ion), press forward"},
"G2686":{"kjv_def":"deal subtilly with","lemma":"κατασοφίζομαι","strongs_def":" to be crafty against, i.e. circumvent","derivation":"middle voice from G2596 (κατά) and G4679 (σοφίζω);"},
"G1300":{"strongs_def":" to accomplish thoroughly, i.e. (subjectively) to persist","derivation":"from G1223 (διά) and G5055 (τελέω);","lemma":"διατελέω","kjv_def":"continue"},
"G106":{"derivation":"from G1 (Α) (as a negative particle) and G2219 (ζύμη);","strongs_def":" unleavened, i.e. (figuratively) uncorrupted; (in the neutral plural) specially (by implication) the Passover week","lemma":"ἄζυμος","kjv_def":"unleavened (bread)"},
"G4137":{"kjv_def":"accomplish, X after, (be) complete, end, expire, fill (up), fulfil, (be, make) full (come), fully preach, perfect, supply","lemma":"πληρόω","strongs_def":" to make replete, i.e. (literally) to cram (a net), level up (a hollow), or (figuratively) to furnish (or imbue, diffuse, influence), satisfy, execute (an office), finish (a period or task), verify (or coincide with a prediction), etc.","derivation":"from G4134 (πλήρης);"},
"G1461":{"lemma":"ἐγκεντρίζω","kjv_def":"graff in(-to)","derivation":"from G1722 (ἐν) and a derivative of G2759 (κέντρον);","strongs_def":" to prick in, i.e. ingraft"},
"G2800":{"kjv_def":"breaking","lemma":"κλάσις","strongs_def":" fracture (the act)","derivation":"from G2806 (κλάω);"},
"G1588":{"strongs_def":" select; by implication, favorite","derivation":"from G1586 (ἐκλέγομαι);","lemma":"ἐκλεκτός","kjv_def":"chosen, elect"},
"G5464":{"kjv_def":"hail","lemma":"χάλαζα","derivation":"probably from G5465 (χαλάω);","strongs_def":" hail"},
"G4026":{"kjv_def":"avoid, shun, stand by (round about)","lemma":"περιΐστημι","strongs_def":" to stand all around, i.e. (near) to be a bystander, or (aloof) to keep away from","derivation":"from G4012 (περί) and G2476 (ἵστημι);"},
"G714":{"derivation":"apparently a primary verb (but probably akin to G142 (αἴρω) through the idea of raising a barrier);","strongs_def":" properly, to ward off, i.e. (by implication) to avail (figuratively, be satisfactory)","kjv_def":"be content, be enough, suffice, be sufficient","lemma":"ἀρκέω"},
"G689":{"strongs_def":" Aram (i.e. Ram), an Israelite","derivation":"of Hebrew origin (H07410);","lemma":"Ἀράμ","kjv_def":"Aram"},
"G3173":{"derivation":"(including the prolonged forms, feminine , plural , etc.; compare also G3176 (μέγιστος), G3187 (μείζων));","strongs_def":" big (literally or figuratively, in a very wide application)","lemma":"μέγας","kjv_def":"(+ fear) exceedingly, great(-est), high, large, loud, mighty, + (be) sore (afraid), strong, X to years"},
"G2750":{"lemma":"κειρία","kjv_def":"graveclothes","strongs_def":" a swathe, i.e. winding-sheet","derivation":"of uncertain affinity;"},
"G880":{"strongs_def":" voiceless, i.e. mute (by nature or choice); figuratively, unmeaning","derivation":"from G1 (Α) (as a negative particle) and G5456 (φωνή);","kjv_def":"dumb, without signification","lemma":"ἄφωνος"},
"G3324":{"lemma":"μεστός","kjv_def":"full","derivation":"of uncertain derivation;","strongs_def":" replete (literally or figuratively)"},
"G2771":{"derivation":"of uncertain affinity;","strongs_def":" gain (pecuniary or genitive case)","kjv_def":"gain, lucre","lemma":"κέρδος"},
"G4549":{"strongs_def":" Saul (i.e. Shaul), the Jewish name of Paul","derivation":"of Hebrew origin (H07586);","kjv_def":"Saul","lemma":"Σαούλ"},
"G2025":{"derivation":"from G1909 (ἐπί) and G5548 (χρίω);","strongs_def":" to smear over","lemma":"ἐπιχρίω","kjv_def":"anoint"},
"G2606":{"strongs_def":"to laugh down, i.e. deride","kjv_def":"laugh to scorn","lemma":"καταγελάω"},
"G303":{"derivation":"a primary preposition and adverb;","strongs_def":" properly, up; but (by extension) used (distributively) severally, or (locally) at (etc.)","lemma":"ἀνά","kjv_def":"and, apiece, by, each, every (man), in, through"},
"G582":{"strongs_def":" an enrollment; by implication, an assessment","derivation":"from G583 (ἀπογράφω);","kjv_def":"taxing","lemma":"ἀπογραφή"},
"G2208":{"strongs_def":" a Zealot, i.e. (specially) partisan for Jewish political independence","derivation":"the same as G2207 (ζηλωτής);","kjv_def":"Zelotes","lemma":"Ζηλωτής"},
"G4345":{"strongs_def":" to give a common lot to, i.e. (figuratively) to associate with","derivation":"from G4314 (πρός) and G2820 (κληρόω);","lemma":"προσκληρόω","kjv_def":"consort with"},
"G3310":{"derivation":"feminine of G3313 (μέρος);","strongs_def":" a portion, i.e. province, share or (abstractly) participation","lemma":"μερίς","kjv_def":"part (X -akers)"},
"G567":{"lemma":"ἀπέχομαι","kjv_def":"abstain","derivation":"middle voice (reflexively) of G568 (ἀπέχω);","strongs_def":" to hold oneself off, i.e. refrain"},
"G776":{"lemma":"ἀσιτία","kjv_def":"abstinence","derivation":"from G777 (ἄσιτος);","strongs_def":" fasting (the state)"},
"G2477":{"derivation":"from a derivative of G1492 (εἴδω);","strongs_def":" to be knowing (learned), i.e. (by implication) to visit for information (interview)","lemma":"ἱστορέω","kjv_def":"see"},
"G3702":{"strongs_def":" cooked, i.e. roasted","derivation":"from an obsolete verb akin to (to \"steep\");","kjv_def":"broiled","lemma":"ὀπτός"},
"G104":{"lemma":"ἀεί","kjv_def":"always, ever","derivation":"from an obsolete primary noun (apparently meaning continued duration);","strongs_def":" \"ever,\" by qualification regularly; by implication, earnestly"},
"G3856":{"derivation":"from G3844 (παρά) and G1165 (δειγματίζω);","strongs_def":" to show alongside (the public), i.e. expose to infamy","lemma":"παραδειγματίζω","kjv_def":"make a public example, put to an open shame"},
"G5520":{"strongs_def":" to be bilious, i.e. (by implication) irritable (enraged, \"choleric\")","derivation":"from G5521 (χολή);","lemma":"χολάω","kjv_def":"be angry"},
"G1408":{"kjv_def":"course","lemma":"δρόμος","derivation":"from the alternate of G5143 (τρέχω);","strongs_def":" a race, i.e. (figuratively) career"},
"G1764":{"lemma":"ἐνίστημι","kjv_def":"come, be at hand, present","derivation":"from G1722 (ἐν) and G2476 (ἵστημι);","strongs_def":" to place on hand, i.e. (reflexively) impend, (participle) be instant"},
"G5273":{"lemma":"ὑποκριτής","kjv_def":"hypocrite","derivation":"from G5271 (ὑποκρίνομαι);","strongs_def":" an actor under an assumed character (stage-player), i.e. (figuratively) a dissembler (\"hypocrite\""},
"G4878":{"strongs_def":" to take hold of opposite together, i.e. co-operate (assist)","derivation":"from G4862 (σύν) and G482 (ἀντιλαμβάνομαι);","kjv_def":"help","lemma":"συναντιλαμβάνομαι"},
"G4438":{"strongs_def":" to box (with the fist), i.e. contend (as a boxer) at the games (figuratively)","derivation":"from a derivative of the same as G4435 (πυγμή);","lemma":"πυκτέω","kjv_def":"fight"},
"G3416":{"derivation":"of uncertain origin;","strongs_def":" Mnason, a Christian","lemma":"Μνάσων","kjv_def":"Mnason"},
"G1901":{"strongs_def":" to stretch (oneself) forward upon","derivation":"middle voice from G1909 (ἐπί) and G1614 (ἐκτείνω);","kjv_def":"reach forth","lemma":"ἐπεκτείνομαι"},
"G1941":{"derivation":"middle voice from G1909 (ἐπί) and G2564 (καλέω);","strongs_def":" to entitle; by implication, to invoke (for aid, worship, testimony, decision, etc.)","lemma":"ἐπικαλέομαι","kjv_def":"appeal (unto), call (on, upon), surname"},
"G4851":{"derivation":"from G4862 (σύν) and G5342 (φέρω) (including its alternate);","strongs_def":" to bear together (contribute), i.e. (literally) to collect, or (figuratively) to conduce; especially (neuter participle as a noun) advantage","lemma":"συμφέρω","kjv_def":"be better for, bring together, be expedient (for), be good, (be) profit(-able for)"},
"G1699":{"strongs_def":" my","derivation":"from the oblique cases of G1473 (ἐγώ) (G1698 (ἐμοί), G1700 (ἐμοῦ), G1691 (ἐμέ));","kjv_def":"of me, mine (own), my","lemma":"ἐμός"},
"G4809":{"derivation":"from G4810 (σῦκον) and (the mulberry);","strongs_def":" the \"sycamore\"-fig tree","kjv_def":"sycamore tree","lemma":"συκομωραία"},
"G7":{"derivation":"of Hebrew origin (H029);","strongs_def":" Abijah, the name of two Israelites","lemma":"Ἀβιά","kjv_def":"Abia"},
"G3916":{"strongs_def":" at the thing itself, i.e. instantly","derivation":"from G3844 (παρά) and G5536 (χρῆμα) (in its original sense);","kjv_def":"forthwith, immediately, presently, straightway, soon","lemma":"παραχρῆμα"},
"G1102":{"derivation":"by variation for a derivative from (to tease cloth);","strongs_def":" a cloth-dresser","kjv_def":"fuller","lemma":"γναφεύς"},
"G5439":{"lemma":"φυλακίζω","kjv_def":"imprison","strongs_def":" to incarcerate","derivation":"from G5441 (φύλαξ);"},
"G1466":{"lemma":"ἐγκράτεια","kjv_def":"temperance","strongs_def":" self-control (especially continence)","derivation":"from G1468 (ἐγκρατής);"},
"G3646":{"strongs_def":" a wholly-consumed sacrifice (\"holocaust\")","derivation":"from a derivative of a compound of G3650 (ὅλος) and a derivative of G2545 (καίω);","lemma":"ὁλοκαύτωμα","kjv_def":"(whole) burnt offering"},
"G4540":{"lemma":"Σαμάρεια","kjv_def":"Samaria","strongs_def":" Samaria (i.e. Shomeron), a city and region of Palestine","derivation":"of Hebrew origin (H08111);"},
"G5383":{"derivation":"from a compound of G5384 (φίλος) and G4413 (πρῶτος);","strongs_def":" to be fond of being first, i.e. ambitious of distinction","kjv_def":"love to have the preeminence","lemma":"φιλοπρωτεύω"},
"G354":{"kjv_def":"taking up","lemma":"ἀνάληψις","strongs_def":" ascension","derivation":"from G353 (ἀναλαμβάνω);"},
"G3635":{"strongs_def":" to be slow (figuratively, loath)","derivation":"from (hesitation);","lemma":"ὀκνέω","kjv_def":"delay"},
"G2147":{"strongs_def":" to find (literally or figuratively)","derivation":"a prolonged form of a primary , which (together with another cognate form) is used for it in all the tenses except the present and imperfect;","lemma":"εὑρίσκω","kjv_def":"find, get, obtain, perceive, see"},
"G200":{"strongs_def":" a locust (as pointed, or as lighting on the top of vegetation)","derivation":"apparently from the same as G206 (ἄκρον);","kjv_def":"locust","lemma":"ἀκρίς"},
"G5342":{"kjv_def":"be, bear, bring (forth), carry, come, + let her drive, be driven, endure, go on, lay, lead, move, reach, rushing, uphold","lemma":"φέρω","strongs_def":" to \"bear\" or carry (in a very wide application, literally and figuratively, as follows)","derivation":"a primary verb (for which other, and apparently not cognate ones are used in certain tenses only; namely, ; and ;"},
"G4115":{"kjv_def":"make broad, enlarge","lemma":"πλατύνω","derivation":"from G4116 (πλατύς);","strongs_def":" to widen (literally or figuratively)"},
"G2399":{"lemma":"ἰδιώτης","kjv_def":"ignorant, rude, unlearned","strongs_def":" a private person, i.e. (by implication) an ignoramus (compare \"idiot\")","derivation":"from G2398 (ἴδιος);"},
"G4448":{"lemma":"πυρόω","kjv_def":"burn, fiery, be on fire, try","strongs_def":" to kindle, i.e. (passively) to be ignited, glow (literally), be refined (by implication), or (figuratively) to be inflamed (with anger, grief, lust)","derivation":"from G4442 (πῦρ);"},
"G4180":{"kjv_def":"much speaking","lemma":"πολυλογία","strongs_def":" loquacity, i.e. prolixity","derivation":"from a compound of G4183 (πολύς) and G3056 (λόγος);"},
"G5131":{"kjv_def":"goat","lemma":"τράγος","derivation":"from the base of G5176 (τρώγω);","strongs_def":" a he-goat (as a gnawer)"},
"G4579":{"kjv_def":"move, quake, shake","lemma":"σείω","strongs_def":" to rock (vibrate, properly, sideways or to and fro), i.e. (generally) to agitate (in any direction; cause to tremble); figuratively, to throw into a tremor (of fear or concern)","derivation":"apparently a primary verb;"},
"G930":{"kjv_def":"tormentor","lemma":"βασανιστής","derivation":"from G928 (βασανίζω);","strongs_def":" a torturer"},
"G3852":{"lemma":"παραγγελία","kjv_def":"charge, command","strongs_def":" a mandate","derivation":"from G3853 (παραγγέλλω);"},
"G1539":{"strongs_def":" at every time","derivation":"as if from G1538 (ἕκαστος) and G5119 (τότε);","lemma":"ἑκάστοτε","kjv_def":"always"},
"G705":{"derivation":"from G706 (ἀριθμός);","strongs_def":" to enumerate or count","lemma":"ἀριθμέω","kjv_def":"number"},
"G2586":{"derivation":"of uncertain affinity;","strongs_def":" smoke","lemma":"καπνός","kjv_def":"smoke"},
"G4722":{"derivation":"from G4721 (στέγη);","strongs_def":" to roof over, i.e. (figuratively) to cover with silence (endure patiently)","kjv_def":"(for-)bear, suffer","lemma":"στέγω"},
"G4101":{"kjv_def":"spike-(nard)","lemma":"πιστικός","derivation":"from G4102 (πίστις);","strongs_def":" trustworthy, i.e. genuine (unadulterated)"},
"G2624":{"kjv_def":"divide by lot","lemma":"κατακληροδοτέω","strongs_def":" to be a giver of lots to each, i.e. (by implication) to apportion an estate","derivation":"from G2596 (κατά) and a derivative of a compound of G2819 (κλῆρος) and G1325 (δίδωμι);"},
"G4343":{"kjv_def":"perseverance","lemma":"προσκαρτέρησις","strongs_def":" persistancy","derivation":"from G4342 (προσκαρτερέω);"},
"G2618":{"kjv_def":"burn (up, utterly)","lemma":"κατακαίω","derivation":"from G2596 (κατά) and G2545 (καίω);","strongs_def":" to burn down (to the ground), i.e. consume wholly"},
"G3604":{"lemma":"Ὀζίας","kjv_def":"Ozias","strongs_def":" Ozias (i.e. Uzzijah), an Israelite","derivation":"of Hebrew origin (H05818);"},
"G3054":{"kjv_def":"strive about words","lemma":"λογομαχέω","derivation":"from a compound of G3056 (λόγος) and G3164 (μάχομαι);","strongs_def":" to be disputatious (on trifles)"},
"G4742":{"kjv_def":"mark","lemma":"στίγμα","strongs_def":" a mark incised or punched (for recognition of ownership), i.e. (figuratively) scar of service","derivation":"from a primary (to \"stick\", i.e. prick);"},
"G3002":{"derivation":"of uncertain origin;","strongs_def":" Lebbæus, a Christian","lemma":"Λεββαῖος","kjv_def":"Lebbæus"},
"G5485":{"strongs_def":" graciousness (as gratifying), of manner or act (abstract or concrete; literal, figurative or spiritual; especially the divine influence upon the heart, and its reflection in the life; including gratitude)","derivation":"from G5463 (χαίρω);","kjv_def":"acceptable, benefit, favour, gift, grace(- ious), joy, liberality, pleasure, thank(-s, -worthy)","lemma":"χάρις"},
"G5619":{"kjv_def":"as","lemma":"ὡσπερεί","strongs_def":" just as if, i.e. as it were","derivation":"from G5618 (ὥσπερ) and G1487 (εἰ);"},
"G4768":{"derivation":"from the same as G4767 (στυγνητός);","strongs_def":" to render gloomy, i.e. (by implication) glower (be overcast with clouds, or sombreness of speech)","kjv_def":"lower, be sad","lemma":"στυγνάζω"},
"G3126":{"derivation":"of Chaldee origin (confidence, i.e. wealth, personified);","strongs_def":" mammonas, i.e. avarice (deified)","kjv_def":"mammon","lemma":"μαμμωνᾶς"},
"G532":{"strongs_def":" unready","derivation":"from G1 (Α) (as a negative particle) and a derivative of G3903 (παρασκευάζω);","kjv_def":"unprepared","lemma":"ἀπαρασκεύαστος"},
"G1147":{"kjv_def":"finger","lemma":"δάκτυλος","derivation":"probably from G1176 (δέκα);","strongs_def":" a finger"},
"G3663":{"derivation":"from G3664 (ὅμοιος) and the alternate of G3958 (πάσχω);","strongs_def":" similarly affected","lemma":"ὁμοιοπαθής","kjv_def":"of (subject to) like passions"},
"G2486":{"derivation":"of uncertain affinity;","strongs_def":" a fish","kjv_def":"fish","lemma":"ἰχθύς"},
"G934":{"kjv_def":"royal","lemma":"βασίλειος","derivation":"from G935 (βασιλεύς);","strongs_def":" kingly (in nature)"},
"G1075":{"kjv_def":"count by descent","lemma":"γενεαλογέω","strongs_def":" to reckon by generations, i.e. trace in genealogy","derivation":"from G1074 (γενεά) and G3056 (λόγος);"},
"G2598":{"strongs_def":" to throw down","derivation":"from G2596 (κατά) and G906 (βάλλω);","kjv_def":"cast down, lay","lemma":"καταβάλλω"},
"G865":{"strongs_def":" hostile to virtue","derivation":"from G1 (Α) (as a negative particle) and G5358 (φιλάγαθος);","kjv_def":"despiser of those that are good","lemma":"ἀφιλάγαθος"},
"G2573":{"kjv_def":"(in a) good (place), honestly, + recover, (full) well","lemma":"καλῶς","derivation":"adverb from G2570 (καλός);","strongs_def":" well (usually morally)"},
"G1436":{"kjv_def":"let alone","lemma":"ἔα","derivation":"apparent imperative of G1439 (ἐάω);","strongs_def":" properly, let it be, i.e. (as interjection) aha!"},
"G2535":{"derivation":"of Hebrew origin (H07014);","strongs_def":" Cain, (i.e. Cajin), the son of Adam","kjv_def":"Cain","lemma":"Κάϊν"},
"G1298":{"kjv_def":"trouble","lemma":"διαταράσσω","strongs_def":" to disturb wholly, i.e. agitate (with alarm)","derivation":"from G1223 (διά) and G5015 (ταράσσω);"},
"G365":{"strongs_def":" to renovate, i.e. reform","derivation":"from G303 (ἀνά) and a derivative of G3501 (νέος);","kjv_def":"renew","lemma":"ἀνανεόω"},
"G1852":{"strongs_def":" to waken","derivation":"from G1853 (ἔξυπνος);","kjv_def":"awake out of sleep","lemma":"ἐξυπνίζω"},
"G5553":{"derivation":"diminutive of G5557 (χρυσός);","strongs_def":" a golden article, i.e. gold plating, ornament, or coin","kjv_def":"gold","lemma":"χρυσίον"},
"G181":{"derivation":"from G182 (ἀκατάστατος);","strongs_def":" instability, i.e. disorder","kjv_def":"commotion, confusion, tumult","lemma":"ἀκαταστασία"},
"G2053":{"kjv_def":"wool","lemma":"ἔριον","derivation":"of obscure affinity;","strongs_def":" wool"},
"G1402":{"strongs_def":" to enslave (literally or figuratively)","derivation":"from G1401 (δοῦλος);","kjv_def":"bring into (be under) bondage, X given, become (make) servant","lemma":"δουλόω"},
"G215":{"kjv_def":"unutterable, which cannot be uttered","lemma":"ἀλάλητος","derivation":"from G1 (Α) (as a negative particle) and a derivative of G2980 (λαλέω);","strongs_def":" unspeakable"},
"G3565":{"derivation":"from a primary but obsolete verb (to veil as a bride;","strongs_def":" compare Latin \"nupto,\" to marry); a young married woman (as veiled), including a betrothed girl; by implication, a son's wife","kjv_def":"bride, daughter in law","lemma":"νύμφη"},
"G3040":{"kjv_def":"haven","lemma":"λιμήν","strongs_def":" a harbor","derivation":"apparently a primary word;"},
"G1389":{"kjv_def":"handle deceitfully","lemma":"δολόω","strongs_def":" to ensnare, i.e. (figuratively) adulterate","derivation":"from G1388 (δόλος);"},
"G1540":{"lemma":"ἑκατόν","kjv_def":"hundred","derivation":"of uncertain affinity;","strongs_def":" a hundred"},
"G1089":{"lemma":"γεύομαι","kjv_def":"eat, taste","derivation":"a primary verb;","strongs_def":" to taste; by implication, to eat; figuratively, to experience (good or ill)"},
"G565":{"derivation":"from G575 (ἀπό) and G2064 (ἔρχομαι);","strongs_def":" to go off (i.e. depart), aside (i.e. apart) or behind (i.e. follow), literally or figuratively","kjv_def":"come, depart, go (aside, away, back, out, … ways), pass away, be past","lemma":"ἀπέρχομαι"},
"G53":{"lemma":"ἁγνός","kjv_def":"chaste, clean, pure","derivation":"from the same as G40 (ἅγιος);","strongs_def":" properly, clean, i.e. (figuratively) innocent, modest, perfect"},
"G216":{"kjv_def":"dumb","lemma":"ἄλαλος","derivation":"from G1 (Α) (as a negative particle) and G2980 (λαλέω);","strongs_def":" mute"},
"G90":{"derivation":"from a derivative of a compound of G1 (Α) (as a negative particle) and a derivative of G1311 (διαφθείρω);","strongs_def":" incorruptibleness, i.e. (figuratively) purity (of doctrine)","kjv_def":"uncorruptness","lemma":"ἀδιαφθορία"},
"G2709":{"derivation":"from G2596 (κατά) and (the ground);","strongs_def":" subterranean, i.e. infernal (belonging to the world of departed spirits)","lemma":"καταχθόνιος","kjv_def":"under the earth"},
"G301":{"derivation":"of Hebrew origin (H0531);","strongs_def":" Amos, an Israelite","lemma":"Ἀμώς","kjv_def":"Amos"},
"G3715":{"derivation":"from G3713 (ὀρέγομαι);","strongs_def":" excitement of the mind, i.e. longing after","kjv_def":"lust","lemma":"ὄρεξις"},
"G2677":{"kjv_def":"perfecting","lemma":"καταρτισμός","strongs_def":" complete furnishing (objectively)","derivation":"from G2675 (καταρτίζω);"},
"G607":{"kjv_def":"behead","lemma":"ἀποκεφαλίζω","strongs_def":" to decapitate","derivation":"from G575 (ἀπό) and G2776 (κεφαλή);"},
"G3624":{"derivation":"of uncertain affinity;","strongs_def":" a dwelling (more or less extensive, literal or figurative); by implication, a family (more or less related, literally or figuratively)","lemma":"οἶκος","kjv_def":"home, house(-hold), temple"},
"G4774":{"strongs_def":" fellow knowledge, i.e. concession","derivation":"from a compound of G4862 (σύν) and G1097 (γινώσκω);","kjv_def":"permission","lemma":"συγγνώμη"},
"G4798":{"derivation":"from G4862 (σύν) and G5530 (χράομαι);","strongs_def":" to use jointly, i.e. (by implication) to hold intercourse in common","lemma":"συγχράομαι","kjv_def":"have dealings with"},
"G2201":{"lemma":"ζεῦγος","kjv_def":"yoke, pair","strongs_def":" a couple, i.e. a team (of oxen yoked together) or brace (of birds tied together)","derivation":"from the same as G2218 (ζυγός);"},
"G977":{"strongs_def":" to eat","derivation":"a reduplicated and prolonged form of an obsolete primary verb (perhaps causative of G1006 (βόσκω));","lemma":"βιβρώσκω","kjv_def":"eat"},
"G2775":{"strongs_def":" (specially) to strike on the head","derivation":"from the same as G2774 (κεφάλαιον);","kjv_def":"wound in the head","lemma":"κεφαλαιόω"},
"G1677":{"derivation":"from G1722 (ἐν) and G3056 (λόγος) (in the sense of account);","strongs_def":" to reckon in, i.e. attribute","lemma":"ἐλλογέω","kjv_def":"impute, put on account"},
"G2612":{"kjv_def":"far more evident","lemma":"κατάδηλος","strongs_def":" manifest","derivation":"from G2596 (κατά) intensive and G1212 (δῆλος);"},
"G4587":{"lemma":"σεμνότης","kjv_def":"gravity, honesty","strongs_def":" venerableness, i.e. probity","derivation":"from G4586 (σεμνός);"},
"G1607":{"strongs_def":" to depart, be discharged, proceed, project","derivation":"from G1537 (ἐκ) and G4198 (πορεύομαι);","lemma":"ἐκπορεύομαι","kjv_def":"come (forth, out of), depart, go (forth, out), issue, proceed (out of)"},
"G940":{"strongs_def":" to malign, i.e. (by extension) to fascinate (by false representations)","derivation":"akin to G5335 (φάσκω);","kjv_def":"bewitch","lemma":"βασκαίνω"},
"G854":{"lemma":"ἀφανισμός","kjv_def":"vanish away","derivation":"from G853 (ἀφανίζω);","strongs_def":" disappearance, i.e. (figuratively) abrogation"},
"G4":{"derivation":"from G1 (Α) (as a negative particle) and G922 (βάρος);","strongs_def":" weightless, i.e. (figuratively) not burdensome","lemma":"ἀβαρής","kjv_def":"from being burdensome"},
"G3583":{"lemma":"ξηραίνω","kjv_def":"dry up, pine away, be ripe, wither (away)","derivation":"from G3584 (ξηρός);","strongs_def":" to desiccate; by implication, to shrivel, to mature"},
"G3049":{"kjv_def":"conclude, (ac-)count (of), + despise, esteem, impute, lay, number, reason, reckon, suppose, think (on)","lemma":"λογίζομαι","strongs_def":" to take an inventory, i.e. estimate (literally or figuratively)","derivation":"middle voice from G3056 (λόγος);"},
"G91":{"lemma":"ἀδικέω","kjv_def":"hurt, injure, be an offender, be unjust, (do, suffer, take) wrong","derivation":"from G94 (ἄδικος);","strongs_def":" to be unjust, i.e. (actively) do wrong (morally, socially or physically)"},
"G662":{"lemma":"ἀποτολμάω","kjv_def":"be very bold","strongs_def":" to venture plainly","derivation":"from G575 (ἀπό) and G5111 (τολμάω);"},
"G3605":{"strongs_def":" to scent (usually an ill \"odor\")","derivation":"a primary verb (in a strengthened form);","lemma":"ὄζω","kjv_def":"stink"},
"G1358":{"derivation":"from G1223 (διά) and G3736 (ὀρύσσω);","strongs_def":" to penetrate burglariously","lemma":"διορύσσω","kjv_def":"break through (up)"},
"G26":{"lemma":"ἀγάπη","kjv_def":"(feast of) charity(-ably), dear, love","derivation":"from G25 (ἀγαπάω);","strongs_def":" love, i.e. affection or benevolence; specially (plural) a love-feast"},
"G3522":{"lemma":"νηστεύω","kjv_def":"fast","derivation":"from G3523 (νῆστις);","strongs_def":" to abstain from food (religiously)"},
"G2013":{"lemma":"ἐπιτυγχάνω","kjv_def":"obtain","derivation":"from G1909 (ἐπί) and G5177 (τυγχάνω);","strongs_def":" to chance upon, i.e. (by implication) to attain"},
"G5170":{"derivation":"from G5172 (τρυφή);","strongs_def":" luxurious; Tryphæna, a Christian woman","kjv_def":"Tryphena","lemma":"Τρύφαινα"},
"G3628":{"kjv_def":"mercy","lemma":"οἰκτιρμός","derivation":"from G3627 (οἰκτείρω);","strongs_def":" pity"},
"G3644":{"kjv_def":"destroyer","lemma":"ὀλοθρευτής","strongs_def":" a ruiner, i.e. (specially), a venomous serpent","derivation":"from G3645 (ὀλοθρεύω);"},
"G422":{"lemma":"ἀνεπαίσχυντος","kjv_def":"--that needeth not to be ashamed","derivation":"from G1 (Α) (as a negative particle) and a presumed derivative of a compound of G1909 (ἐπί) and G153 (αἰσχύνομαι);","strongs_def":" not ashamed, i.e. irreprehensible: "},
"G2897":{"strongs_def":" properly, a headache (as a seizure of pain) from drunkenness, i.e. (by implication) a debauch (by analogy, a glut)","derivation":"probably from the same as G726 (ἁρπάζω);","lemma":"κραιπάλη","kjv_def":"surfeiting"},
"G3589":{"derivation":"from G3590 (ὄγδοος);","strongs_def":" ten times eight","kjv_def":"fourscore","lemma":"ὀγδοήκοντα"},
"G950":{"lemma":"βεβαιόω","kjv_def":"confirm, (e-)stablish","derivation":"from G949 (βέβαιος);","strongs_def":" to stabilitate (figuratively)"},
"G978":{"lemma":"Βιθυνία","kjv_def":"Bithynia","derivation":"of uncertain derivation;","strongs_def":" Bithynia, a region of Asia"},
"G2987":{"strongs_def":" brilliancy","derivation":"from G2986 (λαμπρός);","kjv_def":"brightness","lemma":"λαμπρότης"},
"G4483":{"derivation":"perhaps akin (or identical) with G4482 (ῥέω) (through the idea of pouring forth);","strongs_def":" to utter, i.e. speak or say","kjv_def":"command, make, say, speak (of)","lemma":"ῥέω"},
"G2834":{"derivation":"probably of foreign origin;","strongs_def":" Cnidus, a place in Asia Minor","kjv_def":"Cnidus","lemma":"Κνίδος"},
"G2329":{"strongs_def":" warmth","derivation":"from the base of G2330 (θέρος);","kjv_def":"heat","lemma":"θέρμη"},
"G3701":{"derivation":"from a presumed derivative of G3700 (ὀπτάνομαι);","strongs_def":" visuality, i.e. (concretely) an apparition","lemma":"ὀπτασία","kjv_def":"vision"},
"G2503":{"derivation":"of Hebrew origin (the tenth letter of the Hebrew alphabet);","strongs_def":" \"iota\", the name of the eighth letter of the Greek alphabet, put (figuratively) for a very small part of anything","lemma":"ἰῶτα","kjv_def":"jot"},
"G5588":{"kjv_def":"whisperer","lemma":"ψιθυριστής","derivation":"from the same as G5587 (ψιθυρισμός);","strongs_def":" a secret calumniator"},
"G4951":{"strongs_def":" to trail","derivation":"probably akin to G138 (αἱρέομαι);","lemma":"σύρω","kjv_def":"drag, draw, hale"},
"G328":{"kjv_def":"gird up","lemma":"ἀναζώννυμι","derivation":"from G303 (ἀνά) and G2224 (ζώννυμι);","strongs_def":" to gird afresh"},
"G2387":{"strongs_def":" Jambres, an Egyptian","derivation":"of Egyptian origin;","kjv_def":"Jambres","lemma":"Ἰαμβρῆς"},
"G4188":{"derivation":"from the alternate of G4095 (πίνω);","strongs_def":" a beverage","lemma":"πόμα","kjv_def":"drink"},
"G3063":{"derivation":"neuter singular of the same as G3062 (λοιποί);","strongs_def":" something remaining (adverbially)","kjv_def":"besides, finally, furthermore, (from) henceforth, moreover, now, + it remaineth, then","lemma":"λοιπόν"},
"G2482":{"kjv_def":"Italy","lemma":"Ἰταλία","derivation":"probably of foreign origin;","strongs_def":" Italia, a region of Europe"},
"G1504":{"derivation":"from G1503 (εἴκω);","strongs_def":" a likeness, i.e. (literally) statue, profile, or (figuratively) representation, resemblance","lemma":"εἰκών","kjv_def":"image"},
"G1993":{"strongs_def":" to put something over the mouth, i.e. (figuratively) to silence","derivation":"from G1909 (ἐπί) and G4750 (στόμα);","lemma":"ἐπιστομίζω","kjv_def":"stop mouths"},
"G1575":{"strongs_def":" to exscind","derivation":"from G1537 (ἐκ) and G2806 (κλάω);","lemma":"ἐκκλάω","kjv_def":"break off"},
"G3168":{"lemma":"μεγαλειότης","kjv_def":"magnificence, majesty, mighty power","strongs_def":" superbness, i.e. glory or splendor","derivation":"from G3167 (μεγαλεῖος);"},
"G131":{"lemma":"αἱμοῤῥέω","kjv_def":"diseased with an issue of blood","derivation":"from G129 (αἷμα) and G4482 (ῥέω);","strongs_def":" to flow blood, i.e. have a hæmorrhage"},
"G3058":{"kjv_def":"revile","lemma":"λοιδορέω","derivation":"from G3060 (λοίδορος);","strongs_def":" to reproach, i.e. vilify"},
"G2278":{"lemma":"ἠχέω","kjv_def":"roar, sound","derivation":"from G2279 (ἦχος);","strongs_def":" to make a loud noise, i.e. reverberate"},
"G3428":{"lemma":"μοιχαλίς","kjv_def":"adulteress(-ous, -y)","strongs_def":" an adulteress (literally or figuratively)","derivation":"a prolonged form of the feminine of G3432 (μοιχός);"},
"G482":{"lemma":"ἀντιλαμβάνομαι","kjv_def":"help, partaker, support","strongs_def":" to take hold of in turn, i.e. succor; also to participate","derivation":"from G473 (ἀντί) and the middle voice of G2983 (λαμβάνω);"},
"G4862":{"lemma":"σύν","kjv_def":"beside, with","derivation":"a primary preposition denoting union;","strongs_def":" with or together (but much closer than G3326 (μετά) or G3844 (παρά)), i.e. by association, companionship, process, resemblance, possession, instrumentality, addition, etc."},
"G1007":{"kjv_def":"Bosor","lemma":"Βοσόρ","derivation":"of Hebrew origin (H01160);","strongs_def":" Bosor (i.e. Beor), a Moabite"},
"G51":{"derivation":"from G50 (ἀγνοέω);","strongs_def":" a thing ignored, i.e. shortcoming","lemma":"ἀγνόημα","kjv_def":"error"},
"G1331":{"lemma":"διερωτάω","kjv_def":"make enquiry for","strongs_def":" to question throughout, i.e. ascertain by interrogation","derivation":"from G1223 (διά) and G2065 (ἐρωτάω);"},
"G4908":{"lemma":"συνετός","kjv_def":"prudent","derivation":"from G4920 (συνίημι);","strongs_def":" mentally put (or putting) together, i.e. sagacious"},
"G1666":{"kjv_def":"Elissæus","lemma":"Ἐλισσαῖος","strongs_def":" Elissæus, an Israelite","derivation":"of Hebrew origin (H0477);"},
"G1780":{"lemma":"ἐνταφιασμός","kjv_def":"burying","strongs_def":" preparation for interment","derivation":"from G1779 (ἐνταφιάζω);"},
"G92":{"derivation":"from G91 (ἀδικέω);","strongs_def":" a wrong done","kjv_def":"evil doing, iniquity, matter of wrong","lemma":"ἀδίκημα"},
"G2658":{"derivation":"from G2596 (κατά) and a derivative of G473 (ἀντί);","strongs_def":" to meet against, i.e. arrive at (literally or figuratively)","lemma":"καταντάω","kjv_def":"attain, come"},
"G2920":{"lemma":"κρίσις","kjv_def":"accusation, condemnation, damnation, judgment","strongs_def":"decision (subjectively or objectively, for or against); by extension, a tribunal; by implication, justice (especially, divine law)"},
"G4914":{"kjv_def":"custom","lemma":"συνήθεια","derivation":"from a compound of G4862 (σύν) and G2239 (ἦθος);","strongs_def":" mutual habituation, i.e. usage"},
"G4185":{"derivation":"from G4183 (πολύς) and G5056 (τέλος);","strongs_def":" extremely expensive","kjv_def":"costly, very precious, of great price","lemma":"πολυτελής"},
"G3397":{"lemma":"μικρόν","kjv_def":"a (little) (while)","derivation":"masculine or neuter singular of G3398 (μικρός) (as noun);","strongs_def":" a small space of time or degree"},
"G2391":{"lemma":"Ἰάρεδ","kjv_def":"Jared","derivation":"of Hebrew origin (H03382);","strongs_def":" Jared (i.e. Jered), an antediluvian"},
"G4989":{"lemma":"Σωσίπατρος","kjv_def":"Sosipater","strongs_def":" Sosipatrus, a Christian","derivation":"prolongation for G4986 (Σώπατρος);"},
"G5320":{"lemma":"φανερῶς","kjv_def":"evidently, openly","strongs_def":" plainly, i.e. clearly or publicly","derivation":"adverb from G5318 (φανερός);"},
"G3863":{"derivation":"from G3844 (παρά) and G2206 (ζηλόω);","strongs_def":" to stimulate alongside, i.e. excite to rivalry","lemma":"παραζηλόω","kjv_def":"provoke to emulation (jealousy)"},
"G1788":{"strongs_def":" to invert, i.e. (figuratively and reflexively) in a good sense, to respect; or in a bad one, to confound","derivation":"from G1722 (ἐν) and the base of G5157 (τροπή);","kjv_def":"regard, (give) reference, shame","lemma":"ἐντρέπω"},
"G494":{"lemma":"Ἀντιπατρίς","kjv_def":"Antipatris","strongs_def":" Antipatris, a place in Palestine","derivation":"from the same as G493 (Ἀντίπας);"},
"G1771":{"kjv_def":"intent, mind","lemma":"ἔννοια","strongs_def":" thoughtfulness, i.e. moral understanding","derivation":"from a compound of G1722 (ἐν) and G3563 (νοῦς);"},
"G5016":{"strongs_def":" disturbance, i.e. (of water) roiling, or (of a mob) sedition","derivation":"feminine from G5015 (ταράσσω);","kjv_def":"trouble(-ing)","lemma":"ταραχή"},
"G1463":{"kjv_def":"be clothed with","lemma":"ἐγκομβόομαι","strongs_def":" to engirdle oneself (for labor), i.e. figuratively (the apron as being a badge of servitude) to wear (in token of mutual deference)","derivation":"middle voice from G1722 (ἐν) and (to gird);"},
"G853":{"strongs_def":" to render unapparent, i.e. (actively) consume (becloud), or (passively) disappear (be destroyed)","derivation":"from G852 (ἀφανής);","lemma":"ἀφανίζω","kjv_def":" corrupt, disfigure, perish, vanish away"},
"G1807":{"kjv_def":"deliver, pluck out, rescue","lemma":"ἐξαιρέω","strongs_def":" actively, to tear out; middle voice, to select; figuratively, to release","derivation":"from G1537 (ἐκ) and G138 (αἱρέομαι);"},
"G2447":{"strongs_def":" rust (as if emitted by metals); also venom (as emitted by serpents)","derivation":"perhaps from (to go) or (to send);","kjv_def":"poison, rust","lemma":"ἰός"},
"G730":{"lemma":"ἄῤῥην","kjv_def":"male, man","strongs_def":" male (as stronger for lifting)","derivation":"probably from G142 (αἴρω);"},
"G5031":{"lemma":"ταχινός","kjv_def":"shortly, swift","derivation":"from G5034 (τάχος);","strongs_def":" curt, i.e. impending"},
"G2789":{"strongs_def":" to play on a lyre","derivation":"from G2788 (κιθάρα);","lemma":"κιθαρίζω","kjv_def":"harp"},
"G4595":{"strongs_def":" to putrefy, i.e. (figuratively) perish","derivation":"apparently a primary verb;","kjv_def":"be corrupted","lemma":"σήπω"},
"G3150":{"kjv_def":"vain jangling","lemma":"ματαιολογία","derivation":"from G3151 (ματαιολόγος);","strongs_def":" random talk, i.e. babble"},
"G1851":{"kjv_def":"principal","lemma":"ἐξοχή","derivation":"from a compound of G1537 (ἐκ) and G2192 (ἔχω) (meaning to stand out);","strongs_def":" prominence (figuratively)"},
"G3705":{"derivation":"from G3708 (ὁράω);","strongs_def":" something gazed at, i.e. a spectacle (especially supernatural)","lemma":"ὅραμα","kjv_def":"sight, vision"},
"G4436":{"lemma":"Πύθων","kjv_def":" divination","derivation":"from (the name of the region where Delphi, the seat of the famous oracle, was located);","strongs_def":" a Python, i.e. (by analogy, with the supposed diviner there) inspiration (soothsaying)"},
"G4718":{"kjv_def":"grapes","lemma":"σταφυλή","strongs_def":" a cluster of grapes (as if intertwined)","derivation":"probably from the base of G4735 (στέφανος);"},
"G4640":{"kjv_def":"leap (for joy)","lemma":"σκιρτάω","derivation":"akin to (to skip);","strongs_def":" to jump, i.e. sympathetically move (as the quickening of a fetus)"},
"G3396":{"derivation":"a primary verb;","strongs_def":" to mix","kjv_def":"mingle","lemma":"μίγνυμι"},
"G511":{"strongs_def":" upper, i.e. (neuter as adverb) to a more conspicuous place, in a former part of the book","derivation":"comparative degree of G507 (ἄνω);","kjv_def":"above, higher","lemma":"ἀνώτερος"},
"G4234":{"lemma":"πρᾶξις","kjv_def":"deed, office, work","strongs_def":" practice, i.e. (concretely) an act; by extension, a function","derivation":"from G4238 (πράσσω);"},
"G1738":{"lemma":"ἔνδικος","kjv_def":"just","strongs_def":" in the right, i.e. equitable","derivation":"from G1722 (ἐν) and G1349 (δίκη);"},
"G1486":{"derivation":"a primary verb;","strongs_def":" to be used (by habit or conventionality); neuter perfect participle usage","kjv_def":"be custom (manner, wont)","lemma":"ἔθω"},
"G3132":{"derivation":"from a derivative of G3105 (μαίνομαι) (meaning a prophet, as supposed to rave through inspiration);","strongs_def":" to divine, i.e. utter spells (under pretense of foretelling","kjv_def":"by soothsaying","lemma":"μαντεύομαι"},
"G2332":{"derivation":"from (a Thessalian) and G3529 (νίκη);","strongs_def":" Thessalonice, a place in Asia Minor","kjv_def":"Thessalonica","lemma":"Θεσσαλονίκη"},
"G4757":{"derivation":"from a presumed derivative of the same as G4756 (στρατιά);","strongs_def":" a camper-out, i.e. a (common) warrior (literally or figuratively)","lemma":"στρατιώτης","kjv_def":"soldier"},
"G290":{"kjv_def":"vineyard","lemma":"ἀμπελών","derivation":"from G288 (ἄμπελος);","strongs_def":" a vineyard"},
"G2981":{"kjv_def":"saying, speech","lemma":"λαλιά","strongs_def":" talk","derivation":"from G2980 (λαλέω);"},
"G945":{"strongs_def":" to stutter, i.e. (by implication) to prate tediously","derivation":"from (a proverbial stammerer) and G3056 (λόγος);","lemma":"βαττολογέω","kjv_def":"use vain repetitions"},
"G1323":{"derivation":"from G1364 (δίς) and G1406 (δραχμή);","strongs_def":" a double drachma (didrachm)","lemma":"δίδραχμον","kjv_def":"tribute"},
"G148":{"kjv_def":"filthy communication","lemma":"αἰσχρολογία","strongs_def":" vile conversation","derivation":"from G150 (αἰσχρός) and G3056 (λόγος);"},
"G3552":{"strongs_def":" to be sick, i.e. (by implication, of a diseased appetite) to hanker after (figuratively, to harp upon)","derivation":"from G3554 (νόσος);","kjv_def":"dote","lemma":"νοσέω"},
"G5119":{"derivation":"from (the neuter of) G3588 (ὁ) and G3753 (ὅτε);","strongs_def":" the when, i.e. at the time that (of the past or future, also in consecution)","kjv_def":"that time, then","lemma":"τότε"},
"G2367":{"strongs_def":" denoting a certain fragrant tree); made of citron-wood","derivation":"from a derivative of G2380 (θύω) (in the sense of blowing;","kjv_def":"thyine","lemma":"θύϊνος"},
"G2006":{"derivation":"from (enough);","strongs_def":" serviceable, i.e. (by implication) requisite","lemma":"ἐπιτήδειος","kjv_def":"things which are needful"},
"G3679":{"strongs_def":" to defame, i.e. rail at, chide, taunt","derivation":"from G3681 (ὄνειδος);","lemma":"ὀνειδίζω","kjv_def":"cast in teeth, (suffer) reproach, revile, upbraid"},
"G5087":{"derivation":"a prolonged form of a primary (which is used only as alternate in certain tenses);","strongs_def":" to place (in the widest application, literally and figuratively; properly, in a passive or horizontal posture, and thus different from G2476 (ἵστημι), which properly denotes an upright and active position, while G2749 (κεῖμαι) is properly reflexive and utterly prostrate)","kjv_def":"+ advise, appoint, bow, commit, conceive, give, X kneel down, lay (aside, down, up), make, ordain, purpose, put, set (forth), settle, sink down","lemma":"τίθημι"},
"G3007":{"lemma":"λείπω","kjv_def":"be destitute (wanting), lack","strongs_def":" to leave, i.e. (intransitively or passively) to fail or be absent","derivation":"a primary verb;"},
"G2153":{"kjv_def":"godly","lemma":"εὐσεβῶς","strongs_def":" piously","derivation":"adverb from G2152 (εὐσεβής);"},
"G513":{"derivation":"probably from (to break;","strongs_def":" compare G4486 (ῥήγνυμι)); an axe","lemma":"ἀξίνη","kjv_def":"axe"},
"G4547":{"derivation":"neuter of a derivative of (a \"sandal\";","strongs_def":" of uncertain origin); a slipper or sole-pad","kjv_def":"sandal","lemma":"σανδάλιον"},
"G2108":{"strongs_def":" beneficence (genitive case or specially)","derivation":"from G2110 (εὐεργέτης);","kjv_def":"benefit, good deed done","lemma":"εὐεργεσία"},
"G2442":{"strongs_def":" of uncertain affinity); to long for","derivation":"middle voice from (a yearning;","lemma":"ἱμείρομαι","kjv_def":"be affectionately desirous"},
"G5482":{"lemma":"χάραξ","kjv_def":"trench","strongs_def":" akin to G1125 (γράφω) through the idea of scratching); a stake, i.e. (by implication) a palisade or rampart (military mound for circumvallation in a siege)","derivation":"from (to sharpen to a point;"},
"G3048":{"kjv_def":"collection, gathering","lemma":"λογία","strongs_def":" a contribution","derivation":"from G3056 (λόγος) (in the commercial sense);"},
"G1982":{"kjv_def":"overshadow","lemma":"ἐπισκιάζω","strongs_def":" to cast a shade upon, i.e. (by analogy) to envelop in a haze of brilliancy; figuratively, to invest with preternatural influence","derivation":"from G1909 (ἐπί) and a derivative of G4639 (σκιά);"},
"G2763":{"kjv_def":"potter","lemma":"κεραμεύς","derivation":"from G2766 (κέραμος);","strongs_def":" a potter"},
"G1926":{"lemma":"ἐπιδέχομαι","kjv_def":"receive","strongs_def":" to admit (as a guest or (figuratively) teacher)","derivation":"from G1909 (ἐπί) and G1209 (δέχομαι);"},
"G25":{"kjv_def":"(be-)love(-ed)","lemma":"ἀγαπάω","strongs_def":" to love (in a social or moral sense)","derivation":"perhaps from (much) (or compare G5689);"},
"G1205":{"strongs_def":" come hither!","derivation":"from G1204 (δεῦρο) and an imperative form of (to go);","kjv_def":"come, X follow","lemma":"δεῦτε"},
"G1728":{"lemma":"ἐνάρχομαι","kjv_def":"rule (by mistake for G757 (ἄρχω))","strongs_def":" to commence on","derivation":"from G1722 (ἐν) and G756 (ἄρχομαι);"},
"G2383":{"derivation":"of Hebrew origin (H02971);","strongs_def":" Jairus (i.e. Jair), an Israelite","kjv_def":"Jairus","lemma":"Ἰάειρος"},
"G2784":{"lemma":"κηρύσσω","kjv_def":"preacher(-er), proclaim, publish","strongs_def":" to herald (as a public crier), especially divine truth (the gospel)","derivation":"of uncertain affinity;"},
"G3197":{"derivation":"of Hebrew origin (H04428 with pronominal suffix, my king);","strongs_def":" Melchi (i.e. Malki), the name of two Israelites","kjv_def":"Melchi","lemma":"Μελχί"},
"G4670":{"strongs_def":" Sodoma (i.e. Sedom), a place in Palestine","derivation":"plural of Hebrew origin (H05467);","lemma":"Σόδομα","kjv_def":"Sodom"},
"G1143":{"kjv_def":"bite","lemma":"δάκνω","derivation":"a prolonged form of a primary root;","strongs_def":" to bite, i.e. (figuratively) thwart"},
"G2131":{"derivation":"from G2095 (εὖ) and G3529 (νίκη);","strongs_def":" victorious; Eunice, a Jewess","lemma":"Εὐνίκη","kjv_def":"Eunice"},
"G825":{"derivation":"from (a king of Pergamus);","strongs_def":" Attaleia, a place in Pamphylia","lemma":"Ἀττάλεια","kjv_def":"Attalia"},
"G1360":{"kjv_def":"because (that), for, therefore","lemma":"διότι","strongs_def":" on the very account that, or inasmuch as","derivation":"from G1223 (διά) and G3754 (ὅτι);"},
"G2903":{"kjv_def":"most excellent (noble)","lemma":"κράτιστος","strongs_def":" strongest, i.e. (in dignity) very honorable","derivation":"superlative of a derivative of G2904 (κράτος);"},
"G5139":{"lemma":"Τραχωνῖτις","kjv_def":"Trachonitis","strongs_def":" rough district; Trachonitis, a region of Syria","derivation":"from a derivative of G5138 (τραχύς);"},
"G5044":{"strongs_def":" to be a childrearer, i.e. fulfil the duties of a female parent","derivation":"from a compound of G5043 (τέκνον) and G5142 (τρέφω);","kjv_def":"bring up children","lemma":"τεκνοτροφέω"},
"G571":{"derivation":"from G1 (Α) (as a negative particle) and G4103 (πιστός);","strongs_def":" (actively) disbelieving, i.e. without Christian faith (specially, a heathen); (passively) untrustworthy (person), or incredible (thing)","kjv_def":"that believeth not, faithless, incredible thing, infidel, unbeliever(-ing)","lemma":"ἄπιστος"},
"G4719":{"strongs_def":" a head of grain (as standing out from the stalk)","derivation":"from the base of G2476 (ἵστημι);","lemma":"στάχυς","kjv_def":"ear (of corn)"},
"G5148":{"kjv_def":"space of three years","lemma":"τριετία","derivation":"from a compound of G5140 (τρεῖς) and G2094 (ἔτος);","strongs_def":" a three years' period (triennium)"},
"G3137":{"strongs_def":" Maria or Mariam (i.e. Mirjam), the name of six Christian females","derivation":"of Hebrew origin (H04813);","kjv_def":" Mary","lemma":"Μαρία"},
"G5529":{"kjv_def":"Chuza","lemma":"Χουζᾶς","strongs_def":" Chuzas, an officer of Herod","derivation":"of uncertain origin;"},
"G2003":{"kjv_def":"authority, commandment","lemma":"ἐπιταγή","derivation":"from G2004 (ἐπιτάσσω);","strongs_def":" an injunction or decree; by implication, authoritativeness"},
"G709":{"derivation":"from G712 (ἄριστον);","strongs_def":" to take the principle meal","lemma":"ἀριστάω","kjv_def":"dine"},
"G3361":{"kjv_def":"any but (that), X forbear, + God forbid, + lack, lest, neither, never, no (X wise in), none, nor, (can-)not, nothing, that not, un(-taken), without","lemma":"μή","derivation":"a primary particle of qualified negation (whereas G3756 (οὐ) expresses an absolute denial);","strongs_def":" (adverb) not, (conjunction) lest; also (as an interrogative implying a negative answer (whereas G3756 (οὐ) expects an affirmative one)) whether"},
"G1530":{"kjv_def":"run (spring) in","lemma":"εἰσπηδάω","derivation":"from G1519 (εἰς) and (to leap);","strongs_def":" to rush in"},
"G4703":{"derivation":"from G4687 (σπείρω);","strongs_def":" a scattering (of seed), i.e. (concretely) seed (as sown)","kjv_def":"seed (X sown)","lemma":"σπόρος"},
"G1059":{"kjv_def":"Gamaliel","lemma":"Γαμαλιήλ","strongs_def":" Gamaliel (i.e. Gamliel), an Israelite","derivation":"of Hebrew origin (H01583);"},
"G4050":{"strongs_def":" surplusage, i.e. superabundance","derivation":"from G4052 (περισσεύω);","lemma":"περισσεία","kjv_def":"abundance(-ant, (-ly)), superfluity"},
"G4163":{"derivation":"from G4160 (ποιέω);","strongs_def":" a performer; specially, a \"poet\"; ","kjv_def":"--doer, poet","lemma":"ποιητής"},
"G1848":{"derivation":"a variation of G1847 (ἐξουδενόω) and meaning the same","kjv_def":"contemptible, despise, least esteemed, set at nought","lemma":"ἐξουθενέω"},
"G3929":{"kjv_def":"remission","lemma":"πάρεσις","strongs_def":" praetermission, i.e. toleration","derivation":"from G2935 (κτήτωρ);"},
"G2115":{"lemma":"εὔθυμος","kjv_def":"of good cheer, the more cheerfully","strongs_def":" in fine spirits, i.e. cheerful","derivation":"from G2095 (εὖ) and G2372 (θυμός);"},
"G425":{"derivation":"from G447 (ἀνίημι);","strongs_def":" relaxation or (figuratively) relief","kjv_def":"eased, liberty, rest","lemma":"ἄνεσις"},
"G3842":{"lemma":"πάντοτε","kjv_def":"alway(-s), ever(-more)","derivation":"from G3956 (πᾶς) and G3753 (ὅτε);","strongs_def":" every when, i.e. at all times"},
"G5232":{"lemma":"ὑπεραυξάνω","kjv_def":"grow exceedingly","strongs_def":" to increase above ordinary degree","derivation":"from G5228 (ὑπέρ) and G837 (αὐξάνω);"},
"G2558":{"lemma":"κακουχέω","kjv_def":"which suffer adversity, torment","derivation":"from a presumed compound of G2556 (κακός) and G2192 (ἔχω);","strongs_def":" to maltreat"},
"G5579":{"derivation":"from G5574 (ψεύδομαι);","strongs_def":" a falsehood","kjv_def":"lie, lying","lemma":"ψεῦδος"},
"G2841":{"lemma":"κοινωνέω","kjv_def":"communicate, distribute, be partaker","strongs_def":" to share with others (objectively or subjectively)","derivation":"from G2844 (κοινωνός);"},
"G811":{"kjv_def":"riotous","lemma":"ἀσώτως","derivation":"adverb from the same as G810 (ἀσωτία);","strongs_def":" dissolutely"},
"G2965":{"derivation":"a primary word;","strongs_def":" a dog (\"hound\") (literally or figuratively)","kjv_def":"dog","lemma":"κύων"},
"G5586":{"strongs_def":" a pebble (as worn smooth by handling), i.e. (by implication, of use as a counter or ballot) a verdict (of acquittal) or ticket (of admission); a vote","derivation":"from the same as G5584 (ψηλαφάω);","lemma":"ψῆφος","kjv_def":"stone, voice"},
"G4955":{"kjv_def":"make insurrection with","lemma":"συστασιαστής","derivation":"from a compound of G4862 (σύν) and a derivative of G4714 (στάσις);","strongs_def":" a fellow-insurgent"},
"G3867":{"lemma":"παραινέω","kjv_def":"admonish, exhort","derivation":"from G3844 (παρά) and G134 (αἰνέω);","strongs_def":" to mispraise, i.e. recommend or advise (a different course)"},
"G1081":{"kjv_def":"fruit, generation","lemma":"γέννημα","strongs_def":" offspring; by analogy, produce (literally or figuratively)","derivation":"from G1080 (γεννάω);"},
"G64":{"lemma":"ἀγρεύω","kjv_def":"catch","strongs_def":" to hunt, i.e. (figuratively) to entrap","derivation":"from G61 (ἄγρα);"},
"G4311":{"lemma":"προπέμπω","kjv_def":"accompany, bring (forward) on journey (way), conduct forth","derivation":"from G4253 (πρό) and G3992 (πέμπω);","strongs_def":" to send forward, i.e. escort or aid in travel"},
"G2787":{"lemma":"κιβωτός","kjv_def":"ark","derivation":"of uncertain derivation;","strongs_def":" a box, i.e. the sacred ark and that of Noah"},
"G4503":{"strongs_def":" Ruth, a Moabitess","derivation":"of Hebrew origin (H07327);","lemma":"Ῥούθ","kjv_def":"Ruth"},
"G2068":{"derivation":"strengthened for a primary (to eat);","strongs_def":" used only in certain tenses, the rest being supplied by G5315 (φάγω); to eat (usually literal)","kjv_def":"devour, eat, live","lemma":"ἐσθίω"},
"G49":{"lemma":"ἁγνισμός","kjv_def":"purification","strongs_def":" a cleansing (the act), i.e. (ceremonially) lustration","derivation":"from G48 (ἁγνίζω);"},
"G1127":{"derivation":"from G1453 (ἐγείρω);","strongs_def":" to keep awake, i.e. watch (literally or figuratively)","lemma":"γρηγορεύω","kjv_def":"be vigilant, wake, (be) watch(-ful)"},
"G528":{"lemma":"ἀπαντάω","kjv_def":"meet","strongs_def":" to meet away, i.e. encounter","derivation":"from G575 (ἀπό) and a derivative of G473 (ἀντί);"},
"G4610":{"lemma":"Σιλουανός","kjv_def":"Silvanus","derivation":"of Latin origin;","strongs_def":" \"silvan\"; Silvanus, a Christian"},
"G1835":{"lemma":"ἑξήκοντα","kjv_def":"sixty(-fold), threescore","derivation":"the tenth multiple of G1803 (ἕξ);","strongs_def":" sixty"},
"G5078":{"lemma":"τέχνη","kjv_def":"art, craft, occupation","strongs_def":" art (as productive), i.e. (specially), a trade, or (generally) skill","derivation":"from the base of G5088 (τίκτω);"},
"G1382":{"lemma":"δοκιμή","kjv_def":"experience(-riment), proof, trial","strongs_def":" test (abstractly or concretely); by implication, trustiness","derivation":"from the same as G1384 (δόκιμος);"},
"G1857":{"lemma":"ἐξώτερος","kjv_def":"outer","derivation":"comparative of G1854 (ἔξω);","strongs_def":" exterior"},
"G597":{"strongs_def":" to treasure away","derivation":"from G575 (ἀπό) and G2343 (θησαυρίζω);","kjv_def":"lay up in store","lemma":"ἀποθησαυρίζω"},
"G4197":{"derivation":"from G4198 (πορεύομαι);","strongs_def":" travel (by land); figuratively (plural) proceedings, i.e. career","lemma":"πορεία","kjv_def":"journey(-ing), ways"},
"G331":{"strongs_def":" a (religious) ban or (concretely) excommunicated (thing or person)","derivation":"from G394 (ἀνατίθεμαι);","lemma":"ἀνάθεμα","kjv_def":"accused, anathema, curse, X great"},
"G1670":{"lemma":"ἑλκύω","kjv_def":"draw","strongs_def":" to drag (literally or figuratively)","derivation":"probably akin to G138 (αἱρέομαι);"},
"G3514":{"strongs_def":" to spin","derivation":"from (of like meaning);","lemma":"νήθω","kjv_def":"spin"},
"G3884":{"derivation":"from G3844 (παρά) and G3049 (λογίζομαι);","strongs_def":" to misreckon, i.e. delude","lemma":"παραλογίζομαι","kjv_def":"beguile, deceive"},
"G272":{"derivation":"from G1 (Α) (as a negative particle) and G3199 (μέλω);","strongs_def":" to be careless of","lemma":"ἀμελέω","kjv_def":"make light of, neglect, be negligent, no regard"},
"G5382":{"strongs_def":" fond of guests, i.e. hospitable","derivation":"from G5384 (φίλος) and G3581 (ξένος);","kjv_def":"given to (lover of, use) hospitality","lemma":"φιλόξενος"},
"G2705":{"lemma":"καταφιλέω","kjv_def":"kiss","strongs_def":" to kiss earnestly","derivation":"from 2596 and 5368;"},
"G2794":{"kjv_def":"peril","lemma":"κίνδυνος","derivation":"of uncertain derivation;","strongs_def":" danger"},
"G1288":{"derivation":"from G1223 (διά) and G4685 (σπάω);","strongs_def":" to draw apart, i.e. sever or dismember","lemma":"διασπάω","kjv_def":"pluck asunder, pull in pieces"},
"G5325":{"strongs_def":" (properly abstract) a (vain) show (\"fantasy\")","derivation":"from a derivative of G5324 (φαντάζω);","lemma":"φαντασία","kjv_def":"pomp"},
"G4392":{"kjv_def":"cloke, colour, pretence, show","lemma":"πρόφασις","strongs_def":" an outward showing, i.e. pretext","derivation":"from a compound of G4253 (πρό) and G5316 (φαίνω);"},
"G1319":{"strongs_def":" instruction (the function or the information)","derivation":"from G1320 (διδάσκαλος);","kjv_def":"doctrine, learning, teaching","lemma":"διδασκαλία"},
"G1270":{"lemma":"διανόημα","kjv_def":"thought","strongs_def":" something thought through, i.e. a sentiment","derivation":"from a compound of G1223 (διά) and G3539 (νοιέω);"},
"G4403":{"strongs_def":" the stern of a ship","derivation":"feminine of (hindmost);","lemma":"πρύμνα","kjv_def":"hinder part, stern"},
"G991":{"lemma":"βλέπω","kjv_def":"behold, beware, lie, look (on, to), perceive, regard, see, sight, take heed","strongs_def":" to look at (literally or figuratively)","derivation":"a primary verb;"},
"G4959":{"lemma":"συστενάζω","kjv_def":"groan together","strongs_def":" to moan jointly, i.e. (figuratively) experience a common calamity","derivation":"from G4862 (σύν) and G4727 (στενάζω);"},
"G5160":{"kjv_def":"food, meat","lemma":"τροφή","strongs_def":" nourishment (literally or figuratively); by implication, rations (wages)","derivation":"from G5142 (τρέφω);"},
"G3131":{"lemma":"μάννα","kjv_def":"manna","strongs_def":" manna (i.e. man), an edible gum","derivation":"of Hebrew origin (H04478);"},
"G1653":{"strongs_def":" to compassionate (by word or deed, specially, by divine grace)","derivation":"from G1656 (ἔλεος);","lemma":"ἐλεέω","kjv_def":"have compassion (pity on), have (obtain, receive, shew) mercy (on)"},
"G726":{"derivation":"from a derivative of G138 (αἱρέομαι);","strongs_def":" to seize (in various applications)","kjv_def":"catch (away, up), pluck, pull, take (by force)","lemma":"ἁρπάζω"},
"G5373":{"derivation":"from G5384 (φίλος);","strongs_def":" fondness","lemma":"φιλία","kjv_def":"friendship"},
"G592":{"strongs_def":" to disjoin (by a boundary, figuratively, a party)","derivation":"from G575 (ἀπό) and a compound of G223 (Ἀλέξανδρος) and G3724 (ὁρίζω);","lemma":"ἀποδιορίζω","kjv_def":"separate"},
"G2906":{"kjv_def":"clamour, cry(-ing)","lemma":"κραυγή","strongs_def":" an outcry (in notification, tumult or grief)","derivation":"from G2896 (κράζω);"},
"G1739":{"derivation":"from a compound of G1722 (ἐν) and a derivative of the base of G1218 (δῆμος);","strongs_def":" a housing in (residence), i.e. structure","kjv_def":"building","lemma":"ἐνδόμησις"},
"G2904":{"derivation":"perhaps a primary word;","strongs_def":" vigor (\"great\") (literally or figuratively)","lemma":"κράτος","kjv_def":"dominion, might(-ily), power, strength"},
"G2342":{"derivation":"diminutive from the same as G2339 (θήρα);","strongs_def":" a dangerous animal","kjv_def":"(venomous, wild) beast","lemma":"θηρίον"},
"G1716":{"kjv_def":"spit (upon)","lemma":"ἐμπτύω","strongs_def":" to spit at or on","derivation":"from G1722 (ἐν) and G4429 (πτύω);"},
"G5533":{"lemma":"χρεωφειλέτης","kjv_def":"debtor","derivation":"from a derivative of G5531 (χράω) and G3781 (ὀφειλέτης);","strongs_def":" a loan-ower, i.e. indebted person"},
"G5470":{"lemma":"χάλκεος","kjv_def":"brass","strongs_def":" coppery","derivation":"from G5475 (χαλκός);"},
"G2668":{"kjv_def":"arrive","lemma":"καταπλέω","strongs_def":" to sail down upon a place, i.e. to land at","derivation":"from G2596 (κατά) and G4126 (πλέω);"},
"G4393":{"lemma":"προφέρω","kjv_def":"bring forth","derivation":"from G4253 (πρό) and G5342 (φέρω);","strongs_def":" to bear forward, i.e. produce"},
"G1555":{"kjv_def":"declare","lemma":"ἐκδιηγέομαι","derivation":"from G1537 (ἐκ) and a compound of G1223 (διά) and G2233 (ἡγέομαι);","strongs_def":" to narrate through wholly"},
"G2087":{"strongs_def":" (an-, the) other or different","derivation":"of uncertain affinity;","lemma":"ἕτερος","kjv_def":"altered, else, next (day), one, (an-)other, some, strange"},
"G235":{"kjv_def":"and, but (even), howbeit, indeed, nay, nevertheless, no, notwithstanding, save, therefore, yea, yet","lemma":"ἀλλά","derivation":"neuter plural of G243 (ἄλλος);","strongs_def":" properly, other things, i.e. (adverbially) contrariwise (in many relations)"},
"G2272":{"derivation":"a prolonged form of a compound probably of a derivative of the base of G1476 (ἑδραῖος) and perhaps G2192 (ἔχω);","strongs_def":" properly, keeping one's seat (sedentary), i.e. (by implication) still (undisturbed, undisturbing)","kjv_def":"peaceable, quiet","lemma":"ἡσύχιος"},
"G1687":{"kjv_def":"intrude into","lemma":"ἐμβατεύω","strongs_def":" equivalent to G1684 (ἐμβαίνω); to intrude on (figuratively)","derivation":"from G1722 (ἐν) and a presumed derivative of the base of G939 (βάσις);"},
"G5121":{"strongs_def":" on the contrary","derivation":"contraction for the neuter of G3588 (ὁ) and G1726 (ἐναντίον);","kjv_def":"contrariwise","lemma":"τοὐναντίον"},
"G4000":{"derivation":"from G3999 (πεντάκις) and G5507 (χίλιοι);","strongs_def":" five times a thousand","kjv_def":"five thousand","lemma":"πεντακισχίλιοι"},
"G2730":{"strongs_def":" to house permanently, i.e. reside (literally or figuratively)","derivation":"from G2596 (κατά) and G3611 (οἰκέω);","lemma":"κατοικέω","kjv_def":"dwell(-er), inhabitant(-ter)"},
"G94":{"strongs_def":" unjust; by extension wicked; by implication, treacherous; specially, heathen","derivation":"from G1 (Α) (as a negative particle) and G1349 (δίκη);","lemma":"ἄδικος","kjv_def":"unjust, unrighteous"},
"G508":{"strongs_def":" above the ground, i.e. (properly) the second floor of a building; used for a dome or a balcony on the upper story","derivation":"from G507 (ἄνω) and G1093 (γῆ);","kjv_def":"upper room","lemma":"ἀνώγεον"},
"G3072":{"kjv_def":"in the speech of Lycaonia","lemma":"Λυκαονιστί","derivation":"adverb from a derivative of G3071 (Λυκαονία);","strongs_def":" Lycaonistically, i.e. in the language of the Lycaonians"},
"G4161":{"kjv_def":"thing that is made, workmanship","lemma":"ποίημα","strongs_def":" a product, i.e. fabric (literally or figuratively)","derivation":"from G4160 (ποιέω);"},
"G4376":{"derivation":"from G4374 (προσφέρω);","strongs_def":" presentation; concretely, an oblation (bloodless) or sacrifice","kjv_def":"offering (up)","lemma":"προσφορά"},
"G2793":{"derivation":"from G2794 (κίνδυνος);","strongs_def":" to undergo peril","kjv_def":"be in danger, be (stand) in jeopardy","lemma":"κινδυνεύω"},
"G3978":{"kjv_def":"go afoot","lemma":"πεζεύω","strongs_def":" to foot a journey, i.e. travel by land","derivation":"from the same as G3979 (πεζῇ);"},
"G3808":{"kjv_def":"child, lad","lemma":"παιδάριον","derivation":"neuter of a presumed derivative of G3816 (παῖς);","strongs_def":" a little boy"},
"G3527":{"strongs_def":" victorious; Nicanor, a Christian","derivation":"probably from G3528 (νικάω);","kjv_def":"Nicanor","lemma":"Νικάνωρ"},
"G740":{"kjv_def":"(shew-)bread, loaf","lemma":"ἄρτος","strongs_def":" bread (as raised) or a loaf","derivation":"from G142 (αἴρω);"},
"G3812":{"lemma":"παιδιόθεν","kjv_def":"of a child","derivation":"adverb (of source) from G3813 (παιδίον);","strongs_def":" from infancy"},
"G4460":{"strongs_def":" Raab (i.e. Rachab), a Canaanitess","derivation":"of Hebrew origin (G7343);","lemma":"Ῥαάβ","kjv_def":"Rahab"},
"G1373":{"kjv_def":"thirst","lemma":"δίψος","strongs_def":" thirst","derivation":"of uncertain affinity;"},
"G3708":{"strongs_def":" by extension, to attend to; by Hebraism, to experience; passively, to appear","derivation":"properly, to stare at (compare G3700 (ὀπτάνομαι)), i.e. (by implication) to discern clearly (physically or mentally);","kjv_def":"behold, perceive, see, take heed","lemma":"ὁράω"},
"G2901":{"strongs_def":" to empower, i.e. (passively) increase in vigor","derivation":"from G2900 (κραταιός);","kjv_def":"be strengthened, be (wax) strong","lemma":"κραταιόω"},
"G1162":{"kjv_def":"prayer, request, supplication","lemma":"δέησις","strongs_def":" a petition","derivation":"from G1189 (δέομαι);"},
"G5349":{"kjv_def":"corruptible","lemma":"φθαρτός","strongs_def":" decayed, i.e. (by implication) perishable","derivation":"from G5351 (φθείρω);"},
"G5175":{"lemma":"Τρωγύλλιον","kjv_def":"Trogyllium","derivation":"of uncertain derivation;","strongs_def":" Trogyllium, a place in Asia Minor"},
"G2137":{"lemma":"εὐοδόω","kjv_def":"(have a) prosper(-ous journey)","strongs_def":" to help on the road, i.e. (passively) succeed in reaching; figuratively, to succeed in business affairs","derivation":"from a compound of G2095 (εὖ) and G3598 (ὁδός);"},
"G368":{"lemma":"ἀναντίῤῥητος","kjv_def":"cannot be spoken against","derivation":"from G1 (Α) (as a negative particle) and a presumed derivative of a compound of G473 (ἀντί) and G4483 (ῥέω);","strongs_def":" indisputable"},
"G3398":{"strongs_def":" small (in size, quantity, number or (figuratively) dignity)","derivation":"apparently a primary word;","kjv_def":"least, less, little, small","lemma":"μικρός"},
"G2636":{"lemma":"καταλαλία","kjv_def":"backbiting, evil speaking","strongs_def":" defamation","derivation":"from G2637 (κατάλαλος);"},
"G1488":{"derivation":"second person singular present of G1510 (εἰμί);","strongs_def":" thou art","lemma":"εἶ","kjv_def":"art, be"},
"G1874":{"derivation":"from G1909 (ἐπί) and the base of G202 (ἀκροατής);","strongs_def":" to listen (intently) to","kjv_def":"hear","lemma":"ἐπακροάομαι"},
"G943":{"kjv_def":"measure","lemma":"βάτος","derivation":"of Hebrew origin (H01324);","strongs_def":" a bath, or measure for liquids"},
"G2294":{"kjv_def":"courage","lemma":"θάρσος","derivation":"akin (by transposition) to (daring);","strongs_def":" boldness (subjectively)"},
"G5101":{"lemma":"τίς","kjv_def":"every man, how (much), + no(-ne, thing), what (manner, thing), where (-by, -fore, -of, -unto, - with, -withal), whether, which, who(-m, -se), why","strongs_def":" an interrogative pronoun, who, which or what (in direct or indirect questions)","derivation":"probably emphatic of G5100 (τὶς);"},
"G2281":{"lemma":"θάλασσα","kjv_def":"sea","derivation":"probably prolonged from G251 (ἅλς);","strongs_def":" the sea (genitive case or specially)"},
"G1543":{"derivation":"from G1540 (ἑκατόν) and G757 (ἄρχω);","strongs_def":" the captain of one hundred men","kjv_def":"centurion","lemma":"ἑκατοντάρχης"},
"G1715":{"kjv_def":"against, at, before, (in presence, sight) of","lemma":"ἔμπροσθεν","strongs_def":" in front of (in place (literally or figuratively) or time)","derivation":"from G1722 (ἐν) and G4314 (πρός);"},
"G2531":{"kjv_def":"according to, (according, even) as, how, when","lemma":"καθώς","strongs_def":" just (or inasmuch) as, that","derivation":"from G2596 (κατά) and G5613 (ὡς);"},
"G2761":{"strongs_def":" vainly, i.e. to no purpose","derivation":"adverb from G2756 (κενός);","lemma":"κενῶς","kjv_def":"in vain"},
"G4873":{"derivation":"from G4862 (σύν) and G345 (ἀνακεῖμαι);","strongs_def":" to recline in company with (at a meal)","lemma":"συνανάκειμαι","kjv_def":"sit (down, at the table, together) with (at meat)"},
"G5106":{"kjv_def":"then, therefore","lemma":"τοίνυν","derivation":"from G5104 (τοί) and G3568 (νῦν);","strongs_def":" truly now, i.e. accordingly"},
"G5283":{"derivation":"from G5282 (ὑπονοέω);","strongs_def":" suspicion","kjv_def":"surmising","lemma":"ὑπόνοια"},
"G3607":{"derivation":"of uncertain affinity;","strongs_def":" a linen cloth, i.e. (especially) a sail","kjv_def":"sheet","lemma":"ὀθόνη"},
"G1357":{"strongs_def":" rectification, i.e. (specially) the Messianic restauration","derivation":"from a compound of G1223 (διά) and a derivative of G3717 (ὀρθός), meaning to straighten thoroughly;","kjv_def":"reformation","lemma":"διόρθωσις"},
"G4980":{"derivation":"from G4981 (σχολή);","strongs_def":" to take a holiday, i.e. be at leisure for (by implication, devote oneself wholly to); figuratively, to be vacant (of a house)","kjv_def":"empty, give self","lemma":"σχολάζω"},
"G4998":{"kjv_def":"discreet, sober, temperate","lemma":"σώφρων","strongs_def":" safe (sound) in mind, i.e. self-controlled (moderate as to opinion or passion)","derivation":"from the base of G4982 (σώζω) and that of G5424 (φρήν);"},
"G788":{"derivation":"neuter comparative of the base of G1451 (ἐγγύς);","strongs_def":" more nearly, i.e. very near","kjv_def":"close","lemma":"ἆσσον"},
"G2505":{"lemma":"καθά","kjv_def":"as","strongs_def":" according to which things, i.e. just as","derivation":"from G2596 (κατά) and the neuter plural of G3739 (ὅς);"},
"G2569":{"derivation":"from G2570 (καλός) and G4160 (ποιέω);","strongs_def":" to do well, i.e. live virtuously","kjv_def":"well doing","lemma":"καλοποιέω"},
"G3782":{"kjv_def":"debt, due","lemma":"ὀφειλή","strongs_def":" indebtedness, i.e. (concretely) a sum owed; figuratively, obligation, i.e. (conjugal) duty","derivation":"from G3784 (ὀφείλω);"},
"G5498":{"lemma":"χειρόγραφον","kjv_def":"handwriting","derivation":"neuter of a compound of G5495 (χείρ) and G1125 (γράφω);","strongs_def":" something hand-written (\"chirograph\"), i.e. a manuscript (specially, a legal document or bond (figuratively))"},
"G105":{"derivation":"from the same as G109 (ἀήρ);","strongs_def":" an eagle (from its wind-like flight)","lemma":"ἀετός","kjv_def":"eagle"},
"G583":{"derivation":"from G575 (ἀπό) and G1125 (γράφω);","strongs_def":" to write off (a copy or list), i.e. enrol","kjv_def":"tax, write","lemma":"ἀπογράφω"},
"G4754":{"lemma":"στρατεύομαι","kjv_def":"soldier, (go to) war(-fare)","derivation":"middle voice from the base of G4756 (στρατιά);","strongs_def":" to serve in a military campaign; figuratively, to execute the apostolate (with its arduous duties and functions), to contend with carnal inclinations"},
"G624":{"derivation":"from the pagan deity (i.e. the sun;","strongs_def":" from G622 (ἀπόλλυμι)); Apollonia, a place in Macedonia","kjv_def":"Apollonia","lemma":"Ἀπολλωνία"},
"G770":{"strongs_def":" to be feeble (in any sense)","derivation":"from G772 (ἀσθενής);","kjv_def":"be diseased, impotent folk (man), (be) sick, (be, be made) weak","lemma":"ἀσθενέω"},
"G4170":{"kjv_def":"fight, (make) war","lemma":"πολεμέω","strongs_def":" to be (engaged) in warfare, i.e. to battle (literally or figuratively)","derivation":"from G4171 (πόλεμος);"},
"G23":{"derivation":"from (much) and (grief;","strongs_def":" akin to the base of G43 (ἀγκάλη)); to be greatly afflicted, i.e. (figuratively) indignant","lemma":"ἀγανακτέω","kjv_def":"be much (sore) displeased, have (be moved with, with) indignation"},
"G4498":{"kjv_def":"Rhoda","lemma":"Ῥόδη","strongs_def":" Rode, a servant girl","derivation":"probably for rhode (a rose);"},
"G2275":{"kjv_def":"diminishing, fault","lemma":"ἥττημα","strongs_def":" a deterioration, i.e. (objectively) failure or (subjectively) loss","derivation":"from G2274 (ἡττάω);"},
"G1875":{"kjv_def":"when","lemma":"ἐπάν","strongs_def":" a particle of indefinite contemporaneousness; whenever, as soon as","derivation":"from G1909 (ἐπί) and G302 (ἄν);"},
"G5433":{"lemma":"φρυάσσω","kjv_def":"rage","strongs_def":" to snort (as a spirited horse), i.e. (figuratively) to make a tumult","derivation":"akin to G1032 (βρύω), G1031 (βρύχω);"},
"G3439":{"kjv_def":"only (begotten, child)","lemma":"μονογενής","derivation":"from G3441 (μόνος) and G1096 (γίνομαι);","strongs_def":" only-born, i.e. sole"},
"G2400":{"strongs_def":" used as imperative lo!; ","derivation":"second person singular imperative middle voice of G1492 (εἴδω);","kjv_def":"--behold, lo, see","lemma":"ἰδού"},
"G1656":{"kjv_def":"(+ tender) mercy","lemma":"ἔλεος","strongs_def":" compassion (human or divine, especially active)","derivation":"of uncertain affinity;"},
"G4472":{"lemma":"ῥαντίζω","kjv_def":" sprinkle","strongs_def":" to render besprinkled, i.e. asperse (ceremonially or figuratively)","derivation":"from a derivative of (to sprinkle);"},
"G1718":{"lemma":"ἐμφανίζω","kjv_def":"appear, declare (plainly), inform, (will) manifest, shew, signify","strongs_def":" to exhibit (in person) or disclose (by words)","derivation":"from G1717 (ἐμφανής);"},
"G2212":{"derivation":"of uncertain affinity;","strongs_def":" to seek (literally or figuratively); specially, (by Hebraism) to worship (God), or (in a bad sense) to plot (against life)","lemma":"ζητέω","kjv_def":"be (go) about, desire, endeavour, enquire (for), require, (X will) seek (after, for, means)"},
"G3963":{"kjv_def":"Patmos","lemma":"Πάτμος","strongs_def":" Patmus, an islet in the Mediterranean","derivation":"of uncertain derivation;"},
"G4646":{"lemma":"σκολιός","kjv_def":"crooked, froward, untoward","strongs_def":" warped, i.e. winding; figuratively, perverse","derivation":"from the base of G4628 (σκέλος);"},
"G46":{"derivation":"from G1 (Α) (as a negative particle) and the same as G1102 (γναφεύς);","strongs_def":" properly, unfulled, i.e. (by implication) new (cloth)","lemma":"ἄγναφος","kjv_def":"new"},
"G4535":{"kjv_def":"wave","lemma":"σάλος","strongs_def":" a vibration, i.e. (specially), billow","derivation":"probably from the base of G4525 (σαίνω);"},
"G4920":{"derivation":"from G4862 (σύν) and (to send);","strongs_def":" to put together, i.e. (mentally) to comprehend; by implication, to act piously","kjv_def":" consider, understand, be wise","lemma":"συνίημι"},
"G1648":{"derivation":"of Hebrew origin (H0499);","strongs_def":" Eleazar, an Israelite","lemma":"Ἐλεάζαρ","kjv_def":"Eleazar"},
"G5100":{"lemma":"τὶς","kjv_def":"a (kind of), any (man, thing, thing at all), certain (thing), divers, he (every) man, one (X thing), ought, + partly, some (man, -body, - thing, -what), (+ that no-)thing, what(-soever), X wherewith, whom(-soever), whose(-soever)","strongs_def":" some or any person or object","derivation":"an enclitic indefinite pronoun;"},
"G4404":{"derivation":"adverb from G4253 (πρό);","strongs_def":" at dawn; by implication, the day-break watch","kjv_def":"early (in the morning), (in the) morning","lemma":"πρωΐ"},
"G2623":{"derivation":"from G2596 (κατά) and G2808 (κλείω);","strongs_def":" to shut down (in a dungeon), i.e. incarcerate","lemma":"κατακλείω","kjv_def":"shut up"},
"G4239":{"kjv_def":"meek","lemma":"πραΰς","strongs_def":" mild, i.e. (by implication) humble","derivation":"apparently a primary word;"},
"G5174":{"kjv_def":"Troas","lemma":"Τρωάς","strongs_def":" the Troad (or plain of Troy), i.e. Troas, a place in Asia Minor","derivation":"from (a Trojan);"},
"G1155":{"derivation":"from G1156 (δάνειον);","strongs_def":" to loan on interest; reflexively, to borrow","lemma":"δανείζω","kjv_def":"borrow, lend"},
"G3039":{"derivation":"from , the equivalent of (a winnowing fan or basket);","strongs_def":" to winnow, i.e. (by analogy), to triturate","lemma":"λικμάω","kjv_def":"grind to powder"},
"G3038":{"strongs_def":" stone-strewed, i.e. a tessellated mosaic on which the Roman tribunal was placed","derivation":"from G3037 (λίθος) and a derivative of G4766 (στρώννυμι);","kjv_def":"Pavement","lemma":"λιθόστρωτος"},
"G2253":{"kjv_def":"half dead","lemma":"ἡμιθανής","derivation":"from a presumed compound of the base of G2255 (ἥμισυ) and G2348 (θνήσκω);","strongs_def":" half dead, i.e. entirely exhausted"},
"G1990":{"derivation":"from G1987 (ἐπίσταμαι);","strongs_def":" intelligent","lemma":"ἐπιστήμων","kjv_def":"endued with knowledge"},
"G948":{"derivation":"from a (presumed) derivative of (to stink);","strongs_def":" to be disgusted, i.e. (by implication) detest (especially of idolatry)","kjv_def":"abhor, abominable","lemma":"βδελύσσω"},
"G2032":{"strongs_def":" above the sky","derivation":"from G1909 (ἐπί) and G3772 (οὐρανός);","lemma":"ἐπουράνιος","kjv_def":"celestial, (in) heaven(-ly), high"},
"G112":{"lemma":"ἄθεος","kjv_def":"without God","derivation":"from G1 (Α) (as a negative particle) and G2316 (θεός);","strongs_def":" godless"},
"G2405":{"strongs_def":" priestliness, i.e. the sacerdotal function","derivation":"from G2407 (ἱερατεύω);","kjv_def":"office of the priesthood, priest's office","lemma":"ἱερατεία"},
"G3505":{"strongs_def":" Neron (i.e. Nero), a Roman emperor","derivation":"of Latin origin;","lemma":"Νέρων","kjv_def":"Nero"},
"G391":{"strongs_def":" behavior","derivation":"from G390 (ἀναστρέφω);","lemma":"ἀναστροφή","kjv_def":"conversation"},
"G2808":{"kjv_def":"shut (up)","lemma":"κλείω","strongs_def":" to close (literally or figuratively)","derivation":"a primary verb;"},
"G694":{"derivation":"neuter of a presumed derivative of G696 (ἄργυρος);","strongs_def":" silvery, i.e. (by implication) cash; specially, a silverling (i.e. drachma or shekel)","lemma":"ἀργύριον","kjv_def":"money, (piece of) silver (piece)"},
"G5300":{"strongs_def":" a hog (\"swine\")","derivation":"apparently a primary word;","lemma":"ὗς","kjv_def":"sow"},
"G3479":{"strongs_def":" a Nazarene, i.e. inhabitant of Nazareth","derivation":"from G3478 (Ναζαρέθ);","kjv_def":"of Nazareth","lemma":"Ναζαρηνός"},
"G861":{"strongs_def":" incorruptibility; genitive, unending existence; (figuratively) genuineness","derivation":"from G862 (ἄφθαρτος);","lemma":"ἀφθαρσία","kjv_def":"immortality, incorruption, sincerity"},
"G279":{"strongs_def":" unrepentant","derivation":"from G1 (Α) (as a negative particle) and a presumed derivative of G3340 (μετανοέω);","lemma":"ἀμετανόητος","kjv_def":"impenitent"},
"G2300":{"derivation":"a prolonged form of a primary verb;","strongs_def":" to look closely at, i.e. (by implication) perceive (literally or figuratively); by extension to visit","lemma":"θεάομαι","kjv_def":"behold, look (upon), see"},
"G3311":{"kjv_def":"dividing asunder, gift","lemma":"μερισμός","derivation":"from G3307 (μερίζω);","strongs_def":" a separation or distribution"},
"G2855":{"strongs_def":" probably akin to G2854 (κολλούριον)); a coin-dealer","derivation":"from a presumed derivative of (a small coin;","lemma":"κολλυβιστής","kjv_def":"(money-)changer"},
"G5426":{"strongs_def":" to exercise the mind, i.e. entertain or have a sentiment or opinion; by implication, to be (mentally) disposed (more or less earnestly in a certain direction); intensively, to interest oneself in (with concern or obedience)","derivation":"from G5424 (φρήν);","lemma":"φρονέω","kjv_def":"set the affection on, (be) care(-ful), (be like-, + be of one, + be of the same, + let this) mind(-ed), regard, savour, think"},
"G4206":{"strongs_def":" forwards, i.e. at a distance","derivation":"adverb from G4253 (πρό);","kjv_def":"far, a great way off","lemma":"πόῤῥω"},
"G843":{"derivation":"from G846 (αὐτός) and a derivative or G2632 (κατακρίνω);","strongs_def":" self-condemned","kjv_def":"condemned of self","lemma":"αὐτοκατάκριτος"},
"G3046":{"kjv_def":"pound","lemma":"λίτρα","strongs_def":" a pound in weight","derivation":"of Latin origin (libra);"},
"G1019":{"lemma":"βραδύνω","kjv_def":"be slack, tarry","derivation":"from G1021 (βραδύς);","strongs_def":" to delay"},
"G4750":{"derivation":"probably strengthened from a presumed derivative of the base of G5114 (τομώτερος);","strongs_def":" the mouth (as if a gash in the face); by implication, language (and its relations); figuratively, an opening (in the earth); specially, the front or edge (of a weapon)","kjv_def":"edge, face, mouth","lemma":"στόμα"},
"G4097":{"kjv_def":"sell","lemma":"πιπράσκω","strongs_def":" from the base of G4008 (πέραν)); to traffic (by travelling), i.e. dispose of as merchandise or into slavery (literally or figuratively)","derivation":"contracted from (to traverse;"},
"G4326":{"strongs_def":" to require additionally, i.e. want further","derivation":"from G4314 (πρός) and G1189 (δέομαι);","kjv_def":"need","lemma":"προσδέομαι"},
"G627":{"strongs_def":" a plea (\"apology\")","derivation":"from the same as G626 (ἀπολογέομαι);","kjv_def":"answer (for self), clearing of self, defence","lemma":"ἀπολογία"},
"G1294":{"kjv_def":"perverse(-rt), turn away","lemma":"διαστρέφω","derivation":"from G1223 (διά) and G4762 (στρέφω);","strongs_def":" to distort, i.e. (figuratively) misinterpret, or (morally) corrupt"},
"G2973":{"lemma":"Κωσάμ","kjv_def":"Cosam","strongs_def":" Cosam (i.e. Kosam) an Israelite","derivation":"of Hebrew origin (compare H07081);"},
"G4746":{"kjv_def":"branch","lemma":"στοιβάς","derivation":"from a primary (to \"step\" or \"stamp\");","strongs_def":" a spread (as if tramped flat) of loose materials for a couch, i.e. (by implication) a bough of a tree so employed"},
"G2559":{"kjv_def":"make evil affected, entreat evil, harm, hurt, vex","lemma":"κακόω","derivation":"from G2556 (κακός);","strongs_def":" to injure; figuratively, to exasperate"},
"G2058":{"strongs_def":" translation","derivation":"from the same as G2059 (ἑρμηνεύω);","lemma":"ἑρμηνεία","kjv_def":"interpretation"},
"G3092":{"strongs_def":" Maath, an Israelite","derivation":"probably of Hebrew origin;","kjv_def":"Maath","lemma":"Μαάθ"},
"G160":{"lemma":"αἰφνίδιος","kjv_def":"sudden, unawares","strongs_def":" unexpected, i.e. (adverbially) suddenly","derivation":"from a compound of G1 (Α) (as a negative particle) and G5316 (φαίνω) (compare G1810 (ἐξαίφνης)) (meaning non-apparent);"},
"G5517":{"lemma":"χοϊκός","kjv_def":"earthy","derivation":"from G5522 (χόος);","strongs_def":" dusty or dirty (soil-like), i.e. (by implication) terrene"},
"G5548":{"derivation":"probably akin to G5530 (χράομαι) through the idea of contact;","strongs_def":" to smear or rub with oil, i.e. (by implication) to consecrate to an office or religious service","kjv_def":"anoint","lemma":"χρίω"},
"G641":{"lemma":"ἀποῤῥίπτω","kjv_def":"cast","derivation":"from G575 (ἀπό) and G4496 (ῥίπτω);","strongs_def":" to hurl off, i.e. precipitate (oneself)"},
"G1669":{"derivation":"from G1668 (ἕλκος);","strongs_def":" to cause to ulcerate, i.e. (passively) be ulcerous","lemma":"ἑλκόω","kjv_def":"full of sores"},
"G4284":{"derivation":"middle voice from G4253 (πρό) and G2192 (ἔχω);","strongs_def":" to hold oneself before others, i.e. (figuratively) to excel","lemma":"προέχομαι","kjv_def":"be better"},
"G4133":{"strongs_def":" moreover (besides), i.e. albeit, save that, rather, yet","derivation":"from G4119 (πλείων);","lemma":"πλήν","kjv_def":"but (rather), except, nevertheless, notwithstanding, save, than"},
"G4407":{"kjv_def":"morning","lemma":"πρωϊνός","derivation":"from G4404 (πρωΐ);","strongs_def":" pertaining to the dawn, i.e. matutinal"},
"G5123":{"strongs_def":" that is","derivation":"contraction for G5124 (τοῦτο) and G2076 (ἐστί);","kjv_def":"that is (to say)","lemma":"τουτέστι"},
"G5515":{"strongs_def":" greenish, i.e. verdant, dun-colored","derivation":"from the same as G5514 (Χλόη);","lemma":"χλωρός","kjv_def":"green, pale"},
"G2694":{"lemma":"κατασύρω","kjv_def":"hale","derivation":"from G2596 (κατά) and G4951 (σύρω);","strongs_def":" to drag down, i.e. arrest judicially"},
"G4550":{"strongs_def":" rotten, i.e. worthless (literally or morally)","derivation":"from G4595 (σήπω);","lemma":"σαπρός","kjv_def":"bad, corrupt"},
"G1544":{"derivation":"from G1537 (ἐκ) and G906 (βάλλω);","strongs_def":" to eject (literally or figuratively)","lemma":"ἐκβάλλω","kjv_def":"bring forth, cast (forth, out), drive (out), expel, leave, pluck (pull, take, thrust) out, put forth (out), send away (forth, out)"},
"G5158":{"kjv_def":"(even) as, conversation, (+ like) manner, (+ by any) means, way","lemma":"τρόπος","strongs_def":" a turn, i.e. (by implication) mode or style (especially with preposition or relative prefix as adverb, like); figuratively, deportment or character","derivation":"from the same as G5157 (τροπή);"},
"G2779":{"derivation":"of uncertain affinity;","strongs_def":" a garden","lemma":"κῆπος","kjv_def":"garden"},
"G673":{"strongs_def":" to rend apart; reflexively, to separate","derivation":"from G575 (ἀπό) and G5563 (χωρίζω);","kjv_def":"depart (asunder)","lemma":"ἀποχωρίζω"},
"G3956":{"derivation":"including all the forms of declension; apparently a primary word;","strongs_def":" all, any, every, the whole","kjv_def":"all (manner of, means), alway(-s), any (one), X daily, + ever, every (one, way), as many as, + no(-thing), X thoroughly, whatsoever, whole, whosoever","lemma":"πᾶς"},
"G2125":{"lemma":"εὐλαβέομαι","kjv_def":"(moved with) fear","derivation":"middle voice from G2126 (εὐλαβής);","strongs_def":" to be circumspect, i.e. (by implication) to be apprehensive; religiously, to reverence"},
"G3535":{"derivation":"of Hebrew origin (H05210);","strongs_def":" Ninevi (i.e. Nineveh), the capital of Assyria","lemma":"Νινευΐ","kjv_def":"Nineve"},
"G2244":{"lemma":"ἡλικία","kjv_def":"age, stature","strongs_def":" maturity (in years or size)","derivation":"from the same as G2245 (ἡλίκος);"},
"G536":{"derivation":"from a compound of G575 (ἀπό) and G756 (ἄρχομαι);","strongs_def":" a beginning of sacrifice, i.e. the (Jewish) first-fruit (figuratively)","kjv_def":"first-fruits","lemma":"ἀπαρχή"},
"G5522":{"kjv_def":"dust","lemma":"χόος","strongs_def":" a heap (as poured out), i.e. rubbish; loose dirt","derivation":"from the base of G5494 (χειμών);"},
"G4139":{"kjv_def":"near, neighbour","lemma":"πλησίον","strongs_def":" (adverbially) close by; as noun, a neighbor, i.e. fellow (as man, countryman, Christian or friend)","derivation":"neuter of a derivative of (near);"},
"G434":{"kjv_def":"fierce","lemma":"ἀνήμερος","strongs_def":" savage","derivation":"from G1 (Α) (as a negative particle) and (lame);"},
"G4105":{"derivation":"from G4106 (πλάνη);","strongs_def":" to (properly, cause to) roam (from safety, truth, or virtue)","lemma":"πλανάω","kjv_def":"go astray, deceive, err, seduce, wander, be out of the way"},
"G1005":{"kjv_def":"north","lemma":"βοῤῥᾶς","derivation":"of uncertain derivation;","strongs_def":" the north (properly, wind)"},
"G1194":{"kjv_def":"beat, smite","lemma":"δέρω","strongs_def":" properly, to flay, i.e. (by implication) to scourge, or (by analogy) to thrash","derivation":"a primary verb;"},
"G890":{"kjv_def":"unprofitable","lemma":"ἄχρηστος","strongs_def":" inefficient, i.e. (by implication) detrimental","derivation":"from G1 (Α) (as a negative particle) and G5543 (χρηστός);"},
"G3753":{"strongs_def":" at which (thing) too, i.e. when","derivation":"from G3739 (ὅς) and G5037 (τέ);","lemma":"ὅτε","kjv_def":"after (that), as soon as, that, when, while"},
"G4715":{"lemma":"στατήρ","kjv_def":"piece of money","derivation":"from the base of G2746 (καύχησις);","strongs_def":" a stander (standard of value), i.e. (specially), a stater or certain coin"},
"G741":{"kjv_def":"season","lemma":"ἀρτύω","derivation":"from a presumed derivative of G142 (αἴρω);","strongs_def":" to prepare, i.e. spice (with stimulating condiments)"},
"G1401":{"lemma":"δοῦλος","kjv_def":"bond(-man), servant","strongs_def":" a slave (literal or figurative, involuntary or voluntary; frequently, therefore in a qualified sense of subjection or subserviency)","derivation":"from G1210 (δέω);"},
"G3890":{"lemma":"παραμύθιον","kjv_def":"comfort","strongs_def":" consolation (properly, concretely)","derivation":"neuter of G3889 (παραμυθία);"},
"G4707":{"lemma":"σπουδαιότερος","kjv_def":"more diligent (forward)","strongs_def":" more prompt, more earnest","derivation":"comparative of G4705 (σπουδαῖος);"},
"G1100":{"strongs_def":" the tongue; by implication, a language (specially, one naturally unacquired)","derivation":"of uncertain affinity;","kjv_def":"tongue","lemma":"γλῶσσα"},
"G2574":{"derivation":"of Hebrew origin (H01581);","strongs_def":" a \"camel\"","lemma":"κάμηλος","kjv_def":"camel"},
"G4883":{"derivation":"from G4862 (σύν) and a derivative of a compound of G719 (ἁρμός) and G3004 (λέγω) (in its original sense of laying);","strongs_def":" to render close-jointed together, i.e. organize compactly","lemma":"συναρμολογέω","kjv_def":"be fitly framed (joined) together"},
"G1871":{"strongs_def":" to ask for","derivation":"from G1909 (ἐπί) and G154 (αἰτέω);","kjv_def":"beg","lemma":"ἐπαιτέω"},
"G1177":{"kjv_def":"twelve","lemma":"δεκαδύο","strongs_def":" two and ten, i.e. twelve","derivation":"from G1176 (δέκα) and G1417 (δύο);"},
"G3403":{"lemma":"μιμνήσκω","kjv_def":"be mindful, remember","derivation":"a prolonged form of G3415 (μνάομαι) (from which some of the tenses are borrowed);","strongs_def":" to remind, i.e. (middle voice) to recall to mind"},
"G1405":{"strongs_def":" to grasp, i.e. (figuratively) entrap","derivation":"perhaps akin to the base of G1404 (δράκων) (through the idea of capturing);","lemma":"δράσσομαι","kjv_def":"take"},
"G3681":{"derivation":"probably akin to the base of G3686 (ὄνομα);","strongs_def":" notoriety, i.e. a taunt (disgrace)","lemma":"ὄνειδος","kjv_def":"reproach"},
"G335":{"lemma":"ἀναίδεια","kjv_def":"importunity","strongs_def":" impudence, i.e. (by implication) importunity","derivation":"from a compound of G1 (Α) (as a negative particle (compare G427 (ἄνευ))) and G127 (αἰδώς);"},
"G814":{"lemma":"ἀτάκτως","kjv_def":"disorderly","derivation":"adverb from G813 (ἄτακτος), irregularly (morally)"},
"G1676":{"lemma":"Ἑλληνιστί","kjv_def":"Greek","derivation":"adverb from the same as G1675 (Ἑλληνιστής);","strongs_def":" Hellenistically, i.e. in the Grecian language"},
"G2997":{"lemma":"λάσχω","kjv_def":"burst asunder","strongs_def":" to crack open (from a fall)","derivation":"a strengthened form of a primary verb, which only occurs in this and another prolonged form as alternate in certain tenses;"},
"G1278":{"derivation":"from G1223 (διά) and a derivative of G4192 (πόνος);","strongs_def":" to toil through, i.e. (passively) be worried","kjv_def":"be grieved","lemma":"διαπονέω"},
"G2502":{"lemma":"Ἰωσίας","kjv_def":"Josias","derivation":"of Hebrew origin (H02977);","strongs_def":" Josias (i.e. Joshiah), an Israelite"},
"G3010":{"kjv_def":"ministering","lemma":"λειτουργικός","derivation":"from the same as G3008 (λειτουργέω);","strongs_def":" functional publicly (\"liturgic\"); i.e. beneficient"},
"G392":{"kjv_def":"set in order","lemma":"ἀνατάσσομαι","derivation":"from G303 (ἀνά) and the middle voice of G5021 (τάσσω);","strongs_def":" to arrange"},
"G3869":{"strongs_def":" to sit down near","derivation":"from G3844 (παρά) and G2523 (καθίζω);","lemma":"παρακαθίζω","kjv_def":"sit"},
"G4630":{"derivation":"apparently of Latin origin;","strongs_def":" left-handed; Scevas (i.e. Scævus), an Israelite","kjv_def":"Sceva","lemma":"Σκευᾶς"},
"G4430":{"kjv_def":"dead body, carcase, corpse","lemma":"πτῶμα","strongs_def":" a ruin, i.e. (specially), lifeless body (corpse, carrion)","derivation":"from the alternate of G4098 (πίπτω);"},
"G4116":{"strongs_def":" spread out \"flat\" (\"plot\"), i.e. broad","derivation":"from G4111 (πλάσσω);","kjv_def":"wide","lemma":"πλατύς"},
"G3411":{"derivation":"from G3409 (μισθόω);","strongs_def":" a wage-worker (good or bad)","lemma":"μισθωτός","kjv_def":"hired servant, hireling"},
"G3081":{"derivation":"third person singular present indicative active of a derivative of a compound of G3080 (λύσις) and G5056 (τέλος);","strongs_def":" impersonally, it answers the purpose, i.e. is advantageous","kjv_def":"it is better","lemma":"λυσιτελεῖ"},
"G5168":{"kjv_def":"eye","lemma":"τρυμαλιά","derivation":"from a derivative of (to wear away;","strongs_def":" akin to the base of G5134 (τραῦμα), G5147 (τρίβος) and G5176 (τρώγω)); an orifice, i.e. needle's eye"},
"G4328":{"lemma":"προσδοκάω","kjv_def":"(be in) expect(-ation), look (for), when looked, tarry, wait for","derivation":"from G4314 (πρός) and dokeuo (to watch);","strongs_def":" to anticipate (in thought, hope or fear); by implication, to await"},
"G424":{"derivation":"from G303 (ἀνά) and G2064 (ἔρχομαι);","strongs_def":" to ascend","kjv_def":"go up","lemma":"ἀνέρχομαι"},
"G3637":{"kjv_def":"the eighth day","lemma":"ὀκταήμερος","derivation":"from G3638 (ὀκτώ) and G2250 (ἡμέρα);","strongs_def":" an eight-day old person or act"},
"G1536":{"derivation":"from G1487 (εἰ) and G5100 (τὶς);","strongs_def":" if any","kjv_def":"he that, if a(-ny) man('s thing, from any, ought), whether any, whosoever","lemma":"εἴ τις"},
"G1562":{"kjv_def":"strip, take off from, unclothe","lemma":"ἐκδύω","strongs_def":" to cause to sink out of, i.e. (specially as of clothing) to divest","derivation":"from G1537 (ἐκ) and the base of G1416 (δύνω);"},
"G5539":{"derivation":"from G5540 (χρῆσις);","strongs_def":" serviceable","kjv_def":"profit","lemma":"χρήσιμος"},
"G2141":{"derivation":"from a compound of G2090 (ἑτοιμάζω) and the base of G4197 (πορεία);","strongs_def":" (intransitively) to be good for passing through, i.e. (figuratively) have pecuniary means","lemma":"εὐπορέω","kjv_def":"ability"},
"G2870":{"lemma":"κοπετός","kjv_def":"lamentation","strongs_def":" mourning (properly, by beating the breast)","derivation":"from G2875 (κόπτω);"},
"G1060":{"kjv_def":"marry (a wife)","lemma":"γαμέω","strongs_def":" to wed (of either sex)","derivation":"from G1062 (γάμος);"},
"G3053":{"lemma":"λογισμός","kjv_def":"imagination, thought","derivation":"from G3049 (λογίζομαι);","strongs_def":" computation, i.e. (figuratively) reasoning (conscience, conceit)"},
"G162":{"derivation":"from G164 (αἰχμάλωτος);","strongs_def":" to capture (like G163 (αἰχμαλωτίζω))","kjv_def":"lead captive","lemma":"αἰχμαλωτεύω"},
"G1073":{"lemma":"γέμω","kjv_def":"be full","derivation":"a primary verb;","strongs_def":" to swell out, i.e. be full"},
"G561":{"derivation":"from G575 (ἀπό) and G1725 (ἔναντι);","strongs_def":" from in front, i.e. opposite, before or against","lemma":"ἀπέναντι","kjv_def":"before, contrary, over against, in the presence of"},
"G4240":{"strongs_def":" mildness, i.e. (by implication) humility","derivation":"from G4239 (πραΰς);","lemma":"πραΰτης","kjv_def":"meekness"},
"G2993":{"kjv_def":"Laodicea","lemma":"Λαοδίκεια","strongs_def":" Laodicia, a place in Asia Minor","derivation":"from a compound of G2992 (λαός) and G1349 (δίκη);"},
"G3762":{"kjv_def":"any (man), aught, man, neither any (thing), never (man), no (man), none (+ of these things), not (any, at all, -thing), nought","lemma":"οὐδείς","derivation":"from G3761 (οὐδέ) and G1520 (εἷς);","strongs_def":" not even one (man, woman or thing), i.e. none, nobody, nothing"},
"G1651":{"strongs_def":" to confute, admonish","derivation":"of uncertain affinity;","lemma":"ἐλέγχω","kjv_def":"convict, convince, tell a fault, rebuke, reprove"},
"G2539":{"strongs_def":" and indeed, i.e. nevertheless or notwithstanding","derivation":"from G2532 (καί) and G4007 (περ);","kjv_def":"and yet, although","lemma":"καίπερ"},
"G5084":{"kjv_def":"hold","lemma":"τήρησις","derivation":"from G5083 (τηρέω);","strongs_def":" a watching, i.e. (figuratively) observance, or (concretely) a prison"},
"G3506":{"lemma":"νεύω","kjv_def":"beckon","strongs_def":" to \"nod\", i.e. (by analogy), signal","derivation":"apparently a primary verb;"},
"G5561":{"derivation":"feminine of a derivative of the base of G5490 (χάσμα) through the idea of empty expanse;","strongs_def":" room, i.e. a space of territory (more or less extensive; often including its inhabitants)","lemma":"χώρα","kjv_def":"coast, county, fields, ground, land, region"},
"G1873":{"kjv_def":"hear","lemma":"ἐπακούω","derivation":"from G1909 (ἐπί) and G191 (ἀκούω);","strongs_def":" to hearken (favorably) to"},
"G1451":{"strongs_def":" akin to the base of G43 (ἀγκάλη)); near (literally or figuratively, of place or time)","derivation":"from a primary verb (to squeeze or throttle;","kjv_def":"from , at hand, near, nigh (at hand, unto), ready","lemma":"ἐγγύς"},
"G3347":{"strongs_def":" thereafter","derivation":"from G3326 (μετά) and G1899 (ἔπειτα);","kjv_def":"afterward","lemma":"μετέπειτα"},
"G2269":{"lemma":"Ἠσαῦ","kjv_def":"Esau","strongs_def":" Esau, an Edomite","derivation":"of Hebrew origin (H06215);"},
"G670":{"strongs_def":" to unload","derivation":"from G575 (ἀπό) and the middle voice of G5412 (φορτίζω);","lemma":"ἀποφορτίζομαι","kjv_def":"unlade"},
"G1328":{"derivation":"from G1329 (διερμηνεύω);","strongs_def":" an explainer","kjv_def":"interpreter","lemma":"διερμηνευτής"},
"G5456":{"kjv_def":"noise, sound, voice","lemma":"φωνή","derivation":"probably akin to G5316 (φαίνω) through the idea of disclosure;","strongs_def":" a tone (articulate, bestial or artificial); by implication, an address (for any purpose), saying or language"},
"G1671":{"derivation":"of uncertain affinity;","strongs_def":" Hellas (or Greece), a country of Europe","lemma":"Ἑλλάς","kjv_def":"Greece"},
"G2193":{"kjv_def":"even (until, unto), (as) far (as), how long, (un-)til(-l), (hither-, un-, up) to, while(-s)","lemma":"ἕως","derivation":"of uncertain affinity;","strongs_def":" a conjunction, preposition and adverb of continuance, until (of time and place)"},
"G2452":{"lemma":"Ἰουδαϊκῶς","kjv_def":"as do the Jews","strongs_def":" Judaïcally or in a manner resembling a Judæan","derivation":"adverb from G2451 (Ἰουδαϊκός);"},
"G1442":{"kjv_def":"seventh","lemma":"ἕβδομος","strongs_def":" seventh","derivation":"ordinal from G2033 (ἑπτά);"},
"G3806":{"lemma":"πάθος","kjv_def":" (inordinate) affection, lust","strongs_def":" properly, suffering (\"pathos\"), i.e. (subjectively) a passion (especially concupiscence)","derivation":"from the alternate of G3958 (πάσχω);"},
"G2924":{"strongs_def":" decisive (\"critical\"), i.e. discriminative","derivation":"from G2923 (κριτής);","kjv_def":"discerner","lemma":"κριτικός"},
"G2725":{"lemma":"κατήγορος","kjv_def":"accuser","strongs_def":" against one in the assembly, i.e. a complainant at law; specially, Satan","derivation":"from G2596 (κατά) and G58 (ἀγορά);"},
"G417":{"derivation":"from the base of G109 (ἀήρ);","strongs_def":" wind; (plural) by implication, (the four) quarters (of the earth)","lemma":"ἄνεμος","kjv_def":"wind"},
"G4344":{"lemma":"προσκεφάλαιον","kjv_def":"pillow","derivation":"neuter of a presumed compound of G4314 (πρός) and G2776 (κεφαλή);","strongs_def":" something for the head, i.e. a cushion"},
"G4520":{"strongs_def":" a \"sabbatism\", i.e. (figuratively) the repose of Christianity (as a type of heaven)","derivation":"from a derivative of G4521 (σάββατον);","kjv_def":"rest","lemma":"σαββατισμός"},
"G1760":{"derivation":"from a compound of G1722 (ἐν) and G2372 (θυμός);","strongs_def":" to be inspirited, i.e. ponder","kjv_def":"think","lemma":"ἐνθυμέομαι"},
"G3318":{"lemma":"Μεσοποταμία","kjv_def":"Mesopotamia","strongs_def":" Mesopotamia (as lying between the Euphrates and the Tigris; compare 0763), a region of Asia","derivation":"from G3319 (μέσος) and G4215 (ποταμός);"},
"G515":{"strongs_def":" to deem entitled or fit","derivation":"from G514 (ἄξιος);","lemma":"ἀξιόω","kjv_def":"desire, think good, count (think) worthy"},
"G3592":{"kjv_def":"he, she, such, these, thus","lemma":"ὅδε","derivation":"from G3588 (ὁ) and G1161 (δέ);","strongs_def":" the same, i.e. this or that one (plural these or those); often used as a personal pronoun"},
"G2213":{"strongs_def":" a search (properly concretely), i.e. (in words) a debate","derivation":"from G2212 (ζητέω);","lemma":"ζήτημα","kjv_def":"question"},
"G3350":{"lemma":"μετοικεσία","kjv_def":"X brought, carried(-ying) away (in-)to","derivation":"from a derivative of a compound of G3326 (μετά) and G3624 (οἶκος);","strongs_def":" a change of abode, i.e. (specially), expatriation"},
"G614":{"strongs_def":" secret; by implication, treasured","derivation":"from G613 (ἀποκρύπτω);","kjv_def":"hid, kept secret","lemma":"ἀπόκρυφος"},
"G817":{"kjv_def":"in the absence of, without","lemma":"ἄτερ","derivation":"a particle probably akin to G427 (ἄνευ);","strongs_def":" aloof, i.e. apart from (literally or figuratively)"},
"G2715":{"kjv_def":"exercise authority","lemma":"κατεξουσιάζω","derivation":"from G2596 (κατά) and G1850 (ἐξουσιάζω);","strongs_def":" to have (wield) full privilege over"},
"G998":{"strongs_def":" a succorer","derivation":"from G995 (βοή) and theo (to run);","kjv_def":"helper","lemma":"βοηθός"},
"G2052":{"derivation":"perhaps as the same as G2042 (ἐρεθίζω);","strongs_def":" properly, intrigue, i.e. (by implication) faction","kjv_def":"contention(-ious), strife","lemma":"ἐριθεία"},
"G630":{"strongs_def":" to free fully, i.e. (literally) relieve, release, dismiss (reflexively, depart), or (figuratively) let die, pardon or (specially) divorce","derivation":"from G575 (ἀπό) and G3089 (λύω);","kjv_def":"(let) depart, dismiss, divorce, forgive, let go, loose, put (send) away, release, set at liberty","lemma":"ἀπολύω"},
"G5576":{"strongs_def":" to be an untrue testifier, i.e. offer falsehood in evidence","derivation":"from G5575 (ψευδομάρτυρ);","kjv_def":"be a false witness","lemma":"ψευδομαρτυρέω"},
"G2081":{"derivation":"from G2080 (ἔσω);","strongs_def":" from inside; also used as equivalent to G2080 (ἔσω) (inside)","kjv_def":"inward(-ly), (from) within, without","lemma":"ἔσωθεν"},
"G3367":{"strongs_def":" not even one (man, woman, thing)","derivation":"from G3361 (μή) and G1520 (εἷς);","lemma":"μηδείς","kjv_def":"any (man, thing), no (man), none, not (at all, any man, a whit), nothing, + without delay"},
"G5194":{"strongs_def":" glass","derivation":"perhaps from the same as G5205 (ὑετός) (as being transparent like rain);","lemma":"ὕαλος","kjv_def":"glass"},
"G4600":{"lemma":"σιαγών","kjv_def":"cheek","derivation":"of uncertain derivation;","strongs_def":" the jaw-bone, i.e. (by implication) the cheek or side of the face"},
"G3430":{"derivation":"from G3431 (μοιχεύω);","strongs_def":" adultery","kjv_def":"adultery","lemma":"μοιχεία"},
"G2757":{"strongs_def":" empty sounding, i.e. fruitless discussion","derivation":"from a presumed compound of G2756 (κενός) and G5456 (φωνή);","lemma":"κενοφωνία","kjv_def":"vain"},
"G4331":{"kjv_def":"come nigh","lemma":"προσεγγίζω","strongs_def":" to approach near","derivation":"from G4314 (πρός) and G1448 (ἐγγίζω);"},
"G2296":{"strongs_def":" to wonder; by implication, to admire","derivation":"from G2295 (θαῦμα);","lemma":"θαυμάζω","kjv_def":"admire, have in admiration, marvel, wonder"},
"G654":{"kjv_def":"bring again, pervert, turn away (from)","lemma":"ἀποστρέφω","strongs_def":" to turn away or back (literally or figuratively)","derivation":"from G575 (ἀπό) and G4762 (στρέφω);"},
"G3932":{"derivation":"from G3933 (παρθένος);","strongs_def":" maidenhood","kjv_def":"virginity","lemma":"παρθενία"},
"G3840":{"derivation":"adverb (of source) from G3956 (πᾶς);","strongs_def":" from (i.e. on) all sides","lemma":"πάντοθεν","kjv_def":"on every side, round about"},
"G477":{"kjv_def":"opposition","lemma":"ἀντίθεσις","derivation":"from a compound of G473 (ἀντί) and G5087 (τίθημι);","strongs_def":" opposition, i.e. a conflict (of theories)"},
"G180":{"derivation":"from G1 (Α) (as a negative particle) and a derivative of G2664 (καταπαύω);","strongs_def":" unrefraining","lemma":"ἀκατάπαυστος","kjv_def":"that cannot cease"},
"G1712":{"strongs_def":" a mart (\"emporium\")","derivation":"neuter from G1713 (ἔμπορος);","kjv_def":"merchandise","lemma":"ἐμπόριον"},
"G1028":{"lemma":"βροχή","kjv_def":"rain","strongs_def":" rain","derivation":"from G1026 (βρέχω);"},
"G761":{"lemma":"ἀσάλευτος","kjv_def":"which cannot be moved, unmovable","derivation":"from G1 (Α) (as a negative particle) and a derivative of G4531 (σαλεύω);","strongs_def":" unshaken, i.e. (by implication) immovable (figuratively)"},
"G3788":{"lemma":"ὀφθαλμός","kjv_def":"eye, sight","strongs_def":" the eye (literally or figuratively); by implication, vision; figuratively, envy (from the jealous side-glance)","derivation":"from G3700 (ὀπτάνομαι);"},
"G1522":{"kjv_def":"hear","lemma":"εἰσακούω","derivation":"from G1519 (εἰς) and G191 (ἀκούω);","strongs_def":" to listen to"},
"G1136":{"kjv_def":"Gog","lemma":"Γώγ","strongs_def":" Gog, a symbolic name for some future Antichrist","derivation":"of Hebrew origin (H01463);"},
"G2190":{"strongs_def":" hateful (passively, odious, or actively, hostile); usually as a noun, an adversary (especially Satan)","derivation":"from a primary (to hate);","lemma":"ἐχθρός","kjv_def":"enemy, foe"},
"G2014":{"strongs_def":" to shine upon, i.e. become (literally) visible or (figuratively) known","derivation":"from G1909 (ἐπί) and G5316 (φαίνω);","kjv_def":"appear, give light","lemma":"ἐπιφαίνω"},
"G651":{"derivation":"from G649 (ἀποστέλλω);","strongs_def":" commission, i.e. (specially) apostolate","lemma":"ἀποστολή","kjv_def":"apostleship"},
"G2913":{"derivation":"of Latin origin;","strongs_def":" growing; Cresces (i.e. Crescens), a Christian","lemma":"Κρήσκης","kjv_def":"Crescens"},
"G3779":{"lemma":"οὕτω","kjv_def":"after that, after (in) this manner, as, even (so), for all that, like(-wise), no more, on this fashion(-wise), so (in like manner), thus, what","derivation":"adverb from G3778 (οὗτος);","strongs_def":" in this way (referring to what precedes or follows)"},
"G79":{"kjv_def":"sister","lemma":"ἀδελφή","derivation":"feminine of G80 (ἀδελφός);","strongs_def":" a sister (naturally or ecclesiastically)"},
"G2698":{"strongs_def":" to place down, i.e. deposit (literally or figuratively)","derivation":"from G2596 (κατά) and G5087 (τίθημι);","lemma":"κατατίθημι","kjv_def":"do, lay, shew"},
"G4835":{"strongs_def":" having a fellow-feeling (\"sympathetic\"), i.e. (by implication) mutually commiserative","derivation":"from G4841 (συμπάσχω);","lemma":"συμπαθής","kjv_def":"having compassion one of another"},
"G2411":{"lemma":"ἱερόν","kjv_def":"temple","derivation":"neuter of G2413 (ἱερός);","strongs_def":" a sacred place, i.e. the entire precincts (whereas G3485 (ναός) denotes the central sanctuary itself) of the Temple (at Jerusalem or elsewhere)"},
"G206":{"derivation":"neuter of an adjective probably akin to the base of G188 (ἀκμήν);","strongs_def":" the extremity","kjv_def":"one end… other, tip, top, uttermost participle ","lemma":"ἄκρον"},
"G2826":{"strongs_def":" a pallet or little couch","derivation":"neuter of a presumed derivative of G2825 (κλίνη);","lemma":"κλινίδιον","kjv_def":"bed"},
"G912":{"strongs_def":" son of Abba; Bar-abbas, an Israelite","derivation":"of Chaldee origin (H01347 and H05);","kjv_def":"Barabbas","lemma":"Βαραββᾶς"},
"G2381":{"kjv_def":"Thomas","lemma":"Θωμᾶς","strongs_def":" the twin; Thomas, a Christian","derivation":"of Chaldee origin (compare H08380);"},
"G2095":{"lemma":"εὖ","kjv_def":"good, well (done)","strongs_def":" (adverbially) well","derivation":"neuter of a primary (good);"},
"G2276":{"lemma":"ἥττον","kjv_def":"less, worse","derivation":"neuter of comparative of (slightly) used for that of G2556 (κακός);","strongs_def":" worse (as noun); by implication, less (as adverb)"},
"G311":{"strongs_def":" a putting off","derivation":"from G306 (ἀναβάλλομαι);","kjv_def":"delay","lemma":"ἀναβολή"},
"G394":{"derivation":"from G303 (ἀνά) and the middle voice of G5087 (τίθημι);","strongs_def":" to set forth (for oneself), i.e propound","kjv_def":"communicate, declare","lemma":"ἀνατίθεμαι"},
"G1045":{"kjv_def":"Gad","lemma":"Γάδ","derivation":"of Hebrew origin (H01410);","strongs_def":" Gad, a tribe of Israelites"},
"G2971":{"kjv_def":"gnat","lemma":"κώνωψ","derivation":"apparently a derivative of the base of G2759 (κέντρον) and a derivative of G3700 (ὀπτάνομαι);","strongs_def":" a mosquito (from its stinging proboscis)"},
"G3729":{"kjv_def":"run (violently), rush","lemma":"ὁρμάω","strongs_def":" to start, spur or urge on, i.e. (reflexively) to dash or plunge","derivation":"from G3730 (ὁρμή);"},
"G1608":{"lemma":"ἐκπορνεύω","kjv_def":"give self over to fornication","strongs_def":" to be utterly unchaste","derivation":"from G1537 (ἐκ) and G4203 (πορνεύω);"},
"G2196":{"strongs_def":" Zara, (i.e. Zerach), an Israelite","derivation":"of Hebrew origin (H02226);","kjv_def":"Zara","lemma":"Ζαρά"},
"G5107":{"strongs_def":" such-like then, i.e. so great","derivation":"(including the other inflections); from a derivative of 5104 and G1161 (δέ);","lemma":"τοιόσδε","kjv_def":"such"},
"G2780":{"derivation":"from G2779 (κῆπος) and (a warden);","strongs_def":" a garden-keeper, i.e. gardener","lemma":"κηπουρός","kjv_def":"gardener"},
"G3494":{"derivation":"from a derivative of G3501 (νέος);","strongs_def":" a youth (up to about forty years)","lemma":"νεανίας","kjv_def":"young man"},
"G5259":{"strongs_def":" under, i.e. (with the genitive case) of place (beneath), or with verbs (the agency or means, through); (with the accusative case) of place (whither (underneath) or where (below) or time (when (at))","derivation":"a primary preposition;","lemma":"ὑπό","kjv_def":"among, by, from, in, of, under, with"},
"G4426":{"derivation":"from a presumed derivative of G4429 (πτύω) (and thus akin to G4422 (πτοέω));","strongs_def":" to frighten","kjv_def":"terrify","lemma":"πτύρω"},
"G4526":{"derivation":"of Hebrew origin (H08242);","strongs_def":" \"sack\"-cloth, i.e. mohair (the material or garments made of it, worn as a sign of grief)","lemma":"σάκκος","kjv_def":" sackcloth"},
"G2716":{"kjv_def":"cause, to (deed), perform, work (out)","lemma":"κατεργάζομαι","derivation":"from G2596 (κατά) and G2038 (ἐργάζομαι);","strongs_def":" to work fully, i.e. accomplish; by implication, to finish, fashion"},
"G4957":{"kjv_def":"crucify with","lemma":"συσταυρόω","strongs_def":" to impale in company with (literally or figuratively)","derivation":"from G4862 (σύν) and G4717 (σταυρόω);"},
"G17":{"derivation":"from G18 (ἀγαθός) and G4160 (ποιέω);","strongs_def":" a well-doer, i.e. virtuous","lemma":"ἀγαθοποιός","kjv_def":"them that do well"},
"G3464":{"kjv_def":"ointment","lemma":"μύρον","derivation":"probably of foreign origin (compare H04753, G4666 (σμύρνα));","strongs_def":" \"myrrh\", i.e. (by implication) perfumed oil"},
"G2345":{"lemma":"θιγγάνω","kjv_def":"handle, touch","derivation":"a prolonged form of an obsolete primary (to finger);","strongs_def":" to manipulate, i.e. have to do with; by implication, to injure"},
"G2075":{"kjv_def":"be, have been, belong","lemma":"ἐστέ","strongs_def":" ye are","derivation":"second person plural present indicative of G1510 (εἰμί);"},
"G1798":{"strongs_def":" something seen in sleep, i.e. a dream (vision in a dream)","derivation":"from G1722 (ἐν) and G5258 (ὕπνος);","kjv_def":"dream","lemma":"ἐνύπνιον"},
"G952":{"kjv_def":"profane (person)","lemma":"βέβηλος","derivation":"from the base of G939 (βάσις) and (a threshold);","strongs_def":" accessible (as by crossing the door-way), i.e. (by implication, of Jewish notions) heathenish, wicked"},
"G1347":{"kjv_def":"justification","lemma":"δικαίωσις","strongs_def":" aquittal (for Christ's sake)","derivation":"from G1344 (δικαιόω);"},
"G896":{"derivation":"of Hebrew origin (H01168);","strongs_def":" Baal, a Phœnician deity (used as a symbol of idolatry)","lemma":"Βάαλ","kjv_def":"Baal"},
"G869":{"strongs_def":" unawares, i.e. unexpectedly","derivation":"adverb from G852 (ἀφανής) (contraction);","kjv_def":"suddenly","lemma":"ἄφνω"},
"G3901":{"derivation":"from G3844 (παρά) and the alternate of G4482 (ῥέω);","strongs_def":" to flow by, i.e. (figuratively) carelessly pass (miss)","lemma":"παραῤῥυέω","kjv_def":"let slip"},
"G4124":{"kjv_def":"covetous(-ness) practices, greediness","lemma":"πλεονεξία","strongs_def":" avarice, i.e. (by implication) fraudulency, extortion","derivation":"from G4123 (πλεονέκτης);"},
"G1571":{"lemma":"ἐκκαθαίρω","kjv_def":"purge (out)","strongs_def":" to cleanse thoroughly","derivation":"from G1537 (ἐκ) and G2508 (καθαίρω);"},
"G4023":{"lemma":"περιέχω","kjv_def":"+ astonished, contain, after (this manner)","strongs_def":" to hold all around, i.e. include, clasp (figuratively)","derivation":"from G4012 (περί) and G2192 (ἔχω);"},
"G3967":{"kjv_def":"of fathers","lemma":"πατρικός","strongs_def":" paternal, i.e. ancestral","derivation":"from G3962 (πατήρ);"},
"G2114":{"strongs_def":" to cheer up, i.e. (intransitively) be cheerful; neuter comparative (adverbially) more cheerfully","derivation":"from G2115 (εὔθυμος);","lemma":"εὐθυμέω","kjv_def":"be of good cheer (merry)"},
"G3763":{"lemma":"οὐδέποτε","kjv_def":"neither at any time, never, nothing at any time","derivation":"from G3761 (οὐδέ) and G4218 (ποτέ);","strongs_def":" not even at any time, i.e. never at all"},
"G2713":{"strongs_def":" directly opposite","derivation":"from G2596 (κατά) and G1725 (ἔναντι);","lemma":"κατέναντι","kjv_def":"before, over against"},
"G4975":{"strongs_def":" nigh, i.e. nearly","derivation":"neuter of a presumed derivative of the alternate of G2192 (ἔχω) as adverb;","lemma":"σχεδόν","kjv_def":"almost"},
"G1547":{"strongs_def":" to marry off a daughter","derivation":"from G1537 (ἐκ) and a form of G1061 (γαμίσκω) (compare G1548 (ἐκγαμίσκω));","kjv_def":"give in marriage","lemma":"ἐκγαμίζω"},
"G4271":{"derivation":"from G4253 (πρό) and G1212 (δῆλος);","strongs_def":" plain before all men, i.e. obvious","kjv_def":"evident, manifest (open) beforehand","lemma":"πρόδηλος"},
"G2132":{"derivation":"from a compound of G2095 (εὖ) and G3563 (νοῦς);","strongs_def":" to be well- minded, i.e. reconcile","lemma":"εὐνοέω","kjv_def":"agree"},
"G3716":{"lemma":"ὀρθοποδέω","kjv_def":"walk uprightly","strongs_def":" to be straight-footed, i.e. (figuratively) to go directly forward","derivation":"from a compound of G3717 (ὀρθός) and G4228 (πούς);"},
"G2336":{"lemma":"θήκη","kjv_def":"sheath","strongs_def":" a receptacle, i.e. scabbard","derivation":"from G5087 (τίθημι);"},
"G4855":{"derivation":"from G4862 (σύν) and G5453 (φύω);","strongs_def":" passive, to grow jointly","kjv_def":"spring up with","lemma":"συμφύω"},
"G5352":{"strongs_def":" akin to the base of G5351 (φθείρω)) and G3703 (ὀπώρα) (meaning late autumn); autumnal (as stripped of leaves)","derivation":"from derivative of (to wane;","kjv_def":"whose fruit withereth","lemma":"φθινοπωρινός"},
"G5045":{"strongs_def":" an artificer (as producer of fabrics), i.e. (specially), a craftsman in wood","derivation":"from the base of G5098 (τιμωρία);","lemma":"τέκτων","kjv_def":"carpenter"},
"G3839":{"lemma":"πάντη","kjv_def":"always","strongs_def":" wholly","derivation":"adverb (of manner) from G3956 (πᾶς);"},
"G1944":{"derivation":"from G1909 (ἐπί) and a derivative of G2672 (καταράομαι);","strongs_def":" imprecated, i.e. execrable","kjv_def":"accursed","lemma":"ἐπικατάρατος"},
"G5097":{"strongs_def":" properly, to protect one's honor, i.e. to avenge (inflict a penalty)","derivation":"from a comparative of G5092 (τιμή) and ouros (a guard);","kjv_def":"punish","lemma":"τιμωρέω"},
"G5591":{"strongs_def":" sensitive, i.e. animate (in distinction on the one hand from G4152 (πνευματικός), which is the higher or renovated nature; and on the other from G5446 (φυσικός), which is the lower or bestial nature)","derivation":"from G5590 (ψυχή);","lemma":"ψυχικός","kjv_def":"natural, sensual"},
"G390":{"strongs_def":" to overturn; also to return; by implication, to busy oneself, i.e. remain, live","derivation":"from G303 (ἀνά) and G4762 (στρέφω);","lemma":"ἀναστρέφω","kjv_def":"abide, behave self, have conversation, live, overthrow, pass, return, be used"},
"G1659":{"derivation":"from G1658 (ἐλεύθερος);","strongs_def":" to liberate, i.e. (figuratively) to exempt (from moral, ceremonial or mortal liability)","lemma":"ἐλευθερόω","kjv_def":"deliver, make free"},
"G1858":{"kjv_def":"keep the feast","lemma":"ἑορτάζω","derivation":"from G1859 (ἑορτή);","strongs_def":" to observe a festival"},
"G2950":{"strongs_def":" a \"cymbal\" (as hollow)","derivation":"from a derivative of the base of G2949 (κῦμα);","lemma":"κύμβαλον","kjv_def":"cymbal"},
"G1523":{"strongs_def":" to take into one's favor","derivation":"from G1519 (εἰς) and G1209 (δέχομαι);","lemma":"εἰσδέχομαι","kjv_def":"receive"},
"G447":{"strongs_def":" to let up, i.e. (literally) slacken or (figuratively) desert, desist from","derivation":"from G303 (ἀνά) and (to send);","lemma":"ἀνίημι","kjv_def":"forbear, leave, loose"},
"G1055":{"kjv_def":"calm","lemma":"γαλήνη","derivation":"of uncertain derivation;","strongs_def":" tranquillity"},
"G2113":{"lemma":"εὐθυδρομέω","kjv_def":"(come) with a straight course","derivation":"from G2117 (εὐθύς) and G1408 (δρόμος);","strongs_def":" to lay a straight course, i.e. sail direct"},
"G4651":{"strongs_def":" a \"scorpion\" (from its sting)","derivation":"probably from an obsolete (perhaps strengthened from the base of G4649 (σκοπός) and meaning to pierce);","kjv_def":"scorpion","lemma":"σκορπίος"},
"G2884":{"strongs_def":" a cor, i.e. a specific measure","derivation":"of Hebrew origin (H03734);","lemma":"κόρος","kjv_def":"measure"},
"G3456":{"derivation":"from a derivative of the base of G3455 (μυκάομαι) (meaning snout, as that whence lowing proceeds);","strongs_def":" to make mouths at, i.e. ridicule","kjv_def":"mock","lemma":"μυκτηρίζω"},
"G4424":{"lemma":"Πτολεμαΐς","kjv_def":"Ptolemais","strongs_def":" Ptolemais, a place in Palestine","derivation":"from (Ptolemy, after whom it was named);"},
"G3621":{"strongs_def":" to manage (a house, i.e. an estate)","derivation":"from G3623 (οἰκονόμος);","kjv_def":"be steward","lemma":"οἰκονομέω"},
"G5134":{"strongs_def":" akin to the base of G2352 (θραύω), G5147 (τρίβος), G5149 (τρίζω), etc.); a wound","derivation":"from the base of (to wound;","kjv_def":"wound","lemma":"τραῦμα"},
"G2325":{"derivation":"from G2330 (θέρος) (in the sense of the crop);","strongs_def":" to harvest","kjv_def":"reap","lemma":"θερίζω"},
"G5381":{"derivation":"from G5382 (φιλόξενος);","strongs_def":" hospitableness","lemma":"φιλονεξία","kjv_def":"entertain stranger, hospitality"},
"G3997":{"strongs_def":" grief","derivation":"strengthened from the alternate of G3958 (πάσχω);","lemma":"πένθος","kjv_def":"mourning, sorrow"},
"G316":{"kjv_def":"near, necessary, necessity, needful","lemma":"ἀναγκαῖος","strongs_def":" necessary; by implication, close (of kin)","derivation":"from G318 (ἀνάγκη);"},
"G4422":{"kjv_def":"frighten","lemma":"πτοέω","derivation":"probably akin to the alternate of G4098 (πίπτω) (through the idea of causing to fall) or to G4072 (πέτομαι) (through that of causing to fly away);","strongs_def":" to scare"},
"G657":{"lemma":"ἀποτάσσομαι","kjv_def":"bid farewell, forsake, take leave, send away","strongs_def":" literally, to say adieu (by departing or dismissing); figuratively, to renounce","derivation":"middle voice from G575 (ἀπό) and G5021 (τάσσω);"},
"G2140":{"derivation":"from a compound of G2095 (εὖ) and G4160 (ποιέω);","strongs_def":" well-doing, i.e. beneficence","lemma":"εὐποιΐα","kjv_def":"to do good"},
"G3744":{"kjv_def":"odour, savour","lemma":"ὀσμή","strongs_def":" fragrance (literally or figuratively)","derivation":"from G3605 (ὄζω);"},
"G5169":{"lemma":"τρύπημα","kjv_def":"eye","strongs_def":" an aperture, i.e. a needle's eye","derivation":"from a derivative of the base of G5168 (τρυμαλιά);"},
"G1943":{"kjv_def":"cover","lemma":"ἐπικαλύπτω","strongs_def":" to conceal, i.e. (figuratively) forgive","derivation":"from G1909 (ἐπί) and G2572 (καλύπτω);"},
"G3948":{"lemma":"παροξυσμός","kjv_def":"contention, provoke unto","derivation":"from G3947 (παροξύνω) (\"paroxysm\");","strongs_def":" incitement (to good), or dispute (in anger)"},
"G1898":{"strongs_def":" a superintroduction","derivation":"from a compound of G1909 (ἐπί) and G1521 (εἰσάγω);","kjv_def":"bringing in","lemma":"ἐπεισαγωγή"},
"G2182":{"lemma":"ἐφευρετής","kjv_def":"inventor","strongs_def":" a discoverer, i.e. contriver","derivation":"from a compound of G1909 (ἐπί) and G2147 (εὑρίσκω);"},
"G103":{"kjv_def":"sing","lemma":"ᾄδω","derivation":"a primary verb;","strongs_def":" to sing"},
"G4559":{"lemma":"σαρκικός","kjv_def":"carnal, fleshly","derivation":"from G4561 (σάρξ);","strongs_def":" pertaining to flesh, i.e. (by extension) bodily, temporal, or (by implication) animal, unregenerate"},
"G4578":{"kjv_def":"earthquake, tempest","lemma":"σεισμός","derivation":"from G4579 (σείω);","strongs_def":" a commotion, i.e. (of the air) a gale, (of the ground) an earthquake"},
"G69":{"kjv_def":"watch","lemma":"ἀγρυπνέω","strongs_def":" to be sleepless, i.e. keep awake","derivation":"ultimately from G1 (Α) (as negative particle) and G5258 (ὕπνος);"},
"G4075":{"derivation":"from G4073 (πέτρα) and G1491 (εἶδος);","strongs_def":" rock-like, i.e. rocky","lemma":"πετρώδης","kjv_def":"stony"},
"G2304":{"strongs_def":" godlike (neuter as noun, divinity)","derivation":"from G2316 (θεός);","lemma":"θεῖος","kjv_def":" divine, godhead"},
"G994":{"derivation":"apparently a prolonged form of a primary verb;","strongs_def":" to halloo, i.e. shout (for help or in a tumultuous way)","lemma":"βοάω","kjv_def":"cry"},
"G4287":{"lemma":"προθέσμιος","kjv_def":"time appointed","strongs_def":" fixed beforehand, i.e. (feminine with G2250 (ἡμέρα) implied) a designated day","derivation":"from G4253 (πρό) and a derivative of G5087 (τίθημι);"},
"G5201":{"strongs_def":" a water-jar, i.e. receptacle for family supply","derivation":"from G5204 (ὕδωρ);","kjv_def":"water-pot","lemma":"ὑδρία"},
"G525":{"lemma":"ἀπαλλάσσω","kjv_def":"deliver, depart","strongs_def":" to change away, i.e. release, (reflexively) remove","derivation":"from G575 (ἀπό) and G236 (ἀλλάσσω);"},
"G260":{"lemma":"ἅμα","kjv_def":"also, and, together, with(-al)","derivation":"a primary particle;","strongs_def":" properly, at the \"same\" time, but freely used as a preposition or adverb denoting close association"},
"G1722":{"kjv_def":"about, after, against, + almost, X altogether, among, X as, at, before, between, (here-)by (+ all means), for (… sake of), + give self wholly to, (here-)in(-to, -wardly), X mightily, (because) of, (up-)on, (open-)ly, X outwardly, one, X quickly, X shortly, (speedi-)ly, X that, X there(-in, -on), through(-out), (un-)to(-ward), under, when, where(-with), while, with(-in)","lemma":"ἐν","strongs_def":" \"in,\" at, (up-)on, by, etc.","derivation":"a primary preposition denoting (fixed) position (in place, time or state), and (by implication) instrumentality (medially or constructively), i.e. a relation of rest (intermediate between G1519 (εἰς) and G1537 (ἐκ));"},
"G3192":{"strongs_def":" honey","derivation":"apparently a primary word;","lemma":"μέλι","kjv_def":"honey"},
"G4682":{"kjv_def":"rend, tear","lemma":"σπαράσσω","strongs_def":" apparently strengthened from G4685 (σπάω) through the idea of spasmodic contraction); to mangle, i.e. convluse with epilepsy","derivation":"prolongation from (to grasp;"},
"G535":{"lemma":"ἀπαρτισμός","kjv_def":"finishing","derivation":"from a derivative of G534 (ἀπάρτι);","strongs_def":" completion"},
"G2526":{"derivation":"from G2596 (κατά) and G3739 (ὅς);","strongs_def":" according to which thing, i.e. precisely as, in proportion as","lemma":"καθό","kjv_def":"according to that, (inasmuch) as"},
"G4585":{"kjv_def":"fine flour","lemma":"σεμίδαλις","derivation":"probably of foreign origin;","strongs_def":" fine wheaten flour"},
"G399":{"derivation":"from G303 (ἀνά) and G5342 (φέρω);","strongs_def":" to take up (literally or figuratively)","lemma":"ἀναφέρω","kjv_def":"bear, bring (carry, lead) up, offer (up)"},
"G1064":{"kjv_def":"belly, + with child, womb","lemma":"γαστήρ","derivation":"of uncertain derivation;","strongs_def":" the stomach; by analogy, the matrix; figuratively, a gourmand"},
"G3028":{"lemma":"λῆμψις","kjv_def":"receiving","strongs_def":" receipt (the act)","derivation":"from G2983 (λαμβάνω);"},
"G5408":{"strongs_def":" murder","derivation":"from an obsolete primary (to slay);","kjv_def":"murder, + be slain with, slaughter","lemma":"φόνος"},
"G4593":{"kjv_def":"note","lemma":"σημειόω","strongs_def":" to distinguish, i.e. mark (for avoidance)","derivation":"from G4592 (σημεῖον);"},
"G448":{"strongs_def":" inexorable","derivation":"from G1 (Α) (as a negative particle) and G2436 (ἵλεως);","lemma":"ἀνίλεως","kjv_def":"without mercy"},
"G3424":{"kjv_def":"having an impediment in his speech","lemma":"μογιλάλος","derivation":"from G3425 (μόγις) and G2980 (λαλέω);","strongs_def":" hardly talking, i.e. dumb (tongue-tied)"},
"G4027":{"kjv_def":"filth","lemma":"περικάθαρμα","strongs_def":" something cleaned off all around, i.e. refuse (figuratively)","derivation":"from a compound of G4012 (περί) and G2508 (καθαίρω);"},
"G1238":{"derivation":"from a compound of G1223 (διά) and G1210 (δέω);","strongs_def":" a \"diadem\" (as bound about the head)","lemma":"διάδημα","kjv_def":"crown"},
"G3453":{"lemma":"μυέω","kjv_def":"instruct","strongs_def":" to initiate, i.e. (by implication) to teach","derivation":"from the base of G3466 (μυστήριον);"},
"G3390":{"lemma":"μητρόπολις","kjv_def":"chiefest city","derivation":"from G3384 (μήτηρ) and G4172 (πόλις);","strongs_def":" a mother city, i.e. \"metropolis\""},
"G5002":{"lemma":"τακτός","kjv_def":"set","derivation":"from G5021 (τάσσω);","strongs_def":" arranged, i.e. appointed or stated"},
"G5563":{"kjv_def":"depart, put asunder, separate","lemma":"χωρίζω","derivation":"from G5561 (χώρα);","strongs_def":" to place room between, i.e. part; reflexively, to go away"},
"G2722":{"lemma":"κατέχω","kjv_def":"have, hold (fast), keep (in memory), let, X make toward, possess, retain, seize on, stay, take, withhold","derivation":"from G2596 (κατά) and G2192 (ἔχω);","strongs_def":" to hold down (fast), in various applications (literally or figuratively)"},
"G4522":{"strongs_def":" a \"seine\" for fishing","derivation":"from a derivative of (to equip) meaning furniture, especially a pack-saddle (which in the East is merely a bag of netted rope);","kjv_def":"net","lemma":"σαγήνη"},
"G3892":{"strongs_def":" transgression","derivation":"from the same as G3891 (παρανομέω);","kjv_def":"iniquity","lemma":"παρανομία"},
"G1557":{"derivation":"from G1556 (ἐκδικέω);","strongs_def":" vindication, retribution","lemma":"ἐκδίκησις","kjv_def":"(a-, re-)venge(-ance), punishment"},
"G1727":{"lemma":"ἐναντίος","kjv_def":"(over) against, contrary","strongs_def":" opposite; figuratively, antagonistic","derivation":"from G1725 (ἔναντι);"},
"G2932":{"lemma":"κτάομαι","kjv_def":"obtain, possess, provide, purchase","strongs_def":" to get, i.e. acquire (by any means; own)","derivation":"a primary verb;"},
"G2681":{"kjv_def":"lodge, rest","lemma":"κατασκηνόω","strongs_def":" to camp down, i.e. haunt; figuratively, to remain","derivation":"from G2596 (κατά) and G4637 (σκηνόω);"},
"G3935":{"lemma":"παρίημι","kjv_def":"hang down","strongs_def":" to let by, i.e. relax","derivation":"from G3844 (παρά) and hiemi (to send);"},
"G4447":{"strongs_def":" fiery, i.e. (by implication) flaming","derivation":"from G4443 (πυρά);","kjv_def":"of fire","lemma":"πύρινος"},
"G1956":{"derivation":"from G1909 (ἐπί) and G3089 (λύω);","strongs_def":" to solve further, i.e. (figuratively) to explain, decide","lemma":"ἐπιλύω","kjv_def":"determine, expound"},
"G4091":{"kjv_def":"Pilate","lemma":"Πιλᾶτος","strongs_def":" close-pressed, i.e. firm; Pilatus, a Roman","derivation":"of Latin origin;"},
"G3384":{"kjv_def":"mother","lemma":"μήτηρ","strongs_def":" a \"mother\" (literally or figuratively, immediate or remote)","derivation":"apparently a primary word;"},
"G4995":{"strongs_def":" discipline, i.e. self-control","derivation":"from G4994 (σωφρονίζω);","lemma":"σωφρονισμός","kjv_def":"sound mind"},
"G521":{"strongs_def":" uninstructed, i.e. (figuratively) stupid","derivation":"from G1 (Α) (as a negative particle) and a derivative of G3811 (παιδεύω);","kjv_def":"unlearned","lemma":"ἀπαίδευτος"},
"G4590":{"strongs_def":" Sem (i.e. Shem), a patriarch","derivation":"of Hebrew origin (H08035);","kjv_def":" Sem","lemma":"Σήμ"},
"G1599":{"lemma":"ἐκπέμπω","kjv_def":"send away (forth)","derivation":"from G1537 (ἐκ) and G3992 (πέμπω);","strongs_def":" to despatch"},
"G2159":{"strongs_def":" in a well-strung manner, i.e. (figuratively) intensely (in a good sense, cogently; in a bad one, fiercely)","derivation":"adverb from a compound of G2095 (εὖ) and a derivative of (to stretch);","kjv_def":"mightily, vehemently","lemma":"εὐτόνως"},
"G3780":{"strongs_def":" not indeed","derivation":"intensive of G3756 (οὐ);","lemma":"οὐχί","kjv_def":"nay, not"},
"G4176":{"kjv_def":"let conversation be, live","lemma":"πολιτεύομαι","strongs_def":" to behave as a citizen (figuratively)","derivation":"middle voice of a derivative of G4177 (πολίτης);"},
"G1913":{"lemma":"ἐπιβιβάζω","kjv_def":"set on","strongs_def":" to cause to mount (an animal)","derivation":"from G1909 (ἐπί) and a reduplicated derivative of the base of G939 (βάσις) (compare G307 (ἀναβιβάζω));"},
"G2024":{"lemma":"ἐπιχορηγία","kjv_def":"supply","derivation":"from G2023 (ἐπιχορηγέω);","strongs_def":" contribution"},
"G4523":{"lemma":"Σαδδουκαῖος","kjv_def":"Sadducee","derivation":"probably from G4524 (Σαδώκ);","strongs_def":" a Sadducæan (i.e. Tsadokian), or follower of a certain heretical Israelite"},
"G618":{"kjv_def":"receive, take","lemma":"ἀπολαμβάνω","strongs_def":" to receive (specially, in full, or as a host); also to take aside","derivation":"from G575 (ἀπό) and G2983 (λαμβάνω);"},
"G4093":{"derivation":"diminutive of G4094 (πίναξ);","strongs_def":" a tablet (for writing on)","lemma":"πινακίδιον","kjv_def":"writing table"},
"G2766":{"lemma":"κέραμος","kjv_def":"tiling","derivation":"probably from the base of G2767 (κεράννυμι) (through the idea of mixing clay and water);","strongs_def":" earthenware, i.e. a tile (by analogy, a thin roof or awning)"},
"G775":{"strongs_def":" an Asiarch or president of the public festivities in a city of Asia Minor","derivation":"from G773 (Ἀσία) and G746 (ἀρχή);","kjv_def":"chief of Asia","lemma":"Ἀσιάρχης"},
"G5007":{"kjv_def":"talent","lemma":"τάλαντον","strongs_def":" equivalent to G5342 (φέρω)); a balance (as supporting weights), i.e. (by implication) a certain weight (and thence a coin or rather sum of money) or \"talent\"","derivation":"neuter of a presumed derivative of the original form of (to bear;"},
"G907":{"kjv_def":"Baptist, baptize, wash","lemma":"βαπτίζω","derivation":"from a derivative of G911 (βάπτω);","strongs_def":" to immerse, submerge; to make whelmed (i.e. fully wet); used only (in the New Testament) of ceremonial ablution, especially (technically) of the ordinance of Christian baptism"},
"G2330":{"strongs_def":" properly, heat, i.e. summer","derivation":"from a primary (to heat);","lemma":"θέρος","kjv_def":"summer"},
"G2040":{"derivation":"from G2041 (ἔργον);","strongs_def":" a toiler; figuratively, a teacher","lemma":"ἐργάτης","kjv_def":"labourer, worker(-men)"},
"G4383":{"derivation":"from G4314 (πρός) and (the visage, from G3700 (ὀπτάνομαι));","strongs_def":" the front (as being towards view), i.e. the countenance, aspect, appearance, surface; by implication, presence, person","kjv_def":"(outward) appearance, X before, countenance, face, fashion, (men's) person, presence","lemma":"πρόσωπον"},
"G5334":{"lemma":"φάσις","kjv_def":"tidings","derivation":"from G5346 (φημί) (not the same as \"phase\", which is from G5316 (φαίνω));","strongs_def":" a saying, i.e. report"},
"G1419":{"lemma":"δυσβάστακτος","kjv_def":"grievous to be borne","derivation":"from G1418 (δυσ-) and a derivative of G941 (βαστάζω);","strongs_def":" oppressive"},
"G5331":{"strongs_def":" medication (\"pharmacy\"), i.e. (by extension) magic (literally or figuratively)","derivation":"from G5332 (φαρμακεύς);","lemma":"φαρμακεία","kjv_def":"sorcery, witchcraft"},
"G3163":{"kjv_def":"fighting, strive, striving","lemma":"μάχη","derivation":"from G3164 (μάχομαι);","strongs_def":" a battle, i.e. (figuratively) controversy"},
"G4222":{"lemma":"ποτίζω","kjv_def":"give (make) to drink, feed, water","derivation":"from a derivative of the alternate of G4095 (πίνω);","strongs_def":" to furnish drink, irrigate"},
"G2832":{"kjv_def":"Cleophas","lemma":"Κλωπᾶς","derivation":"of Chaldee origin (corresponding to H0256);","strongs_def":" Clopas, an Israelite"},
"G547":{"strongs_def":" a menace","derivation":"from G546 (ἀπειλέω);","lemma":"ἀπειλή","kjv_def":"X straitly, threatening"},
"G1936":{"strongs_def":" an imposition (of hands officially)","derivation":"from G2007 (ἐπιτίθημι);","lemma":"ἐπίθεσις","kjv_def":"laying (putting) on"},
"G385":{"kjv_def":"draw up, pull out","lemma":"ἀνασπάω","derivation":"from G303 (ἀνά) and G4685 (σπάω);","strongs_def":" to take up or extricate"},
"G1968":{"kjv_def":"fall into (on, upon) lie on, press upon","lemma":"ἐπιπίπτω","strongs_def":" to embrace (with affection) or seize (with more or less violence; literally or figuratively)","derivation":"from G1909 (ἐπί) and G4098 (πίπτω);"},
"G4803":{"derivation":"from G4802 (συζητέω);","strongs_def":" mutual questioning, i.e. discussion","lemma":"συζήτησις","kjv_def":"disputation(-ting), reasoning"},
"G680":{"derivation":"reflexive of G681 (ἅπτω);","strongs_def":" properly, to attach oneself to, i.e. to touch (in many implied relations)","kjv_def":"touch","lemma":"ἅπτομαι"},
"G166":{"derivation":"from G165 (αἰών);","strongs_def":" perpetual (also used of past time, or past and future as well)","kjv_def":"eternal, for ever, everlasting, world (began)","lemma":"αἰώνιος"},
"G5051":{"lemma":"τελειωτής","kjv_def":"finisher","strongs_def":" a completer, i.e. consummater","derivation":"from G5048 (τελειόω);"},
"G5379":{"kjv_def":"strife","lemma":"φιλονεικία","derivation":"from G5380 (φιλόνεικος);","strongs_def":" quarrelsomeness, i.e. a dispute"},
"G4533":{"lemma":"Σαλμών","kjv_def":"Salmon","strongs_def":" Salmon, an Israelite","derivation":"of Hebrew origin (H08012);"},
"G4036":{"lemma":"περίλυπος","kjv_def":"exceeding (very) sorry(-owful)","derivation":"from G4012 (περί) and G3077 (λύπη);","strongs_def":" grieved all around, i.e. intensely sad"},
"G2767":{"strongs_def":" to mingle, i.e. (by implication) to pour out (for drinking)","derivation":"prolonged form of a more primary (which is used in certain tenses);","lemma":"κεράννυμι","kjv_def":"fill, pour out"},
"G2318":{"kjv_def":"worshipper of God","lemma":"θεοσεβής","derivation":"from G2316 (θεός) and G4576 (σέβομαι);","strongs_def":" reverent of God, i.e. pious"},
"G2699":{"lemma":"κατατομή","kjv_def":"concision","strongs_def":" a cutting down (off), i.e. mutilation (ironically)","derivation":"from a compound of G2596 (κατά) and (to cut);"},
"G172":{"kjv_def":"harmless, simple","lemma":"ἄκακος","strongs_def":" not bad, i.e. (objectively) innocent or (subjectively) unsuspecting","derivation":"from G1 (Α) (as a negative particle) and G2556 (κακός);"},
"G851":{"strongs_def":" to remove (literally or figuratively)","derivation":"from G575 (ἀπό) and G138 (αἱρέομαι);","lemma":"ἀφαιρέω","kjv_def":"cut (smite) off, take away"},
"G3720":{"lemma":"ὀρθρινός","kjv_def":"morning","derivation":"from G3722 (ὄρθρος);","strongs_def":" relating to the dawn, i.e. matutinal (as an epithet of Venus, especially brilliant in the early day)"},
"G3400":{"derivation":"of Latin origin;","strongs_def":" a thousand paces, i.e. a \"mile\"","lemma":"μίλιον","kjv_def":"mile"},
"G4236":{"derivation":"from G4235 (πρᾷος);","strongs_def":" gentleness, by implication, humility","lemma":"πρᾳότης","kjv_def":"meekness"},
"G4818":{"strongs_def":" to afflict jointly, i.e. (passive) sorrow at (on account of) someone","derivation":"from G4862 (σύν) and G3076 (λυπέω);","kjv_def":"be grieved","lemma":"συλλυπέω"},
"G3313":{"kjv_def":"behalf, course, coast, craft, particular (+ -ly), part (+ -ly), piece, portion, respect, side, some sort(-what)","lemma":"μέρος","derivation":"from an obsolete but more primary form of (to get as a section or allotment);","strongs_def":" a division or share (literally or figuratively, in a wide application)"},
"G338":{"kjv_def":"blameless, guiltless","lemma":"ἀναίτιος","strongs_def":" innocent","derivation":"from G1 (Α) (as a negative particle) and G159 (αἴτιος) (in the sense of G156 (αἰτία));"},
"G3541":{"kjv_def":"bastard","lemma":"νόθος","derivation":"of uncertain affinity;","strongs_def":" a spurious or illegitimate son"},
"G4182":{"lemma":"πολυποίκιλος","kjv_def":"manifold","strongs_def":" much variegated, i.e. multifarious","derivation":"from G4183 (πολύς) and G4164 (ποικίλος);"},
"G672":{"strongs_def":" to go away","derivation":"from G575 (ἀπό) and G5562 (χωρέω);","kjv_def":"depart","lemma":"ἀποχωρέω"},
"G2760":{"strongs_def":" a centurion, i.e. captain of one hundred soldiers","derivation":"of Latin origin;","lemma":"κεντυρίων","kjv_def":"centurion"},
"G1774":{"kjv_def":"dwell in","lemma":"ἐνοικέω","strongs_def":" to inhabit (figuratively)","derivation":"from G1722 (ἐν) and G3611 (οἰκέω);"},
"G5341":{"strongs_def":" a mantle (surtout)","derivation":"by transposition for a derivative probably of G5316 (φαίνω) (as showing outside the other garments);","lemma":"φελόνης","kjv_def":" cloke"},
"G4795":{"strongs_def":" from the base of G2962 (κύριος)); concurrence, i.e. accident","derivation":"from a comparative of G4862 (σύν) and (to light or happen;","lemma":"συγκυρία","kjv_def":"chance"},
"G389":{"lemma":"ἀναστενάζω","kjv_def":"sigh deeply","strongs_def":" to sigh deeply","derivation":"from G303 (ἀνά) and G4727 (στενάζω);"},
"G4444":{"strongs_def":" a tower or castle","derivation":"apparently a primary word (\"burgh\");","kjv_def":"tower","lemma":"πύργος"},
"G2788":{"strongs_def":" a lyre","derivation":"of uncertain affinity;","kjv_def":"harp","lemma":"κιθάρα"},
"G5204":{"derivation":"from the base of G5205 (ὑετός);","strongs_def":" water (as if rainy) literally or figuratively","kjv_def":"water","lemma":"ὕδωρ"},
"G346":{"kjv_def":"briefly comprehend, gather together in one","lemma":"ἀνακεφαλαίομαι","derivation":"from G303 (ἀνά) and G2775 (κεφαλαιόω) (in its original sense);","strongs_def":" to sum up"},
"G1234":{"kjv_def":"murmur","lemma":"διαγογγύζω","strongs_def":" to complain throughout a crowd","derivation":"from G1223 (διά) and G1111 (γογγύζω);"},
"G2415":{"strongs_def":" a Hierosolymite, i.e. inhabitant of Hierosolyma","derivation":"from G2414 (Ἱεροσόλυμα);","kjv_def":"of Jerusalem","lemma":"Ἱεροσολυμίτης"},
"G1785":{"lemma":"ἐντολή","kjv_def":"commandment, precept","derivation":"from G1781 (ἐντέλλομαι);","strongs_def":" injunction, i.e. an authoritative prescription"},
"G358":{"kjv_def":"X lose saltness","lemma":"ἄναλος","derivation":"from G1 (Α) (as a negative particle) and G251 (ἅλς);","strongs_def":" saltless, i.e. insipid"},
"G3422":{"kjv_def":"memorial","lemma":"μνημόσυνον","derivation":"from G3421 (μνημονεύω);","strongs_def":" a reminder (memorandum), i.e. record"},
"G1108":{"lemma":"γνῶσις","kjv_def":"knowledge, science","derivation":"from G1097 (γινώσκω);","strongs_def":" knowing (the act), i.e. (by implication) knowledge"},
"G2827":{"derivation":"a primary verb;","strongs_def":" to slant or slope, i.e. incline or recline (literally or figuratively)","kjv_def":"bow (down), be far spent, lay, turn to flight, wear away","lemma":"κλίνω"},
"G791":{"kjv_def":"fair","lemma":"ἀστεῖος","strongs_def":" urbane, i.e. (by implication) handsome","derivation":"from (a city);"},
"G3366":{"lemma":"μηδέ","kjv_def":"neither, nor (yet), (no) not (once, so much as)","derivation":"from G3361 (μή) and G1161 (δέ);","strongs_def":" but not, not even; in a continued negation, nor"},
"G4298":{"derivation":"from G4253 (πρό) and G2875 (κόπτω);","strongs_def":" to drive forward (as if by beating), i.e. (figuratively and intransitively) to advance (in amount, to grow; in time, to be well along)","kjv_def":"increase, proceed, profit, be far spent, wax","lemma":"προκόπτω"},
"G165":{"strongs_def":" properly, an age; by extension, perpetuity (also past); by implication, the world; specially (Jewish) a Messianic period (present or future)","derivation":"from the same as G104 (ἀεί);","lemma":"αἰών","kjv_def":"age, course, eternal, (for) ever(-more), (n-)ever, (beginning of the , while the) world (began, without end)"},
"G3000":{"strongs_def":" to minister (to God), i.e. render religious homage","derivation":"from (a hired menial);","lemma":"λατρεύω","kjv_def":"serve, do the service, worship(-per)"},
"G2838":{"strongs_def":" sleeping, i.e. (by implication) repose","derivation":"from G2837 (κοιμάω);","kjv_def":"taking of rest","lemma":"κοίμησις"},
"G2362":{"lemma":"θρόνος","kjv_def":"seat, throne","strongs_def":" a stately seat (\"throne\"); by implication, power or (concretely) a potentate","derivation":"from (to sit);"},
"G695":{"derivation":"from G696 (ἄργυρος) and G2875 (κόπτω);","strongs_def":" a beater (i.e. worker) of silver","kjv_def":"silversmith","lemma":"ἀργυροκόπος"},
"G1062":{"lemma":"γάμος","kjv_def":"marriage, wedding","strongs_def":" nuptials","derivation":"of uncertain affinity;"},
"G4822":{"kjv_def":"compact, assuredly gather, intrust, knit together, prove","lemma":"συμβιβάζω","strongs_def":" causative (by reduplication) of the base of G939 (βάσις)); to drive together, i.e. unite (in association or affection), (mentally) to infer, show, teach","derivation":"from G4862 (σύν) and (to force;"},
"G3979":{"strongs_def":" foot-wise, i.e. by walking","derivation":"dative case feminine of a derivative of G4228 (πούς) (as adverb);","kjv_def":"a- (on) foot","lemma":"πεζῇ"},
"G332":{"lemma":"ἀναθεματίζω","kjv_def":"(bind under a) curse, bind with an oath","strongs_def":" to declare or vow under penalty of execration","derivation":"from G331 (ἀνάθεμα);"},
"G2386":{"lemma":"ἴαμα","kjv_def":"healing","derivation":"from G2390 (ἰάομαι);","strongs_def":" a cure (the effect)"},
"G231":{"lemma":"ἁλιεύς","kjv_def":"fisher(-man)","strongs_def":" a sailor (as engaged on the salt water), i.e. (by implication) a fisher","derivation":"from G251 (ἅλς);"},
"G3445":{"strongs_def":" to fashion (figuratively)","derivation":"from the same as G3444 (μορφή);","lemma":"μορφόω","kjv_def":"form"},
"G1638":{"kjv_def":"Olivet","lemma":"ἐλαιών","strongs_def":" an olive-orchard, i.e. (specially) the Mount of Olives","derivation":"from G1636 (ἐλαία);"},
"G5423":{"kjv_def":"deceiver","lemma":"φρεναπάτης","derivation":"from G5424 (φρήν) and G539 (ἀπάτη);","strongs_def":" a mind-misleader, i.e. seducer"},
"G5542":{"lemma":"χρηστολογία","kjv_def":"good words","strongs_def":" fair speech, i.e. plausibility","derivation":"from a compound of G5543 (χρηστός) and G3004 (λέγω);"},
"G5575":{"kjv_def":"false witness","lemma":"ψευδομάρτυρ","derivation":"from G5571 (ψευδής) and a kindred form of G3144 (μάρτυς);","strongs_def":" a spurious witness, i.e. bearer of untrue testimony"},
"G3536":{"strongs_def":" a Ninevite, i.e. inhabitant of Nineveh","derivation":"from G3535 (Νινευΐ);","lemma":"Νινευΐτης","kjv_def":"of Nineve, Ninevite"},
"G4150":{"lemma":"πλύνω","kjv_def":"wash","strongs_def":" to \"plunge\", i.e. launder clothing","derivation":"a prolonged form of an obsolete (to \"flow\");"},
"G4953":{"strongs_def":" a sign in common, i.e. preconcerted signal","derivation":"neuter of a compound of G4862 (σύν) and the base of G4591 (σημαίνω);","kjv_def":"token","lemma":"σύσσημον"},
"G647":{"kjv_def":"(writing of) divorcement","lemma":"ἀποστάσιον","strongs_def":" properly, something separative, i.e. (specially) divorce","derivation":"neuter of a (presumed) adjective from a derivative of G868 (ἀφίστημι);"},
"G3599":{"lemma":"ὀδούς","kjv_def":"tooth","derivation":"perhaps from the base of G2068 (ἐσθίω);","strongs_def":" a \"tooth\""},
"G965":{"lemma":"Βηθλεέμ","kjv_def":"Bethlehem","derivation":"of Hebrew origin (H01036);","strongs_def":" Bethleem (i.e. Beth-lechem), a place in Palestine"},
"G1889":{"derivation":"contracted from G1891 (Ἐπαφρόδιτος);","strongs_def":" Epaphras, a Christian","kjv_def":"Epaphras","lemma":"Ἐπαφρᾶς"},
"G2802":{"strongs_def":" Claude, an island near Crete","derivation":"of uncertain derivation;","lemma":"Κλαύδη","kjv_def":"Clauda"},
"G3803":{"strongs_def":" a trap (as fastened by a noose or notch); figuratively, a trick or statagem (temptation)","derivation":"from G4078 (πήγνυμι);","kjv_def":"snare","lemma":"παγίς"},
"G221":{"lemma":"Ἀλεξανδρεύς","kjv_def":"of Alexandria, Alexandrian","strongs_def":" an Alexandreian or inhabitant of Alexandria","derivation":"from (the city so called);"},
"G3668":{"kjv_def":"likewise, so","lemma":"ὁμοίως","derivation":"adverb from G3664 (ὅμοιος);","strongs_def":" similarly"},
"G2099":{"lemma":"εὐαγγελιστής","kjv_def":"evangelist","strongs_def":" a preacher of the gospel","derivation":"from G2097 (εὐαγγελίζω);"},
"G5521":{"lemma":"χολή","kjv_def":"gall","derivation":"feminine of an equivalent perhaps akin to the same as 5514 (from the greenish hue);","strongs_def":" \"gall\" or bile, i.e. (by analogy) poison or an anodyne (wormwood, poppy, etc.)"},
"G5000":{"kjv_def":"Tabitha","lemma":"Ταβιθά","derivation":"of Chaldee origin (compare H06646);","strongs_def":" the gazelle; Tabitha (i.e. Tabjetha), a Christian female"},
"G2581":{"derivation":"of Chaldee origin (compare H07067);","strongs_def":" zealous; Cananites, an epithet","lemma":"Κανανίτης","kjv_def":"Canaanite (by mistake for a derivative from G5477 (Χαναάν))"},
"G364":{"kjv_def":"remembrance (again)","lemma":"ἀνάμνησις","strongs_def":" recollection","derivation":"from G363 (ἀναμιμνήσκω);"},
"G973":{"kjv_def":"violent","lemma":"βιαστής","derivation":"from G971 (βιάζω);","strongs_def":" a forcer, i.e. (figuratively) energetic"},
"G4693":{"derivation":"neuter of a presumed derivative of (a grotto);","strongs_def":" a cavern; by implication, a hiding-place or resort","lemma":"σπήλαιον","kjv_def":"cave, den"},
"G3872":{"derivation":"from a compound of G3844 (παρά) and G2698 (κατατίθημι);","strongs_def":" something put down alongside, i.e. a deposit (sacred trust)","kjv_def":"that (thing) which is committed (un-)to (trust)","lemma":"παρακαταθήκη"},
"G443":{"lemma":"ἀνθρωποκτόνος","kjv_def":"murderer","strongs_def":" a manslayer","derivation":"from G444 (ἄνθρωπος) and (to kill);"},
"G5343":{"derivation":"apparently a primary verb;","strongs_def":" to run away (literally or figuratively); by implication, to shun; by analogy, to vanish","lemma":"φεύγω","kjv_def":"escape, flee (away)"},
"G3499":{"strongs_def":" to deaden, i.e. (figuratively) to subdue","derivation":"from G3498 (νεκρός);","kjv_def":"be dead, mortify","lemma":"νεκρόω"},
"G4945":{"lemma":"συνωμοσία","kjv_def":"comspiracy","strongs_def":" a swearing together, i.e. (by implication) a plot","derivation":"from a compound of G4862 (σύν) and G3660 (ὀμνύω);"},
"G959":{"derivation":"from a provincial form of G5342 (φέρω) and G3529 (νίκη);","strongs_def":" victorious; Bernice, a member of the Herodian family","lemma":"Βερνίκη","kjv_def":"Bernice"},
"G2086":{"strongs_def":" to yoke up differently, i.e. (figuratively) to associate discordantly","derivation":"from a compound of G2087 (ἕτερος) and G2218 (ζυγός);","kjv_def":"unequally yoke together with","lemma":"ἑτεροζυγέω"},
"G3118":{"strongs_def":" long-timed, i.e. long-lived","derivation":"from G3117 (μακρός) and G5550 (χρόνος);","kjv_def":"live long","lemma":"μακροχρόνιος"},
"G282":{"derivation":"from G1 (Α) (as a negative particle) and G3384 (μήτηρ);","strongs_def":" motherless, i.e. of unknown maternity","kjv_def":"without mother","lemma":"ἀμήτωρ"},
"G1954":{"derivation":"from G1909 (ἐπί) and G3062 (λοιποί);","strongs_def":" left over, i.e. remaining","kjv_def":"rest","lemma":"ἐπίλοιπος"},
"G5457":{"strongs_def":" compare G5316 (φαίνω), G5346 (φημί)); luminousness (in the widest application, natural or artificial, abstract or concrete, literal or figurative)","derivation":"from an obsolete (to shine or make manifest, especially by rays;","lemma":"φῶς","kjv_def":"fire, light"},
"G41":{"kjv_def":"holiness","lemma":"ἁγιότης","derivation":"from G40 (ἅγιος);","strongs_def":" sanctity (i.e. properly, the state)"},
"G412":{"kjv_def":"unspeakable","lemma":"ἀνεκλάλητος","derivation":"from G1 (Α) (as a negative particle) and a presumed derivative of G1583 (ἐκλαλέω);","strongs_def":" not spoken out, i.e. (by implication) unutterable"},
"G5428":{"kjv_def":"prudence, wisdom","lemma":"φρόνησις","derivation":"from G5426 (φρονέω);","strongs_def":" mental action or activity, i.e. intellectual or moral insight"},
"G5375":{"strongs_def":" Philippi, a place in Macedonia","derivation":"plural of G5376 (Φίλιππος);","lemma":"Φίλιπποι","kjv_def":"Philippi"},
"G1554":{"derivation":"from G1537 (ἐκ) and G1325 (δίδωμι);","strongs_def":" to give forth, i.e. (specially) to lease","lemma":"ἐκδίδωμι","kjv_def":"let forth (out)"},
"G1061":{"kjv_def":"give in marriage","lemma":"γαμίσκω","derivation":"from G1062 (γάμος);","strongs_def":" to espouse (a daughter to a husband)"},
"G1009":{"strongs_def":" a bunch (of grapes)","derivation":"of uncertain derivation;","kjv_def":"(vine) cluster (of the vine)","lemma":"βότρυς"},
"G217":{"derivation":"from G251 (ἅλς);","strongs_def":" salt; figuratively, prudence","lemma":"ἅλας","kjv_def":"salt"},
"G5398":{"derivation":"from G5401 (φόβος);","strongs_def":" frightful, i.e. (objectively) formidable","lemma":"φοβερός","kjv_def":"fearful, terrible"},
"G5519":{"strongs_def":" a hog","derivation":"of uncertain derivation;","kjv_def":"swine","lemma":"χοῖρος"},
"G1529":{"strongs_def":" an entrance (literally or figuratively)","derivation":"from G1519 (εἰς) and G3598 (ὁδός);","kjv_def":"coming, enter(-ing) in (to)","lemma":"εἴσοδος"},
"G3160":{"kjv_def":"Mattatha","lemma":"Ματταθά","derivation":"probably a shortened form of G3161 (Ματταθίας) (compare G4992 (σωτήριον));","strongs_def":" Mattatha (i.e. Mattithjah), an Israelite"},
"G3559":{"derivation":"from G3563 (νοῦς) and a derivative of G5087 (τίθημι);","strongs_def":" calling attention to, i.e. (by implication) mild rebuke or warning","kjv_def":"admonition","lemma":"νουθεσία"},
"G1289":{"derivation":"from G1223 (διά) and G4687 (σπείρω);","strongs_def":" to sow throughout, i.e. (figuratively) distribute in foreign lands","lemma":"διασπείρω","kjv_def":"scatter abroad"},
"G3426":{"lemma":"μόδιος","kjv_def":"bushel","strongs_def":" a modius, i.e. certain measure for things dry (the quantity or the utensil)","derivation":"of Latin origin;"},
"G3789":{"lemma":"ὄφις","kjv_def":"serpent","strongs_def":" a snake, figuratively, (as a type of sly cunning) an artful malicious person, especially Satan","derivation":"probably from G3700 (ὀπτάνομαι) (through the idea of sharpness of vision);"},
"G1501":{"kjv_def":"twenty","lemma":"εἴκοσι","derivation":"of uncertain affinity;","strongs_def":" a score"},
"G804":{"kjv_def":"certain(-ty), safe, sure","lemma":"ἀσφαλής","strongs_def":" secure (literally or figuratively)","derivation":"from G1 (Α) (as a negative particle) and sphallo (to \"fail\");"},
"G2714":{"kjv_def":"before (the presence of), in the sight of","lemma":"κατενώπιον","strongs_def":" directly in front of","derivation":"from G2596 (κατά) and G1799 (ἐνώπιον);"},
"G2846":{"derivation":"from G2845 (κοίτη);","strongs_def":" a bedroom","kjv_def":"+ chamberlain","lemma":"κοιτών"},
"G784":{"derivation":"from G1 (Α) (as a negative particle) and G4695 (σπιλόω);","strongs_def":" unblemished (physically or morally)","lemma":"ἄσπιλος","kjv_def":"without spot, unspotted"},
"G3315":{"derivation":"from G3316 (μεσίτης);","strongs_def":" to interpose (as arbiter), i.e (by implication) to ratify (as surety)","lemma":"μεσιτεύω","kjv_def":"confirm"},
"G5187":{"kjv_def":"high-minded, be lifted up with pride, be proud","lemma":"τυφόω","derivation":"from a derivative of G5188 (τύφω);","strongs_def":" to envelop with smoke, i.e. (figuratively) to inflate with self-conceit"},
"G333":{"kjv_def":"behold, consider","lemma":"ἀναθεωρέω","derivation":"from G303 (ἀνά) and G2334 (θεωρέω);","strongs_def":" to look again (i.e. attentively) at (literally or figuratively)"},
"G2774":{"lemma":"κεφάλαιον","kjv_def":"sum","strongs_def":" a principal thing, i.e. main point; specially, an amount (of money)","derivation":"neuter of a derivative of G2776 (κεφαλή);"},
"G1952":{"strongs_def":" to leave upon, i.e. (figuratively) to be insufficient for","derivation":"from G1909 (ἐπί) and G3007 (λείπω);","kjv_def":"fail","lemma":"ἐπιλείπω"},
"G576":{"derivation":"from G575 (ἀπό) and the base of G939 (βάσις);","strongs_def":" literally, to disembark; figuratively, to eventuate","lemma":"ἀποβαίνω","kjv_def":"become, go out, turn"},
"G2359":{"derivation":"genitive case , etc.;","strongs_def":" of uncertain derivation; hair","lemma":"θρίξ","kjv_def":"hair"},
"G1817":{"kjv_def":"raise (rise) up","lemma":"ἐξανίστημι","derivation":"from G1537 (ἐκ) and G450 (ἀνίστημι);","strongs_def":" objectively, to produce, i.e. (figuratively) beget; subjectively, to arise, i.e. (figuratively) object"},
"G344":{"derivation":"from G303 (ἀνά) and G2578 (κάμπτω);","strongs_def":" to turn back","kjv_def":"(re-)turn","lemma":"ἀνακάμπτω"},
"G2773":{"strongs_def":" a handler of coins, i.e. money-broker","derivation":"from a derivative of G2772 (κέρμα);","kjv_def":"changer of money","lemma":"κερματιστής"},
"G4944":{"derivation":"from G4862 (σύν) and G5605 (ὠδίνω);","strongs_def":" to have (parturition) pangs in company (concert, simultaneously) with, i.e. (figuratively) to sympathize (in expectation of relief from suffering)","kjv_def":"travail in pain together","lemma":"συνωδίνω"},
"G517":{"strongs_def":" invisible","derivation":"from G1 (Α) (as a negative particle) and G3707 (ὁρατός);","kjv_def":"invisible (thing)","lemma":"ἀόρατος"},
"G2009":{"derivation":"from a compound of G1909 (ἐπί) and G5092 (τιμή);","strongs_def":" properly, esteem, i.e. citizenship; used (in the sense of G2008 (ἐπιτιμάω)) of a penalty","kjv_def":"punishment","lemma":"ἐπιτιμία"},
"G4474":{"strongs_def":" to slap","derivation":"from a derivative of a primary (to let fall, \"rap\");","kjv_def":"smite (with the palm of the hand)","lemma":"ῥαπίζω"},
"G2246":{"kjv_def":"+ east, sun","lemma":"ἥλιος","strongs_def":" perhaps akin to the alternate of G138 (αἱρέομαι)); the sun; by implication, light","derivation":"from (a ray;"},
"G1325":{"strongs_def":" to give (used in a very wide application, properly, or by implication, literally or figuratively; greatly modified by the connection)","derivation":"a prolonged form of a primary verb (which is used as an alternative in most of the tenses);","kjv_def":"adventure, bestow, bring forth, commit, deliver (up), give, grant, hinder, make, minister, number, offer, have power, put, receive, set, shew, smite (+ with the hand), strike (+ with the palm of the hand), suffer, take, utter, yield","lemma":"δίδωμι"},
"G4513":{"strongs_def":" Romaic, i.e. Latin","derivation":"from G4514 (Ῥωμαῖος);","lemma":"Ῥωμαϊκός","kjv_def":"Latin"},
"G2195":{"derivation":"of Hebrew origin (compare H02140);","strongs_def":" Zacchæus, an Israelite","kjv_def":"Zacchæus","lemma":"Ζακχαῖος"},
"G2189":{"derivation":"feminine of G2190 (ἐχθρός);","strongs_def":" hostility; by implication, a reason for opposition","kjv_def":"enmity, hatred","lemma":"ἔχθρα"},
"G1940":{"strongs_def":" to seat upon","derivation":"from G1909 (ἐπί) and G2523 (καθίζω);","lemma":"ἐπικαθίζω","kjv_def":"set on"},
"G2143":{"kjv_def":"grace","lemma":"εὐπρέπεια","strongs_def":" good suitableness, i.e. gracefulness","derivation":"from a compound of G2095 (εὖ) and G4241 (πρέπω);"},
"G1251":{"strongs_def":" to hear throughout, i.e. patiently listen (to a prisoner's plea)","derivation":"middle voice from G1223 (διά) and G191 (ἀκούω);","kjv_def":"hear","lemma":"διακούομαι"},
"G1":{"kjv_def":"--Alpha","lemma":"Α","strongs_def":" the first letter of the alphabet; figuratively, only (from its use as a numeral) the first: ","derivation":"of Hebrew origin;"},
"G326":{"derivation":"from G303 (ἀνά) and G2198 (ζάω);","strongs_def":" to recover life (literally or figuratively)","lemma":"ἀναζάω","kjv_def":"(be a-)live again, revive"},
"G1236":{"strongs_def":" to pass time or life","derivation":"from G1223 (διά) and G71 (ἄγω);","lemma":"διάγω","kjv_def":"lead life, living"},
"G3738":{"derivation":"middle voice from (a row or ring);","strongs_def":" to dance (from the ranklike or regular motion)","lemma":"ὀρχέομαι","kjv_def":"dance"},
"G1310":{"kjv_def":"blaze abroad, commonly report, spread abroad, fame","lemma":"διαφημίζω","strongs_def":" to report thoroughly, i.e. divulgate","derivation":"from G1223 (διά) and a derivative of G5345 (φήμη);"},
"G3891":{"derivation":"from a compound of G3844 (παρά) and G3551 (νόμος);","strongs_def":" to be opposed to law, i.e. to transgress","kjv_def":"contrary to law","lemma":"παρανομέω"},
"G3645":{"derivation":"from G3639 (ὄλεθρος);","strongs_def":" to spoil, i.e. slay","lemma":"ὀλοθρεύω","kjv_def":"destroy"},
"G137":{"strongs_def":" Ænon, a place in Palestine","derivation":"of Hebrew origin (a derivative of G5869, place of springs);","lemma":"Αἰνών","kjv_def":"Ænon"},
"G230":{"strongs_def":" truly","derivation":"adverb from G227 (ἀληθής);","kjv_def":"indeed, surely, of a surety, truly, of a (in) truth, verily, very","lemma":"ἀληθῶς"},
"G538":{"strongs_def":" to cheat, i.e. delude","derivation":"of uncertain derivation;","kjv_def":"deceive","lemma":"ἀπατάω"},
"G533":{"lemma":"ἀπαρνέομαι","kjv_def":"deny","strongs_def":" to deny utterly, i.e. disown, abstain","derivation":"from G575 (ἀπό) and G720 (ἀρνέομαι);"},
"G2077":{"kjv_def":"be","lemma":"ἔστω","strongs_def":" be thou; also , third person of the same; let them be","derivation":"second person singular present imperative of G1510 (εἰμί);"},
"G4330":{"derivation":"from G4314 (πρός) and G1439 (ἐάω);","strongs_def":" to permit further progress","kjv_def":"suffer","lemma":"προσεάω"},
"G141":{"lemma":"αἱρετικός","kjv_def":"heretic (the Greek word itself)","strongs_def":" a schismatic","derivation":"from the same as G140 (αἱρετίζω);"},
"G5164":{"strongs_def":" a wheel (as a runner), i.e. (figuratively) a circuit of physical effects","derivation":"from G5143 (τρέχω);","lemma":"τροχός","kjv_def":"course"},
"G5552":{"lemma":"χρύσεος","kjv_def":"of gold, golden","strongs_def":" made of gold","derivation":"from G5557 (χρυσός);"},
"G2893":{"kjv_def":"lighten","lemma":"κουφίζω","derivation":"from (light in weight);","strongs_def":" to unload"},
"G3868":{"derivation":"from G3844 (παρά) and the middle voice of G154 (αἰτέω);","strongs_def":" to beg off, i.e. deprecate, decline, shun","kjv_def":"avoid, (make) excuse, intreat, refuse, reject","lemma":"παραιτέομαι"},
"G1752":{"lemma":"ἕνεκα","kjv_def":"because, for (cause, sake), (where-)fore, by reason of, that","derivation":"of uncertain affinity;","strongs_def":" on account of"},
"G778":{"derivation":"probably from the same as G4632 (σκεῦος);","strongs_def":" to elaborate, i.e. (figuratively) train (by implication, strive)","kjv_def":"exercise","lemma":"ἀσκέω"},
"G1902":{"strongs_def":" to invest upon oneself","derivation":"middle voice from G1909 (ἐπί) and G1746 (ἐνδύω);","lemma":"ἐπενδύομαι","kjv_def":"be clothed upon"},
"G969":{"lemma":"βήρυλλος","kjv_def":"beryl","derivation":"of uncertain derivation;","strongs_def":" a \"beryl\""},
"G1282":{"derivation":"from G1223 (διά) and the base of G4249 (πρίζω);","strongs_def":" to saw asunder, i.e. (figuratively) to exasperate","lemma":"διαπρίω","kjv_def":"cut (to the heart)"},
"G4551":{"kjv_def":"Sapphira","lemma":"Σαπφείρη","derivation":"feminine of G4552 (σάπφειρος);","strongs_def":" Sapphire, an Israelitess"},
"G1374":{"kjv_def":"double minded","lemma":"δίψυχος","derivation":"from G1364 (δίς) and G5590 (ψυχή);","strongs_def":" two-spirited, i.e. vacillating (in opinion or purpose)"},
"G560":{"strongs_def":" to hope out, i.e. fully expect","derivation":"from G575 (ἀπό) and G1679 (ἐλπίζω);","kjv_def":"hope for again","lemma":"ἀπελπίζω"},
"G3736":{"derivation":"apparently a primary verb;","strongs_def":" to \"burrow\" in the ground, i.e. dig","kjv_def":"dig","lemma":"ὀρύσσω"},
"G68":{"strongs_def":" a field (as a drive for cattle); genitive case, the country; specially, a farm, i.e. hamlet","derivation":"from G71 (ἄγω);","kjv_def":"country, farm, piece of ground, land","lemma":"ἀγρός"},
"G21":{"lemma":"ἀγαλλιάω","kjv_def":"be (exceeding) glad, with exceeding joy, rejoice (greatly)","strongs_def":" properly, to jump for joy, i.e. exult","derivation":"from agan (much) and G242 (ἅλλομαι);"},
"G4711":{"lemma":"σπυρίς","kjv_def":"basket","strongs_def":" a hamper or lunch-receptacle","derivation":"from G4687 (σπείρω) (as woven);"},
"G2123":{"kjv_def":"easier","lemma":"εὐκοπώτερος","derivation":"comparative of a compound of G2095 (εὖ) and G2873 (κόπος);","strongs_def":" better for toil, i.e. more facile"},
"G3609":{"derivation":"from G3624 (οἶκος);","strongs_def":" domestic, i.e. (as noun), a relative, adherent","lemma":"οἰκεῖος","kjv_def":"(those) of the (his own) house(-hold)"},
"G1808":{"derivation":"from G1537 (ἐκ) and G142 (αἴρω);","strongs_def":" to remove","kjv_def":"put (take) away","lemma":"ἐξαίρω"},
"G4589":{"kjv_def":"Seth","lemma":"Σήθ","derivation":"of Hebrew origin (H08352);","strongs_def":" Seth (i.e. Sheth), a patriarch"},
"G2739":{"derivation":"from G2738 (καῦμα);","strongs_def":" to burn","kjv_def":"scorch","lemma":"καυματίζω"},
"G3960":{"kjv_def":"smite, strike","lemma":"πατάσσω","strongs_def":" to knock (gently or with a weapon or fatally)","derivation":"probably prolongation from G3817 (παίω);"},
"G1416":{"lemma":"δύνω","kjv_def":"set","derivation":"prolonged forms of an obsolete primary (to sink);","strongs_def":" to go \"down\""},
"G3035":{"lemma":"λίθινος","kjv_def":"of stone","derivation":"from G3037 (λίθος);","strongs_def":" stony, i.e. made of stone"},
"G2770":{"derivation":"from G2771 (κέρδος);","strongs_def":" to gain (literally or figuratively)","kjv_def":"(get) gain, win","lemma":"κερδαίνω"},
"G5315":{"lemma":"φάγω","kjv_def":"eat, meat","strongs_def":" to eat (literally or figuratively)","derivation":"a primary verb (used as an alternate of G2068 (ἐσθίω) in certain tenses);"},
"G1263":{"kjv_def":"charge, testify (unto), witness","lemma":"διαμαρτύρομαι","derivation":"from G1223 (διά) and G3140 (μαρτυρέω);","strongs_def":" to attest or protest earnestly, or (by implication) hortatively"},
"G942":{"strongs_def":" a brier shrub","derivation":"of uncertain derivation;","kjv_def":"bramble, bush","lemma":"βάτος"},
"G838":{"strongs_def":" growth","derivation":"from G837 (αὐξάνω);","lemma":"αὔξησις","kjv_def":"increase"},
"G1935":{"kjv_def":"appointed to death","lemma":"ἐπιθανάτιος","derivation":"from G1909 (ἐπί) and G2288 (θάνατος);","strongs_def":" doomed to death"},
"G5312":{"kjv_def":"exalt, lift up","lemma":"ὑψόω","strongs_def":" to elevate (literally or figuratively)","derivation":"from G5311 (ὕψος);"},
"G5110":{"strongs_def":" interest on money loaned (as a produce)","derivation":"from the base of G5088 (τίκτω);","kjv_def":"usury","lemma":"τόκος"},
"G608":{"kjv_def":"shut up","lemma":"ἀποκλείω","strongs_def":" to close fully","derivation":"from G575 (ἀπό) and G2808 (κλείω);"},
"G3067":{"kjv_def":"washing","lemma":"λουτρόν","derivation":"from G3068 (λούω);","strongs_def":" a bath, i.e. (figuratively), baptism"},
"G2438":{"strongs_def":" a strap, i.e. (specially) the tie (of a sandal) or the lash (of a scourge)","derivation":"perhaps from the same as G260 (ἅμα);","lemma":"ἱμάς","kjv_def":"latchet, thong"},
"G3577":{"kjv_def":"back","lemma":"νῶτος","derivation":"of uncertain affinity;","strongs_def":" the back"},
"G3346":{"derivation":"from G3326 (μετά) and G5087 (τίθημι);","strongs_def":" to transfer, i.e. (literally) transport, (by implication) exchange, (reflexively) change sides, or (figuratively) pervert","kjv_def":"carry over, change, remove, translate, turn","lemma":"μετατίθημι"},
"G1770":{"kjv_def":"make signs","lemma":"ἐννεύω","derivation":"from G1722 (ἐν) and G3506 (νεύω);","strongs_def":" to nod at, i.e. beckon or communicate by gesture"},
"G2667":{"strongs_def":" to fall down","derivation":"from G2596 (κατά) and G4098 (πίπτω);","lemma":"καταπίπτω","kjv_def":"fall (down)"},
"G3109":{"lemma":"Μακεδονία","kjv_def":"Macedonia","strongs_def":" Macedonia, a region of Greece","derivation":"from G3110 (Μακεδών);"},
"G1893":{"kjv_def":"because, else, for that (then, -asmuch as), otherwise, seeing that, since, when","lemma":"ἐπεί","strongs_def":" thereupon, i.e. since (of time or cause)","derivation":"from G1909 (ἐπί) and G1487 (εἰ);"},
"G2337":{"lemma":"θηλάζω","kjv_def":"(give) suck(-ling)","derivation":"from (the nipple);","strongs_def":" to suckle, (by implication) to suck"},
"G18":{"derivation":"a primary word;","strongs_def":" \"good\" (in any sense, often as noun)","kjv_def":"benefit, good(-s, things), well","lemma":"ἀγαθός"},
"G4167":{"kjv_def":"flock, fold","lemma":"ποίμνη","strongs_def":" a flock (literally or figuratively)","derivation":"contraction from G4165 (ποιμαίνω);"},
"G100":{"kjv_def":"abundance","lemma":"ἁδρότης","derivation":"from (stout);","strongs_def":" plumpness, i.e. (figuratively) liberality"},
"G2240":{"kjv_def":"come","lemma":"ἥκω","derivation":"a primary verb;","strongs_def":" to arrive, i.e. be present (literally or figuratively)"},
"G2796":{"lemma":"κίνησις","kjv_def":"moving","derivation":"from G2795 (κινέω);","strongs_def":" a stirring"},
"G4634":{"lemma":"σκηνοπηγία","kjv_def":"tabernacles","derivation":"from G4636 (σκῆνος) and G4078 (πήγνυμι);","strongs_def":" the Festival of Tabernacles (so called from the custom of erecting booths for temporary homes)"},
"G4265":{"strongs_def":" to look out beforehand, i.e. furnish in advance","derivation":"from G4253 (πρό) and G991 (βλέπω);","kjv_def":"provide","lemma":"προβλέπω"},
"G2749":{"derivation":"middle voice of a primary verb;","strongs_def":" to lie outstretched (literally or figuratively)","lemma":"κεῖμαι","kjv_def":"be (appointed, laid up, made, set), lay, lie"},
"G5541":{"strongs_def":" to show oneself useful, i.e. act benevolently","derivation":"middle voice from G5543 (χρηστός);","lemma":"χρηστεύομαι","kjv_def":"be kind"},
"G2629":{"derivation":"from G2596 (κατά) and G2875 (κόπτω);","strongs_def":" to chop down, i.e. mangle","lemma":"κατακόπτω","kjv_def":"cut"},
"G1593":{"lemma":"ἐκνεύω","kjv_def":"convey self away","strongs_def":" (by analogy) to slip off, i.e. quietly withdraw","derivation":"from G1537 (ἐκ) and G3506 (νεύω);"},
"G210":{"lemma":"ἄκων","kjv_def":"against the will","derivation":"from G1 (Α) (as a negative particle) and G1635 (ἑκών);","strongs_def":" unwilling"},
"G3699":{"strongs_def":" what(-ever) where, i.e. at whichever spot","derivation":"from G3739 (ὅς) and G4225 (πού);","kjv_def":"in what place, where(-as, -soever), whither (+ soever)","lemma":"ὅπου"},
"G4395":{"kjv_def":"prophesy","lemma":"προφητεύω","strongs_def":" to foretell events, divine, speak under inspiration, exercise the prophetic office","derivation":"from G4396 (προφήτης);"},
"G5368":{"derivation":"from G5384 (φίλος);","strongs_def":" to be a friend to (fond of (an individual or an object)), i.e. have affection for (denoting personal attachment, as a matter of sentiment or feeling; while G25 (ἀγαπάω) is wider, embracing especially the judgment and the deliberate assent of the will as a matter of principle, duty and propriety: the two thus stand related very much as G2309 (θέλω) and G1014 (βούλομαι), or as G2372 (θυμός) and G3563 (νοῦς) respectively; the former being chiefly of the heart and the latter of the head); specially, to kiss (as a mark of tenderness)","kjv_def":"kiss, love","lemma":"φιλέω"},
"G317":{"kjv_def":"by constraint","lemma":"ἀναγκαστῶς","strongs_def":" compulsorily","derivation":"adverb from a derivative of G315 (ἀναγκάζω);"},
"G3381":{"kjv_def":"lest (by any means, by some means, haply, perhaps)","lemma":"μήπως","derivation":"from G3361 (μή) and G4458 (-πώς);","strongs_def":" lest somehow"},
"G4451":{"kjv_def":"burning, trial","lemma":"πύρωσις","strongs_def":" ignition, i.e. (specially), smelting (figuratively, conflagration, calamity as a test)","derivation":"from G4448 (πυρόω);"},
"G3797":{"kjv_def":"latter","lemma":"ὄψιμος","derivation":"from G3796 (ὀψέ);","strongs_def":" later, i.e. vernal (showering)"},
"G4371":{"strongs_def":" something eaten in addition to bread, i.e. a relish (specially, fish; compare G3795 (ὀψάριον))","derivation":"neuter of a presumed derivative of a compound of G4314 (πρός) and G5315 (φάγω);","lemma":"προσφάγιον","kjv_def":"meat"},
"G3658":{"derivation":"from the base of G3674 (ὁμοῦ) and a derivative of the alternate of G138 (αἱρέομαι) (meaning a crowd);","strongs_def":" association together, i.e. a multitude","lemma":"ὅμιλος","kjv_def":"company"},
"G4278":{"strongs_def":" to commence already","derivation":"from G4253 (πρό) and G1728 (ἐνάρχομαι);","kjv_def":"begin (before)","lemma":"προενάρχομαι"},
"G3682":{"strongs_def":" profitable; Onesimus, a Christian","derivation":"from G3685 (ὀνίνημι);","kjv_def":"Onesimus","lemma":"Ὀνήσιμος"},
"G490":{"kjv_def":"Antioch","lemma":"Ἀντιόχεια","derivation":"from (a Syrian king);","strongs_def":" Antiochia, a place in Syria"},
"G2397":{"lemma":"ἰδέα","kjv_def":"countenance","derivation":"from G1492 (εἴδω);","strongs_def":" a sight (comparative figuratively \"idea\"), i.e. aspect"},
"G2916":{"strongs_def":" consisting of barley","derivation":"from G2915 (κριθή);","kjv_def":"barley","lemma":"κρίθινος"},
"G101":{"strongs_def":" to be unable, i.e. (passively) impossible","derivation":"from G102 (ἀδύνατος);","lemma":"ἀδυνατέω","kjv_def":"be impossible"},
"G3638":{"derivation":"a primary numeral;","strongs_def":" \"eight\"","lemma":"ὀκτώ","kjv_def":"eight"},
"G3099":{"strongs_def":" Madian (i.e. Midian), a region of Arabia","derivation":"of Hebrew origin (H04080);","kjv_def":"Madian","lemma":"Μαδιάν"},
"G5294":{"lemma":"ὑποτίθημι","kjv_def":"lay down, put in remembrance","derivation":"from G5259 (ὑπό) and G5087 (τίθημι);","strongs_def":" to place underneath, i.e. (figuratively) to hazard, (reflexively) to suggest"},
"G1929":{"strongs_def":" to give over (by hand or surrender)","derivation":"from G1909 (ἐπί) and G1325 (δίδωμι);","lemma":"ἐπιδίδωμι","kjv_def":"deliver unto, give, let (+ (her drive)), offer"},
"G2426":{"kjv_def":"sufficiency","lemma":"ἱκανότης","derivation":"from G2425 (ἱκανός);","strongs_def":" ability"},
"G4245":{"lemma":"πρεσβύτερος","kjv_def":" elder(-est), old","derivation":"comparative of (elderly);","strongs_def":" older; as noun, a senior; specially, an Israelite Sanhedrist (also figuratively, member of the celestial council) or Christian \"presbyter\""},
"G2394":{"lemma":"Ἰάσων","kjv_def":"Jason","strongs_def":" about to cure; Jason, a Christian","derivation":"future active participle masculine of G2390 (ἰάομαι);"},
"G5238":{"derivation":"from G5228 (ὑπέρ) and the neuter plural of G1565 (ἐκεῖνος);","strongs_def":" above those parts, i.e. still farther","lemma":"ὑπερέκεινα","kjv_def":"beyond"},
"G3973":{"strongs_def":" to stop (transitively or intransitively), i.e. restrain, quit, desist, come to an end","derivation":"a primary verb (\"pause\");","lemma":"παύω","kjv_def":"cease, leave, refrain"},
"G4931":{"lemma":"συντελέω","kjv_def":"end, finish, fulfil, make","derivation":"from G4862 (σύν) and G5055 (τελέω);","strongs_def":" to complete entirely; generally, to execute (literally or figuratively)"},
"G3945":{"strongs_def":" to resemble","derivation":"from G3946 (παρόμοιος);","kjv_def":"be like unto","lemma":"παρομοιάζω"},
"G2538":{"strongs_def":" renewal (figuratively)","derivation":"from G2537 (καινός);","lemma":"καινότης","kjv_def":"newness"},
"G3145":{"kjv_def":"gnaw","lemma":"μασσάομαι","strongs_def":" to chew","derivation":"from a primary (to handle or squeeze);"},
"G377":{"kjv_def":"lean, sit down (to meat)","lemma":"ἀναπίπτω","derivation":"from G303 (ἀνά) and G4098 (πίπτω);","strongs_def":" to fall back, i.e. lie down, lean back"},
"G4696":{"lemma":"σπίλος","kjv_def":"spot","derivation":"of uncertain derivation;","strongs_def":" a stain or blemish, i.e. (figuratively) defect, disgrace"},
"G5513":{"derivation":"from (to warm);","strongs_def":" tepid","lemma":"χλιαρός","kjv_def":"lukewarm"},
"G3417":{"derivation":"from G3415 (μνάομαι) or G3403 (μιμνήσκω);","strongs_def":" recollection; by implication, recital","lemma":"μνεία","kjv_def":"mention, remembrance"},
"G2765":{"lemma":"κεράμιον","kjv_def":"pitcher","derivation":"neuter of a presumed derivative of G2766 (κέραμος);","strongs_def":" an earthenware vessel, i.e. jar"},
"G313":{"strongs_def":" to beget or (by extension) bear (again)","derivation":"from G303 (ἀνά) and G1080 (γεννάω);","lemma":"ἀναγεννάω","kjv_def":"beget, (bear) X (again)"},
"G5012":{"strongs_def":" humiliation of mind, i.e. modesty","derivation":"from a compound of G5011 (ταπεινός) and the base of G5424 (φρήν);","kjv_def":"humbleness of mind, humility (of mind, loneliness (of mind)","lemma":"ταπεινοφροσύνη"},
"G1425":{"strongs_def":" difficult of perception","derivation":"from G1418 (δυσ-) and a derivative of G3539 (νοιέω);","kjv_def":"hard to be understood","lemma":"δυσνόητος"},
"G4859":{"kjv_def":" consent","lemma":"σύμφωνος","derivation":"from G4862 (σύν) and G5456 (φωνή);","strongs_def":" sounding together (alike), i.e. (figuratively) accordant (neuter as noun, agreement)"},
"G1241":{"derivation":"from G1223 (διά) and G2224 (ζώννυμι);","strongs_def":" to gird tightly","lemma":"διαζώννυμι","kjv_def":"gird"},
"G1842":{"strongs_def":" to extirpate","derivation":"from G1537 (ἐκ) and G3645 (ὀλοθρεύω);","kjv_def":"destroy","lemma":"ἐξολοθρεύω"},
"G1139":{"lemma":"δαιμονίζομαι","kjv_def":"have a (be vexed with, be possessed with) devil(-s)","derivation":"middle voice from G1142 (δαίμων);","strongs_def":" to be exercised by a dæmon"},
"G4779":{"lemma":"συγκαλέω","kjv_def":"call together","derivation":"from G4862 (σύν) and G2564 (καλέω);","strongs_def":" to convoke"},
"G36":{"strongs_def":" properly, without kin, i.e. (of unknown descent, and by implication) ignoble","derivation":"from G1 (Α) (as negative particle) and G1085 (γένος);","kjv_def":"base things","lemma":"ἀγενής"},
"G1769":{"derivation":"from G1770 (ἐννεύω);","strongs_def":" dumb (as making signs), i.e. silent from astonishment","lemma":"ἐννεός","kjv_def":"speechless"},
"G2191":{"kjv_def":"viper","lemma":"ἔχιδνα","strongs_def":" an adder or other poisonous snake (literally or figuratively)","derivation":"of uncertain origin;"},
"G1542":{"strongs_def":" a hundred times","derivation":"from G1540 (ἑκατόν) and a presumed derivative of G4111 (πλάσσω);","lemma":"ἑκατονταπλασίων","kjv_def":"hundredfold"},
"G759":{"kjv_def":"(sweet) spice","lemma":"ἄρωμα","derivation":"from G142 (αἴρω) (in the sense of sending off scent);","strongs_def":" an aromatic"},
"G5478":{"lemma":"Χανααναῖος","kjv_def":"of Canaan","strongs_def":" a Chanaanæan (i.e. Kenaanite), or native of gentile Palestine","derivation":"from G5477 (Χαναάν);"},
"G207":{"derivation":"probably for Latin aquila (an eagle);","strongs_def":" Akulas, an Israelite","lemma":"Ἀκύλας","kjv_def":"Aquila"},
"G3833":{"derivation":"from a compound of G3956 (πᾶς) and G3696 (ὅπλον);","strongs_def":" full armor (\"panoply\")","kjv_def":"all (whole) armour","lemma":"πανοπλία"},
"G2996":{"kjv_def":"Lasea","lemma":"Λασαία","derivation":"of uncertain origin;","strongs_def":" Lasæa, a place in Crete"},
"G3594":{"lemma":"ὁδηγέω","kjv_def":"guide, lead","strongs_def":" to show the way (literally or figuratively (teach))","derivation":"from G3595 (ὁδηγός);"},
"G2546":{"lemma":"κἀκεῖ","kjv_def":"and there, there (thither) also","strongs_def":" likewise in that place","derivation":"from G2532 (καί) and G1563 (ἐκεῖ);"},
"G2991":{"derivation":"from a compound of (a stone) and the base of G3584 (ξηρός) (in its original sense of scraping);","strongs_def":" rock-quarried","lemma":"λαξευτός","kjv_def":"hewn in stone"},
"G1826":{"lemma":"ἔξειμι","kjv_def":"depart, get (to land), go out","derivation":"from G1537 (ἐκ) and (to go);","strongs_def":" to issue, i.e. leave (a place), escape (to the shore)"},
"G414":{"kjv_def":"more tolerable","lemma":"ἀνεκτότερος","derivation":"comparative of a derivative of G430 (ἀνέχομαι);","strongs_def":" more endurable"},
"G3196":{"strongs_def":" a limb or part of the body","derivation":"of uncertain affinity;","lemma":"μέλος","kjv_def":"member"},
"G4748":{"derivation":"from a derivative of (to range in regular line);","strongs_def":" to march in (military) rank (keep step), i.e. (figuratively) to conform to virtue and piety","lemma":"στοιχέω","kjv_def":"walk (orderly)"},
"G3745":{"strongs_def":" as (much, great, long, etc.) as","derivation":"by reduplication from G3739 (ὅς);","kjv_def":"all (that), as (long, many, much) (as), how great (many, much), (in-)asmuch as, so many as, that (ever), the more, those things, what (great, -soever), wheresoever, wherewithsoever, which, X while, who(-soever)","lemma":"ὅσος"},
"G3442":{"lemma":"μονόφθαλμος","kjv_def":"with one eye","derivation":"from G3441 (μόνος) and G3788 (ὀφθαλμός);","strongs_def":" one-eyed"},
"G97":{"kjv_def":"sincere","lemma":"ἄδολος","derivation":"from G1 (Α) (as a negative particle);","strongs_def":" and G1388 (δόλος); undeceitful, i.e. (figuratively) unadulterated"},
"G3526":{"derivation":"of Latin origin;","strongs_def":" black; Niger, a Christian","kjv_def":"Niger","lemma":"Νίγερ"},
"G4225":{"derivation":"genitive case of an indefinite pronoun (some) otherwise obsolete (compare G4214 (πόσος));","strongs_def":" as adverb of place, somewhere, i.e. nearly","kjv_def":"about, a certain place","lemma":"πού"},
"G1115":{"strongs_def":" the skull; Golgotha, a knoll near Jerusalem","derivation":"of Chaldee origin (compare H01538);","kjv_def":"Golgotha","lemma":"Γολγοθᾶ"},
"G1187":{"kjv_def":"spearman","lemma":"δεξιολάβος","strongs_def":" a guardsman (as if taking the right) or light-armed soldier","derivation":"from G1188 (δεξιός) and G2983 (λαμβάνω);"},
"G2129":{"kjv_def":"blessing (a matter of) bounty (X -tifully), fair speech","lemma":"εὐλογία","strongs_def":" fine speaking, i.e. elegance of language; commendation (\"eulogy\"), i.e. (reverentially) adoration; religiously, benediction; by implication, consecration; by extension, benefit or largess","derivation":"from the same as G2127 (εὐλογέω);"},
"G858":{"lemma":"ἀφελότης","kjv_def":"singleness","strongs_def":" smoothness, i.e. (figuratively) simplicity","derivation":"from a compound of G1 (Α) (as a negative particle) and (in the sense of a stone as stubbing the foot);"},
"G3153":{"derivation":"from G3152 (μάταιος);","strongs_def":" inutility; figuratively, transientness; morally, depravity","kjv_def":"vanity","lemma":"ματαιότης"},
"G1279":{"lemma":"διαπορεύομαι","kjv_def":"go through, journey in, pass by","derivation":"from G1223 (διά) and G4198 (πορεύομαι);","strongs_def":" to travel through"},
"G632":{"lemma":"ἀπονέμω","kjv_def":"give","derivation":"from G575 (ἀπό) and the base of G3551 (νόμος);","strongs_def":" to apportion, i.e. bestow"},
"G4094":{"lemma":"πίναξ","kjv_def":"charger, platter","strongs_def":" a plate","derivation":"apparently a form of G4109 (πλάξ);"},
"G2857":{"lemma":"Κολοσσαί","kjv_def":"Colosse","strongs_def":" Colossæ, a place in Asia Minor","derivation":"apparently feminine plural of kolossos (\"colossal\");"},
"G3547":{"lemma":"νομοδιδάσκαλος","kjv_def":"doctor (teacher) of the law","strongs_def":" an expounder of the (Jewish) law, i.e. a Rabbi","derivation":"from G3551 (νόμος) and G1320 (διδάσκαλος);"},
"G1576":{"strongs_def":" to shut out (literally or figuratively)","derivation":"from G1537 (ἐκ) and G2808 (κλείω);","lemma":"ἐκκλείω","kjv_def":"exclude"},
"G5400":{"derivation":"neuter of a derivative of G5399 (φοβέω);","strongs_def":" a frightening thing, i.e. terrific portent","kjv_def":"fearful sight","lemma":"φόβητρον"},
"G2930":{"kjv_def":"crystal","lemma":"κρύσταλλος","strongs_def":" ice, i.e. (by analogy) rock \"crystal\"","derivation":"from a derivative of (frost);"},
"G1026":{"strongs_def":" to moisten (especially by a shower)","derivation":"a primary verb;","lemma":"βρέχω","kjv_def":"(send) rain, wash"},
"G1953":{"derivation":"from a derivative of G1950 (ἐπιλανθάνομαι);","strongs_def":" negligence","kjv_def":"X forgetful","lemma":"ἐπιλησμονή"},
"G2163":{"derivation":"from G2095 (εὖ) and G5345 (φήμη);","strongs_def":" well spoken of, i.e. reputable","kjv_def":"of good report","lemma":"εὔφημος"},
"G363":{"strongs_def":" to remind; (reflexively) to recollect","derivation":"from G303 (ἀνά) and G3403 (μιμνήσκω);","lemma":"ἀναμιμνήσκω","kjv_def":"call to mind, (bring to , call to, put in), remember(-brance)"},
"G3878":{"strongs_def":" to mishear, i.e. (by implication) to disobey","derivation":"from G3844 (παρά) and G191 (ἀκούω);","lemma":"παρακούω","kjv_def":"neglect to hear"},
"G3558":{"lemma":"νότος","kjv_def":"south (wind)","strongs_def":" the south(-west) wind; by extension, the southern quarter itself","derivation":"of uncertain affinity;"},
"G5448":{"strongs_def":" to inflate, i.e. (figuratively) make proud (haughty)","derivation":"from G5449 (φύσις) in the primary sense of blowing;","lemma":"φυσιόω","kjv_def":"puff up"},
"G1320":{"lemma":"διδάσκαλος","kjv_def":"doctor, master, teacher","derivation":"from G1321 (διδάσκω);","strongs_def":" an instructor (genitive case or specially)"},
"G2865":{"lemma":"κομίζω","kjv_def":"bring, receive","derivation":"from a primary (to tend, i.e. take care of);","strongs_def":" properly, to provide for, i.e. (by implication) to carry off (as if from harm; genitive case obtain)"},
"G3540":{"lemma":"νόημα","kjv_def":"device, mind, thought","strongs_def":" a perception, i.e. purpose, or (by implication) the intellect, disposition, itself","derivation":"from G3539 (νοιέω);"},
"G483":{"lemma":"ἀντιλέγω","kjv_def":"answer again, contradict, deny, gainsay(-er), speak against","strongs_def":" to dispute, refuse","derivation":"from G473 (ἀντί) and G3004 (λέγω);"},
"G5092":{"strongs_def":" a value, i.e. money paid, or (concretely and collectively) valuables; by analogy, esteem (especially of the highest degree), or the dignity itself","derivation":"from G5099 (τίνω);","lemma":"τιμή","kjv_def":"honour, precious, price, some"},
"G5301":{"kjv_def":"hyssop","lemma":"ὕσσωπος","strongs_def":" \"hyssop\"","derivation":"of foreign origin (H0231);"},
"G2952":{"derivation":"neuter of a presumed derivative of G2965 (κύων);","strongs_def":" a puppy","lemma":"κυνάριον","kjv_def":"dog"},
"G4217":{"kjv_def":"what (manner of)","lemma":"ποταπός","strongs_def":" interrogatively, whatever, i.e. of what possible sort","derivation":"apparently from G4219 (πότε) and the base of G4226 (ποῦ);"},
"G863":{"derivation":"from G575 (ἀπό) and (to send;","strongs_def":" an intensive form of , to go); to send forth, in various applications (as follow)","lemma":"ἀφίημι","kjv_def":"cry, forgive, forsake, lay aside, leave, let (alone, be, go, have), omit, put (send) away, remit, suffer, yield up"},
"G4506":{"derivation":"middle voice of an obsolete verb, akin to G4482 (ῥέω) (through the idea of a current;","strongs_def":" compare G4511 (ῥύσις)); to rush or draw (for oneself), i.e. rescue","lemma":"ῥύομαι","kjv_def":"deliver(-er)"},
"G3949":{"derivation":"from G3844 (παρά) and G3710 (ὀργίζω);","strongs_def":" to anger alongside, i.e. enrage","lemma":"παροργίζω","kjv_def":"anger, provoke to wrath"},
"G1746":{"derivation":"from G1722 (ἐν) and G1416 (δύνω) (in the sense of sinking into a garment);","strongs_def":" to invest with clothing (literally or figuratively)","kjv_def":"array, clothe (with), endue, have (put) on","lemma":"ἐνδύω"},
"G1598":{"lemma":"ἐκπειράζω","kjv_def":"tempt","strongs_def":" to test thoroughly","derivation":"from G1537 (ἐκ) and G3985 (πειράζω);"},
"G2396":{"derivation":"second person singular imperative active of G1492 (εἴδω);","strongs_def":" used as an interjection to denote surprise; lo!","lemma":"ἴδε","kjv_def":"behold, lo, see"},
"G4062":{"strongs_def":" to turn around, i.e. (mentally) to craze","derivation":"from G4012 (περί) and the base of G5157 (τροπή);","lemma":"περιτρέπω","kjv_def":"+ make mad"},
"G3759":{"kjv_def":"alas, woe","lemma":"οὐαί","derivation":"a primary exclamation of grief;","strongs_def":" \"woe\""},
"G3712":{"kjv_def":"fathom","lemma":"ὀργυιά","strongs_def":" a stretch of the arms, i.e. a fathom","derivation":"from G3713 (ὀρέγομαι);"},
"G2389":{"lemma":"Ἰαννῆς","kjv_def":"Jannes","derivation":"of Egyptian origin;","strongs_def":" Jannes, an Egyptian"},
"G1467":{"derivation":"middle voice from G1468 (ἐγκρατής);","strongs_def":" to exercise self-restraint (in diet and chastity)","lemma":"ἐγκρατεύομαι","kjv_def":"can(-not) contain, be temperate"},
"G1322":{"lemma":"διδαχή","kjv_def":"doctrine, hath been taught","strongs_def":" instruction (the act or the matter)","derivation":"from G1321 (διδάσκω);"},
"G1637":{"lemma":"ἔλαιον","kjv_def":"oil","strongs_def":" olive oil","derivation":"neuter of the same as G1636 (ἐλαία);"},
"G5326":{"lemma":"φάντασμα","kjv_def":"spirit","strongs_def":" (properly concrete) a (mere) show (\"phantasm\"), i.e. spectre","derivation":"from G5324 (φαντάζω);"},
"G5297":{"strongs_def":" to bear from underneath, i.e. (figuratively) to undergo hardship","derivation":"from G5259 (ὑπό) and G5342 (φέρω);","lemma":"ὑποφέρω","kjv_def":"bear, endure"},
"G1299":{"strongs_def":" to arrange thoroughly, i.e. (specially) institute, prescribe, etc.","derivation":"from G1223 (διά) and G5021 (τάσσω);","lemma":"διατάσσω","kjv_def":"appoint, command, give, (set in) order, ordain"},
"G1804":{"kjv_def":"shew forth","lemma":"ἐξαγγέλλω","derivation":"from G1537 (ἐκ) and the base of G32 (ἄγγελος);","strongs_def":" to publish, i.e. celebrate"},
"G966":{"strongs_def":" fishing-house; Bethsaida, a place in Palestine","derivation":"of Chaldee origin (compare H01004 and H06719);","lemma":"Βηθσαϊδά","kjv_def":"Bethsaida"},
"G4478":{"derivation":"of Hebrew origin (H07354);","strongs_def":" Rachel, the wife of Jacob","lemma":"Ῥαχήλ","kjv_def":"Rachel"},
"G574":{"lemma":"ἁπλῶς","kjv_def":"--liberally","derivation":"adverb from G573 (ἁπλοῦς) (in the objective sense of G572 (ἁπλότης));","strongs_def":" bountifully; "},
"G4572":{"derivation":"genitive case from G4571 (σέ) and G846 (αὐτός), also dative case of the same, , and accusative case , likewise contracted , , and , respectively;","strongs_def":" of (with, to) thyself","lemma":"σεαυτοῦ","kjv_def":"thee, thine own self, (thou) thy(-self)"},
"G2896":{"derivation":"a primary verb;","strongs_def":" properly, to \"croak\" (as a raven) or scream, i.e. (genitive case) to call aloud (shriek, exclaim, intreat)","lemma":"κράζω","kjv_def":"cry (out)"},
"G3950":{"kjv_def":"wrath","lemma":"παροργισμός","strongs_def":" rage","derivation":"from G3949 (παροργίζω);"},
"G1632":{"lemma":"ἐκχέω","kjv_def":"gush (pour) out, run greedily (out), shed (abroad, forth), spill","strongs_def":" to pour forth; figuratively, to bestow","derivation":"from G1537 (ἐκ) and (to pour);"},
"G990":{"lemma":"βλέμμα","kjv_def":"seeing","strongs_def":" vision (properly concrete; by implication, abstract)","derivation":"from G991 (βλέπω);"},
"G1951":{"derivation":"middle voice from G1909 (ἐπί) and G3004 (λέγω);","strongs_def":" to surname, select","lemma":"ἐπιλέγομαι","kjv_def":"call, choose"},
"G2633":{"derivation":"from G2632 (κατακρίνω);","strongs_def":" sentencing adversely (the act)","kjv_def":"condemn(-ation)","lemma":"κατάκρισις"},
"G2306":{"derivation":"from G2303 (θεῖον) and 1491;","strongs_def":" sulphur-like, i.e. sulphurous","lemma":"θειώδης","kjv_def":"brimstone"},
"G1214":{"strongs_def":" Demas, a Christian","derivation":"probably for G1216 (Δημήτριος);","lemma":"Δημᾶς","kjv_def":"Demas"},
"G3661":{"lemma":"ὁμοθυμαδόν","kjv_def":"with one accord (mind)","strongs_def":" unanimously","derivation":"adverb from a compound of the base of G3674 (ὁμοῦ) and G2372 (θυμός);"},
"G4475":{"lemma":"ῥάπισμα","kjv_def":"(+ strike with the) palm of the hand, smite with the hand","derivation":"from G4474 (ῥαπίζω);","strongs_def":" a slap"},
"G1737":{"strongs_def":" to invest (with a garment)","derivation":"a prolonged form of G1746 (ἐνδύω);","lemma":"ἐνδιδύσκω","kjv_def":"clothe in, wear"},
"G3769":{"strongs_def":" a tail","derivation":"apparently a primary word;","lemma":"οὐρά","kjv_def":"tail"},
"G5255":{"derivation":"from G5219 (ὑπακούω);","strongs_def":" attentively listening, i.e. (by implication) submissive","kjv_def":"obedient","lemma":"ὑπήκοος"},
"G3819":{"kjv_def":"any while, a great while ago, (of) old, in time past","lemma":"πάλαι","strongs_def":" (adverbially) formerly, or (by relatively) sometime since; (elliptically as adjective) ancient","derivation":"probably another form for G3825 (πάλιν) (through the idea of retrocession);"},
"G5399":{"kjv_def":"be (+ sore) afraid, fear (exceedingly), reverence","lemma":"φοβέω","derivation":"from G5401 (φόβος);","strongs_def":" to frighten, i.e. (passively) to be alarmed; by analogy, to be in awe of, i.e. revere"},
"G899":{"strongs_def":" profundity, i.e. (by implication) extent; (figuratively) mystery","derivation":"from the same as G901 (βαθύς);","kjv_def":"deep(-ness, things), depth","lemma":"βάθος"},
"G2746":{"kjv_def":"boasting, whereof I may glory, glorying, rejoicing","lemma":"καύχησις","derivation":"from G2744 (καυχάομαι);","strongs_def":" boasting (properly, the act; by implication, the object), in a good or a bad sense"},
"G4292":{"kjv_def":"provoke","lemma":"προκαλέομαι","strongs_def":" to call forth to oneself (challenge), i.e. (by implication) to irritate","derivation":"middle voice from G4253 (πρό) and G2564 (καλέω);"},
"G203":{"kjv_def":"not circumcised, uncircumcised (with G2192 (ἔχω)), uncircumcision","lemma":"ἀκροβυστία","strongs_def":" the prepuce; by implication, an uncircumcised (i.e. gentile, figuratively, unregenerate) state or person","derivation":"from G206 (ἄκρον) and probably a modified form of (the penis or male sexual organ);"},
"G4355":{"lemma":"προσλαμβάνω","kjv_def":"receive, take (unto)","strongs_def":" to take to oneself, i.e. use (food), lead (aside), admit (to friendship or hospitality)","derivation":"from G4314 (πρός) and G2983 (λαμβάνω);"},
"G4492":{"strongs_def":" to root (figuratively, become stable)","derivation":"from G4491 (ῥίζα);","kjv_def":"root","lemma":"ῥιζόω"},
"G3185":{"kjv_def":"the more","lemma":"μεῖζον","strongs_def":" (adverbially) in greater degree","derivation":"neuter of G3187 (μείζων);"},
"G4441":{"derivation":"middle voice prolonged from a primary (which occurs only as an alternate in certain tenses);","strongs_def":" to question, i.e. ascertain by inquiry (as a matter of information merely; and thus differing from G2065 (ἐρωτάω), which properly means a request as a favor; and from G154 (αἰτέω), which is strictly a demand for something due; as well as from G2212 (ζητέω), which implies a search for something hidden; and from G1189 (δέομαι), which involves the idea of urgent need); by implication, to learn (by casual intelligence)","kjv_def":"ask, demand, enquire, understand","lemma":"πυνθάνομαι"},
"G1720":{"lemma":"ἐμφυσάω","kjv_def":"breathe on","derivation":"from G1722 (ἐν) and (to puff) (compare G5453 (φύω));","strongs_def":" to blow at or on"},
"G1456":{"strongs_def":" innovatives, i.e. (specially) renewal (of religious services after the Antiochian interruption)","derivation":"neuter plural of a presumed compound from G1722 (ἐν) and G2537 (καινός);","kjv_def":"dedication","lemma":"ἐγκαίνια"},
"G2297":{"derivation":"from G2295 (θαῦμα);","strongs_def":" wondrous, i.e. (neuter as noun) a miracle","lemma":"θαυμάσιος","kjv_def":"wonderful thing"},
"G402":{"lemma":"ἀναχωρέω","kjv_def":"depart, give place, go (turn) aside, withdraw self","derivation":"from G303 (ἀνά) and G5562 (χωρέω);","strongs_def":" to retire"},
"G1918":{"kjv_def":"marry","lemma":"ἐπιγαμβρεύω","derivation":"from G1909 (ἐπί) and a derivative of G1062 (γάμος);","strongs_def":" to form affinity with, i.e. (specially) in a levirate way"},
"G4773":{"strongs_def":" a relative (by blood); by extension, a fellow countryman","derivation":"from G4862 (σύν) and G1085 (γένος);","lemma":"συγγενής","kjv_def":"cousin, kin(-sfolk, -sman)"},
"G1455":{"strongs_def":" subinduced, i.e. surreptitiously suborned as a lier-in-wait","derivation":"from G1722 (ἐν) and a derivative of G2524 (καθίημι);","lemma":"ἐγκάθετος","kjv_def":"spy"},
"G718":{"lemma":"ἁρμόζω","kjv_def":"espouse","strongs_def":" to joint, i.e. (figuratively) to woo (reflexively, to betroth)","derivation":"from G719 (ἁρμός);"},
"G1478":{"derivation":"of Hebrew origin (H02396);","strongs_def":" Ezekias (i.e. Hezekeiah), an Israelite","lemma":"Ἐζεκίας","kjv_def":"Ezekias"},
"G4183":{"lemma":"πολύς","kjv_def":"abundant, + altogether, common, + far (passed, spent), (+ be of a) great (age, deal, -ly, while), long, many, much, oft(-en (-times)), plenteous, sore, straitly","derivation":"including the forms from the alternate ;","strongs_def":" (singular) much (in any respect) or (plural) many; neuter (singular) as adverbial, largely; neuter (plural) as adverb or noun often, mostly, largely"},
"G1809":{"lemma":"ἐξαιτέομαι","kjv_def":"desire","derivation":"middle voice from G1537 (ἐκ) and G154 (αἰτέω);","strongs_def":" to demand (for trial)"},
"G4870":{"kjv_def":"follow","lemma":"συνακολουθέω","strongs_def":" to accompany","derivation":"from G4862 (σύν) and G190 (ἀκολουθέω);"},
"G4262":{"kjv_def":"sheep (market)","lemma":"προβατικός","strongs_def":" relating to sheep, i.e. (a gate) through which they were led into Jerusalem","derivation":"from G4263 (πρόβατον);"},
"G2379":{"lemma":"θυσιαστήριον","kjv_def":"altar","strongs_def":" a place of sacrifice, i.e. an altar (special or genitive case, literal or figurative)","derivation":"from a derivative of G2378 (θυσία);"},
"G383":{"kjv_def":"move, stir up","lemma":"ἀνασείω","strongs_def":" figuratively, to excite","derivation":"from G303 (ἀνά) and G4579 (σείω);"},
"G604":{"strongs_def":" to reconcile fully","derivation":"from G575 (ἀπό) and G2644 (καταλλάσσω);","lemma":"ἀποκαταλλάσσω","kjv_def":"reconcile"},
"G1018":{"strongs_def":" to arbitrate, i.e. (genitive case) to govern (figuratively, prevail)","derivation":"from the same as G1017 (βραβεῖον);","kjv_def":"rule","lemma":"βραβεύω"},
"G4760":{"strongs_def":" a camping-ground, i.e. (by implication) a body of troops","derivation":"from the base of G4756 (στρατιά) and the same as G3977 (πεδινός);","lemma":"στρατόπεδον","kjv_def":"army"},
"G2549":{"kjv_def":"evil, malice(-iousness), naughtiness, wickedness","lemma":"κακία","derivation":"from G2556 (κακός);","strongs_def":" badness, i.e. (subjectively) depravity, or (actively) malignity, or (passively) trouble"},
"G1983":{"lemma":"ἐπισκοπέω","kjv_def":"look diligently, take the oversight","derivation":"from G1909 (ἐπί) and G4648 (σκοπέω);","strongs_def":" to oversee; by implication, to beware"},
"G2563":{"derivation":"of uncertain affinity;","strongs_def":" a reed (the plant or its stem, or that of a similar plant); by implication, a pen","lemma":"κάλαμος","kjv_def":"pen, reed"},
"G2701":{"derivation":"from G2596 (κατά) and G5143 (τρέχω);","strongs_def":" to run down, i.e. hasten from a tower","kjv_def":"run down","lemma":"κατατρέχω"},
"G813":{"kjv_def":"unruly","lemma":"ἄτακτος","strongs_def":" unarranged, i.e. (by implication) insubordinate (religiously)","derivation":"from G1 (Α) (as a negative particle) and a derivative of G5021 (τάσσω);"},
"G3435":{"lemma":"μολύνω","kjv_def":"defile","strongs_def":" to soil (figuratively)","derivation":"probably from G3189 (μέλας);"},
"G459":{"lemma":"ἄνομος","kjv_def":"without law, lawless, transgressor, unlawful, wicked","derivation":"from G1 (Α) (as a negative particle) and G3551 (νόμος);","strongs_def":" lawless, i.e. (negatively) not subject to (the Jewish) law; (by implication, a Gentile), or (positively) wicked"},
"G2783":{"derivation":"from G2784 (κηρύσσω);","strongs_def":" a herald, i.e. of divine truth (especially of the gospel)","lemma":"κῆρυξ","kjv_def":"preacher"},
"G4351":{"lemma":"προσκυλίω","kjv_def":"roll (to)","strongs_def":" to roll towards, i.e. block against","derivation":"from G4314 (πρός) and G2947 (κυλιόω);"},
"G1805":{"strongs_def":" to buy up, i.e. ransom; figuratively, to rescue from loss (improve opportunity)","derivation":"from G1537 (ἐκ) and G59 (ἀγοράζω);","lemma":"ἐξαγοράζω","kjv_def":"redeem"},
"G4536":{"lemma":"σάλπιγξ","kjv_def":"trump(-et)","derivation":"perhaps from G4535 (σάλος) (through the idea of quavering or reverberation);","strongs_def":" a trumpet"},
"G4267":{"strongs_def":" to know beforehand, i.e. foresee","derivation":"from G4253 (πρό) and G1097 (γινώσκω);","lemma":"προγινώσκω","kjv_def":"foreknow (ordain), know (before)"},
"G3817":{"lemma":"παίω","kjv_def":"smite, strike","strongs_def":" to hit (as if by a single blow and less violently than G5180 (τύπτω)); specially, to sting (as a scorpion)","derivation":"a primary verb;"},
"G3087":{"lemma":"λυχνία","kjv_def":"candlestick","derivation":"from G3088 (λύχνος);","strongs_def":" a lamp-stand (literally or figuratively)"},
"G5205":{"derivation":"from a primary (to rain);","strongs_def":" rain, especially a shower","lemma":"ὑετός","kjv_def":"rain"},
"G139":{"derivation":"from G138 (αἱρέομαι);","strongs_def":" properly, a choice, i.e. (specially) a party or (abstractly) disunion","lemma":"αἵρεσις","kjv_def":"heresy (which is the Greek word itself), sect"},
"G4721":{"strongs_def":" a roof","derivation":"strengthened from a primary (a \"thatch\" or \"deck\" of a building);","kjv_def":"roof","lemma":"στέγη"},
"G4963":{"kjv_def":"+ band together, concourse","lemma":"συστροφή","strongs_def":" a twisting together, i.e. (figuratively) a secret coalition, riotous crowd","derivation":"from G4962 (συστρέφω);"},
"G3051":{"derivation":"neuter of G3052 (λόγιος);","strongs_def":" an utterance (of God)","kjv_def":"oracle","lemma":"λόγιον"},
"G3363":{"lemma":"ἵνα μή","kjv_def":"albeit not, lest, that, no(-t, (-thing))","derivation":"i.e. G2443 (ἵνα) and G3361 (μή);","strongs_def":" in order (or so) that not"},
"G3136":{"derivation":"probably of Chaldee origin (meaning mistress);","strongs_def":" Martha, a Christian woman","lemma":"Μάρθα","kjv_def":"Martha"},
"G4574":{"kjv_def":"devotion, that is worshipped","lemma":"σέβασμα","strongs_def":" something adored, i.e. an object of worship (god, altar, etc)","derivation":"from G4573 (σεβάζομαι);"},
"G1171":{"kjv_def":"grievously, vehemently","lemma":"δεινῶς","strongs_def":" terribly, i.e. excessively","derivation":"adverb from a derivative of the same as G1169 (δειλός);"},
"G4462":{"lemma":"ῥαββονί","kjv_def":"Lord, Rabboni","derivation":"of Chaldee origin;","strongs_def":" corresponding to G4461 (ῥαββί)"},
"G3572":{"derivation":"apparently a primary word;","strongs_def":" to prick (\"nudge\")","lemma":"νύσσω","kjv_def":"pierce"},
"G2127":{"derivation":"from a compound of G2095 (εὖ) and G3056 (λόγος);","strongs_def":" to speak well of, i.e. (religiously) to bless (thank or invoke a benediction upon, prosper)","lemma":"εὐλογέω","kjv_def":"bless, praise"},
"G864":{"strongs_def":" to go (i.e. spread) forth (by rumor)","derivation":"from G575 (ἀπό) and the base of G2425 (ἱκανός);","kjv_def":"come abroad","lemma":"ἀφικνέομαι"},
"G4731":{"kjv_def":"stedfast, strong, sure","lemma":"στερεός","strongs_def":" stiff, i.e. solid, stable (literally or figuratively)","derivation":"from G2476 (ἵστημι);"},
"G237":{"lemma":"ἀλλαχόθεν","kjv_def":"some other way","derivation":"from G243 (ἄλλος);","strongs_def":" from elsewhere"},
"G5455":{"kjv_def":"call (for), crow, cry","lemma":"φωνέω","derivation":"from G5456 (φωνή);","strongs_def":" to emit a sound (animal, human or instrumental); by implication, to address in words or by name, also in imitation"},
"G2437":{"strongs_def":" (the) Illyrican (shore), i.e. (as a name itself) Illyricum, a region of Europe","derivation":"neuter of an adjective from a name of uncertain derivation;","kjv_def":"Illyricum","lemma":"Ἰλλυρικόν"},
"G2369":{"kjv_def":"censer","lemma":"θυμιαστήριον","strongs_def":" a place of fumigation, i.e. the alter of incense (in the Temple)","derivation":"from a derivative of G2370 (θυμιάω);"},
"G2154":{"lemma":"εὔσημος","kjv_def":"easy to be understood","derivation":"from G2095 (εὖ) and the base of G4591 (σημαίνω);","strongs_def":" well indicated, i.e. (figuratively) significant"},
"G1799":{"strongs_def":" in the face of (literally or figuratively)","derivation":"neuter of a compound of G1722 (ἐν) and a derivative of G3700 (ὀπτάνομαι);","lemma":"ἐνώπιον","kjv_def":"before, in the presence (sight) of, to"},
"G2947":{"kjv_def":"wallow","lemma":"κυλιόω","derivation":"from the base of G2949 (κῦμα) (through the idea of circularity;","strongs_def":" compare G2945 (κύκλῳ), G1507 (εἱλίσσω)); to roll about"},
"G590":{"derivation":"from G575 (ἀπό) and G1218 (δῆμος);","strongs_def":" absent from one's own people, i.e. a foreign traveller","kjv_def":"taking a far journey","lemma":"ἀπόδημος"},
"G3674":{"lemma":"ὁμοῦ","kjv_def":"together","derivation":"genitive case of (the same;","strongs_def":" akin to G260 (ἅμα)) as adverb; at the same place or time"},
"G3449":{"lemma":"μόχθος","kjv_def":"painfulness, travail","strongs_def":" toil, i.e. (by implication) sadness","derivation":"from the base of G3425 (μόγις);"},
"G2343":{"derivation":"from G2344 (θησαυρός);","strongs_def":" to amass or reserve (literally or figuratively)","kjv_def":"lay up (treasure), (keep) in store, (heap) treasure (together, up)","lemma":"θησαυρίζω"},
"G1810":{"lemma":"ἐξαίφνης","kjv_def":"suddenly","strongs_def":" of a sudden (unexpectedly)","derivation":"from G1537 (ἐκ) and the base of G160 (αἰφνίδιος);"},
"G4919":{"kjv_def":"break","lemma":"συνθρύπτω","derivation":"from G4862 (σύν) and (to crumble);","strongs_def":" to crush together, i.e. (figuratively) to dispirit"},
"G3341":{"derivation":"from G3340 (μετανοέω);","strongs_def":" (subjectively) compunction (for guilt, including reformation); by implication, reversal (of (another's) decision)","lemma":"μετάνοια","kjv_def":"repentance"},
"G2029":{"lemma":"ἐποπτεύω","kjv_def":"behold","strongs_def":" to inspect, i.e. watch","derivation":"from G1909 (ἐπί) and a derivative of G3700 (ὀπτάνομαι);"},
"G5058":{"derivation":"neuter of a presumed derivative of G5057 (τελώνης);","strongs_def":" a tax-gatherer's place of business","lemma":"τελώνιον","kjv_def":"receipt of custom"},
"G1312":{"strongs_def":" decay","derivation":"from G1311 (διαφθείρω);","kjv_def":"corruption","lemma":"διαφθορά"},
"G1087":{"kjv_def":"senate","lemma":"γερουσία","derivation":"from G1088 (γέρων);","strongs_def":" the eldership, i.e. (collectively) the Jewish Sanhedrin"},
"G4442":{"lemma":"πῦρ","kjv_def":"fiery, fire","derivation":"a primary word;","strongs_def":" \"fire\" (literally or figuratively, specially, lightning)"},
"G1321":{"derivation":"a prolonged (causative) form of a primary verb (to learn);","strongs_def":" to teach (in the same broad application)","kjv_def":"teach","lemma":"διδάσκω"},
"G3585":{"derivation":"from G3586 (ξύλον);","strongs_def":" wooden","lemma":"ξύλινος","kjv_def":"of wood"},
"G2444":{"strongs_def":" for what reason ?, i.e. why?","derivation":"from G2443 (ἵνα) and G5101 (τίς);","lemma":"ἱνατί","kjv_def":"wherefore, why"},
"G5449":{"lemma":"φύσις","kjv_def":"(man-)kind, nature(-al)","derivation":"from G5453 (φύω);","strongs_def":" growth (by germination or expansion), i.e. (by implication) natural production (lineal descent); by extension, a genus or sort; figuratively, native disposition, constitution or usage"},
"G5420":{"kjv_def":"stop","lemma":"φράσσω","derivation":"apparently a strengthening form of the base of G5424 (φρήν);","strongs_def":" to fence or inclose, i.e. (specially), to block up (figuratively, to silence)"},
"G294":{"strongs_def":" to enrobe","derivation":"from the base of G297 (ἀμφότερος) and (to invest);","kjv_def":"clothe","lemma":"ἀμφιέννυμι"},
"G3933":{"lemma":"παρθένος","kjv_def":"virgin","derivation":"of unknown origin;","strongs_def":" a maiden; by implication, an unmarried daughter"},
"G4860":{"lemma":"συμψηφίζω","kjv_def":"reckon","derivation":"from G4862 (σύν) and G5585 (ψηφίζω);","strongs_def":" to compute jointly"},
"G1970":{"strongs_def":" to throttle upon, i.e. (figuratively) overgrow","derivation":"from G1909 (ἐπί) and G4155 (πνίγω);","lemma":"ἐπιπνίγω","kjv_def":"choke"},
"G11":{"strongs_def":" Abraham, the Hebrew patriarch","derivation":"of Hebrew origin (H085);","kjv_def":"Abraham","lemma":"Ἀβραάμ"},
"G3172":{"derivation":"from G3173 (μέγας);","strongs_def":" greatness, i.e. (figuratively) divinity (often God himself)","kjv_def":"majesty","lemma":"μεγαλωσύνη"},
"G4228":{"strongs_def":" a \"foot\" (figuratively or literally)","derivation":"a primary word;","lemma":"πούς","kjv_def":"foot(-stool)"},
"G3951":{"lemma":"παροτρύνω","kjv_def":"stir up","derivation":"from G3844 (παρά) and (to spur);","strongs_def":" to urge along, i.e. stimulate (to hostility)"},
"G1159":{"strongs_def":" to expend, i.e. (in a good sense) to incur cost, or (in a bad one) to waste","derivation":"from G1160 (δαπάνη);","lemma":"δαπανάω","kjv_def":"be at charges, consume, spend"},
"G1629":{"lemma":"ἐκφοβέω","kjv_def":"terrify","strongs_def":" to frighten utterly","derivation":"from G1537 (ἐκ) and G5399 (φοβέω);"},
"G3165":{"derivation":"a shorter (and probably original) form of G1691 (ἐμέ);","strongs_def":" me","kjv_def":"I, me, my","lemma":"μέ"},
"G2744":{"lemma":"καυχάομαι","kjv_def":"(make) boast, glory, joy, rejoice","derivation":"from some (obsolete) base akin to that of (to boast) and G2172 (εὔχομαι);","strongs_def":" to vaunt (in a good or a bad sense)"},
"G1027":{"derivation":"akin to (to roar);","strongs_def":" thunder","lemma":"βροντή","kjv_def":"thunder(-ing)"},
"G5504":{"strongs_def":" \"yesterday\"; by extension, in time past or hitherto","derivation":"of uncertain derivation;","kjv_def":"yesterday","lemma":"χθές"},
"G4359":{"kjv_def":"over besides","lemma":"προσοφείλω","strongs_def":" to be indebted additionally","derivation":"from G4314 (πρός) and G3784 (ὀφείλω);"},
"G1580":{"lemma":"ἐκκομίζω","kjv_def":"carry out","derivation":"from G1537 (ἐκ) and G2865 (κομίζω);","strongs_def":" to bear forth (to burial)"},
"G4656":{"kjv_def":"be full of darkness","lemma":"σκοτόω","strongs_def":" to obscure or blind (literally or figuratively)","derivation":"from G4655 (σκότος);"},
"G1895":{"kjv_def":"forasmuch","lemma":"ἐπειδήπερ","strongs_def":" since indeed (of cause)","derivation":"from G1894 (ἐπειδή) and G4007 (περ);"},
"G4149":{"kjv_def":"riches","lemma":"πλοῦτος","strongs_def":" wealth (as fulness), i.e. (literally) money, possessions, or (figuratively) abundance, richness, (specially), valuable bestowment","derivation":"from the base of G4130 (πλήθω);"},
"G2215":{"strongs_def":" darnel or false grain","derivation":"of uncertain origin;","kjv_def":"tares","lemma":"ζιζάνιον"},
"G2431":{"strongs_def":" propitious or merry (\"hilarious\"), i.e. prompt or willing","derivation":"from the same as G2436 (ἵλεως);","kjv_def":"cheerful","lemma":"ἱλαρός"},
"G5146":{"derivation":"from G5140 (τρεῖς) and G956 (βέλος);","strongs_def":" properly, a crow-foot (three-pronged obstruction in war), i.e. (by analogy) a thorny plant (caltrop)","kjv_def":"brier, thistle","lemma":"τρίβολος"},
"G3569":{"kjv_def":"(but) now","lemma":"τανῦν","strongs_def":" the things now, i.e. (adverbially) at present","derivation":"from neuter plural of G3588 (ὁ) and G3568 (νῦν);"},
"G3923":{"strongs_def":" to bear in alongside, i.e. introduce simultaneously","derivation":"from G3844 (παρά) and G1533 (εἰσφέρω);","lemma":"παρεισφέρω","kjv_def":"give"},
"G1137":{"lemma":"γωνία","kjv_def":"corner, quarter","strongs_def":" an angle","derivation":"probably akin to G1119 (γόνυ);"},
"G255":{"kjv_def":"unprofitable","lemma":"ἀλυσιτελής","strongs_def":" gainless, i.e. (by implication) pernicious","derivation":"from G1 (Α) (as a negative particle) and the base of G3081 (λυσιτελεῖ);"},
"G3475":{"derivation":"of Hebrew origin; (H04872);","strongs_def":" Moseus, Moses, or Mouses (i.e. Mosheh), the Hebrew lawgiver","lemma":"Μωσεύς","kjv_def":"Moses"},
"G1550":{"derivation":"from G1537 (ἐκ) and G1159 (δαπανάω);","strongs_def":" to expend (wholly), i.e. (figuratively) exhaust","lemma":"ἐκδαπανάω","kjv_def":"spend"},
"G4439":{"kjv_def":"gate","lemma":"πύλη","derivation":"apparently a primary word;","strongs_def":" a gate, i.e. the leaf or wing of a folding entrance (literally or figuratively)"},
"G873":{"strongs_def":" to set off by boundary, i.e. (figuratively) limit, exclude, appoint, etc.","derivation":"from G575 (ἀπό) and G3724 (ὁρίζω);","kjv_def":"divide, separate, sever","lemma":"ἀφορίζω"},
"G4129":{"derivation":"from another form of G4128 (πλῆθος);","strongs_def":" to increase (transitively or intransitively)","lemma":"πληθύνω","kjv_def":"abound, multiply"},
"G732":{"derivation":"from G1 (Α) (as a negative particle) and a presumed derivative of G4517 (ῥώννυμι);","strongs_def":" infirm","lemma":"ἄῤῥωστος","kjv_def":"sick (folk, -ly)"},
"G3627":{"lemma":"οἰκτείρω","kjv_def":"have compassion on","strongs_def":" to exercise pity","derivation":"from (pity);"},
"G4445":{"kjv_def":"be sick of a fever","lemma":"πυρέσσω","derivation":"from G4443 (πυρά);","strongs_def":" to be on fire, i.e. (specially), to have a fever"},
"G4672":{"lemma":"Σολομών","kjv_def":"Solomon","derivation":"of Hebrew origin (H08010);","strongs_def":" Solomon (i.e. Shelomoh), the son of David"},
"G2695":{"kjv_def":"slay","lemma":"κατασφάττω","derivation":"from G2596 (κατά) and G4969 (σφάζω);","strongs_def":" to kill down, i.e. slaughter"},
"G226":{"derivation":"from G227 (ἀληθής);","strongs_def":" to be true (in doctrine and profession)","kjv_def":"speak (tell) the truth","lemma":"ἀληθεύω"},
"G1098":{"kjv_def":"new wine","lemma":"γλεῦκος","derivation":"akin to G1099 (γλυκύς);","strongs_def":" sweet wine, i.e. (properly) must (fresh juice), but used of the more saccharine (and therefore highly inebriating) fermented wine"},
"G4632":{"kjv_def":"goods, sail, stuff, vessel","lemma":"σκεῦος","derivation":"of uncertain affinity;","strongs_def":" a vessel, implement, equipment or apparatus (literally or figuratively [specially, a wife as contributing to the usefulness of the husband])"},
"G2352":{"derivation":"a primary verb;","strongs_def":" to crush","kjv_def":"bruise","lemma":"θραύω"},
"G2273":{"strongs_def":" either indeed","derivation":"from G2228 (ἤ) and G5104 (τοί);","kjv_def":"whether","lemma":"ἤτοι"},
"G537":{"kjv_def":"all (things), every (one), whole","lemma":"ἅπας","strongs_def":" absolutely all or (singular) every one","derivation":"from G1 (Α) (as a particle of union) and G3956 (πᾶς);"},
"G4599":{"strongs_def":" probably akin to the base of G2476 (ἵστημι)); to strengthen, i.e. (figuratively) confirm (in spiritual knowledge and power)","derivation":"from (bodily vigor;","lemma":"σθενόω","kjv_def":"strengthen"},
"G1705":{"lemma":"ἐμπίπλημι","kjv_def":"fill","strongs_def":"to fill in (up), i.e. (by implication) to satisfy (literally or figuratively)","derivation":"from G1722 (ἐν) and the base of G4118 (πλεῖστος);"},
"G3421":{"lemma":"μνημονεύω","kjv_def":"make mention; be mindful, remember","derivation":"from a derivative of G3420 (μνήμη);","strongs_def":" to exercise memory, i.e. recollect; by implication, to punish; also to rehearse"},
"G2680":{"lemma":"κατασκευάζω","kjv_def":"build, make, ordain, prepare","derivation":"from G2596 (κατά) and a derivative of G4632 (σκεῦος);","strongs_def":" to prepare thoroughly (properly, by external equipment; whereas G2090 (ἑτοιμάζω) refers rather to internal fitness); by implication, to construct, create"},
"G4691":{"lemma":"σπερμολόγος","kjv_def":"babbler","derivation":"from G4690 (σπέρμα) and G3004 (λέγω);","strongs_def":" a seed-picker (as the crow), i.e. (figuratively) a sponger, loafer (specially, a gossip or trifler in talk)"},
"G430":{"derivation":"middle voice from G303 (ἀνά) and G2192 (ἔχω);","strongs_def":" to hold oneself up against, i.e. (figuratively) put up with","lemma":"ἀνέχομαι","kjv_def":"bear with, endure, forbear, suffer"},
"G3354":{"derivation":"from G3358 (μέτρον);","strongs_def":" to measure (i.e. ascertain in size by a fixed standard); by implication, to admeasure (i.e. allot by rule)","lemma":"μετρέω","kjv_def":"figuratively, to estimate:--measure, mete"},
"G1680":{"strongs_def":" expectation (abstractly or concretely) or confidence","derivation":"from a primary (to anticipate, usually with pleasure);","lemma":"ἐλπίς","kjv_def":"faith, hope"},
"G176":{"derivation":"from G1 (Α) (as a negative particle) and a derivative of G2607 (καταγινώσκω);","strongs_def":" unblamable","lemma":"ἀκατάγνωστος","kjv_def":"that cannot be condemned"},
"G2340":{"kjv_def":"catch","lemma":"θηρεύω","derivation":"from G2339 (θήρα);","strongs_def":" to hunt (an animal), i.e. (figuratively) to carp at"},
"G1512":{"lemma":"εἴ περ","kjv_def":"if so be (that), seeing, though","derivation":"from G1487 (εἰ) and G4007 (περ);","strongs_def":" if perhaps"},
"G1197":{"lemma":"δέσμη","kjv_def":"bundle","strongs_def":" a bundle","derivation":"from G1196 (δεσμέω);"},
"G2098":{"lemma":"εὐαγγέλιον","kjv_def":"gospel","strongs_def":" a good message, i.e. the gospel","derivation":"from the same as G2097 (εὐαγγελίζω);"},
"G1095":{"kjv_def":"be (wax) old","lemma":"γηράσκω","strongs_def":" to be senescent","derivation":"from G1094 (γῆρας);"},
"G1984":{"derivation":"from G1980 (ἐπισκέπτομαι);","strongs_def":" inspection (for relief); by implication, superintendence; specially, the Christian \"episcopate\"","kjv_def":"the office of a \"bishop\", bishoprick, visitation","lemma":"ἐπισκοπή"},
"G4486":{"derivation":"both prolonged forms of (which appears only in certain forms, and is itself probably a strengthened form of (see in G2608 (κατάγνυμι))) to \"break,\" \"wreck\" or \"crack\", i.e. (especially) to sunder (by separation of the parts;","strongs_def":" G2608 (κατάγνυμι) being its intensive (with the preposition in composition), and G2352 (θραύω) a shattering to minute fragments; but not a reduction to the constituent particles, like G3089 (λύω)) or disrupt, lacerate; by implication, to convulse (with spasms); figuratively, to give vent to joyful emotions","kjv_def":"break (forth), burst, rend, tear","lemma":"ῥήγνυμι"},
"G5091":{"strongs_def":" to prize, i.e. fix a valuation upon; by implication, to revere","derivation":"from G5093 (τίμιος);","kjv_def":"honour, value","lemma":"τιμάω"},
"G3870":{"strongs_def":" to call near, i.e. invite, invoke (by imploration, hortation or consolation)","derivation":"from G3844 (παρά) and G2564 (καλέω);","lemma":"παρακαλέω","kjv_def":"beseech, call for, (be of good) comfort, desire, (give) exhort(-ation), intreat, pray"},
"G2518":{"strongs_def":" to lie down to rest, i.e. (by implication) to fall asleep (literally or figuratively)","derivation":"from G2596 (κατά) and (to sleep);","lemma":"καθεύδω","kjv_def":"(be a-)sleep"},
"G874":{"kjv_def":"occasion","lemma":"ἀφορμή","strongs_def":" a starting-point, i.e. (figuratively) an opportunity","derivation":"from a compound of G575 (ἀπό) and G3729 (ὁρμάω);"},
"G5465":{"derivation":"from the base of G5490 (χάσμα);","strongs_def":" to lower (as into a void)","kjv_def":"let down, strike","lemma":"χαλάω"},
"G4604":{"derivation":"of uncertain derivation;","strongs_def":" iron","lemma":"σίδηρος","kjv_def":"iron"},
"G2687":{"lemma":"καταστέλλω","kjv_def":"appease, quiet","derivation":"from G2596 (κατά) and G4724 (στέλλω);","strongs_def":" to put down, i.e. quell"},
"G374":{"derivation":"from G303 (ἀνά) and G3982 (πείθω);","strongs_def":" to incite","kjv_def":"persuade","lemma":"ἀναπείθω"}};